SET client_encoding = 'WIN1251';


CREATE OR REPLACE FUNCTION "Tepl"."GetDeviceProperty"("pDev_id" text)
  RETURNS SETOF "Tepl"."Device_Property" AS
$BODY$
Declare
   dp "Tepl"."Device_Property"; 
   devs INTEGER[];
 Begin
   if ($1='-1') then  
      FOR dp in SELECT 
  				"Tepl"."Device_Property".prop_id,
  				"Tepl"."Device_Property"."Propert_Value",
  				"Tepl"."Device_Property".dev_id,
  				"Tepl"."Device_Property".id_type_property
  
			FROM
  				"Tepl"."Device_Property"
			Order BY   "Tepl"."Device_Property".dev_id
         Loop
       return next dp;
       end loop;
   ELSE  
   devs:="Tepl"."fArr"($1);
   FOR dp in SELECT 
  				"Tepl"."Device_Property".prop_id,
  				"Tepl"."Device_Property"."Propert_Value",
  				"Tepl"."Device_Property".dev_id,
  				"Tepl"."Device_Property".id_type_property
  
			FROM
  				"Tepl"."Device_Property"
			where 
  				"Tepl"."Device_Property"."dev_id"=ANY(devs)
			Order BY   "Tepl"."Device_Property".dev_id
         Loop
       return next dp;
    end loop;  
    end if;   
 end;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetDeviceProperty"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetDeviceProperty"(text) IS '  ';
