SET client_encoding = 'UTF-8';


-- Днепр 7 --

Delete From "Tepl"."TypeDevices" where dev_typ_id=255;
Delete From "Tepl"."DeviceTypeGroupParametr" where dev_typ_id=255;
Delete From "Tepl"."DeviceTypeParametr" where dev_typ_id=255;


INSERT INTO "Tepl"."TypeDevices" ("dev_typ_id", "Name", "Comment", "SupportUSPD", "SupportSoft", "AdditionInfo")
VALUES (255, 'Днепр 7', '  ', True, True, 2147483647);

-- Группы --

INSERT INTO "Tepl"."DeviceTypeGroupParametr" ("gr_typ_id", "Name", "Comment", "dev_typ_id", "Parent_gr_typ_id")
VALUES (495, 'Системные', '', 255, 0);

INSERT INTO "Tepl"."DeviceTypeGroupParametr" ("gr_typ_id", "Name", "Comment", "dev_typ_id", "Parent_gr_typ_id")
VALUES (496, 'Канал1', '', 255, 0);

INSERT INTO "Tepl"."DeviceTypeGroupParametr" ("gr_typ_id", "Name", "Comment", "dev_typ_id", "Parent_gr_typ_id")
VALUES (497, 'Канал2', '', 255, 0);

-- Системные --

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6039, 'ДатаВремя', '', 495, 1, 1, 'D', 255, 2147483521);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6040, 'Серийный номер', '', 495, 1, 1, 'Ser.Num', 255, 2147483521);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6041, 'Время наработки', '', 495, 1, 1, 'Work.Time', 255, 2147483521);


-- Канал1 --

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6024, 'Объем1, м3 ', '', 496, 1, 1, 'Ch1.V', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6025, 'Мгновенный расход1,м3/ч', '', 496, 1, 1, 'Ch1.Q', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6026, 'Температура1', '', 496, 1, 1, 'Ch1.T', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6027, 'Окружающая среда 1', '0 - вода, 1 - пар, 2 - вода самотек', 496, 1, 1, 'Ch1.E', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6028, 'Двухчасовое накопление1, м3', '', 496, 1, 1, 'Ch1.Q2h', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6029, 'Мг. расход1, м3/ч', '', 496, 1, 1, 'Ch1.Q_', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6030, 'Суточное накопление 1, м3', '', 496, 1, 1, 'Ch1.Qd', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6031, 'Общее накопление 1, м3', '', 496, 1, 1, 'Ch1.Qt', 255, 2147483584);


-- Канал2 --

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6032, 'Объем2, м3 ', '', 497, 1, 1, 'Ch2.V', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6042, 'Мгновенный расход2,м3/ч', '', 497, 1, 1, 'Ch2.Q', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6033, 'Температура2', '', 497, 1, 1, 'Ch2.T', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6034, 'Окружающая среда2', '0 - вода, 1 - пар, 2 - вода самотек', 497, 1, 1, 'Ch2.E', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6035, 'Двухчасовое накопление2, м3', '', 497, 1, 1, 'Ch2.Q2h', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6036, 'Мг. расход2, м3/ч', '', 497, 1, 1, 'Ch2.Q_', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6037, 'Суточное накопление2, м3', '', 497, 1, 1, 'Ch2.Qd', 255, 2147483584);

INSERT INTO "Tepl"."DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData")
VALUES (6038, 'Общее накопление2, м3', '', 497, 1, 1, 'Ch2.Qt', 255, 2147483584);

