CREATE OR REPLACE FUNCTION "Tepl"."GetEvent" (
  ppr_id text
)
RETURNS SETOF "Tepl"."EventTab" AS
$body$
Declare 
  et "Tepl"."EventTab";
  plcs integer[];
Begin
  IF ($1='-1') THEN
        FOR et in SELECT 
			  	"Tepl"."EventTab".ev_id,  /*id события*/     
  				"Tepl"."EventTab".ev_pat_id, /*id шаблона обработки события*/
 				"Tepl"."ParamResPlc_cnt".prp_id, /*id контролируемого параметра ресурса*/
  				"Tepl"."EventTab"."Comment",
  				"Tepl"."EventTab"."AutoStart",/*Автозапуск контроля*/
  				"Tepl"."EventTab"."OnArhivs" /*Архивирование изменения не*/
			FROM
  				"Tepl"."EventTab"
			INNER JOIN "Tepl"."ParamResPlc_cnt" ON ("Tepl"."EventTab".prp_id = "Tepl"."ParamResPlc_cnt".prp_id)
        LOOP
	     RETURN NEXT et;
		END LOOP;           
  ELSE
    plcs:="Tepl"."fArr"($1);
		  FOR et in SELECT 
                  "Tepl"."EventTab".ev_id,  /*id события*/     
                  "Tepl"."EventTab".ev_pat_id, /*id шаблона обработки события*/
                  "Tepl"."ParamResPlc_cnt".prp_id, /*id контролируемого параметра ресурса*/
                  "Tepl"."EventTab"."Comment",
                  "Tepl"."EventTab"."AutoStart",/*Автозапуск контроля*/
                  "Tepl"."EventTab"."OnArhivs" /*Архивирование изменения не*/
              FROM
                  "Tepl"."EventTab"
              INNER JOIN "Tepl"."ParamResPlc_cnt" ON ("Tepl"."EventTab".prp_id = "Tepl"."ParamResPlc_cnt".prp_id)
              Where "Tepl"."ParamResPlc_cnt"."plc_id"=ANY(plcs)
          LOOP
		       RETURN NEXT et;
		  END LOOP;          
  END IF; 
end;
$body$
LANGUAGE 'plpgsql'
VOLATILE
CALLED ON NULL INPUT
SECURITY INVOKER
COST 100 ROWS 1000;

COMMENT ON FUNCTION "Tepl"."GetEvent"(ppr_id text)
IS 'Получения перечня событий по id мест';