
SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id in (6658,6659,6660,6661,6662,6663,6664,6665,6666,6667,6668,6669,6670,6671,6672,6673,6674,6675,6676,6677,6678,6679,6680,6681,6682,6683,6684,6685,6686,6687,6688,6689,6690,6691,6692,6693,6694,6695,6696);
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id in (534,535);

---- Прибор "Логика СПТ 941.20" ----

	---- Группа "Разное" ----

  -- Добавление параметра прибора "Тепловая энергия ГВС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6658, 'Тепловая энергия ГВС', '', 503, 1, 1, 'Qg', 258, 399);
  -- Добавление параметра прибора "Контрольная тепловая энергия ГВС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6659, 'Контрольная тепловая энергия ГВС', '', 503, 1, 1, 'summ_Qg', 258, 388);
  -- Добавление параметра прибора "Время нештатной работы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6660, 'Время нештатной работы', '', 503, 1, 1, 'Tn', 258, 399);
  -- Добавление параметра прибора "Контрольное время нештатной работы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6661, 'Контрольное время нештатной работы', '', 503, 1, 1, 'summ_Tn', 258, 388);
  -- Добавление параметра прибора "Время штатной работы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6662, 'Время штатной работы', '', 503, 1, 1, 'Tsh', 258, 399);
  -- Добавление параметра прибора "Контрольное время штатной работы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6663, 'Контрольное время штатной работы', '', 503, 1, 1, 'summ_Tsh', 258, 388);

	---- Группа "Таймеры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (534, 'Таймеры', 'Текущее, интервальное, контрольное время счета таймеров', 258, 0);
  -- Добавление параметра прибора "Таймер 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6664, 'Таймер 1', '', 534, 1, 1, 'CT1', 258, 399);
  -- Добавление параметра прибора "Таймер 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6665, 'Таймер 2', '', 534, 1, 1, 'CT2', 258, 399);
  -- Добавление параметра прибора "Таймер 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6666, 'Таймер 3', '', 534, 1, 1, 'CT3', 258, 399);
  -- Добавление параметра прибора "Таймер 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6667, 'Таймер 4', '', 534, 1, 1, 'CT4', 258, 399);
  -- Добавление параметра прибора "Таймер 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6668, 'Таймер 5', '', 534, 1, 1, 'CT5', 258, 399);
  -- Добавление параметра прибора "Таймер 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6669, 'Таймер 6', '', 534, 1, 1, 'CT6', 258, 399);
  -- Добавление параметра прибора "Таймер 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6670, 'Таймер 7', '', 534, 1, 1, 'CT7', 258, 399);
  -- Добавление параметра прибора "Таймер 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6671, 'Таймер 8', '', 534, 1, 1, 'CT8', 258, 399);
  -- Добавление параметра прибора "Таймер 9"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6672, 'Таймер 9', '', 534, 1, 1, 'CT9', 258, 399);
  -- Добавление параметра прибора "Таймер 10"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6673, 'Таймер 10', '', 534, 1, 1, 'CT10', 258, 399);
  -- Добавление параметра прибора "Таймер 11"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6674, 'Таймер 11', '', 534, 1, 1, 'CT11', 258, 399);
  -- Добавление параметра прибора "Таймер 12"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6675, 'Таймер 12', '', 534, 1, 1, 'CT12', 258, 399);
  -- Добавление параметра прибора "Таймер 13"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6676, 'Таймер 13', '', 534, 1, 1, 'CT13', 258, 399);
  -- Добавление параметра прибора "Таймер 14"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6677, 'Таймер 14', '', 534, 1, 1, 'CT14', 258, 399);
  -- Добавление параметра прибора "Таймер 15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6678, 'Таймер 15', '', 534, 1, 1, 'CT15', 258, 399);
  -- Добавление параметра прибора "Таймер 16"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6679, 'Таймер 16', '', 534, 1, 1, 'CT16', 258, 399);
  -- Добавление параметра прибора "Контрольный таймер 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6680, 'Контрольный таймер 1', '', 534, 1, 1, 'summ_CT1', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6681, 'Контрольный таймер 2', '', 534, 1, 1, 'summ_CT2', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6682, 'Контрольный таймер 3', '', 534, 1, 1, 'summ_CT3', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6683, 'Контрольный таймер 4', '', 534, 1, 1, 'summ_CT4', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6684, 'Контрольный таймер 5', '', 534, 1, 1, 'summ_CT5', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6685, 'Контрольный таймер 6', '', 534, 1, 1, 'summ_CT6', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6686, 'Контрольный таймер 7', '', 534, 1, 1, 'summ_CT7', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6687, 'Контрольный таймер 8', '', 534, 1, 1, 'summ_CT8', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 9"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6688, 'Контрольный таймер 9', '', 534, 1, 1, 'summ_CT9', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 10"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6689, 'Контрольный таймер 10', '', 534, 1, 1, 'summ_CT10', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 11"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6690, 'Контрольный таймер 11', '', 534, 1, 1, 'summ_CT11', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 12"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6691, 'Контрольный таймер 12', '', 534, 1, 1, 'summ_CT12', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 13"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6692, 'Контрольный таймер 13', '', 534, 1, 1, 'summ_CT13', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 14"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6693, 'Контрольный таймер 14', '', 534, 1, 1, 'summ_CT14', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6694, 'Контрольный таймер 15', '', 534, 1, 1, 'summ_CT15', 258, 388);
  -- Добавление параметра прибора "Контрольный таймер 16"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6695, 'Контрольный таймер 16', '', 534, 1, 1, 'summ_CT16', 258, 388);

---- Прибор "Логика СПТ 943 v2" ----

	---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (535, 'Системные', 'Системные параметры', 261, 0);
  -- Добавление параметра прибора "Дата Время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6696, 'Дата Время', '', 535, 1, 1, 'D', 261, 449);
