SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 6874 AND pr_typ_id <= 7002;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id in (542, 543);
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 270;

---- Прибор "ОВЕН МУ-110" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (270, 'ОВЕН МУ-110', 'Релейный расширитель, в сетевом адресе после символа | указывается число каналов(8, 16, 32). По умолчанию 32.', 128);

---- Группа "Конфигурация" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (542, 'Конфигурация', 'Параметры прибора', 270, 0);
  -- Добавление параметра прибора "Сетевой таймаут [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6874, 'Сетевой таймаут [сек]', '', 542, 1, 1, 'N', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 1 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6875, 'Аварийное значение 1 [%]', '', 542, 1, 1, 'A1', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 2 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6876, 'Аварийное значение 2 [%]', '', 542, 1, 1, 'A2', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 3 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6877, 'Аварийное значение 3 [%]', '', 542, 1, 1, 'A3', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 4 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6878, 'Аварийное значение 4 [%]', '', 542, 1, 1, 'A4', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 5 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6879, 'Аварийное значение 5 [%]', '', 542, 1, 1, 'A5', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 6 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6880, 'Аварийное значение 6 [%]', '', 542, 1, 1, 'A6', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 7 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6881, 'Аварийное значение 7 [%]', '', 542, 1, 1, 'A7', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 8 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6882, 'Аварийное значение 8 [%]', '', 542, 1, 1, 'A8', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 9 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6883, 'Аварийное значение 9 [%]', '', 542, 1, 1, 'A9', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 10 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6884, 'Аварийное значение 10 [%]', '', 542, 1, 1, 'A10', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 11 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6885, 'Аварийное значение 11 [%]', '', 542, 1, 1, 'A11', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 12 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6886, 'Аварийное значение 12 [%]', '', 542, 1, 1, 'A12', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 13 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6887, 'Аварийное значение 13 [%]', '', 542, 1, 1, 'A13', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 14 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6888, 'Аварийное значение 14 [%]', '', 542, 1, 1, 'A14', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 15 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6889, 'Аварийное значение 15 [%]', '', 542, 1, 1, 'A15', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 16 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6890, 'Аварийное значение 16 [%]', '', 542, 1, 1, 'A16', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 17 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6891, 'Аварийное значение 17 [%]', '', 542, 1, 1, 'A17', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 18 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6892, 'Аварийное значение 18 [%]', '', 542, 1, 1, 'A18', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 19 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6893, 'Аварийное значение 19 [%]', '', 542, 1, 1, 'A19', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 20 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6894, 'Аварийное значение 20 [%]', '', 542, 1, 1, 'A20', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 21 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6895, 'Аварийное значение 21 [%]', '', 542, 1, 1, 'A21', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 22 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6896, 'Аварийное значение 22 [%]', '', 542, 1, 1, 'A22', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 23 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6897, 'Аварийное значение 23 [%]', '', 542, 1, 1, 'A23', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 24 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6898, 'Аварийное значение 24 [%]', '', 542, 1, 1, 'A24', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 25 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6899, 'Аварийное значение 25 [%]', '', 542, 1, 1, 'A25', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 26 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6900, 'Аварийное значение 26 [%]', '', 542, 1, 1, 'A26', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 27 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6901, 'Аварийное значение 27 [%]', '', 542, 1, 1, 'A27', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 28 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6902, 'Аварийное значение 28 [%]', '', 542, 1, 1, 'A28', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 29 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6903, 'Аварийное значение 29 [%]', '', 542, 1, 1, 'A29', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 30 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6904, 'Аварийное значение 30 [%]', '', 542, 1, 1, 'A30', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 31 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6905, 'Аварийное значение 31 [%]', '', 542, 1, 1, 'A31', 270, 192);
  -- Добавление параметра прибора "Аварийное значение 32 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6906, 'Аварийное значение 32 [%]', '', 542, 1, 1, 'A32', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 1 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6907, 'Период ШИМ 1 [сек]', '', 542, 1, 1, 'P1', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 2 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6908, 'Период ШИМ 2 [сек]', '', 542, 1, 1, 'P2', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 3 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6909, 'Период ШИМ 3 [сек]', '', 542, 1, 1, 'P3', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 4 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6910, 'Период ШИМ 4 [сек]', '', 542, 1, 1, 'P4', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 5 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6911, 'Период ШИМ 5 [сек]', '', 542, 1, 1, 'P5', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 6 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6912, 'Период ШИМ 6 [сек]', '', 542, 1, 1, 'P6', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 7 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6913, 'Период ШИМ 7 [сек]', '', 542, 1, 1, 'P7', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 8 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6914, 'Период ШИМ 8 [сек]', '', 542, 1, 1, 'P8', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 9 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6915, 'Период ШИМ 9 [сек]', '', 542, 1, 1, 'P9', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 10 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6916, 'Период ШИМ 10 [сек]', '', 542, 1, 1, 'P10', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 11 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6917, 'Период ШИМ 11 [сек]', '', 542, 1, 1, 'P11', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 12 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6918, 'Период ШИМ 12 [сек]', '', 542, 1, 1, 'P12', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 13 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6919, 'Период ШИМ 13 [сек]', '', 542, 1, 1, 'P13', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 14 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6920, 'Период ШИМ 14 [сек]', '', 542, 1, 1, 'P14', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 15 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6921, 'Период ШИМ 15 [сек]', '', 542, 1, 1, 'P15', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 16 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6922, 'Период ШИМ 16 [сек]', '', 542, 1, 1, 'P16', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 17 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6923, 'Период ШИМ 17 [сек]', '', 542, 1, 1, 'P17', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 18 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6924, 'Период ШИМ 18 [сек]', '', 542, 1, 1, 'P18', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 19 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6925, 'Период ШИМ 19 [сек]', '', 542, 1, 1, 'P19', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 20 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6926, 'Период ШИМ 20 [сек]', '', 542, 1, 1, 'P20', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 21 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6927, 'Период ШИМ 21 [сек]', '', 542, 1, 1, 'P21', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 22 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6928, 'Период ШИМ 22 [сек]', '', 542, 1, 1, 'P22', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 23 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6929, 'Период ШИМ 23 [сек]', '', 542, 1, 1, 'P23', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 24 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6930, 'Период ШИМ 24 [сек]', '', 542, 1, 1, 'P24', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 25 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6931, 'Период ШИМ 25 [сек]', '', 542, 1, 1, 'P25', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 26 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6932, 'Период ШИМ 26 [сек]', '', 542, 1, 1, 'P26', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 27 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6933, 'Период ШИМ 27 [сек]', '', 542, 1, 1, 'P27', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 28 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6934, 'Период ШИМ 28 [сек]', '', 542, 1, 1, 'P28', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 29 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6935, 'Период ШИМ 29 [сек]', '', 542, 1, 1, 'P29', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 30 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6936, 'Период ШИМ 30 [сек]', '', 542, 1, 1, 'P30', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 31 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6937, 'Период ШИМ 31 [сек]', '', 542, 1, 1, 'P31', 270, 192);
  -- Добавление параметра прибора "Период ШИМ 32 [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6938, 'Период ШИМ 32 [сек]', '', 542, 1, 1, 'P32', 270, 192);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (543, 'Текущие', '', 270, 0);
  -- Добавление параметра прибора "Значение 1 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6939, 'Значение 1 [%]', '', 543, 1, 1, 'V1', 270, 129);
  -- Добавление параметра прибора "Значение 2 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6940, 'Значение 2 [%]', '', 543, 1, 1, 'V2', 270, 129);
  -- Добавление параметра прибора "Значение 3 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6941, 'Значение 3 [%]', '', 543, 1, 1, 'V3', 270, 129);
  -- Добавление параметра прибора "Значение 4 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6942, 'Значение 4 [%]', '', 543, 1, 1, 'V4', 270, 129);
  -- Добавление параметра прибора "Значение 5 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6943, 'Значение 5 [%]', '', 543, 1, 1, 'V5', 270, 129);
  -- Добавление параметра прибора "Значение 6 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6944, 'Значение 6 [%]', '', 543, 1, 1, 'V6', 270, 129);
  -- Добавление параметра прибора "Значение 7 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6945, 'Значение 7 [%]', '', 543, 1, 1, 'V7', 270, 129);
  -- Добавление параметра прибора "Значение 8 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6946, 'Значение 8 [%]', '', 543, 1, 1, 'V8', 270, 129);
  -- Добавление параметра прибора "Значение 9 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6947, 'Значение 9 [%]', '', 543, 1, 1, 'V9', 270, 129);
  -- Добавление параметра прибора "Значение 10 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6948, 'Значение 10 [%]', '', 543, 1, 1, 'V10', 270, 129);
  -- Добавление параметра прибора "Значение 11 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6949, 'Значение 11 [%]', '', 543, 1, 1, 'V11', 270, 129);
  -- Добавление параметра прибора "Значение 12 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6950, 'Значение 12 [%]', '', 543, 1, 1, 'V12', 270, 129);
  -- Добавление параметра прибора "Значение 13 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6951, 'Значение 13 [%]', '', 543, 1, 1, 'V13', 270, 129);
  -- Добавление параметра прибора "Значение 14 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6952, 'Значение 14 [%]', '', 543, 1, 1, 'V14', 270, 129);
  -- Добавление параметра прибора "Значение 15 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6953, 'Значение 15 [%]', '', 543, 1, 1, 'V15', 270, 129);
  -- Добавление параметра прибора "Значение 16 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6954, 'Значение 16 [%]', '', 543, 1, 1, 'V16', 270, 129);
  -- Добавление параметра прибора "Значение 17 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6955, 'Значение 17 [%]', '', 543, 1, 1, 'V17', 270, 129);
  -- Добавление параметра прибора "Значение 18 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6956, 'Значение 18 [%]', '', 543, 1, 1, 'V18', 270, 129);
  -- Добавление параметра прибора "Значение 19 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6957, 'Значение 19 [%]', '', 543, 1, 1, 'V19', 270, 129);
  -- Добавление параметра прибора "Значение 20 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6958, 'Значение 20 [%]', '', 543, 1, 1, 'V20', 270, 129);
  -- Добавление параметра прибора "Значение 21 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6959, 'Значение 21 [%]', '', 543, 1, 1, 'V21', 270, 129);
  -- Добавление параметра прибора "Значение 22 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6960, 'Значение 22 [%]', '', 543, 1, 1, 'V22', 270, 129);
  -- Добавление параметра прибора "Значение 23 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6961, 'Значение 23 [%]', '', 543, 1, 1, 'V23', 270, 129);
  -- Добавление параметра прибора "Значение 24 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6962, 'Значение 24 [%]', '', 543, 1, 1, 'V24', 270, 129);
  -- Добавление параметра прибора "Значение 25 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6963, 'Значение 25 [%]', '', 543, 1, 1, 'V25', 270, 129);
  -- Добавление параметра прибора "Значение 26 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6964, 'Значение 26 [%]', '', 543, 1, 1, 'V26', 270, 129);
  -- Добавление параметра прибора "Значение 27 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6965, 'Значение 27 [%]', '', 543, 1, 1, 'V27', 270, 129);
  -- Добавление параметра прибора "Значение 28 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6966, 'Значение 28 [%]', '', 543, 1, 1, 'V28', 270, 129);
  -- Добавление параметра прибора "Значение 28 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6967, 'Значение 28 [%]', '', 543, 1, 1, 'V29', 270, 129);
  -- Добавление параметра прибора "Значение 30 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6968, 'Значение 30 [%]', '', 543, 1, 1, 'V30', 270, 129);
  -- Добавление параметра прибора "Значение 31 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6969, 'Значение 31 [%]', '', 543, 1, 1, 'V31', 270, 129);
  -- Добавление параметра прибора "Значение 32 [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6970, 'Значение 32 [%]', '', 543, 1, 1, 'V32', 270, 129);
  -- Добавление параметра прибора "Реле 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6971, 'Реле 1', '', 543, 1, 1, 'S1', 270, 129);
  -- Добавление параметра прибора "Реле 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6972, 'Реле 2', '', 543, 1, 1, 'S2', 270, 129);
  -- Добавление параметра прибора "Реле 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6973, 'Реле 3', '', 543, 1, 1, 'S3', 270, 129);
  -- Добавление параметра прибора "Реле 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6974, 'Реле 4', '', 543, 1, 1, 'S4', 270, 129);
  -- Добавление параметра прибора "Реле 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6975, 'Реле 5', '', 543, 1, 1, 'S5', 270, 129);
  -- Добавление параметра прибора "Реле 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6976, 'Реле 6', '', 543, 1, 1, 'S6', 270, 129);
  -- Добавление параметра прибора "Реле 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6977, 'Реле 7', '', 543, 1, 1, 'S7', 270, 129);
  -- Добавление параметра прибора "Реле 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6978, 'Реле 8', '', 543, 1, 1, 'S8', 270, 129);
  -- Добавление параметра прибора "Реле 9"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6979, 'Реле 9', '', 543, 1, 1, 'S9', 270, 129);
  -- Добавление параметра прибора "Реле 10"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6980, 'Реле 10', '', 543, 1, 1, 'S10', 270, 129);
  -- Добавление параметра прибора "Реле 11"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6981, 'Реле 11', '', 543, 1, 1, 'S11', 270, 129);
  -- Добавление параметра прибора "Реле 12"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6982, 'Реле 12', '', 543, 1, 1, 'S12', 270, 129);
  -- Добавление параметра прибора "Реле 13"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6983, 'Реле 13', '', 543, 1, 1, 'S13', 270, 129);
  -- Добавление параметра прибора "Реле 14"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6984, 'Реле 14', '', 543, 1, 1, 'S14', 270, 129);
  -- Добавление параметра прибора "Реле 15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6985, 'Реле 15', '', 543, 1, 1, 'S15', 270, 129);
  -- Добавление параметра прибора "Реле 16"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6986, 'Реле 16', '', 543, 1, 1, 'S16', 270, 129);
  -- Добавление параметра прибора "Реле 17"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6987, 'Реле 17', '', 543, 1, 1, 'S17', 270, 129);
  -- Добавление параметра прибора "Реле 18"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6988, 'Реле 18', '', 543, 1, 1, 'S18', 270, 129);
  -- Добавление параметра прибора "Реле 19"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6989, 'Реле 19', '', 543, 1, 1, 'S19', 270, 129);
  -- Добавление параметра прибора "Реле 20"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6990, 'Реле 20', '', 543, 1, 1, 'S20', 270, 129);
  -- Добавление параметра прибора "Реле 21"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6991, 'Реле 21', '', 543, 1, 1, 'S21', 270, 129);
  -- Добавление параметра прибора "Реле 22"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6992, 'Реле 22', '', 543, 1, 1, 'S22', 270, 129);
  -- Добавление параметра прибора "Реле 23"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6993, 'Реле 23', '', 543, 1, 1, 'S23', 270, 129);
  -- Добавление параметра прибора "Реле 24"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6994, 'Реле 24', '', 543, 1, 1, 'S24', 270, 129);
  -- Добавление параметра прибора "Реле 25"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6995, 'Реле 25', '', 543, 1, 1, 'S25', 270, 129);
  -- Добавление параметра прибора "Реле 26"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6996, 'Реле 26', '', 543, 1, 1, 'S26', 270, 129);
  -- Добавление параметра прибора "Реле 27"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6997, 'Реле 27', '', 543, 1, 1, 'S27', 270, 129);
  -- Добавление параметра прибора "Реле 28"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6998, 'Реле 28', '', 543, 1, 1, 'S28', 270, 129);
  -- Добавление параметра прибора "Реле 29"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6999, 'Реле 29', '', 543, 1, 1, 'S29', 270, 129);
  -- Добавление параметра прибора "Реле 30"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7000, 'Реле 30', '', 543, 1, 1, 'S30', 270, 129);
  -- Добавление параметра прибора "Реле 31"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7001, 'Реле 31', '', 543, 1, 1, 'S31', 270, 129);
  -- Добавление параметра прибора "Реле 32"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7002, 'Реле 32', '', 543, 1, 1, 'S32', 270, 129);
