SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 7112 AND pr_typ_id <= 7173;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id in (545, 546, 547);
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 274;


---- Прибор "Отан САР4У" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (274, 'Отан САР4У', 'Трехфазный многотарифный электросчетчик', 128);

---- Группа "О приборе" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (545, 'О приборе', 'Информция о приборе', 274, 0);
  -- Добавление параметра прибора "Сетевой номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7112, 'Сетевой номер', '', 545, 1, 1, 'SNT', 274, 448);
  -- Добавление параметра прибора "Идентификационный код"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7113, 'Идентификационный код', '', 545, 1, 1, 'SID', 274, 448);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7114, 'Серийный номер', '', 545, 1, 1, 'SSX', 274, 448);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7115, 'Дата и время', '', 545, 1, 1, 'D', 274, 449);

---- Группа "Мгновенные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (546, 'Мгновенные', 'Только текущий параметры', 274, 0);
  -- Добавление параметра прибора "Напряжение фаза 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7116, 'Напряжение фаза 1', '', 546, 1, 1, 'FV1', 274, 385);
  -- Добавление параметра прибора "Напряжение фаза 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7117, 'Напряжение фаза 2', '', 546, 1, 1, 'FV2', 274, 385);
  -- Добавление параметра прибора "Напряжение фаза 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7118, 'Напряжение фаза 3', '', 546, 1, 1, 'FV3', 274, 385);
  -- Добавление параметра прибора "Ток фаза 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7119, 'Ток фаза 1', '', 546, 1, 1, 'FA1', 274, 385);
  -- Добавление параметра прибора "Ток фаза 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7120, 'Ток фаза 2', '', 546, 1, 1, 'FA2', 274, 385);
  -- Добавление параметра прибора "Ток фаза 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7121, 'Ток фаза 3', '', 546, 1, 1, 'FA3', 274, 385);
  -- Добавление параметра прибора "Косинус фаза 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7122, 'Косинус фаза 1', '', 546, 1, 1, 'FC1', 274, 385);
  -- Добавление параметра прибора "Косинус фаза 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7123, 'Косинус фаза 2', '', 546, 1, 1, 'FC2', 274, 385);
  -- Добавление параметра прибора "Косинус фаза 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7124, 'Косинус фаза 3', '', 546, 1, 1, 'FC3', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 1 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7125, 'Мощность фаза 1 A+', '', 546, 1, 1, 'W1A+', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 1 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7126, 'Мощность фаза 1 A-', '', 546, 1, 1, 'W1A-', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 1 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7127, 'Мощность фаза 1 R+', '', 546, 1, 1, 'W1R+', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 1 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7128, 'Мощность фаза 1 R-', '', 546, 1, 1, 'W1R-', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 2 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7129, 'Мощность фаза 2 A+', '', 546, 1, 1, 'W2A+', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 2 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7130, 'Мощность фаза 2 A-', '', 546, 1, 1, 'W2A-', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 2 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7131, 'Мощность фаза 2 R+', '', 546, 1, 1, 'W2R+', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 2 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7132, 'Мощность фаза 2 R-', '', 546, 1, 1, 'W2R-', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 3 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7133, 'Мощность фаза 3 A+', '', 546, 1, 1, 'W3A+', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 3 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7134, 'Мощность фаза 3 A-', '', 546, 1, 1, 'W3A-', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 3 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7135, 'Мощность фаза 3 R+', '', 546, 1, 1, 'W3R+', 274, 385);
  -- Добавление параметра прибора "Мощность фаза 3 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7136, 'Мощность фаза 3 R-', '', 546, 1, 1, 'W3R-', 274, 385);
  -- Добавление параметра прибора "Мощность макс. A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7137, 'Мощность макс. A+', '', 546, 1, 1, 'WMA+', 274, 385);
  -- Добавление параметра прибора "Мощность макс. A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7138, 'Мощность макс. A-', '', 546, 1, 1, 'WMA-', 274, 385);
  -- Добавление параметра прибора "Мощность макс. R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7139, 'Мощность макс. R+', '', 546, 1, 1, 'WMR+', 274, 385);
  -- Добавление параметра прибора "Мощность макс. R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7140, 'Мощность макс. R-', '', 546, 1, 1, 'WMR-', 274, 385);
  -- Добавление параметра прибора "Мощность макс. S"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7141, 'Мощность макс. S', '', 546, 1, 1, 'WMSX', 274, 385);

---- Группа "Архивные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (547, 'Архивные', 'Архивы накопленной энергии', 274, 0);
  -- Добавление параметра прибора "Энергия 1 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7142, 'Энергия 1 A+', '', 547, 1, 1, 'E1A+', 274, 396);
  -- Добавление параметра прибора "Энергия 1 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7143, 'Энергия 1 A-', '', 547, 1, 1, 'E1A-', 274, 396);
  -- Добавление параметра прибора "Энергия 1 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7144, 'Энергия 1 R+', '', 547, 1, 1, 'E1R+', 274, 396);
  -- Добавление параметра прибора "Энергия 1 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7145, 'Энергия 1 R-', '', 547, 1, 1, 'E1R-', 274, 396);
  -- Добавление параметра прибора "Энергия 2 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7146, 'Энергия 2 A+', '', 547, 1, 1, 'E2A+', 274, 396);
  -- Добавление параметра прибора "Энергия 2 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7147, 'Энергия 2 A-', '', 547, 1, 1, 'E2A-', 274, 396);
  -- Добавление параметра прибора "Энергия 2 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7148, 'Энергия 2 R+', '', 547, 1, 1, 'E2R+', 274, 396);
  -- Добавление параметра прибора "Энергия 2 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7149, 'Энергия 2 R-', '', 547, 1, 1, 'E2R-', 274, 396);
  -- Добавление параметра прибора "Энергия 3 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7150, 'Энергия 3 A+', '', 547, 1, 1, 'E3A+', 274, 396);
  -- Добавление параметра прибора "Энергия 3 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7151, 'Энергия 3 A-', '', 547, 1, 1, 'E3A-', 274, 396);
  -- Добавление параметра прибора "Энергия 3 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7152, 'Энергия 3 R+', '', 547, 1, 1, 'E3R+', 274, 396);
  -- Добавление параметра прибора "Энергия 3 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7153, 'Энергия 3 R-', '', 547, 1, 1, 'E3R-', 274, 396);
  -- Добавление параметра прибора "Энергия 4 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7154, 'Энергия 4 A+', '', 547, 1, 1, 'E4A+', 274, 396);
  -- Добавление параметра прибора "Энергия 4 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7155, 'Энергия 4 A-', '', 547, 1, 1, 'E4A-', 274, 396);
  -- Добавление параметра прибора "Энергия 4 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7156, 'Энергия 4 R+', '', 547, 1, 1, 'E4R+', 274, 396);
  -- Добавление параметра прибора "Энергия 4 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7157, 'Энергия 4 R-', '', 547, 1, 1, 'E4R-', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 1 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7158, 'Мощность макс. 1 A+', '', 547, 1, 1, 'EM1A+', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 1 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7159, 'Мощность макс. 1 A-', '', 547, 1, 1, 'EM1A-', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 1 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7160, 'Мощность макс. 1 R+', '', 547, 1, 1, 'EM1R+', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 1 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7161, 'Мощность макс. 1 R-', '', 547, 1, 1, 'EM1R-', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 2 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7162, 'Мощность макс. 2 A+', '', 547, 1, 1, 'EM2A+', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 2 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7163, 'Мощность макс. 2 A-', '', 547, 1, 1, 'EM2A-', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 2 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7164, 'Мощность макс. 2 R+', '', 547, 1, 1, 'EM2R+', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 2 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7165, 'Мощность макс. 2 R-', '', 547, 1, 1, 'EM2R-', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 3 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7166, 'Мощность макс. 3 A+', '', 547, 1, 1, 'EM3A+', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 3 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7167, 'Мощность макс. 3 A-', '', 547, 1, 1, 'EM3A-', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 3 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7168, 'Мощность макс. 3 R+', '', 547, 1, 1, 'EM3R+', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 3 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7169, 'Мощность макс. 3 R-', '', 547, 1, 1, 'EM3R-', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 4 A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7170, 'Мощность макс. 4 A+', '', 547, 1, 1, 'EM4A+', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 4 A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7171, 'Мощность макс. 4 A-', '', 547, 1, 1, 'EM4A-', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 4 R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7172, 'Мощность макс. 4 R+', '', 547, 1, 1, 'EM4R+', 274, 396);
  -- Добавление параметра прибора "Мощность макс. 4 R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7173, 'Мощность макс. 4 R-', '', 547, 1, 1, 'EM4R-', 274, 396);
