SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 7452 AND pr_typ_id <= 7466;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id in (566, 567);
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 282;

---- Прибор "Пульс СТ" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (282, 'Пульс СТ', 'Теплосчетчик', 128);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (566, 'Настроечные', 'Информация о приборе', 282, 0);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7452, 'Дата и время', '', 566, 1, 1, 'D', 282, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7453, 'Серийный номер', '', 566, 1, 1, 'hdr_ident', 282, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7454, 'Код производителя', '', 566, 1, 1, 'hdr_manuf', 282, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7455, 'Версия прибора', '', 566, 1, 1, 'hdr_version', 282, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7456, 'Категория', '', 566, 1, 1, 'hdr_medium', 282, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7457, 'Счетчик доступа', '', 566, 1, 1, 'hdr_access', 282, 448);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7458, 'Ошибки', '', 566, 1, 1, 'hdr_status', 282, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (567, 'Показания', 'Текущие и архивные показания прибора', 282, 0);
  -- Добавление параметра прибора "Энергия [Вт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7459, 'Энергия [Вт*ч]', '', 567, 1, 1, 'E', 282, 393);
  -- Добавление параметра прибора "Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7460, 'Объем [м3]', '', 567, 1, 1, 'Q', 282, 385);
  -- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7461, 'Температура, подача [С]', '', 567, 1, 1, 'TF', 282, 385);
  -- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7462, 'Температура, обратка [С]', '', 567, 1, 1, 'TR', 282, 385);
  -- Добавление параметра прибора "Температура, перепад [К]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7463, 'Температура, перепад [К]', '', 567, 1, 1, 'TD', 282, 385);
  -- Добавление параметра прибора "Мощность [кВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7464, 'Мощность [кВт]', '', 567, 1, 1, 'W', 282, 385);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7465, 'Расход [м3/ч]', '', 567, 1, 1, 'QM', 282, 385);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7466, 'Время наработки [ч]', '', 567, 1, 1, 'ON', 282, 385);
