SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8228 AND pr_typ_id <= 8330;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 617 AND gr_typ_id <= 621;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 297;

---- Прибор "Пульсар модуль счетчика воды v6" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (297, 'Пульсар модуль счетчика воды v6', '', 128);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (617, 'Каналы', 'Текущие и архивируемые каналы прибора', 297, 0);

  -- Добавление параметра прибора "Объем [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8228, 'Объем [л]', '', 617, 1, 1, 'K1', 297, 143);

---- Группа "Тестирование" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (618, 'Тестирование', 'Каналы для тестирования прибора', 297, 617);

  -- Добавление параметра прибора "Тестовый объем [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8229, 'Тестовый объем [л]', '', 618, 1, 1, 'K16', 297, 320);
  -- Добавление параметра прибора "Тестовый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8230, 'Тестовый расход [м3/ч]', '', 618, 1, 1, 'K17', 297, 320);
  -- Добавление параметра прибора "Время теста [с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8231, 'Время теста [с]', '', 618, 1, 1, 'K18', 297, 320);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (619, 'Параметры', 'Настройка прибора', 297, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8232, 'Дата и время', '', 619, 1, 1, 'D', 297, 193);
  -- Добавление параметра прибора "Сетевой адрес прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8233, 'Сетевой адрес прибора', '', 619, 1, 1, 'NPARAM02', 297, 192);
  -- Добавление параметра прибора "Версия прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8234, 'Версия прошивки', '', 619, 1, 1, 'P', 297, 448);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8235, 'Ошибки', '', 619, 1, 1, 'NPARAM06', 297, 448);
  -- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8236, 'Количество сбросов', '', 619, 1, 1, 'NPARAM07', 297, 128);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8237, 'Запись разрешена аппаратно', '', 619, 1, 1, 'NPARAM08', 297, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8238, 'Запись разрешена программно', '', 619, 1, 1, 'NPARAM09', 297, 448);
  -- Добавление параметра прибора "Напряжение батареи, [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8239, 'Напряжение батареи, [В]', '', 619, 1, 1, 'NPARAM0A', 297, 448);
  -- Добавление параметра прибора "Температура прибора, [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8240, 'Температура прибора, [C]', '', 619, 1, 1, 'NPARAM0B', 297, 448);
  -- Добавление параметра прибора "Объем на оборот крыльчатки [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8241, 'Объем на оборот крыльчатки [л/имп]', '', 619, 1, 1, 'NPARAM13', 297, 192);
  -- Добавление параметра прибора "Порог переполнения [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8242, 'Порог переполнения [л]', '', 619, 1, 1, 'NPARAM14', 297, 192);
  -- Добавление параметра прибора "Сетевой адрес M-bus"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8243, 'Сетевой адрес M-bus', '', 619, 1, 1, 'NPARAM28', 297, 192);
  -- Добавление параметра прибора "Флаги ошибок [маска]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8244, 'Флаги ошибок [маска]', '', 619, 1, 1, 'NPARAM24', 297, 192);
  -- Добавление параметра прибора "Выход ошибок [маска]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8245, 'Выход ошибок [маска]', '', 619, 1, 1, 'NPARAM25', 297, 192);
  -- Добавление параметра прибора "Длит. импульса. выхода [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8246, 'Длит. импульса. выхода [мс]', '', 619, 1, 1, 'NPARAM27', 297, 192);

---- Группа "Флаги ошибок" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (620, 'Флаги ошибок', '', 297, 619);

  -- Добавление параметра прибора "Батарея питания"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8247, 'Батарея питания', '', 620, 1, 1, 'NPARAM6BIT0', 297, 448);
  -- Добавление параметра прибора "EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8248, 'EEPROM', '', 620, 1, 1, 'NPARAM6BIT1', 297, 385);
  -- Добавление параметра прибора "Сброс ОЗУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8249, 'Сброс ОЗУ', '', 620, 1, 1, 'NPARAM6BIT2', 297, 385);
  -- Добавление параметра прибора "Ошибка кварца часов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8250, 'Ошибка кварца часов', '', 620, 1, 1, 'NPARAM6BIT3', 297, 385);
  -- Добавление параметра прибора "Ошибка направления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8251, 'Ошибка направления', '', 620, 1, 1, 'NPARAM6BIT6', 297, 385);
  -- Добавление параметра прибора "Геркон"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8252, 'Геркон', '', 620, 1, 1, 'NPARAM6BIT7', 297, 385);
  -- Добавление параметра прибора "Датчик1 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8253, 'Датчик1 миниум', '', 620, 1, 1, 'NPARAM6BIT8', 297, 448);
  -- Добавление параметра прибора "Датчик1 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8254, 'Датчик1 максиум', '', 620, 1, 1, 'NPARAM6BIT9', 297, 448);
  -- Добавление параметра прибора "Датчик2 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8255, 'Датчик2 миниум', '', 620, 1, 1, 'NPARAM6BIT10', 297, 448);
  -- Добавление параметра прибора "Датчик2 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8256, 'Датчик2 максиум', '', 620, 1, 1, 'NPARAM6BIT11', 297, 448);
  -- Добавление параметра прибора "Датчик 1_2 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8257, 'Датчик 1_2 миниум', '', 620, 1, 1, 'NPARAM6BIT12', 297, 448);
  -- Добавление параметра прибора "Датчик 1_2 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8258, 'Датчик 1_2 максиум', '', 620, 1, 1, 'NPARAM6BIT13', 297, 448);
  -- Добавление параметра прибора "Датчик3 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8259, 'Датчик3 миниум', '', 620, 1, 1, 'NPARAM6BIT14', 297, 448);
  -- Добавление параметра прибора "Датчик3 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8260, 'Датчик3 максиум', '', 620, 1, 1, 'NPARAM6BIT15', 297, 448);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (621, 'Наладка', '', 297, 619);

  -- Добавление параметра прибора "Авто Зима/Лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8261, 'Авто Зима/Лето', '', 621, 1, 1, 'L', 297, 64);
  -- Добавление параметра прибора "Ёмкость час. кварца [1..3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8262, 'Ёмкость час. кварца [1..3]', '', 621, 1, 1, 'NPARAME', 297, 64);
  -- Добавление параметра прибора "Часовой кварц [1-есть/0-нет]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8263, 'Часовой кварц [1-есть/0-нет]', '', 621, 1, 1, 'NPARAMF', 297, 64);
  -- Добавление параметра прибора "Тригер ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8264, 'Тригер ошибок', '', 621, 1, 1, 'NPARAM10', 297, 320);
  -- Добавление параметра прибора "Частота измерения [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8265, 'Частота измерения [Гц]', '', 621, 1, 1, 'NPARAM15', 297, 64);
  -- Добавление параметра прибора "Диагностика [1-запуск]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8266, 'Диагностика [1-запуск]', '', 621, 1, 1, 'NPARAM50', 297, 64);
  -- Добавление параметра прибора "Тест ACLK [1-запуск]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8267, 'Тест ACLK [1-запуск]', '', 621, 1, 1, 'NPARAM51', 297, 64);
  -- Добавление параметра прибора "Тест расхода [1-старт,0-стоп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8268, 'Тест расхода [1-старт,0-стоп]', '', 621, 1, 1, 'NPARAM52', 297, 64);
  -- Добавление параметра прибора "Автонастройка [0..3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8269, 'Автонастройка [0..3]', '', 621, 1, 1, 'NPARAM5F', 297, 64);
  -- Добавление параметра прибора "Калибр своб. д.1 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8270, 'Калибр своб. д.1 миниум', '', 621, 1, 1, 'NPARAM18byte0', 297, 320);
  -- Добавление параметра прибора "Калибр своб. д.1 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8271, 'Калибр своб. д.1 максиум', '', 621, 1, 1, 'NPARAM18byte1', 297, 320);
  -- Добавление параметра прибора "Калибр своб. д.2 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8272, 'Калибр своб. д.2 миниум', '', 621, 1, 1, 'NPARAM18byte2', 297, 320);
  -- Добавление параметра прибора "Калибр своб. д.2 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8273, 'Калибр своб. д.2 максиум', '', 621, 1, 1, 'NPARAM18byte3', 297, 320);
  -- Добавление параметра прибора "Калибр своб. д.1,2 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8274, 'Калибр своб. д.1,2 миниум', '', 621, 1, 1, 'NPARAM18byte4', 297, 320);
  -- Добавление параметра прибора "Калибр своб. д.1,2 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8275, 'Калибр своб. д.1,2 максиум', '', 621, 1, 1, 'NPARAM18byte5', 297, 320);
  -- Добавление параметра прибора "Калибр своб. д.3 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8276, 'Калибр своб. д.3 миниум', '', 621, 1, 1, 'NPARAM18byte6', 297, 320);
  -- Добавление параметра прибора "Калибр своб. д.3 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8277, 'Калибр своб. д.3 максиум', '', 621, 1, 1, 'NPARAM18byte7', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. д.1 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8278, 'Калибр вращ. д.1 миниум', '', 621, 1, 1, 'NPARAM19byte0', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. д.1 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8279, 'Калибр вращ. д.1 максиум', '', 621, 1, 1, 'NPARAM19byte1', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. д.2 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8280, 'Калибр вращ. д.2 миниум', '', 621, 1, 1, 'NPARAM19byte2', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. д.2 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8281, 'Калибр вращ. д.2 максиум', '', 621, 1, 1, 'NPARAM19byte3', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. д.1,2 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8282, 'Калибр вращ. д.1,2 миниум', '', 621, 1, 1, 'NPARAM19byte4', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. д.1_2 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8283, 'Калибр вращ. д.1_2 максиум', '', 621, 1, 1, 'NPARAM19byte5', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. д.3 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8284, 'Калибр вращ. д.3 миниум', '', 621, 1, 1, 'NPARAM19byte6', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. д.3 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8285, 'Калибр вращ. д.3 максиум', '', 621, 1, 1, 'NPARAM19byte7', 297, 320);
  -- Добавление параметра прибора "Датчик1 добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8286, 'Датчик1 добротность', '', 621, 1, 1, 'NPARAM1Abyte0', 297, 320);
  -- Добавление параметра прибора "Датчик2 добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8287, 'Датчик2 добротность', '', 621, 1, 1, 'NPARAM1Abyte1', 297, 320);
  -- Добавление параметра прибора "Датчик 1_2 добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8288, 'Датчик 1_2 добротность', '', 621, 1, 1, 'NPARAM1Abyte2', 297, 320);
  -- Добавление параметра прибора "Датчик3 добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8289, 'Датчик3 добротность', '', 621, 1, 1, 'NPARAM1Abyte3', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8290, 'Расчёт Д.1 миниум', '', 621, 1, 1, 'NPARAM1Bbyte0', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8291, 'Расчёт Д.1 максиум', '', 621, 1, 1, 'NPARAM1Bbyte1', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1 порог нижний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8292, 'Расчёт Д.1 порог нижний', '', 621, 1, 1, 'NPARAM1Bbyte2', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1 порог верхний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8293, 'Расчёт Д.1 порог верхний', '', 621, 1, 1, 'NPARAM1Bbyte3', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1 порог ош. нижний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8294, 'Расчёт Д.1 порог ош. нижний', '', 621, 1, 1, 'NPARAM1Bbyte4', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1 порог ош. верхний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8295, 'Расчёт Д.1 порог ош. верхний', '', 621, 1, 1, 'NPARAM1Bbyte5', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1 фильтр ош. нижнего пор."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8296, 'Расчёт Д.1 фильтр ош. нижнего пор.', '', 621, 1, 1, 'NPARAM1Bbyte6', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1 фильтр ош. верхнего пор."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8297, 'Расчёт Д.1 фильтр ош. верхнего пор.', '', 621, 1, 1, 'NPARAM1Bbyte7', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.2 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8298, 'Расчёт Д.2 миниум', '', 621, 1, 1, 'NPARAM1Cbyte0', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.2 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8299, 'Расчёт Д.2 максиум', '', 621, 1, 1, 'NPARAM1Cbyte1', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.2 порог нижний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8300, 'Расчёт Д.2 порог нижний', '', 621, 1, 1, 'NPARAM1Cbyte2', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.2 порог верхний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8301, 'Расчёт Д.2 порог верхний', '', 621, 1, 1, 'NPARAM1Cbyte3', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.2 порог ош. нижний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8302, 'Расчёт Д.2 порог ош. нижний', '', 621, 1, 1, 'NPARAM1Cbyte4', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.2 порог ош. верхний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8303, 'Расчёт Д.2 порог ош. верхний', '', 621, 1, 1, 'NPARAM1Cbyte5', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.2 фильтр ош. нижнего пор."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8304, 'Расчёт Д.2 фильтр ош. нижнего пор.', '', 621, 1, 1, 'NPARAM1Cbyte6', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.2 фильтр ош. верхнего пор."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8305, 'Расчёт Д.2 фильтр ош. верхнего пор.', '', 621, 1, 1, 'NPARAM1Cbyte7', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1_2 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8306, 'Расчёт Д.1_2 миниум', '', 621, 1, 1, 'NPARAM1Dbyte0', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1_2 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8307, 'Расчёт Д.1_2 максиум', '', 621, 1, 1, 'NPARAM1Dbyte1', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1_2 порог нижний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8308, 'Расчёт Д.1_2 порог нижний', '', 621, 1, 1, 'NPARAM1Dbyte2', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1_2 порог верхний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8309, 'Расчёт Д.1_2 порог верхний', '', 621, 1, 1, 'NPARAM1Dbyte3', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1_2 порог ош. нижний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8310, 'Расчёт Д.1_2 порог ош. нижний', '', 621, 1, 1, 'NPARAM1Dbyte4', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1_2 порог ош. верхний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8311, 'Расчёт Д.1_2 порог ош. верхний', '', 621, 1, 1, 'NPARAM1Dbyte5', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1_2 фильтр ош. нижнего пор."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8312, 'Расчёт Д.1_2 фильтр ош. нижнего пор.', '', 621, 1, 1, 'NPARAM1Dbyte6', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.1_2 фильтр ош. верхнего пор."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8313, 'Расчёт Д.1_2 фильтр ош. верхнего пор.', '', 621, 1, 1, 'NPARAM1Dbyte7', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.3 миниум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8314, 'Расчёт Д.3 миниум', '', 621, 1, 1, 'NPARAM1Ebyte0', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.3 максиум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8315, 'Расчёт Д.3 максиум', '', 621, 1, 1, 'NPARAM1Ebyte1', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.3 порог нижний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8316, 'Расчёт Д.3 порог нижний', '', 621, 1, 1, 'NPARAM1Ebyte2', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.3 порог верхний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8317, 'Расчёт Д.3 порог верхний', '', 621, 1, 1, 'NPARAM1Ebyte3', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.3 порог ош. нижний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8318, 'Расчёт Д.3 порог ош. нижний', '', 621, 1, 1, 'NPARAM1Ebyte4', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.3 порог ош. верхний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8319, 'Расчёт Д.3 порог ош. верхний', '', 621, 1, 1, 'NPARAM1Ebyte5', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.3 фильтр ош. нижнего пор."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8320, 'Расчёт Д.3 фильтр ош. нижнего пор.', '', 621, 1, 1, 'NPARAM1Ebyte6', 297, 320);
  -- Добавление параметра прибора "Расчёт Д.3 фильтр ош. верхнего пор."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8321, 'Расчёт Д.3 фильтр ош. верхнего пор.', '', 621, 1, 1, 'NPARAM1Ebyte7', 297, 320);
  -- Добавление параметра прибора "Калибр своб. Д.1 Разность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8322, 'Калибр своб. Д.1 Разность', '', 621, 1, 1, 'DIFF|NPARAM18byte1|NPARAM18byte0', 297, 320);
  -- Добавление параметра прибора "Калибр своб. Д.2 Разность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8323, 'Калибр своб. Д.2 Разность', '', 621, 1, 1, 'DIFF|NPARAM18byte3|NPARAM18byte2', 297, 320);
  -- Добавление параметра прибора "Калибр своб. Д.1_2 Разность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8324, 'Калибр своб. Д.1_2 Разность', '', 621, 1, 1, 'DIFF|NPARAM18byte5|NPARAM18byte4', 297, 320);
  -- Добавление параметра прибора "Калибр своб. Д.3 Разность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8325, 'Калибр своб. Д.3 Разность', '', 621, 1, 1, 'DIFF|NPARAM18byte7|NPARAM18byte6', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. Д.1 Разность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8326, 'Калибр вращ. Д.1 Разность', '', 621, 1, 1, 'DIFF|NPARAM19byte1|NPARAM19byte0', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. Д.2 Разность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8327, 'Калибр вращ. Д.2 Разность', '', 621, 1, 1, 'DIFF|NPARAM19byte3|NPARAM19byte2', 297, 320);
  -- Добавление параметра прибора "Калибр вращ. Д.3 Разность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8328, 'Калибр вращ. Д.3 Разность', '', 621, 1, 1, 'DIFF|NPARAM19byte7|NPARAM19byte6', 297, 320);
  -- Добавление параметра прибора "Калибр своб.min3-вращ.max3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8329, 'Калибр своб.min3-вращ.max3', '', 621, 1, 1, 'DIFF|NPARAM18byte6|NPARAM19byte7', 297, 320);
  -- Добавление параметра прибора "Калибр своб.min1_2-вращ.max1_2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8330, 'Калибр своб.min1_2-вращ.max1_2', '', 621, 1, 1, 'DIFF|NPARAM18byte4|NPARAM19byte5', 297, 320);
