-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8442 AND pr_typ_id <= 8536;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 633;

---- Прибор "Ультра1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Ультра1', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 279;

---- Прибор "Пульсар теплосчётчик ультрозуковой" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультрозуковой', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 280;
  -- Добавление параметра прибора "Сопротивление под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8442, 'Сопротивление под.[Ом]', '', 0, 1, 1, 'K1', 280, 385);
  -- Добавление параметра прибора "Сопротивление обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8443, 'Сопротивление обр.[Ом]', '', 0, 1, 1, 'K2', 280, 385);
  -- Добавление параметра прибора "Температура под.[гр.С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8444, 'Температура под.[гр.С]', '', 0, 1, 1, 'K3', 280, 399);
  -- Добавление параметра прибора "Температура обр.[гр.С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8445, 'Температура обр.[гр.С]', '', 0, 1, 1, 'K4', 280, 399);
  -- Добавление параметра прибора "Перепад температур[гр.С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8446, 'Перепад температур[гр.С]', '', 0, 1, 1, 'K5', 280, 385);
  -- Добавление параметра прибора "Мощность [ГКал/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8447, 'Мощность [ГКал/ч]', '', 0, 1, 1, 'K6', 280, 385);
  -- Добавление параметра прибора "Энергия [ГКал]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8448, 'Энергия [ГКал]', '', 0, 1, 1, 'K7', 280, 143);
  -- Добавление параметра прибора "Объём [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8449, 'Объём [м.куб.]', '', 0, 1, 1, 'K8', 280, 143);
  -- Добавление параметра прибора "Расход [м.куб./ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8450, 'Расход [м.куб./ч]', '', 0, 1, 1, 'K9', 280, 385);
  -- Добавление параметра прибора "Имп. вход1 [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8451, 'Имп. вход1 [м.куб.]', '', 0, 1, 1, 'K10', 280, 143);
  -- Добавление параметра прибора "Имп. вход2[м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8452, 'Имп. вход2[м.куб.]', '', 0, 1, 1, 'K11', 280, 143);
  -- Добавление параметра прибора "Имп. вход3 [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8453, 'Имп. вход3 [м.куб.]', '', 0, 1, 1, 'K12', 280, 143);
  -- Добавление параметра прибора "Имп. вход4 [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8454, 'Имп. вход4 [м.куб.]', '', 0, 1, 1, 'K13', 280, 143);
  -- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8455, 'Время нормальной работы [ч]', '', 0, 1, 1, 'K20', 280, 143);
  -- Добавление параметра прибора "журнал ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8456, 'журнал ошибок', '', 0, 1, 1, 'ER', 280, 160);
  -- Добавление параметра прибора "Диф. время усреднён. корректир."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8457, 'Диф. время усреднён. корректир.', '', 0, 1, 1, 'K15', 280, 385);
  -- Добавление параметра прибора "Мощность охлаждения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8458, 'Мощность охлаждения', '', 0, 1, 1, 'K21', 280, 385);
  -- Добавление параметра прибора "Энергия охлаждения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8459, 'Энергия охлаждения', '', 0, 1, 1, 'K22', 280, 13455);
  -- Добавление параметра прибора "Давление в прямой трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8460, 'Давление в прямой трубе', '', 0, 1, 1, 'K23', 280, 385);
  -- Добавление параметра прибора "Давление в обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8461, 'Давление в обратной трубе', '', 0, 1, 1, 'K24', 280, 385);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (633, 'Системные', '', 280, 0);

  -- Добавление параметра прибора "Дата/Время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8462, 'Дата/Время', '', 633, 1, 1, 'D', 280, 192);
  -- Добавление параметра прибора "Авто Зима/Лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8463, 'Авто Зима/Лето', '', 633, 1, 1, 'L', 280, 192);
  -- Добавление параметра прибора "Версия прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8464, 'Версия прошивки', '', 633, 1, 1, 'P', 280, 448);
  -- Добавление параметра прибора "Кол-во сбросов МК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8465, 'Кол-во сбросов МК', '', 633, 1, 1, 'NPARAM7', 280, 448);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8466, 'Запись разрешена аппаратно', '', 633, 1, 1, 'NPARAM8', 280, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8467, 'Запись разрешена программно', '', 633, 1, 1, 'NPARAM9', 280, 448);
  -- Добавление параметра прибора "Напряжение батареи, [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8468, 'Напряжение батареи, [мВ]', '', 633, 1, 1, 'NPARAM0A', 280, 448);
  -- Добавление параметра прибора "Температура МК, [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8469, 'Температура МК, [°C]', '', 633, 1, 1, 'NPARAM0B', 280, 448);
  -- Добавление параметра прибора "Час. кварц ([1..4]-ёмкость)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8470, 'Час. кварц ([1..4]-ёмкость)', '', 633, 1, 1, 'NPARAM10', 280, 128);
  -- Добавление параметра прибора "Имп.Вых. (-1-не уст./0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8471, 'Имп.Вых. (-1-не уст./0-выкл/1-вкл)', '', 633, 1, 1, 'NPARAM12', 280, 448);
  -- Добавление параметра прибора "Кол.Имп.Вх.[1..4] (-1-не уст./0-выкл.)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8472, 'Кол.Имп.Вх.[1..4] (-1-не уст./0-выкл.)', '', 633, 1, 1, 'NPARAM13', 280, 448);
  -- Добавление параметра прибора "АЦП (-1-не уст./0-выкл/[1..2]-каналов)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8473, 'АЦП (-1-не уст./0-выкл/[1..2]-каналов)', '', 633, 1, 1, 'NPARAM14', 280, 192);
  -- Добавление параметра прибора "RS485 (-1-не уст./0-выкл/4-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8474, 'RS485 (-1-не уст./0-выкл/4-вкл)', '', 633, 1, 1, 'NPARAM15', 280, 192);
  -- Добавление параметра прибора "ИК порт (-1-не уст./0-выкл/4-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8475, 'ИК порт (-1-не уст./0-выкл/4-вкл)', '', 633, 1, 1, 'NPARAM16', 280, 192);
  -- Добавление параметра прибора "Модуль RF (-1-не уст./0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8476, 'Модуль RF (-1-не уст./0-выкл/1-вкл)', '', 633, 1, 1, 'NPARAM17', 280, 192);
  -- Добавление параметра прибора "Дет.мет. (2-внутр/(3-3пр/4-4пр)-внеш)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8477, 'Дет.мет. (2-внутр/(3-3пр/4-4пр)-внеш)', '', 633, 1, 1, 'NPARAM18', 280, 192);
  -- Добавление параметра прибора "Кнопка (0-мех./[1..127]-чувств.сенс.)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8478, 'Кнопка (0-мех./[1..127]-чувств.сенс.)', '', 633, 1, 1, 'NPARAM19', 280, 192);
  -- Добавление параметра прибора "Вес имп.Вх1[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8479, 'Вес имп.Вх1[м3]', '', 633, 1, 1, 'NPARAM20', 280, 192);
  -- Добавление параметра прибора "Длит.имп.Вх1[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8480, 'Длит.имп.Вх1[мс]', '', 633, 1, 1, 'NPARAM21', 280, 192);
  -- Добавление параметра прибора "Вес имп.Вх.2[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8481, 'Вес имп.Вх.2[м3]', '', 633, 1, 1, 'NPARAM23', 280, 192);
  -- Добавление параметра прибора "Длит.имп.Вх2[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8482, 'Длит.имп.Вх2[мс]', '', 633, 1, 1, 'NPARAM24', 280, 192);
  -- Добавление параметра прибора "Вес имп.Вх.3[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8483, 'Вес имп.Вх.3[м3]', '', 633, 1, 1, 'NPARAM26', 280, 192);
  -- Добавление параметра прибора "Длит.имп.Вх3[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8484, 'Длит.имп.Вх3[мс]', '', 633, 1, 1, 'NPARAM27', 280, 192);
  -- Добавление параметра прибора "Вес имп.Вх.4м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8485, 'Вес имп.Вх.4м3]', '', 633, 1, 1, 'NPARAM29', 280, 192);
  -- Добавление параметра прибора "Длит.имп.Вх4[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8486, 'Длит.имп.Вх4[мс]', '', 633, 1, 1, 'NPARAM2A', 280, 192);
  -- Добавление параметра прибора "Вес имп. Вых, [Гкал/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8487, 'Вес имп. Вых, [Гкал/имп]', '', 633, 1, 1, 'NPARAM2C', 280, 192);
  -- Добавление параметра прибора "Длит. имп. Вых, [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8488, 'Длит. имп. Вых, [мс]', '', 633, 1, 1, 'NPARAM2D', 280, 192);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8489, 'Значение смещения [Ом]', '', 633, 1, 1, 'NPARAM30', 280, 192);
  -- Добавление параметра прибора "Коэф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8490, 'Коэф. диапазона [Ом]', '', 633, 1, 1, 'NPARAM31', 280, 192);
  -- Добавление параметра прибора "Сопротивление калиб.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8491, 'Сопротивление калиб.[Ом]', '', 633, 1, 1, 'NPARAM32', 280, 192);
  -- Добавление параметра прибора "Сопротивление под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8492, 'Сопротивление под.[Ом]', '', 633, 1, 1, 'NPARAM33', 280, 448);
  -- Добавление параметра прибора "Сопротивление обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8493, 'Сопротивление обр.[Ом]', '', 633, 1, 1, 'NPARAM34', 280, 448);
  -- Добавление параметра прибора "Rwire под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8494, 'Rwire под.[Ом]', '', 633, 1, 1, 'NPARAM35', 280, 192);
  -- Добавление параметра прибора "R0 под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8495, 'R0 под.[Ом]', '', 633, 1, 1, 'NPARAM36', 280, 192);
  -- Добавление параметра прибора "Alfa под. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8496, 'Alfa под. [Ом]', '', 633, 1, 1, 'NPARAM37', 280, 192);
  -- Добавление параметра прибора "Beta под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8497, 'Beta под.[Ом]', '', 633, 1, 1, 'NPARAM38', 280, 192);
  -- Добавление параметра прибора "Delta под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8498, 'Delta под.[Ом]', '', 633, 1, 1, 'NPARAM39', 280, 192);
  -- Добавление параметра прибора "Rwire обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8499, 'Rwire обр.[Ом]', '', 633, 1, 1, 'NPARAM3A', 280, 192);
  -- Добавление параметра прибора "R0 обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8500, 'R0 обр.[Ом]', '', 633, 1, 1, 'NPARAM3B', 280, 192);
  -- Добавление параметра прибора "Alfa обр. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8501, 'Alfa обр. [Ом]', '', 633, 1, 1, 'NPARAM3C', 280, 192);
  -- Добавление параметра прибора "Beta обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8502, 'Beta обр.[Ом]', '', 633, 1, 1, 'NPARAM3D', 280, 192);
  -- Добавление параметра прибора "Delta обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8503, 'Delta обр.[Ом]', '', 633, 1, 1, 'NPARAM3E', 280, 192);
  -- Добавление параметра прибора "R0 эталон[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8504, 'R0 эталон[Ом]', '', 633, 1, 1, 'NPARAM3F', 280, 448);
  -- Добавление параметра прибора "Alfa эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8505, 'Alfa эталон [Ом]', '', 633, 1, 1, 'NPARAM40', 280, 448);
  -- Добавление параметра прибора "Beta эталон[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8506, 'Beta эталон[Ом]', '', 633, 1, 1, 'NPARAM41', 280, 448);
  -- Добавление параметра прибора "Delta эталон[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8507, 'Delta эталон[Ом]', '', 633, 1, 1, 'NPARAM42', 280, 448);
  -- Добавление параметра прибора "Расходомер на 1-под./обр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8508, 'Расходомер на 1-под./обр.', '', 633, 1, 1, 'NPARAM5C', 280, 192);
  -- Добавление параметра прибора "Дет.мет. [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8509, 'Дет.мет. [л/имп]', '', 633, 1, 1, 'NPARAM5D', 280, 192);
  -- Добавление параметра прибора "Расход по эталону, [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8510, 'Расход по эталону, [м3/ч]', '', 633, 1, 1, 'NPARAM5E', 280, 192);
  -- Добавление параметра прибора "Линеаризация расх. (1-вкл./0-выкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8511, 'Линеаризация расх. (1-вкл./0-выкл)', '', 633, 1, 1, 'NPARAM5F', 280, 192);
  -- Добавление параметра прибора "Диагностика (1-запуск)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8512, 'Диагностика (1-запуск)', '', 633, 1, 1, 'NPARAM90', 280, 192);
  -- Добавление параметра прибора "Тест ACLK (1-старт/0-стоп)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8513, 'Тест ACLK (1-старт/0-стоп)', '', 633, 1, 1, 'NPARAM91', 280, 192);
  -- Добавление параметра прибора "Тест Расхода. (1-старт/0-стоп)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8514, 'Тест Расхода. (1-старт/0-стоп)', '', 633, 1, 1, 'NPARAM92', 280, 192);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8515, 'Сетевой адрес', '', 633, 1, 1, 'NPARAM2', 280, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8516, 'Ошибки', '', 633, 1, 1, 'NPARAM6', 280, 448);
  -- Добавление параметра прибора "Время наработки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8517, 'Время наработки', '', 633, 1, 1, 'NPARAM0C', 280, 129);
  -- Добавление параметра прибора "Время с ошибками"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8518, 'Время с ошибками', '', 633, 1, 1, 'NPARAM0D', 280, 129);
  -- Добавление параметра прибора "Время с ош. по маске|Маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8519, 'Время с ош. по маске|Маска', '', 633, 1, 1, 'NPARAM0E', 280, 192);
  -- Добавление параметра прибора "M-Bus первичный адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8520, 'M-Bus первичный адрес', '', 633, 1, 1, 'NPARAMD0', 280, 6336);
  -- Добавление параметра прибора "Калибровка нуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8521, 'Калибровка нуля', '', 633, 1, 1, 'NPARAM0200', 280, 192);
  -- Добавление параметра прибора "Калибр. среднего расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8522, 'Калибр. среднего расхода', '', 633, 1, 1, 'NPARAM0201', 280, 13504);
  -- Добавление параметра прибора "Блокировка житага"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8523, 'Блокировка житага', '', 633, 1, 1, 'NPARAM01FE', 280, 12480);
  -- Добавление параметра прибора "Первый уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8524, 'Первый уровень компаратора', '', 633, 1, 1, 'NPARAM0224', 280, 5312);
  -- Добавление параметра прибора "Максимальная разница T1_T2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8525, 'Максимальная разница T1_T2', '', 633, 1, 1, 'NPARAM0225', 280, 6336);
  -- Добавление параметра прибора "Максимальная разница T2_T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8526, 'Максимальная разница T2_T', '', 633, 1, 1, 'NPARAM0226', 280, 6336);
  -- Добавление параметра прибора "Диференциальное время для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8527, 'Диференциальное время для теста', '', 633, 1, 1, 'NPARAM0240', 280, 13504);
  -- Добавление параметра прибора "Расход для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8528, 'Расход для теста', '', 633, 1, 1, 'NPARAM0241', 280, 13504);
  -- Добавление параметра прибора "Сопротивление 0 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8529, 'Сопротивление 0 для теста', '', 633, 1, 1, 'NPARAM0242', 280, 13504);
  -- Добавление параметра прибора "Сопротивление 1 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8530, 'Сопротивление 1 для теста', '', 633, 1, 1, 'NPARAM0243', 280, 13504);
  -- Добавление параметра прибора "Время теста для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8531, 'Время теста для энергии', '', 633, 1, 1, 'NPARAM0244', 280, 8384);
  -- Добавление параметра прибора "Итоговое время теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8532, 'Итоговое время теста', '', 633, 1, 1, 'NPARAM0245', 280, 8384);
  -- Добавление параметра прибора "Мин. расход для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8533, 'Мин. расход для энергии', '', 633, 1, 1, 'NPARAM51', 280, 13504);
  -- Добавление параметра прибора "Разница температур для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8534, 'Разница температур для энергии', '', 633, 1, 1, 'NPARAM52', 280, 13504);
  -- Добавление параметра прибора "Тип дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8535, 'Тип дисплея', '', 633, 1, 1, 'NPARAMD1', 280, 192);
  -- Добавление параметра прибора "Тип(тепло/холод)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8536, 'Тип(тепло/холод)', '', 633, 1, 1, 'NPARAMD2', 280, 6336);
