-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8885 AND pr_typ_id <= 8993;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 661;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 308;

---- Прибор "Пульсар теплосчётчик ультразуковой" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразуковой', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 280;

---- Группа "Настроечные" ----

UPDATE "Tepl"."DeviceTypeGroupParametr"
SET "Name" = 'Настроечные', "Comment" = '', dev_typ_id = 280, "Parent_gr_typ_id" = 0 WHERE gr_typ_id = 633;


---- Прибор "Пульсар УРТ" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар УРТ', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 299;

---- Группа "Ситемные" ----

  -- Обновление параметра прибора "Батарея питания"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Батарея питания', "Comment" = '', "NameP2" = 'NPARAM6BIT0', dev_typ_id = 299, "SupportData" = 320 WHERE pr_typ_id = 8365;
  -- Обновление параметра прибора "Ошибка сброс ОЗУ"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ошибка сброс ОЗУ', "Comment" = '', "NameP2" = 'NPARAM6BIT2', dev_typ_id = 299, "SupportData" = 320 WHERE pr_typ_id = 8367;
  -- Обновление параметра прибора "Ошибка часового кварца"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ошибка часового кварца', "Comment" = '', "NameP2" = 'NPARAM6BIT3', dev_typ_id = 299, "SupportData" = 320 WHERE pr_typ_id = 8368;
  -- Обновление параметра прибора "Ошибка датчика ОП"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ошибка датчика ОП', "Comment" = '', "NameP2" = 'NPARAM6BIT4', dev_typ_id = 299, "SupportData" = 320 WHERE pr_typ_id = 8369;
  -- Обновление параметра прибора "Ошибка датчика ОС"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ошибка датчика ОС', "Comment" = '', "NameP2" = 'NPARAM6BIT5', dev_typ_id = 299, "SupportData" = 320 WHERE pr_typ_id = 8370;
  -- Обновление параметра прибора "Саботаж"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Саботаж', "Comment" = '', "NameP2" = 'NPARAM6BIT6', dev_typ_id = 299, "SupportData" = 320 WHERE pr_typ_id = 8371;
  -- Обновление параметра прибора "Ошибка RF модуля"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ошибка RF модуля', "Comment" = '', "NameP2" = 'NPARAM6BIT7', dev_typ_id = 299, "SupportData" = 448 WHERE pr_typ_id = 8372;
  -- Обновление параметра прибора "Модуль RF установлен"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Модуль RF установлен', "Comment" = '', "NameP2" = 'NPARAMD', dev_typ_id = 299, "SupportData" = 3264 WHERE pr_typ_id = 8373;
  -- Обновление параметра прибора "ИК порт установлен"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'ИК порт установлен', "Comment" = '', "NameP2" = 'NPARAM13', dev_typ_id = 299, "SupportData" = 3264 WHERE pr_typ_id = 8374;
  -- Обновление параметра прибора "Напряжение батареи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение батареи', "Comment" = '', "NameP2" = 'NPARAM0A', dev_typ_id = 299, "SupportData" = 448 WHERE pr_typ_id = 8376;
  -- Добавление параметра прибора "Пароль"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8885, 'Пароль', 'Новый | Старый', 626, 1, 1, 'PASSWORD', 299, 18624);
  -- Добавление параметра прибора "Сброс контроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8886, 'Сброс контроллера', '', 626, 1, 1, 'NPARAME7F0', 299, 18624);
  -- Добавление параметра прибора "Зима/Лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8887, 'Зима/Лето', '', 626, 1, 1, 'L', 299, 3264);
  -- Добавление параметра прибора "Частота LSE [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8888, 'Частота LSE [Гц]', '', 626, 1, 1, 'NPARAM3', 299, 13504);
  -- Добавление параметра прибора "Частота ZQ RF [МГц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8889, 'Частота ZQ RF [МГц]', '', 626, 1, 1, 'NPARAM4', 299, 13504);
  -- Добавление параметра прибора "Количество сбросов MCU"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8890, 'Количество сбросов MCU', '', 626, 1, 1, 'NPARAM7', 299, 448);
  -- Добавление параметра прибора "Запись разрешена програмно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8891, 'Запись разрешена програмно', '', 626, 1, 1, 'NPARAM9', 299, 448);
  -- Добавление параметра прибора "Температура прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8892, 'Температура прибора', '', 626, 1, 1, 'NPARAMB', 299, 448);
  -- Добавление параметра прибора "Напряжение батареи min"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8893, 'Напряжение батареи min', '', 626, 1, 1, 'NPARAMC', 299, 13504);
  -- Добавление параметра прибора "Тригер ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8894, 'Тригер ошибок', '', 626, 1, 1, 'NPARAMF', 299, 8384);
  -- Добавление параметра прибора "Конфигурация T датчиков"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8895, 'Конфигурация T датчиков', '', 626, 1, 1, 'NPARAM14', 299, 6336);

---- Группа "Измерения" ----

  -- Обновление параметра прибора "Потребление (текущий год)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Потребление (текущий год)', "Comment" = '', "NameP2" = 'K1', dev_typ_id = 299, "SupportData" = 13449 WHERE pr_typ_id = 8392;
  -- Обновление параметра прибора "Температура датчика ОП"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Температура датчика ОП', "Comment" = 'Отопительный прибор', "NameP2" = 'K3', dev_typ_id = 299, "SupportData" = 385 WHERE pr_typ_id = 8393;
  -- Обновление параметра прибора "Температура датчика ОС"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Температура датчика ОС', "Comment" = 'Окружающая среда', "NameP2" = 'K4', dev_typ_id = 299, "SupportData" = 385 WHERE pr_typ_id = 8394;
  -- Обновление параметра прибора "Потребление (предыдущий год)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Потребление (предыдущий год)', "Comment" = '', "NameP2" = 'K2', dev_typ_id = 299, "SupportData" = 13441 WHERE pr_typ_id = 8439;

---- Прибор "Пульсар теплосчётчик ультразуковой2" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (308, 'Пульсар теплосчётчик ультразуковой2', '', 0);
  -- Добавление параметра прибора "Сопротивление обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8896, 'Сопротивление обр.[Ом]', '', 0, 1, 1, 'K2', 308, 385);
  -- Добавление параметра прибора "Температура под.[гр.С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8897, 'Температура под.[гр.С]', '', 0, 1, 1, 'K3', 308, 399);
  -- Добавление параметра прибора "Температура обр.[гр.С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8898, 'Температура обр.[гр.С]', '', 0, 1, 1, 'K4', 308, 399);
  -- Добавление параметра прибора "Перепад температур[гр.С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8899, 'Перепад температур[гр.С]', '', 0, 1, 1, 'K5', 308, 385);
  -- Добавление параметра прибора "Мощность [ГКал/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8900, 'Мощность [ГКал/ч]', '', 0, 1, 1, 'K6', 308, 385);
  -- Добавление параметра прибора "Энергия [ГКал]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8901, 'Энергия [ГКал]', '', 0, 1, 1, 'K7', 308, 143);
  -- Добавление параметра прибора "Объём [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8902, 'Объём [м.куб.]', '', 0, 1, 1, 'K8', 308, 143);
  -- Добавление параметра прибора "Расход [м.куб./ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8903, 'Расход [м.куб./ч]', '', 0, 1, 1, 'K9', 308, 385);
  -- Добавление параметра прибора "Имп. вход1 [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8904, 'Имп. вход1 [м.куб.]', '', 0, 1, 1, 'K10', 308, 143);
  -- Добавление параметра прибора "Имп. вход2[м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8905, 'Имп. вход2[м.куб.]', '', 0, 1, 1, 'K11', 308, 143);
  -- Добавление параметра прибора "Имп. вход3 [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8906, 'Имп. вход3 [м.куб.]', '', 0, 1, 1, 'K12', 308, 143);
  -- Добавление параметра прибора "Имп. вход4 [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8907, 'Имп. вход4 [м.куб.]', '', 0, 1, 1, 'K13', 308, 143);
  -- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8908, 'Время нормальной работы [ч]', '', 0, 1, 1, 'K20', 308, 143);
  -- Добавление параметра прибора "журнал ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8909, 'журнал ошибок', '', 0, 1, 1, 'ER', 308, 160);
  -- Добавление параметра прибора "Диф. время усреднён. корректир."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8910, 'Диф. время усреднён. корректир.', '', 0, 1, 1, 'K15', 308, 385);
  -- Добавление параметра прибора "Мощность охлаждения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8911, 'Мощность охлаждения', '', 0, 1, 1, 'K21', 308, 385);
  -- Добавление параметра прибора "Энергия отобраной (потерянной) воды"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8912, 'Энергия отобраной (потерянной) воды', '', 0, 1, 1, 'K22', 308, 143);
  -- Добавление параметра прибора "Объем в обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8913, 'Объем в обратной трубе', '', 0, 1, 1, 'K23', 308, 143);
  -- Добавление параметра прибора "Масса в подающей трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8914, 'Масса в подающей трубе', '', 0, 1, 1, 'K24', 308, 143);
  -- Добавление параметра прибора "Масса в обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8915, 'Масса в обратной трубе', '', 0, 1, 1, 'K25', 308, 143);
  -- Добавление параметра прибора "Масса отобраной (потерянной) воды"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8916, 'Масса отобраной (потерянной) воды', '', 0, 1, 1, 'K26', 308, 143);
  -- Добавление параметра прибора "Давление в подающей трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8917, 'Давление в подающей трубе', '', 0, 1, 1, 'K27', 308, 143);
  -- Добавление параметра прибора "Давлениев обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8918, 'Давлениев обратной трубе', '', 0, 1, 1, 'K28', 308, 143);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (661, 'Настроечные', '', 308, 0);

  -- Добавление параметра прибора "Дата/Время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8919, 'Дата/Время', '', 661, 1, 1, 'D', 308, 192);
  -- Добавление параметра прибора "Авто Зима/Лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8920, 'Авто Зима/Лето', '', 661, 1, 1, 'L', 308, 192);
  -- Добавление параметра прибора "Версия прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8921, 'Версия прошивки', '', 661, 1, 1, 'P', 308, 448);
  -- Добавление параметра прибора "Кол-во сбросов МК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8922, 'Кол-во сбросов МК', '', 661, 1, 1, 'NPARAM7', 308, 448);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8923, 'Запись разрешена аппаратно', '', 661, 1, 1, 'NPARAM8', 308, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8924, 'Запись разрешена программно', '', 661, 1, 1, 'NPARAM9', 308, 448);
  -- Добавление параметра прибора "Напряжение батареи, [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8925, 'Напряжение батареи, [мВ]', '', 661, 1, 1, 'NPARAM0A', 308, 448);
  -- Добавление параметра прибора "Температура МК, [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8926, 'Температура МК, [°C]', '', 661, 1, 1, 'NPARAM0B', 308, 448);
  -- Добавление параметра прибора "Час. кварц ([1..4]-ёмкость)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8927, 'Час. кварц ([1..4]-ёмкость)', '', 661, 1, 1, 'NPARAM10', 308, 128);
  -- Добавление параметра прибора "Имп.Вых. (-1-не уст./0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8928, 'Имп.Вых. (-1-не уст./0-выкл/1-вкл)', '', 661, 1, 1, 'NPARAM12', 308, 448);
  -- Добавление параметра прибора "Кол.Имп.Вх.[1..4] (-1-не уст./0-выкл.)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8929, 'Кол.Имп.Вх.[1..4] (-1-не уст./0-выкл.)', '', 661, 1, 1, 'NPARAM13', 308, 448);
  -- Добавление параметра прибора "АЦП (-1-не уст./0-выкл/[1..2]-каналов)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8930, 'АЦП (-1-не уст./0-выкл/[1..2]-каналов)', '', 661, 1, 1, 'NPARAM14', 308, 192);
  -- Добавление параметра прибора "RS485 (-1-не уст./0-выкл/4-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8931, 'RS485 (-1-не уст./0-выкл/4-вкл)', '', 661, 1, 1, 'NPARAM15', 308, 192);
  -- Добавление параметра прибора "ИК порт (-1-не уст./0-выкл/4-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8932, 'ИК порт (-1-не уст./0-выкл/4-вкл)', '', 661, 1, 1, 'NPARAM16', 308, 192);
  -- Добавление параметра прибора "Модуль RF (-1-не уст./0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8933, 'Модуль RF (-1-не уст./0-выкл/1-вкл)', '', 661, 1, 1, 'NPARAM17', 308, 192);
  -- Добавление параметра прибора "Дет.мет. (2-внутр/(3-3пр/4-4пр)-внеш)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8934, 'Дет.мет. (2-внутр/(3-3пр/4-4пр)-внеш)', '', 661, 1, 1, 'NPARAM18', 308, 192);
  -- Добавление параметра прибора "Кнопка (0-мех./[1..127]-чувств.сенс.)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8935, 'Кнопка (0-мех./[1..127]-чувств.сенс.)', '', 661, 1, 1, 'NPARAM19', 308, 192);
  -- Добавление параметра прибора "Вес имп.Вх1[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8936, 'Вес имп.Вх1[м3]', '', 661, 1, 1, 'NPARAM20', 308, 192);
  -- Добавление параметра прибора "Длит.имп.Вх1[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8937, 'Длит.имп.Вх1[мс]', '', 661, 1, 1, 'NPARAM21', 308, 192);
  -- Добавление параметра прибора "Вес имп.Вх.2[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8938, 'Вес имп.Вх.2[м3]', '', 661, 1, 1, 'NPARAM23', 308, 192);
  -- Добавление параметра прибора "Длит.имп.Вх2[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8939, 'Длит.имп.Вх2[мс]', '', 661, 1, 1, 'NPARAM24', 308, 192);
  -- Добавление параметра прибора "Вес имп.Вх.3[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8940, 'Вес имп.Вх.3[м3]', '', 661, 1, 1, 'NPARAM26', 308, 192);
  -- Добавление параметра прибора "Длит.имп.Вх3[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8941, 'Длит.имп.Вх3[мс]', '', 661, 1, 1, 'NPARAM27', 308, 192);
  -- Добавление параметра прибора "Вес имп.Вх.4м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8942, 'Вес имп.Вх.4м3]', '', 661, 1, 1, 'NPARAM29', 308, 192);
  -- Добавление параметра прибора "Длит.имп.Вх4[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8943, 'Длит.имп.Вх4[мс]', '', 661, 1, 1, 'NPARAM2A', 308, 192);
  -- Добавление параметра прибора "Вес имп. Вых, [Гкал/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8944, 'Вес имп. Вых, [Гкал/имп]', '', 661, 1, 1, 'NPARAM2C', 308, 192);
  -- Добавление параметра прибора "Длит. имп. Вых, [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8945, 'Длит. имп. Вых, [мс]', '', 661, 1, 1, 'NPARAM2D', 308, 192);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8946, 'Значение смещения [Ом]', '', 661, 1, 1, 'NPARAM30', 308, 192);
  -- Добавление параметра прибора "Коэф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8947, 'Коэф. диапазона [Ом]', '', 661, 1, 1, 'NPARAM31', 308, 192);
  -- Добавление параметра прибора "Сопротивление калиб.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8948, 'Сопротивление калиб.[Ом]', '', 661, 1, 1, 'NPARAM32', 308, 192);
  -- Добавление параметра прибора "Сопротивление под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8949, 'Сопротивление под.[Ом]', '', 661, 1, 1, 'NPARAM33', 308, 448);
  -- Добавление параметра прибора "Сопротивление обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8950, 'Сопротивление обр.[Ом]', '', 661, 1, 1, 'NPARAM34', 308, 448);
  -- Добавление параметра прибора "Rwire под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8951, 'Rwire под.[Ом]', '', 661, 1, 1, 'NPARAM35', 308, 192);
  -- Добавление параметра прибора "R0 под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8952, 'R0 под.[Ом]', '', 661, 1, 1, 'NPARAM36', 308, 192);
  -- Добавление параметра прибора "Alfa под. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8953, 'Alfa под. [Ом]', '', 661, 1, 1, 'NPARAM37', 308, 192);
  -- Добавление параметра прибора "Beta под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8954, 'Beta под.[Ом]', '', 661, 1, 1, 'NPARAM38', 308, 192);
  -- Добавление параметра прибора "Delta под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8955, 'Delta под.[Ом]', '', 661, 1, 1, 'NPARAM39', 308, 192);
  -- Добавление параметра прибора "Rwire обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8956, 'Rwire обр.[Ом]', '', 661, 1, 1, 'NPARAM3A', 308, 192);
  -- Добавление параметра прибора "R0 обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8957, 'R0 обр.[Ом]', '', 661, 1, 1, 'NPARAM3B', 308, 192);
  -- Добавление параметра прибора "Alfa обр. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8958, 'Alfa обр. [Ом]', '', 661, 1, 1, 'NPARAM3C', 308, 192);
  -- Добавление параметра прибора "Beta обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8959, 'Beta обр.[Ом]', '', 661, 1, 1, 'NPARAM3D', 308, 192);
  -- Добавление параметра прибора "Delta обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8960, 'Delta обр.[Ом]', '', 661, 1, 1, 'NPARAM3E', 308, 192);
  -- Добавление параметра прибора "R0 эталон[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8961, 'R0 эталон[Ом]', '', 661, 1, 1, 'NPARAM3F', 308, 448);
  -- Добавление параметра прибора "Alfa эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8962, 'Alfa эталон [Ом]', '', 661, 1, 1, 'NPARAM40', 308, 448);
  -- Добавление параметра прибора "Beta эталон[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8963, 'Beta эталон[Ом]', '', 661, 1, 1, 'NPARAM41', 308, 448);
  -- Добавление параметра прибора "Delta эталон[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8964, 'Delta эталон[Ом]', '', 661, 1, 1, 'NPARAM42', 308, 448);
  -- Добавление параметра прибора "Расходомер на 1-под./обр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8965, 'Расходомер на 1-под./обр.', '', 661, 1, 1, 'NPARAM5C', 308, 192);
  -- Добавление параметра прибора "Дет.мет. [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8966, 'Дет.мет. [л/имп]', '', 661, 1, 1, 'NPARAM5D', 308, 192);
  -- Добавление параметра прибора "Расход по эталону, [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8967, 'Расход по эталону, [м3/ч]', '', 661, 1, 1, 'NPARAM5E', 308, 192);
  -- Добавление параметра прибора "Линеаризация расх. (1-вкл./0-выкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8968, 'Линеаризация расх. (1-вкл./0-выкл)', '', 661, 1, 1, 'NPARAM5F', 308, 192);
  -- Добавление параметра прибора "Диагностика (1-запуск)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8969, 'Диагностика (1-запуск)', '', 661, 1, 1, 'NPARAM90', 308, 192);
  -- Добавление параметра прибора "Тест ACLK (1-старт/0-стоп)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8970, 'Тест ACLK (1-старт/0-стоп)', '', 661, 1, 1, 'NPARAM91', 308, 192);
  -- Добавление параметра прибора "Тест Расхода. (1-старт/0-стоп)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8971, 'Тест Расхода. (1-старт/0-стоп)', '', 661, 1, 1, 'NPARAM92', 308, 192);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8972, 'Сетевой адрес', '', 661, 1, 1, 'NPARAM2', 308, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8973, 'Ошибки', '', 661, 1, 1, 'NPARAM6', 308, 448);
  -- Добавление параметра прибора "Время наработки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8974, 'Время наработки', '', 661, 1, 1, 'NPARAM0C', 308, 129);
  -- Добавление параметра прибора "Время с ошибками"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8975, 'Время с ошибками', '', 661, 1, 1, 'NPARAM0D', 308, 129);
  -- Добавление параметра прибора "Время с ош. по маске|Маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8976, 'Время с ош. по маске|Маска', '', 661, 1, 1, 'NPARAM0E', 308, 192);
  -- Добавление параметра прибора "M-Bus первичный адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8977, 'M-Bus первичный адрес', '', 661, 1, 1, 'NPARAMD0', 308, 192);
  -- Добавление параметра прибора "Калибровка нуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8978, 'Калибровка нуля', '', 661, 1, 1, 'NPARAM0200', 308, 192);
  -- Добавление параметра прибора "Калибр. среднего расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8979, 'Калибр. среднего расхода', '', 661, 1, 1, 'NPARAM0201', 308, 192);
  -- Добавление параметра прибора "Блокировка житага"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8980, 'Блокировка житага', '', 661, 1, 1, 'NPARAM01FE', 308, 192);
  -- Добавление параметра прибора "Первый уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8981, 'Первый уровень компаратора', '', 661, 1, 1, 'NPARAM0224', 308, 192);
  -- Добавление параметра прибора "Максимальная разница T1_T2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8982, 'Максимальная разница T1_T2', '', 661, 1, 1, 'NPARAM0225', 308, 192);
  -- Добавление параметра прибора "Максимальная разница T2_T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8983, 'Максимальная разница T2_T', '', 661, 1, 1, 'NPARAM0226', 308, 192);
  -- Добавление параметра прибора "Диференциальное время для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8984, 'Диференциальное время для теста', '', 661, 1, 1, 'NPARAM0240', 308, 192);
  -- Добавление параметра прибора "Расход для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8985, 'Расход для теста', '', 661, 1, 1, 'NPARAM0241', 308, 192);
  -- Добавление параметра прибора "Сопротивление 0 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8986, 'Сопротивление 0 для теста', '', 661, 1, 1, 'NPARAM0242', 308, 192);
  -- Добавление параметра прибора "Сопротивление 1 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8987, 'Сопротивление 1 для теста', '', 661, 1, 1, 'NPARAM0243', 308, 192);
  -- Добавление параметра прибора "Время теста для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8988, 'Время теста для энергии', '', 661, 1, 1, 'NPARAM0244', 308, 192);
  -- Добавление параметра прибора "Итоговое время теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8989, 'Итоговое время теста', '', 661, 1, 1, 'NPARAM0245', 308, 192);
  -- Добавление параметра прибора "Мин. расход для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8990, 'Мин. расход для энергии', '', 661, 1, 1, 'NPARAM51', 308, 192);
  -- Добавление параметра прибора "Разница температур для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8991, 'Разница температур для энергии', '', 661, 1, 1, 'NPARAM52', 308, 192);
  -- Добавление параметра прибора "Тип дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8992, 'Тип дисплея', '', 661, 1, 1, 'NPARAMD1', 308, 192);
  -- Добавление параметра прибора "Тип(тепло/холод)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8993, 'Тип(тепло/холод)', '', 661, 1, 1, 'NPARAMD2', 308, 192);
