-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9004 AND pr_typ_id <= 9039;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 662 AND gr_typ_id <= 664;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 311;

---- Прибор "Пульсар_GPRS_USB" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (311, 'Пульсар_GPRS_USB', '', 128);

---- Группа "Системные пульсар" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (662, 'Системные пульсар', '', 311, 0);

  -- Добавление параметра прибора "Длительность импульса[мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9004, 'Длительность импульса[мС]', '', 662, 1, 1, 'NPARAM03', 311, 13504);
  -- Добавление параметра прибора "Длительность паузы[мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9005, 'Длительность паузы[мС]', '', 662, 1, 1, 'NPARAM04', 311, 13504);
  -- Добавление параметра прибора "Версия прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9006, 'Версия прошивки', '', 662, 1, 1, 'NPARAM05', 311, 192);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9007, 'Сетевой адрес', '', 662, 1, 1, 'NPARAM1', 311, 10432);
  -- Добавление параметра прибора "Частота кварца [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9008, 'Частота кварца [Гц]', '', 662, 1, 1, 'NPARAM07', 311, 13504);
  -- Добавление параметра прибора "Период аналогового опроса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9009, 'Период аналогового опроса', '', 662, 1, 1, 'NPARAM0A', 311, 8384);
  -- Добавление параметра прибора "Тип саботажного геркона"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9010, 'Тип саботажного геркона', '', 662, 1, 1, 'NPARAM0B', 311, 6336);
  -- Добавление параметра прибора "Время сна GSM [Сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9011, 'Время сна GSM [Сек]', '', 662, 1, 1, 'NPARAM15', 311, 8384);
  -- Добавление параметра прибора "Время работы GSM [Сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9012, 'Время работы GSM [Сек]', '', 662, 1, 1, 'NPARAM16', 311, 10432);
  -- Добавление параметра прибора "Размерность аналоговых каналов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9013, 'Размерность аналоговых каналов', '', 662, 1, 1, 'NPARAM17', 311, 6272);
  -- Добавление параметра прибора "Счёт включения GSM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9014, 'Счёт включения GSM', '', 662, 1, 1, 'NPARAM18', 311, 10432);
  -- Добавление параметра прибора "Аналоговое значение min"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9015, 'Аналоговое значение min', '', 662, 1, 1, 'NPARAM19', 311, 13504);
  -- Добавление параметра прибора "Аналоговое значение max"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9016, 'Аналоговое значение max', '', 662, 1, 1, 'NPARAM1A', 311, 13504);
  -- Добавление параметра прибора "Напряжение баьтареи [B]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9017, 'Напряжение баьтареи [B]', '', 662, 1, 1, 'NPARAM1B', 311, 448);
  -- Добавление параметра прибора "Время задержки 3V3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9018, 'Время задержки 3V3', '', 662, 1, 1, 'NPARAM1C', 311, 8384);

---- Группа "Измерения" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (663, 'Измерения', '', 311, 0);

  -- Добавление параметра прибора "Канал1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9019, 'Канал1', '', 663, 1, 1, 'K1', 311, 14479);
  -- Добавление параметра прибора "Канал2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9020, 'Канал2', '', 663, 1, 1, 'K2', 311, 14479);
  -- Добавление параметра прибора "Канал3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9021, 'Канал3', '', 663, 1, 1, 'K3', 311, 271);
  -- Добавление параметра прибора "Канал4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9022, 'Канал4', '', 663, 1, 1, 'K4', 311, 271);

---- Группа "Системные модем" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (664, 'Системные модем', '', 311, 0);

  -- Добавление параметра прибора "Скорость обмена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9023, 'Скорость обмена', '', 664, 1, 1, 'G44P1', 311, 2147461825);
  -- Добавление параметра прибора "Биты данных"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9024, 'Биты данных', '', 664, 1, 1, 'G44P2', 311, 2147457729);
  -- Добавление параметра прибора "Чётность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9025, 'Чётность', '', 664, 1, 1, 'G44P3', 311, 2147457729);
  -- Добавление параметра прибора "Стоповые биты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9026, 'Стоповые биты', '', 664, 1, 1, 'G44P4', 311, 2147457729);
  -- Добавление параметра прибора "Режим работы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9027, 'Режим работы', '', 664, 1, 1, 'G251P1', 311, 2147457729);
  -- Добавление параметра прибора "Логин GPRS"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9028, 'Логин GPRS', '', 664, 1, 1, 'G251P2', 311, 2147470017);
  -- Добавление параметра прибора "Пароль GPRS"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9029, 'Пароль GPRS', '', 664, 1, 1, 'G251P3', 311, 2147470017);
  -- Добавление параметра прибора "APN GPRS"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9030, 'APN GPRS', '', 664, 1, 1, 'G251P4', 311, 2147470017);
  -- Добавление параметра прибора "IP  сервера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9031, 'IP  сервера', '', 664, 1, 1, 'G251P5', 311, 2147470017);
  -- Добавление параметра прибора "IP  сервера тревог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9032, 'IP  сервера тревог', '', 664, 1, 1, 'G251P6', 311, 2147470017);
  -- Добавление параметра прибора "TCP Порт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9033, 'TCP Порт', '', 664, 1, 1, 'G251P8', 311, 2147459777);
  -- Добавление параметра прибора "Таймаут TCP [c]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9034, 'Таймаут TCP [c]', '', 664, 1, 1, 'G251P10', 311, 2147459777);
  -- Добавление параметра прибора "Идентификатор модема ID"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9035, 'Идентификатор модема ID', '', 664, 1, 1, 'G251P11', 311, 2147470017);
  -- Добавление параметра прибора "RSSI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9036, 'RSSI', '', 664, 1, 1, 'G251P37', 311, 2147470017);
  -- Добавление параметра прибора "Таймер перезагрузки [с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9037, 'Таймер перезагрузки [с]', '', 664, 1, 1, 'G251P47', 311, 2147461825);
  -- Добавление параметра прибора "Режим перезагрузки (1..4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9038, 'Режим перезагрузки (1..4)', '', 664, 1, 1, 'G251P48', 311, 2147461825);
 