

SET client_encoding = 'UTF8';


---- Прибор "Пульсар теплосчётчик ультразуковой2" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразуковой2', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 308;
  -- Обновление параметра прибора "Перепад температур[гр.С]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Перепад температур[гр.С]', "Comment" = '', "NameP2" = 'K5', dev_typ_id = 308, "SupportData" = 399 WHERE pr_typ_id = 8899;
  -- Обновление параметра прибора "Расход [м.куб./ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Расход [м.куб./ч]', "Comment" = '', "NameP2" = 'K9', dev_typ_id = 308, "SupportData" = 399 WHERE pr_typ_id = 8903;
  -- Обновление параметра прибора "Мощность охлаждения"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность охлаждения', "Comment" = '', "NameP2" = 'K21', dev_typ_id = 308, "SupportData" = 399 WHERE pr_typ_id = 8911;
  -- Обновление параметра прибора "Масса в обратной трубе"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Масса в обратной трубе', "Comment" = '', "NameP2" = 'K25', dev_typ_id = 308, "SupportData" = 129 WHERE pr_typ_id = 8915;
  -- Обновление параметра прибора "Масса отобраной (потерянной) воды"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Масса отобраной (потерянной) воды', "Comment" = '', "NameP2" = 'K26', dev_typ_id = 308, "SupportData" = 129 WHERE pr_typ_id = 8916;

---- Прибор "Пульсар_GPRS_V2" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар_GPRS_V2', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 311;


INSERT INTO "Tepl"."DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (12, 'Сброс ОЗУ', NULL, 'Сброс ОЗУ', 'Норма');


INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (280, 2, 3);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (280, 1, 2);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (280, 4, 12);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (280, 8, 5);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (280, 32, 7);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (280, 64, 8);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (280, 128, 9);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (280, 16, 6);

INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (308, 2, 3);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (308, 1, 2);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (308, 4, 12);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (308, 8, 5);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (308, 32, 7);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (308, 64, 8);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (308, 128, 9);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (308, 16, 6);

INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (271, 2, 3);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (271, 1, 2);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (271, 4, 12);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (271, 8, 5);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (271, 32, 7);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (271, 64, 8);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (271, 128, 9);
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (271, 16, 6);

DELETE FROM "Tepl"."DeviceEventTab"  WHERE "dev_typ_id"=289 AND "dev_event_code"=4 ; 
INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (289, 4, 12);

