-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9058 AND pr_typ_id <= 9109;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 666 AND gr_typ_id <= 669;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 314;

---- Прибор "Пульсар_GPRS_V3" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар_GPRS_V3', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 313;

---- Группа "Системные пульсар" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (666, 'Системные пульсар', '', 313, 0);

  -- Добавление параметра прибора "Длительность импульса[мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9058, 'Длительность импульса[мС]', '', 666, 1, 1, 'NPARAM09', 313, 192);
  -- Добавление параметра прибора "Длительность паузы[мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9059, 'Длительность паузы[мС]', '', 666, 1, 1, 'NPARAM08', 313, 192);
  -- Добавление параметра прибора "Версия прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9060, 'Версия прошивки', '', 666, 1, 1, '__VERSION_EXTERNAL', 313, 448);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9061, 'Сетевой адрес', '', 666, 1, 1, '__ADDRESS', 313, 192);
  -- Добавление параметра прибора "Частота кварца [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9062, 'Частота кварца [Гц]', '', 666, 1, 1, 'NPARAM15', 313, 192);
  -- Добавление параметра прибора "Время сна GSM [Сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9063, 'Время сна GSM [Сек]', '', 666, 1, 1, 'NPARAM07', 313, 192);
  -- Добавление параметра прибора "Время работы GSM [Сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9064, 'Время работы GSM [Сек]', '', 666, 1, 1, 'NPARAM06', 313, 192);
  -- Добавление параметра прибора "Счёт включения GSM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9065, 'Счёт включения GSM', '', 666, 1, 1, 'NPARAM0A', 313, 192);
  -- Добавление параметра прибора "U_MCU_min"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9066, 'U_MCU_min', '', 666, 1, 1, 'NPARAM0F', 313, 192);
  -- Добавление параметра прибора "U_MCU_max"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9067, 'U_MCU_max', '', 666, 1, 1, 'NPARAM10', 313, 192);
  -- Добавление параметра прибора "Напряжение баьтареи [B]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9068, 'Напряжение баьтареи [B]', '', 666, 1, 1, 'NPARAM13', 313, 448);
  -- Добавление параметра прибора "Версия прошивки расширенная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9069, 'Версия прошивки расширенная', '', 666, 1, 1, '__VERSION_INTERNAL', 313, 448);
  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9070, 'ДатаВремя', '', 666, 1, 1, 'D', 313, 192);
  -- Добавление параметра прибора "Вес импульса1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9071, 'Вес импульса1', '', 666, 1, 1, 'NPARAM03', 313, 13504);
  -- Добавление параметра прибора "Вес импульса2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9072, 'Вес импульса2', '', 666, 1, 1, 'NPARAM04', 313, 13504);
  -- Добавление параметра прибора "Вес импульса3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9073, 'Вес импульса3', '', 666, 1, 1, 'NPARAM05', 313, 13504);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9074, 'Запись запрещена', '', 666, 1, 1, 'NPARAM0B', 313, 6336);
  -- Добавление параметра прибора "Количество сбросов MCU"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9075, 'Количество сбросов MCU', '', 666, 1, 1, 'NPARAM0C', 313, 8384);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9076, 'Ошибки', '', 666, 1, 1, 'NPARAM0D', 313, 448);
  -- Добавление параметра прибора "Ёмкость EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9077, 'Ёмкость EEPROM', '', 666, 1, 1, 'NPARAM11', 313, 320);
  -- Добавление параметра прибора "Температура MCU"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9078, 'Температура MCU', '', 666, 1, 1, 'NPARAM13', 313, 0);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9079, 'Диагностика', '', 666, 1, 1, 'NPARAM14', 313, 6336);
  -- Добавление параметра прибора "Пароль(Новый|Старый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9080, 'Пароль(Новый|Старый)', '', 666, 1, 1, '__PASSWORD', 313, 192);

---- Группа "Системные модем" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (667, 'Системные модем', '', 313, 0);

  -- Добавление параметра прибора "Логин GPRS"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9081, 'Логин GPRS', '', 667, 1, 1, 'G251P2', 313, 192);
  -- Добавление параметра прибора "Пароль GPRS"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9082, 'Пароль GPRS', '', 667, 1, 1, 'G251P3', 313, 192);
  -- Добавление параметра прибора "APN GPRS"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9083, 'APN GPRS', '', 667, 1, 1, 'G251P4', 313, 192);
  -- Добавление параметра прибора "IP  сервера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9084, 'IP  сервера', '', 667, 1, 1, 'G251P5', 313, 192);
  -- Добавление параметра прибора "TCP Порт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9085, 'TCP Порт', '', 667, 1, 1, 'G251P8', 313, 192);
  -- Добавление параметра прибора "Таймаут TCP [c]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9086, 'Таймаут TCP [c]', '', 667, 1, 1, 'G251P10', 313, 192);
  -- Добавление параметра прибора "Идентификатор модема ID"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9087, 'Идентификатор модема ID', '', 667, 1, 1, 'G251P11', 313, 192);
  -- Добавление параметра прибора "RSSI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9088, 'RSSI', '', 667, 1, 1, 'G251P37', 313, 448);
  -- Добавление параметра прибора "Версия ПО GSM модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9089, 'Версия ПО GSM модуля', '', 667, 1, 1, 'G251P15', 313, 448);

---- Группа "Измерения" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (668, 'Измерения', '', 313, 0);

  -- Добавление параметра прибора "Канал1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9090, 'Канал1', '', 668, 1, 1, 'K1', 313, 143);
  -- Добавление параметра прибора "Канал2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9091, 'Канал2', '', 668, 1, 1, 'K2', 313, 143);
  -- Добавление параметра прибора "Канал3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9092, 'Канал3', '', 668, 1, 1, 'K3', 313, 399);

---- Прибор "Энергоучёт ЭУ20М-33" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (314, 'Энергоучёт ЭУ20М-33', '', 128);
  -- Добавление параметра прибора "Номер текущего тарифа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9093, 'Номер текущего тарифа', '', 0, 1, 1, 'CUR.T', 314, 385);
  -- Добавление параметра прибора "Энергия тариф0 [кВт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9094, 'Энергия тариф0 [кВт/ч]', '', 0, 1, 1, 'T0.P', 314, 397);
  -- Добавление параметра прибора "Энергия тариф1 [кВт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9095, 'Энергия тариф1 [кВт/ч]', '', 0, 1, 1, 'T1.P', 314, 397);
  -- Добавление параметра прибора "Энергия тариф2 [кВт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9096, 'Энергия тариф2 [кВт/ч]', '', 0, 1, 1, 'K', 314, 397);
  -- Добавление параметра прибора "Энергия тариф3 [кВт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9097, 'Энергия тариф3 [кВт/ч]', '', 0, 1, 1, 'K', 314, 397);
  -- Добавление параметра прибора "Энергия тариф4 [кВт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9098, 'Энергия тариф4 [кВт/ч]', '', 0, 1, 1, 'K', 314, 397);
  -- Добавление параметра прибора "Энергия тариф5 [кВт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9099, 'Энергия тариф5 [кВт/ч]', '', 0, 1, 1, 'K', 314, 397);
  -- Добавление параметра прибора "Мощность, [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9100, 'Мощность, [Вт]', '', 0, 1, 1, 'PH1.P', 314, 385);
  -- Добавление параметра прибора "Напряжение,[В] "
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9101, 'Напряжение,[В] ', '', 0, 1, 1, 'PH1.U', 314, 385);
  -- Добавление параметра прибора "Ток,[А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9102, 'Ток,[А]', '', 0, 1, 1, 'PH1.I', 314, 385);
  -- Добавление параметра прибора "Сдвиг фазы тока [град]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9103, 'Сдвиг фазы тока [град]', '', 0, 1, 1, 'PH1.fi', 314, 385);
  -- Добавление параметра прибора "Частота сети, [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9104, 'Частота сети, [Гц]', '', 0, 1, 1, 'PH1.FREQ', 314, 385);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (669, 'Системные', '', 314, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9105, 'ДатаВремя', '', 669, 1, 1, 'D', 314, 192);
  -- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9106, 'Заводской номер', '', 669, 1, 1, 'SERNUM', 314, 448);
  -- Добавление параметра прибора "Дата инициализации прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9107, 'Дата инициализации прибора', '', 669, 1, 1, 'DINIT', 314, 448);
  -- Добавление параметра прибора "Абонентский номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9108, 'Абонентский номер', '', 669, 1, 1, 'ABNUM', 314, 448);
  -- Добавление параметра прибора "Тепрература счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9109, 'Тепрература счётчика', '', 669, 1, 1, 'TEMPR', 314, 448);
