-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9129 AND pr_typ_id <= 9159;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 672 AND gr_typ_id <= 682;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 316 AND dev_typ_id <= 317;

---- Прибор "Пульсар теплосчётчик ультразуковой" ----


---- Группа "Настроечные" ----

  -- Обновление параметра прибора "Тип(тепло/холод)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тип(тепло/холод)', "Comment" = '', "NameP2" = 'NPARAM0F', dev_typ_id = 280, "SupportData" = 192 WHERE pr_typ_id = 8536;
  -- Добавление параметра прибора "Режим расчёта УЗ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9129, 'Режим расчёта УЗ', '', 633, 1, 1, 'NPARAM230', 280, 192);

---- Прибор "Пульсар_GPRS_V2" ----


---- Группа "Системные пульсар" ----

  -- Обновление параметра прибора "Напряжение батареи [мB]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение батареи [мB]', "Comment" = '', "NameP2" = 'NPARAM1B', dev_typ_id = 311, "SupportData" = 448 WHERE pr_typ_id = 9017;

---- Прибор "Пульсар_GPRS_V3" ----


---- Группа "Системные пульсар" ----

  -- Обновление параметра прибора "Напряжение батареи [мB]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение батареи [мB]', "Comment" = '', "NameP2" = 'NPARAM13', dev_typ_id = 313, "SupportData" = 448 WHERE pr_typ_id = 9068;

---- Прибор "Омега-ТР" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (316, 'Омега-ТР', '', 0);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (672, 'Системные', '', 316, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9130, 'Серийный номер', '', 672, 1, 1, 'SN', 316, 448);
  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9131, 'ДатаВремя', '', 672, 1, 1, 'D', 316, 16576);

---- Группа "Канал1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (673, 'Канал1', '', 316, 0);

  -- Добавление параметра прибора "Объём расход1 (м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9132, 'Объём расход1 (м^3/ч)', '', 673, 1, 1, 'CH1.TGo', 316, 385);
  -- Добавление параметра прибора "Масса расход1 (тн/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9133, 'Масса расход1 (тн/ч)', '', 673, 1, 1, 'CH1.TGm', 316, 385);
  -- Добавление параметра прибора "Энтальпия1 (Мкал/тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9134, 'Энтальпия1 (Мкал/тн)', '', 673, 1, 1, 'CH1.Th', 316, 385);
  -- Добавление параметра прибора "Плотность1 (тн/м^3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9135, 'Плотность1 (тн/м^3)', '', 673, 1, 1, 'CH1.TP', 316, 385);
  -- Добавление параметра прибора "Температура1 (гр. С)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9136, 'Температура1 (гр. С)', '', 673, 1, 1, 'CH1.t', 316, 397);
  -- Добавление параметра прибора "Давление1 (кгс/см^2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9137, 'Давление1 (кгс/см^2)', '', 673, 1, 1, 'CH1.pr', 316, 384);
  -- Добавление параметра прибора "Масса1 (тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9138, 'Масса1 (тн)', '', 673, 1, 1, 'CH1.Me', 316, 385);
  -- Добавление параметра прибора "Объемный расход1 V  ( м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9139, 'Объемный расход1 V  ( м^3/ч)', '', 673, 1, 1, 'CH1.V', 316, 399);
  -- Добавление параметра прибора "Массовый расход1 Gm (тн/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9140, 'Массовый расход1 Gm (тн/ч)', '', 673, 1, 1, 'CH1.Gm', 316, 399);
  -- Добавление параметра прибора "Энтальпия1  h (Мкал/тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9141, 'Энтальпия1  h (Мкал/тн)', '', 673, 1, 1, 'CH1.h', 316, 399);
  -- Добавление параметра прибора "Плотность1 P  (н/м^3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9142, 'Плотность1 P  (н/м^3)', '', 673, 1, 1, 'CH1.P', 316, 399);

---- Группа "Канал2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (674, 'Канал2', '', 316, 0);


---- Группа "Канал3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (675, 'Канал3', '', 316, 0);


---- Группа "Канал4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (676, 'Канал4', '', 316, 0);


---- Группа "Канал5" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (677, 'Канал5', '', 316, 0);


---- Группа "Канал6" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (678, 'Канал6', '', 316, 0);


---- Группа "Контур1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (679, 'Контур1', '', 316, 0);

  -- Добавление параметра прибора "Время наработки, контур1 (мин)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9143, 'Время наработки, контур1 (мин)', '', 679, 1, 1, 'K1.wt', 316, 399);
  -- Добавление параметра прибора "Тепло, контур1 (Гкал)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9144, 'Тепло, контур1 (Гкал)', '', 679, 1, 1, 'K1.Q', 316, 399);
  -- Добавление параметра прибора "Тепловая мощность контур1 (Гкал/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9145, 'Тепловая мощность контур1 (Гкал/ч)', '', 679, 1, 1, 'K1.TM', 316, 385);

---- Группа "Контур2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (680, 'Контур2', '', 316, 0);


---- Группа "Контур3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (681, 'Контур3', '', 316, 0);


---- Прибор "Decast" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (317, 'Decast', '', 128);
  -- Добавление параметра прибора "Сопротивление T1, Ом"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9146, 'Сопротивление T1, Ом', '', 0, 1, 1, 'K1', 317, 385);
  -- Добавление параметра прибора "Сопротивление T2, Ом"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9147, 'Сопротивление T2, Ом', '', 0, 1, 1, 'K2', 317, 385);
  -- Добавление параметра прибора "Температура подачи, ºС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9148, 'Температура подачи, ºС', '', 0, 1, 1, 'K3', 317, 399);
  -- Добавление параметра прибора "Температура обратки, ºС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9149, 'Температура обратки, ºС', '', 0, 1, 1, 'K4', 317, 399);
  -- Добавление параметра прибора "Разность температур, ºС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9150, 'Разность температур, ºС', '', 0, 1, 1, 'K5', 317, 385);
  -- Добавление параметра прибора "Мгновенная энергия, Гкал/сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9151, 'Мгновенная энергия, Гкал/сек', '', 0, 1, 1, 'K6', 317, 385);
  -- Добавление параметра прибора "Накопленная энергия, Гкал "
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9152, 'Накопленная энергия, Гкал ', '', 0, 1, 1, 'K7', 317, 399);
  -- Добавление параметра прибора "Накопленный объем, м3 "
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9153, 'Накопленный объем, м3 ', '', 0, 1, 1, 'K8', 317, 399);
  -- Добавление параметра прибора "Мгновенный расход, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9154, 'Мгновенный расход, м3', '', 0, 1, 1, 'K9', 317, 385);
  -- Добавление параметра прибора "Импульсный вход 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9155, 'Импульсный вход 1, м3', '', 0, 1, 1, 'K10', 317, 143);
  -- Добавление параметра прибора "Импульсный вход 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9156, 'Импульсный вход 2, м3', '', 0, 1, 1, 'K11', 317, 143);
  -- Добавление параметра прибора "Температура устройства, ºС "
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9157, 'Температура устройства, ºС ', '', 0, 1, 1, 'K12', 317, 448);
  -- Добавление параметра прибора "Сбросы / ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9158, 'Сбросы / ошибки', '', 0, 1, 1, 'K13', 317, 399);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (682, 'Системные', '', 317, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9159, 'ДатаВремя', '', 682, 1, 1, 'D', 317, 16576);
