
SET client_encoding = 'UTF8';

SET search_path = "Tepl", pg_catalog;


---- Прибор "ВТЭ-1П140(141)М" ----

DELETE FROM "Tepl"."TypeDevices"
 WHERE dev_typ_id=206;

INSERT INTO "TypeDevices" ("dev_typ_id", "Name", "Comment", "SupportUSPD", "SupportSoft", "AdditionInfo") VALUES (206, 'ВТЭ-1П140(141)М', '', NULL, NULL, 2147483647);

DELETE FROM "Tepl"."DeviceTypeGroupParametr"
 WHERE dev_typ_id=206;

INSERT INTO "DeviceTypeGroupParametr" ("gr_typ_id", "Name", "Comment", "dev_typ_id", "Parent_gr_typ_id") VALUES (363, 'Системные', NULL, 206, 0);
INSERT INTO "DeviceTypeGroupParametr" ("gr_typ_id", "Name", "Comment", "dev_typ_id", "Parent_gr_typ_id") VALUES (364, 'Система1', NULL, 206, 0);
INSERT INTO "DeviceTypeGroupParametr" ("gr_typ_id", "Name", "Comment", "dev_typ_id", "Parent_gr_typ_id") VALUES (365, 'Система2', NULL, 206, 0);

DELETE FROM "Tepl"."DeviceTypeParametr"
 WHERE dev_typ_id=206;


INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4344, 'Расход1_1', 'Текущие', 364, 1, 1, 'G11', 206, 2147483521);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4345, 'Расход2_1', 'Текущие', 364, 1, 1, 'G12', 206, 2147483521);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4346, 'Расход3_1', 'Текущие', 364, 1, 1, 'G13', 206, 2147483521);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4360, 'Расход1_2', 'Текущие', 365, 1, 1, 'G21', 206, 2147483521);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4361, 'Расход2_2', 'Текущие', 365, 1, 1, 'G22', 206, 2147483521);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4362, 'Расход3_2', 'Текущие', 365, 1, 1, 'G23', 206, 2147483521);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4331, 'Время работы прибора', 'текущие', 363, 1, 1, 'tnar', 206, 2147483526);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4333, 'Температура1_1', 'Архив, Текущие', 364, 1, 1, 'T11', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4334, 'Температура2_1', 'Архив, Текущие', 364, 1, 1, 'T12', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4335, 'Температура3_1', 'Архив, Текущие', 364, 1, 1, 'T13', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4336, 'Объём1_1', 'Архив, Текущие', 364, 1, 1, 'V11', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4337, 'Объём2_1', 'Архив, Текущие', 364, 1, 1, 'V12', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4338, 'Объём3_1', 'Архив, Текущие', 364, 1, 1, 'V13', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4340, 'Давление2_1', 'Архив, Текущие', 364, 1, 1, 'P12', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4341, 'Масса1_1', 'Архив, Текущие', 364, 1, 1, 'M11', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4342, 'Масса2_1', 'Архив, Текущие', 364, 1, 1, 'M12', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4343, 'Масса3_1', 'Архив, Текущие', 364, 1, 1, 'M13', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4347, 'Время раб. с ош.1', 'Архив, Текущие', 364, 1, 1, 'terr1', 206, 2147483534);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4348, 'Энергия2', 'Архив, Текущие', 365, 1, 1, 'W2', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4349, 'Температура1_2', 'Архив, Текущие', 365, 1, 1, 'T21', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4350, 'Температура2_2', 'Архив, Текущие', 365, 1, 1, 'T22', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4351, 'Температура3_2', 'Архив, Текущие', 365, 1, 1, 'T23', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4352, 'Объём1_2', 'Архив, Текущие', 365, 1, 1, 'V21', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4353, 'Объём2_2', 'Архив, Текущие', 365, 1, 1, 'V22', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4354, 'Объём3_2', 'Архив, Текущие', 365, 1, 1, 'V23', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4355, 'Давление1_2', 'Архив, Текущие', 365, 1, 1, 'P21', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4356, 'Давление2_2', 'Архив, Текущие', 365, 1, 1, 'P22', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4357, 'Масса1_2', 'Архив, Текущие', 365, 1, 1, 'M21', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4358, 'Масса2_2', 'Архив, Текущие', 365, 1, 1, 'M22', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4359, 'Масса3_2', 'Архив, Текущие', 365, 1, 1, 'M23', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4363, 'Время раб. с ош.2', 'Архив, Текущие', 365, 1, 1, 'terr2', 206, 2147483534);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4330, 'Дата время', 'текущие', 363, 1, 1, 'D', 206, 2147483584);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4332, 'Энергия1', 'Архив, Текущие', 364, 1, 1, 'W1', 206, 2147483535);
INSERT INTO "DeviceTypeParametr" ("pr_typ_id", "Name", "Comment", "gr_typ_id", "typ_dat_Curr", "typ_dat_Arh", "NameP2", "dev_typ_id", "SupportData") VALUES (4339, 'Давление1_1', 'Архив, Текущие', 364, 1, 1, 'P11', 206, 2147483535);







