SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9389 AND pr_typ_id <= 9500;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 698 AND gr_typ_id <= 702;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 320;

---- Прибор "Пульсар теплосчётчик v9" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (320, 'Пульсар теплосчётчик v9', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (698, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 320, 0);


---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (699, 'Каналы', 'Текущие, архивируемые и диагностические каналы', 320, 0);

  -- Добавление параметра прибора "Энергия [тепло]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9389, 'Энергия [тепло]', '', 699, 1, 1, 'K7', 320, 143);
  -- Добавление параметра прибора "Энергия [холод]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9390, 'Энергия [холод]', '', 699, 1, 1, 'K21', 320, 143);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9391, 'Мощность', '', 699, 1, 1, 'K6', 320, 385);
  -- Добавление параметра прибора "Температура [подача, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9392, 'Температура [подача, C]', '', 699, 1, 1, 'K3', 320, 399);
  -- Добавление параметра прибора "Температура [обратка, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9393, 'Температура [обратка, C]', '', 699, 1, 1, 'K4', 320, 399);
  -- Добавление параметра прибора "Температура [перепад, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9394, 'Температура [перепад, C]', '', 699, 1, 1, 'K5', 320, 385);
  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9395, 'Объём [м3]', '', 699, 1, 1, 'K8', 320, 143);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9396, 'Расход [м3/ч]', '', 699, 1, 1, 'K9', 320, 385);
  -- Добавление параметра прибора "Расход [по энергии, м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9397, 'Расход [по энергии, м3/ч]', '', 699, 1, 1, 'K14', 320, 385);
  -- Добавление параметра прибора "Импульсный вход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9398, 'Импульсный вход 1', '', 699, 1, 1, 'K10', 320, 143);
  -- Добавление параметра прибора "Импульсный вход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9399, 'Импульсный вход 2', '', 699, 1, 1, 'K11', 320, 143);
  -- Добавление параметра прибора "Импульсный вход 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9400, 'Импульсный вход 3', '', 699, 1, 1, 'K12', 320, 143);
  -- Добавление параметра прибора "Импульсный вход 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9401, 'Импульсный вход 4', '', 699, 1, 1, 'K13', 320, 143);
  -- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9402, 'Время нормальной работы [ч]', '', 699, 1, 1, 'K20.U32', 320, 143);

---- Группа "Диагностика" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (700, 'Диагностика', 'Диагностические каналы', 320, 699);

  -- Добавление параметра прибора "Сопротивление [подача, Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9403, 'Сопротивление [подача, Ом]', '', 700, 1, 1, 'K1', 320, 320);
  -- Добавление параметра прибора "Сопротивление [обратка, Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9404, 'Сопротивление [обратка, Ом]', '', 700, 1, 1, 'K2', 320, 320);
  -- Добавление параметра прибора "Частота детектора [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9405, 'Частота детектора [Гц]', '', 700, 1, 1, 'K15', 320, 320);
  -- Добавление параметра прибора "Тестовый объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9406, 'Тестовый объём [м3]', '', 700, 1, 1, 'K16', 320, 320);
  -- Добавление параметра прибора "Тестовый расход [без лин, м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9407, 'Тестовый расход [без лин, м3/ч]', '', 700, 1, 1, 'K19', 320, 320);
  -- Добавление параметра прибора "Тестовый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9408, 'Тестовый расход [м3/ч]', '', 700, 1, 1, 'K17', 320, 320);
  -- Добавление параметра прибора "Время теста [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9409, 'Время теста [сек]', '', 700, 1, 1, 'K18', 320, 320);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (701, 'Параметры', 'Информационные и настроечные параметры', 320, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9410, 'Дата и время', '', 701, 1, 1, 'D', 320, 129);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9411, 'Версия ПО', '', 701, 1, 1, 'P0005.U8', 320, 385);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9412, 'Время наработки [ч]', '', 701, 1, 1, 'P000C.U32', 320, 129);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9413, 'Время наработки c ошибками [ч]', '', 701, 1, 1, 'P000D.U32', 320, 129);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9414, 'Сетевой адрес', '', 701, 1, 1, 'P0002.U32.XN', 320, 64);
  -- Добавление параметра прибора "Сетевой адрес M-Bus"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9415, 'Сетевой адрес M-Bus', '', 701, 1, 1, 'P00D0.U8', 320, 192);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9416, 'Пароль (старый | новый)', '', 701, 1, 1, 'P0099', 320, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9417, 'Ошибки', '', 701, 1, 1, 'P0006', 320, 448);
  -- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9418, 'Наработка с ошибками, маска', '', 701, 1, 1, 'P000E.U16.B', 320, 192);
  -- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9419, 'Автопереход зима/лето', '', 701, 1, 1, 'P0001.U8', 320, 192);
  -- Добавление параметра прибора "Имп. вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9420, 'Имп. вход 1, вес', '', 701, 1, 1, 'P0020.F32', 320, 192);
  -- Добавление параметра прибора "Имп. вход 1, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9421, 'Имп. вход 1, длит. [мс]', '', 701, 1, 1, 'P0021.F32', 320, 192);
  -- Добавление параметра прибора "Имп. вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9422, 'Имп. вход 2, вес', '', 701, 1, 1, 'P0023.F32', 320, 192);
  -- Добавление параметра прибора "Имп. вход 2, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9423, 'Имп. вход 2, длит. [мс]', '', 701, 1, 1, 'P0024.F32', 320, 192);
  -- Добавление параметра прибора "Имп. вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9424, 'Имп. вход 3, вес', '', 701, 1, 1, 'P0026.F32', 320, 192);
  -- Добавление параметра прибора "Имп. вход 3, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9425, 'Имп. вход 3, длит. [мс]', '', 701, 1, 1, 'P0027.F32', 320, 192);
  -- Добавление параметра прибора "Имп. вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9426, 'Имп. вход 4, вес', '', 701, 1, 1, 'P0029.F32', 320, 192);
  -- Добавление параметра прибора "Имп. вход 4, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9427, 'Имп. вход 4, длит. [мс]', '', 701, 1, 1, 'P002A.F32', 320, 192);
  -- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9428, 'Имп. выход, вес', '', 701, 1, 1, 'P002C.F32', 320, 192);
  -- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9429, 'Имп. выход, длит. [мс]', '', 701, 1, 1, 'P002D.F32', 320, 192);
  -- Добавление параметра прибора "Мин. расход для энергии [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9430, 'Мин. расход для энергии [м3/ч]', '', 701, 1, 1, 'P0051.F32', 320, 192);
  -- Добавление параметра прибора "Мин. дельта темпер. для энергии [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9431, 'Мин. дельта темпер. для энергии [C]', '', 701, 1, 1, 'P0052.F32', 320, 192);
  -- Добавление параметра прибора "Статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9432, 'Статус', '', 701, 1, 1, 'P0008', 320, 448);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (702, 'Наладка', 'Наладка и калибровка', 320, 701);

  -- Добавление параметра прибора "Количество сборосов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9433, 'Количество сборосов', '', 702, 1, 1, 'P0007.U16', 320, 320);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9434, 'Запись разрешена аппаратно', '', 702, 1, 1, 'P0008.U8.BIT3', 320, 320);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9435, 'Запись разрешена программно', '', 702, 1, 1, 'P0008.U8.BIT4', 320, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9436, 'Напряжение батареи [мВ]', '', 702, 1, 1, 'P000A.U16', 320, 320);
  -- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9437, 'Температура контроллера [C]', '', 702, 1, 1, 'P000B.U8', 320, 320);
  -- Добавление параметра прибора "Частота кварца LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9438, 'Частота кварца LF [Гц]', '', 702, 1, 1, 'P0003.F32', 320, 64);
  -- Добавление параметра прибора "Частота кварца RF [МГц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9439, 'Частота кварца RF [МГц]', '', 702, 1, 1, 'P0004.F32', 320, 64);
  -- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9440, 'Тест ACLK', '', 702, 1, 1, 'P0090.U8', 320, 64);
  -- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9441, 'Тест расхода', '', 702, 1, 1, 'P0092.U8', 320, 64);
  -- Добавление параметра прибора "Вес испульса [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9442, 'Вес испульса [л/имп]', '', 702, 1, 1, 'P005D.F32', 320, 64);
  -- Добавление параметра прибора "Расход по эталону [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9443, 'Расход по эталону [м3/ч]', '', 702, 1, 1, 'P005E.F32', 320, 64);
  -- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9444, 'Линеаризация расхода', '', 702, 1, 1, 'P005F.U8', 320, 64);
  -- Добавление параметра прибора "Автонастройка детектора металла"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9445, 'Автонастройка детектора металла', '', 702, 1, 1, 'P009A.U8', 320, 64);
  -- Добавление параметра прибора "Учет энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9446, 'Учет энергии', '', 702, 1, 1, 'P000F.U8.BIT0-3', 320, 64);
  -- Добавление параметра прибора "Установка на обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9447, 'Установка на обратной трубе', '', 702, 1, 1, 'P000F.U8.BIT3', 320, 64);
  -- Добавление параметра прибора "Подающий термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9448, 'Подающий термометр виртуальный', '', 702, 1, 1, 'P000F.U8.BIT4', 320, 64);
  -- Добавление параметра прибора "Обратный термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9449, 'Обратный термометр виртуальный', '', 702, 1, 1, 'P000F.U8.BIT5', 320, 64);
  -- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9450, 'Часовой кварц, ёмкость', '', 702, 1, 1, 'P0010.S8', 320, 64);
  -- Добавление параметра прибора "Объём EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9451, 'Объём EEPROM', '', 702, 1, 1, 'P0011.U8', 320, 64);
  -- Добавление параметра прибора "Конфигурация имп. выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9452, 'Конфигурация имп. выхода', '', 702, 1, 1, 'P0012.S8', 320, 64);
  -- Добавление параметра прибора "Количество имп. входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9453, 'Количество имп. входов', '', 702, 1, 1, 'P0013.U8', 320, 64);
  -- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9454, 'Порт RS485', '', 702, 1, 1, 'P0015', 320, 64);
  -- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9455, 'Порт ИК', '', 702, 1, 1, 'P0016', 320, 64);
  -- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9456, 'Конфигурация кнопки', '', 702, 1, 1, 'P0019.S8', 320, 64);
  -- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9457, 'Язык', '', 702, 1, 1, 'P001A.U16.BIT0-2', 320, 64);
  -- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9458, 'Модуль дисплея', '', 702, 1, 1, 'P001A.U16.BIT2-6', 320, 64);
  -- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9459, 'Единицы измерения энергии', '', 702, 1, 1, 'P001A.U16.BIT8-4', 320, 64);
  -- Добавление параметра прибора "Единицы измерения мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9460, 'Единицы измерения мощности', '', 702, 1, 1, 'P001A.U16.BIT12-4', 320, 64);
  -- Добавление параметра прибора "Архивируемые каналы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9461, 'Архивируемые каналы', '', 702, 1, 1, 'P001B', 320, 64);
  -- Добавление параметра прибора "Температура виртуальная [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9462, 'Температура виртуальная [C]', '', 702, 1, 1, 'P0050.F32', 320, 64);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9463, 'Значение смещения [Ом]', '', 702, 1, 1, 'P0030.F32', 320, 64);
  -- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9464, 'Коэфф. диапазона [Ом]', '', 702, 1, 1, 'P0031.F32', 320, 64);
  -- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9465, 'Сопротивление калиб. [Ом]', '', 702, 1, 1, 'P0032.F32', 320, 64);
  -- Добавление параметра прибора "Сопротивление подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9466, 'Сопротивление подачи [Ом]', '', 702, 1, 1, 'P0033.F32', 320, 320);
  -- Добавление параметра прибора "Сопротивление обратки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9467, 'Сопротивление обратки [Ом]', '', 702, 1, 1, 'P0034.F32', 320, 320);
  -- Добавление параметра прибора "Rwire подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9468, 'Rwire подачи [Ом]', '', 702, 1, 1, 'P0035.F32', 320, 64);
  -- Добавление параметра прибора "R0 подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9469, 'R0 подачи [Ом]', '', 702, 1, 1, 'P0036.F32', 320, 64);
  -- Добавление параметра прибора "Alfa подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9470, 'Alfa подачи [Ом]', '', 702, 1, 1, 'P0037.F32', 320, 64);
  -- Добавление параметра прибора "Beta подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9471, 'Beta подачи [Ом]', '', 702, 1, 1, 'P0038.F32', 320, 64);
  -- Добавление параметра прибора "Delta подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9472, 'Delta подачи [Ом]', '', 702, 1, 1, 'P0039.F32', 320, 64);
  -- Добавление параметра прибора "Rwire подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9473, 'Rwire подачи [Ом]', '', 702, 1, 1, 'P003A.F32', 320, 64);
  -- Добавление параметра прибора "R0 обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9474, 'R0 обатки [Ом]', '', 702, 1, 1, 'P003B.F32', 320, 64);
  -- Добавление параметра прибора "Alfa обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9475, 'Alfa обатки [Ом]', '', 702, 1, 1, 'P003C.F32', 320, 64);
  -- Добавление параметра прибора "Beta обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9476, 'Beta обатки [Ом]', '', 702, 1, 1, 'P003D.F32', 320, 64);
  -- Добавление параметра прибора "Delta обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9477, 'Delta обатки [Ом]', '', 702, 1, 1, 'P003E.F32', 320, 64);
  -- Добавление параметра прибора "R0 эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9478, 'R0 эталон [Ом]', '', 702, 1, 1, 'P003F.F32', 320, 320);
  -- Добавление параметра прибора "Alfa эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9479, 'Alfa эталон [Ом]', '', 702, 1, 1, 'P0040.F32', 320, 320);
  -- Добавление параметра прибора "Beta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9480, 'Beta эталон [Ом]', '', 702, 1, 1, 'P0041.F32', 320, 320);
  -- Добавление параметра прибора "Delta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9481, 'Delta эталон [Ом]', '', 702, 1, 1, 'P0042.F32', 320, 320);
  -- Добавление параметра прибора "Rf-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9482, 'Rf-test [Ом]', '', 702, 1, 1, 'P00A0.F32', 320, 64);
  -- Добавление параметра прибора "Rr-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9483, 'Rr-test [Ом]', '', 702, 1, 1, 'P00A1.F32', 320, 64);
  -- Добавление параметра прибора "Re-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9484, 'Re-test [Ом]', '', 702, 1, 1, 'P00A2.F32', 320, 64);
  -- Добавление параметра прибора "Tf-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9485, 'Tf-test [C]', '', 702, 1, 1, 'P00A3.F32', 320, 64);
  -- Добавление параметра прибора "Tr-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9486, 'Tr-test [C]', '', 702, 1, 1, 'P00A4.F32', 320, 64);
  -- Добавление параметра прибора "Te-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9487, 'Te-test [C]', '', 702, 1, 1, 'P00A5.F32', 320, 320);
  -- Добавление параметра прибора "V-test, [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9488, 'V-test, [м3]', '', 702, 1, 1, 'P00A6.F32', 320, 64);
  -- Добавление параметра прибора "Ef-test"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9489, 'Ef-test', '', 702, 1, 1, 'P00A7.F32', 320, 320);
  -- Добавление параметра прибора "Er-test"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9490, 'Er-test', '', 702, 1, 1, 'P00A8.F32', 320, 320);
  -- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9491, 'Сенсорная кнопка, статус', '', 702, 1, 1, 'P0098.U64.X', 320, 320);
  -- Добавление параметра прибора "Детектор метала, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9492, 'Детектор метала, статус', '', 702, 1, 1, 'P009B.U64.X', 320, 320);
  -- Добавление параметра прибора "Детектор метала, рез. настройки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9493, 'Детектор метала, рез. настройки', '', 702, 1, 1, 'P009C.U32.X', 320, 320);
  -- Добавление параметра прибора "Детектор метала, рез. калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9494, 'Детектор метала, рез. калибровки', '', 702, 1, 1, 'P009D.U32.X', 320, 320);
  -- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9495, 'Глубина часового архива', '', 702, 1, 1, 'P001C.U64.BIT0-16', 320, 64);
  -- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9496, 'Глубина суточного архива', '', 702, 1, 1, 'P001C.U64.BIT16-16', 320, 64);
  -- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9497, 'Глубина месячного архива', '', 702, 1, 1, 'P001C.U64.BIT32-16', 320, 64);
  -- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9498, 'Глубина журнала событий', '', 702, 1, 1, 'P001C.U64.BIT48-16', 320, 64);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9499, 'Диагностика', '', 702, 1, 1, 'P0090.U8', 320, 64);
  -- Добавление параметра прибора "Сброс статуса истории"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9500, 'Сброс статуса истории', '', 702, 1, 1, 'P00D1.U8.BIT0', 320, 64);
