-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9642 AND pr_typ_id <= 9675;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 711 AND gr_typ_id <= 714;

---- Прибор "ПСЧ-4ТМ" ----


---- Группа "Фаза1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (711, 'Фаза1', '', 136, 0);

  -- Добавление параметра прибора "Активная мощность по фазе 1, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9642, 'Активная мощность по фазе 1, Вт', '', 711, 1, 1, 'PA1', 136, 385);
  -- Добавление параметра прибора "Реактивная мощность по фазе 1, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9643, 'Реактивная мощность по фазе 1, Вт', '', 711, 1, 1, 'PR1', 136, 385);
  -- Добавление параметра прибора "Полная мощность по фазе 1, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9644, 'Полная мощность по фазе 1, Вт', '', 711, 1, 1, 'PS1', 136, 385);
  -- Добавление параметра прибора "Фазовое напряжение по фазе 1, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9645, 'Фазовое напряжение по фазе 1, В', '', 711, 1, 1, 'U1', 136, 385);
  -- Добавление параметра прибора "Ток в фазе 1, мА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9646, 'Ток в фазе 1, мА', '', 711, 1, 1, 'I1', 136, 385);
  -- Добавление параметра прибора "Коэф. активной мощности cos f по фазе 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9647, 'Коэф. активной мощности cos f по фазе 1', '', 711, 1, 1, 'cosf1', 136, 385);
  -- Добавление параметра прибора "Коэф. реактивной мощности sin f по фазе 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9648, 'Коэф. реактивной мощности sin f по фазе 1', '', 711, 1, 1, 'sinf1', 136, 257);
  -- Добавление параметра прибора "Коэф. реактивной мощности tg f по фазе 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9649, 'Коэф. реактивной мощности tg f по фазе 1', '', 711, 1, 1, 'tgf1', 136, 257);

---- Группа "Фаза2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (712, 'Фаза2', '', 136, 0);

  -- Добавление параметра прибора "Активная мощность по фазе 2, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9650, 'Активная мощность по фазе 2, Вт', '', 712, 1, 1, 'PA2', 136, 385);
  -- Добавление параметра прибора "Реактивная мощность по фазе 2, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9651, 'Реактивная мощность по фазе 2, Вт', '', 712, 1, 1, 'PR2', 136, 385);
  -- Добавление параметра прибора "Полная мощность по фазе 2, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9652, 'Полная мощность по фазе 2, Вт', '', 712, 1, 1, 'PS2', 136, 385);
  -- Добавление параметра прибора "Фазовое напряжение по фазе 2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9653, 'Фазовое напряжение по фазе 2, В', '', 712, 1, 1, 'U2', 136, 385);
  -- Добавление параметра прибора "Ток в фазе 2, мА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9654, 'Ток в фазе 2, мА', '', 712, 1, 1, 'I2', 136, 385);
  -- Добавление параметра прибора "Коэф. активной мощности cos f по фазе 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9655, 'Коэф. активной мощности cos f по фазе 2', '', 712, 1, 1, 'cosf2', 136, 385);
  -- Добавление параметра прибора "Коэф. реактивной мощности sin f по фазе 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9656, 'Коэф. реактивной мощности sin f по фазе 2', '', 712, 1, 1, 'sinf2', 136, 257);
  -- Добавление параметра прибора "Коэф. реактивной мощности tg f по фазе 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9657, 'Коэф. реактивной мощности tg f по фазе 2', '', 712, 1, 1, 'tgf2', 136, 257);

---- Группа "Фаза3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (713, 'Фаза3', '', 136, 0);

  -- Добавление параметра прибора "Активная мощность по фазе 3, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9658, 'Активная мощность по фазе 3, Вт', '', 713, 1, 1, 'PA3', 136, 385);
  -- Добавление параметра прибора "Реактивная мощность по фазе 3, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9659, 'Реактивная мощность по фазе 3, Вт', '', 713, 1, 1, 'PR3', 136, 385);
  -- Добавление параметра прибора "Полная мощность по фазе 3, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9660, 'Полная мощность по фазе 3, Вт', '', 713, 1, 1, 'PS3', 136, 385);
  -- Добавление параметра прибора "Фазовое напряжение по фазе 3, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9661, 'Фазовое напряжение по фазе 3, В', '', 713, 1, 1, 'U3', 136, 385);
  -- Добавление параметра прибора "Ток в фазе 3, мА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9662, 'Ток в фазе 3, мА', '', 713, 1, 1, 'I3', 136, 385);
  -- Добавление параметра прибора "Коэф. активной мощности cos f по фазе 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9663, 'Коэф. активной мощности cos f по фазе 3', '', 713, 1, 1, 'cosf3', 136, 385);
  -- Добавление параметра прибора "Коэф. реактивной мощности sin f по фазе 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9664, 'Коэф. реактивной мощности sin f по фазе 3', '', 713, 1, 1, 'sinf3', 136, 257);
  -- Добавление параметра прибора "Коэф. реактивной мощности tg f по фазе 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9665, 'Коэф. реактивной мощности tg f по фазе 3', '', 713, 1, 1, 'tgf3', 136, 257);

---- Группа "Общие текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (714, 'Общие текущие', '', 136, 0);

  -- Добавление параметра прибора "Активная мощность по сумме фаз, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9666, 'Активная мощность по сумме фаз, Вт', '', 714, 1, 1, 'PA', 136, 385);
  -- Добавление параметра прибора "Реактивная мощность по сумме фаз, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9667, 'Реактивная мощность по сумме фаз, Вт', '', 714, 1, 1, 'PR', 136, 385);
  -- Добавление параметра прибора "Полная мощность по сумме фаз, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9668, 'Полная мощность по сумме фаз, Вт', '', 714, 1, 1, 'PS', 136, 385);
  -- Добавление параметра прибора "Межфазное напряжение 1-2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9669, 'Межфазное напряжение 1-2, В', '', 714, 1, 1, 'U12', 136, 385);
  -- Добавление параметра прибора "Межфазное напряжение 2-3, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9670, 'Межфазное напряжение 2-3, В', '', 714, 1, 1, 'U23', 136, 385);
  -- Добавление параметра прибора "Межфазное напряжение 3-1, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9671, 'Межфазное напряжение 3-1, В', '', 714, 1, 1, 'U31', 136, 385);
  -- Добавление параметра прибора "Коэф. активной мощности cos f по сумме фаз"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9672, 'Коэф. активной мощности cos f по сумме фаз', '', 714, 1, 1, 'cosf', 136, 385);
  -- Добавление параметра прибора "Коэф. реактивной мощности sin f по сумме фаз"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9673, 'Коэф. реактивной мощности sin f по сумме фаз', '', 714, 1, 1, 'sinf', 136, 257);
  -- Добавление параметра прибора "Коэф. реактивной мощности tg f по сумме фаз"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9674, 'Коэф. реактивной мощности tg f по сумме фаз', '', 714, 1, 1, 'tgf', 136, 257);
  -- Добавление параметра прибора "Частота сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9675, 'Частота сети, Гц', '', 714, 1, 1, 'F', 136, 385);
