-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9829 AND pr_typ_id <= 9914;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 731 AND gr_typ_id <= 737;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 328;

---- Прибор "ИЭК СТАР-10x" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (328, 'ИЭК СТАР-10x', '', 128);

---- Группа "Тариф1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (731, 'Тариф1', '', 328, 0);

  -- Добавление параметра прибора "Активная прямая тариф 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9829, 'Активная прямая тариф 1, кВт*ч', '', 731, 1, 1, 'EA+T1', 328, 399);
  -- Добавление параметра прибора "Активная прямая тариф 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9830, 'Активная прямая тариф 1, кВт*ч', '', 731, 1, 1, 'EA+T1', 328, 399);
  -- Добавление параметра прибора "Активная обратная тариф 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9831, 'Активная обратная тариф 1, кВт*ч', '', 731, 1, 1, 'EA-T1', 328, 399);
  -- Добавление параметра прибора "Реактивная прямая тариф 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9832, 'Реактивная прямая тариф 1, кВт*ч', '', 731, 1, 1, 'ER+T1', 328, 399);
  -- Добавление параметра прибора "Реактивная обратная тариф 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9833, 'Реактивная обратная тариф 1, кВт*ч', '', 731, 1, 1, 'ER-T1', 328, 399);
  -- Добавление параметра прибора "Активная абсолютная тариф 1 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9834, 'Активная абсолютная тариф 1 , кВт*ч', '', 731, 1, 1, 'EAAT1', 328, 399);
  -- Добавление параметра прибора "Реактивная абсолютная тариф 1 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9835, 'Реактивная абсолютная тариф 1 , кВт*ч', '', 731, 1, 1, 'ERAT1', 328, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант  тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9836, 'Реактивная 1 квадрант  тариф 1', '', 731, 1, 1, 'ER1T1', 328, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант  тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9837, 'Реактивная 2 квадрант  тариф 1', '', 731, 1, 1, 'ER2T1', 328, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант  тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9838, 'Реактивная 3 квадрант  тариф 1', '', 731, 1, 1, 'ER3T1', 328, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант  тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9839, 'Реактивная 4 квадрант  тариф 1', '', 731, 1, 1, 'ER4T1', 328, 399);

---- Группа "Тариф2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (732, 'Тариф2', '', 328, 0);

  -- Добавление параметра прибора "Активная прямая тариф 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9840, 'Активная прямая тариф 2, кВт*ч', '', 732, 1, 1, 'EA+T2', 328, 399);
  -- Добавление параметра прибора "Активная прямая тариф 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9841, 'Активная прямая тариф 2, кВт*ч', '', 732, 1, 1, 'EA+T2', 328, 399);
  -- Добавление параметра прибора "Активная обратная тариф 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9842, 'Активная обратная тариф 2, кВт*ч', '', 732, 1, 1, 'EA-T2', 328, 399);
  -- Добавление параметра прибора "Реактивная прямая тариф 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9843, 'Реактивная прямая тариф 2, кВт*ч', '', 732, 1, 1, 'ER+T2', 328, 399);
  -- Добавление параметра прибора "Реактивная обратная тариф 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9844, 'Реактивная обратная тариф 2, кВт*ч', '', 732, 1, 1, 'ER-T2', 328, 399);
  -- Добавление параметра прибора "Активная абсолютная тариф 2 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9845, 'Активная абсолютная тариф 2 , кВт*ч', '', 732, 1, 1, 'EAAT2', 328, 399);
  -- Добавление параметра прибора "Реактивная абсолютная тариф 2 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9846, 'Реактивная абсолютная тариф 2 , кВт*ч', '', 732, 1, 1, 'ERAT2', 328, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант  тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9847, 'Реактивная 1 квадрант  тариф 2', '', 732, 1, 1, 'ER1T2', 328, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант  тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9848, 'Реактивная 2 квадрант  тариф 2', '', 732, 1, 1, 'ER2T2', 328, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант  тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9849, 'Реактивная 3 квадрант  тариф 2', '', 732, 1, 1, 'ER3T2', 328, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант  тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9850, 'Реактивная 4 квадрант  тариф 2', '', 732, 1, 1, 'ER4T2', 328, 399);

---- Группа "Тариф3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (733, 'Тариф3', '', 328, 0);

  -- Добавление параметра прибора "Активная прямая тариф 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9851, 'Активная прямая тариф 3, кВт*ч', '', 733, 1, 1, 'EA+T3', 328, 399);
  -- Добавление параметра прибора "Активная прямая тариф 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9852, 'Активная прямая тариф 3, кВт*ч', '', 733, 1, 1, 'EA+T3', 328, 399);
  -- Добавление параметра прибора "Активная обратная тариф 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9853, 'Активная обратная тариф 3, кВт*ч', '', 733, 1, 1, 'EA-T3', 328, 399);
  -- Добавление параметра прибора "Реактивная прямая тариф 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9854, 'Реактивная прямая тариф 3, кВт*ч', '', 733, 1, 1, 'ER+T3', 328, 399);
  -- Добавление параметра прибора "Реактивная обратная тариф 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9855, 'Реактивная обратная тариф 3, кВт*ч', '', 733, 1, 1, 'ER-T3', 328, 399);
  -- Добавление параметра прибора "Активная абсолютная тариф 3 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9856, 'Активная абсолютная тариф 3 , кВт*ч', '', 733, 1, 1, 'EAAT3', 328, 399);
  -- Добавление параметра прибора "Реактивная абсолютная тариф 3 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9857, 'Реактивная абсолютная тариф 3 , кВт*ч', '', 733, 1, 1, 'ERAT3', 328, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант  тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9858, 'Реактивная 1 квадрант  тариф 3', '', 733, 1, 1, 'ER1T3', 328, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант  тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9859, 'Реактивная 2 квадрант  тариф 3', '', 733, 1, 1, 'ER2T3', 328, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант  тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9860, 'Реактивная 3 квадрант  тариф 3', '', 733, 1, 1, 'ER3T3', 328, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант  тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9861, 'Реактивная 4 квадрант  тариф 3', '', 733, 1, 1, 'ER4T3', 328, 399);

---- Группа "Тариф4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (734, 'Тариф4', '', 328, 0);

  -- Добавление параметра прибора "Активная прямая тариф 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9862, 'Активная прямая тариф 4, кВт*ч', '', 734, 1, 1, 'EA+T4', 328, 399);
  -- Добавление параметра прибора "Активная прямая тариф 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9863, 'Активная прямая тариф 4, кВт*ч', '', 734, 1, 1, 'EA+T4', 328, 399);
  -- Добавление параметра прибора "Активная обратная тариф 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9864, 'Активная обратная тариф 4, кВт*ч', '', 734, 1, 1, 'EA-T4', 328, 399);
  -- Добавление параметра прибора "Реактивная прямая тариф 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9865, 'Реактивная прямая тариф 4, кВт*ч', '', 734, 1, 1, 'ER+T4', 328, 399);
  -- Добавление параметра прибора "Реактивная обратная тариф 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9866, 'Реактивная обратная тариф 4, кВт*ч', '', 734, 1, 1, 'ER-T4', 328, 399);
  -- Добавление параметра прибора "Активная абсолютная тариф 4 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9867, 'Активная абсолютная тариф 4 , кВт*ч', '', 734, 1, 1, 'EAAT4', 328, 399);
  -- Добавление параметра прибора "Реактивная абсолютная тариф 4 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9868, 'Реактивная абсолютная тариф 4 , кВт*ч', '', 734, 1, 1, 'ERAT4', 328, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант  тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9869, 'Реактивная 1 квадрант  тариф 4', '', 734, 1, 1, 'ER1T4', 328, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант  тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9870, 'Реактивная 2 квадрант  тариф 4', '', 734, 1, 1, 'ER2T4', 328, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант  тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9871, 'Реактивная 3 квадрант  тариф 4', '', 734, 1, 1, 'ER3T4', 328, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант  тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9872, 'Реактивная 4 квадрант  тариф 4', '', 734, 1, 1, 'ER4T4', 328, 399);

---- Группа "Суммарные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (735, 'Суммарные', '', 328, 0);

  -- Добавление параметра прибора "Активная прямая сумма полная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9873, 'Активная прямая сумма полная, кВт*ч', '', 735, 1, 1, 'EA+SF', 328, 399);
  -- Добавление параметра прибора "Активная прямая сумма по тарифам, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9874, 'Активная прямая сумма по тарифам, кВт*ч', '', 735, 1, 1, 'EA+ST', 328, 399);
  -- Добавление параметра прибора "Реактивная прямая сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9875, 'Реактивная прямая сумма полная, кВар*ч', '', 735, 1, 1, 'ER+SF', 328, 399);
  -- Добавление параметра прибора "Реактивная прямая сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9876, 'Реактивная прямая сумма по тарифам, кВар*ч', '', 735, 1, 1, 'ER+ST', 328, 415);
  -- Добавление параметра прибора "Реактивная обратная сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9877, 'Реактивная обратная сумма полная, кВар*ч', '', 735, 1, 1, 'ER-SF', 328, 399);
  -- Добавление параметра прибора "Реактивная обратная сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9878, 'Реактивная обратная сумма по тарифам, кВар*ч', '', 735, 1, 1, 'ER-ST', 328, 399);
  -- Добавление параметра прибора "Активная абсолютная сумма полная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9879, 'Активная абсолютная сумма полная, кВт*ч', '', 735, 1, 1, 'EAASF', 328, 399);
  -- Добавление параметра прибора "Активная абсолютная сумма по тарифам, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9880, 'Активная абсолютная сумма по тарифам, кВт*ч', '', 735, 1, 1, 'EAAST', 328, 399);
  -- Добавление параметра прибора "Реактивная абсолютная сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9881, 'Реактивная абсолютная сумма полная, кВар*ч', '', 735, 1, 1, 'ERASF', 328, 399);
  -- Добавление параметра прибора "Реактивная абсолютная сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9882, 'Реактивная абсолютная сумма по тарифам, кВар*ч', '', 735, 1, 1, 'ERAST', 328, 399);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (736, 'Общие', '', 328, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9883, 'ДатаВремя', '', 736, 1, 1, 'D', 328, 129);
  -- Добавление параметра прибора "Коэффициент трансформации по напряжению"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9884, 'Коэффициент трансформации по напряжению', '', 736, 1, 1, 'KU', 328, 385);
  -- Добавление параметра прибора "Коэффициент трансформации по току"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9885, 'Коэффициент трансформации по току', '', 736, 1, 1, 'KI', 328, 385);
  -- Добавление параметра прибора "Активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9886, 'Активная мощность, кВт', '', 736, 1, 1, 'PA', 328, 385);
  -- Добавление параметра прибора "Реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9887, 'Реактивная мощность, кВар', '', 736, 1, 1, 'PR', 328, 385);
  -- Добавление параметра прибора "Частота, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9888, 'Частота, Гц', '', 736, 1, 1, 'F', 328, 385);
  -- Добавление параметра прибора "cos фи, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9889, 'cos фи, град.', '', 736, 1, 1, 'COSF', 328, 385);
  -- Добавление параметра прибора "Напряжение сети фазы 1, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9890, 'Напряжение сети фазы 1, В', '', 736, 1, 1, 'U1', 328, 385);
  -- Добавление параметра прибора "Ток фазы 1, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9891, 'Ток фазы 1, А', '', 736, 1, 1, 'I1', 328, 385);
  -- Добавление параметра прибора "Заводской номер устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9892, 'Заводской номер устройства', '', 736, 1, 1, 'SN', 328, 385);

---- Группа "Профили" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (737, 'Профили', '', 328, 0);

  -- Добавление параметра прибора "Профиль энергии активная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9893, 'Профиль энергии активная прямая', '', 737, 1, 1, 'PEA+', 328, 400);
  -- Добавление параметра прибора "Профиль энергии активная обратная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9894, 'Профиль энергии активная обратная', '', 737, 1, 1, 'PEA-', 328, 400);
  -- Добавление параметра прибора "Профиль энергии активная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9895, 'Профиль энергии активная прямая', '', 737, 1, 1, 'PEA+', 328, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9896, 'Профиль энергии реактивная прямая', '', 737, 1, 1, 'PER+', 328, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная обратная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9897, 'Профиль энергии реактивная обратная', '', 737, 1, 1, 'PER-', 328, 400);
  -- Добавление параметра прибора "Профиль энергии активная абсолютная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9898, 'Профиль энергии активная абсолютная', '', 737, 1, 1, 'PEAA', 328, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная абсолютная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9899, 'Профиль энергии реактивная абсолютная', '', 737, 1, 1, 'PERA', 328, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная 1 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9900, 'Профиль энергии реактивная 1 квадрант', '', 737, 1, 1, 'PER1', 328, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная 2 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9901, 'Профиль энергии реактивная 2 квадрант', '', 737, 1, 1, 'PER2', 328, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная 3 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9902, 'Профиль энергии реактивная 3 квадрант', '', 737, 1, 1, 'PER3', 328, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная 4 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9903, 'Профиль энергии реактивная 4 квадрант', '', 737, 1, 1, 'PER4', 328, 400);
  -- Добавление параметра прибора "Профиль мощности активная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9904, 'Профиль мощности активная прямая', '', 737, 1, 1, 'PPA+', 328, 400);
  -- Добавление параметра прибора "Профиль мощности активная обратная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9905, 'Профиль мощности активная обратная', '', 737, 1, 1, 'PPA-', 328, 400);
  -- Добавление параметра прибора "Профиль мощности активная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9906, 'Профиль мощности активная прямая', '', 737, 1, 1, 'PPA+', 328, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9907, 'Профиль мощности реактивная прямая', '', 737, 1, 1, 'PPR+', 328, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная обратная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9908, 'Профиль мощности реактивная обратная', '', 737, 1, 1, 'PPR-', 328, 400);
  -- Добавление параметра прибора "Профиль мощности активная абсолютная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9909, 'Профиль мощности активная абсолютная', '', 737, 1, 1, 'PPAA', 328, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная абсолютная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9910, 'Профиль мощности реактивная абсолютная', '', 737, 1, 1, 'PPRA', 328, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная 1 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9911, 'Профиль мощности реактивная 1 квадрант', '', 737, 1, 1, 'PPR1', 328, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная 2 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9912, 'Профиль мощности реактивная 2 квадрант', '', 737, 1, 1, 'PPR2', 328, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная 3 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9913, 'Профиль мощности реактивная 3 квадрант', '', 737, 1, 1, 'PPR3', 328, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная 4 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9914, 'Профиль мощности реактивная 4 квадрант', '', 737, 1, 1, 'PPR4', 328, 400);
