-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10165 AND pr_typ_id <= 10190;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 761 AND gr_typ_id <= 762;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 336;

---- Прибор "SonoSelect ModBus" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (336, 'SonoSelect ModBus', '', 128);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (761, 'Системные', '', 336, 0);

  -- Добавление параметра прибора "Количество активаций тампера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10165, 'Количество активаций тампера', '', 761, 1, 1, 'TampCnt', 336, 449);
  -- Добавление параметра прибора "Время работы батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10166, 'Время работы батареи', '', 761, 1, 1, 'TBAT', 336, 448);
  -- Добавление параметра прибора "Маска ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10167, 'Маска ошибок', '', 761, 1, 1, 'Err', 336, 448);
  -- Добавление параметра прибора "Дата/время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10168, 'Дата/время прибора', '', 761, 1, 1, 'D', 336, 449);

---- Группа "Метрологические" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (762, 'Метрологические', '', 336, 0);

  -- Добавление параметра прибора "Объем теплоносителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10169, 'Объем теплоносителя', 'Накопленный', 762, 1, 1, 'VH', 336, 393);
  -- Добавление параметра прибора "Объем хладоносителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10170, 'Объем хладоносителя', '', 762, 1, 1, 'VC', 336, 393);
  -- Добавление параметра прибора "Тепловая энергия, дж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10171, 'Тепловая энергия, дж', '', 762, 1, 1, 'EH', 336, 393);
  -- Добавление параметра прибора "Энергия охлаждения , дж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10172, 'Энергия охлаждения , дж', '', 762, 1, 1, 'EC', 336, 393);
  -- Добавление параметра прибора "Тепловая мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10173, 'Тепловая мощность, Вт', '', 762, 1, 1, 'P', 336, 385);
  -- Добавление параметра прибора "Поток носителя, м3/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10174, 'Поток носителя, м3/с', '', 762, 1, 1, 'F', 336, 385);
  -- Добавление параметра прибора "Температура подачи, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10175, 'Температура подачи, гр. С', '', 762, 1, 1, 'Ts', 336, 385);
  -- Добавление параметра прибора "Температура обратки, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10176, 'Температура обратки, гр. С', '', 762, 1, 1, 'Tr', 336, 385);
  -- Добавление параметра прибора "Температура датчика расхода, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10177, 'Температура датчика расхода, гр. С', '', 762, 1, 1, 'Tfs', 336, 385);
  -- Добавление параметра прибора "Разность температур"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10178, 'Разность температур', '', 762, 1, 1, 'Tdiff', 336, 385);
  -- Добавление параметра прибора "Объем импульсного входа 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10179, 'Объем импульсного входа 1', '', 762, 1, 1, 'AVP1', 336, 393);
  -- Добавление параметра прибора "Объем импульсного входа 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10180, 'Объем импульсного входа 2', '', 762, 1, 1, 'AVP2', 336, 393);
  -- Добавление параметра прибора "Объем импульсного входа 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10181, 'Объем импульсного входа 3', '', 762, 1, 1, 'AVP3', 336, 385);
  -- Добавление параметра прибора "Объем импульсного входа 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10182, 'Объем импульсного входа 4', '', 762, 1, 1, 'AVP4', 336, 385);
  -- Добавление параметра прибора "Макс поток теплоносителя, м3/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10183, 'Макс поток теплоносителя, м3/с', '', 762, 1, 1, 'MaxFH', 336, 392);
  -- Добавление параметра прибора "Дата максимального потока теплоносителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10184, 'Дата максимального потока теплоносителя', '', 762, 1, 1, 'MaxFHTime', 336, 392);
  -- Добавление параметра прибора "Максимальный поток хладоносителя, м3/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10185, 'Максимальный поток хладоносителя, м3/с', '', 762, 1, 1, 'MaxFC', 336, 392);
  -- Добавление параметра прибора "Дата максимального потока хладоносителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10186, 'Дата максимального потока хладоносителя', '', 762, 1, 1, 'MaxFCTime', 336, 392);
  -- Добавление параметра прибора "Максимальная тепловая мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10187, 'Максимальная тепловая мощность, Вт', '', 762, 1, 1, 'MaxPH', 336, 392);
  -- Добавление параметра прибора "Дата максимальной тепловой мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10188, 'Дата максимальной тепловой мощности', '', 762, 1, 1, 'MaxPHTime', 336, 392);
  -- Добавление параметра прибора "Максимальная мощность охлаждения, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10189, 'Максимальная мощность охлаждения, Вт', '', 762, 1, 1, 'MaxPC', 336, 392);
  -- Добавление параметра прибора "Дата максимальной мощности охлаждения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10190, 'Дата максимальной мощности охлаждения', '', 762, 1, 1, 'MaxPCTime', 336, 392);
