-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10191 AND pr_typ_id <= 10202;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 337;

---- Прибор "Авектра ТСУ-15" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (337, 'Авектра ТСУ-15', '', 128);
  -- Добавление параметра прибора "Дата время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10191, 'Дата время', '', 0, 1, 1, 'D', 337, 449);
  -- Добавление параметра прибора "Температура подачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10192, 'Температура подачи', '', 0, 1, 1, 'P0003.F32', 337, 399);
  -- Добавление параметра прибора "Температура обратки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10193, 'Температура обратки', '', 0, 1, 1, 'P0004.F32', 337, 399);
  -- Добавление параметра прибора "Перепад температуры"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10194, 'Перепад температуры', '', 0, 1, 1, 'P0005.F32', 337, 385);
  -- Добавление параметра прибора "Мгновенный расход тепла (Гкал/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10195, 'Мгновенный расход тепла (Гкал/ч)', '', 0, 1, 1, 'P0006.F32', 337, 385);
  -- Добавление параметра прибора "Тепло нарастающим итогом(Гкал)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10196, 'Тепло нарастающим итогом(Гкал)', '', 0, 1, 1, 'P0007.F32', 337, 399);
  -- Добавление параметра прибора "Объём нарастающим итогом(М3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10197, 'Объём нарастающим итогом(М3)', '', 0, 1, 1, 'P0008.F32', 337, 399);
  -- Добавление параметра прибора "Расход теплоносителя (М3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10198, 'Расход теплоносителя (М3/ч)', '', 0, 1, 1, 'P0009.F32', 337, 385);
  -- Добавление параметра прибора "Импульсный вход1(М3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10199, 'Импульсный вход1(М3)', '', 0, 1, 1, 'P0010.F32', 337, 399);
  -- Добавление параметра прибора "Импульсный вход2(М3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10200, 'Импульсный вход2(М3)', '', 0, 1, 1, 'P0011.F32', 337, 399);
  -- Добавление параметра прибора "Импульсный вход3(М3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10201, 'Импульсный вход3(М3)', '', 0, 1, 1, 'P0012.F32', 337, 399);
  -- Добавление параметра прибора "Время наработки (Ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10202, 'Время наработки (Ч)', '', 0, 1, 1, 'P0013.F32', 337, 385);
