SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10203 AND pr_typ_id <= 10241;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 763 AND gr_typ_id <= 770;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 338;

---- Прибор "Пульсар модуль счетчика воды v1.9" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (338, 'Пульсар модуль счетчика воды v1.9', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (763, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 338, 0);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (764, 'Каналы', 'Текущие и архивируемые каналы прибора', 338, 0);

  -- Добавление параметра прибора "Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10203, 'Объем [м3]', '', 764, 1, 1, 'K1', 338, 143);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (765, 'Параметры', 'Настройка прибора', 338, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10204, 'Дата и время', '', 765, 1, 1, 'D', 338, 193);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10205, 'Сетевой адрес', '', 765, 1, 1, '__ADDRESS', 338, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10206, 'Версия ПО', '', 765, 1, 1, '__VERSION_EXTERNAL', 338, 448);
  -- Добавление параметра прибора "Объём на поворот диска [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10207, 'Объём на поворот диска [л]', '', 765, 1, 1, 'P0003.S32', 338, 192);
  -- Добавление параметра прибора "Порог переполнения счетчика [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10208, 'Порог переполнения счетчика [л]', '', 765, 1, 1, 'P0004.S32', 338, 192);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10209, 'Запись запрещена', '', 765, 1, 1, 'P0005.U8', 338, 448);
  -- Добавление параметра прибора "Количество сборосв"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10210, 'Количество сборосв', '', 765, 1, 1, 'P0006.U16', 338, 192);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10211, 'Текущие ошибки', '', 765, 1, 1, 'P0007', 338, 449);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10212, 'Накопленные ошибки', '', 765, 1, 1, 'P0008', 338, 193);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10213, 'Пароль (старый | новый)', '', 765, 1, 1, '__PASSWORD', 338, 192);
  -- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10214, 'RSSI последнего пакета [дБм]', '', 765, 1, 1, 'P000E.S8', 338, 448);

---- Группа "Радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (766, 'Радио', '', 338, 765);

  -- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10215, '[RF] Мощность передатчика [мВт]', '', 766, 1, 1, 'P1000.U8', 338, 192);
  -- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10216, '[RF] Количество повторов УП маркеров', '', 766, 1, 1, 'P1001.U8', 338, 192);
  -- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10217, '[RF] Режим кодирования УП маркеров', '', 766, 1, 1, 'P1002.U8', 338, 192);
  -- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10218, '[RF] Запрос на неотложную передачу УП маркера', '', 766, 1, 1, 'P10F1.U8', 338, 192);

---- Группа "LoRa" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (767, 'LoRa', '', 338, 765);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (768, 'Наладка', 'Для наладчиков', 338, 765);

  -- Добавление параметра прибора "Версия ПО (расширенная)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10219, 'Версия ПО (расширенная)', '', 768, 1, 1, '__VERSION_INTERNAL', 338, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]. Нижний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10220, 'Напряжение батареи [мВ]. Нижний порог', '', 768, 1, 1, 'P0020.U16', 338, 64);
  -- Добавление параметра прибора "Напряжение батареи [мВ]. Верхний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10221, 'Напряжение батареи [мВ]. Верхний порог', '', 768, 1, 1, 'P0021.U16', 338, 64);
  -- Добавление параметра прибора "Ёмкость EEPROM [КБ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10222, 'Ёмкость EEPROM [КБ]', '', 768, 1, 1, 'P0022.U8', 338, 64);
  -- Добавление параметра прибора "Частота измерения [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10223, 'Частота измерения [Гц]', '', 768, 1, 1, 'P0023.U16', 338, 64);
  -- Добавление параметра прибора "Температура среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10224, 'Температура среды [C]', '', 768, 1, 1, 'P0040.S8', 338, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10225, 'Напряжение батареи [мВ]', '', 768, 1, 1, 'P0041.U16', 338, 320);
  -- Добавление параметра прибора "Диагностика прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10226, 'Диагностика прибора', '', 768, 1, 1, 'P0042.U8', 338, 64);
  -- Добавление параметра прибора "Вывод частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10227, 'Вывод частоты часового кварца', '', 768, 1, 1, 'P0043.U8', 338, 64);
  -- Добавление параметра прибора "Калибровка энкодера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10228, 'Калибровка энкодера', '', 768, 1, 1, 'P0044.U8', 338, 64);
  -- Добавление параметра прибора "Дроссель 1,2. Добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10229, 'Дроссель 1,2. Добротность', '', 768, 1, 1, 'P0045.U8', 338, 320);
  -- Добавление параметра прибора "Дроссель 1. Добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10230, 'Дроссель 1. Добротность', '', 768, 1, 1, 'P0046.U8', 338, 320);
  -- Добавление параметра прибора "Дроссель 2. Добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10231, 'Дроссель 2. Добротность', '', 768, 1, 1, 'P0047.U8', 338, 320);
  -- Добавление параметра прибора "Результат калибровки (своб)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10232, 'Результат калибровки (своб)', '', 768, 1, 1, 'P0060', 338, 320);
  -- Добавление параметра прибора "Результат калибровки (вращ)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10233, 'Результат калибровки (вращ)', '', 768, 1, 1, 'P0061', 338, 320);
  -- Добавление параметра прибора "Дроссель 1,2. Пороги"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10234, 'Дроссель 1,2. Пороги', '', 768, 1, 1, 'P0062', 338, 320);
  -- Добавление параметра прибора "Дроссель 1. Пороги"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10235, 'Дроссель 1. Пороги', '', 768, 1, 1, 'P0063', 338, 320);
  -- Добавление параметра прибора "Дроссель 2. Пороги"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10236, 'Дроссель 2. Пороги', '', 768, 1, 1, 'P0064', 338, 320);
  -- Добавление параметра прибора "Причина сброса MCU"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10237, 'Причина сброса MCU', '', 768, 1, 1, 'P0050', 338, 320);
  -- Добавление параметра прибора "Вывод частоты кврца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10238, 'Вывод частоты кврца трансивера', '', 768, 1, 1, 'P0048.U8', 338, 64);
  -- Добавление параметра прибора "Последняя ошибка трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10239, 'Последняя ошибка трансивера', '', 768, 1, 1, 'P0049.U8', 338, 64);
  -- Добавление параметра прибора "Частота кварца трансивера [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10240, 'Частота кварца трансивера [Гц]', '', 768, 1, 1, 'P0024.U32', 338, 64);

---- Группа "Радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (769, 'Радио', '', 338, 768);

  -- Добавление параметра прибора "[RF] Конденсаторы кварца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10241, '[RF] Конденсаторы кварца трансивера', '', 769, 1, 1, 'P0025.U8', 338, 64);

---- Группа "LoRa" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (770, 'LoRa', '', 338, 768);
