-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10637 AND pr_typ_id <= 10648;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 796;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 344;

---- Прибор "Гобой-1_2М" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (344, 'Гобой-1_2М', '', 128);
  -- Добавление параметра прибора "Рабочий расход, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10637, 'Рабочий расход, м3/ч', '', 0, 1, 1, 'Qw', 344, 385);
  -- Добавление параметра прибора "Приведённый расход, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10638, 'Приведённый расход, м3/ч', '', 0, 1, 1, 'Qr', 344, 385);
  -- Добавление параметра прибора "Суммарный приведённый объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10639, 'Суммарный приведённый объем, м3', '', 0, 1, 1, 'Vrs', 344, 399);
  -- Добавление параметра прибора "Суммарный рабочий объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10640, 'Суммарный рабочий объем, м3', '', 0, 1, 1, 'Vws', 344, 399);
  -- Добавление параметра прибора "Приведенный объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10641, 'Приведенный объем, м3', '', 0, 1, 1, 'Vr', 344, 398);
  -- Добавление параметра прибора "Рабочий объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10642, 'Рабочий объем, м3', '', 0, 1, 1, 'Vw', 344, 398);
  -- Добавление параметра прибора "Давление газа, кПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10643, 'Давление газа, кПа', '', 0, 1, 1, 'P', 344, 399);
  -- Добавление параметра прибора "Температура газа, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10644, 'Температура газа, гр. С', '', 0, 1, 1, 't', 344, 399);
  -- Добавление параметра прибора "Нерабочее время, мин."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10645, 'Нерабочее время, мин.', '', 0, 1, 1, 'NWt', 344, 399);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (796, 'Системные', '', 344, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10646, 'ДатаВремя', '', 796, 1, 1, 'D', 344, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10647, 'Серийный номер', '', 796, 1, 1, 'SN', 344, 449);
  -- Добавление параметра прибора "Напряжение батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10648, 'Напряжение батареи', '', 796, 1, 1, 'Vbat', 344, 385);
