-- Скрипт обновления приборов, групп и параметров --

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET search_path = "Tepl", pg_catalog;

DELETE FROM "Tepl"."DeviceEventPatern" WHERE dev_ev_pat_id >= 15 AND dev_ev_pat_id <= 25;

INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (15, 'Сброс контроллера', NULL, 'Сброс контроллера', 'Норма контроллера');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (16, 'Высокий уровень шума', NULL, 'Шум', 'Шум в норме');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (18, 'Расход меньше миниума', NULL, 'Расход меньше миниума', 'Расход больше миниума');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (19, 'Расход больше максимального', NULL, 'Расход больше максиума', 'Расход меньше максиума');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (20, 'Перепад температур меньше договорного', NULL, 'Низкий перепад температур', 'Перепад температур выше договорного');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (17, 'Низкий уровень ультразвука', NULL, 'Низкий уровень ультр. зв.', 'Нормальный уровень уровень ультр. зв.');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (21, 'Ошибка баланса масс', NULL, 'Ошибка баланса масс', 'Норма баланса масс');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (22, 'Ошибка баланса энергии', NULL, 'Ошибка баланса энергии', 'Норма баланса энергии');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (23, 'Расход расходомера 2  меньше мин.', NULL, 'Расход расходомера 2  меньше мин.', 'Расход расходомера 2  больше мин.');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (24, 'Расход расходомера 2  больше макс.', NULL, 'Расход расходомера 2  больше макс.', 'Расход расходомера 2  меньше макс.');
INSERT INTO "DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES (25, 'Нет воды', NULL, 'Нет воды', 'Норма воды');


DELETE FROM "Tepl"."DeviceEventTab" WHERE dev_typ_id = 341 ;

INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 1, 2);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 2, 3);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 4, 12);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 16, 6);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 32, 7);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 64, 8);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 128, 9);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 256, 13);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 512, 16);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 1024, 17);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 65536, 18);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 131072, 19);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 262144, 20);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 1048576, 21);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 2097152, 22);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 4194304, 23);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 8388608, 24);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (341, 16777216, 25);


DELETE FROM "Tepl"."DeviceEventTab" WHERE dev_typ_id = 342 ;

INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 1, 2);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 2, 3);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 4, 12);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 16, 6);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 32, 7);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 64, 8);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 128, 9);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 256, 13);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 512, 16);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 1024, 17);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 65536, 18);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 131072, 19);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 262144, 20);
INSERT INTO "DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES (342, 16777216, 25);


