-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10663 AND pr_typ_id <= 10774;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 798 AND gr_typ_id <= 805;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 346;

---- Прибор "ИЭК СТАР-30x" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (346, 'ИЭК СТАР-30x', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (798, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 346, 0);


---- Группа "Тариф1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (799, 'Тариф1', '', 346, 0);

  -- Добавление параметра прибора "Активная прямая тариф 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10663, 'Активная прямая тариф 1, кВт*ч', '', 799, 1, 1, 'EA+T1', 346, 399);
  -- Добавление параметра прибора "Активная обратная тариф 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10664, 'Активная обратная тариф 1, кВт*ч', '', 799, 1, 1, 'EA-T1', 346, 399);
  -- Добавление параметра прибора "Реактивная прямая тариф 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10665, 'Реактивная прямая тариф 1, кВт*ч', '', 799, 1, 1, 'ER+T1', 346, 399);
  -- Добавление параметра прибора "Реактивная обратная тариф 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10666, 'Реактивная обратная тариф 1, кВт*ч', '', 799, 1, 1, 'ER-T1', 346, 399);
  -- Добавление параметра прибора "Активная абсолютная тариф 1 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10667, 'Активная абсолютная тариф 1 , кВт*ч', '', 799, 1, 1, 'EAAT1', 346, 399);
  -- Добавление параметра прибора "Реактивная абсолютная тариф 1 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10668, 'Реактивная абсолютная тариф 1 , кВт*ч', '', 799, 1, 1, 'ERAT1', 346, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант  тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10669, 'Реактивная 1 квадрант  тариф 1', '', 799, 1, 1, 'ER1T1', 346, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант  тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10670, 'Реактивная 2 квадрант  тариф 1', '', 799, 1, 1, 'ER2T1', 346, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант  тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10671, 'Реактивная 3 квадрант  тариф 1', '', 799, 1, 1, 'ER3T1', 346, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант  тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10672, 'Реактивная 4 квадрант  тариф 1', '', 799, 1, 1, 'ER4T1', 346, 399);

---- Группа "Тариф2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (800, 'Тариф2', '', 346, 0);

  -- Добавление параметра прибора "Активная прямая тариф 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10673, 'Активная прямая тариф 2, кВт*ч', '', 800, 1, 1, 'EA+T2', 346, 399);
  -- Добавление параметра прибора "Активная обратная тариф 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10674, 'Активная обратная тариф 2, кВт*ч', '', 800, 1, 1, 'EA-T2', 346, 399);
  -- Добавление параметра прибора "Реактивная прямая тариф 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10675, 'Реактивная прямая тариф 2, кВт*ч', '', 800, 1, 1, 'ER+T2', 346, 399);
  -- Добавление параметра прибора "Реактивная обратная тариф 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10676, 'Реактивная обратная тариф 2, кВт*ч', '', 800, 1, 1, 'ER-T2', 346, 399);
  -- Добавление параметра прибора "Активная абсолютная тариф 2 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10677, 'Активная абсолютная тариф 2 , кВт*ч', '', 800, 1, 1, 'EAAT2', 346, 399);
  -- Добавление параметра прибора "Реактивная абсолютная тариф 2 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10678, 'Реактивная абсолютная тариф 2 , кВт*ч', '', 800, 1, 1, 'ERAT2', 346, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант  тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10679, 'Реактивная 1 квадрант  тариф 2', '', 800, 1, 1, 'ER1T2', 346, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант  тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10680, 'Реактивная 2 квадрант  тариф 2', '', 800, 1, 1, 'ER2T2', 346, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант  тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10681, 'Реактивная 3 квадрант  тариф 2', '', 800, 1, 1, 'ER3T2', 346, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант  тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10682, 'Реактивная 4 квадрант  тариф 2', '', 800, 1, 1, 'ER4T2', 346, 399);

---- Группа "Тариф3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (801, 'Тариф3', '', 346, 0);

  -- Добавление параметра прибора "Активная прямая тариф 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10683, 'Активная прямая тариф 3, кВт*ч', '', 801, 1, 1, 'EA+T3', 346, 399);
  -- Добавление параметра прибора "Активная обратная тариф 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10684, 'Активная обратная тариф 3, кВт*ч', '', 801, 1, 1, 'EA-T3', 346, 399);
  -- Добавление параметра прибора "Реактивная прямая тариф 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10685, 'Реактивная прямая тариф 3, кВт*ч', '', 801, 1, 1, 'ER+T3', 346, 399);
  -- Добавление параметра прибора "Реактивная обратная тариф 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10686, 'Реактивная обратная тариф 3, кВт*ч', '', 801, 1, 1, 'ER-T3', 346, 399);
  -- Добавление параметра прибора "Активная абсолютная тариф 3 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10687, 'Активная абсолютная тариф 3 , кВт*ч', '', 801, 1, 1, 'EAAT3', 346, 399);
  -- Добавление параметра прибора "Реактивная абсолютная тариф 3 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10688, 'Реактивная абсолютная тариф 3 , кВт*ч', '', 801, 1, 1, 'ERAT3', 346, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант  тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10689, 'Реактивная 1 квадрант  тариф 3', '', 801, 1, 1, 'ER1T3', 346, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант  тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10690, 'Реактивная 2 квадрант  тариф 3', '', 801, 1, 1, 'ER2T3', 346, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант  тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10691, 'Реактивная 3 квадрант  тариф 3', '', 801, 1, 1, 'ER3T3', 346, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант  тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10692, 'Реактивная 4 квадрант  тариф 3', '', 801, 1, 1, 'ER4T3', 346, 399);

---- Группа "Тариф4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (802, 'Тариф4', '', 346, 0);

  -- Добавление параметра прибора "Активная прямая тариф 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10693, 'Активная прямая тариф 4, кВт*ч', '', 802, 1, 1, 'EA+T4', 346, 399);
  -- Добавление параметра прибора "Активная обратная тариф 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10694, 'Активная обратная тариф 4, кВт*ч', '', 802, 1, 1, 'EA-T4', 346, 399);
  -- Добавление параметра прибора "Реактивная прямая тариф 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10695, 'Реактивная прямая тариф 4, кВт*ч', '', 802, 1, 1, 'ER+T4', 346, 399);
  -- Добавление параметра прибора "Реактивная обратная тариф 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10696, 'Реактивная обратная тариф 4, кВт*ч', '', 802, 1, 1, 'ER-T4', 346, 399);
  -- Добавление параметра прибора "Активная абсолютная тариф 4 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10697, 'Активная абсолютная тариф 4 , кВт*ч', '', 802, 1, 1, 'EAAT4', 346, 399);
  -- Добавление параметра прибора "Реактивная абсолютная тариф 4 , кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10698, 'Реактивная абсолютная тариф 4 , кВт*ч', '', 802, 1, 1, 'ERAT4', 346, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант  тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10699, 'Реактивная 1 квадрант  тариф 4', '', 802, 1, 1, 'ER1T4', 346, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант  тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10700, 'Реактивная 2 квадрант  тариф 4', '', 802, 1, 1, 'ER2T4', 346, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант  тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10701, 'Реактивная 3 квадрант  тариф 4', '', 802, 1, 1, 'ER3T4', 346, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант  тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10702, 'Реактивная 4 квадрант  тариф 4', '', 802, 1, 1, 'ER4T4', 346, 399);

---- Группа "Суммарные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (803, 'Суммарные', '', 346, 0);

  -- Добавление параметра прибора "Активная прямая сумма полная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10703, 'Активная прямая сумма полная, кВт*ч', '', 803, 1, 1, 'EA+SF', 346, 399);
  -- Добавление параметра прибора "Активная прямая сумма по тарифам, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10704, 'Активная прямая сумма по тарифам, кВт*ч', '', 803, 1, 1, 'EA+ST', 346, 399);
  -- Добавление параметра прибора "Реактивная прямая сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10705, 'Реактивная прямая сумма полная, кВар*ч', '', 803, 1, 1, 'ER+SF', 346, 399);
  -- Добавление параметра прибора "Реактивная прямая сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10706, 'Реактивная прямая сумма по тарифам, кВар*ч', '', 803, 1, 1, 'ER+ST', 346, 415);
  -- Добавление параметра прибора "Реактивная обратная сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10707, 'Реактивная обратная сумма полная, кВар*ч', '', 803, 1, 1, 'ER-SF', 346, 399);
  -- Добавление параметра прибора "Реактивная обратная сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10708, 'Реактивная обратная сумма по тарифам, кВар*ч', '', 803, 1, 1, 'ER-ST', 346, 399);
  -- Добавление параметра прибора "Активная абсолютная сумма полная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10709, 'Активная абсолютная сумма полная, кВт*ч', '', 803, 1, 1, 'EAASF', 346, 399);
  -- Добавление параметра прибора "Активная абсолютная сумма по тарифам, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10710, 'Активная абсолютная сумма по тарифам, кВт*ч', '', 803, 1, 1, 'EAAST', 346, 399);
  -- Добавление параметра прибора "Реактивная абсолютная сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10711, 'Реактивная абсолютная сумма полная, кВар*ч', '', 803, 1, 1, 'ERASF', 346, 399);
  -- Добавление параметра прибора "Реактивная абсолютная сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10712, 'Реактивная абсолютная сумма по тарифам, кВар*ч', '', 803, 1, 1, 'ERAST', 346, 399);
  -- Добавление параметра прибора "Активная обратная сумма полная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10713, 'Активная обратная сумма полная, кВт*ч', '', 803, 1, 1, 'EA-SF', 346, 399);
  -- Добавление параметра прибора "Активная обратная сумма по тарифам, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10714, 'Активная обратная сумма по тарифам, кВт*ч', '', 803, 1, 1, 'EA-ST', 346, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10715, 'Реактивная 1 квадрант сумма полная, кВар*ч', '', 803, 1, 1, 'ER1SF', 346, 399);
  -- Добавление параметра прибора "Реактивная 1 квадрант сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10716, 'Реактивная 1 квадрант сумма по тарифам, кВар*ч', '', 803, 1, 1, 'ER1ST', 346, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10717, 'Реактивная 2 квадрант сумма полная, кВар*ч', '', 803, 1, 1, 'ER2SF', 346, 399);
  -- Добавление параметра прибора "Реактивная 2 квадрант сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10718, 'Реактивная 2 квадрант сумма по тарифам, кВар*ч', '', 803, 1, 1, 'ER2ST', 346, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10719, 'Реактивная 3 квадрант сумма полная, кВар*ч', '', 803, 1, 1, 'ER3SF', 346, 399);
  -- Добавление параметра прибора "Реактивная 3 квадрант сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10720, 'Реактивная 3 квадрант сумма по тарифам, кВар*ч', '', 803, 1, 1, 'ER3ST', 346, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант сумма полная, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10721, 'Реактивная 4 квадрант сумма полная, кВар*ч', '', 803, 1, 1, 'ER4SF', 346, 399);
  -- Добавление параметра прибора "Реактивная 4 квадрант сумма по тарифам, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10722, 'Реактивная 4 квадрант сумма по тарифам, кВар*ч', '', 803, 1, 1, 'ER4ST', 346, 399);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (804, 'Общие', '', 346, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10723, 'ДатаВремя', '', 804, 1, 1, 'D', 346, 129);
  -- Добавление параметра прибора "Коэффициент трансформации по напряжению"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10724, 'Коэффициент трансформации по напряжению', '', 804, 1, 1, 'KU', 346, 385);
  -- Добавление параметра прибора "Коэффициент трансформации по току"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10725, 'Коэффициент трансформации по току', '', 804, 1, 1, 'KI', 346, 385);
  -- Добавление параметра прибора "Активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10726, 'Активная мощность, кВт', '', 804, 1, 1, 'PA', 346, 401);
  -- Добавление параметра прибора "Реактивная мощность, кВар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10727, 'Реактивная мощность, кВар', '', 804, 1, 1, 'PR', 346, 385);
  -- Добавление параметра прибора "Частота, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10728, 'Частота, Гц', '', 804, 1, 1, 'F', 346, 385);
  -- Добавление параметра прибора "cos фи, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10729, 'cos фи, град.', '', 804, 1, 1, 'COSF', 346, 385);
  -- Добавление параметра прибора "Напряжение сети фазы 1, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10730, 'Напряжение сети фазы 1, В', '', 804, 1, 1, 'U1', 346, 385);
  -- Добавление параметра прибора "Ток фазы 1, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10731, 'Ток фазы 1, А', '', 804, 1, 1, 'I1', 346, 385);
  -- Добавление параметра прибора "Заводской номер устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10732, 'Заводской номер устройства', '', 804, 1, 1, 'SN', 346, 385);
  -- Добавление параметра прибора "Остаток ресурса батарейки, %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10733, 'Остаток ресурса батарейки, %', '', 804, 1, 1, 'bat', 346, 385);
  -- Добавление параметра прибора "Напряжение сети фазы 2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10734, 'Напряжение сети фазы 2, В', '', 804, 1, 1, 'U2', 346, 385);
  -- Добавление параметра прибора "Напряжение сети фазы 3, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10735, 'Напряжение сети фазы 3, В', '', 804, 1, 1, 'U3', 346, 385);
  -- Добавление параметра прибора "Ток фазы 2, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10736, 'Ток фазы 2, А', '', 804, 1, 1, 'I2', 346, 385);
  -- Добавление параметра прибора "Ток фазы 3, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10737, 'Ток фазы 3, А', '', 804, 1, 1, 'I3', 346, 385);
  -- Добавление параметра прибора "Угол между напряжениями фаз 1 и 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10738, 'Угол между напряжениями фаз 1 и 2', '', 804, 1, 1, 'ANG12', 346, 385);
  -- Добавление параметра прибора "Угол между напряжениями фаз 1 и 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10739, 'Угол между напряжениями фаз 1 и 3', '', 804, 1, 1, 'ANG13', 346, 385);
  -- Добавление параметра прибора "cos фазы 1, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10740, 'cos фазы 1, град.', '', 804, 1, 1, 'COSF1', 346, 385);
  -- Добавление параметра прибора "cos фазы 2, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10741, 'cos фазы 2, град.', '', 804, 1, 1, 'COSF2', 346, 385);
  -- Добавление параметра прибора "cos фазы 3, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10742, 'cos фазы 3, град.', '', 804, 1, 1, 'COSF3', 346, 385);
  -- Добавление параметра прибора "Активная мощность фазы 1, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10743, 'Активная мощность фазы 1, кВт', '', 804, 1, 1, 'PA1', 346, 385);
  -- Добавление параметра прибора "Активная мощность фазы 2, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10744, 'Активная мощность фазы 2, кВт', '', 804, 1, 1, 'PA2', 346, 385);
  -- Добавление параметра прибора "Активная мощность фазы 3, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10745, 'Активная мощность фазы 3, кВт', '', 804, 1, 1, 'PA3', 346, 385);
  -- Добавление параметра прибора "Реактивная мощность фазы 1, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10746, 'Реактивная мощность фазы 1, кВт', '', 804, 1, 1, 'PR1', 346, 385);
  -- Добавление параметра прибора "Реактивная мощность фазы 2, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10747, 'Реактивная мощность фазы 2, кВт', '', 804, 1, 1, 'PR2', 346, 385);
  -- Добавление параметра прибора "Реактивная мощность фазы 3, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10748, 'Реактивная мощность фазы 3, кВт', '', 804, 1, 1, 'PR3', 346, 385);
  -- Добавление параметра прибора "Полная мощность фазы 1, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10749, 'Полная мощность фазы 1, кВт', '', 804, 1, 1, 'PF1', 346, 385);
  -- Добавление параметра прибора "Полная мощность фазы 2, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10750, 'Полная мощность фазы 2, кВт', '', 804, 1, 1, 'PF2', 346, 385);
  -- Добавление параметра прибора "Полная мощность фазы 3, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10751, 'Полная мощность фазы 3, кВт', '', 804, 1, 1, 'PF3', 346, 385);
  -- Добавление параметра прибора "Полная активная мощность по всем фазам, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10752, 'Полная активная мощность по всем фазам, кВт', '', 804, 1, 1, 'PAS', 346, 385);
  -- Добавление параметра прибора "Полная реактивная мощность по всем фазам, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10753, 'Полная реактивная мощность по всем фазам, кВт', '', 804, 1, 1, 'PRS', 346, 385);
  -- Добавление параметра прибора "Температура"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10754, 'Температура', '', 804, 1, 1, 't', 346, 385);

---- Группа "Профили" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (805, 'Профили', '', 346, 0);

  -- Добавление параметра прибора "Профиль энергии активная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10755, 'Профиль энергии активная прямая', '', 805, 1, 1, 'PEA+', 346, 400);
  -- Добавление параметра прибора "Профиль энергии активная обратная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10756, 'Профиль энергии активная обратная', '', 805, 1, 1, 'PEA-', 346, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10757, 'Профиль энергии реактивная прямая', '', 805, 1, 1, 'PER+', 346, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная обратная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10758, 'Профиль энергии реактивная обратная', '', 805, 1, 1, 'PER-', 346, 400);
  -- Добавление параметра прибора "Профиль энергии активная абсолютная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10759, 'Профиль энергии активная абсолютная', '', 805, 1, 1, 'PEAA', 346, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная абсолютная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10760, 'Профиль энергии реактивная абсолютная', '', 805, 1, 1, 'PERA', 346, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная 1 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10761, 'Профиль энергии реактивная 1 квадрант', '', 805, 1, 1, 'PER1', 346, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная 2 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10762, 'Профиль энергии реактивная 2 квадрант', '', 805, 1, 1, 'PER2', 346, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная 3 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10763, 'Профиль энергии реактивная 3 квадрант', '', 805, 1, 1, 'PER3', 346, 400);
  -- Добавление параметра прибора "Профиль энергии реактивная 4 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10764, 'Профиль энергии реактивная 4 квадрант', '', 805, 1, 1, 'PER4', 346, 400);
  -- Добавление параметра прибора "Профиль мощности активная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10765, 'Профиль мощности активная прямая', '', 805, 1, 1, 'PPA+', 346, 400);
  -- Добавление параметра прибора "Профиль мощности активная обратная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10766, 'Профиль мощности активная обратная', '', 805, 1, 1, 'PPA-', 346, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная прямая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10767, 'Профиль мощности реактивная прямая', '', 805, 1, 1, 'PPR+', 346, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная обратная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10768, 'Профиль мощности реактивная обратная', '', 805, 1, 1, 'PPR-', 346, 400);
  -- Добавление параметра прибора "Профиль мощности активная абсолютная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10769, 'Профиль мощности активная абсолютная', '', 805, 1, 1, 'PPAA', 346, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная абсолютная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10770, 'Профиль мощности реактивная абсолютная', '', 805, 1, 1, 'PPRA', 346, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная 1 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10771, 'Профиль мощности реактивная 1 квадрант', '', 805, 1, 1, 'PPR1', 346, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная 2 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10772, 'Профиль мощности реактивная 2 квадрант', '', 805, 1, 1, 'PPR2', 346, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная 3 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10773, 'Профиль мощности реактивная 3 квадрант', '', 805, 1, 1, 'PPR3', 346, 400);
  -- Добавление параметра прибора "Профиль мощности реактивная 4 квадрант"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10774, 'Профиль мощности реактивная 4 квадрант', '', 805, 1, 1, 'PPR4', 346, 400);
