-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10788 AND pr_typ_id <= 10817;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 809 AND gr_typ_id <= 814;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 348;

---- Прибор "Рус-1М" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (348, 'Рус-1М', '', 128);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (809, 'Системные', '', 348, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10788, 'Серийный номер', '', 809, 1, 1, 'sn', 348, 449);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10789, 'Дата и время', '', 809, 1, 1, 'D', 348, 449);
  -- Добавление параметра прибора "Микросхема архива исправна"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10790, 'Микросхема архива исправна', '', 809, 1, 1, 'P_EEERR', 348, 449);
  -- Добавление параметра прибора "Микросхема АЦП измерения давления исправна"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10791, 'Микросхема АЦП измерения давления исправна', '', 809, 1, 1, 'P_ADCERR', 348, 449);
  -- Добавление параметра прибора "Требуется замена батарейки RTC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10792, 'Требуется замена батарейки RTC', '', 809, 1, 1, 'P_BATERR', 348, 449);
  -- Добавление параметра прибора "Микросхема RTC исправна"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10793, 'Микросхема RTC исправна', '', 809, 1, 1, 'P_RTCERR', 348, 449);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (810, 'Коды нештатных ситуаций', '', 348, 0);


---- Группа "Канал 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (811, 'Канал 1', '', 348, 0);

  -- Добавление параметра прибора "Мгновенный расход канала 1, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10794, 'Мгновенный расход канала 1, м3/ч', '', 811, 1, 1, 'Q1', 348, 385);
  -- Добавление параметра прибора "Давление канала 1, Па"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10795, 'Давление канала 1, Па', '', 811, 1, 1, 'P1', 348, 385);
  -- Добавление параметра прибора "Накопленный объем канала 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10796, 'Накопленный объем канала 1, м3', '', 811, 1, 1, 'V1', 348, 391);
  -- Добавление параметра прибора "Время работы канала 1, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10797, 'Время работы канала 1, сек', '', 811, 1, 1, 'T1', 348, 391);
  -- Добавление параметра прибора "Накопленный объем (реверс) канала 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10798, 'Накопленный объем (реверс) канала 1, м3', '', 811, 1, 1, 'VR1', 348, 391);
  -- Добавление параметра прибора "Время работы (реверс) канала 1, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10799, 'Время работы (реверс) канала 1, сек', '', 811, 1, 1, 'TR1', 348, 391);

---- Группа "Канал 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (812, 'Канал 2', '', 348, 0);

  -- Добавление параметра прибора "Мгновенный расход канала 2, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10800, 'Мгновенный расход канала 2, м3/ч', '', 812, 1, 1, 'Q2', 348, 385);
  -- Добавление параметра прибора "Давление канала 2, Па"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10801, 'Давление канала 2, Па', '', 812, 1, 1, 'P2', 348, 385);
  -- Добавление параметра прибора "Накопленный объем канала 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10802, 'Накопленный объем канала 2, м3', '', 812, 1, 1, 'V2', 348, 391);
  -- Добавление параметра прибора "Время работы канала 2, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10803, 'Время работы канала 2, сек', '', 812, 1, 1, 'T2', 348, 391);
  -- Добавление параметра прибора "Накопленный объем (реверс) канала 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10804, 'Накопленный объем (реверс) канала 2, м3', '', 812, 1, 1, 'VR2', 348, 391);
  -- Добавление параметра прибора "Время работы (реверс) канала 2, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10805, 'Время работы (реверс) канала 2, сек', '', 812, 1, 1, 'TR2', 348, 391);

---- Группа "Канал 3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (813, 'Канал 3', '', 348, 0);

  -- Добавление параметра прибора "Мгновенный расход канала 3, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10806, 'Мгновенный расход канала 3, м3/ч', '', 813, 1, 1, 'Q3', 348, 385);
  -- Добавление параметра прибора "Давление канала 3, Па"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10807, 'Давление канала 3, Па', '', 813, 1, 1, 'P3', 348, 385);
  -- Добавление параметра прибора "Накопленный объем канала 3, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10808, 'Накопленный объем канала 3, м3', '', 813, 1, 1, 'V3', 348, 391);
  -- Добавление параметра прибора "Время работы канала 3, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10809, 'Время работы канала 3, сек', '', 813, 1, 1, 'T3', 348, 391);
  -- Добавление параметра прибора "Накопленный объем (реверс) канала 3, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10810, 'Накопленный объем (реверс) канала 3, м3', '', 813, 1, 1, 'VR3', 348, 391);
  -- Добавление параметра прибора "Время работы (реверс) канала 3, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10811, 'Время работы (реверс) канала 3, сек', '', 813, 1, 1, 'TR3', 348, 391);

---- Группа "Канал 4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (814, 'Канал 4', '', 348, 0);

  -- Добавление параметра прибора "Мгновенный расход канала 4, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10812, 'Мгновенный расход канала 4, м3/ч', '', 814, 1, 1, 'Q4', 348, 385);
  -- Добавление параметра прибора "Давление канала 4, Па"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10813, 'Давление канала 4, Па', '', 814, 1, 1, 'P4', 348, 385);
  -- Добавление параметра прибора "Накопленный объем канала 4, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10814, 'Накопленный объем канала 4, м3', '', 814, 1, 1, 'V4', 348, 391);
  -- Добавление параметра прибора "Время работы канала 4, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10815, 'Время работы канала 4, сек', '', 814, 1, 1, 'T4', 348, 391);
  -- Добавление параметра прибора "Накопленный объем (реверс) канала 4, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10816, 'Накопленный объем (реверс) канала 4, м3', '', 814, 1, 1, 'VR4', 348, 391);
  -- Добавление параметра прибора "Время работы (реверс) канала 4, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10817, 'Время работы (реверс) канала 4, сек', '', 814, 1, 1, 'TR4', 348, 391);
