SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11253 AND pr_typ_id <= 11284;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 830 AND gr_typ_id <= 834;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 354;

---- Прибор "Пульсар счетчик импульсов 3K v1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (354, 'Пульсар счетчик импульсов 3K v1', '', 128);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (830, 'Каналы', 'Текущие и архивируемые каналы прибора', 354, 0);

  -- Добавление параметра прибора "Объём 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11253, 'Объём 1 [м3]', '', 830, 1, 1, 'K1.F32', 354, 143);
  -- Добавление параметра прибора "Объём 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11254, 'Объём 2 [м3]', '', 830, 1, 1, 'K2.F32', 354, 143);
  -- Добавление параметра прибора "Объём 3 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11255, 'Объём 3 [м3]', '', 830, 1, 1, 'K3.F32', 354, 143);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (831, 'Параметры', 'Настройка прибора', 354, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11256, 'Дата и время', '', 831, 1, 1, 'D', 354, 193);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11257, 'Сетевой адрес', '', 831, 1, 1, '__ADDRESS', 354, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11258, 'Версия ПО', '', 831, 1, 1, '__VERSION_INTERNAL', 354, 448);
  -- Добавление параметра прибора "Вес импульса канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11259, 'Вес импульса канала 1', '', 831, 1, 1, 'P0003.F32', 354, 192);
  -- Добавление параметра прибора "Вес импульса канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11260, 'Вес импульса канала 2', '', 831, 1, 1, 'P0004.F32', 354, 192);
  -- Добавление параметра прибора "Вес импульса канала 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11261, 'Вес импульса канала 3', '', 831, 1, 1, 'P0005.F32', 354, 192);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11262, 'Запись запрещена', '', 831, 1, 1, 'P000B.U8', 354, 448);
  -- Добавление параметра прибора "Количество сборосв"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11263, 'Количество сборосв', '', 831, 1, 1, 'P000C.U16', 354, 192);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11264, 'Текущие ошибки', '', 831, 1, 1, 'P000D', 354, 448);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11265, 'Накопленные ошибки', '', 831, 1, 1, 'P000E', 354, 192);
  -- Добавление параметра прибора "Мин. время паузы импульсов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11266, 'Мин. время паузы импульсов', '', 831, 1, 1, 'P0008.U8', 354, 192);
  -- Добавление параметра прибора "Мин. время длительности импульсов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11267, 'Мин. время длительности импульсов', '', 831, 1, 1, 'P0009.U8', 354, 192);
  -- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11268, 'RSSI последнего пакета [дБм]', '', 831, 1, 1, 'P0020.S8', 354, 448);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11269, 'Пароль (старый | новый)', '', 831, 1, 1, '__PASSWORD', 354, 192);
  -- Добавление параметра прибора "Последняя ошибка RF модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11270, 'Последняя ошибка RF модуля', '', 831, 1, 1, 'P0024.U8', 354, 192);

---- Группа "Радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (832, 'Радио', '', 354, 831);

  -- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11271, '[RF] Мощность передатчика [мВт]', '', 832, 1, 1, 'P1000.U8', 354, 192);
  -- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11272, '[RF] Количество повторов УП маркеров', '', 832, 1, 1, 'P1001.U8', 354, 192);
  -- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11273, '[RF] Режим кодирования УП маркеров', '', 832, 1, 1, 'P1002.U8', 354, 192);
  -- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11274, '[RF] Запрос на неотложную передачу УП маркера', '', 832, 1, 1, 'P10F1.U8', 354, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (833, 'Наладка', '', 354, 831);

  -- Добавление параметра прибора "Напряжение батареи [мВ]. Нижний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11275, 'Напряжение батареи [мВ]. Нижний порог', '', 833, 1, 1, 'P000F.U16', 354, 64);
  -- Добавление параметра прибора "Напряжение батареи [мВ]. Верхний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11276, 'Напряжение батареи [мВ]. Верхний порог', '', 833, 1, 1, 'P0010.U16', 354, 64);
  -- Добавление параметра прибора "Ёмкость EEPROM [КБ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11277, 'Ёмкость EEPROM [КБ]', '', 833, 1, 1, 'P0011.U8', 354, 64);
  -- Добавление параметра прибора "Температура среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11278, 'Температура среды [C]', '', 833, 1, 1, 'P0012.S8', 354, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11279, 'Напряжение батареи [мВ]', '', 833, 1, 1, 'P0013.U16', 354, 320);
  -- Добавление параметра прибора "Диагностика прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11280, 'Диагностика прибора', '', 833, 1, 1, 'P0014.U8', 354, 64);
  -- Добавление параметра прибора "Вывод частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11281, 'Вывод частоты часового кварца', '', 833, 1, 1, 'P0015.U8', 354, 64);
  -- Добавление параметра прибора "Вывод частоты кварца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11282, 'Вывод частоты кварца трансивера', '', 833, 1, 1, 'P0023.U8', 354, 64);
  -- Добавление параметра прибора "Частота кварца трансивера [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11283, 'Частота кварца трансивера [Гц]', '', 833, 1, 1, 'P0021.U32', 354, 64);

---- Группа "Радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (834, 'Радио', '', 354, 833);

  -- Добавление параметра прибора "[RF] Конденсаторы кварца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11284, '[RF] Конденсаторы кварца трансивера', '', 834, 1, 1, 'P0022.U8', 354, 64);
