-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11340 AND pr_typ_id <= 11353;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 843 AND gr_typ_id <= 845;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 358;

---- Прибор "Valtec VHM-T (RS485)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (358, 'Valtec VHM-T (RS485)', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (843, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 358, 0);


---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (844, 'Системные', '', 358, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11340, 'Серийный номер', '', 844, 1, 1, 'SN', 358, 449);
  -- Добавление параметра прибора "Серийный номер ЭБ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11341, 'Серийный номер ЭБ', '', 844, 1, 1, 'PCB', 358, 448);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11342, 'Версия ПО', '', 844, 1, 1, 'VER', 358, 448);
  -- Добавление параметра прибора "Дата/время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11343, 'Дата/время прибора', '', 844, 1, 1, 'D', 358, 449);

---- Группа "Метрология" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (845, 'Метрология', '', 358, 0);

  -- Добавление параметра прибора "Qh, Мкал/час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11344, 'Qh, Мкал/час', '', 845, 1, 1, 'Qh', 358, 257);
  -- Добавление параметра прибора "Q, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11345, 'Q, Гкал', '', 845, 1, 1, 'Q', 358, 385);
  -- Добавление параметра прибора "Vh, м3/час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11346, 'Vh, м3/час', '', 845, 1, 1, 'Vh', 358, 257);
  -- Добавление параметра прибора "V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11347, 'V, м3', '', 845, 1, 1, 'V', 358, 385);
  -- Добавление параметра прибора "T подачи, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11348, 'T подачи, гр. С', '', 845, 1, 1, 'tp', 358, 385);
  -- Добавление параметра прибора "T обр., гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11349, 'T обр., гр. С', '', 845, 1, 1, 'to', 358, 385);
  -- Добавление параметра прибора "Флаги НС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11350, 'Флаги НС', '', 845, 1, 1, 'fl', 358, 385);
  -- Добавление параметра прибора "Имп. вход 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11351, 'Имп. вход 1, м3', '', 845, 1, 1, 'V1', 358, 385);
  -- Добавление параметра прибора "Имп. вход 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11352, 'Имп. вход 2, м3', '', 845, 1, 1, 'V2', 358, 385);
  -- Добавление параметра прибора "M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11353, 'M, т', '', 845, 1, 1, 'M', 358, 385);
