-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически,  нештатки дописаны в ручную  ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11354 AND pr_typ_id <= 11364;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 846 AND gr_typ_id <= 851;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 359 AND dev_typ_id <= 360;

---- Прибор "Valtec Протей 485 v1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (359, 'Valtec Протей 485 v1', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (846, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 359, 0);


---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (847, 'Системные', '', 359, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11354, 'Серийный номер', '', 847, 1, 1, 'SN', 359, 448);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11355, 'Версия ПО', '', 847, 1, 1, 'VER', 359, 448);
  -- Добавление параметра прибора "Адрес в сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11356, 'Адрес в сети', '', 847, 1, 1, 'ADR', 359, 448);

---- Группа "Метрология" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (848, 'Метрология', '', 359, 0);

  -- Добавление параметра прибора "Объем V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11357, 'Объем V, м3', '', 848, 1, 1, 'V', 359, 385);
  -- Добавление параметра прибора "Флаги НС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11358, 'Флаги НС', '', 848, 1, 1, 'FL', 359, 385);

---- Прибор "Valtec Протей 485 v2" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (360, 'Valtec Протей 485 v2', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (849, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 360, 0);


---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (850, 'Системные', '', 360, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11359, 'Серийный номер', '', 850, 1, 1, 'SN', 360, 448);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11360, 'Версия ПО', '', 850, 1, 1, 'VER', 360, 448);
  -- Добавление параметра прибора "Адрес в сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11361, 'Адрес в сети', '', 850, 1, 1, 'ADR', 360, 448);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11362, 'Дата и время', '', 850, 1, 1, 'D', 360, 65);

---- Группа "Метрология" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (851, 'Метрология', '', 360, 0);

  -- Добавление параметра прибора "Объем V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11363, 'Объем V, м3', '', 851, 1, 1, 'V', 360, 399);
  -- Добавление параметра прибора "Флаги НС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11364, 'Флаги НС', '', 851, 1, 1, 'FL', 360, 399);


-- Коды нештатных ситуаций  ----

INSERT INTO "Tepl"."DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (360, 4, 4);
INSERT INTO "Tepl"."DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (360, 2, 29);
INSERT INTO "Tepl"."DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (360, 1, 1);

