-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11365 AND pr_typ_id <= 11381;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 852;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 361;

---- Прибор "Рус-1М" ----


---- Группа "Системные" ----

  -- Обновление параметра прибора "Дата и время"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата и время', "Comment" = '', "NameP2" = 'D', dev_typ_id = 348, "SupportData" = 448 WHERE pr_typ_id = 10789;

---- Прибор "ТС220 (корректор газа)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (361, 'ТС220 (корректор газа)', '', 128);
  -- Добавление параметра прибора "Стандартный объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11365, 'Стандартный объем, м3', '', 0, 1, 1, 'Vc', 361, 387);
  -- Добавление параметра прибора "Стандартный объем общий, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11366, 'Стандартный объем общий, м3', '', 0, 1, 1, 'Vc.O', 361, 387);
  -- Добавление параметра прибора "Рабочий объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11367, 'Рабочий объем, м3', '', 0, 1, 1, 'V', 361, 387);
  -- Добавление параметра прибора "Рабочий объем общий, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11368, 'Рабочий объем общий, м3', '', 0, 1, 1, 'V.O', 361, 387);
  -- Добавление параметра прибора "Температура газа, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11369, 'Температура газа, гр. С', '', 0, 1, 1, 'T', 361, 387);
  -- Добавление параметра прибора "Подстановочное значение давления, кПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11370, 'Подстановочное значение давления, кПа', '', 0, 1, 1, 'P.n', 361, 387);
  -- Добавление параметра прибора "Коэффициент сжимаемости газа, подст."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11371, 'Коэффициент сжимаемости газа, подст.', '', 0, 1, 1, 'K.n', 361, 385);
  -- Добавление параметра прибора "Коэффициент коррекции"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11372, 'Коэффициент коррекции', '', 0, 1, 1, 'C', 361, 387);
  -- Добавление параметра прибора "Рабочий расход газа, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11373, 'Рабочий расход газа, м3/ч', '', 0, 1, 1, 'Q', 361, 385);
  -- Добавление параметра прибора "Стандартный объем, возмущенный, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11374, 'Стандартный объем, возмущенный, м3', '', 0, 1, 1, 'Vc.B', 361, 385);
  -- Добавление параметра прибора "Рабочий объем, возмущенный, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11375, 'Рабочий объем, возмущенный, м3', '', 0, 1, 1, 'V.B', 361, 385);
  -- Добавление параметра прибора "Измеренная температура, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11376, 'Измеренная температура, гр. С', '', 0, 1, 1, 'T.Tek', 361, 385);
  -- Добавление параметра прибора "Мгновенный статус, общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11377, 'Мгновенный статус, общий', '', 0, 1, 1, 'Cm.O', 361, 385);
  -- Добавление параметра прибора "Мгновенный статус 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11378, 'Мгновенный статус 5', '', 0, 1, 1, 'Cm.5', 361, 387);
  -- Добавление параметра прибора "Мгновенный статус 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11379, 'Мгновенный статус 6', '', 0, 1, 1, 'Cm.6', 361, 387);
  -- Добавление параметра прибора "Мгновенный статус, системный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11380, 'Мгновенный статус, системный', '', 0, 1, 1, 'Cm.C', 361, 387);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (852, 'Системные', '', 361, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11381, 'Дата и время', '', 852, 1, 1, 'D', 361, 448);
