-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11382 AND pr_typ_id <= 11397;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 853;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 362;

---- Прибор "Энергомера СЕ307" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (362, 'Энергомера СЕ307', '', 128);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по сумме тарифов, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11382, 'Суммарная потреблённая энергия по сумме тарифов, Вт', '', 0, 1, 1, 'E0s', 362, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 1, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11383, 'Суммарная потреблённая энергия по тарифу 1, Вт', '', 0, 1, 1, 'E1s', 362, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 2, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11384, 'Суммарная потреблённая энергия по тарифу 2, Вт', '', 0, 1, 1, 'E2s', 362, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 3, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11385, 'Суммарная потреблённая энергия по тарифу 3, Вт', '', 0, 1, 1, 'E3s', 362, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 4, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11386, 'Суммарная потреблённая энергия по тарифу 4, Вт', '', 0, 1, 1, 'E4s', 362, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 5, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11387, 'Суммарная потреблённая энергия по тарифу 5, Вт', '', 0, 1, 1, 'E5s', 362, 397);
  -- Добавление параметра прибора "Потреблённая энергия за период по сумме тарифов, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11388, 'Потреблённая энергия за период по сумме тарифов, Вт', '', 0, 1, 1, 'E0d', 362, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 1, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11389, 'Потреблённая энергия за период по тарифу 1, Вт', '', 0, 1, 1, 'E1d', 362, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 2, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11390, 'Потреблённая энергия за период по тарифу 2, Вт', '', 0, 1, 1, 'E2d', 362, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 3, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11391, 'Потреблённая энергия за период по тарифу 3, Вт', '', 0, 1, 1, 'E3d', 362, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 4, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11392, 'Потреблённая энергия за период по тарифу 4, Вт', '', 0, 1, 1, 'E4d', 362, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 5, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11393, 'Потреблённая энергия за период по тарифу 5, Вт', '', 0, 1, 1, 'E5d', 362, 396);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (853, 'Системные', '', 362, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11394, 'Серийный номер', '', 853, 1, 1, 'ReadSerialNumber', 362, 448);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11395, 'Дата и время', '', 853, 1, 1, 'D', 362, 448);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11396, 'Версия ПО', '', 853, 1, 1, 'Version', 362, 448);
  -- Добавление параметра прибора "Коды ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11397, 'Коды ошибок', '', 853, 1, 1, 'Stat', 362, 448);
