-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11398 AND pr_typ_id <= 11427;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 854 AND gr_typ_id <= 859;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 363 AND dev_typ_id <= 364;

---- Прибор "Kamstrup Multical 302 (M-Bus)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (363, 'Kamstrup Multical 302 (M-Bus)', 'Теплосчетчик с интерфейсом M-Bus', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (854, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 363, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (855, 'Информационные', 'Информация о приборе', 363, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11398, 'Дата и время', '', 855, 1, 1, 'D', 363, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11399, 'Серийный номер', '', 855, 1, 1, 'hdr_ident', 363, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11400, 'Код производителя', '', 855, 1, 1, 'hdr_manuf', 363, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11401, 'Версия прибора', '', 855, 1, 1, 'hdr_version', 363, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11402, 'Категория', '', 855, 1, 1, 'hdr_medium', 363, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11403, 'Счетчик доступа', '', 855, 1, 1, 'hdr_access', 363, 448);
  -- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11404, 'Статус прибора', '', 855, 1, 1, 'hdr_status', 363, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (856, 'Показания', 'Текущие и архивные показания прибора', 363, 0);

  -- Добавление параметра прибора "Тепловая энергия E1 [Вт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11405, 'Тепловая энергия E1 [Вт/ч]', '', 856, 1, 1, 'E1', 363, 385);
  -- Добавление параметра прибора "Мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11406, 'Мощность [Вт]', '', 856, 1, 1, 'W1', 363, 385);
  -- Добавление параметра прибора "Мощность (макс.) [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11407, 'Мощность (макс.) [Вт]', '', 856, 1, 1, 'WX', 363, 385);
  -- Добавление параметра прибора "Объем V1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11408, 'Объем V1 [м3]', '', 856, 1, 1, 'Q1', 363, 385);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11409, 'Расход [м3/ч]', '', 856, 1, 1, 'Q1F', 363, 385);
  -- Добавление параметра прибора "Расход (макс.) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11410, 'Расход (макс.) [м3/ч]', '', 856, 1, 1, 'Q1FX', 363, 385);
  -- Добавление параметра прибора "Температура подачи Т1 [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11411, 'Температура подачи Т1 [С]', '', 856, 1, 1, 'T1', 363, 385);
  -- Добавление параметра прибора "Температура обратки Т2 [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11412, 'Температура обратки Т2 [С]', '', 856, 1, 1, 'T2', 363, 385);
  -- Добавление параметра прибора "Перепад температур Т1-Т2 [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11413, 'Перепад температур Т1-Т2 [С]', '', 856, 1, 1, 'T12', 363, 385);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11414, 'Время наработки [ч]', '', 856, 1, 1, 'TON', 363, 385);
  -- Добавление параметра прибора "Время работы с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11415, 'Время работы с ошибками [ч]', '', 856, 1, 1, 'TERR', 363, 385);
  -- Добавление параметра прибора "Флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11416, 'Флаги ошибок', '', 856, 1, 1, 'ERRF', 363, 385);

---- Прибор "СИПУ МВ4.0 (M-Bus)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (364, 'СИПУ МВ4.0 (M-Bus)', 'Теплосчетчик с интерфейсом M-Bus', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (857, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 364, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (858, 'Информационные', 'Информация о приборе', 364, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11417, 'Дата и время', '', 858, 1, 1, 'D', 364, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11418, 'Серийный номер', '', 858, 1, 1, 'hdr_ident', 364, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11419, 'Код производителя', '', 858, 1, 1, 'hdr_manuf', 364, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11420, 'Версия прибора', '', 858, 1, 1, 'hdr_version', 364, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11421, 'Категория', '', 858, 1, 1, 'hdr_medium', 364, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11422, 'Счетчик доступа', '', 858, 1, 1, 'hdr_access', 364, 448);
  -- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11423, 'Статус прибора', '', 858, 1, 1, 'hdr_status', 364, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (859, 'Показания', 'Текущие и архивные показания прибора', 364, 0);

  -- Добавление параметра прибора "Канал 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11424, 'Канал 1', '', 859, 1, 1, 'K1', 364, 385);
  -- Добавление параметра прибора "Канал 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11425, 'Канал 2', '', 859, 1, 1, 'K2', 364, 385);
  -- Добавление параметра прибора "Канал 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11426, 'Канал 3', '', 859, 1, 1, 'K3', 364, 385);
  -- Добавление параметра прибора "Канал 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11427, 'Канал 4', '', 859, 1, 1, 'K4', 364, 385);
