-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11451 AND pr_typ_id <= 11516;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 864 AND gr_typ_id <= 874;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 368;

---- Прибор "Милур 307" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (368, 'Милур 307', '', 128);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (864, 'Системные', '', 368, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11451, 'Дата и время', '', 864, 1, 1, 'D', 368, 193);
  -- Добавление параметра прибора "Информация об устройстве"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11452, 'Информация об устройстве', '', 864, 1, 1, 'info', 368, 449);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11453, 'Версия ПО', '', 864, 1, 1, 'fw', 368, 449);
  -- Добавление параметра прибора "Напряжение батареи резервного питания, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11454, 'Напряжение батареи резервного питания, В', '', 864, 1, 1, 'Vbat', 368, 449);
  -- Добавление параметра прибора "Серийный номер счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11455, 'Серийный номер счётчика', '', 864, 1, 1, 'SN', 368, 449);
  -- Добавление параметра прибора "Время фиксации первого воздействия магнитным полем"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11456, 'Время фиксации первого воздействия магнитным полем', '', 864, 1, 1, 'magnet', 368, 449);
  -- Добавление параметра прибора "Текущий тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11457, 'Текущий тариф', '', 864, 1, 1, 'T', 368, 449);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (865, 'Параметры сети', '', 368, 0);

  -- Добавление параметра прибора "Частота сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11458, 'Частота сети, Гц', '', 865, 1, 1, 'F', 368, 385);
  -- Добавление параметра прибора "Нижний предел по напряжению, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11459, 'Нижний предел по напряжению, В', '', 865, 1, 1, 'Umin', 368, 385);
  -- Добавление параметра прибора "Верхний предел по напряжению, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11460, 'Верхний предел по напряжению, В', '', 865, 1, 1, 'Umax', 368, 385);
  -- Добавление параметра прибора "Нижний предел по частоте, Гц тр"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11461, 'Нижний предел по частоте, Гц тр', '', 865, 1, 1, 'Fmin', 368, 385);
  -- Добавление параметра прибора "Верхний предел по частоте, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11462, 'Верхний предел по частоте, Гц', '', 865, 1, 1, 'Fmax', 368, 385);
  -- Добавление параметра прибора "Верхний предел по активной мощности, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11463, 'Верхний предел по активной мощности, Вт', '', 865, 1, 1, 'Wmax', 368, 385);
  -- Добавление параметра прибора "Напряжение (фаза A), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11464, 'Напряжение (фаза A), В', '', 865, 1, 1, 'UA', 368, 385);
  -- Добавление параметра прибора "Напряжение (фаза B), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11465, 'Напряжение (фаза B), В', '', 865, 1, 1, 'UB', 368, 385);
  -- Добавление параметра прибора "Напряжение (фаза C), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11466, 'Напряжение (фаза C), В', '', 865, 1, 1, 'UC', 368, 385);
  -- Добавление параметра прибора "Ток (фаза A), A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11467, 'Ток (фаза A), A', '', 865, 1, 1, 'IA', 368, 385);
  -- Добавление параметра прибора "Ток (фаза B), A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11468, 'Ток (фаза B), A', '', 865, 1, 1, 'IB', 368, 385);
  -- Добавление параметра прибора "Ток (фаза C), A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11469, 'Ток (фаза C), A', '', 865, 1, 1, 'IC', 368, 385);

---- Группа "Энергия и мощность" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (866, 'Энергия и мощность', '', 368, 0);

  -- Добавление параметра прибора "Активная мощность (фаза A), Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11470, 'Активная мощность (фаза A), Вт', '', 866, 1, 1, 'WA', 368, 385);
  -- Добавление параметра прибора "Активная мощность (фаза B), Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11471, 'Активная мощность (фаза B), Вт', '', 866, 1, 1, 'WB', 368, 385);
  -- Добавление параметра прибора "Активная мощность (фаза C), Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11472, 'Активная мощность (фаза C), Вт', '', 866, 1, 1, 'WC', 368, 385);
  -- Добавление параметра прибора "Активная мощность (сумма), Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11473, 'Активная мощность (сумма), Вт', '', 866, 1, 1, 'W', 368, 401);
  -- Добавление параметра прибора "Реактивная мощность (фаза A), Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11474, 'Реактивная мощность (фаза A), Вт', '', 866, 1, 1, 'RWA', 368, 385);
  -- Добавление параметра прибора "Реактивная мощность (фаза B), Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11475, 'Реактивная мощность (фаза B), Вт', '', 866, 1, 1, 'RWB', 368, 385);
  -- Добавление параметра прибора "Реактивная мощность (фаза C), Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11476, 'Реактивная мощность (фаза C), Вт', '', 866, 1, 1, 'RWC', 368, 385);
  -- Добавление параметра прибора "Реактивная мощность (сумма), Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11477, 'Реактивная мощность (сумма), Вт', '', 866, 1, 1, 'RW', 368, 401);
  -- Добавление параметра прибора "Полная мощность (фаза A), Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11478, 'Полная мощность (фаза A), Вар', '', 866, 1, 1, 'PA', 368, 385);
  -- Добавление параметра прибора "Полная мощность (фаза B), Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11479, 'Полная мощность (фаза B), Вар', '', 866, 1, 1, 'PB', 368, 385);
  -- Добавление параметра прибора "Полная мощность (фаза C), Вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11480, 'Полная мощность (фаза C), Вар', '', 866, 1, 1, 'PC', 368, 385);
  -- Добавление параметра прибора "Активная импортируемая энергия суммарная, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11481, 'Активная импортируемая энергия суммарная, кВт*час', '', 866, 1, 1, 'Ei', 368, 397);
  -- Добавление параметра прибора "Активная импортируемая энергия суммарная, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11482, 'Активная импортируемая энергия суммарная, кВт*час', '', 866, 1, 1, 'REi', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия суммарная, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11483, 'Активная экспортируемая энергия суммарная, кВт*час', '', 866, 1, 1, 'Eo', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия суммарная, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11484, 'Активная экспортируемая энергия суммарная, кВт*час', '', 866, 1, 1, 'REo', 368, 397);

---- Группа "Тариф 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (867, 'Тариф 1', '', 368, 0);

  -- Добавление параметра прибора "Активная импортируемая энергия по тарифу 1, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11485, 'Активная импортируемая энергия по тарифу 1, кВт*час', '', 867, 1, 1, 'Ei1', 368, 397);
  -- Добавление параметра прибора "Реактивная импортируемая энергия по тарифу 1, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11486, 'Реактивная импортируемая энергия по тарифу 1, кВт*час', '', 867, 1, 1, 'REi1', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия по тарифу 1, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11487, 'Активная экспортируемая энергия по тарифу 1, кВт*час', '', 867, 1, 1, 'Eo1', 368, 397);
  -- Добавление параметра прибора "Реактивная экспортируемая энергия по тарифу 1, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11488, 'Реактивная экспортируемая энергия по тарифу 1, кВт*час', '', 867, 1, 1, 'REo1', 368, 397);

---- Группа "Тариф 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (868, 'Тариф 2', '', 368, 0);

  -- Добавление параметра прибора "Активная импортируемая энергия по тарифу 2, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11489, 'Активная импортируемая энергия по тарифу 2, кВт*час', '', 868, 1, 1, 'Ei2', 368, 397);
  -- Добавление параметра прибора "Реактивная импортируемая энергия по тарифу 2, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11490, 'Реактивная импортируемая энергия по тарифу 2, кВт*час', '', 868, 1, 1, 'REi2', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия по тарифу 2, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11491, 'Активная экспортируемая энергия по тарифу 2, кВт*час', '', 868, 1, 1, 'Eo2', 368, 397);
  -- Добавление параметра прибора "Реактивная экспортируемая энергия по тарифу 2, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11492, 'Реактивная экспортируемая энергия по тарифу 2, кВт*час', '', 868, 1, 1, 'REo2', 368, 397);

---- Группа "Тариф 3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (869, 'Тариф 3', '', 368, 0);

  -- Добавление параметра прибора "Активная импортируемая энергия по тарифу 3, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11493, 'Активная импортируемая энергия по тарифу 3, кВт*час', '', 869, 1, 1, 'Ei3', 368, 397);
  -- Добавление параметра прибора "Реактивная импортируемая энергия по тарифу 3, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11494, 'Реактивная импортируемая энергия по тарифу 3, кВт*час', '', 869, 1, 1, 'REi3', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия по тарифу 3, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11495, 'Активная экспортируемая энергия по тарифу 3, кВт*час', '', 869, 1, 1, 'Eo3', 368, 397);
  -- Добавление параметра прибора "Реактивная экспортируемая энергия по тарифу 3, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11496, 'Реактивная экспортируемая энергия по тарифу 3, кВт*час', '', 869, 1, 1, 'REo3', 368, 397);

---- Группа "Тариф 4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (870, 'Тариф 4', '', 368, 0);

  -- Добавление параметра прибора "Активная импортируемая энергия по тарифу 4, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11497, 'Активная импортируемая энергия по тарифу 4, кВт*час', '', 870, 1, 1, 'Ei4', 368, 397);
  -- Добавление параметра прибора "Реактивная импортируемая энергия по тарифу 4, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11498, 'Реактивная импортируемая энергия по тарифу 4, кВт*час', '', 870, 1, 1, 'REi4', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия по тарифу 4, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11499, 'Активная экспортируемая энергия по тарифу 4, кВт*час', '', 870, 1, 1, 'Eo4', 368, 397);
  -- Добавление параметра прибора "Реактивная экспортируемая энергия по тарифу 4, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11500, 'Реактивная экспортируемая энергия по тарифу 4, кВт*час', '', 870, 1, 1, 'REo4', 368, 397);

---- Группа "Тариф 5" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (871, 'Тариф 5', '', 368, 0);

  -- Добавление параметра прибора "Активная импортируемая энергия по тарифу 5, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11501, 'Активная импортируемая энергия по тарифу 5, кВт*час', '', 871, 1, 1, 'Ei5', 368, 397);
  -- Добавление параметра прибора "Реактивная импортируемая энергия по тарифу 5, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11502, 'Реактивная импортируемая энергия по тарифу 5, кВт*час', '', 871, 1, 1, 'REi5', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия по тарифу 5, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11503, 'Активная экспортируемая энергия по тарифу 5, кВт*час', '', 871, 1, 1, 'Eo5', 368, 397);
  -- Добавление параметра прибора "Реактивная экспортируемая энергия по тарифу 5, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11504, 'Реактивная экспортируемая энергия по тарифу 5, кВт*час', '', 871, 1, 1, 'REo5', 368, 397);

---- Группа "Тариф 6" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (872, 'Тариф 6', '', 368, 0);

  -- Добавление параметра прибора "Активная импортируемая энергия по тарифу 6, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11505, 'Активная импортируемая энергия по тарифу 6, кВт*час', '', 872, 1, 1, 'Ei6', 368, 397);
  -- Добавление параметра прибора "Реактивная импортируемая энергия по тарифу 6, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11506, 'Реактивная импортируемая энергия по тарифу 6, кВт*час', '', 872, 1, 1, 'REi6', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия по тарифу 6, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11507, 'Активная экспортируемая энергия по тарифу 6, кВт*час', '', 872, 1, 1, 'Eo6', 368, 397);
  -- Добавление параметра прибора "Реактивная экспортируемая энергия по тарифу 6, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11508, 'Реактивная экспортируемая энергия по тарифу 6, кВт*час', '', 872, 1, 1, 'REo6', 368, 397);

---- Группа "Тариф 7" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (873, 'Тариф 7', '', 368, 0);

  -- Добавление параметра прибора "Активная импортируемая энергия по тарифу 7, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11509, 'Активная импортируемая энергия по тарифу 7, кВт*час', '', 873, 1, 1, 'Ei7', 368, 397);
  -- Добавление параметра прибора "Реактивная импортируемая энергия по тарифу 7, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11510, 'Реактивная импортируемая энергия по тарифу 7, кВт*час', '', 873, 1, 1, 'REi7', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия по тарифу 7, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11511, 'Активная экспортируемая энергия по тарифу 7, кВт*час', '', 873, 1, 1, 'Eo7', 368, 397);
  -- Добавление параметра прибора "Реактивная экспортируемая энергия по тарифу 7, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11512, 'Реактивная экспортируемая энергия по тарифу 7, кВт*час', '', 873, 1, 1, 'REo7', 368, 397);

---- Группа "Тариф 8" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (874, 'Тариф 8', '', 368, 0);

  -- Добавление параметра прибора "Активная импортируемая энергия по тарифу 8, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11513, 'Активная импортируемая энергия по тарифу 8, кВт*час', '', 874, 1, 1, 'Ei8', 368, 397);
  -- Добавление параметра прибора "Реактивная импортируемая энергия по тарифу 8, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11514, 'Реактивная импортируемая энергия по тарифу 8, кВт*час', '', 874, 1, 1, 'REi8', 368, 397);
  -- Добавление параметра прибора "Активная экспортируемая энергия по тарифу 8, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11515, 'Активная экспортируемая энергия по тарифу 8, кВт*час', '', 874, 1, 1, 'Eo8', 368, 397);
  -- Добавление параметра прибора "Реактивная экспортируемая энергия по тарифу 8, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11516, 'Реактивная экспортируемая энергия по тарифу 8, кВт*час', '', 874, 1, 1, 'REo8', 368, 397);
