-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11517 AND pr_typ_id <= 11531;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 875 AND gr_typ_id <= 876;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 369;

---- Прибор "Энергомера СЕ102 R5" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (369, 'Энергомера СЕ102 R5', '', 128);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (875, 'Системные', '', 369, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11517, 'Дата и время', '', 875, 1, 1, 'D', 369, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11518, 'Серийный номер', '', 875, 1, 1, 'ReadSerialNumber', 369, 448);
  -- Добавление параметра прибора "Номер абонента"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11519, 'Номер абонента', '', 875, 1, 1, 'ReadSubscrNumber', 369, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (876, 'Показания', '', 369, 0);

  -- Добавление параметра прибора "Суммарная потреблённая энергия по сумме тарифов, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11520, 'Суммарная потреблённая энергия по сумме тарифов, Вт', '', 876, 1, 1, 'E0s', 369, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 1, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11521, 'Суммарная потреблённая энергия по тарифу 1, Вт', '', 876, 1, 1, 'E1s', 369, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 2, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11522, 'Суммарная потреблённая энергия по тарифу 2, Вт', '', 876, 1, 1, 'E2s', 369, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 3, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11523, 'Суммарная потреблённая энергия по тарифу 3, Вт', '', 876, 1, 1, 'E3s', 369, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 4, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11524, 'Суммарная потреблённая энергия по тарифу 4, Вт', '', 876, 1, 1, 'E4s', 369, 397);
  -- Добавление параметра прибора "Суммарная потреблённая энергия по тарифу 5, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11525, 'Суммарная потреблённая энергия по тарифу 5, Вт', '', 876, 1, 1, 'E5s', 369, 397);
  -- Добавление параметра прибора "Потреблённая энергия за период по сумме тарифов, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11526, 'Потреблённая энергия за период по сумме тарифов, Вт', '', 876, 1, 1, 'E0d', 369, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 1, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11527, 'Потреблённая энергия за период по тарифу 1, Вт', '', 876, 1, 1, 'E1d', 369, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 2, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11528, 'Потреблённая энергия за период по тарифу 2, Вт', '', 876, 1, 1, 'E2d', 369, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 3, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11529, 'Потреблённая энергия за период по тарифу 3, Вт', '', 876, 1, 1, 'E3d', 369, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 4, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11530, 'Потреблённая энергия за период по тарифу 4, Вт', '', 876, 1, 1, 'E4d', 369, 396);
  -- Добавление параметра прибора "Потреблённая энергия за период по тарифу 5, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11531, 'Потреблённая энергия за период по тарифу 5, Вт', '', 876, 1, 1, 'E5d', 369, 396);
