-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11610 AND pr_typ_id <= 11707;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 880 AND gr_typ_id <= 885;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 370;

---- Прибор "Счетчик воды двухтарифный" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (370, 'Счетчик воды двухтарифный', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (880, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 370, 0);


---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (881, 'Каналы', 'Текущие, архивируемые и диагностические каналы', 370, 0);

  -- Добавление параметра прибора "Объем холодной воды [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11610, 'Объем холодной воды [м3]', '', 881, 1, 1, 'K7', 370, 139);
  -- Добавление параметра прибора "Объем горячей воды [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11611, 'Объем горячей воды [м3]', '', 881, 1, 1, 'K8', 370, 139);
  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11612, 'Объём [м3]', '', 881, 1, 1, 'K6', 370, 139);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11613, 'Расход [м3/ч]', '', 881, 1, 1, 'K9', 370, 385);
  -- Добавление параметра прибора "Температура воды [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11614, 'Температура воды [°C]', '', 881, 1, 1, 'K3', 370, 395);
  -- Добавление параметра прибора "Импульсный вход"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11615, 'Импульсный вход', '', 881, 1, 1, 'K10', 370, 139);
  -- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11616, 'Время нормальной работы [ч]', '', 881, 1, 1, 'K20.U32', 370, 139);
  -- Добавление параметра прибора "Флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11617, 'Флаги ошибок', '', 881, 1, 1, 'K29.U32', 370, 459);
  -- Добавление параметра прибора "Флаги ошибок (строка)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11618, 'Флаги ошибок (строка)', '', 881, 1, 1, 'K29', 370, 459);

---- Группа "Диагностика" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (882, 'Диагностика', 'Диагностические каналы', 370, 881);

  -- Добавление параметра прибора "Сопротивление датчика темп. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11619, 'Сопротивление датчика темп. [Ом]', '', 882, 1, 1, 'K1', 370, 448);
  -- Добавление параметра прибора "Частота импульсов детектора [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11620, 'Частота импульсов детектора [Гц]', '', 882, 1, 1, 'K15', 370, 448);
  -- Добавление параметра прибора "Тестовый объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11621, 'Тестовый объём [м3]', '', 882, 1, 1, 'K16', 370, 448);
  -- Добавление параметра прибора "Тестовый расход [без лин, м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11622, 'Тестовый расход [без лин, м3/ч]', '', 882, 1, 1, 'K19', 370, 448);
  -- Добавление параметра прибора "Тестовый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11623, 'Тестовый расход [м3/ч]', '', 882, 1, 1, 'K17', 370, 448);
  -- Добавление параметра прибора "Время теста [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11624, 'Время теста [сек]', '', 882, 1, 1, 'K18', 370, 448);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (883, 'Параметры', 'Информационные и настроечные параметры', 370, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11625, 'Дата и время', '', 883, 1, 1, 'D', 370, 129);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11626, 'Версия ПО', '', 883, 1, 1, '__VERSION_INTERNAL', 370, 448);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11627, 'Сетевой адрес', '', 883, 1, 1, '__ADDRESS', 370, 192);
  -- Добавление параметра прибора "Сетевой адрес M-Bus"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11628, 'Сетевой адрес M-Bus', '', 883, 1, 1, 'P00D0.U8', 370, 192);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11629, 'Время наработки [ч]', '', 883, 1, 1, 'P000C.U32', 370, 129);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11630, 'Время наработки c ошибками [ч]', '', 883, 1, 1, 'P000D.U32', 370, 129);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11631, 'Пароль (старый | новый)', '', 883, 1, 1, '__PASSWORD', 370, 192);
  -- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11632, 'Наработка с ошибками, маска', '', 883, 1, 1, 'P000E.U16.B', 370, 192);
  -- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11633, 'Автопереход зима/лето', '', 883, 1, 1, 'P0004.U8', 370, 192);
  -- Добавление параметра прибора "Имп. вход,  вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11634, 'Имп. вход,  вес', '', 883, 1, 1, 'P0020.F32', 370, 192);
  -- Добавление параметра прибора "Имп. вход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11635, 'Имп. вход, длит. [мс]', '', 883, 1, 1, 'P0021.F32', 370, 192);
  -- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11636, 'Имп. выход, вес', '', 883, 1, 1, 'P002C.F32', 370, 192);
  -- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11637, 'Имп. выход, длит. [мс]', '', 883, 1, 1, 'P002D.F32', 370, 192);
  -- Добавление параметра прибора "Чувствительность расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11638, 'Чувствительность расхода [м3/ч]', '', 883, 1, 1, 'P0051.F32', 370, 192);
  -- Добавление параметра прибора "Пороговая температура [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11639, 'Пороговая температура [°C]', '', 883, 1, 1, 'P0055.F32', 370, 192);
  -- Добавление параметра прибора "Минимальный расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11640, 'Минимальный расход [м3/ч]', '', 883, 1, 1, 'P0053.F32', 370, 192);
  -- Добавление параметра прибора "Максимальный расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11641, 'Максимальный расход [м3/ч]', '', 883, 1, 1, 'P0054.F32', 370, 192);
  -- Добавление параметра прибора "Статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11642, 'Статус', '', 883, 1, 1, 'P0008', 370, 448);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11643, 'Напряжение батареи [мВ]', '', 883, 1, 1, 'P000A.U16', 370, 448);
  -- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11644, 'Температура контроллера [C]', '', 883, 1, 1, 'P000B.U8', 370, 448);
  -- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11645, 'RSSI последнего пакета [дБм]', '', 883, 1, 1, 'P0009.S8', 370, 448);
  -- Добавление параметра прибора "Количество переданных ШП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11646, 'Количество переданных ШП маркеров', '', 883, 1, 1, 'P0095.U32', 370, 192);
  -- Добавление параметра прибора "Количество переданных УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11647, 'Количество переданных УП маркеров', '', 883, 1, 1, 'P0096.U32', 370, 192);
  -- Добавление параметра прибора "Rf-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11648, 'Rf-test [Ом]', '', 883, 1, 1, 'P00A0.F32', 370, 192);
  -- Добавление параметра прибора "Rr-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11649, 'Rr-test [Ом]', '', 883, 1, 1, 'P00A1.F32', 370, 192);
  -- Добавление параметра прибора "Re-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11650, 'Re-test [Ом]', '', 883, 1, 1, 'P00A2.F32', 370, 192);
  -- Добавление параметра прибора "Tf-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11651, 'Tf-test [C]', '', 883, 1, 1, 'P00A3.F32', 370, 192);
  -- Добавление параметра прибора "Tr-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11652, 'Tr-test [C]', '', 883, 1, 1, 'P00A4.F32', 370, 192);
  -- Добавление параметра прибора "Te-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11653, 'Te-test [C]', '', 883, 1, 1, 'P00A5.F32', 370, 448);
  -- Добавление параметра прибора "V-test, [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11654, 'V-test, [м3]', '', 883, 1, 1, 'P00A6.F32', 370, 192);

---- Группа "УП радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (884, 'УП радио', 'Параметры настройки узкополосного радио', 370, 883);

  -- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11655, '[RF] Мощность передатчика [мВт]', '', 884, 1, 1, 'P1000.U8', 370, 192);
  -- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11656, '[RF] Количество повторов УП маркеров', '', 884, 1, 1, 'P1001.U8', 370, 192);
  -- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11657, '[RF] Режим кодирования УП маркеров', '', 884, 1, 1, 'P1002.U8', 370, 192);
  -- Добавление параметра прибора "[RF] Смещение каналов УП передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11658, '[RF] Смещение каналов УП передачи', '', 884, 1, 1, 'P1003.S16', 370, 192);
  -- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11659, '[RF] Запрос на неотложную передачу УП маркера', '', 884, 1, 1, 'P10F1.U8', 370, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (885, 'Наладка', 'Наладка и калибровка', 370, 883);

  -- Добавление параметра прибора "Количество сборосов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11660, 'Количество сборосов', '', 885, 1, 1, 'P0007.U16', 370, 448);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11661, 'Запись разрешена аппаратно', '', 885, 1, 1, 'P0008.U8.BIT3', 370, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11662, 'Запись разрешена программно', '', 885, 1, 1, 'P0008.U8.BIT4', 370, 448);
  -- Добавление параметра прибора "Часовой кварц, частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11663, 'Часовой кварц, частота [Гц]', '', 885, 1, 1, 'P0003.F32', 370, 192);
  -- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11664, 'Часовой кварц, ёмкость', '', 885, 1, 1, 'P0010.S8', 370, 192);
  -- Добавление параметра прибора "Вес испульса. Дет. металла. [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11665, 'Вес испульса. Дет. металла. [л/имп]', '', 885, 1, 1, 'P005D.F32', 370, 192);
  -- Добавление параметра прибора "Расход по эталону [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11666, 'Расход по эталону [м3/ч]', '', 885, 1, 1, 'P005E.F32', 370, 192);
  -- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11667, 'Линеаризация расхода', '', 885, 1, 1, 'P005F.U8', 370, 192);
  -- Добавление параметра прибора "Детектор металла, автонастройка"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11668, 'Детектор металла, автонастройка', '', 885, 1, 1, 'P009A.U8', 370, 192);
  -- Добавление параметра прибора "Объём EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11669, 'Объём EEPROM', '', 885, 1, 1, 'P0011.U8', 370, 192);
  -- Добавление параметра прибора "Конфигурация имп. выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11670, 'Конфигурация имп. выхода', '', 885, 1, 1, 'P0012.S8', 370, 192);
  -- Добавление параметра прибора "Количество имп. входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11671, 'Количество имп. входов', '', 885, 1, 1, 'P0013.U8', 370, 192);
  -- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11672, 'Порт RS485', '', 885, 1, 1, 'P0015', 370, 192);
  -- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11673, 'Порт ИК', '', 885, 1, 1, 'P0016', 370, 192);
  -- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11674, 'Конфигурация кнопки', '', 885, 1, 1, 'P0019.S8', 370, 192);
  -- Добавление параметра прибора "Детектор металла, режим"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11675, 'Детектор металла, режим', '', 885, 1, 1, 'P0018.S8', 370, 192);
  -- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11676, 'Язык', '', 885, 1, 1, 'P001A.U8.BIT0-1', 370, 192);
  -- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11677, 'Модуль дисплея', '', 885, 1, 1, 'P001A.U8.BIT2-7', 370, 192);
  -- Добавление параметра прибора "RF кварц, частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11678, 'RF кварц, частота [Гц]', '', 885, 1, 1, 'P001D.U32', 370, 192);
  -- Добавление параметра прибора "RF кварц, конденсаторы [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11679, 'RF кварц, конденсаторы [Гц]', '', 885, 1, 1, 'P001E.U8', 370, 192);
  -- Добавление параметра прибора "Архивируемые каналы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11680, 'Архивируемые каналы', '', 885, 1, 1, 'P001B', 370, 192);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11681, 'Значение смещения [Ом]', '', 885, 1, 1, 'P0030.F32', 370, 192);
  -- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11682, 'Коэфф. диапазона [Ом]', '', 885, 1, 1, 'P0031.F32', 370, 192);
  -- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11683, 'Сопротивление калиб. [Ом]', '', 885, 1, 1, 'P0032.F32', 370, 192);
  -- Добавление параметра прибора "Сопротивление датчика темп. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11684, 'Сопротивление датчика темп. [Ом]', '', 885, 1, 1, 'P0033.F32', 370, 448);
  -- Добавление параметра прибора "Rwire [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11685, 'Rwire [Ом]', '', 885, 1, 1, 'P0035.F32', 370, 192);
  -- Добавление параметра прибора "R0 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11686, 'R0 [Ом]', '', 885, 1, 1, 'P0036.F32', 370, 192);
  -- Добавление параметра прибора "Alfa [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11687, 'Alfa [Ом]', '', 885, 1, 1, 'P0037.F32', 370, 192);
  -- Добавление параметра прибора "Beta [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11688, 'Beta [Ом]', '', 885, 1, 1, 'P0038.F32', 370, 192);
  -- Добавление параметра прибора "Delta [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11689, 'Delta [Ом]', '', 885, 1, 1, 'P0039.F32', 370, 192);
  -- Добавление параметра прибора "R0 эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11690, 'R0 эталон [Ом]', '', 885, 1, 1, 'P003F.F32', 370, 448);
  -- Добавление параметра прибора "Alfa эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11691, 'Alfa эталон [Ом]', '', 885, 1, 1, 'P0040.F32', 370, 448);
  -- Добавление параметра прибора "Beta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11692, 'Beta эталон [Ом]', '', 885, 1, 1, 'P0041.F32', 370, 448);
  -- Добавление параметра прибора "Delta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11693, 'Delta эталон [Ом]', '', 885, 1, 1, 'P0042.F32', 370, 448);
  -- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11694, 'Сенсорная кнопка, статус', '', 885, 1, 1, 'P0098.U64.X', 370, 448);
  -- Добавление параметра прибора "Детектор метала, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11695, 'Детектор метала, статус', '', 885, 1, 1, 'P009B.U64.X', 370, 448);
  -- Добавление параметра прибора "Детектор метала, рез. настройки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11696, 'Детектор метала, рез. настройки', '', 885, 1, 1, 'P009C.U32.X', 370, 448);
  -- Добавление параметра прибора "Детектор метала, рез. калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11697, 'Детектор метала, рез. калибровки', '', 885, 1, 1, 'P009D.U32.X', 370, 448);
  -- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11698, 'Глубина часового архива', '', 885, 1, 1, 'P001C.U64.BIT0-16', 370, 192);
  -- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11699, 'Глубина суточного архива', '', 885, 1, 1, 'P001C.U64.BIT16-16', 370, 192);
  -- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11700, 'Глубина месячного архива', '', 885, 1, 1, 'P001C.U64.BIT32-16', 370, 192);
  -- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11701, 'Глубина журнала событий', '', 885, 1, 1, 'P001C.U64.BIT48-16', 370, 192);
  -- Добавление параметра прибора "Сброс статуса истории"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11702, 'Сброс статуса истории', '', 885, 1, 1, 'P00D1.U8.BIT0', 370, 192);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11703, 'Диагностика', '', 885, 1, 1, 'P0090.U8', 370, 192);
  -- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11704, 'Тест ACLK', '', 885, 1, 1, 'P0091.U8', 370, 192);
  -- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11705, 'Тест расхода', '', 885, 1, 1, 'P0092.U8', 370, 192);
  -- Добавление параметра прибора "Вывод частоты RF кврца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11706, 'Вывод частоты RF кврца', '', 885, 1, 1, 'P0093.U8', 370, 192);
  -- Добавление параметра прибора "Последняя ошибка RF модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11707, 'Последняя ошибка RF модуля', '', 885, 1, 1, 'P0094.U8', 370, 192);



  -- Обновление параметра прибора "Сопротивление датчика темп. [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сопротивление датчика темп. [Ом]', "Comment" = '', "NameP2" = 'K1', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11619;
  -- Обновление параметра прибора "Частота импульсов детектора [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Частота импульсов детектора [Гц]', "Comment" = '', "NameP2" = 'K15', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11620;
  -- Обновление параметра прибора "Тестовый объём [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тестовый объём [м3]', "Comment" = '', "NameP2" = 'K16', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11621;
  -- Обновление параметра прибора "Тестовый расход [без лин, м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тестовый расход [без лин, м3/ч]', "Comment" = '', "NameP2" = 'K19', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11622;
  -- Обновление параметра прибора "Тестовый расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тестовый расход [м3/ч]', "Comment" = '', "NameP2" = 'K17', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11623;
  -- Обновление параметра прибора "Время теста [сек]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Время теста [сек]', "Comment" = '', "NameP2" = 'K18', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11624;

---- Группа "Параметры" ----

  -- Обновление параметра прибора "Сетевой адрес M-Bus"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сетевой адрес M-Bus', "Comment" = '', "NameP2" = 'P00D0.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11628;
  -- Обновление параметра прибора "Автопереход зима/лето"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Автопереход зима/лето', "Comment" = '', "NameP2" = 'P0004.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11633;
  -- Обновление параметра прибора "Чувствительность расхода [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Чувствительность расхода [м3/ч]', "Comment" = '', "NameP2" = 'P0051.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11638;
  -- Обновление параметра прибора "Минимальный расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Минимальный расход [м3/ч]', "Comment" = '', "NameP2" = 'P0053.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11640;
  -- Обновление параметра прибора "Максимальный расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Максимальный расход [м3/ч]', "Comment" = '', "NameP2" = 'P0054.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11641;
  -- Обновление параметра прибора "Статус"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Статус', "Comment" = '', "NameP2" = 'P0008', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11642;
  -- Обновление параметра прибора "RSSI последнего пакета [дБм]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'RSSI последнего пакета [дБм]', "Comment" = '', "NameP2" = 'P0009.S8', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11645;
  -- Обновление параметра прибора "Количество переданных ШП маркеров"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Количество переданных ШП маркеров', "Comment" = '', "NameP2" = 'P0095.U32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11646;
  -- Обновление параметра прибора "Количество переданных УП маркеров"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Количество переданных УП маркеров', "Comment" = '', "NameP2" = 'P0096.U32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11647;
  -- Обновление параметра прибора "Rf-test [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Rf-test [Ом]', "Comment" = '', "NameP2" = 'P00A0.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11648;
  -- Обновление параметра прибора "Rr-test [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Rr-test [Ом]', "Comment" = '', "NameP2" = 'P00A1.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11649;
  -- Обновление параметра прибора "Re-test [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Re-test [Ом]', "Comment" = '', "NameP2" = 'P00A2.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11650;
  -- Обновление параметра прибора "Tf-test [C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Tf-test [C]', "Comment" = '', "NameP2" = 'P00A3.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11651;
  -- Обновление параметра прибора "Tr-test [C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Tr-test [C]', "Comment" = '', "NameP2" = 'P00A4.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11652;
  -- Обновление параметра прибора "Te-test [C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Te-test [C]', "Comment" = '', "NameP2" = 'P00A5.F32', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11653;
  -- Обновление параметра прибора "V-test, [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'V-test, [м3]', "Comment" = '', "NameP2" = 'P00A6.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11654;

---- Группа "УП радио" ----

  -- Обновление параметра прибора "[RF] Мощность передатчика [мВт]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Мощность передатчика [мВт]', "Comment" = '', "NameP2" = 'P1000.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11655;
  -- Обновление параметра прибора "[RF] Количество повторов УП маркеров"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Количество повторов УП маркеров', "Comment" = '', "NameP2" = 'P1001.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11656;
  -- Обновление параметра прибора "[RF] Режим кодирования УП маркеров"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Режим кодирования УП маркеров', "Comment" = '', "NameP2" = 'P1002.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11657;
  -- Обновление параметра прибора "[RF] Смещение каналов УП передачи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Смещение каналов УП передачи', "Comment" = '', "NameP2" = 'P1003.S16', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11658;
  -- Обновление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Запрос на неотложную передачу УП маркера', "Comment" = '', "NameP2" = 'P10F1.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11659;

---- Группа "Наладка" ----

  -- Обновление параметра прибора "Количество сборосов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Количество сборосов', "Comment" = '', "NameP2" = 'P0007.U16', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11660;
  -- Обновление параметра прибора "Запись разрешена аппаратно"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Запись разрешена аппаратно', "Comment" = '', "NameP2" = 'P0008.U8.BIT3', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11661;
  -- Обновление параметра прибора "Запись разрешена программно"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Запись разрешена программно', "Comment" = '', "NameP2" = 'P0008.U8.BIT4', dev_typ_id = 370, "SupportData" = 1344 WHERE pr_typ_id = 11662;
  -- Обновление параметра прибора "Часовой кварц, частота [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Часовой кварц, частота [Гц]', "Comment" = '', "NameP2" = 'P0003.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11663;
  -- Обновление параметра прибора "Часовой кварц, ёмкость"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Часовой кварц, ёмкость', "Comment" = '', "NameP2" = 'P0010.S8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11664;
  -- Обновление параметра прибора "Вес испульса. Дет. металла. [л/имп]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Вес испульса. Дет. металла. [л/имп]', "Comment" = '', "NameP2" = 'P005D.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11665;
  -- Обновление параметра прибора "Расход по эталону [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Расход по эталону [м3/ч]', "Comment" = '', "NameP2" = 'P005E.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11666;
  -- Обновление параметра прибора "Линеаризация расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Линеаризация расхода', "Comment" = '', "NameP2" = 'P005F.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11667;
  -- Обновление параметра прибора "Детектор металла, автонастройка"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор металла, автонастройка', "Comment" = '', "NameP2" = 'P009A.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11668;
  -- Обновление параметра прибора "Объём EEPROM"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объём EEPROM', "Comment" = '', "NameP2" = 'P0011.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11669;
  -- Обновление параметра прибора "Конфигурация имп. выхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Конфигурация имп. выхода', "Comment" = '', "NameP2" = 'P0012.S8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11670;
  -- Обновление параметра прибора "Количество имп. входов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Количество имп. входов', "Comment" = '', "NameP2" = 'P0013.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11671;
  -- Обновление параметра прибора "Порт RS485"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порт RS485', "Comment" = '', "NameP2" = 'P0015', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11672;
  -- Обновление параметра прибора "Порт ИК"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порт ИК', "Comment" = '', "NameP2" = 'P0016', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11673;
  -- Обновление параметра прибора "Конфигурация кнопки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Конфигурация кнопки', "Comment" = '', "NameP2" = 'P0019.S8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11674;
  -- Обновление параметра прибора "Детектор металла, режим"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор металла, режим', "Comment" = '', "NameP2" = 'P0018.S8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11675;
  -- Обновление параметра прибора "Язык"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Язык', "Comment" = '', "NameP2" = 'P001A.U8.BIT0-1', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11676;
  -- Обновление параметра прибора "Модуль дисплея"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Модуль дисплея', "Comment" = '', "NameP2" = 'P001A.U8.BIT2-7', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11677;
  -- Обновление параметра прибора "RF кварц, частота [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'RF кварц, частота [Гц]', "Comment" = '', "NameP2" = 'P001D.U32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11678;
  -- Обновление параметра прибора "RF кварц, конденсаторы [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'RF кварц, конденсаторы [Гц]', "Comment" = '', "NameP2" = 'P001E.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11679;
  -- Обновление параметра прибора "Архивируемые каналы"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Архивируемые каналы', "Comment" = '', "NameP2" = 'P001B', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11680;
  -- Обновление параметра прибора "Значение смещения [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Значение смещения [Ом]', "Comment" = '', "NameP2" = 'P0030.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11681;
  -- Обновление параметра прибора "Коэфф. диапазона [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коэфф. диапазона [Ом]', "Comment" = '', "NameP2" = 'P0031.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11682;
  -- Обновление параметра прибора "Сопротивление калиб. [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сопротивление калиб. [Ом]', "Comment" = '', "NameP2" = 'P0032.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11683;
  -- Обновление параметра прибора "Сопротивление датчика темп. [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сопротивление датчика темп. [Ом]', "Comment" = '', "NameP2" = 'P0033.F32', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11684;
  -- Обновление параметра прибора "Rwire [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Rwire [Ом]', "Comment" = '', "NameP2" = 'P0035.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11685;
  -- Обновление параметра прибора "R0 [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'R0 [Ом]', "Comment" = '', "NameP2" = 'P0036.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11686;
  -- Обновление параметра прибора "Alfa [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Alfa [Ом]', "Comment" = '', "NameP2" = 'P0037.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11687;
  -- Обновление параметра прибора "Beta [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Beta [Ом]', "Comment" = '', "NameP2" = 'P0038.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11688;
  -- Обновление параметра прибора "Delta [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Delta [Ом]', "Comment" = '', "NameP2" = 'P0039.F32', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11689;
  -- Обновление параметра прибора "R0 эталон [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'R0 эталон [Ом]', "Comment" = '', "NameP2" = 'P003F.F32', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11690;
  -- Обновление параметра прибора "Alfa эталон [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Alfa эталон [Ом]', "Comment" = '', "NameP2" = 'P0040.F32', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11691;
  -- Обновление параметра прибора "Beta эталон [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Beta эталон [Ом]', "Comment" = '', "NameP2" = 'P0041.F32', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11692;
  -- Обновление параметра прибора "Delta эталон [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Delta эталон [Ом]', "Comment" = '', "NameP2" = 'P0042.F32', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11693;
  -- Обновление параметра прибора "Сенсорная кнопка, статус"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сенсорная кнопка, статус', "Comment" = '', "NameP2" = 'P0098.U64.X', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11694;
  -- Обновление параметра прибора "Детектор метала, статус"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор метала, статус', "Comment" = '', "NameP2" = 'P009B.U64.X', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11695;
  -- Обновление параметра прибора "Детектор метала, рез. настройки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор метала, рез. настройки', "Comment" = '', "NameP2" = 'P009C.U32.X', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11696;
  -- Обновление параметра прибора "Детектор метала, рез. калибровки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор метала, рез. калибровки', "Comment" = '', "NameP2" = 'P009D.U32.X', dev_typ_id = 370, "SupportData" = 320 WHERE pr_typ_id = 11697;
  -- Обновление параметра прибора "Глубина часового архива"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Глубина часового архива', "Comment" = '', "NameP2" = 'P001C.U64.BIT0-16', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11698;
  -- Обновление параметра прибора "Глубина суточного архива"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Глубина суточного архива', "Comment" = '', "NameP2" = 'P001C.U64.BIT16-16', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11699;
  -- Обновление параметра прибора "Глубина месячного архива"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Глубина месячного архива', "Comment" = '', "NameP2" = 'P001C.U64.BIT32-16', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11700;
  -- Обновление параметра прибора "Глубина журнала событий"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Глубина журнала событий', "Comment" = '', "NameP2" = 'P001C.U64.BIT48-16', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11701;
  -- Обновление параметра прибора "Сброс статуса истории"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сброс статуса истории', "Comment" = '', "NameP2" = 'P00D1.U8.BIT0', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11702;
  -- Обновление параметра прибора "Диагностика"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Диагностика', "Comment" = '', "NameP2" = 'P0090.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11703;
  -- Обновление параметра прибора "Тест ACLK"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тест ACLK', "Comment" = '', "NameP2" = 'P0091.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11704;
  -- Обновление параметра прибора "Тест расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тест расхода', "Comment" = '', "NameP2" = 'P0092.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11705;
  -- Обновление параметра прибора "Вывод частоты RF кврца"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Вывод частоты RF кврца', "Comment" = '', "NameP2" = 'P0093.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11706;
  -- Обновление параметра прибора "Последняя ошибка RF модуля"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Последняя ошибка RF модуля', "Comment" = '', "NameP2" = 'P0094.U8', dev_typ_id = 370, "SupportData" = 64 WHERE pr_typ_id = 11707;



