-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11708 AND pr_typ_id <= 11807;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 886 AND gr_typ_id <= 899;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 372 AND dev_typ_id <= 373;

---- Прибор "Schneider A9M3x50" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (372, 'Schneider A9M3x50', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (886, 'Информационные', '', 372, 0);

  -- Добавление параметра прибора "Название счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11708, 'Название счётчика', '', 886, 1, 1, '_name', 372, 449);
  -- Добавление параметра прибора "Модель счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11709, 'Модель счётчика', '', 886, 1, 1, '_mod', 372, 449);
  -- Добавление параметра прибора "Производитель"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11710, 'Производитель', '', 886, 1, 1, '_man', 372, 449);
  -- Добавление параметра прибора "Серийный номер устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11711, 'Серийный номер устройства', '', 886, 1, 1, '_sn', 372, 449);
  -- Добавление параметра прибора "Дата выпуска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11712, 'Дата выпуска', '', 886, 1, 1, '_mandate', 372, 449);
  -- Добавление параметра прибора "Версия аппаратного обеспечения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11713, 'Версия аппаратного обеспечения', '', 886, 1, 1, '_hwrev', 372, 449);
  -- Добавление параметра прибора "Дата/время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11714, 'Дата/время прибора', '', 886, 1, 1, 'D', 372, 193);

---- Группа "Ток" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (887, 'Ток', '', 372, 0);

  -- Добавление параметра прибора "Ток фазы 1, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11715, 'Ток фазы 1, А', '', 887, 1, 1, 'I1', 372, 385);
  -- Добавление параметра прибора "Ток фазы 2, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11716, 'Ток фазы 2, А', '', 887, 1, 1, 'I2', 372, 385);
  -- Добавление параметра прибора "Ток фазы 3, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11717, 'Ток фазы 3, А', '', 887, 1, 1, 'I3', 372, 385);
  -- Добавление параметра прибора "Средний ток, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11718, 'Средний ток, А', '', 887, 1, 1, 'Iavg', 372, 385);

---- Группа "Напряжение" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (888, 'Напряжение', '', 372, 0);

  -- Добавление параметра прибора "Напряжение L1-L2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11719, 'Напряжение L1-L2, В', '', 888, 1, 1, 'U12', 372, 385);
  -- Добавление параметра прибора "Напряжение L2-L3, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11720, 'Напряжение L2-L3, В', '', 888, 1, 1, 'U23', 372, 385);
  -- Добавление параметра прибора "Напряжение L3-L1, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11721, 'Напряжение L3-L1, В', '', 888, 1, 1, 'U31', 372, 385);
  -- Добавление параметра прибора "Среднее напряжение L-L, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11722, 'Среднее напряжение L-L, В', '', 888, 1, 1, 'ULLavg', 372, 385);
  -- Добавление параметра прибора "Среднее напряжение L1-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11723, 'Среднее напряжение L1-N, В', '', 888, 1, 1, 'UL1N', 372, 385);
  -- Добавление параметра прибора "Среднее напряжение L2-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11724, 'Среднее напряжение L2-N, В', '', 888, 1, 1, 'UL2N', 372, 385);
  -- Добавление параметра прибора "Среднее напряжение L3-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11725, 'Среднее напряжение L3-N, В', '', 888, 1, 1, 'UL3N', 372, 385);
  -- Добавление параметра прибора "Среднее напряжение L-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11726, 'Среднее напряжение L-N, В', '', 888, 1, 1, 'ULNavg', 372, 385);
  -- Добавление параметра прибора "Частота сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11727, 'Частота сети, Гц', '', 888, 1, 1, 'f', 372, 385);

---- Группа "Мощность" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (889, 'Мощность', '', 372, 0);

  -- Добавление параметра прибора "Активная мощность фазы 1, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11728, 'Активная мощность фазы 1, кВт', '', 889, 1, 1, 'PA1', 372, 385);
  -- Добавление параметра прибора "Активная мощность фазы 2, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11729, 'Активная мощность фазы 2, кВт', '', 889, 1, 1, 'PA2', 372, 385);
  -- Добавление параметра прибора "Активная мощность фазы 3, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11730, 'Активная мощность фазы 3, кВт', '', 889, 1, 1, 'PA3', 372, 385);
  -- Добавление параметра прибора "Полная активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11731, 'Полная активная мощность, кВт', '', 889, 1, 1, 'PA', 372, 385);
  -- Добавление параметра прибора "Коэффициент полной мощности PF"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11732, 'Коэффициент полной мощности PF', '', 889, 1, 1, 'PF', 372, 385);

---- Группа "Суммарная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (890, 'Суммарная энергия', '', 372, 0);

  -- Добавление параметра прибора "Суммарная импортируемая активная энергия, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11733, 'Суммарная импортируемая активная энергия, кВт*ч', '', 890, 1, 1, 'iEA', 372, 385);

---- Группа "Частичная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (891, 'Частичная энергия', '', 372, 0);

  -- Добавление параметра прибора "Частичная импортируемая активная энергия, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11734, 'Частичная импортируемая активная энергия, кВт*ч', '', 891, 1, 1, 'iEAp', 372, 385);
  -- Добавление параметра прибора "Импорт активной энергии по фазе 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11735, 'Импорт активной энергии по фазе 1, кВт*ч', '', 891, 1, 1, 'iEA1', 372, 385);
  -- Добавление параметра прибора "Импорт активной энергии по фазе 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11736, 'Импорт активной энергии по фазе 2, кВт*ч', '', 891, 1, 1, 'iEA2', 372, 385);
  -- Добавление параметра прибора "Импорт активной энергии по фазе 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11737, 'Импорт активной энергии по фазе 3, кВт*ч', '', 891, 1, 1, 'iEA3', 372, 385);

---- Прибор "Schneider A9M3x55" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (373, 'Schneider A9M3x55', '', 128);
  -- Добавление параметра прибора "Состояние цифрового входа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11738, 'Состояние цифрового входа', '', 0, 1, 1, 'DIS', 373, 385);
  -- Добавление параметра прибора "Накопления вводимых данных измерения счетчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11739, 'Накопления вводимых данных измерения счетчика', '', 0, 1, 1, 'iData', 373, 385);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (892, 'Информационные', '', 373, 0);

  -- Добавление параметра прибора "Название счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11740, 'Название счётчика', '', 892, 1, 1, '_name', 373, 449);
  -- Добавление параметра прибора "Модель счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11741, 'Модель счётчика', '', 892, 1, 1, '_mod', 373, 449);
  -- Добавление параметра прибора "Производитель"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11742, 'Производитель', '', 892, 1, 1, '_man', 373, 449);
  -- Добавление параметра прибора "Серийный номер устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11743, 'Серийный номер устройства', '', 892, 1, 1, '_sn', 373, 449);
  -- Добавление параметра прибора "Дата выпуска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11744, 'Дата выпуска', '', 892, 1, 1, '_mandate', 373, 449);
  -- Добавление параметра прибора "Версия аппаратного обеспечения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11745, 'Версия аппаратного обеспечения', '', 892, 1, 1, '_hwrev', 373, 449);
  -- Добавление параметра прибора "Дата/время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11746, 'Дата/время прибора', '', 892, 1, 1, 'D', 373, 193);
  -- Добавление параметра прибора "Время наработки счётчика, сек."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11747, 'Время наработки счётчика, сек.', '', 892, 1, 1, 'wt', 373, 385);

---- Группа "Ток" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (893, 'Ток', '', 373, 0);

  -- Добавление параметра прибора "Ток фазы 1, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11748, 'Ток фазы 1, А', '', 893, 1, 1, 'I1', 373, 385);
  -- Добавление параметра прибора "Ток фазы 2, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11749, 'Ток фазы 2, А', '', 893, 1, 1, 'I2', 373, 385);
  -- Добавление параметра прибора "Ток фазы 3, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11750, 'Ток фазы 3, А', '', 893, 1, 1, 'I3', 373, 385);
  -- Добавление параметра прибора "Средний ток, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11751, 'Средний ток, А', '', 893, 1, 1, 'Iavg', 373, 385);

---- Группа "Напряжение" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (894, 'Напряжение', '', 373, 0);

  -- Добавление параметра прибора "Напряжение L1-L2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11752, 'Напряжение L1-L2, В', '', 894, 1, 1, 'U12', 373, 385);
  -- Добавление параметра прибора "Напряжение L2-L3, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11753, 'Напряжение L2-L3, В', '', 894, 1, 1, 'U23', 373, 385);
  -- Добавление параметра прибора "Напряжение L3-L1, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11754, 'Напряжение L3-L1, В', '', 894, 1, 1, 'U31', 373, 385);
  -- Добавление параметра прибора "Среднее напряжение L-L, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11755, 'Среднее напряжение L-L, В', '', 894, 1, 1, 'ULLavg', 373, 385);
  -- Добавление параметра прибора "Среднее напряжение L1-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11756, 'Среднее напряжение L1-N, В', '', 894, 1, 1, 'UL1N', 373, 385);
  -- Добавление параметра прибора "Среднее напряжение L2-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11757, 'Среднее напряжение L2-N, В', '', 894, 1, 1, 'UL2N', 373, 385);
  -- Добавление параметра прибора "Среднее напряжение L3-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11758, 'Среднее напряжение L3-N, В', '', 894, 1, 1, 'UL3N', 373, 385);
  -- Добавление параметра прибора "Среднее напряжение L-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11759, 'Среднее напряжение L-N, В', '', 894, 1, 1, 'ULNavg', 373, 385);
  -- Добавление параметра прибора "Частота сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11760, 'Частота сети, Гц', '', 894, 1, 1, 'f', 373, 385);

---- Группа "Мощность" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (895, 'Мощность', '', 373, 0);

  -- Добавление параметра прибора "Активная мощность фазы 1, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11761, 'Активная мощность фазы 1, кВт', '', 895, 1, 1, 'PA1', 373, 385);
  -- Добавление параметра прибора "Активная мощность фазы 2, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11762, 'Активная мощность фазы 2, кВт', '', 895, 1, 1, 'PA2', 373, 385);
  -- Добавление параметра прибора "Активная мощность фазы 3, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11763, 'Активная мощность фазы 3, кВт', '', 895, 1, 1, 'PA3', 373, 385);
  -- Добавление параметра прибора "Полная активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11764, 'Полная активная мощность, кВт', '', 895, 1, 1, 'PA', 373, 385);
  -- Добавление параметра прибора "Полная реактивная мощность, кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11765, 'Полная реактивная мощность, кВАР', '', 895, 1, 1, 'PR', 373, 385);
  -- Добавление параметра прибора "Полная фиксируемая мощность, кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11766, 'Полная фиксируемая мощность, кВА', '', 895, 1, 1, 'PP', 373, 385);
  -- Добавление параметра прибора "Коэффициент полной мощности PF"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11767, 'Коэффициент полной мощности PF', '', 895, 1, 1, 'PF', 373, 385);
  -- Добавление параметра прибора "Суммарный коэффициент мощности по IEC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11768, 'Суммарный коэффициент мощности по IEC', '', 895, 1, 1, 'PFtotIEC', 373, 385);
  -- Добавление параметра прибора "Суммарное опережение/отставание коэффициента мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11769, 'Суммарное опережение/отставание коэффициента мощности', '', 895, 1, 1, 'PFtotLL', 373, 385);

---- Группа "Потребление" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (896, 'Потребление', '', 373, 0);

  -- Добавление параметра прибора "Продолжительность интервала расчета потребления, мин."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11770, 'Продолжительность интервала расчета потребления, мин.', '', 896, 1, 1, 'dper', 373, 385);
  -- Добавление параметра прибора "Дата и время сброса пикового потребления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11771, 'Дата и время сброса пикового потребления', '', 896, 1, 1, 'dpres', 373, 385);
  -- Добавление параметра прибора "Потребление, активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11772, 'Потребление, активная мощность, кВт', '', 896, 1, 1, 'EA', 373, 385);
  -- Добавление параметра прибора "Пиковое потребление, активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11773, 'Пиковое потребление, активная мощность, кВт', '', 896, 1, 1, 'EAp', 373, 385);
  -- Добавление параметра прибора "Дата и время пикового потребления, активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11774, 'Дата и время пикового потребления, активная мощность', '', 896, 1, 1, 'EApD', 373, 385);
  -- Добавление параметра прибора "Потребление, реактивная мощность, кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11775, 'Потребление, реактивная мощность, кВАР', '', 896, 1, 1, 'ER', 373, 385);
  -- Добавление параметра прибора "Пиковое потребление, реактивная мощность, кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11776, 'Пиковое потребление, реактивная мощность, кВАР', '', 896, 1, 1, 'ERp', 373, 385);
  -- Добавление параметра прибора "Дата и время пикового потребления, реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11777, 'Дата и время пикового потребления, реактивная мощность', '', 896, 1, 1, 'ERpD', 373, 385);
  -- Добавление параметра прибора "Потребление, полная мощность, кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11778, 'Потребление, полная мощность, кВА', '', 896, 1, 1, 'P', 373, 385);
  -- Добавление параметра прибора "Пиковое потребление, полная мощность, кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11779, 'Пиковое потребление, полная мощность, кВА', '', 896, 1, 1, 'Pp', 373, 385);
  -- Добавление параметра прибора "Дата и время пикового потребления, полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11780, 'Дата и время пикового потребления, полная мощность', '', 896, 1, 1, 'PpD', 373, 385);
  -- Добавление параметра прибора "Потребление, ток фазы 1, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11781, 'Потребление, ток фазы 1, А', '', 896, 1, 1, 'I1', 373, 385);
  -- Добавление параметра прибора "Пиковое потребление, ток фазы 1, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11782, 'Пиковое потребление, ток фазы 1, А', '', 896, 1, 1, 'I1p', 373, 385);
  -- Добавление параметра прибора "Дата и время пикового потребления, ток фазы 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11783, 'Дата и время пикового потребления, ток фазы 1', '', 896, 1, 1, 'I1pD', 373, 385);
  -- Добавление параметра прибора "Потребление, ток фазы 2, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11784, 'Потребление, ток фазы 2, А', '', 896, 1, 1, 'I2', 373, 385);
  -- Добавление параметра прибора "Пиковое потребление, ток фазы 2, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11785, 'Пиковое потребление, ток фазы 2, А', '', 896, 1, 1, 'I2p', 373, 385);
  -- Добавление параметра прибора "Дата и время пикового потребления, ток фазы 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11786, 'Дата и время пикового потребления, ток фазы 2', '', 896, 1, 1, 'I2pD', 373, 385);
  -- Добавление параметра прибора "Потребление, ток фазы 3, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11787, 'Потребление, ток фазы 3, А', '', 896, 1, 1, 'I3', 373, 385);
  -- Добавление параметра прибора "Пиковое потребление, ток фазы 3, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11788, 'Пиковое потребление, ток фазы 3, А', '', 896, 1, 1, 'I3p', 373, 385);
  -- Добавление параметра прибора "Дата и время пикового потребления, ток фазы 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11789, 'Дата и время пикового потребления, ток фазы 3', '', 896, 1, 1, 'I3pD', 373, 385);
  -- Добавление параметра прибора "Потребление, средний ток, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11790, 'Потребление, средний ток, А', '', 896, 1, 1, 'I', 373, 385);
  -- Добавление параметра прибора "Пиковое потребление, средний ток, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11791, 'Пиковое потребление, средний ток, А', '', 896, 1, 1, 'Ip', 373, 385);
  -- Добавление параметра прибора "Дата и время пикового потребления, средний ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11792, 'Дата и время пикового потребления, средний ток', '', 896, 1, 1, 'IpD', 373, 385);

---- Группа "Суммарная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (897, 'Суммарная энергия', '', 373, 0);

  -- Добавление параметра прибора "Суммарная импортируемая активная энергия, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11793, 'Суммарная импортируемая активная энергия, кВт*ч', '', 897, 1, 1, 'iEA', 373, 385);
  -- Добавление параметра прибора "Суммарная экспортируемая активная энергия, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11794, 'Суммарная экспортируемая активная энергия, кВт*ч', '', 897, 1, 1, 'oEA', 373, 385);
  -- Добавление параметра прибора "Суммарная экспортируемая реактивная энергия, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11795, 'Суммарная экспортируемая реактивная энергия, кВАР*ч', '', 897, 1, 1, 'iER', 373, 385);
  -- Добавление параметра прибора "Суммарная экспортируемая реактивная энергия, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11796, 'Суммарная экспортируемая реактивная энергия, кВАР*ч', '', 897, 1, 1, 'oER', 373, 385);
  -- Добавление параметра прибора "Поступаемая реактивная энергия, фаза 1, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11797, 'Поступаемая реактивная энергия, фаза 1, кВАР*ч', '', 897, 1, 1, 'REDP1', 373, 385);
  -- Добавление параметра прибора "Поступаемая реактивная энергия, фаза 2, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11798, 'Поступаемая реактивная энергия, фаза 2, кВАР*ч', '', 897, 1, 1, 'REDP2', 373, 385);
  -- Добавление параметра прибора "Поступаемая реактивная энергия, фаза 3, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11799, 'Поступаемая реактивная энергия, фаза 3, кВАР*ч', '', 897, 1, 1, 'REDP3', 373, 385);

---- Группа "Частичная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (898, 'Частичная энергия', '', 373, 0);

  -- Добавление параметра прибора "Частичная импортируемая активная энергия, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11800, 'Частичная импортируемая активная энергия, кВт*ч', '', 898, 1, 1, 'iEAp', 373, 385);
  -- Добавление параметра прибора "Частичная импортируемая реактивная энергия, ВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11801, 'Частичная импортируемая реактивная энергия, ВАР*ч', '', 898, 1, 1, 'iERp', 373, 385);
  -- Добавление параметра прибора "Импорт активной энергии по фазе 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11802, 'Импорт активной энергии по фазе 1, кВт*ч', '', 898, 1, 1, 'iEA1', 373, 385);
  -- Добавление параметра прибора "Импорт активной энергии по фазе 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11803, 'Импорт активной энергии по фазе 2, кВт*ч', '', 898, 1, 1, 'iEA2', 373, 385);
  -- Добавление параметра прибора "Импорт активной энергии по фазе 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11804, 'Импорт активной энергии по фазе 3, кВт*ч', '', 898, 1, 1, 'iEA3', 373, 385);

---- Группа "Мощность по тарифу" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (899, 'Мощность по тарифу', '', 373, 0);

  -- Добавление параметра прибора "Тариф A импорт активной энергии, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11805, 'Тариф A импорт активной энергии, кВт*ч', '', 899, 1, 1, 'PTA', 373, 385);
  -- Добавление параметра прибора "Тариф B импорт активной энергии, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11806, 'Тариф B импорт активной энергии, кВт*ч', '', 899, 1, 1, 'PTB', 373, 385);
  -- Добавление параметра прибора "Тариф C импорт активной энергии, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11807, 'Тариф C импорт активной энергии, кВт*ч', '', 899, 1, 1, 'PTC', 373, 385);
