--
-- PostgreSQL database dump
--

-- Dumped from database version 9.1.24
-- Dumped by pg_dump version 9.1.24
-- Started on 2020-04-08 10:48:39

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = "Tepl", pg_catalog;

--
-- TOC entry 2527 (class 0 OID 114175)
-- Dependencies: 232 2529
-- Data for Name: DeviceEventPatern; Type: TABLE DATA; Schema: Tepl; Owner: postgres
--


INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (54, 'Датчик температуры отопительного прибора', NULL, 'Дат. t отоп. прибора', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (55, 'Оперативная память', NULL, 'Оперативная память', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (56, 'Энергонезависимая память', NULL, 'Энергонезависимая память', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (57, 'Программное обеспечение ', NULL, 'ПО', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (58, 'Радиомодуль', NULL, 'Радиомодуль', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (59, 'Датчик температуры окружающей среды', NULL, 'Дат. t окр. среды', 'Норма');


INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (323, 1, 2);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (323, 2, 56);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (323, 4, 55);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (323, 16, 59);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (323, 8, 54);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (323, 128, 57);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (323, 64, 14);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (323, 32, 58);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (327, 32, 58);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (327, 16, 59);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (327, 128, 57);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (327, 64, 14);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (327, 2, 56);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (327, 1, 2);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (327, 8, 54);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (327, 4, 55);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (299, 32, 58);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (299, 16, 59);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (299, 128, 57);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (299, 64, 14);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (299, 2, 56);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (299, 1, 2);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (299, 8, 54);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (299, 4, 55);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (345, 64, 8);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (345, 32, 7);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (345, 128, 20);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (345, 256, 10);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (345, 2, 3);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (345, 1, 2);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (345, 4, 12);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (345, 16, 6);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (345, 8, 5);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (312, 32, 6);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (312, 64, 5);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (312, 4, 3);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (312, 1, 12);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (312, 2, 2);


-- Completed on 2020-04-08 10:48:39

--
-- PostgreSQL database dump complete
--

