-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11817 AND pr_typ_id <= 11824;

---- Прибор "Danfoss SonoSelect (SonoSafe) M-Bus" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Danfoss SonoSelect (SonoSafe) M-Bus', "Comment" = 'Danfoss SonoSelect (SonoSafe) M-Bus', "AdditionInfo" = 128 WHERE dev_typ_id = 315;

---- Прибор "Danfoss SonoSelect (SonoSafe) Modbus" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Danfoss SonoSelect (SonoSafe) Modbus', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 336;

---- Группа "Системные" ----

  -- Добавление параметра прибора "Время работы в штатном режиме (без ошибок), часов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11817, 'Время работы в штатном режиме (без ошибок), часов', '', 761, 1, 1, 'HrCntOK', 336, 449);
  -- Добавление параметра прибора "Время работы в нештатном режиме (с ошибками), часов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11818, 'Время работы в нештатном режиме (с ошибками), часов', '', 761, 1, 1, 'HrCntErr', 336, 449);
  -- Добавление параметра прибора "Время работы с момента производства, часов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11819, 'Время работы с момента производства, часов', '', 761, 1, 1, 'HrCntAll', 336, 449);
  -- Добавление параметра прибора "Статус модуля (битовая маска)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11820, 'Статус модуля (битовая маска)', '', 761, 1, 1, 'ModStatus', 336, 449);
  -- Добавление параметра прибора "Уникальный код продукта модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11821, 'Уникальный код продукта модуля', '', 761, 1, 1, 'sModCN', 336, 449);
  -- Добавление параметра прибора "Уникальный серийный номер модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11822, 'Уникальный серийный номер модуля', '', 761, 1, 1, 'sModSN', 336, 449);
  -- Добавление параметра прибора "Версия платы модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11823, 'Версия платы модуля', '', 761, 1, 1, 'sModHW', 336, 449);
  -- Добавление параметра прибора "Версия ПО модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11824, 'Версия ПО модуля', '', 761, 1, 1, 'sModFW', 336, 449);

---- Группа "Метрологические" ----

  -- Обновление параметра прибора "Объем теплоносителя"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объем теплоносителя', "Comment" = 'Накопленный', "NameP2" = 'VH', dev_typ_id = 336, "SupportData" = 399 WHERE pr_typ_id = 10169;
  -- Обновление параметра прибора "Объем хладоносителя"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объем хладоносителя', "Comment" = '', "NameP2" = 'VC', dev_typ_id = 336, "SupportData" = 399 WHERE pr_typ_id = 10170;
  -- Обновление параметра прибора "Тепловая энергия, дж"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тепловая энергия, дж', "Comment" = '', "NameP2" = 'EH', dev_typ_id = 336, "SupportData" = 399 WHERE pr_typ_id = 10171;
  -- Обновление параметра прибора "Энергия охлаждения , дж"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия охлаждения , дж', "Comment" = '', "NameP2" = 'EC', dev_typ_id = 336, "SupportData" = 399 WHERE pr_typ_id = 10172;
  -- Обновление параметра прибора "Тепловая мощность, Вт"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тепловая мощность, Вт', "Comment" = '', "NameP2" = 'P', dev_typ_id = 336, "SupportData" = 385 WHERE pr_typ_id = 10173;
  -- Обновление параметра прибора "Объем импульсного входа 1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объем импульсного входа 1', "Comment" = '', "NameP2" = 'AVP1', dev_typ_id = 336, "SupportData" = 399 WHERE pr_typ_id = 10179;
  -- Обновление параметра прибора "Объем импульсного входа 2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объем импульсного входа 2', "Comment" = '', "NameP2" = 'AVP2', dev_typ_id = 336, "SupportData" = 399 WHERE pr_typ_id = 10180;
  -- Обновление параметра прибора "Макс поток теплоносителя, м3/с"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Макс поток теплоносителя, м3/с', "Comment" = '', "NameP2" = 'MaxFH', dev_typ_id = 336, "SupportData" = 398 WHERE pr_typ_id = 10183;
  -- Обновление параметра прибора "Дата максимального потока теплоносителя"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата максимального потока теплоносителя', "Comment" = '', "NameP2" = 'MaxFHTime', dev_typ_id = 336, "SupportData" = 398 WHERE pr_typ_id = 10184;
  -- Обновление параметра прибора "Максимальный поток хладоносителя, м3/с"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Максимальный поток хладоносителя, м3/с', "Comment" = '', "NameP2" = 'MaxFC', dev_typ_id = 336, "SupportData" = 398 WHERE pr_typ_id = 10185;
  -- Обновление параметра прибора "Дата максимального потока хладоносителя"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата максимального потока хладоносителя', "Comment" = '', "NameP2" = 'MaxFCTime', dev_typ_id = 336, "SupportData" = 398 WHERE pr_typ_id = 10186;
  -- Обновление параметра прибора "Максимальная тепловая мощность, Вт"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Максимальная тепловая мощность, Вт', "Comment" = '', "NameP2" = 'MaxPH', dev_typ_id = 336, "SupportData" = 398 WHERE pr_typ_id = 10187;
  -- Обновление параметра прибора "Дата максимальной тепловой мощности"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата максимальной тепловой мощности', "Comment" = '', "NameP2" = 'MaxPHTime', dev_typ_id = 336, "SupportData" = 398 WHERE pr_typ_id = 10188;
  -- Обновление параметра прибора "Максимальная мощность охлаждения, Вт"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Максимальная мощность охлаждения, Вт', "Comment" = '', "NameP2" = 'MaxPC', dev_typ_id = 336, "SupportData" = 398 WHERE pr_typ_id = 10189;
  -- Обновление параметра прибора "Дата максимальной мощности охлаждения"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата максимальной мощности охлаждения', "Comment" = '', "NameP2" = 'MaxPCTime', dev_typ_id = 336, "SupportData" = 398 WHERE pr_typ_id = 10190;
