-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11956 AND pr_typ_id <= 11970;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 912 AND gr_typ_id <= 914;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 377;

---- Прибор "Пульсар электр1ФТ4" ----


---- Группа "Параметры" ----

  -- Обновление параметра прибора "Активная мощность отключения реле Тариф1 [Вт]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная мощность отключения реле Тариф1 [Вт]', "Comment" = '', "NameP2" = 'P0190.S16', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11574;
  -- Обновление параметра прибора "Активная мощность отключеня реле Тариф2 [Вт]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная мощность отключеня реле Тариф2 [Вт]', "Comment" = '', "NameP2" = 'P0191.S16', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11575;
  -- Обновление параметра прибора "Активная мощность отключения реле Тариф3 [Вт]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная мощность отключения реле Тариф3 [Вт]', "Comment" = '', "NameP2" = 'P0192.S16', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11576;
  -- Обновление параметра прибора "Активная мощность отключения реле Тариф4  [Вт]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная мощность отключения реле Тариф4  [Вт]', "Comment" = '', "NameP2" = 'P0193.S16', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11577;
  -- Обновление параметра прибора "Активная энергия отключения реле Тариф1 [кВт*ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия отключения реле Тариф1 [кВт*ч]', "Comment" = '', "NameP2" = 'P0194.U32', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11578;
  -- Обновление параметра прибора "Активная энергия отключения реле Тариф2[кВт*ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия отключения реле Тариф2[кВт*ч]', "Comment" = '', "NameP2" = 'P0195.U32', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11579;
  -- Обновление параметра прибора "Активная энергия отключения реле Тариф3 [кВт*ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия отключения реле Тариф3 [кВт*ч]', "Comment" = '', "NameP2" = 'P0196.U32', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11580;
  -- Обновление параметра прибора "Активная энергия отключения реле Тариф4 [кВт*ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия отключения реле Тариф4 [кВт*ч]', "Comment" = '', "NameP2" = 'P0197.U32', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11581;

---- Группа "Наладка" ----

  -- Обновление параметра прибора "Напряжение отключения рeле [В] "
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение отключения рeле [В] ', "Comment" = '', "NameP2" = 'P018E.U16', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11605;

---- Прибор "ТЭ Minol - MBus" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (377, 'ТЭ Minol - MBus', 'Компактный теплосчетчик с интерфейсом M-bus', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (912, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 377, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (913, 'Информационные', 'Информация о приборе', 377, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11956, 'Дата и время', '', 913, 1, 1, 'D', 377, 449);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (914, 'Показания', 'Текущие и архивные показания прибора', 377, 0);

  -- Добавление параметра прибора "Энергия [Вт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11957, 'Энергия [Вт*ч]', '', 914, 1, 1, 'E', 377, 385);
  -- Добавление параметра прибора "Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11958, 'Объем [м3]', '', 914, 1, 1, 'Q', 377, 385);
  -- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11959, 'Температура, подача [С]', '', 914, 1, 1, 'TF', 377, 385);
  -- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11960, 'Температура, обратка [С]', '', 914, 1, 1, 'TR', 377, 385);
  -- Добавление параметра прибора "Температура, перепад [К]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11961, 'Температура, перепад [К]', '', 914, 1, 1, 'TD', 377, 385);
  -- Добавление параметра прибора "Мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11962, 'Мощность [Вт]', '', 914, 1, 1, 'W', 377, 385);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11963, 'Расход [м3/ч]', '', 914, 1, 1, 'QM', 377, 385);
  -- Добавление параметра прибора "Расход (по энергии) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11964, 'Расход (по энергии) [м3/ч]', '', 914, 1, 1, 'QE', 377, 385);
  -- Добавление параметра прибора "Импульсный вход 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11965, 'Импульсный вход 1 [м3]', '', 914, 1, 1, 'Q1', 377, 385);
  -- Добавление параметра прибора "Импульсный вход 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11966, 'Импульсный вход 2 [м3]', '', 914, 1, 1, 'Q2', 377, 385);
  -- Добавление параметра прибора "Импульсный вход 3 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11967, 'Импульсный вход 3 [м3]', '', 914, 1, 1, 'Q3', 377, 385);
  -- Добавление параметра прибора "Импульсный вход 4 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11968, 'Импульсный вход 4 [м3]', '', 914, 1, 1, 'Q4', 377, 385);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11969, 'Время наработки [ч]', '', 914, 1, 1, 'ON', 377, 385);
  -- Добавление параметра прибора "Время наработки с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11970, 'Время наработки с ошибками [ч]', '', 914, 1, 1, 'OE', 377, 385);
