-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11971 AND pr_typ_id <= 12030;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 915 AND gr_typ_id <= 918;

---- Прибор "Пульсар счетчик воды электронный v1" ----




---- Группа "Пользователи_BAK" ----

DELETE FROM "Tepl"."DeviceTypeGroupParametr"
WHERE gr_typ_id = 907;

DELETE FROM "Tepl"."DeviceTypeParametr"
WHERE gr_typ_id = 907;

---- Группа "Наладчики_BAK" ----

DELETE FROM "Tepl"."DeviceTypeGroupParametr"
WHERE gr_typ_id = 909;

DELETE FROM "Tepl"."DeviceTypeParametr"
WHERE gr_typ_id = 909;



---- Группа "Наладчики" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (915, 'Наладчики', '', 371, 0);

  -- Добавление параметра прибора "Интерфейс"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11971, 'Интерфейс', '', 915, 1, 1, 'P0020.U8', 371, 448);
  -- Добавление параметра прибора "Внешнее питание"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11972, 'Внешнее питание', '', 915, 1, 1, 'P0021.U8', 371, 448);
  -- Добавление параметра прибора "Передача пакета калибровки UART"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11973, 'Передача пакета калибровки UART', '', 915, 1, 1, 'P0022.U16', 371, 192);
  -- Добавление параметра прибора "Модель дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11974, 'Модель дисплея', '', 915, 1, 1, 'P0030.U8', 371, 192);
  -- Добавление параметра прибора "Порог напряжения батареи MIN [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11975, 'Порог напряжения батареи MIN [мВ]', '', 915, 1, 1, 'P0041.U16', 371, 192);
  -- Добавление параметра прибора "Порог напряжения батареи ALARM [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11976, 'Порог напряжения батареи ALARM [мВ]', '', 915, 1, 1, 'P0042.U16', 371, 192);
  -- Добавление параметра прибора "Порог напряжения батареи MAX [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11977, 'Порог напряжения батареи MAX [мВ]', '', 915, 1, 1, 'P0043.U16', 371, 192);
  -- Добавление параметра прибора "Вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11978, 'Вывод частоты', '', 915, 1, 1, 'P0050.U8', 371, 192);
  -- Добавление параметра прибора "Измеренная частота LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11979, 'Измеренная частота LF [Гц]', '', 915, 1, 1, 'P0051.U16', 371, 192);
  -- Добавление параметра прибора "Измеренная частота HF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11980, 'Измеренная частота HF [Гц]', '', 915, 1, 1, 'P0052.U32', 371, 192);
  -- Добавление параметра прибора "Размер EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11981, 'Размер EEPROM', '', 915, 1, 1, 'P0060.U8', 371, 192);
  -- Добавление параметра прибора "Наличие оптопорта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11982, 'Наличие оптопорта', '', 915, 1, 1, 'P0070.U8', 371, 192);
  -- Добавление параметра прибора "Наличие геркона"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11983, 'Наличие геркона', '', 915, 1, 1, 'P0080.U8', 371, 192);
  -- Добавление параметра прибора "Наличие сенсорной кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11984, 'Наличие сенсорной кнопки', '', 915, 1, 1, 'P0090.U8', 371, 192);
  -- Добавление параметра прибора "Наличие имп. выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11985, 'Наличие имп. выхода', '', 915, 1, 1, 'P0100.U8', 371, 192);
  -- Добавление параметра прибора "Количество дросселей"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11986, 'Количество дросселей', '', 915, 1, 1, 'P0110.U8', 371, 192);
  -- Добавление параметра прибора "Дроссель 1 (текущая добротность)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11987, 'Дроссель 1 (текущая добротность)', '', 915, 1, 1, 'P0111.U8', 371, 448);
  -- Добавление параметра прибора "Дроссель 2 (текущая добротность)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11988, 'Дроссель 2 (текущая добротность)', '', 915, 1, 1, 'P0112.U8', 371, 448);
  -- Добавление параметра прибора "Измерение контрастности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11989, 'Измерение контрастности', '', 915, 1, 1, 'P0113.U8', 371, 192);
  -- Добавление параметра прибора "Дроссель 1 (измеренная контрастность)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11990, 'Дроссель 1 (измеренная контрастность)', '', 915, 1, 1, 'P0114.U32', 371, 448);
  -- Добавление параметра прибора "Дроссель 2 (измеренная контрастность)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11991, 'Дроссель 2 (измеренная контрастность)', '', 915, 1, 1, 'P0115.U32', 371, 448);
  -- Добавление параметра прибора "Автокалибровка порогов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11992, 'Автокалибровка порогов', '', 915, 1, 1, 'P0116.U8', 371, 192);
  -- Добавление параметра прибора "Статус автокалибровки порогов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11993, 'Статус автокалибровки порогов', '', 915, 1, 1, 'P0117.U8', 371, 448);
  -- Добавление параметра прибора "Гистерезис автокалибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11994, 'Гистерезис автокалибровки', '', 915, 1, 1, 'P0118.U8', 371, 192);
  -- Добавление параметра прибора "Калибровочные пороги"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11995, 'Калибровочные пороги', '', 915, 1, 1, 'P0119.U16', 371, 192);
  -- Добавление параметра прибора "Тестовый "пролив""
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11996, 'Тестовый "пролив"', '', 915, 1, 1, 'P0120.U8', 371, 192);
  -- Добавление параметра прибора "Режим сканирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11997, 'Режим сканирования', '', 915, 1, 1, 'P0121.U8', 371, 448);
  -- Добавление параметра прибора "Частота сканирования SLEEP [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11998, 'Частота сканирования SLEEP [Гц]', '', 915, 1, 1, 'P0122.U16', 371, 192);
  -- Добавление параметра прибора "Частота сканирования WORK [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11999, 'Частота сканирования WORK [Гц]', '', 915, 1, 1, 'P0123.U16', 371, 192);
  -- Добавление параметра прибора "Порог чувствительности расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12000, 'Порог чувствительности расхода [м3/ч]', '', 915, 1, 1, 'P0124.F32', 371, 192);
  -- Добавление параметра прибора "Вес испульса [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12001, 'Вес испульса [л/имп]', '', 915, 1, 1, 'P0127.F32', 371, 192);
  -- Добавление параметра прибора "Расход по эталону, [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12002, 'Расход по эталону, [м3/ч]', '', 915, 1, 1, 'P0128.F32', 371, 192);
  -- Добавление параметра прибора "Коррекция расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12003, 'Коррекция расхода', '', 915, 1, 1, 'P0129.U8', 371, 192);

---- Группа "RF модуль" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (916, 'RF модуль', '', 371, 915);

  -- Добавление параметра прибора "[RF] Режим передачи маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12004, '[RF] Режим передачи маркеров', '', 916, 1, 1, 'P0200.U8', 371, 192);
  -- Добавление параметра прибора "[RF] Частота кварцевого резонатора [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12005, '[RF] Частота кварцевого резонатора [Гц]', '', 916, 1, 1, 'P0200.U32', 371, 192);
  -- Добавление параметра прибора "[RF] Нагрузочные конденсаторы кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12006, '[RF] Нагрузочные конденсаторы кварца', '', 916, 1, 1, 'P0202.U8', 371, 192);
  -- Добавление параметра прибора "[RF] Вывод частоты кварца генератора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12007, '[RF] Вывод частоты кварца генератора', '', 916, 1, 1, 'P0203.U8', 371, 192);

---- Группа "Пользователи" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (917, 'Пользователи', '', 371, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12008, 'Дата и время', '', 917, 1, 1, 'D', 371, 192);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12009, 'Сетевой адрес', '', 917, 1, 1, '__ADDRESS', 371, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12010, 'Версия ПО', '', 917, 1, 1, '__VERSION_EXTERNAL', 371, 448);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12011, 'Пароль (старый | новый)', '', 917, 1, 1, '__PASSWORD', 371, 192);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12012, 'Запись запрещена', '', 917, 1, 1, 'P0003.U8', 371, 448);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12013, 'Текущие ошибки', '', 917, 1, 1, 'P0010.U16', 371, 448);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12014, 'Накопленные ошибки', '', 917, 1, 1, 'P0011.U16', 371, 192);
  -- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12015, 'Количество сбросов', '', 917, 1, 1, 'P0012.U16', 371, 192);
  -- Добавление параметра прибора "Причина сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12016, 'Причина сброса', '', 917, 1, 1, 'P0013.U32', 371, 192);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12017, 'Напряжение батареи [мВ]', '', 917, 1, 1, 'P0040.U16', 371, 448);
  -- Добавление параметра прибора "[Имп. выход] Вес импульса [л/имп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12018, '[Имп. выход] Вес импульса [л/имп.]', '', 917, 1, 1, 'P0101.F32', 371, 192);
  -- Добавление параметра прибора "[Имп. выход] Длит. импульса [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12019, '[Имп. выход] Длит. импульса [мС]', '', 917, 1, 1, 'P0102.F32', 371, 192);
  -- Добавление параметра прибора "[Имп. выход] Длит. паузы [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12020, '[Имп. выход] Длит. паузы [мС]', '', 917, 1, 1, 'P0103.F32', 371, 192);
  -- Добавление параметра прибора "Порог контроля расхода MIN [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12021, 'Порог контроля расхода MIN [м3/ч]', '', 917, 1, 1, 'P0125.F32', 371, 192);
  -- Добавление параметра прибора "Порог контроля расхода MAX [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12022, 'Порог контроля расхода MAX [м3/ч]', '', 917, 1, 1, 'P0126.F32', 371, 192);

---- Группа "RF модуль" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (918, 'RF модуль', '', 371, 917);

  -- Добавление параметра прибора "[RF] Количество переданных ШП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12023, '[RF] Количество переданных ШП маркеров', '', 918, 1, 1, 'P0204.U32', 371, 448);
  -- Добавление параметра прибора "[RF] Количество переданных УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12024, '[RF] Количество переданных УП маркеров', '', 918, 1, 1, 'P0205.U32', 371, 448);
  -- Добавление параметра прибора "[RF] RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12025, '[RF] RSSI последнего пакета [дБм]', '', 918, 1, 1, 'P0206.S8', 371, 448);
  -- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12026, '[RF] Мощность передатчика [мВт]', '', 918, 1, 1, 'P1000.U8', 371, 192);
  -- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12027, '[RF] Количество повторов УП маркеров', '', 918, 1, 1, 'P1001.U8', 371, 192);
  -- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12028, '[RF] Режим кодирования УП маркеров', '', 918, 1, 1, 'P1002.U8', 371, 192);
  -- Добавление параметра прибора "[RF] Смещение каналов УП передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12029, '[RF] Смещение каналов УП передачи', '', 918, 1, 1, 'P1003.S8', 371, 192);
  -- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12030, '[RF] Запрос на неотложную передачу УП маркера', '', 918, 1, 1, 'P10F1.U8', 371, 192);
