SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12087 AND pr_typ_id <= 12182;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 923 AND gr_typ_id <= 925;

---- Прибор "Пульсар IoT УРТ v2.2" ----

---- Группа "Показания" ----

  -- Обновление параметра прибора "Потребление [период]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Потребление [период]', "Comment" = '', "NameP2" = 'PER', dev_typ_id = 327, "SupportData" = 388 WHERE pr_typ_id = 9763;

---- Прибор "Пульсар электросчетчик 1ФТ1 v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар электросчетчик 1ФТ1 v1', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 365;

---- Прибор "Пульсар электросчетчик 1ФТ4 v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар электросчетчик 1ФТ4 v1', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 366;

---- Группа "Каналы" ----

  -- Обновление параметра прибора "Тариф2 Энергия реактивная Q4  [кВар*ч] "
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тариф2 Энергия реактивная Q4  [кВар*ч] ', "Comment" = '', "NameP2" = 'K6', dev_typ_id = 366, "SupportData" = 397 WHERE pr_typ_id = 11537;

---- Группа "Параметры" ----

  -- Обновление параметра прибора "Текущие ошибки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Текущие ошибки', "Comment" = '', "NameP2" = 'P016D.U16.X', dev_typ_id = 366, "SupportData" = 448 WHERE pr_typ_id = 11568;
  -- Обновление параметра прибора "Накопленные ошибки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Накопленные ошибки', "Comment" = '', "NameP2" = 'P016E.U16.X', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11569;
  -- Обновление параметра прибора "Интервал автопереключения пунктов меню"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Интервал автопереключения пунктов меню', "Comment" = '', "NameP2" = 'P0204.U8', dev_typ_id = 366, "SupportData" = 192 WHERE pr_typ_id = 11603;

---- Группа "Наладка" ----

  -- Обновление параметра прибора "Напряжение отключения рeле [В] "
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение отключения рeле [В] ', "Comment" = '', "NameP2" = 'P018E.U16', dev_typ_id = 366, "SupportData" = 64 WHERE pr_typ_id = 11605;

---- Прибор "Пульсар электросчетчик 3Ф4Т v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар электросчетчик 3Ф4Т v1', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 379;

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (923, 'Каналы', '', 379, 0);

  -- Добавление параметра прибора "Тариф1 Энергия активная [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12087, 'Тариф1 Энергия активная [кВт*ч]', '', 923, 1, 1, 'K1', 379, 397);
  -- Добавление параметра прибора "Тариф1 Энергия реактивная Q1  [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12088, 'Тариф1 Энергия реактивная Q1  [кВар*ч]', '', 923, 1, 1, 'K2', 379, 397);
  -- Добавление параметра прибора "Тариф1 Энергия реактивная Q4  [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12089, 'Тариф1 Энергия реактивная Q4  [кВар*ч]', '', 923, 1, 1, 'K3', 379, 397);
  -- Добавление параметра прибора "Тариф2 Энергия активная [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12090, 'Тариф2 Энергия активная [кВт*ч]', '', 923, 1, 1, 'K4', 379, 397);
  -- Добавление параметра прибора "Тариф2 Энергия реактивная Q1  [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12091, 'Тариф2 Энергия реактивная Q1  [кВар*ч]', '', 923, 1, 1, 'K5', 379, 397);
  -- Добавление параметра прибора "Тариф2 Энергия реактивная Q4  [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12092, 'Тариф2 Энергия реактивная Q4  [кВар*ч]', '', 923, 1, 1, 'K6', 379, 397);
  -- Добавление параметра прибора "Тариф3 Энергия активная [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12093, 'Тариф3 Энергия активная [кВт*ч]', '', 923, 1, 1, 'K7', 379, 397);
  -- Добавление параметра прибора "Тариф3 Энергия реактивная Q1  [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12094, 'Тариф3 Энергия реактивная Q1  [кВар*ч]', '', 923, 1, 1, 'K8', 379, 397);
  -- Добавление параметра прибора "Тариф3 Энергия реактивная Q4  [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12095, 'Тариф3 Энергия реактивная Q4  [кВар*ч]', '', 923, 1, 1, 'K9', 379, 397);
  -- Добавление параметра прибора "Тариф4 Энергия активная [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12096, 'Тариф4 Энергия активная [кВт*ч]', '', 923, 1, 1, 'K10', 379, 397);
  -- Добавление параметра прибора "Тариф4 Энергия реактивная Q1  [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12097, 'Тариф4 Энергия реактивная Q1  [кВар*ч]', '', 923, 1, 1, 'K11', 379, 397);
  -- Добавление параметра прибора "Тариф4 Энергия реактивная Q4  [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12098, 'Тариф4 Энергия реактивная Q4  [кВар*ч]', '', 923, 1, 1, 'K12', 379, 397);
  -- Добавление параметра прибора "Суммарная Энергия активная [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12099, 'Суммарная Энергия активная [кВт*ч]', '', 923, 1, 1, 'K13', 379, 431);
  -- Добавление параметра прибора "Суммарная Энергия реактивная Q1 [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12100, 'Суммарная Энергия реактивная Q1 [кВар*ч]', '', 923, 1, 1, 'K14', 379, 431);
  -- Добавление параметра прибора "Суммарная Энергия реактивная Q4 [кВар*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12101, 'Суммарная Энергия реактивная Q4 [кВар*ч]', '', 923, 1, 1, 'K15', 379, 431);
  -- Добавление параметра прибора "Статус архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12102, 'Статус архива', '', 923, 1, 1, 'K16.U32', 379, 431);
  -- Добавление параметра прибора "Статус архива расшифровка"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12103, 'Статус архива расшифровка', '', 923, 1, 1, 'K16', 379, 431);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (924, 'Параметры', '', 379, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12104, 'Дата и время', '', 924, 1, 1, 'D', 379, 192);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12105, 'Сетевой адрес', '', 924, 1, 1, '__ADDRESS', 379, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12106, 'Версия ПО', '', 924, 1, 1, '__VERSION_EXTERNAL', 379, 448);
  -- Добавление параметра прибора "Частота сети [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12107, 'Частота сети [Гц]', '', 924, 1, 1, 'P0100.U16', 379, 448);
  -- Добавление параметра прибора "Действующее значение тока нейтрали[А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12108, 'Действующее значение тока нейтрали[А]', '', 924, 1, 1, 'P0101.U32', 379, 448);
  -- Добавление параметра прибора "Сумма активных мощностей по 3м фазам [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12109, 'Сумма активных мощностей по 3м фазам [Вт]', '', 924, 1, 1, 'P0102.S32', 379, 448);
  -- Добавление параметра прибора "Сумма реактивных мощностей Q1 по 3м фазам [Вар]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12110, 'Сумма реактивных мощностей Q1 по 3м фазам [Вар]', '', 924, 1, 1, 'P0103.S32', 379, 448);
  -- Добавление параметра прибора "Сумма реактивных мощностей Q4 по 3м фазам [Вар]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12111, 'Сумма реактивных мощностей Q4 по 3м фазам [Вар]', '', 924, 1, 1, 'P0104.S32', 379, 448);
  -- Добавление параметра прибора "Сумма коэффициентов мощности 3м фазам"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12112, 'Сумма коэффициентов мощности 3м фазам', '', 924, 1, 1, 'P0105.S16', 379, 448);
  -- Добавление параметра прибора "Фаза A. Действующее значение напряжения [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12113, 'Фаза A. Действующее значение напряжения [В]', '', 924, 1, 1, 'P010A.U16', 379, 448);
  -- Добавление параметра прибора "Фаза A. Действующее значение тока [А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12114, 'Фаза A. Действующее значение тока [А]', '', 924, 1, 1, 'P010B.U32', 379, 448);
  -- Добавление параметра прибора "Фаза A. Активная мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12115, 'Фаза A. Активная мощность [Вт]', '', 924, 1, 1, 'P010C.S32', 379, 448);
  -- Добавление параметра прибора "Фаза A. Реактивная мощность [Вар]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12116, 'Фаза A. Реактивная мощность [Вар]', '', 924, 1, 1, 'P010D.S32', 379, 448);
  -- Добавление параметра прибора "Фаза A. Полная мощность [ВА]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12117, 'Фаза A. Полная мощность [ВА]', '', 924, 1, 1, 'P010E.S32', 379, 448);
  -- Добавление параметра прибора "Фаза A. Коэффициент мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12118, 'Фаза A. Коэффициент мощности', '', 924, 1, 1, 'P010F.S16', 379, 448);
  -- Добавление параметра прибора "Фаза A. Угол между вектором  напряжения и тока [°]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12119, 'Фаза A. Угол между вектором  напряжения и тока [°]', '', 924, 1, 1, 'P0110.S16', 379, 448);
  -- Добавление параметра прибора "Фаза B. Действующее значение напряжения [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12120, 'Фаза B. Действующее значение напряжения [В]', '', 924, 1, 1, 'P012B.U16', 379, 448);
  -- Добавление параметра прибора "Фаза B. Действующее значение тока [А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12121, 'Фаза B. Действующее значение тока [А]', '', 924, 1, 1, 'P012C.U32', 379, 448);
  -- Добавление параметра прибора "Фаза B. Активная мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12122, 'Фаза B. Активная мощность [Вт]', '', 924, 1, 1, 'P012D.S32', 379, 448);
  -- Добавление параметра прибора "Фаза B. Реактивная мощность [Вар]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12123, 'Фаза B. Реактивная мощность [Вар]', '', 924, 1, 1, 'P012E.S32', 379, 448);
  -- Добавление параметра прибора "Фаза B. Полная мощность [ВА]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12124, 'Фаза B. Полная мощность [ВА]', '', 924, 1, 1, 'P012F.S32', 379, 448);
  -- Добавление параметра прибора "Фаза B. Коэффициент мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12125, 'Фаза B. Коэффициент мощности', '', 924, 1, 1, 'P0130.S16', 379, 448);
  -- Добавление параметра прибора "Фаза B. Угол между вектором  напряжения и тока [°]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12126, 'Фаза B. Угол между вектором  напряжения и тока [°]', '', 924, 1, 1, 'P0131.S16', 379, 448);
  -- Добавление параметра прибора "Фаза C. Действующее значение напряжения [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12127, 'Фаза C. Действующее значение напряжения [В]', '', 924, 1, 1, 'P014B.U16', 379, 448);
  -- Добавление параметра прибора "Фаза C. Действующее значение тока [А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12128, 'Фаза C. Действующее значение тока [А]', '', 924, 1, 1, 'P014C.U32', 379, 448);
  -- Добавление параметра прибора "Фаза C. Активная мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12129, 'Фаза C. Активная мощность [Вт]', '', 924, 1, 1, 'P014D.S32', 379, 448);
  -- Добавление параметра прибора "Фаза C. Реактивная мощность [Вар]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12130, 'Фаза C. Реактивная мощность [Вар]', '', 924, 1, 1, 'P014E.S32', 379, 448);
  -- Добавление параметра прибора "Фаза C. Полная мощность [ВА]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12131, 'Фаза C. Полная мощность [ВА]', '', 924, 1, 1, 'P014F.S32', 379, 448);
  -- Добавление параметра прибора "Фаза C. Коэффициент мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12132, 'Фаза C. Коэффициент мощности', '', 924, 1, 1, 'P0150.S16', 379, 448);
  -- Добавление параметра прибора "Фаза C. Угол между вектором  напряжения и тока [°]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12133, 'Фаза C. Угол между вектором  напряжения и тока [°]', '', 924, 1, 1, 'P0151.S16', 379, 448);
  -- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12134, 'Заводской номер', '', 924, 1, 1, 'P016B.U32', 379, 448);
  -- Добавление параметра прибора "Расширенный вариант исполнения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12135, 'Расширенный вариант исполнения', '', 924, 1, 1, 'P016C.U64.X', 379, 448);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12136, 'Текущие ошибки', '', 924, 1, 1, 'P016D.U16.X', 379, 448);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12137, 'Накопленные ошибки', '', 924, 1, 1, 'P016E.U16.X', 379, 192);
  -- Добавление параметра прибора "Плавная корректировка времени [c][-120..+120]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12138, 'Плавная корректировка времени [c][-120..+120]', '', 924, 1, 1, 'P016F.S8', 379, 192);
  -- Добавление параметра прибора "День недели [1- понед...7- воскр.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12139, 'День недели [1- понед...7- воскр.]', '', 924, 1, 1, 'P0170.U8', 379, 192);
  -- Добавление параметра прибора "Счетчик моточасов общий [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12140, 'Счетчик моточасов общий [ч]', '', 924, 1, 1, 'P0172.U32', 379, 192);
  -- Добавление параметра прибора "Счетчик моточасов батареи [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12141, 'Счетчик моточасов батареи [ч]', '', 924, 1, 1, 'P0173.U32', 379, 192);
  -- Добавление параметра прибора "Период изменяемого архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12142, 'Период изменяемого архива', '', 924, 1, 1, 'P0175.U8', 379, 192);
  -- Добавление параметра прибора "Маска текущего режима рэле"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12143, 'Маска текущего режима рэле', '', 924, 1, 1, 'P018C.U8.B', 379, 448);
  -- Добавление параметра прибора "Маска условий отключения потребителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12144, 'Маска условий отключения потребителя', '', 924, 1, 1, 'P018D.U8.B', 379, 192);
  -- Добавление параметра прибора "Активная мощность отключения реле Тариф1 [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12145, 'Активная мощность отключения реле Тариф1 [Вт]', '', 924, 1, 1, 'P0190.S32', 379, 192);
  -- Добавление параметра прибора "Активная мощность отключеня реле Тариф2 [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12146, 'Активная мощность отключеня реле Тариф2 [Вт]', '', 924, 1, 1, 'P0191.S32', 379, 192);
  -- Добавление параметра прибора "Активная мощность отключения реле Тариф3 [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12147, 'Активная мощность отключения реле Тариф3 [Вт]', '', 924, 1, 1, 'P0192.S32', 379, 192);
  -- Добавление параметра прибора "Активная мощность отключения реле Тариф4  [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12148, 'Активная мощность отключения реле Тариф4  [Вт]', '', 924, 1, 1, 'P0193.S32', 379, 192);
  -- Добавление параметра прибора "Активная энергия отключения реле Тариф1 [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12149, 'Активная энергия отключения реле Тариф1 [кВт*ч]', '', 924, 1, 1, 'P0194.U32', 379, 192);
  -- Добавление параметра прибора "Активная энергия отключения реле Тариф2[кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12150, 'Активная энергия отключения реле Тариф2[кВт*ч]', '', 924, 1, 1, 'P0195.U32', 379, 192);
  -- Добавление параметра прибора "Активная энергия отключения реле Тариф3 [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12151, 'Активная энергия отключения реле Тариф3 [кВт*ч]', '', 924, 1, 1, 'P0196.U32', 379, 192);
  -- Добавление параметра прибора "Активная энергия отключения реле Тариф4 [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12152, 'Активная энергия отключения реле Тариф4 [кВт*ч]', '', 924, 1, 1, 'P0197.U32', 379, 192);
  -- Добавление параметра прибора "Режим импульсного выхода [0..3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12153, 'Режим импульсного выхода [0..3]', '', 924, 1, 1, 'P01CC.U8', 379, 192);
  -- Добавление параметра прибора "Режим выхода 512 Гц  [0..1]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12154, 'Режим выхода 512 Гц  [0..1]', '', 924, 1, 1, 'P01CD.U8', 379, 192);
  -- Добавление параметра прибора "Температура MCU [град]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12155, 'Температура MCU [град]', '', 924, 1, 1, 'P01CE.S8', 379, 448);
  -- Добавление параметра прибора "Коэффициент коррекции температуры"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12156, 'Коэффициент коррекции температуры', '', 924, 1, 1, 'P01CF.S16', 379, 448);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12157, 'Напряжение батареи [мВ]', '', 924, 1, 1, 'P01D4.U16', 379, 448);
  -- Добавление параметра прибора "Уставка напряжения НДЗ максимум ЖС  [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12158, 'Уставка напряжения НДЗ максимум ЖС  [В]', '', 924, 1, 1, 'P01E0.U64.BIT0-16', 379, 192);
  -- Добавление параметра прибора "Уставка напряжения НДЗ минимум ЖС [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12159, 'Уставка напряжения НДЗ минимум ЖС [В]', '', 924, 1, 1, 'P01E0.U64.BIT16-16', 379, 192);
  -- Добавление параметра прибора "Уставка напряжения ПДЗ максимум ЖС [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12160, 'Уставка напряжения ПДЗ максимум ЖС [В]', '', 924, 1, 1, 'P01E0.U64.BIT32-16', 379, 192);
  -- Добавление параметра прибора "Уставка напряжения ПДЗ минимум ЖС [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12161, 'Уставка напряжения ПДЗ минимум ЖС [В]', '', 924, 1, 1, 'P01E0.U64.BIT48-16', 379, 192);
  -- Добавление параметра прибора "Уставка частоты НДЗ максимум ЖС [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12162, 'Уставка частоты НДЗ максимум ЖС [Гц]', '', 924, 1, 1, 'P01E1.U64.BIT0-16', 379, 192);
  -- Добавление параметра прибора "Уставка частоты НДЗ минимум ЖС [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12163, 'Уставка частоты НДЗ минимум ЖС [Гц]', '', 924, 1, 1, 'P01E1.U64.BIT16-16', 379, 192);
  -- Добавление параметра прибора "Уставка частоты ПДЗ максимум ЖС [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12164, 'Уставка частоты ПДЗ максимум ЖС [Гц]', '', 924, 1, 1, 'P01E1.U64.BIT32-16', 379, 192);
  -- Добавление параметра прибора "Уставка частоты ПДЗ минимум ЖС [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12165, 'Уставка частоты ПДЗ минимум ЖС [Гц]', '', 924, 1, 1, 'P01E1.U64.BIT48-16', 379, 192);
  -- Добавление параметра прибора "Уставка предела тока ЖС [А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12166, 'Уставка предела тока ЖС [А]', '', 924, 1, 1, 'P01E2.U32', 379, 192);
  -- Добавление параметра прибора "Уставка предела активной мощности [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12167, 'Уставка предела активной мощности [Вт]', '', 924, 1, 1, 'P01E3.U32', 379, 192);
  -- Добавление параметра прибора "Дата перехода на следующее ТР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12168, 'Дата перехода на следующее ТР', '', 924, 1, 1, 'P01F1.DT', 379, 192);
  -- Добавление параметра прибора "Дата обнуления тарифа 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12169, 'Дата обнуления тарифа 1', '', 924, 1, 1, 'P01F2.DT', 379, 448);
  -- Добавление параметра прибора "Дата обнуления тарифа 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12170, 'Дата обнуления тарифа 2', '', 924, 1, 1, 'P01F3.DT', 379, 448);
  -- Добавление параметра прибора "Дата обнуления тарифа 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12171, 'Дата обнуления тарифа 3', '', 924, 1, 1, 'P01F4.DT', 379, 448);
  -- Добавление параметра прибора "Дата обнуления тарифа 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12172, 'Дата обнуления тарифа 4', '', 924, 1, 1, 'P01F5.DT', 379, 448);
  -- Добавление параметра прибора "Маска разрешенных пунктов пеню"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12173, 'Маска разрешенных пунктов пеню', '', 924, 1, 1, 'P0200.U32.B', 379, 192);
  -- Добавление параметра прибора "Интервал автопереключения пунктов меню"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12174, 'Интервал автопереключения пунктов меню', '', 924, 1, 1, 'P0204.U8', 379, 192);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12175, 'Пароль (старый | новый)', '', 924, 1, 1, '__PASSWORD', 379, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (925, 'Наладка', '', 379, 0);

  -- Добавление параметра прибора "Маска включения сенсоров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12176, 'Маска включения сенсоров', '', 925, 1, 1, 'P0171.U8.B', 379, 64);
  -- Добавление параметра прибора "Тип модели EEPROM(0-512,1-1024)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12177, 'Тип модели EEPROM(0-512,1-1024)', '', 925, 1, 1, 'P0174.U8', 379, 64);
  -- Добавление параметра прибора "Напряжение MCU. Нижний порог [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12178, 'Напряжение MCU. Нижний порог [мВ]', '', 925, 1, 1, 'P01D1.U16', 379, 64);
  -- Добавление параметра прибора "Напряжение MCU. Верхний порог [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12179, 'Напряжение MCU. Верхний порог [мВ]', '', 925, 1, 1, 'P01D2.U16', 379, 64);
  -- Добавление параметра прибора "Диагностика прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12180, 'Диагностика прибора', '', 925, 1, 1, 'P01D0.U8', 379, 64);
  -- Добавление параметра прибора "Напряжение отключения рeле [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12181, 'Напряжение отключения рeле [В]', '', 925, 1, 1, 'P018E.U16', 379, 64);
  -- Добавление параметра прибора "Ток самохода [А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12182, 'Ток самохода [А]', '', 925, 1, 1, 'P018F.S32', 379, 0);
