-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12475 AND pr_typ_id <= 12522;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 935 AND gr_typ_id <= 937;

---- Прибор "Пульсар модуль счетчика воды v1.1" ----


---- Группа "Наладка" ----

  -- Добавление параметра прибора "Разблокировка"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12475, 'Разблокировка', '', 696, 1, 1, 'PE003.U64', 319, 192);

---- Прибор "Пульсар УРТ v2.3" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар УРТ v2.3', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 353;

---- Группа "Каналы пользователи" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (935, 'Каналы пользователи', '', 353, 0);

  -- Добавление параметра прибора "Потребление за период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12476, 'Потребление за период', '', 935, 1, 1, 'K1.U32', 353, 385);
  -- Добавление параметра прибора "Потребление за месяц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12477, 'Потребление за месяц', '', 935, 1, 1, 'K2.U32', 353, 393);

---- Группа "Параметры пользователи" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (936, 'Параметры пользователи', '', 353, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12478, 'Дата и время', '', 936, 1, 1, 'D', 353, 192);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12479, 'Сетевой адрес', '', 936, 1, 1, '__ADDRESS', 353, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12480, 'Версия ПО', '', 936, 1, 1, '__VERSION_EXTERNAL', 353, 448);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12481, 'Пароль (старый | новый)', '', 936, 1, 1, '__PASSWORD', 353, 192);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12482, 'Запись запрещена', '', 936, 1, 1, 'P0003.U8', 353, 448);
  -- Добавление параметра прибора "Температура датчика радиатора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12483, 'Температура датчика радиатора', '', 936, 1, 1, 'P0011.U16', 353, 448);
  -- Добавление параметра прибора "Температура датчика воздуха"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12484, 'Температура датчика воздуха', '', 936, 1, 1, 'P0013.U16', 353, 448);
  -- Добавление параметра прибора "Напряжение БП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12485, 'Напряжение БП', '', 936, 1, 1, 'P0019.U16', 353, 448);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12486, 'Ошибки', '', 936, 1, 1, 'P0030.U8', 353, 192);
  -- Добавление параметра прибора "Потребление за предыдущий период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12487, 'Потребление за предыдущий период', '', 936, 1, 1, 'P0100.U32', 353, 385);
  -- Добавление параметра прибора "CRC за предыдущий период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12488, 'CRC за предыдущий период', '', 936, 1, 1, 'P0101.U16', 353, 385);
  -- Добавление параметра прибора "Период учета"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12489, 'Период учета', '', 936, 1, 1, 'P0105.U8', 353, 192);
  -- Добавление параметра прибора "Расчетный день"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12490, 'Расчетный день', '', 936, 1, 1, 'P0106.U8', 353, 192);
  -- Добавление параметра прибора "Шкала"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12491, 'Шкала', '', 936, 1, 1, 'P010B.U8', 353, 192);
  -- Добавление параметра прибора "KC1  индивидуальной  шкалы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12492, 'KC1  индивидуальной  шкалы', '', 936, 1, 1, 'P0120.U16', 353, 192);
  -- Добавление параметра прибора "KC2  индивидуальной  шкалы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12493, 'KC2  индивидуальной  шкалы', '', 936, 1, 1, 'P0121.U16', 353, 192);
  -- Добавление параметра прибора "KQ  индивидуальной  шкалы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12494, 'KQ  индивидуальной  шкалы', '', 936, 1, 1, 'P0150.U16', 353, 192);
  -- Добавление параметра прибора "KT  индивидуальной  шкалы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12495, 'KT  индивидуальной  шкалы', '', 936, 1, 1, 'P0151.U16', 353, 192);
  -- Добавление параметра прибора "[RF] Режим передачи маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12496, '[RF] Режим передачи маркеров', '', 936, 1, 1, 'P0200.U8', 353, 192);
  -- Добавление параметра прибора "[RF] Количество переданных ШП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12497, '[RF] Количество переданных ШП маркеров', '', 936, 1, 1, 'P0204.U32', 353, 448);
  -- Добавление параметра прибора "[RF] Количество переданных УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12498, '[RF] Количество переданных УП маркеров', '', 936, 1, 1, 'P0205.U32', 353, 448);
  -- Добавление параметра прибора "[RF] RSSI последнего пакета"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12499, '[RF] RSSI последнего пакета', '', 936, 1, 1, 'P0206.S8', 353, 448);
  -- Добавление параметра прибора "[RF] Мощность передатчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12500, '[RF] Мощность передатчика', '', 936, 1, 1, 'P1000.U8', 353, 192);
  -- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12501, '[RF] Количество повторов УП маркеров', '', 936, 1, 1, 'P1001.U8', 353, 192);
  -- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12502, '[RF] Режим кодирования УП маркеров', '', 936, 1, 1, 'P1002.U8', 353, 192);
  -- Добавление параметра прибора "[RF] Смещение каналов УП передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12503, '[RF] Смещение каналов УП передачи', '', 936, 1, 1, 'P1003.S16', 353, 192);
  -- Добавление параметра прибора "[RF] Запрос на неотложную передачу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12504, '[RF] Запрос на неотложную передачу', '', 936, 1, 1, 'P10F1.U8', 353, 192);

---- Группа "Параметры наладчики" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (937, 'Параметры наладчики', '', 353, 0);

  -- Добавление параметра прибора "Конфигурация датчиков температуры"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12505, 'Конфигурация датчиков температуры', '', 937, 1, 1, 'P0010.U8', 353, 192);
  -- Добавление параметра прибора "Коррекция температуры датчика радиатора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12506, 'Коррекция температуры датчика радиатора', '', 937, 1, 1, 'P0012.S8', 353, 192);
  -- Добавление параметра прибора "Коррекция температуры датчика воздуха"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12507, 'Коррекция температуры датчика воздуха', '', 937, 1, 1, 'P0014.S8', 353, 192);
  -- Добавление параметра прибора "Час самокалибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12508, 'Час самокалибровки', '', 937, 1, 1, 'P0015.U8', 353, 192);
  -- Добавление параметра прибора "Нижний уровень напряжения БП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12509, 'Нижний уровень напряжения БП', '', 937, 1, 1, 'P001A.U16', 353, 192);
  -- Добавление параметра прибора "Уровень предупреждения напряжения БП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12510, 'Уровень предупреждения напряжения БП', '', 937, 1, 1, 'P001B.U16', 353, 192);
  -- Добавление параметра прибора "Верхний уровень напряжения БП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12511, 'Верхний уровень напряжения БП', '', 937, 1, 1, 'P001C.U16', 353, 192);
  -- Добавление параметра прибора "Радиомодуль"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12512, 'Радиомодуль', '', 937, 1, 1, 'P0020.U8', 353, 448);
  -- Добавление параметра прибора "Оптопорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12513, 'Оптопорт', '', 937, 1, 1, 'P0024.U8', 353, 192);
  -- Добавление параметра прибора "Вывод частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12514, 'Вывод частоты часового кварца', '', 937, 1, 1, 'P0028.U8', 353, 192);
  -- Добавление параметра прибора "Положение кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12515, 'Положение кнопки', '', 937, 1, 1, 'P002C.U8', 353, 448);
  -- Добавление параметра прибора "Период измерений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12516, 'Период измерений', '', 937, 1, 1, 'P010A.U16', 353, 448);
  -- Добавление параметра прибора "Активация"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12517, 'Активация', '', 937, 1, 1, 'P010C.U8', 353, 192);
  -- Добавление параметра прибора "Режимы работы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12518, 'Режимы работы', '', 937, 1, 1, 'P0190.U8', 353, 192);
  -- Добавление параметра прибора "Очистка прибора "
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12519, 'Очистка прибора ', '', 937, 1, 1, 'PE002.U64', 353, 448);
  -- Добавление параметра прибора "[RF] Частота кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12520, '[RF] Частота кварца', '', 937, 1, 1, 'P0201.U32', 353, 192);
  -- Добавление параметра прибора "[RF] Нагрузочные конденсаторы кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12521, '[RF] Нагрузочные конденсаторы кварца', '', 937, 1, 1, 'P0202.U8', 353, 192);
  -- Добавление параметра прибора "[RF] Вывод частоты кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12522, '[RF] Вывод частоты кварца', '', 937, 1, 1, 'P0203.U8', 353, 192);
