-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12523 AND pr_typ_id <= 12527;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 938;

---- Прибор "Пульсар счетчик воды электронный v1" ----


---- Группа "RF модуль наладчики" ----

  -- Обновление параметра прибора "[RF] Режим передачи маркеров"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Режим передачи маркеров', "Comment" = '', "NameP2" = 'P0200.U8', dev_typ_id = 371, "SupportData" = 64 WHERE pr_typ_id = 12004;
  -- Обновление параметра прибора "[RF] Частота кварцевого резонатора [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Частота кварцевого резонатора [Гц]', "Comment" = '', "NameP2" = 'P0201.U32', dev_typ_id = 371, "SupportData" = 64 WHERE pr_typ_id = 12005;
  -- Обновление параметра прибора "[RF] Нагрузочные конденсаторы кварца"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Нагрузочные конденсаторы кварца', "Comment" = '', "NameP2" = 'P0202.U8', dev_typ_id = 371, "SupportData" = 64 WHERE pr_typ_id = 12006;
  -- Обновление параметра прибора "[RF] Вывод частоты кварца генератора"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Вывод частоты кварца генератора', "Comment" = '', "NameP2" = 'P0203.U8', dev_typ_id = 371, "SupportData" = 64 WHERE pr_typ_id = 12007;

---- Группа "Параметры наладчики" ----

  -- Добавление параметра прибора "Разблокировка"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12523, 'Разблокировка', '', 921, 1, 1, 'PE003.U64', 371, 192);

---- Группа "RF модуль наладчики" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (938, 'RF модуль наладчики', '', 371, 921);

  -- Добавление параметра прибора "[RF] Режим передачи маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12524, '[RF] Режим передачи маркеров', '', 938, 1, 1, 'P0200.U8', 371, 192);
  -- Добавление параметра прибора "[RF] Частота кварцевого резонатора [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12525, '[RF] Частота кварцевого резонатора [Гц]', '', 938, 1, 1, 'P0201.U32', 371, 192);
  -- Добавление параметра прибора "[RF] Нагрузочные конденсаторы кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12526, '[RF] Нагрузочные конденсаторы кварца', '', 938, 1, 1, 'P0202.U8', 371, 192);
  -- Добавление параметра прибора "[RF] Вывод частоты кварца генератора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12527, '[RF] Вывод частоты кварца генератора', '', 938, 1, 1, 'P0203.U8', 371, 192);
