-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12941 AND pr_typ_id <= 12956;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 976 AND gr_typ_id <= 977;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 396;

---- Прибор "МАНС-12 тепловычислитель" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (396, 'МАНС-12 тепловычислитель', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (976, 'Информационные', '', 396, 0);

  -- Добавление параметра прибора "Серийный номер вычислителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12941, 'Серийный номер вычислителя', '', 976, 1, 1, 'SN', 396, 449);
  -- Добавление параметра прибора "Номер квартиры"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12942, 'Номер квартиры', '', 976, 1, 1, 'kv', 396, 449);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12943, 'Версия ПО', '', 976, 1, 1, 'ver', 396, 449);
  -- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12944, 'Дата и время прибора', '', 976, 1, 1, 'D', 396, 129);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (977, 'Показания', '', 396, 0);

  -- Добавление параметра прибора "Флаги состояния"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12945, 'Флаги состояния', '', 977, 1, 1, 'fl', 396, 385);
  -- Добавление параметра прибора "Накопленная тепловая энергия, ГДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12946, 'Накопленная тепловая энергия, ГДж', '', 977, 1, 1, 'E', 396, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12947, 'Суммарный потреблённый объем, м3', '', 977, 1, 1, 'V', 396, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12948, 'Суммарный потреблённый объем ресурса по импульсному входу 1', '', 977, 1, 1, 'I1', 396, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12949, 'Суммарный потреблённый объем ресурса по импульсному входу 2', '', 977, 1, 1, 'I2', 396, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12950, 'Суммарный потреблённый объем ресурса по импульсному входу 3', '', 977, 1, 1, 'I3', 396, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12951, 'Суммарный потреблённый объем ресурса по импульсному входу 4', '', 977, 1, 1, 'I4', 396, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12952, 'Суммарный потреблённый объем ресурса по импульсному входу 5', '', 977, 1, 1, 'I5', 396, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12953, 'Суммарный потреблённый объем ресурса по импульсному входу 6', '', 977, 1, 1, 'I6', 396, 393);
  -- Добавление параметра прибора "Время работы в нештатной ситуации, x30 сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12954, 'Время работы в нештатной ситуации, x30 сек', '', 977, 1, 1, 'ns', 396, 393);
  -- Добавление параметра прибора "Перепад температур между подачей и обраткой, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12955, 'Перепад температур между подачей и обраткой, гр. С', '', 977, 1, 1, 'dt', 396, 385);
  -- Добавление параметра прибора "Температура воды в подающем контуре, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12956, 'Температура воды в подающем контуре, гр. С', '', 977, 1, 1, 'tin', 396, 385);
