-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13011 AND pr_typ_id <= 13026;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 979 AND gr_typ_id <= 980;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 397;

---- Прибор "МАНС-12 тепловычислитель" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (397, 'МАНС-12 тепловычислитель', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (979, 'Информационные', '', 397, 0);

  -- Добавление параметра прибора "Серийный номер вычислителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13011, 'Серийный номер вычислителя', '', 979, 1, 1, 'SN', 397, 449);
  -- Добавление параметра прибора "Номер квартиры"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13012, 'Номер квартиры', '', 979, 1, 1, 'kv', 397, 449);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13013, 'Версия ПО', '', 979, 1, 1, 'ver', 397, 449);
  -- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13014, 'Дата и время прибора', '', 979, 1, 1, 'D', 397, 129);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (980, 'Показания', '', 397, 0);

  -- Добавление параметра прибора "Флаги состояния"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13015, 'Флаги состояния', '', 980, 1, 1, 'fl', 397, 385);
  -- Добавление параметра прибора "Накопленная тепловая энергия, ГДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13016, 'Накопленная тепловая энергия, ГДж', '', 980, 1, 1, 'E', 397, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13017, 'Суммарный потреблённый объем, м3', '', 980, 1, 1, 'V', 397, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13018, 'Суммарный потреблённый объем ресурса по импульсному входу 1', '', 980, 1, 1, 'I1', 397, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13019, 'Суммарный потреблённый объем ресурса по импульсному входу 2', '', 980, 1, 1, 'I2', 397, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13020, 'Суммарный потреблённый объем ресурса по импульсному входу 3', '', 980, 1, 1, 'I3', 397, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13021, 'Суммарный потреблённый объем ресурса по импульсному входу 4', '', 980, 1, 1, 'I4', 397, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13022, 'Суммарный потреблённый объем ресурса по импульсному входу 5', '', 980, 1, 1, 'I5', 397, 393);
  -- Добавление параметра прибора "Суммарный потреблённый объем ресурса по импульсному входу 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13023, 'Суммарный потреблённый объем ресурса по импульсному входу 6', '', 980, 1, 1, 'I6', 397, 393);
  -- Добавление параметра прибора "Время работы в нештатной ситуации, x30 сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13024, 'Время работы в нештатной ситуации, x30 сек', '', 980, 1, 1, 'ns', 397, 393);
  -- Добавление параметра прибора "Перепад температур между подачей и обраткой, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13025, 'Перепад температур между подачей и обраткой, гр. С', '', 980, 1, 1, 'dt', 397, 385);
  -- Добавление параметра прибора "Температура воды в подающем контуре, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13026, 'Температура воды в подающем контуре, гр. С', '', 980, 1, 1, 'tin', 397, 385);
