SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13107 AND pr_typ_id <= 13113;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 989;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 399;

---- Прибор "Пульсар IoT электросчетчик 1Ф4Т v1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (399, 'Пульсар IoT электросчетчик 1Ф4Т v1', '', 129);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13107, 'Текущие ошибки', '', 0, 1, 1, 'ERR', 399, 385);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13108, 'Накопленные ошибки', '', 0, 1, 1, 'ERR_TOTAL', 399, 385);
  -- Добавление параметра прибора "Статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13109, 'Статус', 'Только в УП маркере', 0, 1, 1, 'S', 399, 392);

---- Группа "Тарифы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (989, 'Тарифы', 'Текущие только в ШП маркере', 399, 0);

  -- Добавление параметра прибора "Тариф 1 актив [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13110, 'Тариф 1 актив [кВт*ч]', '', 989, 1, 1, 'T1', 399, 393);
  -- Добавление параметра прибора "Тариф 2 актив [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13111, 'Тариф 2 актив [кВт*ч]', '', 989, 1, 1, 'T2', 399, 393);
  -- Добавление параметра прибора "Тариф 3 актив [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13112, 'Тариф 3 актив [кВт*ч]', '', 989, 1, 1, 'T3', 399, 393);
  -- Добавление параметра прибора "Тариф 4 актив [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13113, 'Тариф 4 актив [кВт*ч]', '', 989, 1, 1, 'T4', 399, 393);
