-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13121 AND pr_typ_id <= 13140;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 992 AND gr_typ_id <= 994;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 401;

---- Прибор "ЛенЭлектро ЛЕ-02" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (401, 'ЛенЭлектро ЛЕ-02', 'Счётчик электрической энергии однофазный, многотарифный', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (992, 'Информационные', '', 401, 0);

-- Добавление параметра прибора "Сетевой адрес счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13121, 'Сетевой адрес счётчика', '', 992, 1, 0, 'i_neta', 401, 448);
-- Добавление параметра прибора "Аппаратная ревизия счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13122, 'Аппаратная ревизия счётчика', '', 992, 1, 0, 'i_hw', 401, 448);
-- Добавление параметра прибора "Программная ревизия счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13123, 'Программная ревизия счётчика', '', 992, 1, 0, 'i_sw', 401, 448);
-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13124, 'Дата и время', '', 992, 1, 0, 'D', 401, 449);
-- Добавление параметра прибора "Дата производства счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13125, 'Дата производства счётчика', '', 992, 1, 0, 'i_dp', 401, 448);
-- Добавление параметра прибора "Серийный номер счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13126, 'Серийный номер счётчика', '', 992, 1, 0, 'i_ser', 401, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (993, 'Параметры сети', '', 401, 0);

-- Добавление параметра прибора "Текущая накопленная активная энергия по всем тарифам"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13127, 'Текущая накопленная активная энергия по всем тарифам', '', 993, 1, 0, 'EA', 401, 385);
-- Добавление параметра прибора "Частота сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13128, 'Частота сети, Гц', '', 993, 1, 0, 'f', 401, 385);
-- Добавление параметра прибора "Косинус фи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13129, 'Косинус фи', '', 993, 1, 0, 'cosf', 401, 385);
-- Добавление параметра прибора "Текущая накопленная реактивная энергия по всем тарифам"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13130, 'Текущая накопленная реактивная энергия по всем тарифам', '', 993, 1, 0, 'ER', 401, 385);
-- Добавление параметра прибора "Ток, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13131, 'Ток, А', '', 993, 1, 0, 'I', 401, 385);
-- Добавление параметра прибора "Напряжение сети, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13132, 'Напряжение сети, В', '', 993, 1, 0, 'U', 401, 385);
-- Добавление параметра прибора "Мощность реактивная, вар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13133, 'Мощность реактивная, вар*ч', '', 993, 1, 0, 'Q', 401, 385);
-- Добавление параметра прибора "Мощность активная, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13134, 'Мощность активная, Вт*ч', '', 993, 1, 0, 'P', 401, 385);

---- Группа "Электроэнергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (994, 'Электроэнергия', '', 401, 0);

-- Добавление параметра прибора "Энергия по тарифу 2, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13135, 'Энергия по тарифу 2, Вт*ч', '', 994, 1, 0, 'E2', 401, 397);
-- Добавление параметра прибора "Энергия по тарифу 3, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13136, 'Энергия по тарифу 3, Вт*ч', '', 994, 1, 0, 'E3', 401, 397);
-- Добавление параметра прибора "Энергия по тарифу 4, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13137, 'Энергия по тарифу 4, Вт*ч', '', 994, 1, 0, 'E4', 401, 397);
-- Добавление параметра прибора "Номер действующего тарифа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13138, 'Номер действующего тарифа', '', 994, 1, 0, 'tar', 401, 385);
-- Добавление параметра прибора "Энергия (по всем тарифам), вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13139, 'Энергия (по всем тарифам), вт*ч', '', 994, 1, 0, 'E', 401, 397);
-- Добавление параметра прибора "Энергия по тарифу 1, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13140, 'Энергия по тарифу 1, Вт*ч', '', 994, 1, 0, 'E1', 401, 397);
