SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13143 AND pr_typ_id <= 13196;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 995 AND gr_typ_id <= 997;

---- Прибор "Пульсар УРТ v2.3" ----

---- Группа "Lora" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (995, 'Lora', '', 353, 936);

-- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13143, '[Lora] Информация о сети', '', 995, 1, 0, 'P11F1', 353, 448);
-- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13144, '[Lora Ключи] Device EUI', '', 995, 1, 0, 'P1100', 353, 192);
-- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13145, '[Lora Ключи] App EUI', '', 995, 1, 0, 'P1101', 353, 192);
-- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13146, '[Lora Ключи] App Key', '', 995, 1, 0, 'PS1102', 353, 192);
-- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13147, '[Lora Регион] Частотный план', '', 995, 1, 0, 'P1110', 353, 192);
-- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13148, '[Lora Регион] Начальная скорость', '', 995, 1, 0, 'P1111.U32.BIT16-8', 353, 192);
-- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13149, '[Lora Регион] Минимальная скорость', '', 995, 1, 0, 'P1111.U32.BIT0-8', 353, 192);
-- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13150, '[Lora Регион] Максимальная скорость', '', 995, 1, 0, 'P1111.U32.BIT8-8', 353, 192);
-- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13151, '[Lora Регион] Мощность по умолчанию [дБм]', '', 995, 1, 0, 'P1112.U8', 353, 192);
-- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13152, '[Lora Регион] Окно приёма Join [сек]', '', 995, 1, 0, 'P1113.U8', 353, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13153, '[Lora Маркер] Количество попыток', '', 995, 1, 0, 'P1120.U8', 353, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13154, '[Lora Маркер] Количество в сутки', '', 995, 1, 0, 'P1121.U8', 353, 192);
-- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13155, '[Lora Маркер] Глубина оффлайн кэша', '', 995, 1, 0, 'P1122.U8', 353, 192);
-- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13156, '[Lora Тест связи] Количество попыток', '', 995, 1, 0, 'P1130.U8', 353, 192);
-- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13157, '[Lora Тест связи] Прескалер маркеров', '', 995, 1, 0, 'P1131.U8', 353, 192);
-- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13158, '[Lora АСП] Разрешение управления сетью', '', 995, 1, 0, 'P1140.U8', 353, 192);
-- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13159, '[Lora АСП] Порог для ручного управления', '', 995, 1, 0, 'P1141.U8', 353, 192);
-- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13160, '[Lora ] Запрос на передачу маркера', '', 995, 1, 0, 'P11F2.U8', 353, 192);

---- Прибор "Пульсар счетчик импульсов 3K v1" ----

---- Группа "Lora" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (996, 'Lora', '', 354, 831);

-- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13161, '[Lora] Информация о сети', '', 996, 1, 0, 'P11F1', 354, 448);
-- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13162, '[Lora Ключи] Device EUI', '', 996, 1, 0, 'P1100', 354, 192);
-- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13163, '[Lora Ключи] App EUI', '', 996, 1, 0, 'P1101', 354, 192);
-- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13164, '[Lora Ключи] App Key', '', 996, 1, 0, 'PS1102', 354, 192);
-- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13165, '[Lora Регион] Частотный план', '', 996, 1, 0, 'P1110', 354, 192);
-- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13166, '[Lora Регион] Начальная скорость', '', 996, 1, 0, 'P1111.U32.BIT16-8', 354, 192);
-- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13167, '[Lora Регион] Минимальная скорость', '', 996, 1, 0, 'P1111.U32.BIT0-8', 354, 192);
-- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13168, '[Lora Регион] Максимальная скорость', '', 996, 1, 0, 'P1111.U32.BIT8-8', 354, 192);
-- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13169, '[Lora Регион] Мощность по умолчанию [дБм]', '', 996, 1, 0, 'P1112.U8', 354, 192);
-- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13170, '[Lora Регион] Окно приёма Join [сек]', '', 996, 1, 0, 'P1113.U8', 354, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13171, '[Lora Маркер] Количество попыток', '', 996, 1, 0, 'P1120.U8', 354, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13172, '[Lora Маркер] Количество в сутки', '', 996, 1, 0, 'P1121.U8', 354, 192);
-- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13173, '[Lora Маркер] Глубина оффлайн кэша', '', 996, 1, 0, 'P1122.U8', 354, 192);
-- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13174, '[Lora Тест связи] Количество попыток', '', 996, 1, 0, 'P1130.U8', 354, 192);
-- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13175, '[Lora Тест связи] Прескалер маркеров', '', 996, 1, 0, 'P1131.U8', 354, 192);
-- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13176, '[Lora АСП] Разрешение управления сетью', '', 996, 1, 0, 'P1140.U8', 354, 192);
-- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13177, '[Lora АСП] Порог для ручного управления', '', 996, 1, 0, 'P1141.U8', 354, 192);
-- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13178, '[Lora ] Запрос на передачу маркера', '', 996, 1, 0, 'P11F2.U8', 354, 192);

---- Прибор "Пульсар счетчик воды электронный v1" ----

---- Группа "Lora" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (997, 'Lora', '', 371, 919);

-- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13179, '[Lora] Информация о сети', '', 997, 1, 0, 'P11F1', 371, 448);
-- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13180, '[Lora Ключи] Device EUI', '', 997, 1, 0, 'P1100', 371, 192);
-- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13181, '[Lora Ключи] App EUI', '', 997, 1, 0, 'P1101', 371, 192);
-- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13182, '[Lora Ключи] App Key', '', 997, 1, 0, 'PS1102', 371, 192);
-- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13183, '[Lora Регион] Частотный план', '', 997, 1, 0, 'P1110', 371, 192);
-- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13184, '[Lora Регион] Начальная скорость', '', 997, 1, 0, 'P1111.U32.BIT16-8', 371, 192);
-- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13185, '[Lora Регион] Минимальная скорость', '', 997, 1, 0, 'P1111.U32.BIT0-8', 371, 192);
-- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13186, '[Lora Регион] Максимальная скорость', '', 997, 1, 0, 'P1111.U32.BIT8-8', 371, 192);
-- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13187, '[Lora Регион] Мощность по умолчанию [дБм]', '', 997, 1, 0, 'P1112.U8', 371, 192);
-- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13188, '[Lora Регион] Окно приёма Join [сек]', '', 997, 1, 0, 'P1113.U8', 371, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13189, '[Lora Маркер] Количество попыток', '', 997, 1, 0, 'P1120.U8', 371, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13190, '[Lora Маркер] Количество в сутки', '', 997, 1, 0, 'P1121.U8', 371, 192);
-- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13191, '[Lora Маркер] Глубина оффлайн кэша', '', 997, 1, 0, 'P1122.U8', 371, 192);
-- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13192, '[Lora Тест связи] Количество попыток', '', 997, 1, 0, 'P1130.U8', 371, 192);
-- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13193, '[Lora Тест связи] Прескалер маркеров', '', 997, 1, 0, 'P1131.U8', 371, 192);
-- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13194, '[Lora АСП] Разрешение управления сетью', '', 997, 1, 0, 'P1140.U8', 371, 192);
-- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13195, '[Lora АСП] Порог для ручного управления', '', 997, 1, 0, 'P1141.U8', 371, 192);
-- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13196, '[Lora ] Запрос на передачу маркера', '', 997, 1, 0, 'P11F2.U8', 371, 192);
