-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13313 AND pr_typ_id <= 13533;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1004 AND gr_typ_id <= 1006;

---- Прибор "Пульсар теплосчётчик ОД ультразвуковой v46" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ОД ультразвуковой v46', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 405;

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1004, 'Настроечные', '', 405, 0);

-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13422, 'Сетевой адрес', '', 1004, 1, 1, '__ADDRESS', 405, 192);

-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13423, 'Дата и время', '', 1004, 1, 2, 'D', 405, 192);

-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13421, 'Версия ПО', '', 1004, 1, 3, '__VERSION_INTERNAL', 405, 448);

-- Добавление параметра прибора "Частота кварца LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13425, 'Частота кварца LF [Гц]', '', 1004, 1, 4, 'P0003.F32', 405, 192);
-- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13424, 'Автопереход зима/лето', '', 1004, 1, 5, 'P0004.U8', 405, 192);
-- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13417, 'Ошибки', '', 1004, 1, 6, 'P0006.U32.X', 405, 448);
-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13416, 'Количество сбросов', '', 1004, 1, 7, 'P0007.U16', 405, 192);
-- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13418, 'Запись разрешена аппаратно', '', 1004, 1, 8, 'P0008.U8.BIT3', 405, 448);
-- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13420, 'Запись разрешена программно', '', 1004, 1, 9, 'P0008.U8.BIT4', 405, 448);
-- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13419, 'RSSI последнего пакета [дБм]', '', 1004, 1, 10, 'P0009.S8', 405, 448);
-- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13432, 'Напряжение батареи [мВ]', '', 1004, 1, 11, 'P000A.U16', 405, 448);
-- Добавление параметра прибора "Температура контроллера [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13431, 'Температура контроллера [°C]', '', 1004, 1, 12, 'P000B.U8', 405, 448);
-- Добавление параметра прибора "Счётчик времени наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13433, 'Счётчик времени наработки [ч]', '', 1004, 1, 13, 'P000C.U32', 405, 192);
-- Добавление параметра прибора "Счётчик времени наработки с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13435, 'Счётчик времени наработки с ошибками [ч]', '', 1004, 1, 14, 'P000D.U32', 405, 192);
-- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13434, 'Наработка с ошибками, маска', '', 1004, 1, 15, 'P000E.U32.X', 405, 192);
-- Добавление параметра прибора "Тип счетчика (параметры учёта энергии)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13427, 'Тип счетчика (параметры учёта энергии)', '', 1004, 1, 16, 'P000F.U8.BIT0-3', 405, 192);
-- Добавление параметра прибора "Установка на обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13426, 'Установка на обратной трубе', '', 1004, 1, 17, 'P000F.U8.BIT3', 405, 192);
-- Добавление параметра прибора "Подающий термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13428, 'Подающий термометр виртуальный', '', 1004, 1, 18, 'P000F.U8.BIT4', 405, 192);
-- Добавление параметра прибора "Обратный термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13430, 'Обратный термометр виртуальный', '', 1004, 1, 19, 'P000F.U8.BIT5', 405, 192);
-- Добавление параметра прибора "Учёт обратного потока разрешен"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13429, 'Учёт обратного потока разрешен', '', 1004, 1, 20, 'P000F.U8.BIT6', 405, 192);
-- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13415, 'Часовой кварц, ёмкость', '', 1004, 1, 21, 'P0010.S8', 405, 192);
-- Добавление параметра прибора "EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13401, 'EEPROM', '', 1004, 1, 22, 'P0011.U8', 405, 192);
-- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13404, 'Порт RS485', '', 1004, 1, 23, 'P0015.U8.X', 405, 192);
-- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13403, 'Порт ИК', '', 1004, 1, 24, 'P0016.U8.X', 405, 192);
-- Добавление параметра прибора "Дат. давления ном. X100 [MPa]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13396, 'Дат. давления ном. X100 [MPa]', '', 1004, 1, 25, 'P0018.U8', 405, 192);
-- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13395, 'Конфигурация кнопки', '', 1004, 1, 26, 'P0019.S8', 405, 192);
-- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13397, 'Язык', '', 1004, 1, 27, 'P001A.U16.BIT0-2', 405, 192);
-- Добавление параметра прибора "Единицы измерения мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13399, 'Единицы измерения мощности', '', 1004, 1, 28, 'P001A.U16.BIT12-4', 405, 192);
-- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13398, 'Модуль дисплея', '', 1004, 1, 29, 'P001A.U16.BIT2-6', 405, 192);
-- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13411, 'Единицы измерения энергии', '', 1004, 1, 30, 'P001A.U16.BIT8-4', 405, 192);
-- Добавление параметра прибора "Архивируемые каналы, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13410, 'Архивируемые каналы, маска', '', 1004, 1, 31, 'P001B.U32', 405, 192);
-- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13412, 'Глубина часового архива', '', 1004, 1, 32, 'P001C.U64.BIT0-16', 405, 192);
-- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13414, 'Глубина суточного архива', '', 1004, 1, 33, 'P001C.U64.BIT16-16', 405, 192);
-- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13413, 'Глубина месячного архива', '', 1004, 1, 34, 'P001C.U64.BIT32-16', 405, 192);
-- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13406, 'Глубина журнала событий', '', 1004, 1, 35, 'P001C.U64.BIT48-16', 405, 192);
-- Добавление параметра прибора "Глубина архивов, код для обнуления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13405, 'Глубина архивов, код для обнуления', '', 1004, 1, 36, 'P001C.U64.X', 405, 192);
-- Добавление параметра прибора "Имп. выход (0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13400, 'Имп. выход (0-выкл/1-вкл)', '', 1004, 1, 37, 'P0012.S8', 405, 192);
-- Добавление параметра прибора "Колич. имп. входов (0...4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13402, 'Колич. имп. входов (0...4)', '', 1004, 1, 38, 'P0013.U8', 405, 192);
-- Добавление параметра прибора "Имп. вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13408, 'Имп. вход 1, вес', '', 1004, 1, 39, 'P0020.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 1, длит. мин. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13463, 'Имп. вход 1, длит. мин. [мс]', '', 1004, 1, 40, 'P0021.F32', 405, 192);
-- Добавление параметра прибора "Имп. Вход 1, длит. паузы [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13462, 'Имп. Вход 1, длит. паузы [мс]', '', 1004, 1, 41, 'P0022.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13464, 'Имп. вход 2, вес', '', 1004, 1, 42, 'P0023.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 2, длит. мин. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13466, 'Имп. вход 2, длит. мин. [мс]', '', 1004, 1, 43, 'P0024.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 2, длит. паузы [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13465, 'Имп. вход 2, длит. паузы [мс]', '', 1004, 1, 44, 'P0025.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13458, 'Имп. вход 3, вес', '', 1004, 1, 45, 'P0026.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 3, длит. мин. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13457, 'Имп. вход 3, длит. мин. [мс]', '', 1004, 1, 46, 'P0027.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 3, длит. паузы [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13459, 'Имп. вход 3, длит. паузы [мс]', '', 1004, 1, 47, 'P0028.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13461, 'Имп. вход 4, вес', '', 1004, 1, 48, 'P0029.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 4, длит. мин. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13460, 'Имп. вход 4, длит. мин. [мс]', '', 1004, 1, 49, 'P002A.F32', 405, 192);
-- Добавление параметра прибора "Имп. вход 4, длит. паузы [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13473, 'Имп. вход 4, длит. паузы [мс]', '', 1004, 1, 50, 'P002B.F32', 405, 192);
-- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13472, 'Имп. выход, вес', '', 1004, 1, 51, 'P002C.F32', 405, 192);
-- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13474, 'Имп. выход, длит. [мс]', '', 1004, 1, 52, 'P002D.F32', 405, 192);
-- Добавление параметра прибора "Имп. выход, длит. паузы [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13476, 'Имп. выход, длит. паузы [мс]', '', 1004, 1, 53, 'P002E.F32', 405, 192);
-- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13475, 'Значение смещения [Ом]', '', 1004, 1, 54, 'P0030.F32', 405, 192);
-- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13468, 'Коэфф. диапазона [Ом]', '', 1004, 1, 55, 'P0031.F32', 405, 192);
-- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13467, 'Сопротивление калиб. [Ом]', '', 1004, 1, 56, 'P0032.F32', 405, 192);
-- Добавление параметра прибора "Сопротивление 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13469, 'Сопротивление 1 [Ом]', '', 1004, 1, 57, 'P0033.F32', 405, 448);
-- Добавление параметра прибора "Сопротивление 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13471, 'Сопротивление 2 [Ом]', '', 1004, 1, 58, 'P0034.F32', 405, 448);
-- Добавление параметра прибора "Rwire 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13470, 'Rwire 1 [Ом]', '', 1004, 1, 59, 'P0035.F32', 405, 192);
-- Добавление параметра прибора "R0 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13456, 'R0 1 [Ом]', '', 1004, 1, 60, 'P0036.F32', 405, 192);
-- Добавление параметра прибора "Alfa 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13442, 'Alfa 1 [Ом]', '', 1004, 1, 61, 'P0037.F32', 405, 192);
-- Добавление параметра прибора "Beta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13441, 'Beta 1 [Ом]', '', 1004, 1, 62, 'P0038.F32', 405, 192);
-- Добавление параметра прибора "Delta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13443, 'Delta 1 [Ом]', '', 1004, 1, 63, 'P0039.F32', 405, 192);
-- Добавление параметра прибора "Rwire 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13445, 'Rwire 2 [Ом]', '', 1004, 1, 64, 'P003A.F32', 405, 192);
-- Добавление параметра прибора "R0 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13444, 'R0 2 [Ом]', '', 1004, 1, 65, 'P003B.F32', 405, 192);
-- Добавление параметра прибора "Alfa 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13437, 'Alfa 2 [Ом]', '', 1004, 1, 66, 'P003C.F32', 405, 192);
-- Добавление параметра прибора "Beta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13436, 'Beta 2 [Ом]', '', 1004, 1, 67, 'P003D.F32', 405, 192);
-- Добавление параметра прибора "Delta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13438, 'Delta 2 [Ом]', '', 1004, 1, 68, 'P003E.F32', 405, 192);
-- Добавление параметра прибора "R0 эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13440, 'R0 эталон [Ом]', '', 1004, 1, 69, 'P003F.F32', 405, 448);
-- Добавление параметра прибора "Alfa эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13439, 'Alfa эталон [Ом]', '', 1004, 1, 70, 'P0040.F32', 405, 448);
-- Добавление параметра прибора "Beta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13452, 'Beta эталон [Ом]', '', 1004, 1, 71, 'P0041.F32', 405, 448);
-- Добавление параметра прибора "Delta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13451, 'Delta эталон [Ом]', '', 1004, 1, 72, 'P0042.F32', 405, 448);
-- Добавление параметра прибора "Температура хол. воды, зима [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13453, 'Температура хол. воды, зима [°C]', '', 1004, 1, 73, 'P0050.F32', 405, 192);
-- Добавление параметра прибора "Пороговый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13455, 'Пороговый расход [м3/ч]', '', 1004, 1, 74, 'P0051.F32', 405, 192);
-- Добавление параметра прибора "Дельта темпер., гистерезис [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13454, 'Дельта темпер., гистерезис [°C]', '', 1004, 1, 75, 'P0052.F32', 405, 192);
-- Добавление параметра прибора "Минимальный расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13447, 'Минимальный расход [м3/ч]', '', 1004, 1, 76, 'P0053.F32', 405, 192);
-- Добавление параметра прибора "Предельный расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13446, 'Предельный расход [м3/ч]', '', 1004, 1, 77, 'P0054.F32', 405, 192);
-- Добавление параметра прибора "Дельта темпер. для энергии [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13448, 'Дельта темпер. для энергии [°C]', '', 1004, 1, 78, 'P0055.F32', 405, 192);
-- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13450, 'Линеаризация расхода', '', 1004, 1, 79, 'P005F.U8', 405, 192);
-- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13449, 'Диагностика', '', 1004, 1, 80, 'P0090.U8', 405, 192);
-- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13394, 'Тест ACLK', '', 1004, 1, 81, 'P0091.U8', 405, 192);
-- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13340, 'Тест расхода', '', 1004, 1, 82, 'P0092.U8', 405, 192);
-- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13335, 'Сенсорная кнопка, статус', '', 1004, 1, 83, 'P0098.U64.X', 405, 448);
-- Добавление параметра прибора "Rf-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13334, 'Rf-test [Ом]', '', 1004, 1, 84, 'P00A0.F32', 405, 192);
-- Добавление параметра прибора "Rr-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13336, 'Rr-test [Ом]', '', 1004, 1, 85, 'P00A1.F32', 405, 192);
-- Добавление параметра прибора "Re-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13338, 'Re-test [Ом]', '', 1004, 1, 86, 'P00A2.F32', 405, 192);
-- Добавление параметра прибора "Tf-test [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13337, 'Tf-test [°C]', '', 1004, 1, 87, 'P00A3.F32', 405, 192);
-- Добавление параметра прибора "Tr-test [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13350, 'Tr-test [°C]', '', 1004, 1, 88, 'P00A4.F32', 405, 192);
-- Добавление параметра прибора "Te-test [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13349, 'Te-test [°C]', '', 1004, 1, 89, 'P00A5.F32', 405, 448);
-- Добавление параметра прибора "V-test [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13351, 'V-test [м3]', '', 1004, 1, 90, 'P00A6.F32', 405, 192);
-- Добавление параметра прибора "Ef-test [МДж]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13353, 'Ef-test [МДж]', '', 1004, 1, 91, 'P00A7.F32', 405, 448);
-- Добавление параметра прибора "Er-test [МДж]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13352, 'Er-test [МДж]', '', 1004, 1, 92, 'P00A8.F32', 405, 448);
-- Добавление параметра прибора "Сетевой адрес M-bus"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13345, 'Сетевой адрес M-bus', '', 1004, 1, 93, 'P00D0.U8', 405, 192);
-- Добавление параметра прибора "Сброс флагов истории"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13344, 'Сброс флагов истории', '', 1004, 1, 94, 'P00D1.U8', 405, 192);
-- Добавление параметра прибора "Калибровка нуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13346, 'Калибровка нуля', '', 1004, 1, 95, 'P0200.F32', 405, 192);
-- Добавление параметра прибора "Калибр. среднего расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13348, 'Калибр. среднего расхода', '', 1004, 1, 96, 'P0201.F32', 405, 192);
-- Добавление параметра прибора "Калибровка давления [коэф.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13347, 'Калибровка давления [коэф.]', '', 1004, 1, 97, 'P0210.F32', 405, 192);
-- Добавление параметра прибора "Температура хол. воды, лето [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13333, 'Температура хол. воды, лето [°C]', '', 1004, 1, 98, 'P0211.F32', 405, 192);
-- Добавление параметра прибора "Переход на зиму - месяц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13319, 'Переход на зиму - месяц', '', 1004, 1, 99, 'P0212.U8', 405, 192);
-- Добавление параметра прибора "Переход на зиму - день"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13318, 'Переход на зиму - день', '', 1004, 1, 100, 'P0213.U8', 405, 192);
-- Добавление параметра прибора "Переход на лето - месяц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13320, 'Переход на лето - месяц', '', 1004, 1, 101, 'P0214.U8', 405, 192);
-- Добавление параметра прибора "Переход на лето - день"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13322, 'Переход на лето - день', '', 1004, 1, 102, 'P0215.U8', 405, 192);
-- Добавление параметра прибора "Минимальный уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13321, 'Минимальный уровень компаратора', '', 1004, 1, 103, 'P0222.U8', 405, 192);
-- Добавление параметра прибора "Максимальный уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13314, 'Максимальный уровень компаратора', '', 1004, 1, 104, 'P0223.U8', 405, 192);
-- Добавление параметра прибора "Первый уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13313, 'Первый уровень компаратора', '', 1004, 1, 105, 'P0224.U8', 405, 192);
-- Добавление параметра прибора "Максимальная разница T1_T2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13315, 'Максимальная разница T1_T2', '', 1004, 1, 106, 'P0225.U8', 405, 192);
-- Добавление параметра прибора "Максимальная разница T2_T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13317, 'Максимальная разница T2_T', '', 1004, 1, 107, 'P0226.U8', 405, 192);
-- Добавление параметра прибора "Info_TdcTofErrThld"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13316, 'Info_TdcTofErrThld', '', 1004, 1, 108, 'P0227.F32', 405, 192);
-- Добавление параметра прибора "Info_tdc_filter_mask"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13329, 'Info_tdc_filter_mask', '', 1004, 1, 109, 'P0228.U8', 405, 192);
-- Добавление параметра прибора "Режим расчёта УЗ по полиному"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13328, 'Режим расчёта УЗ по полиному', '', 1004, 1, 110, 'P0230.U8', 405, 192);
-- Добавление параметра прибора "Диференциальное время для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13330, 'Диференциальное время для теста', '', 1004, 1, 111, 'P0240.F32', 405, 192);
-- Добавление параметра прибора "Расход для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13332, 'Расход для теста', '', 1004, 1, 112, 'P0241.F32', 405, 192);
-- Добавление параметра прибора "Время теста для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13331, 'Время теста для энергии', '', 1004, 1, 113, 'P0244.U16', 405, 192);
-- Добавление параметра прибора "Итоговое время теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13324, 'Итоговое время теста', '', 1004, 1, 114, 'P0245.U16', 405, 192);
-- Добавление параметра прибора "Температура кривой коррекции расхода [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13323, 'Температура кривой коррекции расхода [°C]', '', 1004, 1, 115, 'P0260.U8', 405, 192);
-- Добавление параметра прибора "Температуры кривых коррекции расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13325, 'Температуры кривых коррекции расхода', '', 1004, 1, 116, 'P0261.U16', 405, 192);
-- Добавление параметра прибора "Значения полиномов темп. с 0"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13327, 'Значения полиномов темп. с 0', '', 1004, 1, 117, 'P0263.U64.X', 405, 192);
-- Добавление параметра прибора "Значения полиномов темп. с 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13326, 'Значения полиномов темп. с 8', '', 1004, 1, 118, 'P0264.U64.X', 405, 192);
-- Добавление параметра прибора "Значения полиномов темп. с 16"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13381, 'Значения полиномов темп. с 16', '', 1004, 1, 119, 'P0265.U64.X', 405, 192);
-- Добавление параметра прибора "Значения полиномов темп. с 24"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13380, 'Значения полиномов темп. с 24', '', 1004, 1, 120, 'P0266.U64.X', 405, 192);
-- Добавление параметра прибора "Контрольная сумма кривой температурной коррекции"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13382, 'Контрольная сумма кривой температурной коррекции', '', 1004, 1, 121, 'P0267.U16', 405, 192);
-- Добавление параметра прибора "Мин. расход 2 (водосчетчика) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13384, 'Мин. расход 2 (водосчетчика) [м3/ч]', '', 1004, 1, 122, 'P0300.F32', 405, 192);
-- Добавление параметра прибора "Макс. расход 2 (водосчетчика) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13383, 'Макс. расход 2 (водосчетчика) [м3/ч]', '', 1004, 1, 123, 'P0301.F32', 405, 192);
-- Добавление параметра прибора "Макс. небаланс для контроля масс [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13376, 'Макс. небаланс для контроля масс [%]', '', 1004, 1, 124, 'P0302.F32', 405, 192);
-- Добавление параметра прибора "Метод контроля масс [0...4]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13375, 'Метод контроля масс [0...4]', '', 1004, 1, 125, 'P0303.U8', 405, 192);
-- Добавление параметра прибора "Метод контроля энергии [0...3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13377, 'Метод контроля энергии [0...3]', '', 1004, 1, 126, 'P0304.U8', 405, 192);
-- Добавление параметра прибора "Формула расчета энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13379, 'Формула расчета энергии', '', 1004, 1, 127, 'P0305.U8', 405, 192);
-- Добавление параметра прибора "Мин. расход 3 (водосчетчика) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13378, 'Мин. расход 3 (водосчетчика) [м3/ч]', '', 1004, 1, 128, 'P0306.F32', 405, 192);
-- Добавление параметра прибора "Макс. расход 3 (водосчетчика) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13390, 'Макс. расход 3 (водосчетчика) [м3/ч]', '', 1004, 1, 129, 'P0307.F32', 405, 192);
-- Добавление параметра прибора "Тест УЗ TofUp"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13391, 'Тест УЗ TofUp', '', 1004, 1, 130, 'P0410.F32', 405, 448);
-- Добавление параметра прибора "Тест УЗ TofDn"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13393, 'Тест УЗ TofDn', '', 1004, 1, 131, 'P0411.F32', 405, 448);
-- Добавление параметра прибора "Период УЗ измерений [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13392, 'Период УЗ измерений [мс]', '', 1004, 1, 132, 'P0508.U32', 405, 192);
-- Добавление параметра прибора "Степень усреднения измерений УЗ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13386, 'Степень усреднения измерений УЗ', '', 1004, 1, 133, 'P0509.F32', 405, 192);
-- Добавление параметра прибора "[RF] Частота RF кварца [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13407, '[RF] Частота RF кварца [Гц]', '', 1004, 1, 134, 'P001D.U32', 405, 192);
-- Добавление параметра прибора "[RF] Конденсатор RF кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13409, '[RF] Конденсатор RF кварца', '', 1004, 1, 135, 'P001E.U8', 405, 192);
-- Добавление параметра прибора "[RF] Вывод частоты RF кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13339, '[RF] Вывод частоты RF кварца', '', 1004, 1, 136, 'P0093.U8', 405, 192);
-- Добавление параметра прибора "[RF] Последняя ошибка RF модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13341, '[RF] Последняя ошибка RF модуля', '', 1004, 1, 137, 'P0094.U8', 405, 448);
-- Добавление параметра прибора "[RF] Количество переданных ШП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13343, '[RF] Количество переданных ШП маркеров', '', 1004, 1, 138, 'P0095.U32', 405, 448);
-- Добавление параметра прибора "[RF] Количество переданных УП/Lora маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13342, '[RF] Количество переданных УП/Lora маркеров', '', 1004, 1, 139, 'P0096.U32', 405, 448);
-- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13385, '[RF] Мощность передатчика [мВт]', '', 1004, 1, 140, 'P1000.U8', 405, 192);
-- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13387, '[RF] Количество повторов УП маркеров', '', 1004, 1, 141, 'P1001.U8', 405, 192);
-- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13389, '[RF] Режим кодирования УП маркеров', '', 1004, 1, 142, 'P1002.U8', 405, 192);
-- Добавление параметра прибора "[RF] Смещение каналов УП передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13388, '[RF] Смещение каналов УП передачи', '', 1004, 1, 143, 'P1003.S16', 405, 192);
-- Добавление параметра прибора "[RF] Лимиты устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13374, '[RF] Лимиты устройства', '', 1004, 1, 144, 'P10F0.U64', 405, 192);
-- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13360, '[RF] Запрос на неотложную передачу УП маркера', '', 1004, 1, 145, 'P10F1.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [Ключи] Идентификатор прибора (Device EUI)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13359, '[Lora] [Ключи] Идентификатор прибора (Device EUI)', '', 1004, 1, 146, 'P1100.U64', 405, 192);
-- Добавление параметра прибора "[Lora] [Ключи] Идентификатор приложения (App EUI)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13361, '[Lora] [Ключи] Идентификатор приложения (App EUI)', '', 1004, 1, 147, 'P1101.U64', 405, 192);
-- Добавление параметра прибора "[Lora] [Ключи] Закрытый ключ приложения (App Key)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13363, '[Lora] [Ключи] Закрытый ключ приложения (App Key)', '', 1004, 1, 148, 'P1102.U64', 405, 192);
-- Добавление параметра прибора "[Lora] [Ключи] Закрытый ключ приложения (App Key)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13362, '[Lora] [Ключи] Закрытый ключ приложения (App Key)', '', 1004, 1, 149, 'P1103.U64', 405, 192);
-- Добавление параметра прибора "[Lora] [Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13355, '[Lora] [Регион] Частотный план', '', 1004, 1, 150, 'P1110.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [Регион] Параметры скорости"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13354, '[Lora] [Регион] Параметры скорости', '', 1004, 1, 151, 'P1111.U32', 405, 192);
-- Добавление параметра прибора "[Lora] [Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13356, '[Lora] [Регион] Мощность по умолчанию [дБм]', '', 1004, 1, 152, 'P1112.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [Регион] Окно приёма Join [с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13358, '[Lora] [Регион] Окно приёма Join [с]', '', 1004, 1, 153, 'P1113.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13357, '[Lora] [Маркер] Количество попыток', '', 1004, 1, 154, 'P1120.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13370, '[Lora] [Маркер] Количество в сутки', '', 1004, 1, 155, 'P1121.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13369, '[Lora] [Маркер] Глубина оффлайн кэша', '', 1004, 1, 156, 'P1122.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13371, '[Lora] [Тест связи] Количество попыток', '', 1004, 1, 157, 'P1130.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13373, '[Lora] [Тест связи] Прескалер маркеров', '', 1004, 1, 158, 'P1131.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13372, '[Lora] [АСП] Разрешение управления сетью', '', 1004, 1, 159, 'P1140.U8', 405, 192);
-- Добавление параметра прибора "[Lora] [АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13365, '[Lora] [АСП] Порог для ручного управления', '', 1004, 1, 160, 'P1141.U8', 405, 192);
-- Добавление параметра прибора "[Lora] Лимиты устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13364, '[Lora] Лимиты устройства', '', 1004, 1, 161, 'P11F0.U64', 405, 192);
-- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13366, '[Lora] Информация о сети', '', 1004, 1, 162, 'P11F1.U64', 405, 448);
-- Добавление параметра прибора "[Lora] Запрос на неотложную передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13368, '[Lora] Запрос на неотложную передачу маркера', '', 1004, 1, 163, 'P11F2.U8', 405, 192);
-- Добавление параметра прибора "Число десятичных разрядов объёма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13367, 'Число десятичных разрядов объёма', '', 1004, 1, 164, 'P11F3.U8', 405, 192);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1005, 'Текущие', '', 405, 0);

-- Добавление параметра прибора "Сопротивление 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13477, 'Сопротивление 1 [Ом]', '', 1005, 1, 0, 'K1', 405, 385);
-- Добавление параметра прибора "Сопротивление 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13478, 'Сопротивление 2 [Ом]', '', 1005, 1, 0, 'K2', 405, 385);
-- Добавление параметра прибора "Температура подачи [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13479, 'Температура подачи [C]', '', 1005, 1, 0, 'K3', 405, 399);
-- Добавление параметра прибора "Температура обратки [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13480, 'Температура обратки [C]', '', 1005, 1, 0, 'K4', 405, 399);
-- Добавление параметра прибора "Температура перепада [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13481, 'Температура перепада [C]', '', 1005, 1, 0, 'K5', 405, 385);
-- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13482, 'Мощность', '', 1005, 1, 0, 'K6', 405, 385);
-- Добавление параметра прибора "Энергия общая [E]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13483, 'Энергия общая [E]', '', 1005, 1, 0, 'K7', 405, 143);
-- Добавление параметра прибора "Объём подачи [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13484, 'Объём подачи [м3]', '', 1005, 1, 0, 'K8', 405, 143);
-- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13485, 'Расход [м3/ч]', '', 1005, 1, 0, 'K9', 405, 385);
-- Добавление параметра прибора "Импульсный вход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13486, 'Импульсный вход 1', '', 1005, 1, 0, 'K10', 405, 143);
-- Добавление параметра прибора "Импульсный вход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13487, 'Импульсный вход 2', '', 1005, 1, 0, 'K11', 405, 143);
-- Добавление параметра прибора "Импульсный вход 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13488, 'Импульсный вход 3', '', 1005, 1, 0, 'K12', 405, 143);
-- Добавление параметра прибора "Импульсный вход 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13489, 'Импульсный вход 4', '', 1005, 1, 0, 'K13', 405, 143);
-- Добавление параметра прибора "Объём потер./отобр. [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13490, 'Объём потер./отобр. [м3]', '', 1005, 1, 0, 'K14', 405, 143);
-- Добавление параметра прибора "Время дифф. теста [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13491, 'Время дифф. теста [мкс]', '', 1005, 1, 0, 'K15', 405, 385);
-- Добавление параметра прибора "Тестовый объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13492, 'Тестовый объём [м3]', '', 1005, 1, 0, 'K16', 405, 385);
-- Добавление параметра прибора "Тестовый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13493, 'Тестовый расход [м3/ч]', '', 1005, 1, 0, 'K17', 405, 385);
-- Добавление параметра прибора "Время режима калибровки [c]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13494, 'Время режима калибровки [c]', '', 1005, 1, 0, 'K18', 405, 385);
-- Добавление параметра прибора "Тестовый расход без коррекции [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13495, 'Тестовый расход без коррекции [м3/ч]', '', 1005, 1, 0, 'K19', 405, 385);
-- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13496, 'Время нормальной работы [ч]', '', 1005, 1, 0, 'K20.U32', 405, 143);
-- Добавление параметра прибора "Энергия отопления [E1]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13497, 'Энергия отопления [E1]', '', 1005, 1, 0, 'K21', 405, 143);
-- Добавление параметра прибора "Давление подачи [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13498, 'Давление подачи [МПа]', '', 1005, 1, 0, 'K22', 405, 399);
-- Добавление параметра прибора "Давление обратки [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13499, 'Давление обратки [МПа]', '', 1005, 1, 0, 'K23', 405, 399);
-- Добавление параметра прибора "Масса подачи [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13500, 'Масса подачи [т]', '', 1005, 1, 0, 'K24', 405, 143);
-- Добавление параметра прибора "Масса обратки [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13501, 'Масса обратки [т]', '', 1005, 1, 0, 'K25', 405, 143);
-- Добавление параметра прибора "Масса потер./отобр. [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13502, 'Масса потер./отобр. [т]', '', 1005, 1, 0, 'K26', 405, 143);
-- Добавление параметра прибора "Объём обратки [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13503, 'Объём обратки [м3]', '', 1005, 1, 0, 'K27', 405, 143);
-- Добавление параметра прибора "Энергия потер./отобр. [E2]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13504, 'Энергия потер./отобр. [E2]', '', 1005, 1, 0, 'K28', 405, 143);
-- Добавление параметра прибора "Код ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13505, 'Код ошибок', '', 1005, 1, 0, 'K29.U32', 405, 398);
-- Добавление параметра прибора "Код ошибок (hex)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13506, 'Код ошибок (hex)', '', 1005, 1, 0, 'K29.U32.X', 405, 399);
-- Добавление параметра прибора "Объём реверса [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13507, 'Объём реверса [м3]', '', 1005, 1, 0, 'K30', 405, 143);
-- Добавление параметра прибора "Масса реверса [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13508, 'Масса реверса [т]', '', 1005, 1, 0, 'K31', 405, 143);
-- Добавление параметра прибора "Уровень ультразвука [mV]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13509, 'Уровень ультразвука [mV]', '', 1005, 1, 0, 'K32', 405, 399);
-- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13510, 'Время наработки [ч]', '', 1005, 1, 0, 'P000C.U32', 405, 129);
-- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13511, 'Время наработки c ошибками [ч]', '', 1005, 1, 0, 'P000D.U32', 405, 129);

---- Группа "Тестовые" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1006, 'Тестовые', '', 405, 0);

-- Добавление параметра прибора "Текущий небаланс масс [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13519, 'Текущий небаланс масс [%]', '', 1006, 1, 165, 'P0314.F32', 405, 129);
-- Добавление параметра прибора "% годных измерений за тест"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13526, '% годных измерений за тест', '', 1006, 1, 166, 'P0400.F32', 405, 192);
-- Добавление параметра прибора "Ошибок "нет воды""
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13527, 'Ошибок "нет воды"', '', 1006, 1, 167, 'P0401.F32', 405, 192);
-- Добавление параметра прибора "Ошибок Т1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13525, 'Ошибок Т1', '', 1006, 1, 168, 'P0402.F32', 405, 192);
-- Добавление параметра прибора "Ошибок Т2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13523, 'Ошибок Т2', '', 1006, 1, 169, 'P0403.F32', 405, 192);
-- Добавление параметра прибора "Ошибок TofSum"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13524, 'Ошибок TofSum', '', 1006, 1, 170, 'P0404.F32', 405, 192);
-- Добавление параметра прибора "Ошибок по min/max расходам"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13528, 'Ошибок по min/max расходам', '', 1006, 1, 171, 'P0405.F32', 405, 192);
-- Добавление параметра прибора "Годных измерений за тест"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13532, 'Годных измерений за тест', '', 1006, 1, 172, 'P0406.F32', 405, 192);
-- Добавление параметра прибора "Параметр 407"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13533, 'Параметр 407', '', 1006, 1, 173, 'P0407.F32', 405, 192);
-- Добавление параметра прибора "Параметр 408"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13531, 'Параметр 408', '', 1006, 1, 174, 'P0408.F32', 405, 192);
-- Добавление параметра прибора "Параметр 409"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13529, 'Параметр 409', '', 1006, 1, 175, 'P0409.F32', 405, 192);
-- Добавление параметра прибора "Параметр 40A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13530, 'Параметр 40A', '', 1006, 1, 176, 'P040a.F32', 405, 192);
-- Добавление параметра прибора "Параметр 40B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13515, 'Параметр 40B', '', 1006, 1, 177, 'P040b.F32', 405, 192);
-- Добавление параметра прибора "Параметр 40C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13516, 'Параметр 40C', '', 1006, 1, 178, 'P040c.F32', 405, 192);
-- Добавление параметра прибора "Параметр 40D"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13514, 'Параметр 40D', '', 1006, 1, 179, 'P040d.F32', 405, 192);
-- Добавление параметра прибора "Параметр 40E"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13512, 'Параметр 40E', '', 1006, 1, 180, 'P040e.F32', 405, 192);
-- Добавление параметра прибора "Параметр 40F"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13513, 'Параметр 40F', '', 1006, 1, 181, 'P040f.F32', 405, 192);
-- Добавление параметра прибора "Параметр 412"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13517, 'Параметр 412', '', 1006, 1, 182, 'P0412.F32', 405, 192);
-- Добавление параметра прибора "Параметр 413"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13521, 'Параметр 413', '', 1006, 1, 183, 'P0413.F32', 405, 192);
-- Добавление параметра прибора "Параметр 414"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13522, 'Параметр 414', '', 1006, 1, 184, 'P0414.F32', 405, 192);
-- Добавление параметра прибора "Параметр 415"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13520, 'Параметр 415', '', 1006, 1, 185, 'P0415.F32', 405, 192);
-- Добавление параметра прибора "Параметр 416"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13518, 'Параметр 416', '', 1006, 1, 186, 'P0416.F32', 405, 192);
