-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13935 AND pr_typ_id <= 14010;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1038 AND gr_typ_id <= 1041;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 412;

---- Прибор "Логика СПТ940" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (412, 'Логика СПТ940', 'Тепловычислитель', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1038, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 412, 0);


---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1039, 'Общие', '', 412, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13935, 'Дата и время прибора', '', 1039, 1, 0, 'D', 412, 2147451841);

---- Группа "Теплообменный контур 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1040, 'Теплообменный контур 1', '', 412, 0);

-- Добавление параметра прибора "Схема потребления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13936, 'Схема потребления', '', 1040, 1, 1, 'sp', 412, 2147451791);
-- Добавление параметра прибора "Температура теплоносителя t1, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13937, 'Температура теплоносителя t1, гр. С', '', 1040, 1, 2, 't1', 412, 399);
-- Добавление параметра прибора "Температура теплоносителя t2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13938, 'Температура теплоносителя t2, гр. С', '', 1040, 1, 3, 't2', 412, 399);
-- Добавление параметра прибора "Разность температур, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13939, 'Разность температур, гр. С', '', 1040, 1, 4, 'dt', 412, 399);
-- Добавление параметра прибора "Температура теплоносителя t3, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13940, 'Температура теплоносителя t3, гр. С', '', 1040, 1, 5, 't3', 412, 398);
-- Добавление параметра прибора "Температура холодной воды, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13941, 'Температура холодной воды, гр. С', '', 1040, 1, 6, 'tx', 412, 398);
-- Добавление параметра прибора "Давление теплоносителя P1, кгс*см2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13942, 'Давление теплоносителя P1, кгс*см2', '', 1040, 1, 7, 'P1', 412, 2147451791);
-- Добавление параметра прибора "Давление теплоносителя P2, кгс*см2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13943, 'Давление теплоносителя P2, кгс*см2', '', 1040, 1, 8, 'P2', 412, 2147451791);
-- Добавление параметра прибора "Давление теплоносителя P3, кгс*см2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13944, 'Давление теплоносителя P3, кгс*см2', '', 1040, 1, 9, 'P3', 412, 398);
-- Добавление параметра прибора "Давление холодной воды, кгс*см2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13945, 'Давление холодной воды, кгс*см2', '', 1040, 1, 10, 'Px', 412, 398);
-- Добавление параметра прибора "Объем теплоносителя V1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13946, 'Объем теплоносителя V1, м3', '', 1040, 1, 11, 'V1', 412, 2147451791);
-- Добавление параметра прибора "Объем теплоносителя V2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13947, 'Объем теплоносителя V2, м3', '', 1040, 1, 12, 'V2', 412, 2147451791);
-- Добавление параметра прибора "Объем теплоносителя V3, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13948, 'Объем теплоносителя V3, м3', '', 1040, 1, 13, 'V3', 412, 2147451791);
-- Добавление параметра прибора "Масса теплоносителя М1, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13949, 'Масса теплоносителя М1, т', '', 1040, 1, 14, 'M1', 412, 2147451791);
-- Добавление параметра прибора "Масса теплоносителя М2, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13950, 'Масса теплоносителя М2, т', '', 1040, 1, 15, 'M2', 412, 2147451791);
-- Добавление параметра прибора "Масса теплоносителя М3, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13951, 'Масса теплоносителя М3, т', '', 1040, 1, 16, 'M3', 412, 2147451791);
-- Добавление параметра прибора "Тепловая энергия Q, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13952, 'Тепловая энергия Q, Гкал', '', 1040, 1, 17, 'Q', 412, 2147451791);
-- Добавление параметра прибора "Тепловая энергия ГВС Qг, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13953, 'Тепловая энергия ГВС Qг, Гкал', '', 1040, 1, 18, 'Qg', 412, 399);
-- Добавление параметра прибора "Время работы Ти"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13954, 'Время работы Ти', '', 1040, 1, 19, 'Ti', 412, 2147451791);
-- Добавление параметра прибора "Время нештатной работы Тн, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13955, 'Время нештатной работы Тн, ч', '', 1040, 1, 20, 'Tn', 412, 399);
-- Добавление параметра прибора "Время штатной работы Тш, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13956, 'Время штатной работы Тш, ч', '', 1040, 1, 21, 'Tsh', 412, 399);
-- Добавление параметра прибора "Время работы при расходах ниже минимального предела Тmin, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13957, 'Время работы при расходах ниже минимального предела Тmin, ч', '', 1040, 1, 22, 'Tmin', 412, 399);
-- Добавление параметра прибора "Время работы при расходах выше максимального предела Tmax, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13958, 'Время работы при расходах выше максимального предела Tmax, ч', '', 1040, 1, 23, 'Tmax', 412, 399);
-- Добавление параметра прибора "Время работы при разности температур теплоносителя ниже минимального значения Tdt, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13959, 'Время работы при разности температур теплоносителя ниже минимального значения Tdt, ч', '', 1040, 1, 24, 'Tdt', 412, 399);
-- Добавление параметра прибора "Время отсутствия электропитания Тэп,ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13960, 'Время отсутствия электропитания Тэп,ч', '', 1040, 1, 25, 'Tep', 412, 399);
-- Добавление параметра прибора "Время работы при событии определённых как функциональный отказ Тф,ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13961, 'Время работы при событии определённых как функциональный отказ Тф,ч', '', 1040, 1, 26, 'Tf', 412, 399);
-- Добавление параметра прибора "Время счёта таймера СТ1,ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13962, 'Время счёта таймера СТ1,ч', '', 1040, 1, 27, 'CT1', 412, 399);
-- Добавление параметра прибора "Время счёта таймера СТ2,ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13963, 'Время счёта таймера СТ2,ч', '', 1040, 1, 28, 'CT2', 412, 399);
-- Добавление параметра прибора "Время счёта таймера СТ3,ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13964, 'Время счёта таймера СТ3,ч', '', 1040, 1, 29, 'CT3', 412, 399);
-- Добавление параметра прибора "Объемный расход теплоносителя G1, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13965, 'Объемный расход теплоносителя G1, м3/ч', '', 1040, 1, 30, 'G1', 412, 385);
-- Добавление параметра прибора "Объемный расход теплоносителя G2, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13966, 'Объемный расход теплоносителя G2, м3/ч', '', 1040, 1, 31, 'G2', 412, 385);
-- Добавление параметра прибора "Объемный расход теплоносителя G3, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13967, 'Объемный расход теплоносителя G3, м3/ч', '', 1040, 1, 32, 'G3', 412, 385);
-- Добавление параметра прибора "Массовый расход теплоносителя Gm1, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13968, 'Массовый расход теплоносителя Gm1, т/ч', '', 1040, 1, 33, 'Gm1', 412, 385);
-- Добавление параметра прибора "Массовый расход теплоносителя Gm2, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13969, 'Массовый расход теплоносителя Gm2, т/ч', '', 1040, 1, 34, 'Gm2', 412, 385);
-- Добавление параметра прибора "Массовый расход теплоносителя Gm3, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13970, 'Массовый расход теплоносителя Gm3, т/ч', '', 1040, 1, 35, 'Gm3', 412, 385);
-- Добавление параметра прибора "Объемный расход теплоносителя G1, "
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13971, 'Объемный расход теплоносителя G1, ', '', 1040, 1, 36, 'G1', 412, 2147483521);
-- Добавление параметра прибора "Объемный расход в трубе2(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13972, 'Объемный расход в трубе2(1)', '', 1040, 1, 37, 'G2TV1', 412, 2147483521);
-- Добавление параметра прибора "Сборка флагов диагностических сообщений ДС(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13973, 'Сборка флагов диагностических сообщений ДС(1)', '', 1040, 1, 38, 'ds1', 412, 399);
-- Добавление параметра прибора "Сборка флагов диагностических сообщений ДС(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13974, 'Сборка флагов диагностических сообщений ДС(2)', '', 1040, 1, 39, 'ds2', 412, 399);
-- Добавление параметра прибора "Сборка флагов нештатных ситуаций НС(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13975, 'Сборка флагов нештатных ситуаций НС(1)', '', 1040, 1, 40, 'ns1', 412, 2147451791);
-- Добавление параметра прибора "Сборка флагов нештатных ситуаций НС(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13976, 'Сборка флагов нештатных ситуаций НС(2)', '', 1040, 1, 41, 'ns2', 412, 2147451791);

---- Группа "Тотальные параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1041, 'Тотальные параметры', '', 412, 0);

-- Добавление параметра прибора "Тот Схема потребления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13977, 'Тот Схема потребления', '', 1041, 1, 42, 'summ_sp', 412, 388);
-- Добавление параметра прибора "Тот Объемный расход теплоносителя G1, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13978, 'Тот Объемный расход теплоносителя G1, м3/ч', '', 1041, 1, 43, 'summ_G1', 412, 388);
-- Добавление параметра прибора "Тот Объемный расход теплоносителя G2, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13979, 'Тот Объемный расход теплоносителя G2, м3/ч', '', 1041, 1, 44, 'summ_G2', 412, 388);
-- Добавление параметра прибора "Тот Объемный расход теплоносителя G3, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13980, 'Тот Объемный расход теплоносителя G3, м3/ч', '', 1041, 1, 45, 'summ_G3', 412, 388);
-- Добавление параметра прибора "Тот Массовый расход теплоносителя Gm1, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13981, 'Тот Массовый расход теплоносителя Gm1, т/ч', '', 1041, 1, 46, 'summ_Gm1', 412, 388);
-- Добавление параметра прибора "Тот Массовый расход теплоносителя Gm2, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13982, 'Тот Массовый расход теплоносителя Gm2, т/ч', '', 1041, 1, 47, 'summ_Gm2', 412, 388);
-- Добавление параметра прибора "Тот Массовый расход теплоносителя Gm3, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13983, 'Тот Массовый расход теплоносителя Gm3, т/ч', '', 1041, 1, 48, 'summ_Gm3', 412, 388);
-- Добавление параметра прибора "Тот Температура теплоносителя t1, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13984, 'Тот Температура теплоносителя t1, гр. С', '', 1041, 1, 49, 'summ_t1', 412, 388);
-- Добавление параметра прибора "Тот Температура теплоносителя t2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13985, 'Тот Температура теплоносителя t2, гр. С', '', 1041, 1, 50, 'summ_t2', 412, 388);
-- Добавление параметра прибора "Тот Разность температур, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13986, 'Тот Разность температур, гр. С', '', 1041, 1, 51, 'summ_dt', 412, 388);
-- Добавление параметра прибора "Тот Давление теплоносителя P1, кгс/см2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13987, 'Тот Давление теплоносителя P1, кгс/см2', '', 1041, 1, 52, 'summ_P1', 412, 388);
-- Добавление параметра прибора "Тот Давление теплоносителя  P2, кгс/см2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13988, 'Тот Давление теплоносителя  P2, кгс/см2', '', 1041, 1, 53, 'summ_P2', 412, 388);
-- Добавление параметра прибора "Тот Объём теплоносителя V1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13989, 'Тот Объём теплоносителя V1, м3', '', 1041, 1, 54, 'summ_V1', 412, 388);
-- Добавление параметра прибора "Тот Объём теплоносителя V2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13990, 'Тот Объём теплоносителя V2, м3', '', 1041, 1, 55, 'summ_V2', 412, 388);
-- Добавление параметра прибора "Тот Объём теплоносителя V3, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13991, 'Тот Объём теплоносителя V3, м3', '', 1041, 1, 56, 'summ_V3', 412, 388);
-- Добавление параметра прибора "Тот Масса теплоносителя M1, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13992, 'Тот Масса теплоносителя M1, т', '', 1041, 1, 57, 'summ_M1', 412, 388);
-- Добавление параметра прибора "Тот Масса теплоносителя M2, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13993, 'Тот Масса теплоносителя M2, т', '', 1041, 1, 58, 'summ_M2', 412, 388);
-- Добавление параметра прибора "Тот Масса теплоносителя M3, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13994, 'Тот Масса теплоносителя M3, т', '', 1041, 1, 59, 'summ_M3', 412, 388);
-- Добавление параметра прибора "Тот Тепловая энергия Q, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13995, 'Тот Тепловая энергия Q, Гкал', '', 1041, 1, 60, 'summ_Q', 412, 388);
-- Добавление параметра прибора "Тот Тепловая энергия ГВС Qг, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13996, 'Тот Тепловая энергия ГВС Qг, Гкал', '', 1041, 1, 61, 'summ_Qg', 412, 388);
-- Добавление параметра прибора "Тот Время работы Ти, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13997, 'Тот Время работы Ти, ч', '', 1041, 1, 62, 'summ_Ti', 412, 388);
-- Добавление параметра прибора "Тот Время нештатной работы Тн, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13998, 'Тот Время нештатной работы Тн, ч', '', 1041, 1, 63, 'summ_Tn', 412, 388);
-- Добавление параметра прибора "Тот Время работы при расходах ниже минимального предела Тmin, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13999, 'Тот Время работы при расходах ниже минимального предела Тmin, ч', '', 1041, 1, 64, 'summ_Tmin', 412, 388);
-- Добавление параметра прибора "Тот Время работы при расходах выше максимального предела Tmax, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14000, 'Тот Время работы при расходах выше максимального предела Tmax, ч', '', 1041, 1, 65, 'summ_Tmax', 412, 388);
-- Добавление параметра прибора "Тот Время работы при разности температур теплоносителя ниже минимального значения Tdt, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14001, 'Тот Время работы при разности температур теплоносителя ниже минимального значения Tdt, ч', '', 1041, 1, 66, 'summ_Tdt', 412, 388);
-- Добавление параметра прибора "Тот Время отсутствия электропитания Tэп, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14002, 'Тот Время отсутствия электропитания Tэп, ч', '', 1041, 1, 67, 'summ_Tep', 412, 388);
-- Добавление параметра прибора "Тот Время работы при событии определённых как функциональный отказ Tф, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14003, 'Тот Время работы при событии определённых как функциональный отказ Tф, ч', '', 1041, 1, 68, 'summ_Tf', 412, 388);
-- Добавление параметра прибора "Тот Время счёта таймера СТ1, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14004, 'Тот Время счёта таймера СТ1, ч', '', 1041, 1, 69, 'summ_CT1', 412, 388);
-- Добавление параметра прибора "Тот Время счёта таймера СТ2, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14005, 'Тот Время счёта таймера СТ2, ч', '', 1041, 1, 70, 'summ_CT2', 412, 388);
-- Добавление параметра прибора "Тот Время счёта таймера СТ3, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14006, 'Тот Время счёта таймера СТ3, ч', '', 1041, 1, 71, 'summ_CT3', 412, 388);
-- Добавление параметра прибора "Тот Сборка флагов диагностических сообщений ДС(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14007, 'Тот Сборка флагов диагностических сообщений ДС(1)', '', 1041, 1, 72, 'summ_ds1', 412, 388);
-- Добавление параметра прибора "Тот Сборка флагов диагностических сообщений ДС(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14008, 'Тот Сборка флагов диагностических сообщений ДС(2)', '', 1041, 1, 73, 'summ_ds2', 412, 388);
-- Добавление параметра прибора "Тот Сборка флагов нештатных ситуаций НС(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14009, 'Тот Сборка флагов нештатных ситуаций НС(1)', '', 1041, 1, 74, 'summ_ns1', 412, 388);
-- Добавление параметра прибора "Тот Сборка флагов нештатных ситуаций НС(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14010, 'Тот Сборка флагов нештатных ситуаций НС(2)', '', 1041, 1, 75, 'summ_ns2', 412, 388);
