-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 14053 AND pr_typ_id <= 14068;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1046 AND gr_typ_id <= 1048;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 414;

---- Прибор "Smalt US mbus" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (414, 'Smalt US mbus', 'Теплосчетчик с интерфейсом M-Bus', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1046, 'Информационные', 'Информация о приборе', 414, 0);

-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14053, 'Дата и время', '', 1046, 1, 0, 'D', 414, 449);
-- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14054, 'Серийный номер', '', 1046, 1, 1, 'hdr_ident', 414, 448);
-- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14055, 'Код производителя', '', 1046, 1, 2, 'hdr_manuf', 414, 448);
-- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14056, 'Версия прибора', '', 1046, 1, 3, 'hdr_version', 414, 448);
-- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14057, 'Категория', '', 1046, 1, 4, 'hdr_medium', 414, 448);
-- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14058, 'Счетчик доступа', '', 1046, 1, 5, 'hdr_access', 414, 448);
-- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14059, 'Статус прибора', '', 1046, 1, 6, 'hdr_status', 414, 448);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1047, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 414, 0);


---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1048, 'Показания', 'Текущие и архивные показания прибора', 414, 0);

-- Добавление параметра прибора "Тепловая энергия нагревания [Вт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14060, 'Тепловая энергия нагревания [Вт/ч]', '', 1048, 1, 7, 'EH', 414, 393);
-- Добавление параметра прибора "Тепловая энергия охлаждения [Вт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14061, 'Тепловая энергия охлаждения [Вт/ч]', '', 1048, 1, 8, 'EC', 414, 393);
-- Добавление параметра прибора "Объем теплоносителя [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14062, 'Объем теплоносителя [м3]', '', 1048, 1, 9, 'Q', 414, 393);
-- Добавление параметра прибора "Мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14063, 'Мощность [Вт]', '', 1048, 1, 10, 'W', 414, 385);
-- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14064, 'Расход [м3/ч]', '', 1048, 1, 11, 'QM', 414, 385);
-- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14065, 'Температура, подача [С]', '', 1048, 1, 12, 'TF', 414, 385);
-- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14066, 'Температура, обратка [С]', '', 1048, 1, 13, 'TR', 414, 385);
-- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14067, 'Время наработки [ч]', '', 1048, 1, 14, 'tnar', 414, 385);
-- Добавление параметра прибора "Время наработки с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14068, 'Время наработки с ошибками [ч]', '', 1048, 1, 15, 'terr', 414, 385);
