-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 14247 AND pr_typ_id <= 14532;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1066 AND gr_typ_id <= 1074;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 422 AND dev_typ_id <= 423;

---- Прибор "Энергомера CE208BY" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (422, 'Энергомера CE208BY', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1066, 'Информационные', '', 422, 0);

-- Добавление параметра прибора "Дата/время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14247, 'Дата/время прибора', '', 1066, 1, 0, 'D', 422, 192);
-- Добавление параметра прибора "Версия ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14248, 'Версия ВПО', '', 1066, 1, 1, 'fw', 422, 448);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14249, 'Заводской номер', '', 1066, 1, 2, 'sn', 422, 448);
-- Добавление параметра прибора "Адрес счётчика (ID)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14250, 'Адрес счётчика (ID)', '', 1066, 1, 3, 'adr', 422, 448);
-- Добавление параметра прибора "Состояние реле"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14251, 'Состояние реле', '', 1066, 1, 4, 'relay', 422, 193);
-- Добавление параметра прибора "Регистр статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14252, 'Регистр статуса', '', 1066, 1, 5, 'stat', 422, 385);
-- Добавление параметра прибора "Заряд батареи, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14253, 'Заряд батареи, В', '', 1066, 1, 6, 'bat', 422, 385);
-- Добавление параметра прибора "Температура внутри счётчика, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14254, 'Температура внутри счётчика, гр. С', '', 1066, 1, 7, 't', 422, 385);
-- Добавление параметра прибора "Адрес абонента (№ квартиры)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14255, 'Адрес абонента (№ квартиры)', '', 1066, 1, 8, 'abaddr', 422, 448);
-- Добавление параметра прибора "Абонентский номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14256, 'Абонентский номер', '', 1066, 1, 9, 'abnum', 422, 448);
-- Добавление параметра прибора "Текст сообщения для абонента"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14257, 'Текст сообщения для абонента', '', 1066, 1, 10, 'abmsg', 422, 448);
-- Добавление параметра прибора "Тарифный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14258, 'Тарифный план', '', 1066, 1, 11, 'abtar', 422, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1067, 'Параметры сети', '', 422, 0);

-- Добавление параметра прибора "Мощность полная, кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14259, 'Мощность полная, кВА', '', 1067, 1, 12, 'P', 422, 385);
-- Добавление параметра прибора "Напряжение, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14260, 'Напряжение, В', '', 1067, 1, 13, 'U', 422, 403);
-- Добавление параметра прибора "Ток по линейному каналу, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14261, 'Ток по линейному каналу, А', '', 1067, 1, 14, 'Ilc', 422, 385);
-- Добавление параметра прибора "Ток по нейтральному каналу, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14262, 'Ток по нейтральному каналу, А', '', 1067, 1, 15, 'Inc', 422, 385);
-- Добавление параметра прибора "Частота, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14263, 'Частота, Гц', '', 1067, 1, 16, 'f', 422, 403);
-- Добавление параметра прибора "Коэффициент мощности cos(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14264, 'Коэффициент мощности cos(ф)', '', 1067, 1, 17, 'cosf', 422, 385);
-- Добавление параметра прибора "Мощность активная A+, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14265, 'Мощность активная A+, кВт', '', 1067, 1, 18, 'A+cur', 422, 385);
-- Добавление параметра прибора "Мощность активная А-, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14266, 'Мощность активная А-, кВт', '', 1067, 1, 19, 'A-cur', 422, 385);
-- Добавление параметра прибора "Мощность реактивная R+, кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14267, 'Мощность реактивная R+, кВАР', '', 1067, 1, 20, 'R+cur', 422, 385);
-- Добавление параметра прибора "Мощность реактивная R-, кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14268, 'Мощность реактивная R-, кВАР', '', 1067, 1, 21, 'R-cur', 422, 385);
-- Добавление параметра прибора "Мощность получасовая А+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14269, 'Мощность получасовая А+', '', 1067, 1, 22, 'A+hh', 422, 385);
-- Добавление параметра прибора "Мощность получасовая А-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14270, 'Мощность получасовая А-', '', 1067, 1, 23, 'A-hh', 422, 385);
-- Добавление параметра прибора "Глубина последнего провала напряжения, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14271, 'Глубина последнего провала напряжения, В', '', 1067, 1, 24, 'Ufall', 422, 385);
-- Добавление параметра прибора "Длительность последнего провала напряжения, мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14272, 'Длительность последнего провала напряжения, мин', '', 1067, 1, 25, 'tfall', 422, 385);
-- Добавление параметра прибора "Величина последнего перенапряжения, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14273, 'Величина последнего перенапряжения, В', '', 1067, 1, 26, 'Uover', 422, 128);
-- Добавление параметра прибора "Длительность последнего перенапряжения, мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14274, 'Длительность последнего перенапряжения, мин', '', 1067, 1, 27, 'tover', 422, 385);
-- Добавление параметра прибора "Счетчик времени воздействия магнитом (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14275, 'Счетчик времени воздействия магнитом (мин), время сброса', '', 1067, 1, 28, 'cntmagn', 422, 385);
-- Добавление параметра прибора "Счетчик времени отсутствия питания (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14276, 'Счетчик времени отсутствия питания (мин), время сброса', '', 1067, 1, 29, 'cntoff', 422, 385);
-- Добавление параметра прибора "Счетчик времени пониженного питания (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14277, 'Счетчик времени пониженного питания (мин), время сброса', '', 1067, 1, 30, 'cntlow', 422, 385);
-- Добавление параметра прибора "Счетчик времени повышенного питания (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14278, 'Счетчик времени повышенного питания (мин), время сброса', '', 1067, 1, 31, 'cnthi', 422, 385);
-- Добавление параметра прибора "Счетчик времени сверхлимитной мощности (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14279, 'Счетчик времени сверхлимитной мощности (мин), время сброса', '', 1067, 1, 32, 'cntofflim', 422, 385);
-- Добавление параметра прибора "Счетчик времени превышения порога разности токов (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14280, 'Счетчик времени превышения порога разности токов (мин), время сброса', '', 1067, 1, 33, 'cntdi', 422, 385);
-- Добавление параметра прибора "Счетчик времени несоответствия частоты сети (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14281, 'Счетчик времени несоответствия частоты сети (мин), время сброса', '', 1067, 1, 34, 'cntf', 422, 385);
-- Добавление параметра прибора "Счетчик времени отсутствия обмена по интерфейсу (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14282, 'Счетчик времени отсутствия обмена по интерфейсу (мин), время сброса', '', 1067, 1, 35, 'cntrs', 422, 385);
-- Добавление параметра прибора "Счетчик времени малого потребления (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14283, 'Счетчик времени малого потребления (мин), время сброса', '', 1067, 1, 36, 'cntnocons', 422, 385);
-- Добавление параметра прибора "Полная мощность по линейному каналу, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14284, 'Полная мощность по линейному каналу, кВт', '', 1067, 1, 37, 'CL_Pc', 422, 385);
-- Добавление параметра прибора "Полная мощность по нейтральному каналу, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14285, 'Полная мощность по нейтральному каналу, кВт', '', 1067, 1, 38, 'CN_Pc', 422, 385);
-- Добавление параметра прибора "Активная мощность по линейному каналу, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14286, 'Активная мощность по линейному каналу, кВт', '', 1067, 1, 39, 'CL_Ac', 422, 385);
-- Добавление параметра прибора "Активная мощность по нейтральному каналу, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14287, 'Активная мощность по нейтральному каналу, кВт', '', 1067, 1, 40, 'CN_Ac', 422, 385);
-- Добавление параметра прибора "Реактивная мощность по линейному каналу, кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14288, 'Реактивная мощность по линейному каналу, кВАР', '', 1067, 1, 41, 'CL_Rc', 422, 385);
-- Добавление параметра прибора "Реактивная мощность по нейтральному каналу, кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14289, 'Реактивная мощность по нейтральному каналу, кВАР', '', 1067, 1, 42, 'CN_Rc', 422, 385);
-- Добавление параметра прибора "Напряжение на линейном канале, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14290, 'Напряжение на линейном канале, В', '', 1067, 1, 43, 'CL_Uc', 422, 385);
-- Добавление параметра прибора "Напряжение на нейтральном канале, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14291, 'Напряжение на нейтральном канале, В', '', 1067, 1, 44, 'CN_Uc', 422, 385);
-- Добавление параметра прибора "Ток в линейном канале, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14292, 'Ток в линейном канале, А', '', 1067, 1, 45, 'CL_Ic', 422, 385);
-- Добавление параметра прибора "Ток в нейтральном канале, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14293, 'Ток в нейтральном канале, А', '', 1067, 1, 46, 'CN_Ic', 422, 385);
-- Добавление параметра прибора "Частота сети в линейном канале, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14294, 'Частота сети в линейном канале, Гц', '', 1067, 1, 47, 'CL_fc', 422, 385);
-- Добавление параметра прибора "Частота сети в нейтральном канале, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14295, 'Частота сети в нейтральном канале, Гц', '', 1067, 1, 48, 'CN_fc', 422, 385);
-- Добавление параметра прибора "Коэффициент мощности cos(ф) в линейном канале"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14296, 'Коэффициент мощности cos(ф) в линейном канале', '', 1067, 1, 49, 'CL_cosfc', 422, 385);
-- Добавление параметра прибора "Коэффициент мощности cos(ф) в нейтральном канале"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14297, 'Коэффициент мощности cos(ф) в нейтральном канале', '', 1067, 1, 50, 'CN_cosfc', 422, 385);

---- Группа "Потреблённая энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1068, 'Потреблённая энергия', '', 422, 0);

-- Добавление параметра прибора "Энергия активная общая, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14298, 'Энергия активная общая, потреблённая, кВт*ч', '', 1068, 1, 51, 'TC_A+', 422, 397);
-- Добавление параметра прибора "Энергия активная суммарная, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14299, 'Энергия активная суммарная, потреблённая, кВт*ч', '', 1068, 1, 52, 'TS_A+', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 1, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14300, 'Энергия активная по тарифу 1, потреблённая, кВт*ч', '', 1068, 1, 53, 'T1_A+', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 2, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14301, 'Энергия активная по тарифу 2, потреблённая, кВт*ч', '', 1068, 1, 54, 'T2_A+', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 3, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14302, 'Энергия активная по тарифу 3, потреблённая, кВт*ч', '', 1068, 1, 55, 'T3_A+', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 4, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14303, 'Энергия активная по тарифу 4, потреблённая, кВт*ч', '', 1068, 1, 56, 'T4_A+', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 5, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14304, 'Энергия активная по тарифу 5, потреблённая, кВт*ч', '', 1068, 1, 57, 'T5_A+', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 6, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14305, 'Энергия активная по тарифу 6, потреблённая, кВт*ч', '', 1068, 1, 58, 'T6_A+', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 7, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14306, 'Энергия активная по тарифу 7, потреблённая, кВт*ч', '', 1068, 1, 59, 'T7_A+', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 8, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14307, 'Энергия активная по тарифу 8, потреблённая, кВт*ч', '', 1068, 1, 60, 'T8_A+', 422, 397);
-- Добавление параметра прибора "Энергия реактивная общая, потреблённая, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14308, 'Энергия реактивная общая, потреблённая, кВАР*ч', '', 1068, 1, 61, 'TC_R+', 422, 397);

---- Группа "Сгенерированная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1069, 'Сгенерированная энергия', '', 422, 0);

-- Добавление параметра прибора "Энергия активная общая, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14309, 'Энергия активная общая, сгенерированная, кВт*ч', '', 1069, 1, 62, 'TC_A-', 422, 397);
-- Добавление параметра прибора "Энергия активная суммарная, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14310, 'Энергия активная суммарная, сгенерированная, кВт*ч', '', 1069, 1, 63, 'TS_A-', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 1, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14311, 'Энергия активная по тарифу 1, сгенерированная, кВт*ч', '', 1069, 1, 64, 'T1_A-', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 2, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14312, 'Энергия активная по тарифу 2, сгенерированная, кВт*ч', '', 1069, 1, 65, 'T2_A-', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 3, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14313, 'Энергия активная по тарифу 3, сгенерированная, кВт*ч', '', 1069, 1, 66, 'T3_A-', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 4, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14314, 'Энергия активная по тарифу 4, сгенерированная, кВт*ч', '', 1069, 1, 67, 'T4_A-', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 5, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14315, 'Энергия активная по тарифу 5, сгенерированная, кВт*ч', '', 1069, 1, 68, 'T5_A-', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 6, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14316, 'Энергия активная по тарифу 6, сгенерированная, кВт*ч', '', 1069, 1, 69, 'T6_A-', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 7, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14317, 'Энергия активная по тарифу 7, сгенерированная, кВт*ч', '', 1069, 1, 70, 'T7_A-', 422, 397);
-- Добавление параметра прибора "Энергия активная по тарифу 8, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14318, 'Энергия активная по тарифу 8, сгенерированная, кВт*ч', '', 1069, 1, 71, 'T8_A-', 422, 397);
-- Добавление параметра прибора "Энергия реактивная общая, сгенерированная, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14319, 'Энергия реактивная общая, сгенерированная, кВАР*ч', '', 1069, 1, 72, 'TC_R-', 422, 397);

---- Группа "Срезы энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1070, 'Срезы энергии', '', 422, 0);

-- Добавление параметра прибора "Срез потреблённой активной энергии за интервал 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14320, 'Срез потреблённой активной энергии за интервал 1, кВт*ч', '', 1070, 1, 73, 'A+sr', 422, 402);
-- Добавление параметра прибора "Срез сгенерированной активной энергии за интервал 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14321, 'Срез сгенерированной активной энергии за интервал 1, кВт*ч', '', 1070, 1, 74, 'A-sr', 422, 402);
-- Добавление параметра прибора "Энергия активная общая за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14322, 'Энергия активная общая за период, потреблённая, кВт*ч', '', 1070, 1, 75, 'TC_dA+', 422, 396);
-- Добавление параметра прибора "Энергия активная суммарная за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14323, 'Энергия активная суммарная за период, потреблённая, кВт*ч', '', 1070, 1, 76, 'TS_dA+', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 1 за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14324, 'Энергия активная по тарифу 1 за период, потреблённая, кВт*ч', '', 1070, 1, 77, 'T1_dA+', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 2 за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14325, 'Энергия активная по тарифу 2 за период, потреблённая, кВт*ч', '', 1070, 1, 78, 'T2_dA+', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 3 за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14326, 'Энергия активная по тарифу 3 за период, потреблённая, кВт*ч', '', 1070, 1, 79, 'T3_dA+', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 4 за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14327, 'Энергия активная по тарифу 4 за период, потреблённая, кВт*ч', '', 1070, 1, 80, 'T4_dA+', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 5 за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14328, 'Энергия активная по тарифу 5 за период, потреблённая, кВт*ч', '', 1070, 1, 81, 'T5_dA+', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 6 за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14329, 'Энергия активная по тарифу 6 за период, потреблённая, кВт*ч', '', 1070, 1, 82, 'T6_dA+', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 7 за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14330, 'Энергия активная по тарифу 7 за период, потреблённая, кВт*ч', '', 1070, 1, 83, 'T7_dA+', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 8 за период, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14331, 'Энергия активная по тарифу 8 за период, потреблённая, кВт*ч', '', 1070, 1, 84, 'T8_dA+', 422, 396);
-- Добавление параметра прибора "Энергия реактивная общая за период, потреблённая, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14332, 'Энергия реактивная общая за период, потреблённая, кВАР*ч', '', 1070, 1, 85, 'TC_dR+', 422, 396);
-- Добавление параметра прибора "Энергия активная общая за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14333, 'Энергия активная общая за период, сгенерированная, кВт*ч', '', 1070, 1, 86, 'TC_dA-', 422, 396);
-- Добавление параметра прибора "Энергия активная суммарная за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14334, 'Энергия активная суммарная за период, сгенерированная, кВт*ч', '', 1070, 1, 87, 'TS_dA-', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 1 за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14335, 'Энергия активная по тарифу 1 за период, сгенерированная, кВт*ч', '', 1070, 1, 88, 'T1_dA-', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 2 за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14336, 'Энергия активная по тарифу 2 за период, сгенерированная, кВт*ч', '', 1070, 1, 89, 'T2_dA-', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 3 за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14337, 'Энергия активная по тарифу 3 за период, сгенерированная, кВт*ч', '', 1070, 1, 90, 'T3_dA-', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 4 за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14338, 'Энергия активная по тарифу 4 за период, сгенерированная, кВт*ч', '', 1070, 1, 91, 'T4_dA-', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 5 за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14339, 'Энергия активная по тарифу 5 за период, сгенерированная, кВт*ч', '', 1070, 1, 92, 'T5_dA-', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 6 за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14340, 'Энергия активная по тарифу 6 за период, сгенерированная, кВт*ч', '', 1070, 1, 93, 'T6_dA-', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 7 за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14341, 'Энергия активная по тарифу 7 за период, сгенерированная, кВт*ч', '', 1070, 1, 94, 'T7_dA-', 422, 396);
-- Добавление параметра прибора "Энергия активная по тарифу 8 за период, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14342, 'Энергия активная по тарифу 8 за период, сгенерированная, кВт*ч', '', 1070, 1, 95, 'T8_dA-', 422, 396);
-- Добавление параметра прибора "Энергия реактивная общая за период, сгенерированная, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14343, 'Энергия реактивная общая за период, сгенерированная, кВАР*ч', '', 1070, 1, 96, 'TC_dR-', 422, 396);

---- Прибор "Энергомера CE318BY" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (423, 'Энергомера CE318BY', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1071, 'Информационные', '', 423, 0);

-- Добавление параметра прибора "Дата/время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14344, 'Дата/время прибора', '', 1071, 1, 0, 'D', 423, 192);
-- Добавление параметра прибора "Версия ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14345, 'Версия ВПО', '', 1071, 1, 1, 'fw', 423, 448);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14346, 'Заводской номер', '', 1071, 1, 2, 'sn', 423, 448);
-- Добавление параметра прибора "Адрес счётчика (ID)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14347, 'Адрес счётчика (ID)', '', 1071, 1, 3, 'adr', 423, 448);
-- Добавление параметра прибора "Состояние реле"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14348, 'Состояние реле', '', 1071, 1, 4, 'relay', 423, 448);
-- Добавление параметра прибора "Регистр статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14349, 'Регистр статуса', '', 1071, 1, 5, 'stat', 423, 448);
-- Добавление параметра прибора "Заряд батареи, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14350, 'Заряд батареи, В', '', 1071, 1, 6, 'bat', 423, 448);
-- Добавление параметра прибора "Температура внутри счётчика, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14351, 'Температура внутри счётчика, гр. С', '', 1071, 1, 7, 't', 423, 448);
-- Добавление параметра прибора "Адрес абонента (№ кВАРтиры)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14352, 'Адрес абонента (№ кВАРтиры)', '', 1071, 1, 8, 'abaddr', 423, 448);
-- Добавление параметра прибора "Абонентский номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14353, 'Абонентский номер', '', 1071, 1, 9, 'abnum', 423, 448);
-- Добавление параметра прибора "Текст сообщения для абонента"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14354, 'Текст сообщения для абонента', '', 1071, 1, 10, 'abmsg', 423, 448);
-- Добавление параметра прибора "Тарифный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14355, 'Тарифный план', '', 1071, 1, 11, 'abtar', 423, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1072, 'Параметры сети', '', 423, 0);

-- Добавление параметра прибора "Мощность полная, кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14356, 'Мощность полная, кВА', '', 1072, 1, 12, '_pO_P', 423, 385);
-- Добавление параметра прибора "Мощность полная (A), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14357, 'Мощность полная (A), кВА', '', 1072, 1, 13, '_pA_P', 423, 385);
-- Добавление параметра прибора "Мощность полная (B), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14358, 'Мощность полная (B), кВА', '', 1072, 1, 14, '_pB_P', 423, 385);
-- Добавление параметра прибора "Мощность полная (C), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14359, 'Мощность полная (C), кВА', '', 1072, 1, 15, '_pC_P', 423, 385);
-- Добавление параметра прибора "Напряжение фазы (A), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14360, 'Напряжение фазы (A), В', '', 1072, 1, 16, '_pA_U', 423, 385);
-- Добавление параметра прибора "Напряжение фазы (B), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14361, 'Напряжение фазы (B), В', '', 1072, 1, 17, '_pB_U', 423, 385);
-- Добавление параметра прибора "Напряжение фазы (C), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14362, 'Напряжение фазы (C), В', '', 1072, 1, 18, '_pC_U', 423, 385);
-- Добавление параметра прибора "Ток (A), А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14363, 'Ток (A), А', '', 1072, 1, 19, '_pA_I', 423, 385);
-- Добавление параметра прибора "Ток (B), А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14364, 'Ток (B), А', '', 1072, 1, 20, '_pB_I', 423, 385);
-- Добавление параметра прибора "Ток (C), А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14365, 'Ток (C), А', '', 1072, 1, 21, '_pC_I', 423, 385);
-- Добавление параметра прибора "Коэффициент мощности cos(ф) (A)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14366, 'Коэффициент мощности cos(ф) (A)', '', 1072, 1, 22, '_pA_cosf', 423, 385);
-- Добавление параметра прибора "Коэффициент мощности cos(ф) (B)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14367, 'Коэффициент мощности cos(ф) (B)', '', 1072, 1, 23, '_pB_cosf', 423, 385);
-- Добавление параметра прибора "Коэффициент мощности cos(ф) (C)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14368, 'Коэффициент мощности cos(ф) (C)', '', 1072, 1, 24, '_pC_cosf', 423, 385);
-- Добавление параметра прибора "Частота сети (A), Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14369, 'Частота сети (A), Гц', '', 1072, 1, 25, '_pA_f', 423, 385);
-- Добавление параметра прибора "Частота сети (B), Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14370, 'Частота сети (B), Гц', '', 1072, 1, 26, '_pB_f', 423, 385);
-- Добавление параметра прибора "Частота сети (C), Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14371, 'Частота сети (C), Гц', '', 1072, 1, 27, '_pC_f', 423, 385);
-- Добавление параметра прибора "Мощность активная, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14372, 'Мощность активная, кВт', '', 1072, 1, 28, '_pO_PA+cur', 423, 385);
-- Добавление параметра прибора "Мощность активная (A), кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14373, 'Мощность активная (A), кВт', '', 1072, 1, 29, '_pA_PA+cur', 423, 385);
-- Добавление параметра прибора "Мощность активная (B), кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14374, 'Мощность активная (B), кВт', '', 1072, 1, 30, '_pB_PA+cur', 423, 385);
-- Добавление параметра прибора "Мощность активная (C), кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14375, 'Мощность активная (C), кВт', '', 1072, 1, 31, '_pC_PA+cur', 423, 385);
-- Добавление параметра прибора "Мощность реактивная, кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14376, 'Мощность реактивная, кВАР', '', 1072, 1, 32, '_pO_PR+cur', 423, 385);
-- Добавление параметра прибора "Мощность реактивная (A), кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14377, 'Мощность реактивная (A), кВАР', '', 1072, 1, 33, '_pA_PR+cur', 423, 385);
-- Добавление параметра прибора "Мощность реактивная (B), кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14378, 'Мощность реактивная (B), кВАР', '', 1072, 1, 34, '_pB_PR+cur', 423, 385);
-- Добавление параметра прибора "Мощность реактивная (C), кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14379, 'Мощность реактивная (C), кВАР', '', 1072, 1, 35, '_pC_PR+cur', 423, 385);
-- Добавление параметра прибора "Мощность получасовая A+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14380, 'Мощность получасовая A+', '', 1072, 1, 36, '_pO_A+hh', 423, 385);
-- Добавление параметра прибора "Мощность получасовая A-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14381, 'Мощность получасовая A-', '', 1072, 1, 37, '_pO_A-hh', 423, 385);
-- Добавление параметра прибора "Мощность получасовая R+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14382, 'Мощность получасовая R+', '', 1072, 1, 38, '_pO_R+hh', 423, 385);
-- Добавление параметра прибора "Мощность получасовая R-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14383, 'Мощность получасовая R-', '', 1072, 1, 39, '_pO_R-hh', 423, 385);
-- Добавление параметра прибора "Глубина последнего провала напряжения (А), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14384, 'Глубина последнего провала напряжения (А), В', '', 1072, 1, 40, '_pA_Ufall', 423, 385);
-- Добавление параметра прибора "Глубина последнего провала напряжения (B), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14385, 'Глубина последнего провала напряжения (B), В', '', 1072, 1, 41, '_pB_Ufall', 423, 385);
-- Добавление параметра прибора "Глубина последнего провала напряжения (C), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14386, 'Глубина последнего провала напряжения (C), В', '', 1072, 1, 42, '_pC_Ufall', 423, 385);
-- Добавление параметра прибора "Длительность последнего провала напряжения (A), мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14387, 'Длительность последнего провала напряжения (A), мин', '', 1072, 1, 43, '_pA_tfall', 423, 385);
-- Добавление параметра прибора "Длительность последнего провала напряжения (B), мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14388, 'Длительность последнего провала напряжения (B), мин', '', 1072, 1, 44, '_pB_tfall', 423, 385);
-- Добавление параметра прибора "Длительность последнего провала напряжения (C), мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14389, 'Длительность последнего провала напряжения (C), мин', '', 1072, 1, 45, '_pC_tfall', 423, 385);
-- Добавление параметра прибора "Величина последнего перенапряжения (A), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14390, 'Величина последнего перенапряжения (A), В', '', 1072, 1, 46, '_pA_Uover', 423, 128);
-- Добавление параметра прибора "Величина последнего перенапряжения (B), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14391, 'Величина последнего перенапряжения (B), В', '', 1072, 1, 47, '_pB_Uover', 423, 128);
-- Добавление параметра прибора "Величина последнего перенапряжения (C), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14392, 'Величина последнего перенапряжения (C), В', '', 1072, 1, 48, '_pC_Uover', 423, 128);
-- Добавление параметра прибора "Длительность последнего перенапряжения (A), мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14393, 'Длительность последнего перенапряжения (A), мин', '', 1072, 1, 49, '_pA_tover', 423, 385);
-- Добавление параметра прибора "Длительность последнего перенапряжения (B), мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14394, 'Длительность последнего перенапряжения (B), мин', '', 1072, 1, 50, '_pB_tover', 423, 385);
-- Добавление параметра прибора "Длительность последнего перенапряжения (C), мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14395, 'Длительность последнего перенапряжения (C), мин', '', 1072, 1, 51, '_pC_tover', 423, 385);
-- Добавление параметра прибора "Счетчик времени воздействия магнитом (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14396, 'Счетчик времени воздействия магнитом (мин), время сброса', '', 1072, 1, 52, 'cntmagn', 423, 385);
-- Добавление параметра прибора "Счетчик времени отсутствия питания (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14397, 'Счетчик времени отсутствия питания (мин), время сброса', '', 1072, 1, 53, 'cntoff', 423, 385);
-- Добавление параметра прибора "Счетчик времени пониженного питания (A) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14398, 'Счетчик времени пониженного питания (A) (мин), время сброса', '', 1072, 1, 54, '_pA_cntlow', 423, 385);
-- Добавление параметра прибора "Счетчик времени пониженного питания (B) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14399, 'Счетчик времени пониженного питания (B) (мин), время сброса', '', 1072, 1, 55, '_pB_cntlow', 423, 385);
-- Добавление параметра прибора "Счетчик времени пониженного питания (C) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14400, 'Счетчик времени пониженного питания (C) (мин), время сброса', '', 1072, 1, 56, '_pC_cntlow', 423, 385);
-- Добавление параметра прибора "Счетчик времени повышенного питания (A) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14401, 'Счетчик времени повышенного питания (A) (мин), время сброса', '', 1072, 1, 57, '_pA_cnthi', 423, 385);
-- Добавление параметра прибора "Счетчик времени повышенного питания (B) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14402, 'Счетчик времени повышенного питания (B) (мин), время сброса', '', 1072, 1, 58, '_pB_cnthi', 423, 385);
-- Добавление параметра прибора "Счетчик времени повышенного питания (C) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14403, 'Счетчик времени повышенного питания (C) (мин), время сброса', '', 1072, 1, 59, '_pC_cnthi', 423, 385);
-- Добавление параметра прибора "Счетчик времени сверхлимитной мощности (A) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14404, 'Счетчик времени сверхлимитной мощности (A) (мин), время сброса', '', 1072, 1, 60, '_pA_cntofflim', 423, 385);
-- Добавление параметра прибора "Счетчик времени сверхлимитной мощности (B) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14405, 'Счетчик времени сверхлимитной мощности (B) (мин), время сброса', '', 1072, 1, 61, '_pB_cntofflim', 423, 385);
-- Добавление параметра прибора "Счетчик времени сверхлимитной мощности (C) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14406, 'Счетчик времени сверхлимитной мощности (C) (мин), время сброса', '', 1072, 1, 62, '_pC_cntofflim', 423, 385);
-- Добавление параметра прибора "Счетчик времени несоответствия частоты сети (A) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14407, 'Счетчик времени несоответствия частоты сети (A) (мин), время сброса', '', 1072, 1, 63, '_pA_cntf', 423, 385);
-- Добавление параметра прибора "Счетчик времени несоответствия частоты сети (B) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14408, 'Счетчик времени несоответствия частоты сети (B) (мин), время сброса', '', 1072, 1, 64, '_pB_cntf', 423, 385);
-- Добавление параметра прибора "Счетчик времени несоответствия частоты сети (C) (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14409, 'Счетчик времени несоответствия частоты сети (C) (мин), время сброса', '', 1072, 1, 65, '_pC_cntf', 423, 385);
-- Добавление параметра прибора "Счетчик времени отсутствия обмена по интерфейсу (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14410, 'Счетчик времени отсутствия обмена по интерфейсу (мин), время сброса', '', 1072, 1, 66, 'cntrs', 423, 385);
-- Добавление параметра прибора "Счетчик времени малого потребления (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14411, 'Счетчик времени малого потребления (мин), время сброса', '', 1072, 1, 67, 'cntnocons', 423, 385);
-- Добавление параметра прибора "Счетчик времени воздействия переменным магнитным полем (мин), время сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14412, 'Счетчик времени воздействия переменным магнитным полем (мин), время сброса', '', 1072, 1, 68, 'cntacmagn', 423, 385);
-- Добавление параметра прибора "Угол между током и напряжением (A), гр"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14413, 'Угол между током и напряжением (A), гр', '', 1072, 1, 69, '_pA_angUI', 423, 385);
-- Добавление параметра прибора "Угол между током и напряжением (B), гр"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14414, 'Угол между током и напряжением (B), гр', '', 1072, 1, 70, '_pB_angUI', 423, 385);
-- Добавление параметра прибора "Угол между током и напряжением (C), гр"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14415, 'Угол между током и напряжением (C), гр', '', 1072, 1, 71, '_pC_angUI', 423, 385);
-- Добавление параметра прибора "Угол между фазами (AB), гр"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14416, 'Угол между фазами (AB), гр', '', 1072, 1, 72, '_pA_angU', 423, 385);
-- Добавление параметра прибора "Угол между фазами (BC), гр"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14417, 'Угол между фазами (BC), гр', '', 1072, 1, 73, '_pB_angU', 423, 385);
-- Добавление параметра прибора "Угол между фазами (AC), гр"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14418, 'Угол между фазами (AC), гр', '', 1072, 1, 74, '_pC_angU', 423, 385);
-- Добавление параметра прибора "Линейное напряжение AB, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14419, 'Линейное напряжение AB, В', '', 1072, 1, 75, '_pA_linU', 423, 385);
-- Добавление параметра прибора "Линейное напряжение BC, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14420, 'Линейное напряжение BC, В', '', 1072, 1, 76, '_pB_linU', 423, 385);
-- Добавление параметра прибора "Линейное напряжение AC, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14421, 'Линейное напряжение AC, В', '', 1072, 1, 77, '_pC_linU', 423, 385);
-- Добавление параметра прибора "Ток нейтрального канала (расчётный), А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14422, 'Ток нейтрального канала (расчётный), А', '', 1072, 1, 78, '_pO_Incc', 423, 385);
-- Добавление параметра прибора "Прогнозируемая мощность А+ (за незавершенный 30-минутный интервал)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14423, 'Прогнозируемая мощность А+ (за незавершенный 30-минутный интервал)', '', 1072, 1, 79, '_pO_A+for', 423, 385);
-- Добавление параметра прибора "Прогнозируемая мощность А- (за незавершенный 30-минутный интервал)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14424, 'Прогнозируемая мощность А- (за незавершенный 30-минутный интервал)', '', 1072, 1, 80, '_pO_A-for', 423, 385);
-- Добавление параметра прибора "Прогнозируемая мощность R+ (за незавершенный 30-минутный интервал)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14425, 'Прогнозируемая мощность R+ (за незавершенный 30-минутный интервал)', '', 1072, 1, 81, '_pO_R+for', 423, 385);
-- Добавление параметра прибора "Прогнозируемая мощность R- (за незавершенный 30-минутный интервал)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14426, 'Прогнозируемая мощность R- (за незавершенный 30-минутный интервал)', '', 1072, 1, 82, '_pO_R-for', 423, 385);
-- Добавление параметра прибора "Счётчик входа 1 внешних событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14427, 'Счётчик входа 1 внешних событий', '', 1072, 1, 83, '_pO_cntIn1', 423, 385);
-- Добавление параметра прибора "Счётчик входа 2 внешних событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14428, 'Счётчик входа 2 внешних событий', '', 1072, 1, 84, '_pO_cntIn2', 423, 385);

---- Группа "Потреблённая энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1073, 'Потреблённая энергия', '', 423, 0);

-- Добавление параметра прибора "Энергия активная A+ общая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14429, 'Энергия активная A+ общая, кВт*ч', '', 1073, 1, 85, 'TC_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A+ суммарная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14430, 'Энергия активная A+ суммарная, кВт*ч', '', 1073, 1, 86, 'TS_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14431, 'Энергия активная A+ по тарифу 1, кВт*ч', '', 1073, 1, 87, 'T1_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14432, 'Энергия активная A+ по тарифу 2, кВт*ч', '', 1073, 1, 88, 'T2_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14433, 'Энергия активная A+ по тарифу 3, кВт*ч', '', 1073, 1, 89, 'T3_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14434, 'Энергия активная A+ по тарифу 4, кВт*ч', '', 1073, 1, 90, 'T4_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 5, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14435, 'Энергия активная A+ по тарифу 5, кВт*ч', '', 1073, 1, 91, 'T5_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 6, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14436, 'Энергия активная A+ по тарифу 6, кВт*ч', '', 1073, 1, 92, 'T6_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 7, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14437, 'Энергия активная A+ по тарифу 7, кВт*ч', '', 1073, 1, 93, 'T7_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 8, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14438, 'Энергия активная A+ по тарифу 8, кВт*ч', '', 1073, 1, 94, 'T8_pO_A+', 423, 397);
-- Добавление параметра прибора "Энергия активная A- общая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14439, 'Энергия активная A- общая, кВт*ч', '', 1073, 1, 95, 'TC_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия активная A- суммарная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14440, 'Энергия активная A- суммарная, кВт*ч', '', 1073, 1, 96, 'TS_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия активная A- по тарифу 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14441, 'Энергия активная A- по тарифу 1, кВт*ч', '', 1073, 1, 97, 'T1_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия активная A- по тарифу 2, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14442, 'Энергия активная A- по тарифу 2, кВт*ч', '', 1073, 1, 98, 'T2_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия активная A- по тарифу 3, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14443, 'Энергия активная A- по тарифу 3, кВт*ч', '', 1073, 1, 99, 'T3_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия активная A- по тарифу 4, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14444, 'Энергия активная A- по тарифу 4, кВт*ч', '', 1073, 1, 100, 'T4_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия активная A- по тарифу 5, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14445, 'Энергия активная A- по тарифу 5, кВт*ч', '', 1073, 1, 101, 'T5_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия активная A- по тарифу 6, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14446, 'Энергия активная A- по тарифу 6, кВт*ч', '', 1073, 1, 102, 'T6_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия активная A- по тарифу 7, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14447, 'Энергия активная A- по тарифу 7, кВт*ч', '', 1073, 1, 103, 'T7_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия активная A- по тарифу 8, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14448, 'Энергия активная A- по тарифу 8, кВт*ч', '', 1073, 1, 104, 'T8_pO_A-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ общая, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14449, 'Энергия реактивная R+ общая, кВАР*ч', '', 1073, 1, 105, 'TC_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ суммарная, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14450, 'Энергия реактивная R+ суммарная, кВАР*ч', '', 1073, 1, 106, 'TS_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ по тарифу 1, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14451, 'Энергия реактивная R+ по тарифу 1, кВАР*ч', '', 1073, 1, 107, 'T1_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ по тарифу 2, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14452, 'Энергия реактивная R+ по тарифу 2, кВАР*ч', '', 1073, 1, 108, 'T2_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ по тарифу 3, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14453, 'Энергия реактивная R+ по тарифу 3, кВАР*ч', '', 1073, 1, 109, 'T3_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ по тарифу 4, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14454, 'Энергия реактивная R+ по тарифу 4, кВАР*ч', '', 1073, 1, 110, 'T4_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ по тарифу 5, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14455, 'Энергия реактивная R+ по тарифу 5, кВАР*ч', '', 1073, 1, 111, 'T5_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ по тарифу 6, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14456, 'Энергия реактивная R+ по тарифу 6, кВАР*ч', '', 1073, 1, 112, 'T6_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ по тарифу 7, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14457, 'Энергия реактивная R+ по тарифу 7, кВАР*ч', '', 1073, 1, 113, 'T7_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R+ по тарифу 8, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14458, 'Энергия реактивная R+ по тарифу 8, кВАР*ч', '', 1073, 1, 114, 'T8_pO_R+', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- общая, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14459, 'Энергия реактивная R- общая, кВАР*ч', '', 1073, 1, 115, 'TC_pO_R-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- суммарная, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14460, 'Энергия реактивная R- суммарная, кВАР*ч', '', 1073, 1, 116, 'TS_pO_R-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- по тарифу 1, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14461, 'Энергия реактивная R- по тарифу 1, кВАР*ч', '', 1073, 1, 117, 'T1_pO_R-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- по тарифу 2, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14462, 'Энергия реактивная R- по тарифу 2, кВАР*ч', '', 1073, 1, 118, 'T2_pO_R-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- по тарифу 3, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14463, 'Энергия реактивная R- по тарифу 3, кВАР*ч', '', 1073, 1, 119, 'T3_pO_R-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- по тарифу 4, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14464, 'Энергия реактивная R- по тарифу 4, кВАР*ч', '', 1073, 1, 120, 'T4_pO_R-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- по тарифу 5, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14465, 'Энергия реактивная R- по тарифу 5, кВАР*ч', '', 1073, 1, 121, 'T5_pO_R-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- по тарифу 6, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14466, 'Энергия реактивная R- по тарифу 6, кВАР*ч', '', 1073, 1, 122, 'T6_pO_R-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- по тарифу 7, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14467, 'Энергия реактивная R- по тарифу 7, кВАР*ч', '', 1073, 1, 123, 'T7_pO_R-', 423, 397);
-- Добавление параметра прибора "Энергия реактивная R- по тарифу 8, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14468, 'Энергия реактивная R- по тарифу 8, кВАР*ч', '', 1073, 1, 124, 'T8_pO_R-', 423, 397);

---- Группа "Срезы энергии за период" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1074, 'Срезы энергии за период', '', 423, 0);

-- Добавление параметра прибора "Срез накопленной энергии A+ за интервал 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14469, 'Срез накопленной энергии A+ за интервал 1, кВт*ч', '', 1074, 1, 125, '_pO_A+sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии A+ за интервал 1 (A), кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14470, 'Срез накопленной энергии A+ за интервал 1 (A), кВт*ч', '', 1074, 1, 126, '_pA_A+sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии A+ за интервал 1 (B), кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14471, 'Срез накопленной энергии A+ за интервал 1 (B), кВт*ч', '', 1074, 1, 127, '_pB_A+sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии A+ за интервал 1 (C), кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14472, 'Срез накопленной энергии A+ за интервал 1 (C), кВт*ч', '', 1074, 1, 128, '_pC_A+sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии A- за интервал 1, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14473, 'Срез накопленной энергии A- за интервал 1, кВт*ч', '', 1074, 1, 129, '_pO_A-sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии A- за интервал 1 (A), кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14474, 'Срез накопленной энергии A- за интервал 1 (A), кВт*ч', '', 1074, 1, 130, '_pA_A-sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии A- за интервал 1 (B), кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14475, 'Срез накопленной энергии A- за интервал 1 (B), кВт*ч', '', 1074, 1, 131, '_pB_A-sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии A- за интервал 1 (C), кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14476, 'Срез накопленной энергии A- за интервал 1 (C), кВт*ч', '', 1074, 1, 132, '_pC_A-sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии R+ за интервал 1, ВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14477, 'Срез накопленной энергии R+ за интервал 1, ВАР*ч', '', 1074, 1, 133, '_pO_R+sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии R+ за интервал 1 (A), ВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14478, 'Срез накопленной энергии R+ за интервал 1 (A), ВАР*ч', '', 1074, 1, 134, '_pA_R+sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии R+ за интервал 1 (B), ВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14479, 'Срез накопленной энергии R+ за интервал 1 (B), ВАР*ч', '', 1074, 1, 135, '_pB_R+sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии R+ за интервал 1 (C), ВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14480, 'Срез накопленной энергии R+ за интервал 1 (C), ВАР*ч', '', 1074, 1, 136, '_pC_R+sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии R- за интервал 1, ВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14481, 'Срез накопленной энергии R- за интервал 1, ВАР*ч', '', 1074, 1, 137, '_pO_R-sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии R- за интервал 1 (A), ВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14482, 'Срез накопленной энергии R- за интервал 1 (A), ВАР*ч', '', 1074, 1, 138, '_pA_R-sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии R- за интервал 1 (B), ВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14483, 'Срез накопленной энергии R- за интервал 1 (B), ВАР*ч', '', 1074, 1, 139, '_pB_R-sr', 423, 402);
-- Добавление параметра прибора "Срез накопленной энергии R- за интервал 1 (C), ВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14484, 'Срез накопленной энергии R- за интервал 1 (C), ВАР*ч', '', 1074, 1, 140, '_pC_R-sr', 423, 402);
-- Добавление параметра прибора "Срез активной мощности с интервалом 1, кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14485, 'Срез активной мощности с интервалом 1, кВА', '', 1074, 1, 141, '_pO_PA', 423, 402);
-- Добавление параметра прибора "Срез активной мощности с интервалом 1 (A), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14486, 'Срез активной мощности с интервалом 1 (A), кВА', '', 1074, 1, 142, '_pA_PA', 423, 402);
-- Добавление параметра прибора "Срез активной мощности с интервалом 1 (B), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14487, 'Срез активной мощности с интервалом 1 (B), кВА', '', 1074, 1, 143, '_pB_PA', 423, 402);
-- Добавление параметра прибора "Срез активной мощности с интервалом 1 (C), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14488, 'Срез активной мощности с интервалом 1 (C), кВА', '', 1074, 1, 144, '_pC_PA', 423, 402);
-- Добавление параметра прибора "Срез реактивной мощности с интервалом 1, кВАР"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14489, 'Срез реактивной мощности с интервалом 1, кВАР', '', 1074, 1, 145, '_pO_PR', 423, 402);
-- Добавление параметра прибора "Срез реактивной мощности с интервалом 1 (A), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14490, 'Срез реактивной мощности с интервалом 1 (A), кВА', '', 1074, 1, 146, '_pA_PR', 423, 402);
-- Добавление параметра прибора "Срез реактивной мощности с интервалом 1 (B), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14491, 'Срез реактивной мощности с интервалом 1 (B), кВА', '', 1074, 1, 147, '_pB_PR', 423, 402);
-- Добавление параметра прибора "Срез реактивной мощности с интервалом 1 (C), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14492, 'Срез реактивной мощности с интервалом 1 (C), кВА', '', 1074, 1, 148, '_pC_PR', 423, 402);
-- Добавление параметра прибора "Энергия активная A+ общая за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14493, 'Энергия активная A+ общая за период, кВт*ч', '', 1074, 1, 149, 'TC_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A+ суммарная за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14494, 'Энергия активная A+ суммарная за период, кВт*ч', '', 1074, 1, 150, 'TS_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 1 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14495, 'Энергия активная A+ по тарифу 1 за период, кВт*ч', '', 1074, 1, 151, 'T1_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 2 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14496, 'Энергия активная A+ по тарифу 2 за период, кВт*ч', '', 1074, 1, 152, 'T2_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 3 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14497, 'Энергия активная A+ по тарифу 3 за период, кВт*ч', '', 1074, 1, 153, 'T3_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 4 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14498, 'Энергия активная A+ по тарифу 4 за период, кВт*ч', '', 1074, 1, 154, 'T4_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 5 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14499, 'Энергия активная A+ по тарифу 5 за период, кВт*ч', '', 1074, 1, 155, 'T5_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 6 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14500, 'Энергия активная A+ по тарифу 6 за период, кВт*ч', '', 1074, 1, 156, 'T6_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 7 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14501, 'Энергия активная A+ по тарифу 7 за период, кВт*ч', '', 1074, 1, 157, 'T7_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A+ по тарифу 8 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14502, 'Энергия активная A+ по тарифу 8 за период, кВт*ч', '', 1074, 1, 158, 'T8_pO_dA+', 423, 396);
-- Добавление параметра прибора "Энергия активная A- общая за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14503, 'Энергия активная A- общая за период, кВт*ч', '', 1074, 1, 159, 'TC_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная A- суммарная за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14504, 'Энергия активная A- суммарная за период, кВт*ч', '', 1074, 1, 160, 'TS_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная A- по тарифу 1 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14505, 'Энергия активная A- по тарифу 1 за период, кВт*ч', '', 1074, 1, 161, 'T1_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная A- по тарифу 2 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14506, 'Энергия активная A- по тарифу 2 за период, кВт*ч', '', 1074, 1, 162, 'T2_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная A- по тарифу 3 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14507, 'Энергия активная A- по тарифу 3 за период, кВт*ч', '', 1074, 1, 163, 'T3_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная A- по тарифу 4 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14508, 'Энергия активная A- по тарифу 4 за период, кВт*ч', '', 1074, 1, 164, 'T4_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная A- по тарифу 5 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14509, 'Энергия активная A- по тарифу 5 за период, кВт*ч', '', 1074, 1, 165, 'T5_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная A- по тарифу 6 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14510, 'Энергия активная A- по тарифу 6 за период, кВт*ч', '', 1074, 1, 166, 'T6_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная A- по тарифу 7 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14511, 'Энергия активная A- по тарифу 7 за период, кВт*ч', '', 1074, 1, 167, 'T7_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная A- по тарифу 8 за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14512, 'Энергия активная A- по тарифу 8 за период, кВт*ч', '', 1074, 1, 168, 'T8_pO_dA-', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ общая за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14513, 'Энергия активная R+ общая за период, кВАР*ч', '', 1074, 1, 169, 'TC_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ суммарная за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14514, 'Энергия активная R+ суммарная за период, кВАР*ч', '', 1074, 1, 170, 'TS_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ по тарифу 1 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14515, 'Энергия активная R+ по тарифу 1 за период, кВАР*ч', '', 1074, 1, 171, 'T1_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ по тарифу 2 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14516, 'Энергия активная R+ по тарифу 2 за период, кВАР*ч', '', 1074, 1, 172, 'T2_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ по тарифу 3 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14517, 'Энергия активная R+ по тарифу 3 за период, кВАР*ч', '', 1074, 1, 173, 'T3_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ по тарифу 4 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14518, 'Энергия активная R+ по тарифу 4 за период, кВАР*ч', '', 1074, 1, 174, 'T4_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ по тарифу 5 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14519, 'Энергия активная R+ по тарифу 5 за период, кВАР*ч', '', 1074, 1, 175, 'T5_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ по тарифу 6 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14520, 'Энергия активная R+ по тарифу 6 за период, кВАР*ч', '', 1074, 1, 176, 'T6_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ по тарифу 7 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14521, 'Энергия активная R+ по тарифу 7 за период, кВАР*ч', '', 1074, 1, 177, 'T7_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R+ по тарифу 8 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14522, 'Энергия активная R+ по тарифу 8 за период, кВАР*ч', '', 1074, 1, 178, 'T8_pO_dR+', 423, 396);
-- Добавление параметра прибора "Энергия активная R- общая за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14523, 'Энергия активная R- общая за период, кВАР*ч', '', 1074, 1, 179, 'TC_pO_dR-', 423, 396);
-- Добавление параметра прибора "Энергия активная R- суммарная за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14524, 'Энергия активная R- суммарная за период, кВАР*ч', '', 1074, 1, 180, 'TS_pO_dR-', 423, 396);
-- Добавление параметра прибора "Энергия активная R- по тарифу 1 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14525, 'Энергия активная R- по тарифу 1 за период, кВАР*ч', '', 1074, 1, 181, 'T1_pO_dR-', 423, 396);
-- Добавление параметра прибора "Энергия активная R- по тарифу 2 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14526, 'Энергия активная R- по тарифу 2 за период, кВАР*ч', '', 1074, 1, 182, 'T2_pO_dR-', 423, 396);
-- Добавление параметра прибора "Энергия активная R- по тарифу 3 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14527, 'Энергия активная R- по тарифу 3 за период, кВАР*ч', '', 1074, 1, 183, 'T3_pO_dR-', 423, 396);
-- Добавление параметра прибора "Энергия активная R- по тарифу 4 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14528, 'Энергия активная R- по тарифу 4 за период, кВАР*ч', '', 1074, 1, 184, 'T4_pO_dR-', 423, 396);
-- Добавление параметра прибора "Энергия активная R- по тарифу 5 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14529, 'Энергия активная R- по тарифу 5 за период, кВАР*ч', '', 1074, 1, 185, 'T5_pO_dR-', 423, 396);
-- Добавление параметра прибора "Энергия активная R- по тарифу 6 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14530, 'Энергия активная R- по тарифу 6 за период, кВАР*ч', '', 1074, 1, 186, 'T6_pO_dR-', 423, 396);
-- Добавление параметра прибора "Энергия активная R- по тарифу 7 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14531, 'Энергия активная R- по тарифу 7 за период, кВАР*ч', '', 1074, 1, 187, 'T7_pO_dR-', 423, 396);
-- Добавление параметра прибора "Энергия активная R- по тарифу 8 за период, кВАР*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14532, 'Энергия активная R- по тарифу 8 за период, кВАР*ч', '', 1074, 1, 188, 'T8_pO_dR-', 423, 396);
