-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 14767 AND pr_typ_id <= 15063;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1082 AND gr_typ_id <= 1103;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 425 AND dev_typ_id <= 426;

---- Прибор "Энергомера CE208S7 (61107)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (425, 'Энергомера CE208S7 (61107)', '', 128);

---- Группа "Активная потреблённая энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1082, 'Активная потреблённая энергия', '', 425, 0);

-- Добавление параметра прибора "Энергия А+ активная суммарная, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14767, 'Энергия А+ активная суммарная, потреблённая, кВт*ч', '', 1082, 1, 30, 'tA+T0', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 1, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14768, 'Энергия А+ активная по тарифу 1, потреблённая, кВт*ч', '', 1082, 1, 31, 'tA+T1', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 2, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14769, 'Энергия А+ активная по тарифу 2, потреблённая, кВт*ч', '', 1082, 1, 32, 'tA+T2', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 3, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14770, 'Энергия А+ активная по тарифу 3, потреблённая, кВт*ч', '', 1082, 1, 33, 'tA+T3', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 4, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14771, 'Энергия А+ активная по тарифу 4, потреблённая, кВт*ч', '', 1082, 1, 34, 'tA+T4', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 5, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14772, 'Энергия А+ активная по тарифу 5, потреблённая, кВт*ч', '', 1082, 1, 35, 'tA+T5', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 6, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14773, 'Энергия А+ активная по тарифу 6, потреблённая, кВт*ч', '', 1082, 1, 36, 'tA+T6', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 7, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14774, 'Энергия А+ активная по тарифу 7, потреблённая, кВт*ч', '', 1082, 1, 37, 'tA+T7', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 8, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14775, 'Энергия А+ активная по тарифу 8, потреблённая, кВт*ч', '', 1082, 1, 38, 'tA+T8', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 9, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14776, 'Энергия А+ активная по тарифу 9, потреблённая, кВт*ч', '', 1082, 1, 39, 'tA+T9', 425, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 10, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14777, 'Энергия А+ активная по тарифу 10, потреблённая, кВт*ч', '', 1082, 1, 40, 'tA+T10', 425, 397);

---- Группа "Активная сгенерированная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1083, 'Активная сгенерированная энергия', '', 425, 0);

-- Добавление параметра прибора "Энергия А- активная суммарная, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14778, 'Энергия А- активная суммарная, сгенерированная, кВт*ч', '', 1083, 1, 41, 'tA-T0', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 1, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14779, 'Энергия А- активная по тарифу 1, сгенерированная, кВт*ч', '', 1083, 1, 42, 'tA-T1', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 2, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14780, 'Энергия А- активная по тарифу 2, сгенерированная, кВт*ч', '', 1083, 1, 43, 'tA-T2', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 3, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14781, 'Энергия А- активная по тарифу 3, сгенерированная, кВт*ч', '', 1083, 1, 44, 'tA-T3', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 4, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14782, 'Энергия А- активная по тарифу 4, сгенерированная, кВт*ч', '', 1083, 1, 45, 'tA-T4', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 5, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14783, 'Энергия А- активная по тарифу 5, сгенерированная, кВт*ч', '', 1083, 1, 46, 'tA-T5', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 6, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14784, 'Энергия А- активная по тарифу 6, сгенерированная, кВт*ч', '', 1083, 1, 47, 'tA-T6', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 7, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14785, 'Энергия А- активная по тарифу 7, сгенерированная, кВт*ч', '', 1083, 1, 48, 'tA-T7', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 8, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14786, 'Энергия А- активная по тарифу 8, сгенерированная, кВт*ч', '', 1083, 1, 49, 'tA-T8', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 9, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14787, 'Энергия А- активная по тарифу 9, сгенерированная, кВт*ч', '', 1083, 1, 50, 'tA-T9', 425, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 10, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14788, 'Энергия А- активная по тарифу 10, сгенерированная, кВт*ч', '', 1083, 1, 51, 'tA-T10', 425, 397);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1084, 'Информационные', '', 425, 0);

-- Добавление параметра прибора "Дата/время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14789, 'Дата/время прибора', '', 1084, 1, 0, 'D', 425, 192);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14790, 'Заводской номер', '', 1084, 1, 1, 'sn', 425, 448);
-- Добавление параметра прибора "Адрес счётчика (ID)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14791, 'Адрес счётчика (ID)', '', 1084, 1, 2, 'adr', 425, 448);
-- Добавление параметра прибора "Абонентский номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14792, 'Абонентский номер', '', 1084, 1, 3, 'abnum', 425, 448);
-- Добавление параметра прибора "Регистр статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14793, 'Регистр статуса', '', 1084, 1, 4, 'stat', 425, 385);
-- Добавление параметра прибора "Температура внутри счётчика, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14794, 'Температура внутри счётчика, гр. С', '', 1084, 1, 5, 't', 425, 385);
-- Добавление параметра прибора "Интервал усреднения мощности в минутах"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14795, 'Интервал усреднения мощности в минутах', '', 1084, 1, 6, 'arcp', 425, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1085, 'Параметры сети', '', 425, 0);

-- Добавление параметра прибора "Напряжение (фаза), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14796, 'Напряжение (фаза), В', '', 1085, 1, 7, 'U', 425, 385);
-- Добавление параметра прибора "Напряжение (нейтраль), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14797, 'Напряжение (нейтраль), В', '', 1085, 1, 8, 'UN', 425, 385);
-- Добавление параметра прибора "Сила тока (фаза), А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14798, 'Сила тока (фаза), А', '', 1085, 1, 9, 'I', 425, 385);
-- Добавление параметра прибора "Сила тока (нейтраль), А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14799, 'Сила тока (нейтраль), А', '', 1085, 1, 10, 'IN', 425, 385);
-- Добавление параметра прибора "Мощность активная (фаза), кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14800, 'Мощность активная (фаза), кВт', '', 1085, 1, 11, 'P', 425, 385);
-- Добавление параметра прибора "Мощность активная (нейтраль), кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14801, 'Мощность активная (нейтраль), кВт', '', 1085, 1, 12, 'PN', 425, 385);
-- Добавление параметра прибора "Мощность реактивная (фаза), квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14802, 'Мощность реактивная (фаза), квар', '', 1085, 1, 13, 'Q', 425, 385);
-- Добавление параметра прибора "Мощность реактивная (нейтраль), квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14803, 'Мощность реактивная (нейтраль), квар', '', 1085, 1, 14, 'QN', 425, 385);
-- Добавление параметра прибора "Мощность полная (фаза), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14804, 'Мощность полная (фаза), кВА', '', 1085, 1, 15, 'S', 425, 385);
-- Добавление параметра прибора "Мощность полная (нейтраль), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14805, 'Мощность полная (нейтраль), кВА', '', 1085, 1, 16, 'SN', 425, 385);
-- Добавление параметра прибора "Коэффициент активной мощности (фаза) cos(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14806, 'Коэффициент активной мощности (фаза) cos(ф)', '', 1085, 1, 17, 'cosf', 425, 385);
-- Добавление параметра прибора "Коэффициент активной мощности (нейтраль) cos(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14807, 'Коэффициент активной мощности (нейтраль) cos(ф)', '', 1085, 1, 18, 'cosfN', 425, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности (фаза) sin(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14808, 'Коэффициент реактивной мощности (фаза) sin(ф)', '', 1085, 1, 19, 'sinf', 425, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности (нейтраль) sin(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14809, 'Коэффициент реактивной мощности (нейтраль) sin(ф)', '', 1085, 1, 20, 'sinfN', 425, 385);
-- Добавление параметра прибора "Коэффициент мощности (фаза) tg(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14810, 'Коэффициент мощности (фаза) tg(ф)', '', 1085, 1, 21, 'tgf', 425, 385);
-- Добавление параметра прибора "Коэффициент мощности (нейтраль) tg(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14811, 'Коэффициент мощности (нейтраль) tg(ф)', '', 1085, 1, 22, 'tgfN', 425, 385);
-- Добавление параметра прибора "Угол между током и напряжением (фаза), град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14812, 'Угол между током и напряжением (фаза), град', '', 1085, 1, 23, 'cIU', 425, 385);
-- Добавление параметра прибора "Угол между током и напряжением (нейтраль), град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14813, 'Угол между током и напряжением (нейтраль), град', '', 1085, 1, 24, 'cIUN', 425, 385);
-- Добавление параметра прибора "Частота сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14814, 'Частота сети, Гц', '', 1085, 1, 25, 'f', 425, 385);
-- Добавление параметра прибора "Отклонение частоты сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14815, 'Отклонение частоты сети, Гц', '', 1085, 1, 26, 'fD', 425, 385);
-- Добавление параметра прибора "Прогнозируемая активная потребленная мощность интервала, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14816, 'Прогнозируемая активная потребленная мощность интервала, кВт', '', 1085, 1, 27, 'Pav', 425, 385);
-- Добавление параметра прибора "Положительное отклонение напряжения (фаза), %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14817, 'Положительное отклонение напряжения (фаза), %', '', 1085, 1, 28, 'UD+', 425, 385);
-- Добавление параметра прибора "Отрицательное отклонение напряжения (фаза), %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14818, 'Отрицательное отклонение напряжения (фаза), %', '', 1085, 1, 29, 'UD-', 425, 385);

---- Группа "Профили" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1086, 'Профили', '', 425, 0);

-- Добавление параметра прибора "Данные по профилю 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14819, 'Данные по профилю 1', '', 1086, 1, 118, 'p1', 425, 402);
-- Добавление параметра прибора "Данные по профилю 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14820, 'Данные по профилю 2', '', 1086, 1, 119, 'p2', 425, 402);
-- Добавление параметра прибора "Данные по профилю 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14821, 'Данные по профилю 3', '', 1086, 1, 120, 'p3', 425, 402);
-- Добавление параметра прибора "Данные по профилю 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14822, 'Данные по профилю 4', '', 1086, 1, 121, 'p4', 425, 402);
-- Добавление параметра прибора "Данные по профилю 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14823, 'Данные по профилю 5', '', 1086, 1, 122, 'p5', 425, 402);
-- Добавление параметра прибора "Данные по профилю 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14824, 'Данные по профилю 6', '', 1086, 1, 123, 'p6', 425, 402);

---- Группа "Реактивная потреблённая энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1087, 'Реактивная потреблённая энергия', '', 425, 0);

-- Добавление параметра прибора "Энергия R+ реактивная суммарная, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14825, 'Энергия R+ реактивная суммарная, потреблённая, квар*ч', '', 1087, 1, 52, 'tR+T0', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 1, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14826, 'Энергия R+ реактивная по тарифу 1, потреблённая, квар*ч', '', 1087, 1, 53, 'tR+T1', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 2, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14827, 'Энергия R+ реактивная по тарифу 2, потреблённая, квар*ч', '', 1087, 1, 54, 'tR+T2', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 3, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14828, 'Энергия R+ реактивная по тарифу 3, потреблённая, квар*ч', '', 1087, 1, 55, 'tR+T3', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 4, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14829, 'Энергия R+ реактивная по тарифу 4, потреблённая, квар*ч', '', 1087, 1, 56, 'tR+T4', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 5, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14830, 'Энергия R+ реактивная по тарифу 5, потреблённая, квар*ч', '', 1087, 1, 57, 'tR+T5', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 6, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14831, 'Энергия R+ реактивная по тарифу 6, потреблённая, квар*ч', '', 1087, 1, 58, 'tR+T6', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 7, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14832, 'Энергия R+ реактивная по тарифу 7, потреблённая, квар*ч', '', 1087, 1, 59, 'tR+T7', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 8, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14833, 'Энергия R+ реактивная по тарифу 8, потреблённая, квар*ч', '', 1087, 1, 60, 'tR+T8', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 9, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14834, 'Энергия R+ реактивная по тарифу 9, потреблённая, квар*ч', '', 1087, 1, 61, 'tR+T9', 425, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 10, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14835, 'Энергия R+ реактивная по тарифу 10, потреблённая, квар*ч', '', 1087, 1, 62, 'tR+T10', 425, 397);

---- Группа "Реактивная сгенерированная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1088, 'Реактивная сгенерированная энергия', '', 425, 0);

-- Добавление параметра прибора "Энергия R- реактивная суммарная, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14836, 'Энергия R- реактивная суммарная, сгенерированная, квар*ч', '', 1088, 1, 63, 'tR-T0', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 1, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14837, 'Энергия R- реактивная по тарифу 1, сгенерированная, квар*ч', '', 1088, 1, 64, 'tR-T1', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 2, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14838, 'Энергия R- реактивная по тарифу 2, сгенерированная, квар*ч', '', 1088, 1, 65, 'tR-T2', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 3, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14839, 'Энергия R- реактивная по тарифу 3, сгенерированная, квар*ч', '', 1088, 1, 66, 'tR-T3', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 4, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14840, 'Энергия R- реактивная по тарифу 4, сгенерированная, квар*ч', '', 1088, 1, 67, 'tR-T4', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 5, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14841, 'Энергия R- реактивная по тарифу 5, сгенерированная, квар*ч', '', 1088, 1, 68, 'tR-T5', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 6, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14842, 'Энергия R- реактивная по тарифу 6, сгенерированная, квар*ч', '', 1088, 1, 69, 'tR-T6', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 7, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14843, 'Энергия R- реактивная по тарифу 7, сгенерированная, квар*ч', '', 1088, 1, 70, 'tR-T7', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 8, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14844, 'Энергия R- реактивная по тарифу 8, сгенерированная, квар*ч', '', 1088, 1, 71, 'tR-T8', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 9, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14845, 'Энергия R- реактивная по тарифу 9, сгенерированная, квар*ч', '', 1088, 1, 72, 'tR-T9', 425, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 10, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14846, 'Энергия R- реактивная по тарифу 10, сгенерированная, квар*ч', '', 1088, 1, 73, 'tR-T10', 425, 397);

---- Группа "Срез активной потреблённой энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1089, 'Срез активной потреблённой энергии', '', 425, 0);

-- Добавление параметра прибора "Срез энергии А+ активной суммарной, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14847, 'Срез энергии А+ активной суммарной, за период, кВт*ч', '', 1089, 1, 74, 'dA+T0', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 1, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14848, 'Срез энергии А+ активной по тарифу 1, за период, кВт*ч', '', 1089, 1, 75, 'dA+T1', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 2, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14849, 'Срез энергии А+ активной по тарифу 2, за период, кВт*ч', '', 1089, 1, 76, 'dA+T2', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 3, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14850, 'Срез энергии А+ активной по тарифу 3, за период, кВт*ч', '', 1089, 1, 77, 'dA+T3', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 4, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14851, 'Срез энергии А+ активной по тарифу 4, за период, кВт*ч', '', 1089, 1, 78, 'dA+T4', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 5, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14852, 'Срез энергии А+ активной по тарифу 5, за период, кВт*ч', '', 1089, 1, 79, 'dA+T5', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 6, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14853, 'Срез энергии А+ активной по тарифу 6, за период, кВт*ч', '', 1089, 1, 80, 'dA+T6', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 7, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14854, 'Срез энергии А+ активной по тарифу 7, за период, кВт*ч', '', 1089, 1, 81, 'dA+T7', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 8, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14855, 'Срез энергии А+ активной по тарифу 8, за период, кВт*ч', '', 1089, 1, 82, 'dA+T8', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 9, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14856, 'Срез энергии А+ активной по тарифу 9, за период, кВт*ч', '', 1089, 1, 83, 'dA+T9', 425, 396);
-- Добавление параметра прибора "Срез энергии А+ активной по тарифу 10, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14857, 'Срез энергии А+ активной по тарифу 10, за период, кВт*ч', '', 1089, 1, 84, 'dA+T10', 425, 396);

---- Группа "Срез активной сгенерированной энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1090, 'Срез активной сгенерированной энергии', '', 425, 0);

-- Добавление параметра прибора "Срез энергии А- активной суммарной, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14858, 'Срез энергии А- активной суммарной, за период, кВт*ч', '', 1090, 1, 85, 'dA-T0', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 1, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14859, 'Срез энергии А- активной по тарифу 1, за период, кВт*ч', '', 1090, 1, 86, 'dA-T1', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 2, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14860, 'Срез энергии А- активной по тарифу 2, за период, кВт*ч', '', 1090, 1, 87, 'dA-T2', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 3, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14861, 'Срез энергии А- активной по тарифу 3, за период, кВт*ч', '', 1090, 1, 88, 'dA-T3', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 4, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14862, 'Срез энергии А- активной по тарифу 4, за период, кВт*ч', '', 1090, 1, 89, 'dA-T4', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 5, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14863, 'Срез энергии А- активной по тарифу 5, за период, кВт*ч', '', 1090, 1, 90, 'dA-T5', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 6, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14864, 'Срез энергии А- активной по тарифу 6, за период, кВт*ч', '', 1090, 1, 91, 'dA-T6', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 7, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14865, 'Срез энергии А- активной по тарифу 7, за период, кВт*ч', '', 1090, 1, 92, 'dA-T7', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 8, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14866, 'Срез энергии А- активной по тарифу 8, за период, кВт*ч', '', 1090, 1, 93, 'dA-T8', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 9, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14867, 'Срез энергии А- активной по тарифу 9, за период, кВт*ч', '', 1090, 1, 94, 'dA-T9', 425, 396);
-- Добавление параметра прибора "Срез энергии А- активной по тарифу 10, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14868, 'Срез энергии А- активной по тарифу 10, за период, кВт*ч', '', 1090, 1, 95, 'dA-T10', 425, 396);

---- Группа "Срез реактивной потреблённой энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1091, 'Срез реактивной потреблённой энергии', '', 425, 0);

-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой суммарной, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14869, 'Срез энергии R+ реактивной потреблённой суммарной, за период, квар*ч', '', 1091, 1, 96, 'dR+T0', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 1, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14870, 'Срез энергии R+ реактивной потреблённой по тарифу 1, за период, квар*ч', '', 1091, 1, 97, 'dR+T1', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 2, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14871, 'Срез энергии R+ реактивной потреблённой по тарифу 2, за период, квар*ч', '', 1091, 1, 98, 'dR+T2', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 3, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14872, 'Срез энергии R+ реактивной потреблённой по тарифу 3, за период, квар*ч', '', 1091, 1, 99, 'dR+T3', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 4, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14873, 'Срез энергии R+ реактивной потреблённой по тарифу 4, за период, квар*ч', '', 1091, 1, 100, 'dR+T4', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 5, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14874, 'Срез энергии R+ реактивной потреблённой по тарифу 5, за период, квар*ч', '', 1091, 1, 101, 'dR+T5', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 6, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14875, 'Срез энергии R+ реактивной потреблённой по тарифу 6, за период, квар*ч', '', 1091, 1, 102, 'dR+T6', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 7, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14876, 'Срез энергии R+ реактивной потреблённой по тарифу 7, за период, квар*ч', '', 1091, 1, 103, 'dR+T7', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 8, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14877, 'Срез энергии R+ реактивной потреблённой по тарифу 8, за период, квар*ч', '', 1091, 1, 104, 'dR+T8', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 9, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14878, 'Срез энергии R+ реактивной потреблённой по тарифу 9, за период, квар*ч', '', 1091, 1, 105, 'dR+T9', 425, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 10, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14879, 'Срез энергии R+ реактивной потреблённой по тарифу 10, за период, квар*ч', '', 1091, 1, 106, 'dR+T10', 425, 396);

---- Группа "Срез реактивной сгенерированной энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1092, 'Срез реактивной сгенерированной энергии', '', 425, 0);

-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной суммарной, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14880, 'Срез энергии R- реактивной сгенерированной суммарной, за период, квар*ч', '', 1092, 1, 107, 'dR-T0', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 1, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14881, 'Срез энергии R- реактивной сгенерированной по тарифу 1, за период, квар*ч', '', 1092, 1, 108, 'dR-T1', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 2, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14882, 'Срез энергии R- реактивной сгенерированной по тарифу 2, за период, квар*ч', '', 1092, 1, 109, 'dR-T2', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 3, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14883, 'Срез энергии R- реактивной сгенерированной по тарифу 3, за период, квар*ч', '', 1092, 1, 110, 'dR-T3', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 4, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14884, 'Срез энергии R- реактивной сгенерированной по тарифу 4, за период, квар*ч', '', 1092, 1, 111, 'dR-T4', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 5, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14885, 'Срез энергии R- реактивной сгенерированной по тарифу 5, за период, квар*ч', '', 1092, 1, 112, 'dR-T5', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 6, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14886, 'Срез энергии R- реактивной сгенерированной по тарифу 6, за период, квар*ч', '', 1092, 1, 113, 'dR-T6', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 7, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14887, 'Срез энергии R- реактивной сгенерированной по тарифу 7, за период, квар*ч', '', 1092, 1, 114, 'dR-T7', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 8, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14888, 'Срез энергии R- реактивной сгенерированной по тарифу 8, за период, квар*ч', '', 1092, 1, 115, 'dR-T8', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 9, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14889, 'Срез энергии R- реактивной сгенерированной по тарифу 9, за период, квар*ч', '', 1092, 1, 116, 'dR-T9', 425, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 10, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14890, 'Срез энергии R- реактивной сгенерированной по тарифу 10, за период, квар*ч', '', 1092, 1, 117, 'dR-T10', 425, 396);

---- Прибор "Энергомера CE308S3x (61107)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (426, 'Энергомера CE308S3x (61107)', '', 128);

---- Группа "Активная потреблённая энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1093, 'Активная потреблённая энергия', '', 426, 0);

-- Добавление параметра прибора "Энергия А+ активная суммарная, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14891, 'Энергия А+ активная суммарная, потреблённая, кВт*ч', '', 1093, 1, 55, 'tA+T0', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 1, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14892, 'Энергия А+ активная по тарифу 1, потреблённая, кВт*ч', '', 1093, 1, 56, 'tA+T1', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 2, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14893, 'Энергия А+ активная по тарифу 2, потреблённая, кВт*ч', '', 1093, 1, 57, 'tA+T2', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 3, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14894, 'Энергия А+ активная по тарифу 3, потреблённая, кВт*ч', '', 1093, 1, 58, 'tA+T3', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 4, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14895, 'Энергия А+ активная по тарифу 4, потреблённая, кВт*ч', '', 1093, 1, 59, 'tA+T4', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 5, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14896, 'Энергия А+ активная по тарифу 5, потреблённая, кВт*ч', '', 1093, 1, 60, 'tA+T5', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 6, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14897, 'Энергия А+ активная по тарифу 6, потреблённая, кВт*ч', '', 1093, 1, 61, 'tA+T6', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 7, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14898, 'Энергия А+ активная по тарифу 7, потреблённая, кВт*ч', '', 1093, 1, 62, 'tA+T7', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 8, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14899, 'Энергия А+ активная по тарифу 8, потреблённая, кВт*ч', '', 1093, 1, 63, 'tA+T8', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 9, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14900, 'Энергия А+ активная по тарифу 9, потреблённая, кВт*ч', '', 1093, 1, 64, 'tA+T9', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по тарифу 10, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14901, 'Энергия А+ активная по тарифу 10, потреблённая, кВт*ч', '', 1093, 1, 65, 'tA+T10', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по фазе A, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14902, 'Энергия А+ активная по фазе A, потреблённая, кВт*ч', '', 1093, 1, 66, 'tA+A', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по фазе B, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14903, 'Энергия А+ активная по фазе B, потреблённая, кВт*ч', '', 1093, 1, 67, 'tA+B', 426, 397);
-- Добавление параметра прибора "Энергия А+ активная по фазе C, потреблённая, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14904, 'Энергия А+ активная по фазе C, потреблённая, кВт*ч', '', 1093, 1, 68, 'tA+C', 426, 397);

---- Группа "Активная сгенерированная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1094, 'Активная сгенерированная энергия', '', 426, 0);

-- Добавление параметра прибора "Энергия А- активная суммарная, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14905, 'Энергия А- активная суммарная, сгенерированная, кВт*ч', '', 1094, 1, 69, 'tA-T0', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 1, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14906, 'Энергия А- активная по тарифу 1, сгенерированная, кВт*ч', '', 1094, 1, 70, 'tA-T1', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 2, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14907, 'Энергия А- активная по тарифу 2, сгенерированная, кВт*ч', '', 1094, 1, 71, 'tA-T2', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 3, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14908, 'Энергия А- активная по тарифу 3, сгенерированная, кВт*ч', '', 1094, 1, 72, 'tA-T3', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 4, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14909, 'Энергия А- активная по тарифу 4, сгенерированная, кВт*ч', '', 1094, 1, 73, 'tA-T4', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 5, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14910, 'Энергия А- активная по тарифу 5, сгенерированная, кВт*ч', '', 1094, 1, 74, 'tA-T5', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 6, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14911, 'Энергия А- активная по тарифу 6, сгенерированная, кВт*ч', '', 1094, 1, 75, 'tA-T6', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 7, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14912, 'Энергия А- активная по тарифу 7, сгенерированная, кВт*ч', '', 1094, 1, 76, 'tA-T7', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 8, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14913, 'Энергия А- активная по тарифу 8, сгенерированная, кВт*ч', '', 1094, 1, 77, 'tA-T8', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 9, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14914, 'Энергия А- активная по тарифу 9, сгенерированная, кВт*ч', '', 1094, 1, 78, 'tA-T9', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по тарифу 10, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14915, 'Энергия А- активная по тарифу 10, сгенерированная, кВт*ч', '', 1094, 1, 79, 'tA-T10', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по фазе A, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14916, 'Энергия А- активная по фазе A, сгенерированная, кВт*ч', '', 1094, 1, 80, 'tA-A', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по фазе B, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14917, 'Энергия А- активная по фазе B, сгенерированная, кВт*ч', '', 1094, 1, 81, 'tA-B', 426, 397);
-- Добавление параметра прибора "Энергия А- активная по фазе C, сгенерированная, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14918, 'Энергия А- активная по фазе C, сгенерированная, кВт*ч', '', 1094, 1, 82, 'tA-C', 426, 397);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1095, 'Информационные', '', 426, 0);

-- Добавление параметра прибора "Дата/время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14919, 'Дата/время прибора', '', 1095, 1, 0, 'D', 426, 192);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14920, 'Заводской номер', '', 1095, 1, 1, 'sn', 426, 448);
-- Добавление параметра прибора "Адрес счётчика (ID)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14921, 'Адрес счётчика (ID)', '', 1095, 1, 2, 'adr', 426, 448);
-- Добавление параметра прибора "Абонентский номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14922, 'Абонентский номер', '', 1095, 1, 3, 'abnum', 426, 448);
-- Добавление параметра прибора "Регистр статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14923, 'Регистр статуса', '', 1095, 1, 4, 'stat', 426, 385);
-- Добавление параметра прибора "Температура внутри счётчика, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14924, 'Температура внутри счётчика, гр. С', '', 1095, 1, 5, 't', 426, 385);
-- Добавление параметра прибора "Интервал усреднения мощности в минутах"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14925, 'Интервал усреднения мощности в минутах', '', 1095, 1, 6, 'arcp', 426, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1096, 'Параметры сети', '', 426, 0);

-- Добавление параметра прибора "Напряжение (фаза A), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14926, 'Напряжение (фаза A), В', '', 1096, 1, 7, 'UA', 426, 385);
-- Добавление параметра прибора "Напряжение (фаза B), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14927, 'Напряжение (фаза B), В', '', 1096, 1, 8, 'UB', 426, 385);
-- Добавление параметра прибора "Напряжение (фаза C), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14928, 'Напряжение (фаза C), В', '', 1096, 1, 9, 'UC', 426, 385);
-- Добавление параметра прибора "Напряжение линейное (фазы A-B), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14929, 'Напряжение линейное (фазы A-B), В', '', 1096, 1, 10, 'UAB', 426, 385);
-- Добавление параметра прибора "Напряжение линейное (фазы B-C), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14930, 'Напряжение линейное (фазы B-C), В', '', 1096, 1, 11, 'UBC', 426, 385);
-- Добавление параметра прибора "Напряжение линейное (фазы C-A), В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14931, 'Напряжение линейное (фазы C-A), В', '', 1096, 1, 12, 'UCA', 426, 385);
-- Добавление параметра прибора "Сила тока (фаза A), А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14932, 'Сила тока (фаза A), А', '', 1096, 1, 13, 'IA', 426, 385);
-- Добавление параметра прибора "Сила тока (фаза B), А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14933, 'Сила тока (фаза B), А', '', 1096, 1, 14, 'IB', 426, 385);
-- Добавление параметра прибора "Сила тока (фаза C), А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14934, 'Сила тока (фаза C), А', '', 1096, 1, 15, 'IC', 426, 385);
-- Добавление параметра прибора "Мощность активная (по всем фазам), кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14935, 'Мощность активная (по всем фазам), кВт', '', 1096, 1, 16, 'P', 426, 385);
-- Добавление параметра прибора "Мощность активная (фаза A), кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14936, 'Мощность активная (фаза A), кВт', '', 1096, 1, 17, 'PA', 426, 385);
-- Добавление параметра прибора "Мощность активная (фаза B), кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14937, 'Мощность активная (фаза B), кВт', '', 1096, 1, 18, 'PB', 426, 385);
-- Добавление параметра прибора "Мощность активная (фаза C), кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14938, 'Мощность активная (фаза C), кВт', '', 1096, 1, 19, 'PC', 426, 385);
-- Добавление параметра прибора "Мощность реактивная (по всем фазам), квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14939, 'Мощность реактивная (по всем фазам), квар', '', 1096, 1, 20, 'Q', 426, 385);
-- Добавление параметра прибора "Мощность реактивная (фаза A), квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14940, 'Мощность реактивная (фаза A), квар', '', 1096, 1, 21, 'QA', 426, 385);
-- Добавление параметра прибора "Мощность реактивная (фаза B), квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14941, 'Мощность реактивная (фаза B), квар', '', 1096, 1, 22, 'QB', 426, 385);
-- Добавление параметра прибора "Мощность реактивная (фаза C), квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14942, 'Мощность реактивная (фаза C), квар', '', 1096, 1, 23, 'QC', 426, 385);
-- Добавление параметра прибора "Мощность полная (по всем фазам), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14943, 'Мощность полная (по всем фазам), кВА', '', 1096, 1, 24, 'S', 426, 385);
-- Добавление параметра прибора "Мощность полная (фаза A), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14944, 'Мощность полная (фаза A), кВА', '', 1096, 1, 25, 'SA', 426, 385);
-- Добавление параметра прибора "Мощность полная (фаза B), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14945, 'Мощность полная (фаза B), кВА', '', 1096, 1, 26, 'SB', 426, 385);
-- Добавление параметра прибора "Мощность полная (фаза C), кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14946, 'Мощность полная (фаза C), кВА', '', 1096, 1, 27, 'SC', 426, 385);
-- Добавление параметра прибора "Коэффициент активной мощности (по всем фазам) cos(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14947, 'Коэффициент активной мощности (по всем фазам) cos(ф)', '', 1096, 1, 28, 'cosf', 426, 385);
-- Добавление параметра прибора "Коэффициент активной мощности (фаза A) cos(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14948, 'Коэффициент активной мощности (фаза A) cos(ф)', '', 1096, 1, 29, 'cosfA', 426, 385);
-- Добавление параметра прибора "Коэффициент активной мощности (фаза B) cos(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14949, 'Коэффициент активной мощности (фаза B) cos(ф)', '', 1096, 1, 30, 'cosfB', 426, 385);
-- Добавление параметра прибора "Коэффициент активной мощности (фаза C) cos(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14950, 'Коэффициент активной мощности (фаза C) cos(ф)', '', 1096, 1, 31, 'cosfC', 426, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности (по всем фазам) sin(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14951, 'Коэффициент реактивной мощности (по всем фазам) sin(ф)', '', 1096, 1, 32, 'sinf', 426, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности (фаза A) sin(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14952, 'Коэффициент реактивной мощности (фаза A) sin(ф)', '', 1096, 1, 33, 'sinfA', 426, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности (фаза B) sin(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14953, 'Коэффициент реактивной мощности (фаза B) sin(ф)', '', 1096, 1, 34, 'sinfB', 426, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности (фаза C) sin(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14954, 'Коэффициент реактивной мощности (фаза C) sin(ф)', '', 1096, 1, 35, 'sinfC', 426, 385);
-- Добавление параметра прибора "Коэффициент мощности (по всем фазам) tg(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14955, 'Коэффициент мощности (по всем фазам) tg(ф)', '', 1096, 1, 36, 'tgf', 426, 385);
-- Добавление параметра прибора "Коэффициент мощности (фаза A) tg(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14956, 'Коэффициент мощности (фаза A) tg(ф)', '', 1096, 1, 37, 'tgfA', 426, 385);
-- Добавление параметра прибора "Коэффициент мощности (фаза B) tg(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14957, 'Коэффициент мощности (фаза B) tg(ф)', '', 1096, 1, 38, 'tgfB', 426, 385);
-- Добавление параметра прибора "Коэффициент мощности (фаза C) tg(ф)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14958, 'Коэффициент мощности (фаза C) tg(ф)', '', 1096, 1, 39, 'tgfC', 426, 385);
-- Добавление параметра прибора "Угол между током и напряжением (фаза A), град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14959, 'Угол между током и напряжением (фаза A), град', '', 1096, 1, 40, 'cIUA', 426, 385);
-- Добавление параметра прибора "Угол между током и напряжением (фаза B), град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14960, 'Угол между током и напряжением (фаза B), град', '', 1096, 1, 41, 'cIUB', 426, 385);
-- Добавление параметра прибора "Угол между током и напряжением (фаза C), град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14961, 'Угол между током и напряжением (фаза C), град', '', 1096, 1, 42, 'cIUC', 426, 385);
-- Добавление параметра прибора "Угол между напряжениями фаз (фазы A-B), град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14962, 'Угол между напряжениями фаз (фазы A-B), град', '', 1096, 1, 43, 'cUUA', 426, 385);
-- Добавление параметра прибора "Угол между напряжениями фаз (фазы B-C), град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14963, 'Угол между напряжениями фаз (фазы B-C), град', '', 1096, 1, 44, 'cUUB', 426, 385);
-- Добавление параметра прибора "Угол между напряжениями фаз (фазы C-A), град"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14964, 'Угол между напряжениями фаз (фазы C-A), град', '', 1096, 1, 45, 'cUUC', 426, 385);
-- Добавление параметра прибора "Частота сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14965, 'Частота сети, Гц', '', 1096, 1, 46, 'f', 426, 385);
-- Добавление параметра прибора "Отклонение частоты сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14966, 'Отклонение частоты сети, Гц', '', 1096, 1, 47, 'fD', 426, 385);
-- Добавление параметра прибора "Положительное отклонение напряжения (фаза A), %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14967, 'Положительное отклонение напряжения (фаза A), %', '', 1096, 1, 48, 'UAD+', 426, 385);
-- Добавление параметра прибора "Положительное отклонение напряжения (фаза B), %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14968, 'Положительное отклонение напряжения (фаза B), %', '', 1096, 1, 49, 'UBD+', 426, 385);
-- Добавление параметра прибора "Положительное отклонение напряжения (фаза C), %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14969, 'Положительное отклонение напряжения (фаза C), %', '', 1096, 1, 50, 'UCD+', 426, 385);
-- Добавление параметра прибора "Отрицательное отклонение напряжения (фаза A), %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14970, 'Отрицательное отклонение напряжения (фаза A), %', '', 1096, 1, 51, 'UAD-', 426, 385);
-- Добавление параметра прибора "Отрицательное отклонение напряжения (фаза B), %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14971, 'Отрицательное отклонение напряжения (фаза B), %', '', 1096, 1, 52, 'UBD-', 426, 385);
-- Добавление параметра прибора "Отрицательное отклонение напряжения (фаза C), %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14972, 'Отрицательное отклонение напряжения (фаза C), %', '', 1096, 1, 53, 'UCD-', 426, 385);
-- Добавление параметра прибора "Прогнозируемая активная суммарная потребленная мощность интервала, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14973, 'Прогнозируемая активная суммарная потребленная мощность интервала, кВт', '', 1096, 1, 54, 'Pav', 426, 385);

---- Группа "Профили" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1097, 'Профили', '', 426, 0);

-- Добавление параметра прибора "Данные по профилю 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14974, 'Данные по профилю 1', '', 1097, 1, 167, 'p1', 426, 402);
-- Добавление параметра прибора "Данные по профилю 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14975, 'Данные по профилю 2', '', 1097, 1, 168, 'p2', 426, 402);
-- Добавление параметра прибора "Данные по профилю 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14976, 'Данные по профилю 3', '', 1097, 1, 169, 'p3', 426, 402);
-- Добавление параметра прибора "Данные по профилю 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14977, 'Данные по профилю 4', '', 1097, 1, 170, 'p4', 426, 402);
-- Добавление параметра прибора "Данные по профилю 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14978, 'Данные по профилю 5', '', 1097, 1, 171, 'p5', 426, 402);
-- Добавление параметра прибора "Данные по профилю 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14979, 'Данные по профилю 6', '', 1097, 1, 172, 'p6', 426, 402);

---- Группа "Реактивная потреблённая энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1098, 'Реактивная потреблённая энергия', '', 426, 0);

-- Добавление параметра прибора "Энергия R+ реактивная суммарная, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14980, 'Энергия R+ реактивная суммарная, потреблённая, квар*ч', '', 1098, 1, 83, 'tR+T0', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 1, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14981, 'Энергия R+ реактивная по тарифу 1, потреблённая, квар*ч', '', 1098, 1, 84, 'tR+T1', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 2, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14982, 'Энергия R+ реактивная по тарифу 2, потреблённая, квар*ч', '', 1098, 1, 85, 'tR+T2', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 3, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14983, 'Энергия R+ реактивная по тарифу 3, потреблённая, квар*ч', '', 1098, 1, 86, 'tR+T3', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 4, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14984, 'Энергия R+ реактивная по тарифу 4, потреблённая, квар*ч', '', 1098, 1, 87, 'tR+T4', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 5, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14985, 'Энергия R+ реактивная по тарифу 5, потреблённая, квар*ч', '', 1098, 1, 88, 'tR+T5', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 6, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14986, 'Энергия R+ реактивная по тарифу 6, потреблённая, квар*ч', '', 1098, 1, 89, 'tR+T6', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 7, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14987, 'Энергия R+ реактивная по тарифу 7, потреблённая, квар*ч', '', 1098, 1, 90, 'tR+T7', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 8, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14988, 'Энергия R+ реактивная по тарифу 8, потреблённая, квар*ч', '', 1098, 1, 91, 'tR+T8', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 9, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14989, 'Энергия R+ реактивная по тарифу 9, потреблённая, квар*ч', '', 1098, 1, 92, 'tR+T9', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по тарифу 10, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14990, 'Энергия R+ реактивная по тарифу 10, потреблённая, квар*ч', '', 1098, 1, 93, 'tR+T10', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по фазе A, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14991, 'Энергия R+ реактивная по фазе A, потреблённая, квар*ч', '', 1098, 1, 94, 'tR+A', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по фазе B, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14992, 'Энергия R+ реактивная по фазе B, потреблённая, квар*ч', '', 1098, 1, 95, 'tR+B', 426, 397);
-- Добавление параметра прибора "Энергия R+ реактивная по фазе C, потреблённая, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14993, 'Энергия R+ реактивная по фазе C, потреблённая, квар*ч', '', 1098, 1, 96, 'tR+C', 426, 397);

---- Группа "Реактивная сгенерированная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1099, 'Реактивная сгенерированная энергия', '', 426, 0);

-- Добавление параметра прибора "Энергия R- реактивная суммарная, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14994, 'Энергия R- реактивная суммарная, сгенерированная, квар*ч', '', 1099, 1, 97, 'tR-T0', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 1, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14995, 'Энергия R- реактивная по тарифу 1, сгенерированная, квар*ч', '', 1099, 1, 98, 'tR-T1', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 2, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14996, 'Энергия R- реактивная по тарифу 2, сгенерированная, квар*ч', '', 1099, 1, 99, 'tR-T2', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 3, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14997, 'Энергия R- реактивная по тарифу 3, сгенерированная, квар*ч', '', 1099, 1, 100, 'tR-T3', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 4, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14998, 'Энергия R- реактивная по тарифу 4, сгенерированная, квар*ч', '', 1099, 1, 101, 'tR-T4', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 5, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14999, 'Энергия R- реактивная по тарифу 5, сгенерированная, квар*ч', '', 1099, 1, 102, 'tR-T5', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 6, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15000, 'Энергия R- реактивная по тарифу 6, сгенерированная, квар*ч', '', 1099, 1, 103, 'tR-T6', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 7, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15001, 'Энергия R- реактивная по тарифу 7, сгенерированная, квар*ч', '', 1099, 1, 104, 'tR-T7', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 8, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15002, 'Энергия R- реактивная по тарифу 8, сгенерированная, квар*ч', '', 1099, 1, 105, 'tR-T8', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 9, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15003, 'Энергия R- реактивная по тарифу 9, сгенерированная, квар*ч', '', 1099, 1, 106, 'tR-T9', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по тарифу 10, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15004, 'Энергия R- реактивная по тарифу 10, сгенерированная, квар*ч', '', 1099, 1, 107, 'tR-T10', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по фазе A, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15005, 'Энергия R- реактивная по фазе A, сгенерированная, квар*ч', '', 1099, 1, 108, 'tR-A', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по фазе B, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15006, 'Энергия R- реактивная по фазе B, сгенерированная, квар*ч', '', 1099, 1, 109, 'tR-B', 426, 397);
-- Добавление параметра прибора "Энергия R- реактивная по фазе C, сгенерированная, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15007, 'Энергия R- реактивная по фазе C, сгенерированная, квар*ч', '', 1099, 1, 110, 'tR-C', 426, 397);

---- Группа "Срез активной потреблённой энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1100, 'Срез активной потреблённой энергии', '', 426, 0);

-- Добавление параметра прибора "Срез энергии А+ активной потреблённой суммарной, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15008, 'Срез энергии А+ активной потреблённой суммарной, за период, кВт*ч', '', 1100, 1, 111, 'dA+T0', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 1, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15009, 'Срез энергии А+ активной потреблённой по тарифу 1, за период, кВт*ч', '', 1100, 1, 112, 'dA+T1', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 2, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15010, 'Срез энергии А+ активной потреблённой по тарифу 2, за период, кВт*ч', '', 1100, 1, 113, 'dA+T2', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 3, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15011, 'Срез энергии А+ активной потреблённой по тарифу 3, за период, кВт*ч', '', 1100, 1, 114, 'dA+T3', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 4, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15012, 'Срез энергии А+ активной потреблённой по тарифу 4, за период, кВт*ч', '', 1100, 1, 115, 'dA+T4', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 5, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15013, 'Срез энергии А+ активной потреблённой по тарифу 5, за период, кВт*ч', '', 1100, 1, 116, 'dA+T5', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 6, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15014, 'Срез энергии А+ активной потреблённой по тарифу 6, за период, кВт*ч', '', 1100, 1, 117, 'dA+T6', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 7, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15015, 'Срез энергии А+ активной потреблённой по тарифу 7, за период, кВт*ч', '', 1100, 1, 118, 'dA+T7', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 8, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15016, 'Срез энергии А+ активной потреблённой по тарифу 8, за период, кВт*ч', '', 1100, 1, 119, 'dA+T8', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 9, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15017, 'Срез энергии А+ активной потреблённой по тарифу 9, за период, кВт*ч', '', 1100, 1, 120, 'dA+T9', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по тарифу 10, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15018, 'Срез энергии А+ активной потреблённой по тарифу 10, за период, кВт*ч', '', 1100, 1, 121, 'dA+T10', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по фазе A, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15019, 'Срез энергии А+ активной потреблённой по фазе A, за период, кВт*ч', '', 1100, 1, 122, 'dA+A', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по фазе B, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15020, 'Срез энергии А+ активной потреблённой по фазе B, за период, кВт*ч', '', 1100, 1, 123, 'dA+B', 426, 396);
-- Добавление параметра прибора "Срез энергии А+ активной потреблённой по фазе C, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15021, 'Срез энергии А+ активной потреблённой по фазе C, за период, кВт*ч', '', 1100, 1, 124, 'dA+C', 426, 396);

---- Группа "Срез активной сгенерированной энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1101, 'Срез активной сгенерированной энергии', '', 426, 0);

-- Добавление параметра прибора "Срез энергии А- активной сгенерированной суммарной, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15022, 'Срез энергии А- активной сгенерированной суммарной, за период, кВт*ч', '', 1101, 1, 125, 'dA-T0', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 1, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15023, 'Срез энергии А- активной сгенерированной по тарифу 1, за период, кВт*ч', '', 1101, 1, 126, 'dA-T1', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 2, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15024, 'Срез энергии А- активной сгенерированной по тарифу 2, за период, кВт*ч', '', 1101, 1, 127, 'dA-T2', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 3, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15025, 'Срез энергии А- активной сгенерированной по тарифу 3, за период, кВт*ч', '', 1101, 1, 128, 'dA-T3', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 4, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15026, 'Срез энергии А- активной сгенерированной по тарифу 4, за период, кВт*ч', '', 1101, 1, 129, 'dA-T4', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 5, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15027, 'Срез энергии А- активной сгенерированной по тарифу 5, за период, кВт*ч', '', 1101, 1, 130, 'dA-T5', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 6, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15028, 'Срез энергии А- активной сгенерированной по тарифу 6, за период, кВт*ч', '', 1101, 1, 131, 'dA-T6', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 7, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15029, 'Срез энергии А- активной сгенерированной по тарифу 7, за период, кВт*ч', '', 1101, 1, 132, 'dA-T7', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 8, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15030, 'Срез энергии А- активной сгенерированной по тарифу 8, за период, кВт*ч', '', 1101, 1, 133, 'dA-T8', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 9, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15031, 'Срез энергии А- активной сгенерированной по тарифу 9, за период, кВт*ч', '', 1101, 1, 134, 'dA-T9', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по тарифу 10, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15032, 'Срез энергии А- активной сгенерированной по тарифу 10, за период, кВт*ч', '', 1101, 1, 135, 'dA-T10', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по фазе A, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15033, 'Срез энергии А- активной сгенерированной по фазе A, за период, кВт*ч', '', 1101, 1, 136, 'dA-A', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по фазе B, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15034, 'Срез энергии А- активной сгенерированной по фазе B, за период, кВт*ч', '', 1101, 1, 137, 'dA-B', 426, 396);
-- Добавление параметра прибора "Срез энергии А- активной сгенерированной по фазе C, за период, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15035, 'Срез энергии А- активной сгенерированной по фазе C, за период, кВт*ч', '', 1101, 1, 138, 'dA-C', 426, 396);

---- Группа "Срез реактивной потреблённой энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1102, 'Срез реактивной потреблённой энергии', '', 426, 0);

-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой суммарной, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15036, 'Срез энергии R+ реактивной потреблённой суммарной, за период, квар*ч', '', 1102, 1, 139, 'dR+T0', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 1, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15037, 'Срез энергии R+ реактивной потреблённой по тарифу 1, за период, квар*ч', '', 1102, 1, 140, 'dR+T1', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 2, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15038, 'Срез энергии R+ реактивной потреблённой по тарифу 2, за период, квар*ч', '', 1102, 1, 141, 'dR+T2', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 3, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15039, 'Срез энергии R+ реактивной потреблённой по тарифу 3, за период, квар*ч', '', 1102, 1, 142, 'dR+T3', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 4, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15040, 'Срез энергии R+ реактивной потреблённой по тарифу 4, за период, квар*ч', '', 1102, 1, 143, 'dR+T4', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 5, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15041, 'Срез энергии R+ реактивной потреблённой по тарифу 5, за период, квар*ч', '', 1102, 1, 144, 'dR+T5', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 6, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15042, 'Срез энергии R+ реактивной потреблённой по тарифу 6, за период, квар*ч', '', 1102, 1, 145, 'dR+T6', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 7, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15043, 'Срез энергии R+ реактивной потреблённой по тарифу 7, за период, квар*ч', '', 1102, 1, 146, 'dR+T7', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 8, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15044, 'Срез энергии R+ реактивной потреблённой по тарифу 8, за период, квар*ч', '', 1102, 1, 147, 'dR+T8', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 9, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15045, 'Срез энергии R+ реактивной потреблённой по тарифу 9, за период, квар*ч', '', 1102, 1, 148, 'dR+T9', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по тарифу 10, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15046, 'Срез энергии R+ реактивной потреблённой по тарифу 10, за период, квар*ч', '', 1102, 1, 149, 'dR+T10', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по фазе A, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15047, 'Срез энергии R+ реактивной потреблённой по фазе A, за период, квар*ч', '', 1102, 1, 150, 'dR+A', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по фазе B, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15048, 'Срез энергии R+ реактивной потреблённой по фазе B, за период, квар*ч', '', 1102, 1, 151, 'dR+B', 426, 396);
-- Добавление параметра прибора "Срез энергии R+ реактивной потреблённой по фазе C, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15049, 'Срез энергии R+ реактивной потреблённой по фазе C, за период, квар*ч', '', 1102, 1, 152, 'dR+C', 426, 396);

---- Группа "Срез реактивной сгенерированной энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1103, 'Срез реактивной сгенерированной энергии', '', 426, 0);

-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной суммарной, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15050, 'Срез энергии R- реактивной сгенерированной суммарной, за период, квар*ч', '', 1103, 1, 153, 'dR-T0', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 1, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15051, 'Срез энергии R- реактивной сгенерированной по тарифу 1, за период, квар*ч', '', 1103, 1, 154, 'dR-T1', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 2, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15052, 'Срез энергии R- реактивной сгенерированной по тарифу 2, за период, квар*ч', '', 1103, 1, 155, 'dR-T2', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 3, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15053, 'Срез энергии R- реактивной сгенерированной по тарифу 3, за период, квар*ч', '', 1103, 1, 156, 'dR-T3', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 4, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15054, 'Срез энергии R- реактивной сгенерированной по тарифу 4, за период, квар*ч', '', 1103, 1, 157, 'dR-T4', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 5, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15055, 'Срез энергии R- реактивной сгенерированной по тарифу 5, за период, квар*ч', '', 1103, 1, 158, 'dR-T5', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 6, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15056, 'Срез энергии R- реактивной сгенерированной по тарифу 6, за период, квар*ч', '', 1103, 1, 159, 'dR-T6', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 7, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15057, 'Срез энергии R- реактивной сгенерированной по тарифу 7, за период, квар*ч', '', 1103, 1, 160, 'dR-T7', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 8, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15058, 'Срез энергии R- реактивной сгенерированной по тарифу 8, за период, квар*ч', '', 1103, 1, 161, 'dR-T8', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 9, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15059, 'Срез энергии R- реактивной сгенерированной по тарифу 9, за период, квар*ч', '', 1103, 1, 162, 'dR-T9', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по тарифу 10, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15060, 'Срез энергии R- реактивной сгенерированной по тарифу 10, за период, квар*ч', '', 1103, 1, 163, 'dR-T10', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по фазе A, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15061, 'Срез энергии R- реактивной сгенерированной по фазе A, за период, квар*ч', '', 1103, 1, 164, 'dR-A', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по фазе B, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15062, 'Срез энергии R- реактивной сгенерированной по фазе B, за период, квар*ч', '', 1103, 1, 165, 'dR-B', 426, 396);
-- Добавление параметра прибора "Срез энергии R- реактивной сгенерированной по фазе C, за период, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15063, 'Срез энергии R- реактивной сгенерированной по фазе C, за период, квар*ч', '', 1103, 1, 166, 'dR-C', 426, 396);
