-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 16063 AND pr_typ_id <= 16090;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1128 AND gr_typ_id <= 1129;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 433;

---- Прибор "ВСКМ iWAN RS-485" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (433, 'ВСКМ iWAN RS-485', '', 0);

---- Группа "Конфигурационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1128, 'Конфигурационные', '', 433, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16063, 'Дата и время прибора', '', 1128, 1, 0, 'D', 433, 448);
-- Добавление параметра прибора "Адрес прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16064, 'Адрес прибора', '', 1128, 1, 1, 'addr', 433, 448);
-- Добавление параметра прибора "Год выпуска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16065, 'Год выпуска', '', 1128, 1, 2, 'proddate', 433, 448);
-- Добавление параметра прибора "Дата следующей поверки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16066, 'Дата следующей поверки', '', 1128, 1, 3, 'checkdate', 433, 448);
-- Добавление параметра прибора "Тип прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16067, 'Тип прибора', '', 1128, 1, 4, 'devtype', 433, 448);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16068, 'Версия ПО', '', 1128, 1, 5, 'swrev', 433, 448);
-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16069, 'Количество сбросов', '', 1128, 1, 6, 'resw', 433, 448);
-- Добавление параметра прибора "Слово текущих ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16070, 'Слово текущих ошибок', '', 1128, 1, 7, 'flags', 433, 448);
-- Добавление параметра прибора "Общее время работы, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16071, 'Общее время работы, ч', '', 1128, 1, 8, 'wt', 433, 448);
-- Добавление параметра прибора "Общее время работы с ошибками, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16072, 'Общее время работы с ошибками, ч', '', 1128, 1, 9, 'wterr', 433, 448);
-- Добавление параметра прибора "Цена импульсного входа 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16073, 'Цена импульсного входа 1', '', 1128, 1, 10, 'i1c', 433, 448);
-- Добавление параметра прибора "Цена импульсного входа 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16074, 'Цена импульсного входа 2', '', 1128, 1, 11, 'i2c', 433, 448);
-- Добавление параметра прибора "Цена импульсного входа 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16075, 'Цена импульсного входа 3', '', 1128, 1, 12, 'i3c', 433, 448);
-- Добавление параметра прибора "Цена импульсного входа 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16076, 'Цена импульсного входа 4', '', 1128, 1, 13, 'i4c', 433, 448);
-- Добавление параметра прибора "Поток прорыва, л/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16077, 'Поток прорыва, л/ч', '', 1128, 1, 14, 'gapflow', 433, 448);
-- Добавление параметра прибора "Время прорыва, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16078, 'Время прорыва, сек', '', 1128, 1, 15, 'gaptime', 433, 448);
-- Добавление параметра прибора "Поток протечки, л/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16079, 'Поток протечки, л/ч', '', 1128, 1, 16, 'leakflow', 433, 448);
-- Добавление параметра прибора "Время протечки, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16080, 'Время протечки, сек', '', 1128, 1, 17, 'leaktime', 433, 448);

---- Группа "Новая группа" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1129, 'Новая группа', '', 433, 0);

-- Добавление параметра прибора "Мгновенный расход, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16081, 'Мгновенный расход, м3/ч', '', 1129, 1, 18, 'V', 433, 385);
-- Добавление параметра прибора "Объём прямого потока, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16082, 'Объём прямого потока, м3', '', 1129, 1, 19, 'VS', 433, 387);
-- Добавление параметра прибора "Объём обратного потока, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16083, 'Объём обратного потока, м3', '', 1129, 1, 20, 'VB', 433, 387);
-- Добавление параметра прибора "Объём воды при расходе выше Vqmax, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16084, 'Объём воды при расходе выше Vqmax, м3', '', 1129, 1, 21, 'Vqmax', 433, 387);
-- Добавление параметра прибора "Температура прибора, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16085, 'Температура прибора, гр. С', '', 1129, 1, 22, 'tdev', 433, 387);
-- Добавление параметра прибора "Сбросы и ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16086, 'Сбросы и ошибки', '', 1129, 1, 23, 'err', 433, 387);
-- Добавление параметра прибора "Импульсный вход 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16087, 'Импульсный вход 1, м3', '', 1129, 1, 24, 'i1', 433, 387);
-- Добавление параметра прибора "Импульсный вход 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16088, 'Импульсный вход 2, м3', '', 1129, 1, 25, 'i2', 433, 387);
-- Добавление параметра прибора "Импульсный вход 3, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16089, 'Импульсный вход 3, м3', '', 1129, 1, 26, 'i3', 433, 387);
-- Добавление параметра прибора "Импульсный вход 4, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16090, 'Импульсный вход 4, м3', '', 1129, 1, 27, 'i4', 433, 387);
