-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 16334 AND pr_typ_id <= 16373;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1146 AND gr_typ_id <= 1149;

---- Прибор "Меркурий-230" ----


---- Группа "Максимумы мощности" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1146, 'Максимумы мощности', '', 104, 0);

-- Добавление параметра прибора "Интервал утреннего максимума мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16334, 'Интервал утреннего максимума мощности', '', 1146, 1, 64, 'maxPmi', 104, 393);
-- Добавление параметра прибора "Интервал вечернего максимума мощност"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16335, 'Интервал вечернего максимума мощност', '', 1146, 1, 65, 'maxPei', 104, 393);
-- Добавление параметра прибора "Утренний максимум мощности P+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16336, 'Утренний максимум мощности P+', '', 1146, 1, 66, 'maxP+m', 104, 393);
-- Добавление параметра прибора "Вечерний максимум мощности P+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16337, 'Вечерний максимум мощности P+', '', 1146, 1, 67, 'maxP+e', 104, 393);
-- Добавление параметра прибора "Утренний максимум мощности P-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16338, 'Утренний максимум мощности P-', '', 1146, 1, 68, 'maxP-m', 104, 393);
-- Добавление параметра прибора "Вечерний максимум мощности P-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16339, 'Вечерний максимум мощности P-', '', 1146, 1, 69, 'maxP-e', 104, 393);
-- Добавление параметра прибора "Утренний максимум мощности Q+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16340, 'Утренний максимум мощности Q+', '', 1146, 1, 70, 'maxQ+m', 104, 393);
-- Добавление параметра прибора "Вечерний максимум мощности Q+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16341, 'Вечерний максимум мощности Q+', '', 1146, 1, 71, 'maxQ+e', 104, 393);
-- Добавление параметра прибора "Утренний максимум мощности Q-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16342, 'Утренний максимум мощности Q-', '', 1146, 1, 72, 'maxQ-m', 104, 393);
-- Добавление параметра прибора "Вечерний максимум мощности Q-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16343, 'Вечерний максимум мощности Q-', '', 1146, 1, 73, 'maxQ-e', 104, 393);

---- Группа "Мгновенные" ----

  -- Обновление параметра прибора "Мощность акт. Фаза1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Фаза1', "Comment" = '', "NameP2" = 'P1', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=0,  gr_typ_id=56   WHERE pr_typ_id = 457;
  -- Обновление параметра прибора "Мощность полная Фаза1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность полная Фаза1', "Comment" = '', "NameP2" = 'S1', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=2,  gr_typ_id=56   WHERE pr_typ_id = 459;
  -- Обновление параметра прибора "Ток Фаза1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Фаза1', "Comment" = '', "NameP2" = 'I1', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=3,  gr_typ_id=56   WHERE pr_typ_id = 460;
  -- Обновление параметра прибора "Напряжение Фаза1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Фаза1', "Comment" = '', "NameP2" = 'U1', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=4,  gr_typ_id=56   WHERE pr_typ_id = 461;
  -- Обновление параметра прибора "Напряжение Фаза2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Фаза2', "Comment" = '', "NameP2" = 'U2', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=5,  gr_typ_id=56   WHERE pr_typ_id = 480;
  -- Обновление параметра прибора "Мощность акт. Фаза2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Фаза2', "Comment" = '', "NameP2" = 'P2', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=6,  gr_typ_id=56   WHERE pr_typ_id = 481;
  -- Обновление параметра прибора "Мощность реакт Фаза2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт Фаза2', "Comment" = '', "NameP2" = 'Q2', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=7,  gr_typ_id=56   WHERE pr_typ_id = 482;
  -- Обновление параметра прибора "Мощность полная Фаза2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность полная Фаза2', "Comment" = '', "NameP2" = 'S2', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=8,  gr_typ_id=56   WHERE pr_typ_id = 483;
  -- Обновление параметра прибора "Ток Фаза2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Фаза2', "Comment" = '', "NameP2" = 'I2', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=9,  gr_typ_id=56   WHERE pr_typ_id = 484;
  -- Обновление параметра прибора "Напряжение Фаза3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Фаза3', "Comment" = '', "NameP2" = 'U3', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=10,  gr_typ_id=56   WHERE pr_typ_id = 485;
  -- Обновление параметра прибора "Мощность акт. Фаза3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Фаза3', "Comment" = '', "NameP2" = 'P3', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=11,  gr_typ_id=56   WHERE pr_typ_id = 486;
  -- Обновление параметра прибора "Мощность реакт Фаза3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт Фаза3', "Comment" = '', "NameP2" = 'Q3', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=12,  gr_typ_id=56   WHERE pr_typ_id = 487;
  -- Обновление параметра прибора "Мощность полная Фаза3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность полная Фаза3', "Comment" = '', "NameP2" = 'S3', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=13,  gr_typ_id=56   WHERE pr_typ_id = 488;
  -- Обновление параметра прибора "Ток Фаза3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Фаза3', "Comment" = '', "NameP2" = 'I3', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=14,  gr_typ_id=56   WHERE pr_typ_id = 489;
  -- Обновление параметра прибора "Частота"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Частота', "Comment" = '', "NameP2" = 'H', dev_typ_id = 104, "SupportData" = 2147483521,  "typ_dat_Arh"=15,  gr_typ_id=56   WHERE pr_typ_id = 505;
  -- Обновление параметра прибора "cos fi Фаза1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Фаза1', "Comment" = '', "NameP2" = 'cosFi1', dev_typ_id = 104, "SupportData" = 385,  "typ_dat_Arh"=16,  gr_typ_id=56   WHERE pr_typ_id = 10104;
  -- Обновление параметра прибора "cos fi Фаза2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Фаза2', "Comment" = '', "NameP2" = 'cosFi2', dev_typ_id = 104, "SupportData" = 385,  "typ_dat_Arh"=17,  gr_typ_id=56   WHERE pr_typ_id = 10105;
  -- Обновление параметра прибора "cos fi Фаза3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Фаза3', "Comment" = '', "NameP2" = 'cosFi3', dev_typ_id = 104, "SupportData" = 385,  "typ_dat_Arh"=18,  gr_typ_id=56   WHERE pr_typ_id = 10106;
  -- Обновление параметра прибора "Коф. синус Фаза1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Фаза1', "Comment" = '', "NameP2" = 'cF1', dev_typ_id = 104, "SupportData" = 385,  "typ_dat_Arh"=19,  gr_typ_id=56   WHERE pr_typ_id = 10107;
  -- Обновление параметра прибора "Коф. синус Фаза2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Фаза2', "Comment" = '', "NameP2" = 'cF2', dev_typ_id = 104, "SupportData" = 385,  "typ_dat_Arh"=20,  gr_typ_id=56   WHERE pr_typ_id = 10108;
  -- Обновление параметра прибора "Коф. синус Фаза3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Фаза3', "Comment" = '', "NameP2" = 'cF3', dev_typ_id = 104, "SupportData" = 385,  "typ_dat_Arh"=21,  gr_typ_id=56   WHERE pr_typ_id = 10109;

---- Группа "Мощность" ----

  -- Обновление параметра прибора "активная прямая мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'активная прямая мощность', "Comment" = '', "NameP2" = 'P+', dev_typ_id = 104, "SupportData" = 416,  "typ_dat_Arh"=60,  gr_typ_id=697   WHERE pr_typ_id = 9380;
  -- Обновление параметра прибора "активная обратная мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'активная обратная мощность', "Comment" = '', "NameP2" = 'P-', dev_typ_id = 104, "SupportData" = 416,  "typ_dat_Arh"=61,  gr_typ_id=697   WHERE pr_typ_id = 9381;
  -- Обновление параметра прибора "реактивная прямая мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'реактивная прямая мощность', "Comment" = '', "NameP2" = 'Q+', dev_typ_id = 104, "SupportData" = 416,  "typ_dat_Arh"=62,  gr_typ_id=697   WHERE pr_typ_id = 9382;
  -- Обновление параметра прибора "реактивная обратная мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'реактивная обратная мощность', "Comment" = '', "NameP2" = 'Q-', dev_typ_id = 104, "SupportData" = 416,  "typ_dat_Arh"=63,  gr_typ_id=697   WHERE pr_typ_id = 9383;

---- Группа "Общие" ----

  -- Обновление параметра прибора "Энерг.Сумм.Актив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив+', "Comment" = '', "NameP2" = 'EA_sum+', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=56,  gr_typ_id=625   WHERE pr_typ_id = 8354;
  -- Обновление параметра прибора "Энерг.Сумм. Актив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Актив-', "Comment" = '', "NameP2" = 'EA_sum-', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=57,  gr_typ_id=625   WHERE pr_typ_id = 8355;
  -- Обновление параметра прибора "Энерг.Сумм. Реактив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Реактив-', "Comment" = '', "NameP2" = 'ER_sum-', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=58,  gr_typ_id=625   WHERE pr_typ_id = 8356;
  -- Обновление параметра прибора "Энерг.Сумм. Реактив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Реактив+', "Comment" = '', "NameP2" = 'ER_sum+', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=59,  gr_typ_id=625   WHERE pr_typ_id = 8357;

---- Группа "Системные" ----

  -- Обновление параметра прибора "Зав. Номер"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Зав. Номер', "Comment" = 'текущие', "NameP2" = 'N', dev_typ_id = 104, "SupportData" = 2147483585,  "typ_dat_Arh"=54,  gr_typ_id=51   WHERE pr_typ_id = 3874;
  -- Обновление параметра прибора "Дата время"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата время', "Comment" = 'текущие', "NameP2" = 'D', dev_typ_id = 104, "SupportData" = 2147483585,  "typ_dat_Arh"=55,  gr_typ_id=51   WHERE pr_typ_id = 3875;

---- Группа "Тариф1" ----

  -- Обновление параметра прибора "Энергия акт. прям. тар.1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия акт. прям. тар.1', "Comment" = '', "NameP2" = 'AF1', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=22,  gr_typ_id=52   WHERE pr_typ_id = 464;
  -- Обновление параметра прибора "Энергия акт. обр. тар.1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия акт. обр. тар.1', "Comment" = '', "NameP2" = 'AR1', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=23,  gr_typ_id=52   WHERE pr_typ_id = 465;
  -- Обновление параметра прибора "Энергия реакт. прям. тр1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия реакт. прям. тр1', "Comment" = '', "NameP2" = 'RF1', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=24,  gr_typ_id=52   WHERE pr_typ_id = 466;
  -- Обновление параметра прибора "Энергия реакт. обр. тр1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия реакт. обр. тр1', "Comment" = '', "NameP2" = 'RR1', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=25,  gr_typ_id=52   WHERE pr_typ_id = 467;
  -- Обновление параметра прибора "Энерг.Сумм.Актив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив1+', "Comment" = '', "NameP2" = 'EA_sum+1', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=26,  gr_typ_id=52   WHERE pr_typ_id = 8338;
  -- Обновление параметра прибора "Энерг.Сумм.Актив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив1-', "Comment" = '', "NameP2" = 'EA_sum-1', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=27,  gr_typ_id=52   WHERE pr_typ_id = 8339;
  -- Обновление параметра прибора "Энерг.Сумм.Реактив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Реактив1-', "Comment" = '', "NameP2" = 'ER_sum-1', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=28,  gr_typ_id=52   WHERE pr_typ_id = 8340;
  -- Обновление параметра прибора "Энерг.Сумм.Реактив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Реактив1+', "Comment" = '', "NameP2" = 'ER_sum+1', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=29,  gr_typ_id=52   WHERE pr_typ_id = 8341;

---- Группа "Тариф2" ----

  -- Обновление параметра прибора "Энергия акт. прям. тар.2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия акт. прям. тар.2', "Comment" = '', "NameP2" = 'AF2', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=30,  gr_typ_id=53   WHERE pr_typ_id = 468;
  -- Обновление параметра прибора "Энергия акт. обр. тар.2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия акт. обр. тар.2', "Comment" = '', "NameP2" = 'AR2', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=31,  gr_typ_id=53   WHERE pr_typ_id = 469;
  -- Обновление параметра прибора "Энергия реакт. прям. тар2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия реакт. прям. тар2', "Comment" = '', "NameP2" = 'RF2', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=32,  gr_typ_id=53   WHERE pr_typ_id = 470;
  -- Обновление параметра прибора "Энергия реакт. обр. тар2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия реакт. обр. тар2', "Comment" = '', "NameP2" = 'RR2', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=33,  gr_typ_id=53   WHERE pr_typ_id = 471;
  -- Обновление параметра прибора "Энерг.Сум.Актив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив2+', "Comment" = '', "NameP2" = 'EA_sum+2', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=34,  gr_typ_id=53   WHERE pr_typ_id = 8342;
  -- Обновление параметра прибора "Энерг.Сум.Актив2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив2', "Comment" = '', "NameP2" = 'EA_sum-2', dev_typ_id = 104, "SupportData" = 141,  "typ_dat_Arh"=35,  gr_typ_id=53   WHERE pr_typ_id = 8343;
  -- Обновление параметра прибора "Энерг.Сум.Реактив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив2-', "Comment" = '', "NameP2" = 'ER_sum-2', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=36,  gr_typ_id=53   WHERE pr_typ_id = 8344;
  -- Обновление параметра прибора "Энерг.Сум.Реактив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив2+', "Comment" = '', "NameP2" = 'ER_sum+2', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=37,  gr_typ_id=53   WHERE pr_typ_id = 8345;

---- Группа "Тариф3" ----

  -- Обновление параметра прибора "Энергия акт. прям. тар.3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия акт. прям. тар.3', "Comment" = '', "NameP2" = 'AF3', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=38,  gr_typ_id=54   WHERE pr_typ_id = 472;
  -- Обновление параметра прибора "Энергия акт. обр. тар.3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия акт. обр. тар.3', "Comment" = '', "NameP2" = 'AR3', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=39,  gr_typ_id=54   WHERE pr_typ_id = 473;
  -- Обновление параметра прибора "Энергия реакт. прям. тар3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия реакт. прям. тар3', "Comment" = '', "NameP2" = 'RF3', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=40,  gr_typ_id=54   WHERE pr_typ_id = 474;
  -- Обновление параметра прибора "Энергия реакт. обр. тар3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия реакт. обр. тар3', "Comment" = '', "NameP2" = 'RR3', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=41,  gr_typ_id=54   WHERE pr_typ_id = 475;
  -- Обновление параметра прибора "Энерг.Сум.Актив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив3+', "Comment" = '', "NameP2" = 'EA_sum+3', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=42,  gr_typ_id=54   WHERE pr_typ_id = 8346;
  -- Обновление параметра прибора "Энерг.Сум.Актив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив3-', "Comment" = '', "NameP2" = 'EA_sum-3', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=43,  gr_typ_id=54   WHERE pr_typ_id = 8347;
  -- Обновление параметра прибора "Энерг.Сум.Реактив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив3-', "Comment" = '', "NameP2" = 'ER_sum-3', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=44,  gr_typ_id=54   WHERE pr_typ_id = 8348;
  -- Обновление параметра прибора "Энерг.Сум.Реактив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив3+', "Comment" = '', "NameP2" = 'ER_sum+3', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=45,  gr_typ_id=54   WHERE pr_typ_id = 8349;

---- Группа "Тариф4" ----

  -- Обновление параметра прибора "Энергия акт. прям. тар.4"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия акт. прям. тар.4', "Comment" = '', "NameP2" = 'AF4', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=46,  gr_typ_id=55   WHERE pr_typ_id = 476;
  -- Обновление параметра прибора "Энергия акт. обр. тар.4"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия акт. обр. тар.4', "Comment" = '', "NameP2" = 'AR4', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=47,  gr_typ_id=55   WHERE pr_typ_id = 477;
  -- Обновление параметра прибора "Энергия реакт. прям. тр4"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия реакт. прям. тр4', "Comment" = '', "NameP2" = 'RF4', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=48,  gr_typ_id=55   WHERE pr_typ_id = 478;
  -- Обновление параметра прибора "Энергия реакт. обр. тр4"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия реакт. обр. тр4', "Comment" = '', "NameP2" = 'RR4', dev_typ_id = 104, "SupportData" = 2147483545,  "typ_dat_Arh"=49,  gr_typ_id=55   WHERE pr_typ_id = 479;
  -- Обновление параметра прибора "Энерг.Сум.Актив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив4+', "Comment" = '', "NameP2" = 'EA_sum+4', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=50,  gr_typ_id=55   WHERE pr_typ_id = 8350;
  -- Обновление параметра прибора "Энерг.Сум. Актив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум. Актив4-', "Comment" = '', "NameP2" = 'EA_sum-4', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=51,  gr_typ_id=55   WHERE pr_typ_id = 8351;
  -- Обновление параметра прибора "Энерг.Сум..Реактив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум..Реактив4-', "Comment" = '', "NameP2" = 'ER_sum-4', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=52,  gr_typ_id=55   WHERE pr_typ_id = 8352;
  -- Обновление параметра прибора "Энерг.Сум.Реактив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив4+', "Comment" = '', "NameP2" = 'ER_sum+4', dev_typ_id = 104, "SupportData" = 397,  "typ_dat_Arh"=53,  gr_typ_id=55   WHERE pr_typ_id = 8353;

---- Прибор "Меркурий233 PLC" ----


---- Группа "Максимумы мощности" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1147, 'Максимумы мощности', '', 210, 0);

-- Добавление параметра прибора "Интервал утреннего максимума мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16344, 'Интервал утреннего максимума мощности', '', 1147, 1, 72, 'maxPmi', 210, 393);
-- Добавление параметра прибора "Интервал вечернего максимума мощност"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16345, 'Интервал вечернего максимума мощност', '', 1147, 1, 73, 'maxPei', 210, 393);
-- Добавление параметра прибора "Утренний максимум мощности P+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16346, 'Утренний максимум мощности P+', '', 1147, 1, 74, 'maxP+m', 210, 393);
-- Добавление параметра прибора "Вечерний максимум мощности P+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16347, 'Вечерний максимум мощности P+', '', 1147, 1, 75, 'maxP+e', 210, 393);
-- Добавление параметра прибора "Утренний максимум мощности P-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16348, 'Утренний максимум мощности P-', '', 1147, 1, 76, 'maxP-m', 210, 393);
-- Добавление параметра прибора "Вечерний максимум мощности P-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16349, 'Вечерний максимум мощности P-', '', 1147, 1, 77, 'maxP-e', 210, 393);
-- Добавление параметра прибора "Утренний максимум мощности Q+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16350, 'Утренний максимум мощности Q+', '', 1147, 1, 78, 'maxQ+m', 210, 393);
-- Добавление параметра прибора "Вечерний максимум мощности Q+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16351, 'Вечерний максимум мощности Q+', '', 1147, 1, 79, 'maxQ+e', 210, 393);
-- Добавление параметра прибора "Утренний максимум мощности Q-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16352, 'Утренний максимум мощности Q-', '', 1147, 1, 80, 'maxQ-m', 210, 393);
-- Добавление параметра прибора "Вечерний максимум мощности Q-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16353, 'Вечерний максимум мощности Q-', '', 1147, 1, 81, 'maxQ-e', 210, 393);

---- Группа "Общие" ----

  -- Обновление параметра прибора "Энерг. Актив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив+', "Comment" = 'Архив, текущие', "NameP2" = 'EA+', dev_typ_id = 210, "SupportData" = 2147483551,  "typ_dat_Arh"=34,  gr_typ_id=404   WHERE pr_typ_id = 4824;
  -- Обновление параметра прибора "Энерг. Актив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив-', "Comment" = 'Архив, текущие', "NameP2" = 'EA-', dev_typ_id = 210, "SupportData" = 2147483551,  "typ_dat_Arh"=35,  gr_typ_id=404   WHERE pr_typ_id = 4825;
  -- Обновление параметра прибора "Энерг. Реактив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив-', "Comment" = 'Архив, текущие', "NameP2" = 'ER-', dev_typ_id = 210, "SupportData" = 2147483551,  "typ_dat_Arh"=36,  gr_typ_id=404   WHERE pr_typ_id = 4826;
  -- Обновление параметра прибора "Энерг. Реактив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив+', "Comment" = 'Архив, текущие', "NameP2" = 'ER+', dev_typ_id = 210, "SupportData" = 2147483551,  "typ_dat_Arh"=37,  gr_typ_id=404   WHERE pr_typ_id = 4827;
  -- Обновление параметра прибора "Мощность актив."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность актив.', "Comment" = 'текущие', "NameP2" = 'P', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=38,  gr_typ_id=404   WHERE pr_typ_id = 4828;
  -- Обновление параметра прибора "Мощность реактив."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реактив.', "Comment" = 'текущие', "NameP2" = 'Q', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=39,  gr_typ_id=404   WHERE pr_typ_id = 4829;
  -- Обновление параметра прибора "Мощность общ."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность общ.', "Comment" = 'текущие', "NameP2" = 'S', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=40,  gr_typ_id=404   WHERE pr_typ_id = 4830;
  -- Обновление параметра прибора "Cos fi общ."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Cos fi общ.', "Comment" = 'текущие', "NameP2" = 'cosFi', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=41,  gr_typ_id=404   WHERE pr_typ_id = 4831;
  -- Обновление параметра прибора "Частота"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Частота', "Comment" = 'текущие', "NameP2" = 'F', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=42,  gr_typ_id=404   WHERE pr_typ_id = 4832;
  -- Обновление параметра прибора "Темпер. в приборе"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Темпер. в приборе', "Comment" = 'текущие', "NameP2" = 'T', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=43,  gr_typ_id=404   WHERE pr_typ_id = 4833;
  -- Обновление параметра прибора "Угол Ф1Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол Ф1Ф2', "Comment" = 'текущие', "NameP2" = 'Fi12', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=44,  gr_typ_id=404   WHERE pr_typ_id = 4834;
  -- Обновление параметра прибора "Угол Ф1Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол Ф1Ф3', "Comment" = 'текущие', "NameP2" = 'Fi13', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=45,  gr_typ_id=404   WHERE pr_typ_id = 4835;
  -- Обновление параметра прибора "Угол Ф2Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол Ф2Ф3', "Comment" = 'текущие', "NameP2" = 'Fi23', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=46,  gr_typ_id=404   WHERE pr_typ_id = 4836;
  -- Обновление параметра прибора "Энерг.Сумм.Актив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив+', "Comment" = '', "NameP2" = 'EA_sum+', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=47,  gr_typ_id=404   WHERE pr_typ_id = 8358;
  -- Обновление параметра прибора "Энерг.Сумм. Актив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Актив-', "Comment" = '', "NameP2" = 'EA_sum-', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=48,  gr_typ_id=404   WHERE pr_typ_id = 8359;
  -- Обновление параметра прибора "Энерг.Сумм. Реактив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Реактив-', "Comment" = '', "NameP2" = 'ER_sum-', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=49,  gr_typ_id=404   WHERE pr_typ_id = 8360;
  -- Обновление параметра прибора "Энерг.Сумм. Реактив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Реактив+', "Comment" = '', "NameP2" = 'ER_sum+', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=50,  gr_typ_id=404   WHERE pr_typ_id = 8361;

---- Группа "Системные" ----

  -- Обновление параметра прибора "Дата время"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата время', "Comment" = 'текущие', "NameP2" = 'D', dev_typ_id = 210, "SupportData" = 2147483585,  "typ_dat_Arh"=0,  gr_typ_id=405   WHERE pr_typ_id = 4805;

---- Группа "Тариф1" ----

  -- Обновление параметра прибора "Энерг. Актив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив1+', "Comment" = 'Архив, текущие', "NameP2" = 'EA+1', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=2,  gr_typ_id=406   WHERE pr_typ_id = 4806;
  -- Обновление параметра прибора "Энерг. Актив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив1-', "Comment" = 'Архив, текущие', "NameP2" = 'EA-1', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=3,  gr_typ_id=406   WHERE pr_typ_id = 4807;
  -- Обновление параметра прибора "Энерг. Реактив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив1-', "Comment" = 'Архив, текущие', "NameP2" = 'ER-1', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=4,  gr_typ_id=406   WHERE pr_typ_id = 4809;
  -- Обновление параметра прибора "Энерг. Реактив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив1+', "Comment" = 'Архив, текущие', "NameP2" = 'ER+1', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=5,  gr_typ_id=406   WHERE pr_typ_id = 4810;
  -- Обновление параметра прибора "Энерг.Сумм.Актив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив1+', "Comment" = '', "NameP2" = 'EA_sum+1', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=6,  gr_typ_id=406   WHERE pr_typ_id = 7905;
  -- Обновление параметра прибора "Энерг.Сумм.Актив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив1-', "Comment" = '', "NameP2" = 'EA_sum-1', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=7,  gr_typ_id=406   WHERE pr_typ_id = 7906;
  -- Обновление параметра прибора "Энерг.Сумм.Реактив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Реактив1-', "Comment" = '', "NameP2" = 'ER_sum-1', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=8,  gr_typ_id=406   WHERE pr_typ_id = 7907;
  -- Обновление параметра прибора "Энерг.Сумм.Реактив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Реактив1+', "Comment" = '', "NameP2" = 'ER_sum+1', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=9,  gr_typ_id=406   WHERE pr_typ_id = 7908;

---- Группа "Тариф2" ----

  -- Обновление параметра прибора "Энерг. Актив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив2+', "Comment" = 'Архив, текущие', "NameP2" = 'EA+2', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=10,  gr_typ_id=407   WHERE pr_typ_id = 4811;
  -- Обновление параметра прибора "Энерг. Актив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив2-', "Comment" = 'Архив, текущие', "NameP2" = 'EA-2', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=11,  gr_typ_id=407   WHERE pr_typ_id = 4812;
  -- Обновление параметра прибора "Энерг. Реактив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив2-', "Comment" = 'Архив, текущие', "NameP2" = 'ER-2', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=12,  gr_typ_id=407   WHERE pr_typ_id = 4813;
  -- Обновление параметра прибора "Энерг. Реактив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив2+', "Comment" = 'Архив, текущие', "NameP2" = 'ER+2', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=13,  gr_typ_id=407   WHERE pr_typ_id = 4814;
  -- Обновление параметра прибора "Энерг.Сум.Актив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив2+', "Comment" = '', "NameP2" = 'EA_sum+2', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=14,  gr_typ_id=407   WHERE pr_typ_id = 7909;
  -- Обновление параметра прибора "Энерг.Сум.Актив2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив2', "Comment" = '', "NameP2" = 'EA_sum-2', dev_typ_id = 210, "SupportData" = 141,  "typ_dat_Arh"=15,  gr_typ_id=407   WHERE pr_typ_id = 7910;
  -- Обновление параметра прибора "Энерг.Сум.Реактив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив2-', "Comment" = '', "NameP2" = 'ER_sum-2', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=16,  gr_typ_id=407   WHERE pr_typ_id = 7911;
  -- Обновление параметра прибора "Энерг.Сум.Реактив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив2+', "Comment" = '', "NameP2" = 'ER_sum+2', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=17,  gr_typ_id=407   WHERE pr_typ_id = 7912;

---- Группа "Тариф3" ----

  -- Обновление параметра прибора "Энерг. Актив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив3+', "Comment" = 'Архив, текущие', "NameP2" = 'EA+3', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=18,  gr_typ_id=408   WHERE pr_typ_id = 4815;
  -- Обновление параметра прибора "Энерг. Актив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив3-', "Comment" = 'Архив, текущие', "NameP2" = 'EA-3', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=19,  gr_typ_id=408   WHERE pr_typ_id = 4816;
  -- Обновление параметра прибора "Энерг. Реактив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив3-', "Comment" = 'Архив, текущие', "NameP2" = 'ER-3', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=20,  gr_typ_id=408   WHERE pr_typ_id = 4817;
  -- Обновление параметра прибора "Энерг. Реактив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив3+', "Comment" = 'Архив, текущие', "NameP2" = 'ER+3', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=21,  gr_typ_id=408   WHERE pr_typ_id = 4819;
  -- Обновление параметра прибора "Энерг.Сум.Актив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив3+', "Comment" = '', "NameP2" = 'EA_sum+3', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=22,  gr_typ_id=408   WHERE pr_typ_id = 7913;
  -- Обновление параметра прибора "Энерг.Сум.Актив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив3-', "Comment" = '', "NameP2" = 'EA_sum-3', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=23,  gr_typ_id=408   WHERE pr_typ_id = 7914;
  -- Обновление параметра прибора "Энерг.Сум.Реактив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив3-', "Comment" = '', "NameP2" = 'ER_sum-3', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=24,  gr_typ_id=408   WHERE pr_typ_id = 7915;
  -- Обновление параметра прибора "Энерг.Сум.Реактив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив3+', "Comment" = '', "NameP2" = 'ER_sum+3', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=25,  gr_typ_id=408   WHERE pr_typ_id = 7916;

---- Группа "Тариф4" ----

  -- Обновление параметра прибора "Энерг. Актив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив4+', "Comment" = 'Архив, текущие', "NameP2" = 'EA+4', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=26,  gr_typ_id=409   WHERE pr_typ_id = 4820;
  -- Обновление параметра прибора "Энерг. Актив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив4-', "Comment" = 'Архив, текущие', "NameP2" = 'EA-4', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=27,  gr_typ_id=409   WHERE pr_typ_id = 4821;
  -- Обновление параметра прибора "Энерг. Реактив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив4-', "Comment" = 'Архив, текущие', "NameP2" = 'ER-4', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=28,  gr_typ_id=409   WHERE pr_typ_id = 4822;
  -- Обновление параметра прибора "Энерг. Реактив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив4+', "Comment" = 'Архив, текущие', "NameP2" = 'ER+4', dev_typ_id = 210, "SupportData" = 2147483533,  "typ_dat_Arh"=29,  gr_typ_id=409   WHERE pr_typ_id = 4823;
  -- Обновление параметра прибора "Энерг.Сум.Актив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив4+', "Comment" = '', "NameP2" = 'EA_sum+4', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=30,  gr_typ_id=409   WHERE pr_typ_id = 7917;
  -- Обновление параметра прибора "Энерг.Сум. Актив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум. Актив4-', "Comment" = '', "NameP2" = 'EA_sum-4', dev_typ_id = 210, "SupportData" = 397,  "typ_dat_Arh"=31,  gr_typ_id=409   WHERE pr_typ_id = 7918;
  -- Обновление параметра прибора "Энерг.Сум..Реактив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум..Реактив4-', "Comment" = '', "NameP2" = 'ER_sum-4', dev_typ_id = 210, "SupportData" = 421,  "typ_dat_Arh"=32,  gr_typ_id=409   WHERE pr_typ_id = 7919;
  -- Обновление параметра прибора "Энерг.Сум.Реактив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив4+', "Comment" = '', "NameP2" = 'ER_sum+4', dev_typ_id = 210, "SupportData" = 389,  "typ_dat_Arh"=33,  gr_typ_id=409   WHERE pr_typ_id = 7920;

---- Группа "Фаза1" ----

  -- Обновление параметра прибора "Мощность акт. Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Ф1', "Comment" = 'текущие', "NameP2" = 'P1', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=51,  gr_typ_id=410   WHERE pr_typ_id = 4837;
  -- Обновление параметра прибора "Мощность реакт. Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт. Ф1', "Comment" = 'текущие', "NameP2" = 'Q1', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=52,  gr_typ_id=410   WHERE pr_typ_id = 4839;
  -- Обновление параметра прибора "Мощность сумм Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность сумм Ф1', "Comment" = 'текущие', "NameP2" = 'S1', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=53,  gr_typ_id=410   WHERE pr_typ_id = 4840;
  -- Обновление параметра прибора "Напряжение Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Ф1', "Comment" = 'текущие', "NameP2" = 'U1', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=54,  gr_typ_id=410   WHERE pr_typ_id = 4841;
  -- Обновление параметра прибора "Ток Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Ф1', "Comment" = 'Архив, текущие', "NameP2" = 'I1', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=55,  gr_typ_id=410   WHERE pr_typ_id = 4842;
  -- Обновление параметра прибора "cos fi Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Ф1', "Comment" = 'текущие', "NameP2" = 'cosFi1', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=56,  gr_typ_id=410   WHERE pr_typ_id = 4843;
  -- Обновление параметра прибора "Коф. синус Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Ф1', "Comment" = 'текущие', "NameP2" = 'cF1', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=57,  gr_typ_id=410   WHERE pr_typ_id = 4844;

---- Группа "Фаза2" ----

  -- Обновление параметра прибора "Мощность акт. Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Ф2', "Comment" = 'текущие', "NameP2" = 'P2', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=58,  gr_typ_id=411   WHERE pr_typ_id = 4845;
  -- Обновление параметра прибора "Мощность реакт. Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт. Ф2', "Comment" = 'текущие', "NameP2" = 'Q2', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=59,  gr_typ_id=411   WHERE pr_typ_id = 4846;
  -- Обновление параметра прибора "Мощность сумм Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность сумм Ф2', "Comment" = 'текущие', "NameP2" = 'S2', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=60,  gr_typ_id=411   WHERE pr_typ_id = 4847;
  -- Обновление параметра прибора "Напряжение Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Ф2', "Comment" = 'текущие', "NameP2" = 'U2', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=61,  gr_typ_id=411   WHERE pr_typ_id = 4848;
  -- Обновление параметра прибора "Ток Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Ф2', "Comment" = 'Архив, текущие', "NameP2" = 'I2', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=62,  gr_typ_id=411   WHERE pr_typ_id = 4849;
  -- Обновление параметра прибора "cos fi Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Ф2', "Comment" = 'текущие', "NameP2" = 'cosFi2', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=63,  gr_typ_id=411   WHERE pr_typ_id = 4850;
  -- Обновление параметра прибора "Коф. синус Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Ф2', "Comment" = 'текущие', "NameP2" = 'cF2', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=64,  gr_typ_id=411   WHERE pr_typ_id = 4851;

---- Группа "Фаза3" ----

  -- Обновление параметра прибора "Мощность акт. Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Ф3', "Comment" = 'текущие', "NameP2" = 'P3', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=65,  gr_typ_id=412   WHERE pr_typ_id = 4852;
  -- Обновление параметра прибора "Мощность реакт. Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт. Ф3', "Comment" = 'текущие', "NameP2" = 'Q3', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=66,  gr_typ_id=412   WHERE pr_typ_id = 4853;
  -- Обновление параметра прибора "Мощность сумм Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность сумм Ф3', "Comment" = 'текущие', "NameP2" = 'S3', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=67,  gr_typ_id=412   WHERE pr_typ_id = 4854;
  -- Обновление параметра прибора "Напряжение Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Ф3', "Comment" = 'текущие', "NameP2" = 'U3', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=68,  gr_typ_id=412   WHERE pr_typ_id = 4855;
  -- Обновление параметра прибора "Ток Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Ф3', "Comment" = 'Архив, текущие', "NameP2" = 'I3', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=69,  gr_typ_id=412   WHERE pr_typ_id = 4856;
  -- Обновление параметра прибора "cos fi Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Ф3', "Comment" = 'текущие', "NameP2" = 'cosFi3', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=70,  gr_typ_id=412   WHERE pr_typ_id = 4857;
  -- Обновление параметра прибора "Коф. синус Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Ф3', "Comment" = 'текущие', "NameP2" = 'cF3', dev_typ_id = 210, "SupportData" = 2147483521,  "typ_dat_Arh"=71,  gr_typ_id=412   WHERE pr_typ_id = 4858;

---- Прибор "Меркурий 234" ----


---- Группа "Максимумы мощности" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1148, 'Максимумы мощности', '', 306, 0);

-- Добавление параметра прибора "Интервал утреннего максимума мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16354, 'Интервал утреннего максимума мощности', '', 1148, 1, 72, 'maxPmi', 306, 393);
-- Добавление параметра прибора "Интервал вечернего максимума мощност"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16355, 'Интервал вечернего максимума мощност', '', 1148, 1, 73, 'maxPei', 306, 393);
-- Добавление параметра прибора "Утренний максимум мощности P+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16356, 'Утренний максимум мощности P+', '', 1148, 1, 74, 'maxP+m', 306, 393);
-- Добавление параметра прибора "Вечерний максимум мощности P+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16357, 'Вечерний максимум мощности P+', '', 1148, 1, 75, 'maxP+e', 306, 393);
-- Добавление параметра прибора "Утренний максимум мощности P-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16358, 'Утренний максимум мощности P-', '', 1148, 1, 76, 'maxP-m', 306, 393);
-- Добавление параметра прибора "Вечерний максимум мощности P-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16359, 'Вечерний максимум мощности P-', '', 1148, 1, 77, 'maxP-e', 306, 393);
-- Добавление параметра прибора "Утренний максимум мощности Q+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16360, 'Утренний максимум мощности Q+', '', 1148, 1, 78, 'maxQ+m', 306, 393);
-- Добавление параметра прибора "Вечерний максимум мощности Q+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16361, 'Вечерний максимум мощности Q+', '', 1148, 1, 79, 'maxQ+e', 306, 393);
-- Добавление параметра прибора "Утренний максимум мощности Q-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16362, 'Утренний максимум мощности Q-', '', 1148, 1, 80, 'maxQ-m', 306, 393);
-- Добавление параметра прибора "Вечерний максимум мощности Q-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16363, 'Вечерний максимум мощности Q-', '', 1148, 1, 81, 'maxQ-e', 306, 393);

---- Группа "Общие" ----

  -- Обновление параметра прибора "Дата время"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата время', "Comment" = '', "NameP2" = 'D', dev_typ_id = 306, "SupportData" = 193,  "typ_dat_Arh"=0,  gr_typ_id=644   WHERE pr_typ_id = 8706;
  -- Обновление параметра прибора "Энерг. Актив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив-', "Comment" = '', "NameP2" = 'EA-', dev_typ_id = 306, "SupportData" = 415,  "typ_dat_Arh"=2,  gr_typ_id=644   WHERE pr_typ_id = 8708;
  -- Обновление параметра прибора "Энерг. Реактив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив-', "Comment" = '', "NameP2" = 'ER-', dev_typ_id = 306, "SupportData" = 415,  "typ_dat_Arh"=3,  gr_typ_id=644   WHERE pr_typ_id = 8709;
  -- Обновление параметра прибора "Энерг. Реактив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив+', "Comment" = '', "NameP2" = 'ER+', dev_typ_id = 306, "SupportData" = 415,  "typ_dat_Arh"=4,  gr_typ_id=644   WHERE pr_typ_id = 8710;
  -- Обновление параметра прибора "Мощность актив."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность актив.', "Comment" = '', "NameP2" = 'P', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=5,  gr_typ_id=644   WHERE pr_typ_id = 8711;
  -- Обновление параметра прибора "Мощность реактив."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реактив.', "Comment" = '', "NameP2" = 'Q', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=6,  gr_typ_id=644   WHERE pr_typ_id = 8712;
  -- Обновление параметра прибора "Мощность общ."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность общ.', "Comment" = '', "NameP2" = 'S', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=7,  gr_typ_id=644   WHERE pr_typ_id = 8713;
  -- Обновление параметра прибора "Cos fi общ."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Cos fi общ.', "Comment" = '', "NameP2" = 'cosFi', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=8,  gr_typ_id=644   WHERE pr_typ_id = 8714;
  -- Обновление параметра прибора "Частота"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Частота', "Comment" = '', "NameP2" = 'F', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=9,  gr_typ_id=644   WHERE pr_typ_id = 8715;
  -- Обновление параметра прибора "Темпер. в приборе"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Темпер. в приборе', "Comment" = '', "NameP2" = 'T', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=10,  gr_typ_id=644   WHERE pr_typ_id = 8716;
  -- Обновление параметра прибора "Угол Ф1Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол Ф1Ф2', "Comment" = '', "NameP2" = 'Fi12', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=11,  gr_typ_id=644   WHERE pr_typ_id = 8717;
  -- Обновление параметра прибора "Угол Ф1Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол Ф1Ф3', "Comment" = '', "NameP2" = 'Fi13', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=12,  gr_typ_id=644   WHERE pr_typ_id = 8718;
  -- Обновление параметра прибора "Угол Ф2Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол Ф2Ф3', "Comment" = '', "NameP2" = 'Fi23', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=13,  gr_typ_id=644   WHERE pr_typ_id = 8719;
  -- Обновление параметра прибора "Энерг.Сумм.Актив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив+', "Comment" = '', "NameP2" = 'EA_sum+', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=14,  gr_typ_id=644   WHERE pr_typ_id = 8720;
  -- Обновление параметра прибора "Энерг.Сумм. Актив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Актив-', "Comment" = '', "NameP2" = 'EA_sum-', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=15,  gr_typ_id=644   WHERE pr_typ_id = 8721;
  -- Обновление параметра прибора "Энерг.Сумм. Реактив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Реактив-', "Comment" = '', "NameP2" = 'ER_sum-', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=16,  gr_typ_id=644   WHERE pr_typ_id = 8722;
  -- Обновление параметра прибора "Энерг.Сумм. Реактив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Реактив+', "Comment" = '', "NameP2" = 'ER_sum+', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=17,  gr_typ_id=644   WHERE pr_typ_id = 8723;
  -- Обновление параметра прибора "Зав. Номер"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Зав. Номер', "Comment" = '', "NameP2" = 'N', dev_typ_id = 306, "SupportData" = 449,  "typ_dat_Arh"=18,  gr_typ_id=644   WHERE pr_typ_id = 10821;

---- Группа "Тариф1" ----

  -- Обновление параметра прибора "Энерг. Актив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив1+', "Comment" = '', "NameP2" = 'EA+1', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=19,  gr_typ_id=645   WHERE pr_typ_id = 8724;
  -- Обновление параметра прибора "Энерг. Актив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив1-', "Comment" = '', "NameP2" = 'EA-1', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=20,  gr_typ_id=645   WHERE pr_typ_id = 8725;
  -- Обновление параметра прибора "Энерг. Реактив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив1-', "Comment" = '', "NameP2" = 'ER-1', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=21,  gr_typ_id=645   WHERE pr_typ_id = 8726;
  -- Обновление параметра прибора "Энерг. Реактив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив1+', "Comment" = '', "NameP2" = 'ER+1', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=22,  gr_typ_id=645   WHERE pr_typ_id = 8727;
  -- Обновление параметра прибора "Энерг.Сумм.Актив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив1+', "Comment" = '', "NameP2" = 'EA_sum+1', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=23,  gr_typ_id=645   WHERE pr_typ_id = 8728;
  -- Обновление параметра прибора "Энерг.Сумм.Актив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив1-', "Comment" = '', "NameP2" = 'EA_sum-1', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=24,  gr_typ_id=645   WHERE pr_typ_id = 8729;
  -- Обновление параметра прибора "Энерг.Сумм.Реактив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Реактив1-', "Comment" = '', "NameP2" = 'ER_sum-1', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=25,  gr_typ_id=645   WHERE pr_typ_id = 8730;
  -- Обновление параметра прибора "Энерг.Сумм.Реактив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Реактив1+', "Comment" = '', "NameP2" = 'ER_sum+1', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=26,  gr_typ_id=645   WHERE pr_typ_id = 8731;

---- Группа "Тариф2" ----

  -- Обновление параметра прибора "Энерг. Актив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив2+', "Comment" = '', "NameP2" = 'EA+2', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=27,  gr_typ_id=646   WHERE pr_typ_id = 8732;
  -- Обновление параметра прибора "Энерг. Актив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив2-', "Comment" = '', "NameP2" = 'EA-2', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=28,  gr_typ_id=646   WHERE pr_typ_id = 8733;
  -- Обновление параметра прибора "Энерг. Реактив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив2-', "Comment" = '', "NameP2" = 'ER-2', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=29,  gr_typ_id=646   WHERE pr_typ_id = 8734;
  -- Обновление параметра прибора "Энерг. Реактив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив2+', "Comment" = '', "NameP2" = 'ER+2', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=30,  gr_typ_id=646   WHERE pr_typ_id = 8735;
  -- Обновление параметра прибора "Энерг.Сум.Актив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив2+', "Comment" = '', "NameP2" = 'EA_sum+2', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=31,  gr_typ_id=646   WHERE pr_typ_id = 8736;
  -- Обновление параметра прибора "Энерг.Сум.Актив2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив2', "Comment" = '', "NameP2" = 'EA_sum-2', dev_typ_id = 306, "SupportData" = 141,  "typ_dat_Arh"=32,  gr_typ_id=646   WHERE pr_typ_id = 8737;
  -- Обновление параметра прибора "Энерг.Сум.Реактив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив2-', "Comment" = '', "NameP2" = 'ER_sum-2', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=33,  gr_typ_id=646   WHERE pr_typ_id = 8738;
  -- Обновление параметра прибора "Энерг.Сум.Реактив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив2+', "Comment" = '', "NameP2" = 'ER_sum+2', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=34,  gr_typ_id=646   WHERE pr_typ_id = 8739;

---- Группа "Тариф3" ----

  -- Обновление параметра прибора "Энерг. Актив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив3+', "Comment" = '', "NameP2" = 'EA+3', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=35,  gr_typ_id=647   WHERE pr_typ_id = 8740;
  -- Обновление параметра прибора "Энерг. Актив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив3-', "Comment" = '', "NameP2" = 'EA-3', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=36,  gr_typ_id=647   WHERE pr_typ_id = 8741;
  -- Обновление параметра прибора "Энерг. Реактив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив3-', "Comment" = '', "NameP2" = 'ER-3', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=37,  gr_typ_id=647   WHERE pr_typ_id = 8742;
  -- Обновление параметра прибора "Энерг. Реактив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив3+', "Comment" = '', "NameP2" = 'ER+3', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=38,  gr_typ_id=647   WHERE pr_typ_id = 8743;
  -- Обновление параметра прибора "Энерг.Сум.Актив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив3+', "Comment" = '', "NameP2" = 'EA_sum+3', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=39,  gr_typ_id=647   WHERE pr_typ_id = 8744;
  -- Обновление параметра прибора "Энерг.Сум.Актив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив3-', "Comment" = '', "NameP2" = 'EA_sum-3', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=40,  gr_typ_id=647   WHERE pr_typ_id = 8745;
  -- Обновление параметра прибора "Энерг.Сум.Реактив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив3-', "Comment" = '', "NameP2" = 'ER_sum-3', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=41,  gr_typ_id=647   WHERE pr_typ_id = 8746;
  -- Обновление параметра прибора "Энерг.Сум.Реактив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив3+', "Comment" = '', "NameP2" = 'ER_sum+3', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=42,  gr_typ_id=647   WHERE pr_typ_id = 8747;

---- Группа "Тариф4" ----

  -- Обновление параметра прибора "Энерг. Актив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив4+', "Comment" = '', "NameP2" = 'EA+4', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=43,  gr_typ_id=648   WHERE pr_typ_id = 8748;
  -- Обновление параметра прибора "Энерг. Актив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив4-', "Comment" = '', "NameP2" = 'EA-4', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=44,  gr_typ_id=648   WHERE pr_typ_id = 8749;
  -- Обновление параметра прибора "Энерг. Реактив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив4-', "Comment" = '', "NameP2" = 'ER-4', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=45,  gr_typ_id=648   WHERE pr_typ_id = 8750;
  -- Обновление параметра прибора "Энерг. Реактив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив4+', "Comment" = '', "NameP2" = 'ER+4', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=46,  gr_typ_id=648   WHERE pr_typ_id = 8751;
  -- Обновление параметра прибора "Энерг.Сум.Актив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив4+', "Comment" = '', "NameP2" = 'EA_sum+4', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=47,  gr_typ_id=648   WHERE pr_typ_id = 8752;
  -- Обновление параметра прибора "Энерг.Сум. Актив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум. Актив4-', "Comment" = '', "NameP2" = 'EA_sum-4', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=48,  gr_typ_id=648   WHERE pr_typ_id = 8753;
  -- Обновление параметра прибора "Энерг.Сум..Реактив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум..Реактив4-', "Comment" = '', "NameP2" = 'ER_sum-4', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=49,  gr_typ_id=648   WHERE pr_typ_id = 8754;
  -- Обновление параметра прибора "Энерг.Сум.Реактив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив4+', "Comment" = '', "NameP2" = 'ER_sum+4', dev_typ_id = 306, "SupportData" = 397,  "typ_dat_Arh"=50,  gr_typ_id=648   WHERE pr_typ_id = 8755;

---- Группа "Фаза1" ----

  -- Обновление параметра прибора "Мощность акт. Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Ф1', "Comment" = '', "NameP2" = 'P1', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=51,  gr_typ_id=649   WHERE pr_typ_id = 8756;
  -- Обновление параметра прибора "Мощность реакт. Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт. Ф1', "Comment" = '', "NameP2" = 'Q1', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=52,  gr_typ_id=649   WHERE pr_typ_id = 8757;
  -- Обновление параметра прибора "Мощность сумм Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность сумм Ф1', "Comment" = '', "NameP2" = 'S1', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=53,  gr_typ_id=649   WHERE pr_typ_id = 8758;
  -- Обновление параметра прибора "Напряжение Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Ф1', "Comment" = '', "NameP2" = 'U1', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=54,  gr_typ_id=649   WHERE pr_typ_id = 8759;
  -- Обновление параметра прибора "Ток Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Ф1', "Comment" = '', "NameP2" = 'I1', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=55,  gr_typ_id=649   WHERE pr_typ_id = 8760;
  -- Обновление параметра прибора "cos fi Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Ф1', "Comment" = '', "NameP2" = 'cosFi1', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=56,  gr_typ_id=649   WHERE pr_typ_id = 8761;
  -- Обновление параметра прибора "Коф. синус Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Ф1', "Comment" = '', "NameP2" = 'cF1', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=57,  gr_typ_id=649   WHERE pr_typ_id = 8762;

---- Группа "Фаза2" ----

  -- Обновление параметра прибора "Мощность акт. Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Ф2', "Comment" = '', "NameP2" = 'P2', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=58,  gr_typ_id=650   WHERE pr_typ_id = 8763;
  -- Обновление параметра прибора "Мощность реакт. Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт. Ф2', "Comment" = '', "NameP2" = 'Q2', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=59,  gr_typ_id=650   WHERE pr_typ_id = 8764;
  -- Обновление параметра прибора "Мощность сумм Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность сумм Ф2', "Comment" = '', "NameP2" = 'S2', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=60,  gr_typ_id=650   WHERE pr_typ_id = 8765;
  -- Обновление параметра прибора "Напряжение Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Ф2', "Comment" = '', "NameP2" = 'U2', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=61,  gr_typ_id=650   WHERE pr_typ_id = 8766;
  -- Обновление параметра прибора "Ток Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Ф2', "Comment" = '', "NameP2" = 'I2', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=62,  gr_typ_id=650   WHERE pr_typ_id = 8767;
  -- Обновление параметра прибора "cos fi Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Ф2', "Comment" = '', "NameP2" = 'cosFi2', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=63,  gr_typ_id=650   WHERE pr_typ_id = 8768;
  -- Обновление параметра прибора "Коф. синус Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Ф2', "Comment" = '', "NameP2" = 'cF2', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=64,  gr_typ_id=650   WHERE pr_typ_id = 8769;

---- Группа "Фаза3" ----

  -- Обновление параметра прибора "Мощность акт. Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Ф3', "Comment" = '', "NameP2" = 'P3', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=65,  gr_typ_id=651   WHERE pr_typ_id = 8770;
  -- Обновление параметра прибора "Мощность реакт. Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт. Ф3', "Comment" = '', "NameP2" = 'Q3', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=66,  gr_typ_id=651   WHERE pr_typ_id = 8771;
  -- Обновление параметра прибора "Мощность сумм Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность сумм Ф3', "Comment" = '', "NameP2" = 'S3', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=67,  gr_typ_id=651   WHERE pr_typ_id = 8772;
  -- Обновление параметра прибора "Напряжение Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Ф3', "Comment" = '', "NameP2" = 'U3', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=68,  gr_typ_id=651   WHERE pr_typ_id = 8773;
  -- Обновление параметра прибора "Ток Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Ф3', "Comment" = '', "NameP2" = 'I3', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=69,  gr_typ_id=651   WHERE pr_typ_id = 8774;
  -- Обновление параметра прибора "cos fi Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Ф3', "Comment" = '', "NameP2" = 'cosFi3', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=70,  gr_typ_id=651   WHERE pr_typ_id = 8775;
  -- Обновление параметра прибора "Коф. синус Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Ф3', "Comment" = '', "NameP2" = 'cF3', dev_typ_id = 306, "SupportData" = 385,  "typ_dat_Arh"=71,  gr_typ_id=651   WHERE pr_typ_id = 8776;

---- Прибор "Меркурий 236" ----


---- Группа "Максимумы мощности" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1149, 'Максимумы мощности', '', 307, 0);

-- Добавление параметра прибора "Интервал утреннего максимума мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16364, 'Интервал утреннего максимума мощности', '', 1149, 1, 76, 'maxPmi', 307, 393);
-- Добавление параметра прибора "Интервал вечернего максимума мощност"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16365, 'Интервал вечернего максимума мощност', '', 1149, 1, 77, 'maxPei', 307, 393);
-- Добавление параметра прибора "Утренний максимум мощности P+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16366, 'Утренний максимум мощности P+', '', 1149, 1, 78, 'maxP+m', 307, 393);
-- Добавление параметра прибора "Вечерний максимум мощности P+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16367, 'Вечерний максимум мощности P+', '', 1149, 1, 79, 'maxP+e', 307, 393);
-- Добавление параметра прибора "Утренний максимум мощности P-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16368, 'Утренний максимум мощности P-', '', 1149, 1, 80, 'maxP-m', 307, 393);
-- Добавление параметра прибора "Вечерний максимум мощности P-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16369, 'Вечерний максимум мощности P-', '', 1149, 1, 81, 'maxP-e', 307, 393);
-- Добавление параметра прибора "Утренний максимум мощности Q+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16370, 'Утренний максимум мощности Q+', '', 1149, 1, 82, 'maxQ+m', 307, 393);
-- Добавление параметра прибора "Вечерний максимум мощности Q+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16371, 'Вечерний максимум мощности Q+', '', 1149, 1, 83, 'maxQ+e', 307, 393);
-- Добавление параметра прибора "Утренний максимум мощности Q-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16372, 'Утренний максимум мощности Q-', '', 1149, 1, 84, 'maxQ-m', 307, 393);
-- Добавление параметра прибора "Вечерний максимум мощности Q-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16373, 'Вечерний максимум мощности Q-', '', 1149, 1, 85, 'maxQ-e', 307, 393);

---- Группа "Общие" ----

  -- Обновление параметра прибора "Дата время"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата время', "Comment" = '', "NameP2" = 'D', dev_typ_id = 307, "SupportData" = 193,  "typ_dat_Arh"=0,  gr_typ_id=652   WHERE pr_typ_id = 8777;
  -- Обновление параметра прибора "Энерг. Актив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив-', "Comment" = '', "NameP2" = 'EA-', dev_typ_id = 307, "SupportData" = 415,  "typ_dat_Arh"=2,  gr_typ_id=652   WHERE pr_typ_id = 8779;
  -- Обновление параметра прибора "Энерг. Реактив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив-', "Comment" = '', "NameP2" = 'ER-', dev_typ_id = 307, "SupportData" = 415,  "typ_dat_Arh"=3,  gr_typ_id=652   WHERE pr_typ_id = 8780;
  -- Обновление параметра прибора "Энерг. Реактив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив+', "Comment" = '', "NameP2" = 'ER+', dev_typ_id = 307, "SupportData" = 415,  "typ_dat_Arh"=4,  gr_typ_id=652   WHERE pr_typ_id = 8781;
  -- Обновление параметра прибора "Мощность актив."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность актив.', "Comment" = '', "NameP2" = 'P', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=5,  gr_typ_id=652   WHERE pr_typ_id = 8782;
  -- Обновление параметра прибора "Мощность реактив."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реактив.', "Comment" = '', "NameP2" = 'Q', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=6,  gr_typ_id=652   WHERE pr_typ_id = 8783;
  -- Обновление параметра прибора "Мощность общ."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность общ.', "Comment" = '', "NameP2" = 'S', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=7,  gr_typ_id=652   WHERE pr_typ_id = 8784;
  -- Обновление параметра прибора "Cos fi общ."
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Cos fi общ.', "Comment" = '', "NameP2" = 'cosFi', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=8,  gr_typ_id=652   WHERE pr_typ_id = 8785;
  -- Обновление параметра прибора "Частота"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Частота', "Comment" = '', "NameP2" = 'F', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=9,  gr_typ_id=652   WHERE pr_typ_id = 8786;
  -- Обновление параметра прибора "Темпер. в приборе"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Темпер. в приборе', "Comment" = '', "NameP2" = 'T', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=10,  gr_typ_id=652   WHERE pr_typ_id = 8787;
  -- Обновление параметра прибора "Угол Ф1Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол Ф1Ф2', "Comment" = '', "NameP2" = 'Fi12', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=11,  gr_typ_id=652   WHERE pr_typ_id = 8788;
  -- Обновление параметра прибора "Угол Ф1Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол Ф1Ф3', "Comment" = '', "NameP2" = 'Fi13', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=12,  gr_typ_id=652   WHERE pr_typ_id = 8789;
  -- Обновление параметра прибора "Угол Ф2Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол Ф2Ф3', "Comment" = '', "NameP2" = 'Fi23', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=13,  gr_typ_id=652   WHERE pr_typ_id = 8790;
  -- Обновление параметра прибора "Энерг.Сумм.Актив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив+', "Comment" = '', "NameP2" = 'EA_sum+', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=14,  gr_typ_id=652   WHERE pr_typ_id = 8791;
  -- Обновление параметра прибора "Энерг.Сумм. Актив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Актив-', "Comment" = '', "NameP2" = 'EA_sum-', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=15,  gr_typ_id=652   WHERE pr_typ_id = 8792;
  -- Обновление параметра прибора "Энерг.Сумм. Реактив-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Реактив-', "Comment" = '', "NameP2" = 'ER_sum-', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=16,  gr_typ_id=652   WHERE pr_typ_id = 8793;
  -- Обновление параметра прибора "Энерг.Сумм. Реактив+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм. Реактив+', "Comment" = '', "NameP2" = 'ER_sum+', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=17,  gr_typ_id=652   WHERE pr_typ_id = 8794;
  -- Обновление параметра прибора "активная прямая мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'активная прямая мощность', "Comment" = '', "NameP2" = 'P+', dev_typ_id = 307, "SupportData" = 432,  "typ_dat_Arh"=18,  gr_typ_id=652   WHERE pr_typ_id = 9384;
  -- Обновление параметра прибора "активная обратная мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'активная обратная мощность', "Comment" = '', "NameP2" = 'P-', dev_typ_id = 307, "SupportData" = 432,  "typ_dat_Arh"=19,  gr_typ_id=652   WHERE pr_typ_id = 9385;
  -- Обновление параметра прибора "реактивная прямая мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'реактивная прямая мощность', "Comment" = '', "NameP2" = 'Q+', dev_typ_id = 307, "SupportData" = 432,  "typ_dat_Arh"=20,  gr_typ_id=652   WHERE pr_typ_id = 9386;
  -- Обновление параметра прибора "реактивная обратная мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'реактивная обратная мощность', "Comment" = '', "NameP2" = 'Q-', dev_typ_id = 307, "SupportData" = 432,  "typ_dat_Arh"=21,  gr_typ_id=652   WHERE pr_typ_id = 9387;
  -- Обновление параметра прибора "Зав. Номер"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Зав. Номер', "Comment" = '', "NameP2" = 'N', dev_typ_id = 307, "SupportData" = 449,  "typ_dat_Arh"=22,  gr_typ_id=652   WHERE pr_typ_id = 10822;

---- Группа "Тариф1" ----

  -- Обновление параметра прибора "Энерг. Актив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив1+', "Comment" = '', "NameP2" = 'EA+1', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=23,  gr_typ_id=653   WHERE pr_typ_id = 8795;
  -- Обновление параметра прибора "Энерг. Актив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив1-', "Comment" = '', "NameP2" = 'EA-1', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=24,  gr_typ_id=653   WHERE pr_typ_id = 8796;
  -- Обновление параметра прибора "Энерг. Реактив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив1-', "Comment" = '', "NameP2" = 'ER-1', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=25,  gr_typ_id=653   WHERE pr_typ_id = 8797;
  -- Обновление параметра прибора "Энерг. Реактив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив1+', "Comment" = '', "NameP2" = 'ER+1', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=26,  gr_typ_id=653   WHERE pr_typ_id = 8798;
  -- Обновление параметра прибора "Энерг.Сумм.Актив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив1+', "Comment" = '', "NameP2" = 'EA_sum+1', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=27,  gr_typ_id=653   WHERE pr_typ_id = 8799;
  -- Обновление параметра прибора "Энерг.Сумм.Актив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Актив1-', "Comment" = '', "NameP2" = 'EA_sum-1', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=28,  gr_typ_id=653   WHERE pr_typ_id = 8800;
  -- Обновление параметра прибора "Энерг.Сумм.Реактив1-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Реактив1-', "Comment" = '', "NameP2" = 'ER_sum-1', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=29,  gr_typ_id=653   WHERE pr_typ_id = 8801;
  -- Обновление параметра прибора "Энерг.Сумм.Реактив1+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сумм.Реактив1+', "Comment" = '', "NameP2" = 'ER_sum+1', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=30,  gr_typ_id=653   WHERE pr_typ_id = 8802;

---- Группа "Тариф2" ----

  -- Обновление параметра прибора "Энерг. Актив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив2+', "Comment" = '', "NameP2" = 'EA+2', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=31,  gr_typ_id=654   WHERE pr_typ_id = 8803;
  -- Обновление параметра прибора "Энерг. Актив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив2-', "Comment" = '', "NameP2" = 'EA-2', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=32,  gr_typ_id=654   WHERE pr_typ_id = 8804;
  -- Обновление параметра прибора "Энерг. Реактив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив2-', "Comment" = '', "NameP2" = 'ER-2', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=33,  gr_typ_id=654   WHERE pr_typ_id = 8805;
  -- Обновление параметра прибора "Энерг. Реактив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив2+', "Comment" = '', "NameP2" = 'ER+2', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=34,  gr_typ_id=654   WHERE pr_typ_id = 8806;
  -- Обновление параметра прибора "Энерг.Сум.Актив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив2+', "Comment" = '', "NameP2" = 'EA_sum+2', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=35,  gr_typ_id=654   WHERE pr_typ_id = 8807;
  -- Обновление параметра прибора "Энерг.Сум.Актив2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив2', "Comment" = '', "NameP2" = 'EA_sum-2', dev_typ_id = 307, "SupportData" = 141,  "typ_dat_Arh"=36,  gr_typ_id=654   WHERE pr_typ_id = 8808;
  -- Обновление параметра прибора "Энерг.Сум.Реактив2-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив2-', "Comment" = '', "NameP2" = 'ER_sum-2', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=37,  gr_typ_id=654   WHERE pr_typ_id = 8809;
  -- Обновление параметра прибора "Энерг.Сум.Реактив2+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив2+', "Comment" = '', "NameP2" = 'ER_sum+2', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=38,  gr_typ_id=654   WHERE pr_typ_id = 8810;

---- Группа "Тариф3" ----

  -- Обновление параметра прибора "Энерг. Актив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив3+', "Comment" = '', "NameP2" = 'EA+3', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=39,  gr_typ_id=655   WHERE pr_typ_id = 8811;
  -- Обновление параметра прибора "Энерг. Актив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив3-', "Comment" = '', "NameP2" = 'EA-3', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=40,  gr_typ_id=655   WHERE pr_typ_id = 8812;
  -- Обновление параметра прибора "Энерг. Реактив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив3-', "Comment" = '', "NameP2" = 'ER-3', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=41,  gr_typ_id=655   WHERE pr_typ_id = 8813;
  -- Обновление параметра прибора "Энерг. Реактив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив3+', "Comment" = '', "NameP2" = 'ER+3', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=42,  gr_typ_id=655   WHERE pr_typ_id = 8814;
  -- Обновление параметра прибора "Энерг.Сум.Актив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив3+', "Comment" = '', "NameP2" = 'EA_sum+3', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=43,  gr_typ_id=655   WHERE pr_typ_id = 8815;
  -- Обновление параметра прибора "Энерг.Сум.Актив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив3-', "Comment" = '', "NameP2" = 'EA_sum-3', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=44,  gr_typ_id=655   WHERE pr_typ_id = 8816;
  -- Обновление параметра прибора "Энерг.Сум.Реактив3-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив3-', "Comment" = '', "NameP2" = 'ER_sum-3', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=45,  gr_typ_id=655   WHERE pr_typ_id = 8817;
  -- Обновление параметра прибора "Энерг.Сум.Реактив3+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив3+', "Comment" = '', "NameP2" = 'ER_sum+3', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=46,  gr_typ_id=655   WHERE pr_typ_id = 8818;

---- Группа "Тариф4" ----

  -- Обновление параметра прибора "Энерг. Актив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив4+', "Comment" = '', "NameP2" = 'EA+4', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=47,  gr_typ_id=656   WHERE pr_typ_id = 8819;
  -- Обновление параметра прибора "Энерг. Актив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Актив4-', "Comment" = '', "NameP2" = 'EA-4', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=48,  gr_typ_id=656   WHERE pr_typ_id = 8820;
  -- Обновление параметра прибора "Энерг. Реактив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив4-', "Comment" = '', "NameP2" = 'ER-4', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=49,  gr_typ_id=656   WHERE pr_typ_id = 8821;
  -- Обновление параметра прибора "Энерг. Реактив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг. Реактив4+', "Comment" = '', "NameP2" = 'ER+4', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=50,  gr_typ_id=656   WHERE pr_typ_id = 8822;
  -- Обновление параметра прибора "Энерг.Сум.Актив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Актив4+', "Comment" = '', "NameP2" = 'EA_sum+4', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=51,  gr_typ_id=656   WHERE pr_typ_id = 8823;
  -- Обновление параметра прибора "Энерг.Сум. Актив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум. Актив4-', "Comment" = '', "NameP2" = 'EA_sum-4', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=52,  gr_typ_id=656   WHERE pr_typ_id = 8824;
  -- Обновление параметра прибора "Энерг.Сум..Реактив4-"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум..Реактив4-', "Comment" = '', "NameP2" = 'ER_sum-4', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=53,  gr_typ_id=656   WHERE pr_typ_id = 8825;
  -- Обновление параметра прибора "Энерг.Сум.Реактив4+"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энерг.Сум.Реактив4+', "Comment" = '', "NameP2" = 'ER_sum+4', dev_typ_id = 307, "SupportData" = 397,  "typ_dat_Arh"=54,  gr_typ_id=656   WHERE pr_typ_id = 8826;

---- Группа "Фаза1" ----

  -- Обновление параметра прибора "Мощность акт. Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Ф1', "Comment" = '', "NameP2" = 'P1', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=55,  gr_typ_id=657   WHERE pr_typ_id = 8827;
  -- Обновление параметра прибора "Мощность реакт. Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт. Ф1', "Comment" = '', "NameP2" = 'Q1', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=56,  gr_typ_id=657   WHERE pr_typ_id = 8828;
  -- Обновление параметра прибора "Мощность сумм Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность сумм Ф1', "Comment" = '', "NameP2" = 'S1', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=57,  gr_typ_id=657   WHERE pr_typ_id = 8829;
  -- Обновление параметра прибора "Напряжение Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Ф1', "Comment" = '', "NameP2" = 'U1', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=58,  gr_typ_id=657   WHERE pr_typ_id = 8830;
  -- Обновление параметра прибора "Ток Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Ф1', "Comment" = '', "NameP2" = 'I1', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=59,  gr_typ_id=657   WHERE pr_typ_id = 8831;
  -- Обновление параметра прибора "cos fi Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Ф1', "Comment" = '', "NameP2" = 'cosFi1', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=60,  gr_typ_id=657   WHERE pr_typ_id = 8832;
  -- Обновление параметра прибора "Коф. синус Ф1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Ф1', "Comment" = '', "NameP2" = 'cF1', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=61,  gr_typ_id=657   WHERE pr_typ_id = 8833;

---- Группа "Фаза2" ----

  -- Обновление параметра прибора "Мощность акт. Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Ф2', "Comment" = '', "NameP2" = 'P2', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=62,  gr_typ_id=658   WHERE pr_typ_id = 8834;
  -- Обновление параметра прибора "Мощность реакт. Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт. Ф2', "Comment" = '', "NameP2" = 'Q2', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=63,  gr_typ_id=658   WHERE pr_typ_id = 8835;
  -- Обновление параметра прибора "Мощность сумм Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность сумм Ф2', "Comment" = '', "NameP2" = 'S2', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=64,  gr_typ_id=658   WHERE pr_typ_id = 8836;
  -- Обновление параметра прибора "Напряжение Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Ф2', "Comment" = '', "NameP2" = 'U2', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=65,  gr_typ_id=658   WHERE pr_typ_id = 8837;
  -- Обновление параметра прибора "Ток Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Ф2', "Comment" = '', "NameP2" = 'I2', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=66,  gr_typ_id=658   WHERE pr_typ_id = 8838;
  -- Обновление параметра прибора "cos fi Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Ф2', "Comment" = '', "NameP2" = 'cosFi2', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=67,  gr_typ_id=658   WHERE pr_typ_id = 8839;
  -- Обновление параметра прибора "Коф. синус Ф2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Ф2', "Comment" = '', "NameP2" = 'cF2', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=68,  gr_typ_id=658   WHERE pr_typ_id = 8840;

---- Группа "Фаза3" ----

  -- Обновление параметра прибора "Мощность акт. Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность акт. Ф3', "Comment" = '', "NameP2" = 'P3', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=69,  gr_typ_id=659   WHERE pr_typ_id = 8841;
  -- Обновление параметра прибора "Мощность реакт. Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность реакт. Ф3', "Comment" = '', "NameP2" = 'Q3', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=70,  gr_typ_id=659   WHERE pr_typ_id = 8842;
  -- Обновление параметра прибора "Мощность сумм Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность сумм Ф3', "Comment" = '', "NameP2" = 'S3', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=71,  gr_typ_id=659   WHERE pr_typ_id = 8843;
  -- Обновление параметра прибора "Напряжение Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение Ф3', "Comment" = '', "NameP2" = 'U3', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=72,  gr_typ_id=659   WHERE pr_typ_id = 8844;
  -- Обновление параметра прибора "Ток Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток Ф3', "Comment" = '', "NameP2" = 'I3', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=73,  gr_typ_id=659   WHERE pr_typ_id = 8845;
  -- Обновление параметра прибора "cos fi Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'cos fi Ф3', "Comment" = '', "NameP2" = 'cosFi3', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=74,  gr_typ_id=659   WHERE pr_typ_id = 8846;
  -- Обновление параметра прибора "Коф. синус Ф3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коф. синус Ф3', "Comment" = '', "NameP2" = 'cF3', dev_typ_id = 307, "SupportData" = 385,  "typ_dat_Arh"=75,  gr_typ_id=659   WHERE pr_typ_id = 8847;
