-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 17100 AND pr_typ_id <= 17174;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1174 AND gr_typ_id <= 1177;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 445;

---- Прибор "СПОДЭС v3 Электросчётчик 1-фазный" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'СПОДЭС v3 Электросчётчик 1-фазный', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 441;

---- Группа "Информационные" ----

-- Добавление параметра прибора "Текущее состояние датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17100, 'Текущее состояние датчика магнитного поля', '', 1166, 1, 31, 's_curmagn', 441, 385);
  -- Обновление параметра прибора "Дата последнего воздействия датчика магнитного поля"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата последнего воздействия датчика магнитного поля', "Comment" = '', "NameP2" = 'c_lmagnd', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=32,  gr_typ_id=1166   WHERE pr_typ_id = 16948;
  -- Обновление параметра прибора "Продолжительность последнего воздействия магнитного поля"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Продолжительность последнего воздействия магнитного поля', "Comment" = '', "NameP2" = 'c_lmagnt', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=33,  gr_typ_id=1166   WHERE pr_typ_id = 16949;
  -- Обновление параметра прибора "Общая продолжительность воздействия магнитного поля"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Общая продолжительность воздействия магнитного поля', "Comment" = '', "NameP2" = 'c_magntot', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=34,  gr_typ_id=1166   WHERE pr_typ_id = 16950;
  -- Обновление параметра прибора "Счетчик сбросов центрального микроконтроллера"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Счетчик сбросов центрального микроконтроллера', "Comment" = '', "NameP2" = 'c_mcreset', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=35,  gr_typ_id=1166   WHERE pr_typ_id = 16951;
  -- Обновление параметра прибора "Дата последнего сброса центрального микроконтроллера"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата последнего сброса центрального микроконтроллера', "Comment" = '', "NameP2" = 'c_mcresetd', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=36,  gr_typ_id=1166   WHERE pr_typ_id = 16952;
  -- Обновление параметра прибора "Дата последнего выключения счётчика"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата последнего выключения счётчика', "Comment" = '', "NameP2" = 'c_puoffd', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=37,  gr_typ_id=1166   WHERE pr_typ_id = 16953;
  -- Обновление параметра прибора "Дата последнего включения счётчика"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата последнего включения счётчика', "Comment" = '', "NameP2" = 'c_puond', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=38,  gr_typ_id=1166   WHERE pr_typ_id = 16954;
  -- Обновление параметра прибора "Счётчик обнуления учтённой энергии"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Счётчик обнуления учтённой энергии', "Comment" = '', "NameP2" = 'c_enerreset', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=39,  gr_typ_id=1166   WHERE pr_typ_id = 16955;
  -- Обновление параметра прибора "Дата последнего обнуления учтённой энергии"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата последнего обнуления учтённой энергии', "Comment" = '', "NameP2" = 'c_enerresetd', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=40,  gr_typ_id=1166   WHERE pr_typ_id = 16956;
  -- Обновление параметра прибора "Номинальное напряжение"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Номинальное напряжение', "Comment" = '', "NameP2" = 'c_nomU', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=41,  gr_typ_id=1166   WHERE pr_typ_id = 16957;
  -- Обновление параметра прибора "Номинальный ток"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Номинальный ток', "Comment" = '', "NameP2" = 'c_nomI', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=42,  gr_typ_id=1166   WHERE pr_typ_id = 16958;
  -- Обновление параметра прибора "Номинальная частота"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Номинальная частота', "Comment" = '', "NameP2" = 'c_nomF', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=43,  gr_typ_id=1166   WHERE pr_typ_id = 16959;
  -- Обновление параметра прибора "Максимальный ток"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Максимальный ток', "Comment" = '', "NameP2" = 'c_maxI', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=44,  gr_typ_id=1166   WHERE pr_typ_id = 16960;
  -- Обновление параметра прибора "Согласованное напряжение питания"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Согласованное напряжение питания', "Comment" = '', "NameP2" = 'c_conU', dev_typ_id = 441, "SupportData" = 448,  "typ_dat_Arh"=45,  gr_typ_id=1166   WHERE pr_typ_id = 16961;
-- Добавление параметра прибора "Блокиратор реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17101, 'Блокиратор реле нагрузки', '', 1166, 1, 46, 'c_relay', 441, 448);

---- Группа "Параметры учёта" ----

  -- Обновление параметра прибора "Полная мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Полная мощность', "Comment" = '', "NameP2" = 'S', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=47,  gr_typ_id=1167   WHERE pr_typ_id = 16962;
  -- Обновление параметра прибора "Макс. мощность на расчётном периоде"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Макс. мощность на расчётном периоде', "Comment" = '', "NameP2" = 'SPmax', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=48,  gr_typ_id=1167   WHERE pr_typ_id = 16963;
  -- Обновление параметра прибора "Мин. значение полной мощности на интервале интегр. 2 за расчетный период"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мин. значение полной мощности на интервале интегр. 2 за расчетный период', "Comment" = '', "NameP2" = 'Smin', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=49,  gr_typ_id=1167   WHERE pr_typ_id = 16964;
  -- Обновление параметра прибора "Макс. значение полной мощности на интервале интегр. 2 за расчетный период"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Макс. значение полной мощности на интервале интегр. 2 за расчетный период', "Comment" = '', "NameP2" = 'Smax', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=50,  gr_typ_id=1167   WHERE pr_typ_id = 16965;
  -- Обновление параметра прибора "Активная мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная мощность', "Comment" = '', "NameP2" = 'P', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=51,  gr_typ_id=1167   WHERE pr_typ_id = 16966;
  -- Обновление параметра прибора "Мин. значение активной мощности на интервале интегр. 2 за расчетный период"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мин. значение активной мощности на интервале интегр. 2 за расчетный период', "Comment" = '', "NameP2" = 'Pmin', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=52,  gr_typ_id=1167   WHERE pr_typ_id = 16967;
  -- Обновление параметра прибора "Макс. значение активной мощности на интервале интегр. 2 за расчетный период"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Макс. значение активной мощности на интервале интегр. 2 за расчетный период', "Comment" = '', "NameP2" = 'Pmax', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=53,  gr_typ_id=1167   WHERE pr_typ_id = 16968;
  -- Обновление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2', "Comment" = '', "NameP2" = 'Pavg', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=54,  gr_typ_id=1167   WHERE pr_typ_id = 16969;
  -- Обновление параметра прибора "Суточное значение макс. активной мощности на интервале интегр. 2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Суточное значение макс. активной мощности на интервале интегр. 2', "Comment" = '', "NameP2" = 'Pmaxdi2', dev_typ_id = 441, "SupportData" = 388,  "typ_dat_Arh"=55,  gr_typ_id=1167   WHERE pr_typ_id = 16970;
  -- Обновление параметра прибора "Суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок', "Comment" = '', "NameP2" = 'Pmaxdi2ppn', dev_typ_id = 441, "SupportData" = 388,  "typ_dat_Arh"=56,  gr_typ_id=1167   WHERE pr_typ_id = 16971;
  -- Обновление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок', "Comment" = '', "NameP2" = 'Pmaxavg', dev_typ_id = 441, "SupportData" = 136,  "typ_dat_Arh"=57,  gr_typ_id=1167   WHERE pr_typ_id = 16972;
  -- Обновление параметра прибора "Коэффициент мощности общий"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коэффициент мощности общий', "Comment" = '', "NameP2" = 'PF', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=58,  gr_typ_id=1167   WHERE pr_typ_id = 16973;
  -- Обновление параметра прибора "Реактивная мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная мощность', "Comment" = '', "NameP2" = 'Q', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=59,  gr_typ_id=1167   WHERE pr_typ_id = 16974;
  -- Обновление параметра прибора "Коэффициент реактивной мощности tg ф"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коэффициент реактивной мощности tg ф', "Comment" = '', "NameP2" = 'PFQ', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=60,  gr_typ_id=1167   WHERE pr_typ_id = 16975;
  -- Обновление параметра прибора "Коэффициент реактивной мощности tg ф, макс. значение на интервале интегр. 2 за расч. период"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коэффициент реактивной мощности tg ф, макс. значение на интервале интегр. 2 за расч. период', "Comment" = '', "NameP2" = 'PFQmax', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=61,  gr_typ_id=1167   WHERE pr_typ_id = 16976;
  -- Обновление параметра прибора "Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', "Comment" = '', "NameP2" = 'tgfmin', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=62,  gr_typ_id=1167   WHERE pr_typ_id = 16977;
  -- Обновление параметра прибора "Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', "Comment" = '', "NameP2" = 'tgfmax', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=63,  gr_typ_id=1167   WHERE pr_typ_id = 16978;
  -- Обновление параметра прибора "Текущее состояние инициативного выхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Текущее состояние инициативного выхода', "Comment" = '', "NameP2" = 'flags', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=64,  gr_typ_id=1167   WHERE pr_typ_id = 16979;

---- Группа "Энергия" ----

  -- Обновление параметра прибора "Полная энергия"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Полная энергия', "Comment" = '', "NameP2" = 'E', dev_typ_id = 441, "SupportData" = 392,  "typ_dat_Arh"=65,  gr_typ_id=1168   WHERE pr_typ_id = 16980;
  -- Обновление параметра прибора "Полная энергия, импорт за период записи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Полная энергия, импорт за период записи', "Comment" = '', "NameP2" = 'PP_Pimp', dev_typ_id = 441, "SupportData" = 434,  "typ_dat_Arh"=66,  gr_typ_id=1168   WHERE pr_typ_id = 16981;
  -- Обновление параметра прибора "Полная энергия, экспорт за период записи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Полная энергия, экспорт за период записи', "Comment" = '', "NameP2" = 'PP_Pexp', dev_typ_id = 441, "SupportData" = 434,  "typ_dat_Arh"=67,  gr_typ_id=1168   WHERE pr_typ_id = 16982;
  -- Обновление параметра прибора "Активная энергия, импорт"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт', "Comment" = '', "NameP2" = 'A+imp', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=68,  gr_typ_id=1168   WHERE pr_typ_id = 16983;
  -- Обновление параметра прибора "Активная энергия, импорт по 1 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт по 1 тарифу', "Comment" = '', "NameP2" = 'A+imp1', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=69,  gr_typ_id=1168   WHERE pr_typ_id = 16984;
  -- Обновление параметра прибора "Активная энергия, импорт по 2 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт по 2 тарифу', "Comment" = '', "NameP2" = 'A+imp2', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=70,  gr_typ_id=1168   WHERE pr_typ_id = 16985;
  -- Обновление параметра прибора "Активная энергия, импорт по 3 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт по 3 тарифу', "Comment" = '', "NameP2" = 'A+imp3', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=71,  gr_typ_id=1168   WHERE pr_typ_id = 16986;
  -- Обновление параметра прибора "Активная энергия, импорт по 4 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт по 4 тарифу', "Comment" = '', "NameP2" = 'A+imp4', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=72,  gr_typ_id=1168   WHERE pr_typ_id = 16987;
  -- Обновление параметра прибора "Активная энергия, импорт по 5 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт по 5 тарифу', "Comment" = '', "NameP2" = 'A+imp5', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=73,  gr_typ_id=1168   WHERE pr_typ_id = 16988;
  -- Обновление параметра прибора "Активная энергия, импорт по 6 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт по 6 тарифу', "Comment" = '', "NameP2" = 'A+imp6', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=74,  gr_typ_id=1168   WHERE pr_typ_id = 16989;
  -- Обновление параметра прибора "Активная энергия, импорт по 7 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт по 7 тарифу', "Comment" = '', "NameP2" = 'A+imp7', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=75,  gr_typ_id=1168   WHERE pr_typ_id = 16990;
  -- Обновление параметра прибора "Активная энергия, импорт по 8 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт по 8 тарифу', "Comment" = '', "NameP2" = 'A+imp8', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=76,  gr_typ_id=1168   WHERE pr_typ_id = 16991;
  -- Обновление параметра прибора "Активная энергия, импорт за период записи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, импорт за период записи', "Comment" = '', "NameP2" = 'PP_A+imp', dev_typ_id = 441, "SupportData" = 434,  "typ_dat_Arh"=77,  gr_typ_id=1168   WHERE pr_typ_id = 16992;
  -- Обновление параметра прибора "Активная энергия, экспорт"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт', "Comment" = '', "NameP2" = 'A+exp', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=78,  gr_typ_id=1168   WHERE pr_typ_id = 16993;
  -- Обновление параметра прибора "Активная энергия, экспорт по 1 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт по 1 тарифу', "Comment" = '', "NameP2" = 'A+exp1', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=79,  gr_typ_id=1168   WHERE pr_typ_id = 16994;
  -- Обновление параметра прибора "Активная энергия, экспорт по 2 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт по 2 тарифу', "Comment" = '', "NameP2" = 'A+exp2', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=80,  gr_typ_id=1168   WHERE pr_typ_id = 16995;
  -- Обновление параметра прибора "Активная энергия, экспорт по 3 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт по 3 тарифу', "Comment" = '', "NameP2" = 'A+exp3', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=81,  gr_typ_id=1168   WHERE pr_typ_id = 16996;
  -- Обновление параметра прибора "Активная энергия, экспорт по 4 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт по 4 тарифу', "Comment" = '', "NameP2" = 'A+exp4', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=82,  gr_typ_id=1168   WHERE pr_typ_id = 16997;
  -- Обновление параметра прибора "Активная энергия, экспорт по 5 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт по 5 тарифу', "Comment" = '', "NameP2" = 'A+exp5', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=83,  gr_typ_id=1168   WHERE pr_typ_id = 16998;
  -- Обновление параметра прибора "Активная энергия, экспорт по 6 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт по 6 тарифу', "Comment" = '', "NameP2" = 'A+exp6', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=84,  gr_typ_id=1168   WHERE pr_typ_id = 16999;
  -- Обновление параметра прибора "Активная энергия, экспорт по 7 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт по 7 тарифу', "Comment" = '', "NameP2" = 'A+exp7', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=85,  gr_typ_id=1168   WHERE pr_typ_id = 17000;
  -- Обновление параметра прибора "Активная энергия, экспорт по 8 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт по 8 тарифу', "Comment" = '', "NameP2" = 'A+exp8', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=86,  gr_typ_id=1168   WHERE pr_typ_id = 17001;
  -- Обновление параметра прибора "Активная энергия, экспорт за период записи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активная энергия, экспорт за период записи', "Comment" = '', "NameP2" = 'PP_A+exp', dev_typ_id = 441, "SupportData" = 434,  "typ_dat_Arh"=87,  gr_typ_id=1168   WHERE pr_typ_id = 17002;
  -- Обновление параметра прибора "Реактивная энергия, импорт"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт', "Comment" = '', "NameP2" = 'R-imp', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=88,  gr_typ_id=1168   WHERE pr_typ_id = 17003;
  -- Обновление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт по 1 тарифу', "Comment" = '', "NameP2" = 'R-imp1', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=89,  gr_typ_id=1168   WHERE pr_typ_id = 17004;
  -- Обновление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт по 2 тарифу', "Comment" = '', "NameP2" = 'R-imp2', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=90,  gr_typ_id=1168   WHERE pr_typ_id = 17005;
  -- Обновление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт по 3 тарифу', "Comment" = '', "NameP2" = 'R-imp3', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=91,  gr_typ_id=1168   WHERE pr_typ_id = 17006;
  -- Обновление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт по 4 тарифу', "Comment" = '', "NameP2" = 'R-imp4', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=92,  gr_typ_id=1168   WHERE pr_typ_id = 17007;
  -- Обновление параметра прибора "Реактивная энергия, импорт по 5 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт по 5 тарифу', "Comment" = '', "NameP2" = 'R-imp5', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=93,  gr_typ_id=1168   WHERE pr_typ_id = 17008;
  -- Обновление параметра прибора "Реактивная энергия, импорт по 6 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт по 6 тарифу', "Comment" = '', "NameP2" = 'R-imp6', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=94,  gr_typ_id=1168   WHERE pr_typ_id = 17009;
  -- Обновление параметра прибора "Реактивная энергия, импорт по 7 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт по 7 тарифу', "Comment" = '', "NameP2" = 'R-imp7', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=95,  gr_typ_id=1168   WHERE pr_typ_id = 17010;
  -- Обновление параметра прибора "Реактивная энергия, импорт по 8 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт по 8 тарифу', "Comment" = '', "NameP2" = 'R-imp8', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=96,  gr_typ_id=1168   WHERE pr_typ_id = 17011;
  -- Обновление параметра прибора "Реактивная энергия, импорт за период записи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, импорт за период записи', "Comment" = '', "NameP2" = 'PP_R-imp', dev_typ_id = 441, "SupportData" = 434,  "typ_dat_Arh"=97,  gr_typ_id=1168   WHERE pr_typ_id = 17012;
  -- Обновление параметра прибора "Реактивная энергия, экспорт"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт', "Comment" = '', "NameP2" = 'R-exp', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=98,  gr_typ_id=1168   WHERE pr_typ_id = 17013;
  -- Обновление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт по 1 тарифу', "Comment" = '', "NameP2" = 'R-exp1', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=99,  gr_typ_id=1168   WHERE pr_typ_id = 17014;
  -- Обновление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт по 2 тарифу', "Comment" = '', "NameP2" = 'R-exp2', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=100,  gr_typ_id=1168   WHERE pr_typ_id = 17015;
  -- Обновление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт по 3 тарифу', "Comment" = '', "NameP2" = 'R-exp3', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=101,  gr_typ_id=1168   WHERE pr_typ_id = 17016;
  -- Обновление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт по 4 тарифу', "Comment" = '', "NameP2" = 'R-exp4', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=102,  gr_typ_id=1168   WHERE pr_typ_id = 17017;
  -- Обновление параметра прибора "Реактивная энергия, экспорт по 5 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт по 5 тарифу', "Comment" = '', "NameP2" = 'R-exp5', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=103,  gr_typ_id=1168   WHERE pr_typ_id = 17018;
  -- Обновление параметра прибора "Реактивная энергия, экспорт по 6 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт по 6 тарифу', "Comment" = '', "NameP2" = 'R-exp6', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=104,  gr_typ_id=1168   WHERE pr_typ_id = 17019;
  -- Обновление параметра прибора "Реактивная энергия, экспорт по 7 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт по 7 тарифу', "Comment" = '', "NameP2" = 'R-exp7', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=105,  gr_typ_id=1168   WHERE pr_typ_id = 17020;
  -- Обновление параметра прибора "Реактивная энергия, экспорт по 8 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт по 8 тарифу', "Comment" = '', "NameP2" = 'R-exp8', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=106,  gr_typ_id=1168   WHERE pr_typ_id = 17021;
  -- Обновление параметра прибора "Реактивная энергия, экспорт за период записи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Реактивная энергия, экспорт за период записи', "Comment" = '', "NameP2" = 'PP_R-exp', dev_typ_id = 441, "SupportData" = 434,  "typ_dat_Arh"=107,  gr_typ_id=1168   WHERE pr_typ_id = 17022;
  -- Обновление параметра прибора "Удельная энергия потерь в ЛЭП"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в ЛЭП', "Comment" = '', "NameP2" = 'Eloss', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=108,  gr_typ_id=1168   WHERE pr_typ_id = 17023;
  -- Обновление параметра прибора "Удельная энергия потерь в ЛЭП по 1 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в ЛЭП по 1 тарифу', "Comment" = '', "NameP2" = 'Eloss1', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=109,  gr_typ_id=1168   WHERE pr_typ_id = 17024;
  -- Обновление параметра прибора "Удельная энергия потерь в ЛЭП по 2 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в ЛЭП по 2 тарифу', "Comment" = '', "NameP2" = 'Eloss2', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=110,  gr_typ_id=1168   WHERE pr_typ_id = 17025;
  -- Обновление параметра прибора "Удельная энергия потерь в ЛЭП по 3 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в ЛЭП по 3 тарифу', "Comment" = '', "NameP2" = 'Eloss3', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=111,  gr_typ_id=1168   WHERE pr_typ_id = 17026;
  -- Обновление параметра прибора "Удельная энергия потерь в ЛЭП по 4 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в ЛЭП по 4 тарифу', "Comment" = '', "NameP2" = 'Eloss4', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=112,  gr_typ_id=1168   WHERE pr_typ_id = 17027;
  -- Обновление параметра прибора "Удельная энергия потерь в ЛЭП по 5 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в ЛЭП по 5 тарифу', "Comment" = '', "NameP2" = 'Eloss5', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=113,  gr_typ_id=1168   WHERE pr_typ_id = 17028;
  -- Обновление параметра прибора "Удельная энергия потерь в ЛЭП по 6 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в ЛЭП по 6 тарифу', "Comment" = '', "NameP2" = 'Eloss6', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=114,  gr_typ_id=1168   WHERE pr_typ_id = 17029;
  -- Обновление параметра прибора "Удельная энергия потерь в ЛЭП по 7 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в ЛЭП по 7 тарифу', "Comment" = '', "NameP2" = 'Eloss7', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=115,  gr_typ_id=1168   WHERE pr_typ_id = 17030;
  -- Обновление параметра прибора "Удельная энергия потерь в ЛЭП по 8 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в ЛЭП по 8 тарифу', "Comment" = '', "NameP2" = 'Eloss8', dev_typ_id = 441, "SupportData" = 397,  "typ_dat_Arh"=116,  gr_typ_id=1168   WHERE pr_typ_id = 17031;
  -- Обновление параметра прибора "Удельная энергия потерь в силовых трансформаторах"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в силовых трансформаторах', "Comment" = '', "NameP2" = 'CVsh', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=117,  gr_typ_id=1168   WHERE pr_typ_id = 17032;
  -- Обновление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 1 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в силовых трансформаторах по 1 тарифу', "Comment" = '', "NameP2" = 'CVsh1', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=118,  gr_typ_id=1168   WHERE pr_typ_id = 17033;
  -- Обновление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 2 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в силовых трансформаторах по 2 тарифу', "Comment" = '', "NameP2" = 'CVsh2', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=119,  gr_typ_id=1168   WHERE pr_typ_id = 17034;
  -- Обновление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 3 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в силовых трансформаторах по 3 тарифу', "Comment" = '', "NameP2" = 'CVsh3', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=120,  gr_typ_id=1168   WHERE pr_typ_id = 17035;
  -- Обновление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 4 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в силовых трансформаторах по 4 тарифу', "Comment" = '', "NameP2" = 'CVsh4', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=121,  gr_typ_id=1168   WHERE pr_typ_id = 17036;
  -- Обновление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 5 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в силовых трансформаторах по 5 тарифу', "Comment" = '', "NameP2" = 'CVsh5', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=122,  gr_typ_id=1168   WHERE pr_typ_id = 17037;
  -- Обновление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 6 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в силовых трансформаторах по 6 тарифу', "Comment" = '', "NameP2" = 'CVsh6', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=123,  gr_typ_id=1168   WHERE pr_typ_id = 17038;
  -- Обновление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 7 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в силовых трансформаторах по 7 тарифу', "Comment" = '', "NameP2" = 'CVsh7', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=124,  gr_typ_id=1168   WHERE pr_typ_id = 17039;
  -- Обновление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 8 тарифу"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Удельная энергия потерь в силовых трансформаторах по 8 тарифу', "Comment" = '', "NameP2" = 'CVsh8', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=125,  gr_typ_id=1168   WHERE pr_typ_id = 17040;

---- Группа "Параметры сети" ----

  -- Обновление параметра прибора "Напряжение фазы"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение фазы', "Comment" = '', "NameP2" = 'V', dev_typ_id = 441, "SupportData" = 435,  "typ_dat_Arh"=126,  gr_typ_id=1169   WHERE pr_typ_id = 17041;
  -- Обновление параметра прибора "Угол UI фазы"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Угол UI фазы', "Comment" = '', "NameP2" = 'phiVI', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=127,  gr_typ_id=1169   WHERE pr_typ_id = 17042;
  -- Обновление параметра прибора "Частота сети"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Частота сети', "Comment" = '', "NameP2" = 'f', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=128,  gr_typ_id=1169   WHERE pr_typ_id = 17043;
  -- Обновление параметра прибора "Ток фазы"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток фазы', "Comment" = '', "NameP2" = 'Iph', dev_typ_id = 441, "SupportData" = 435,  "typ_dat_Arh"=129,  gr_typ_id=1169   WHERE pr_typ_id = 17044;
  -- Обновление параметра прибора "Ток нулевого провода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток нулевого провода', "Comment" = '', "NameP2" = 'In', dev_typ_id = 441, "SupportData" = 435,  "typ_dat_Arh"=130,  gr_typ_id=1169   WHERE pr_typ_id = 17045;
  -- Обновление параметра прибора "Дифференциальный ток"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дифференциальный ток', "Comment" = '', "NameP2" = 'Idiff', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=131,  gr_typ_id=1169   WHERE pr_typ_id = 17046;
  -- Обновление параметра прибора "Дифференциальный ток, % от фазного тока"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дифференциальный ток, % от фазного тока', "Comment" = '', "NameP2" = 'Idiffperc', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=132,  gr_typ_id=1169   WHERE pr_typ_id = 17047;
  -- Обновление параметра прибора "Статус некачественной энергии"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Статус некачественной энергии', "Comment" = '', "NameP2" = 'faultes', dev_typ_id = 441, "SupportData" = 388,  "typ_dat_Arh"=133,  gr_typ_id=1169   WHERE pr_typ_id = 17048;
  -- Обновление параметра прибора "Время некачественной частоты"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Время некачественной частоты', "Comment" = '', "NameP2" = 'faultft', dev_typ_id = 441, "SupportData" = 388,  "typ_dat_Arh"=134,  gr_typ_id=1169   WHERE pr_typ_id = 17049;
  -- Обновление параметра прибора "Статус записи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Статус записи', "Comment" = '', "NameP2" = 'recstate', dev_typ_id = 441, "SupportData" = 434,  "typ_dat_Arh"=135,  gr_typ_id=1169   WHERE pr_typ_id = 17050;
  -- Обновление параметра прибора "Положительное отклонение напряжения, %"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Положительное отклонение напряжения, %', "Comment" = '', "NameP2" = 'Udevpos', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=136,  gr_typ_id=1169   WHERE pr_typ_id = 17051;
  -- Обновление параметра прибора "Отрицательное отклонение напряжения, %"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Отрицательное отклонение напряжения, %', "Comment" = '', "NameP2" = 'Udevneg', dev_typ_id = 441, "SupportData" = 385,  "typ_dat_Arh"=137,  gr_typ_id=1169   WHERE pr_typ_id = 17052;

---- Прибор "i-PROM элестросчётчик 1-фазный" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (445, 'i-PROM элестросчётчик 1-фазный', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1174, 'Информационные', '', 445, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17102, 'Дата и время прибора', '', 1174, 1, 0, 'D', 445, 193);
-- Добавление параметра прибора "Время работы ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17103, 'Время работы ПУ', '', 1174, 1, 1, 'c_wt', 445, 385);
-- Добавление параметра прибора "Температура внутри корпуса ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17104, 'Температура внутри корпуса ПУ', '', 1174, 1, 2, 't', 445, 384);
-- Добавление параметра прибора "Серийный номер ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17105, 'Серийный номер ПУ', '', 1174, 1, 3, 'i_sn', 445, 448);
-- Добавление параметра прибора "Тип (модель) ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17106, 'Тип (модель) ПУ', '', 1174, 1, 4, 'i_dev', 445, 448);
-- Добавление параметра прибора "Версия метрологического ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17107, 'Версия метрологического ПО', '', 1174, 1, 5, 'i_fw', 445, 448);
-- Добавление параметра прибора "Логическое имя устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17108, 'Логическое имя устройства', '', 1174, 1, 6, 'c_ldn', 445, 448);
-- Добавление параметра прибора "Наименование производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17109, 'Наименование производителя', '', 1174, 1, 7, 'i_manuf', 445, 448);
-- Добавление параметра прибора "Дата выпуска ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17110, 'Дата выпуска ПУ', '', 1174, 1, 8, 'i_prodd', 445, 448);
-- Добавление параметра прибора "Версия спецификации СПОДЭС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17111, 'Версия спецификации СПОДЭС', '', 1174, 1, 11, 'i_spodesv', 445, 448);
-- Добавление параметра прибора "Идентификатор не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17112, 'Идентификатор не метрологической части ВПО', '', 1174, 1, 12, 'i_vpoid', 445, 448);
-- Добавление параметра прибора "Идентификатор исполнения счетчика (модель)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17113, 'Идентификатор исполнения счетчика (модель)', '', 1174, 1, 13, 'i_model', 445, 448);
-- Добавление параметра прибора "Счетчик коррекций (конфигурирований)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17114, 'Счетчик коррекций (конфигурирований)', '', 1174, 1, 15, 'c_corr', 445, 448);
-- Добавление параметра прибора "Дата последнего конфигурирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17115, 'Дата последнего конфигурирования', '', 1174, 1, 16, 'c_corrd', 445, 448);
-- Добавление параметра прибора "Дата последней калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17116, 'Дата последней калибровки', '', 1174, 1, 17, 'c_cald', 445, 448);
-- Добавление параметра прибора "Дата последнего активирования календаря"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17117, 'Дата последнего активирования календаря', '', 1174, 1, 18, 'c_lacd', 445, 448);
-- Добавление параметра прибора "Дата последней установки времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17118, 'Дата последней установки времени', '', 1174, 1, 19, 'c_lsetd', 445, 448);
-- Добавление параметра прибора "Дата последнего изменения встроенного ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17119, 'Дата последнего изменения встроенного ПО', '', 1174, 1, 20, 'c_lsetfw', 445, 448);
-- Добавление параметра прибора "Счетчик срабатываний реле на размыкание"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17120, 'Счетчик срабатываний реле на размыкание', '', 1174, 1, 21, 'c_relayoff', 445, 448);
-- Добавление параметра прибора "Счетчик вскрытий корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17121, 'Счетчик вскрытий корпуса', '', 1174, 1, 22, 'c_openc', 445, 448);
-- Добавление параметра прибора "Дата последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17122, 'Дата последнего вскрытия корпуса', '', 1174, 1, 23, 'c_lopend', 445, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17123, 'Продолжительность последнего вскрытия корпуса', '', 1174, 1, 24, 'c_lopendt', 445, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17124, 'Общая продолжительность вскрытия корпуса', '', 1174, 1, 25, 'c_lopenttot', 445, 448);
-- Добавление параметра прибора "Счетчик вскрытий крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17125, 'Счетчик вскрытий крышки клеммников', '', 1174, 1, 26, 'c_openclem', 445, 448);
-- Добавление параметра прибора "Дата последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17126, 'Дата последнего вскрытия крышки клеммников', '', 1174, 1, 27, 'c_lopenclemd', 445, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17127, 'Продолжительность последнего вскрытия крышки клеммников', '', 1174, 1, 28, 'c_lopenclemdt', 445, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17128, 'Общая продолжительность вскрытия крышки клеммников', '', 1174, 1, 29, 'c_openclemtot', 445, 448);
-- Добавление параметра прибора "Счетчик срабатываний датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17129, 'Счетчик срабатываний датчика магнитного поля', '', 1174, 1, 30, 'c_magn', 445, 448);
-- Добавление параметра прибора "Текущее состояние датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17130, 'Текущее состояние датчика магнитного поля', '', 1174, 1, 31, 's_curmagn', 445, 385);
-- Добавление параметра прибора "Дата последнего воздействия датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17131, 'Дата последнего воздействия датчика магнитного поля', '', 1174, 1, 32, 'c_lmagnd', 445, 448);
-- Добавление параметра прибора "Продолжительность последнего воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17132, 'Продолжительность последнего воздействия магнитного поля', '', 1174, 1, 33, 'c_lmagnt', 445, 448);
-- Добавление параметра прибора "Общая продолжительность воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17133, 'Общая продолжительность воздействия магнитного поля', '', 1174, 1, 34, 'c_magntot', 445, 448);
-- Добавление параметра прибора "Счетчик сбросов центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17134, 'Счетчик сбросов центрального микроконтроллера', '', 1174, 1, 35, 'c_mcreset', 445, 448);
-- Добавление параметра прибора "Дата последнего сброса центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17135, 'Дата последнего сброса центрального микроконтроллера', '', 1174, 1, 36, 'c_mcresetd', 445, 448);
-- Добавление параметра прибора "Дата последнего выключения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17136, 'Дата последнего выключения счётчика', '', 1174, 1, 37, 'c_puoffd', 445, 448);
-- Добавление параметра прибора "Дата последнего включения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17137, 'Дата последнего включения счётчика', '', 1174, 1, 38, 'c_puond', 445, 448);
-- Добавление параметра прибора "Блокиратор реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17138, 'Блокиратор реле нагрузки', '', 1174, 1, 46, 'c_relay', 445, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1175, 'Параметры сети', '', 445, 0);

-- Добавление параметра прибора "Напряжение фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17139, 'Напряжение фазы', '', 1175, 1, 126, 'V', 445, 385);
-- Добавление параметра прибора "Частота сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17140, 'Частота сети', '', 1175, 1, 128, 'f', 445, 385);
-- Добавление параметра прибора "Ток фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17141, 'Ток фазы', '', 1175, 1, 129, 'Iph', 445, 385);
-- Добавление параметра прибора "Ток нулевого провода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17142, 'Ток нулевого провода', '', 1175, 1, 130, 'In', 445, 385);
-- Добавление параметра прибора "Дифференциальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17143, 'Дифференциальный ток', '', 1175, 1, 131, 'Idiff', 445, 385);
-- Добавление параметра прибора "Дифференциальный ток, % от фазного тока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17144, 'Дифференциальный ток, % от фазного тока', '', 1175, 1, 132, 'Idiffperc', 445, 385);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1176, 'Параметры учёта', '', 445, 0);

-- Добавление параметра прибора "Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17145, 'Полная мощность', '', 1176, 1, 47, 'S', 445, 385);
-- Добавление параметра прибора "Активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17146, 'Активная мощность', '', 1176, 1, 51, 'P', 445, 385);
-- Добавление параметра прибора "Коэффициент мощности общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17147, 'Коэффициент мощности общий', '', 1176, 1, 58, 'PF', 445, 385);
-- Добавление параметра прибора "Реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17148, 'Реактивная мощность', '', 1176, 1, 59, 'Q', 445, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности tg ф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17149, 'Коэффициент реактивной мощности tg ф', '', 1176, 1, 60, 'PFQ', 445, 385);
-- Добавление параметра прибора "Текущее состояние инициативного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17150, 'Текущее состояние инициативного выхода', '', 1176, 1, 64, 'flags', 445, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1177, 'Энергия', '', 445, 0);

-- Добавление параметра прибора "Активная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17151, 'Активная энергия, импорт', '', 1177, 1, 68, 'A+imp', 445, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17152, 'Активная энергия, импорт по 1 тарифу', '', 1177, 1, 69, 'A+imp1', 445, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17153, 'Активная энергия, импорт по 2 тарифу', '', 1177, 1, 70, 'A+imp2', 445, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17154, 'Активная энергия, импорт по 3 тарифу', '', 1177, 1, 71, 'A+imp3', 445, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17155, 'Активная энергия, импорт по 4 тарифу', '', 1177, 1, 72, 'A+imp4', 445, 397);
-- Добавление параметра прибора "Активная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17156, 'Активная энергия, импорт за период записи', '', 1177, 1, 77, 'PP_A+imp', 445, 434);
-- Добавление параметра прибора "Активная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17157, 'Активная энергия, экспорт', '', 1177, 1, 78, 'A+exp', 445, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17158, 'Активная энергия, экспорт по 1 тарифу', '', 1177, 1, 79, 'A+exp1', 445, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17159, 'Активная энергия, экспорт по 2 тарифу', '', 1177, 1, 80, 'A+exp2', 445, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17160, 'Активная энергия, экспорт по 3 тарифу', '', 1177, 1, 81, 'A+exp3', 445, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17161, 'Активная энергия, экспорт по 4 тарифу', '', 1177, 1, 82, 'A+exp4', 445, 397);
-- Добавление параметра прибора "Активная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17162, 'Активная энергия, экспорт за период записи', '', 1177, 1, 87, 'PP_A+exp', 445, 434);
-- Добавление параметра прибора "Реактивная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17163, 'Реактивная энергия, импорт', '', 1177, 1, 88, 'R-imp', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17164, 'Реактивная энергия, импорт по 1 тарифу', '', 1177, 1, 89, 'R-imp1', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17165, 'Реактивная энергия, импорт по 2 тарифу', '', 1177, 1, 90, 'R-imp2', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17166, 'Реактивная энергия, импорт по 3 тарифу', '', 1177, 1, 91, 'R-imp3', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17167, 'Реактивная энергия, импорт по 4 тарифу', '', 1177, 1, 92, 'R-imp4', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17168, 'Реактивная энергия, импорт за период записи', '', 1177, 1, 97, 'PP_R-imp', 445, 434);
-- Добавление параметра прибора "Реактивная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17169, 'Реактивная энергия, экспорт', '', 1177, 1, 98, 'R-exp', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17170, 'Реактивная энергия, экспорт по 1 тарифу', '', 1177, 1, 99, 'R-exp1', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17171, 'Реактивная энергия, экспорт по 2 тарифу', '', 1177, 1, 100, 'R-exp2', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17172, 'Реактивная энергия, экспорт по 3 тарифу', '', 1177, 1, 101, 'R-exp3', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17173, 'Реактивная энергия, экспорт по 4 тарифу', '', 1177, 1, 102, 'R-exp4', 445, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17174, 'Реактивная энергия, экспорт за период записи', '', 1177, 1, 107, 'PP_R-exp', 445, 434);
