-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 17178 AND pr_typ_id <= 17328;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1178 AND gr_typ_id <= 1181;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 446;

---- Прибор "Пульсар счетчик газа стандартный" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (446, 'Пульсар счетчик газа стандартный', '', 128);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1178, 'Показания', '', 446, 0);

-- Добавление параметра прибора "Объем, прямой [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17178, 'Объем, прямой [м3]', '', 1178, 1, 0, 'K01.F32', 446, 143);
-- Добавление параметра прибора "Объем, реверсный [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17179, 'Объем, реверсный [м3]', '', 1178, 1, 1, 'K02.F32', 446, 143);
-- Добавление параметра прибора "Температура газа [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17180, 'Температура газа [°C]', '', 1178, 1, 2, 'K03.F32', 446, 143);
-- Добавление параметра прибора "Температура 2 [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17181, 'Температура 2 [°C]', '', 1178, 1, 3, 'K04.F32', 446, 143);
-- Добавление параметра прибора "Объем, прямой (без коррекции) [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17182, 'Объем, прямой (без коррекции) [м3]', '', 1178, 1, 4, 'K05.F32', 446, 143);
-- Добавление параметра прибора "Объем, реверсный (без коррекции) [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17183, 'Объем, реверсный (без коррекции) [м3]', '', 1178, 1, 5, 'K06.F32', 446, 143);
-- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17184, 'Время нормальной работы [ч]', '', 1178, 1, 6, 'K07.U32', 446, 143);
-- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17185, 'Ошибки', '', 1178, 1, 7, 'K08.U32.X', 446, 143);
-- Добавление параметра прибора "Ошибки (текст)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17186, 'Ошибки (текст)', '', 1178, 1, 8, 'K08.U32', 446, 143);
-- Добавление параметра прибора "Импульсный вход 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17187, 'Импульсный вход 1 [м3]', '', 1178, 1, 9, 'K09.F32', 446, 143);
-- Добавление параметра прибора "Импульсный вход 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17188, 'Импульсный вход 2 [м3]', '', 1178, 1, 10, 'K10.F32', 446, 143);
-- Добавление параметра прибора "Импульсный вход 3 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17189, 'Импульсный вход 3 [м3]', '', 1178, 1, 11, 'K11.F32', 446, 143);
-- Добавление параметра прибора "Импульсный вход 4 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17190, 'Импульсный вход 4 [м3]', '', 1178, 1, 12, 'K12.F32', 446, 143);
-- Добавление параметра прибора "Давление газа [кПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17191, 'Давление газа [кПа]', '', 1178, 1, 13, 'K13.F32', 446, 143);
-- Добавление параметра прибора "Давление 2 [кПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17192, 'Давление 2 [кПа]', '', 1178, 1, 14, 'K14.F32', 446, 143);
-- Добавление параметра прибора "Коэффициент сжимаемости газа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17193, 'Коэффициент сжимаемости газа', '', 1178, 1, 15, 'K15.F32', 446, 143);
-- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17194, 'Расход [м3/ч]', '', 1178, 1, 16, 'P0100.F32', 446, 385);
-- Добавление параметра прибора "Расход (без коррекции) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17195, 'Расход (без коррекции) [м3/ч]', '', 1178, 1, 17, 'P012F.F32', 446, 385);
-- Добавление параметра прибора "Температура окружающей среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17196, 'Температура окружающей среды [C]', '', 1178, 1, 18, 'P0131.I8', 446, 385);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1179, 'Параметры', '', 446, 0);

-- Добавление параметра прибора "Дата/Время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17197, 'Дата/Время', '', 1179, 1, 19, 'D', 446, 192);
-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17198, 'Сетевой адрес', '', 1179, 1, 20, '__ADDRESS', 446, 193);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17199, 'Версия ПО', '', 1179, 1, 21, '__VERSION_INTERNAL', 446, 448);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17200, 'Заводской номер', '', 1179, 1, 22, 'P0003.U32', 446, 192);
-- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17201, 'Пароль (старый | новый)', '', 1179, 1, 23, '__PASSWORD', 446, 192);
-- Добавление параметра прибора "Время работы с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17202, 'Время работы с ошибками [ч]', '', 1179, 1, 24, 'P0007.U32', 446, 192);
-- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17203, 'Время наработки [ч]', '', 1179, 1, 25, 'P000A.U32', 446, 448);
-- Добавление параметра прибора "[Часы] Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17204, '[Часы] Автопереход зима/лето', '', 1179, 1, 26, 'P0009.U8', 446, 192);
-- Добавление параметра прибора "[Часы] Плавная коррекция времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17205, '[Часы] Плавная коррекция времени', '', 1179, 1, 27, 'P0031.U8', 446, 448);
-- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17206, 'Напряжение батареи [мВ]', '', 1179, 1, 28, 'P0040.U16', 446, 448);
-- Добавление параметра прибора "Импульсный выход 1, вес импульса [л/имп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17207, 'Импульсный выход 1, вес импульса [л/имп.]', '', 1179, 1, 29, 'P00A1.F32', 446, 192);
-- Добавление параметра прибора "Импульсный выход 1, длительность импульса и паузы [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17208, 'Импульсный выход 1, длительность импульса и паузы [мС]', '', 1179, 1, 30, 'P00A2.U16', 446, 192);
-- Добавление параметра прибора "Импульсный выход 1, направление"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17209, 'Импульсный выход 1, направление', '', 1179, 1, 31, 'P00A3.U8', 446, 192);
-- Добавление параметра прибора "Импульсный выход 2, вес импульса [л/имп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17210, 'Импульсный выход 2, вес импульса [л/имп.]', '', 1179, 1, 32, 'P00A6.F32', 446, 192);
-- Добавление параметра прибора "Импульсный выход 2, длительность импульса и паузы [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17211, 'Импульсный выход 2, длительность импульса и паузы [мС]', '', 1179, 1, 33, 'P00A7.U16', 446, 192);
-- Добавление параметра прибора "Импульсный выход 2, направление"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17212, 'Импульсный выход 2, направление', '', 1179, 1, 34, 'P00A8.U8', 446, 192);
-- Добавление параметра прибора "Импульсный вход, вес испульса 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17213, 'Импульсный вход, вес испульса 1 [м3]', '', 1179, 1, 35, 'P00C0.F32', 446, 192);
-- Добавление параметра прибора "Импульсный вход, минимальный импульс 1 [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17214, 'Импульсный вход, минимальный импульс 1 [мс]', '', 1179, 1, 36, 'P00C1.U16', 446, 192);
-- Добавление параметра прибора "Импульсный вход, вес испульса 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17215, 'Импульсный вход, вес испульса 2 [м3]', '', 1179, 1, 37, 'P00C3.F32', 446, 192);
-- Добавление параметра прибора "Импульсный вход, минимальный импульс 2 [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17216, 'Импульсный вход, минимальный импульс 2 [мс]', '', 1179, 1, 38, 'P00C4.U16', 446, 192);
-- Добавление параметра прибора "Импульсный вход, вес испульса 3 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17217, 'Импульсный вход, вес испульса 3 [м3]', '', 1179, 1, 39, 'P00C6.F32', 446, 192);
-- Добавление параметра прибора "Импульсный вход, минимальный импульс 3 [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17218, 'Импульсный вход, минимальный импульс 3 [мс]', '', 1179, 1, 40, 'P00C7.U16', 446, 192);
-- Добавление параметра прибора "Импульсный вход, вес испульса 4 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17219, 'Импульсный вход, вес испульса 4 [м3]', '', 1179, 1, 41, 'P00C9.F32', 446, 192);
-- Добавление параметра прибора "Импульсный вход, минимальный импульс 4 [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17220, 'Импульсный вход, минимальный импульс 4 [мс]', '', 1179, 1, 42, 'P00CA.U16', 446, 192);
-- Добавление параметра прибора "Сетевой адрес M-Bus"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17221, 'Сетевой адрес M-Bus', '', 1179, 1, 43, 'P00E0.U8', 446, 192);
-- Добавление параметра прибора "Настройки UART"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17222, 'Настройки UART', '', 1179, 1, 44, 'P00F0.U8', 446, 192);
-- Добавление параметра прибора "[Состав газа] Молярная доля азота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17223, '[Состав газа] Молярная доля азота', '', 1179, 1, 45, 'P0171.F32', 446, 192);
-- Добавление параметра прибора "[Состав газа] Молярная доля диоксида углерода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17224, '[Состав газа] Молярная доля диоксида углерода', '', 1179, 1, 46, 'P0172.F32', 446, 192);
-- Добавление параметра прибора "[Состав газа] Плотность газа при нормальных условиях [кг/м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17225, '[Состав газа] Плотность газа при нормальных условиях [кг/м3]', '', 1179, 1, 47, 'P0173.F32', 446, 192);
-- Добавление параметра прибора "Количество переданных ШП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17226, 'Количество переданных ШП маркеров', '', 1179, 1, 48, 'P0400.U32', 446, 192);
-- Добавление параметра прибора "Количество переданных УП/Lora маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17227, 'Количество переданных УП/Lora маркеров', '', 1179, 1, 49, 'P0401.U32', 446, 192);
-- Добавление параметра прибора "RSSI последнего ШП пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17228, 'RSSI последнего ШП пакета [дБм]', '', 1179, 1, 50, 'P0402.I8', 446, 448);
-- Добавление параметра прибора "Последняя ошибка RF модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17229, 'Последняя ошибка RF модуля', '', 1179, 1, 51, 'P0403.U8', 446, 192);
-- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17230, '[RF] Мощность передатчика [мВт]', '', 1179, 1, 52, 'P1000.U8', 446, 192);
-- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17231, '[RF] Количество повторов УП маркеров', '', 1179, 1, 53, 'P1001.U8', 446, 192);
-- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17232, '[RF] Режим кодирования УП маркеров', '', 1179, 1, 54, 'P1002.U8', 446, 192);
-- Добавление параметра прибора "[RF] Смещение каналов УП передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17233, '[RF] Смещение каналов УП передачи', '', 1179, 1, 55, 'P1003.I16', 446, 192);
-- Добавление параметра прибора "[RF] Лимиты устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17234, '[RF] Лимиты устройства', '', 1179, 1, 56, 'P10F0.U64', 446, 448);
-- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17235, '[RF] Запрос на неотложную передачу УП маркера', '', 1179, 1, 57, 'P10F1.U8', 446, 192);
-- Добавление параметра прибора "[RSSI] Запрос на неотложную передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17236, '[RSSI] Запрос на неотложную передачу маркера', '', 1179, 1, 58, 'P11F2.U8', 446, 192);
-- Добавление параметра прибора "[WM-bus] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17237, '[WM-bus] Мощность передатчика [мВт]', '', 1179, 1, 59, 'P1200.U8', 446, 192);
-- Добавление параметра прибора "[WM-bus] Режим физического уровня"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17238, '[WM-bus] Режим физического уровня', '', 1179, 1, 60, 'P1201.U8', 446, 192);
-- Добавление параметра прибора "[WM-bus] Шифрование AES-128, ключ байты 0…7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17239, '[WM-bus] Шифрование AES-128, ключ байты 0…7', '', 1179, 1, 61, 'P1202.I64', 446, 192);
-- Добавление параметра прибора "[WM-bus] Шифрование AES-128, ключ байты 8…15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17240, '[WM-bus] Шифрование AES-128, ключ байты 8…15', '', 1179, 1, 62, 'P1203.I64', 446, 192);
-- Добавление параметра прибора "[WM-bus] Шифрование AES-128"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17241, '[WM-bus] Шифрование AES-128', '', 1179, 1, 63, 'P1204.U8', 446, 192);
-- Добавление параметра прибора "[WM-bus] Лимиты устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17242, '[WM-bus] Лимиты устройства', '', 1179, 1, 64, 'P12F0.U64', 446, 448);
-- Добавление параметра прибора "[NBIOT] Приоритет сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17243, '[NBIOT] Приоритет сети', '', 1179, 1, 65, 'P1300.U8', 446, 192);

---- Группа "Радиомодуль LoRaWAN" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1180, 'Радиомодуль LoRaWAN', '', 446, 1179);

-- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17244, '[Lora] Информация о сети', '', 1180, 1, 66, 'P11F1', 446, 448);
-- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17245, '[Lora Ключи] Device EUI', '', 1180, 1, 67, 'P1100', 446, 192);
-- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17246, '[Lora Ключи] App EUI', '', 1180, 1, 68, 'P1101', 446, 192);
-- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17247, '[Lora Ключи] App Key', '', 1180, 1, 69, 'PS1102', 446, 192);
-- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17248, '[Lora Регион] Частотный план', '', 1180, 1, 70, 'P1110', 446, 192);
-- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17249, '[Lora Регион] Начальная скорость', '', 1180, 1, 71, 'P1111.U32.BIT16-8', 446, 192);
-- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17250, '[Lora Регион] Минимальная скорость', '', 1180, 1, 72, 'P1111.U32.BIT0-8', 446, 192);
-- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17251, '[Lora Регион] Максимальная скорость', '', 1180, 1, 73, 'P1111.U32.BIT8-8', 446, 192);
-- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17252, '[Lora Регион] Мощность по умолчанию [дБм]', '', 1180, 1, 74, 'P1112.U8', 446, 192);
-- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17253, '[Lora Регион] Окно приёма Join [сек]', '', 1180, 1, 75, 'P1113.U8', 446, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17254, '[Lora Маркер] Количество попыток', '', 1180, 1, 76, 'P1120.U8', 446, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17255, '[Lora Маркер] Количество в сутки', '', 1180, 1, 77, 'P1121.U8', 446, 192);
-- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17256, '[Lora Маркер] Глубина оффлайн кэша', '', 1180, 1, 78, 'P1122.U8', 446, 192);
-- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17257, '[Lora Тест связи] Количество попыток', '', 1180, 1, 79, 'P1130.U8', 446, 192);
-- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17258, '[Lora Тест связи] Прескалер маркеров', '', 1180, 1, 80, 'P1131.U8', 446, 192);
-- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17259, '[Lora АСП] Разрешение управления сетью', '', 1180, 1, 81, 'P1140.U8', 446, 192);
-- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17260, '[Lora АСП] Порог для ручного управления', '', 1180, 1, 82, 'P1141.U8', 446, 192);
-- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17261, '[Lora ] Запрос на передачу маркера', '', 1180, 1, 83, 'P11F2.U8', 446, 192);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1181, 'Настроечные', '', 446, 1179);

-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17262, 'Количество сбросов', '', 1181, 1, 84, 'P0004.U16', 446, 64);
-- Добавление параметра прибора "Причина сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17263, 'Причина сброса', '', 1181, 1, 85, 'P0005.U8', 446, 320);
-- Добавление параметра прибора "Наработка с ошибками. Маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17264, 'Наработка с ошибками. Маска', '', 1181, 1, 86, 'P0008.U32', 446, 64);
-- Добавление параметра прибора "[Часы] Коэффициент коррекции"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17265, '[Часы] Коэффициент коррекции', '', 1181, 1, 87, 'P0030.F32', 446, 64);
-- Добавление параметра прибора "Порог напряжения батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17266, 'Порог напряжения батареи', '', 1181, 1, 88, 'P0041.U64', 446, 64);
-- Добавление параметра прибора "Калибровка напряжения батареи. Смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17267, 'Калибровка напряжения батареи. Смещение', '', 1181, 1, 89, 'P0042.I16', 446, 64);
-- Добавление параметра прибора "Калибровка напряжения батареи. Коэффициент x1000"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17268, 'Калибровка напряжения батареи. Коэффициент x1000', '', 1181, 1, 90, 'P0043.U16', 446, 64);
-- Добавление параметра прибора "Часовой кварц, вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17269, 'Часовой кварц, вывод частоты', '', 1181, 1, 91, 'P0060.U8', 446, 64);
-- Добавление параметра прибора "Часовой кварц, измеренная частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17270, 'Часовой кварц, измеренная частота [Гц]', '', 1181, 1, 92, 'P0061.U16', 446, 64);
-- Добавление параметра прибора "Часовой кварц, нагрузочные конденсаторы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17271, 'Часовой кварц, нагрузочные конденсаторы', '', 1181, 1, 93, 'P0062.U8', 446, 64);
-- Добавление параметра прибора "Размер EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17272, 'Размер EEPROM', '', 1181, 1, 94, 'P0080.U8', 446, 64);
-- Добавление параметра прибора "Архивируемые каналы EEPROM, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17273, 'Архивируемые каналы EEPROM, маска', '', 1181, 1, 95, 'P0081.U32', 446, 64);
-- Добавление параметра прибора "Глубина архивирования EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17274, 'Глубина архивирования EEPROM', '', 1181, 1, 96, 'P0082.U64', 446, 64);
-- Добавление параметра прибора "[Дисплей] Язык интерфейса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17275, '[Дисплей] Язык интерфейса', '', 1181, 1, 97, 'P0090.U8', 446, 64);
-- Добавление параметра прибора "Импульсный выход 1, диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17276, 'Импульсный выход 1, диагностика', '', 1181, 1, 98, 'P00A4.U8', 446, 64);
-- Добавление параметра прибора "Импульсный выход 2, диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17277, 'Импульсный выход 2, диагностика', '', 1181, 1, 99, 'P00A9.U8', 446, 64);
-- Добавление параметра прибора "Число импульсных выходов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17278, 'Число импульсных выходов', '', 1181, 1, 100, 'P00BF.U8', 446, 64);
-- Добавление параметра прибора "Число импульсных входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17279, 'Число импульсных входов', '', 1181, 1, 101, 'P00DF.U8', 446, 64);
-- Добавление параметра прибора "Вес импульса или Масштабирующий коэффициент расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17280, 'Вес импульса или Масштабирующий коэффициент расхода', '', 1181, 1, 102, 'P0101.F32', 446, 64);
-- Добавление параметра прибора "Расход по эталону, [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17281, 'Расход по эталону, [м3/ч]', '', 1181, 1, 103, 'P0102.F32', 446, 64);
-- Добавление параметра прибора "Нижний порог контроля расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17282, 'Нижний порог контроля расхода [м3/ч]', '', 1181, 1, 104, 'P0103.F32', 446, 64);
-- Добавление параметра прибора "Верхний порог контроля расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17283, 'Верхний порог контроля расхода [м3/ч]', '', 1181, 1, 105, 'P0104.F32', 446, 64);
-- Добавление параметра прибора "Нижний порог чувствительности расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17284, 'Нижний порог чувствительности расхода [м3/ч]', '', 1181, 1, 106, 'P0105.F32', 446, 64);
-- Добавление параметра прибора "Команда тестового пролива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17285, 'Команда тестового пролива', '', 1181, 1, 107, 'P0106.U8', 446, 64);
-- Добавление параметра прибора "Тестовый пролив, объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17286, 'Тестовый пролив, объем [м3]', '', 1181, 1, 108, 'P0107.F32', 446, 320);
-- Добавление параметра прибора "Тестовый пролив, расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17287, 'Тестовый пролив, расход [м3/ч]', '', 1181, 1, 109, 'P0108.F32', 446, 320);
-- Добавление параметра прибора "Тестовый пролив, расход (без корр) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17288, 'Тестовый пролив, расход (без корр) [м3/ч]', '', 1181, 1, 110, 'P0109.F32', 446, 320);
-- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17289, 'Линеаризация расхода', '', 1181, 1, 111, 'P010A.U8', 446, 64);
-- Добавление параметра прибора "Учёт обратного потока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17290, 'Учёт обратного потока', '', 1181, 1, 112, 'P012B.U8', 446, 64);
-- Добавление параметра прибора "Предельное значение расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17291, 'Предельное значение расхода [м3/ч]', '', 1181, 1, 113, 'P012C.F32', 446, 64);
-- Добавление параметра прибора "Тестовый пролив, расход (исходный) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17292, 'Тестовый пролив, расход (исходный) [м3/ч]', '', 1181, 1, 114, 'P010D.F32', 446, 320);
-- Добавление параметра прибора "Термометр газа, Rwire [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17293, 'Термометр газа, Rwire [Ом]', '', 1181, 1, 115, 'P0132.F32', 446, 64);
-- Добавление параметра прибора "Термометр 2, Rwire [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17294, 'Термометр 2, Rwire [Ом]', '', 1181, 1, 116, 'P0133.F32', 446, 64);
-- Добавление параметра прибора "Термометр газа, сопротивление [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17295, 'Термометр газа, сопротивление [Ом]', '', 1181, 1, 117, 'P0134.F32', 446, 320);
-- Добавление параметра прибора "Термометр 2, сопротивление [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17296, 'Термометр 2, сопротивление [Ом]', '', 1181, 1, 118, 'P0135.F32', 446, 320);
-- Добавление параметра прибора "Калибровка, сопротивление [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17297, 'Калибровка, сопротивление [Ом]', '', 1181, 1, 119, 'P0136.F32', 446, 64);
-- Добавление параметра прибора "Калибровка, процесс"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17298, 'Калибровка, процесс', '', 1181, 1, 120, 'P0137.U8', 446, 64);
-- Добавление параметра прибора "Нижний порог контроля температуры [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17299, 'Нижний порог контроля температуры [м3/ч]', '', 1181, 1, 121, 'P0138.F32', 446, 64);
-- Добавление параметра прибора "Верихний порог контроля температуры [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17300, 'Верихний порог контроля температуры [м3/ч]', '', 1181, 1, 122, 'P0139.F32', 446, 64);
-- Добавление параметра прибора "Калибровка сопротивления, смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17301, 'Калибровка сопротивления, смещение', '', 1181, 1, 123, 'P013C.F32', 446, 64);
-- Добавление параметра прибора "Калибровка сопротивления, масштаб"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17302, 'Калибровка сопротивления, масштаб', '', 1181, 1, 124, 'P013D.F32', 446, 64);
-- Добавление параметра прибора "Подстановочная температура газа [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17303, 'Подстановочная температура газа [C]', '', 1181, 1, 125, 'P013B.F32', 446, 64);
-- Добавление параметра прибора "Калибровка давления, коэффициент"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17304, 'Калибровка давления, коэффициент', '', 1181, 1, 126, 'P0150.F32', 446, 64);
-- Добавление параметра прибора "Нижний порог контроля давления [кПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17305, 'Нижний порог контроля давления [кПа]', '', 1181, 1, 127, 'P0153.F32', 446, 64);
-- Добавление параметра прибора "Верихний порог контроля давления [кПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17306, 'Верихний порог контроля давления [кПа]', '', 1181, 1, 128, 'P0154.F32', 446, 64);
-- Добавление параметра прибора "Подстановочное давление газа [кПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17307, 'Подстановочное давление газа [кПа]', '', 1181, 1, 129, 'P0152.F32', 446, 64);
-- Добавление параметра прибора "Подставной коэффициент сжимаемости газа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17308, 'Подставной коэффициент сжимаемости газа', '', 1181, 1, 130, 'P0170.F32', 446, 64);
-- Добавление параметра прибора "Уровень чувствительности кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17309, 'Уровень чувствительности кнопки', '', 1181, 1, 131, 'P0180.U8', 446, 64);
-- Добавление параметра прибора "Частота мембраны [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17310, 'Частота мембраны [Гц]', '', 1181, 1, 132, 'P01A0.F32', 446, 320);
-- Добавление параметра прибора "Безразмерный расход"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17311, 'Безразмерный расход', '', 1181, 1, 133, 'P0240.F32', 446, 320);
-- Добавление параметра прибора "Уровень УЗ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17312, 'Уровень УЗ', '', 1181, 1, 134, 'P0241.F32', 446, 320);
-- Добавление параметра прибора "Процент ошибочных измерений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17313, 'Процент ошибочных измерений', '', 1181, 1, 135, 'P0242.U8', 446, 320);
-- Добавление параметра прибора "Период УЗ измерений [мC]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17314, 'Период УЗ измерений [мC]', '', 1181, 1, 136, 'P0243.U32', 446, 320);
-- Добавление параметра прибора "Время УЗ по потоку (DNS) [мкС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17315, 'Время УЗ по потоку (DNS) [мкС]', '', 1181, 1, 137, 'P0244.F32', 446, 320);
-- Добавление параметра прибора "Время УЗ против потока (UPS) [мкС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17316, 'Время УЗ против потока (UPS) [мкС]', '', 1181, 1, 138, 'P0245.F32', 446, 320);
-- Добавление параметра прибора "Время УЗ, дифференциальное [мкС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17317, 'Время УЗ, дифференциальное [мкС]', '', 1181, 1, 139, 'P0246.F32', 446, 320);
-- Добавление параметра прибора "Абсолютное смещение времени УЗ [мкС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17318, 'Абсолютное смещение времени УЗ [мкС]', '', 1181, 1, 140, 'P0247.F32', 446, 64);
-- Добавление параметра прибора "Дифференциальное смещение времени УЗ [мкС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17319, 'Дифференциальное смещение времени УЗ [мкС]', '', 1181, 1, 141, 'P0248.F32', 446, 64);
-- Добавление параметра прибора "Количество импульсов зондирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17320, 'Количество импульсов зондирования', '', 1181, 1, 142, 'P0249.U8', 446, 64);
-- Добавление параметра прибора "Крит. ур. отклонения дифф. времени УЗ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17321, 'Крит. ур. отклонения дифф. времени УЗ', '', 1181, 1, 143, 'P024A.F32', 446, 64);
-- Добавление параметра прибора "Коэффициент экспоненциального фильтра (1.0 - сквозной)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17322, 'Коэффициент экспоненциального фильтра (1.0 - сквозной)', '', 1181, 1, 144, 'P024C.F32', 446, 64);
-- Добавление параметра прибора "Калибровка 0, дифф. смещение времени УЗ [мкС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17323, 'Калибровка 0, дифф. смещение времени УЗ [мкС]', '', 1181, 1, 145, 'P024E.F32', 446, 64);
-- Добавление параметра прибора "Режим передачи маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17324, 'Режим передачи маркеров', '', 1181, 1, 146, 'P0404.U8', 446, 64);
-- Добавление параметра прибора "RF кварц, вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17325, 'RF кварц, вывод частоты', '', 1181, 1, 147, 'P0405.U8', 446, 64);
-- Добавление параметра прибора "RF кварц, измеренная частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17326, 'RF кварц, измеренная частота [Гц]', '', 1181, 1, 148, 'P0406.U32', 446, 64);
-- Добавление параметра прибора "RF кварц, нагрузочные конденсаторы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17327, 'RF кварц, нагрузочные конденсаторы', '', 1181, 1, 149, 'P0407.U8', 446, 64);
-- Добавление параметра прибора "Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17328, 'Информация о сети', '', 1181, 1, 150, 'P11F1.U64', 446, 320);
