SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 17416 AND pr_typ_id <= 17419;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 1186;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 447;

---- Прибор "Пульсар IoT водосчетчик стандартный" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (447, 'Пульсар IoT водосчетчик стандартный', '', 129);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1186, 'Показания', '', 447, 0);

-- Добавление параметра прибора "Объём прямой [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17416, 'Объём прямой [м3]', 'Текущее только в ШП', 1186, 1, 0, 'K1', 447, 397);
-- Добавление параметра прибора "Объём реверсный [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17417, 'Объём реверсный [м3]', 'Текущее только в ШП', 1186, 1, 1, 'K2', 447, 397);
-- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17418, 'Время нормальной работы [ч]', 'Текущее только в ШП', 1186, 1, 2, 'K7', 447, 397);
-- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17419, 'Ошибки', 'Текущее только в ШП', 1186, 1, 3, 'K8', 447, 397);
