-- Function: "Tepl"."InsertTask"(text, text, text, text, text, text, text, text)

-- DROP FUNCTION "Tepl"."InsertTask"(text, text, text, text, text, text, text, text);

CREATE OR REPLACE FUNCTION "Tepl"."InsertTask"(pprp_id text, ptsk_typ text, "ptsk_Parametr" text, "pAktiv_tsk" text, "pDateStart" text, "pPeriod" text, "pMagnetTest" text, "pOneDay" text)
  RETURNS text AS
$BODY$
DECLARE
  i integer;
  n integer;
  maxp integer;  
  ret text; 
  Aktiv_tsks INTEGER[];
  tsk_typs INTEGER[];  
  tsk_Parametrs text[]; 
  prp_ids INTEGER[];  
  DateStarts timestamp without time zone[];
  Periods integer[];
  MagnetTests integer[];
  OneDays integer[];  
  act bool;
  
BEGIN
  tsk_typs="Tepl"."fArr"($2);
  n:=array_upper(tsk_typs,1);   
  ret:='{';     
  if (n>0) THEN
    maxp:=(SELECT   max("tsk_id") from "Tepl"."Task_cnt")+1;  
    IF maxp IS NULL THEN
		maxp := 1;
	END IF;
    prp_ids="Tepl"."fArr"($1);
    tsk_Parametrs="Tepl"."fArrText"($3); 
    Aktiv_tsks="Tepl"."fArr"($4); 
    DateStarts="Tepl"."farrTime"($5);
    Periods="Tepl"."fArr"($6);
    MagnetTests="Tepl"."fArr"($7);
    OneDays="Tepl"."fArr"($8);    
    
    FOR i in 1..n Loop      
       act:=Aktiv_tsks[i]=1;
       
       if(tsk_typs[i]=1) then 
		INSERT INTO "Tepl"."Task_cnt"
		(tsk_id,prp_id,tsk_typ,"Period",tsk_owner,"Aktiv_tsk","MagnetTest")
		VALUES
		(maxp,prp_ids[i],tsk_typs[i],Periods[i],0,act,MagnetTests[i]);    
       end if;
       
       if(tsk_typs[i]=3) then		
		INSERT INTO "Tepl"."Task_cnt"
		(tsk_id,prp_id,tsk_typ,"DateStart",tsk_owner,"Aktiv_tsk","MagnetTest","OneDay")
		VALUES
		(maxp,prp_ids[i],tsk_typs[i],DateStarts[i],0,act,MagnetTests[i],OneDays[i]);    
       end if;       
       
       if((tsk_typs[i]=2)or(tsk_typs[i]=4)or(tsk_typs[i]=5)or(tsk_typs[i]=6)or(tsk_typs[i]=7)) then		
		INSERT INTO "Tepl"."Task_cnt"
		(tsk_id,prp_id,tsk_typ,"DateStart",tsk_owner,"Aktiv_tsk","MagnetTest")
		VALUES
		(maxp,prp_ids[i],tsk_typs[i],DateStarts[i],0,act,MagnetTests[i]);    
       end if;
       
      ret:=ret||maxp;
      if i<n then 
        ret=ret||',';
      end if;
      maxp:=maxp+1;
    end Loop;    
  end IF;         
  ret:=ret||'}';
  return ret;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."InsertTask"(text, text, text, text, text, text, text, text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."InsertTask"(text, text, text, text, text, text, text, text) IS 'Вставка заданий';
