-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 17812 AND pr_typ_id <= 17961;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1210 AND gr_typ_id <= 1213;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 453;

---- Прибор "Меркурий 234/238 (СПОДЭС)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (453, 'Меркурий 234/238 (СПОДЭС)', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1210, 'Информационные', '', 453, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17812, 'Дата и время прибора', '', 1210, 1, 0, 'D', 453, 193);
-- Добавление параметра прибора "Серийный номер ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17813, 'Серийный номер ПУ', '', 1210, 1, 1, 'i_sn', 453, 448);
-- Добавление параметра прибора "Наименование производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17814, 'Наименование производителя', '', 1210, 1, 2, 'i_manuf', 453, 448);
-- Добавление параметра прибора "Тип (модель) ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17815, 'Тип (модель) ПУ', '', 1210, 1, 3, 'i_dev', 453, 448);
-- Добавление параметра прибора "Идентификатор исполнения счетчика (модель)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17816, 'Идентификатор исполнения счетчика (модель)', '', 1210, 1, 4, 'i_model', 453, 448);
-- Добавление параметра прибора "Дата выпуска ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17817, 'Дата выпуска ПУ', '', 1210, 1, 5, 'i_prodd', 453, 448);
-- Добавление параметра прибора "Логическое имя устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17818, 'Логическое имя устройства', '', 1210, 1, 6, 'c_ldn', 453, 448);
-- Добавление параметра прибора "Серийный номер пульта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17819, 'Серийный номер пульта', '', 1210, 1, 7, 'i_snp', 453, 448);
-- Добавление параметра прибора "Версия метрологического ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17820, 'Версия метрологического ПО', '', 1210, 1, 8, 'i_fw', 453, 448);
-- Добавление параметра прибора "Идентификатор не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17821, 'Идентификатор не метрологической части ВПО', '', 1210, 1, 9, 'i_vpoid', 453, 448);
-- Добавление параметра прибора "Дата последнего изменения встроенного ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17822, 'Дата последнего изменения встроенного ПО', '', 1210, 1, 10, 'c_lsetfw', 453, 448);
-- Добавление параметра прибора "Версия спецификации СПОДЭС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17823, 'Версия спецификации СПОДЭС', '', 1210, 1, 11, 'i_spodesv', 453, 448);
-- Добавление параметра прибора "Номинальное напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17824, 'Номинальное напряжение', '', 1210, 1, 12, 'c_nomU', 453, 448);
-- Добавление параметра прибора "Номинальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17825, 'Номинальный ток', '', 1210, 1, 13, 'c_nomI', 453, 448);
-- Добавление параметра прибора "Номинальная частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17826, 'Номинальная частота', '', 1210, 1, 14, 'c_nomF', 453, 448);
-- Добавление параметра прибора "Максимальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17827, 'Максимальный ток', '', 1210, 1, 15, 'c_maxI', 453, 448);
-- Добавление параметра прибора "Блокиратор реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17828, 'Блокиратор реле нагрузки', '', 1210, 1, 16, 'c_relay', 453, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17829, 'Текущее состояние датчика вскрытия корпуса', '', 1210, 1, 17, 's_curcase', 453, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17830, 'Текущее состояние датчика вскрытия крышки клеммников', '', 1210, 1, 18, 's_curtermc', 453, 448);
-- Добавление параметра прибора "Текущее состояние датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17831, 'Текущее состояние датчика магнитного поля', '', 1210, 1, 19, 's_curmagn', 453, 448);
-- Добавление параметра прибора "Текущее состояние датчика ВЧ поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17832, 'Текущее состояние датчика ВЧ поля', '', 1210, 1, 20, 's_curhfreq', 453, 448);
-- Добавление параметра прибора "Зафиксированное состояние событий электронных пломб"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17833, 'Зафиксированное состояние событий электронных пломб', '', 1210, 1, 21, 's_seal', 453, 448);
-- Добавление параметра прибора "Время первого вскрытия электронной пломбы корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17834, 'Время первого вскрытия электронной пломбы корпуса', '', 1210, 1, 22, 's_timecase', 453, 448);
-- Добавление параметра прибора "Время первого вскрытия электронной пломбы крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17835, 'Время первого вскрытия электронной пломбы крышки клеммников', '', 1210, 1, 23, 's_timetermc', 453, 448);
-- Добавление параметра прибора "Счетчик коррекций (конфигурирований)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17836, 'Счетчик коррекций (конфигурирований)', '', 1210, 1, 24, 'c_corr', 453, 448);
-- Добавление параметра прибора "Дата последнего конфигурирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17837, 'Дата последнего конфигурирования', '', 1210, 1, 25, 'c_corrd', 453, 448);
-- Добавление параметра прибора "Дата последней калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17838, 'Дата последней калибровки', '', 1210, 1, 26, 'c_cald', 453, 448);
-- Добавление параметра прибора "Дата последнего активирования календаря"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17839, 'Дата последнего активирования календаря', '', 1210, 1, 27, 'c_lacd', 453, 448);
-- Добавление параметра прибора "Дата последней установки времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17840, 'Дата последней установки времени', '', 1210, 1, 28, 'c_lsetd', 453, 448);
-- Добавление параметра прибора "Счетчик срабатываний реле на размыкание"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17841, 'Счетчик срабатываний реле на размыкание', '', 1210, 1, 29, 'c_relayoff', 453, 448);
-- Добавление параметра прибора "Счетчик вскрытий корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17842, 'Счетчик вскрытий корпуса', '', 1210, 1, 30, 'c_openc', 453, 448);
-- Добавление параметра прибора "Дата последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17843, 'Дата последнего вскрытия корпуса', '', 1210, 1, 31, 'c_lopend', 453, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17844, 'Продолжительность последнего вскрытия корпуса', '', 1210, 1, 32, 'c_lopendt', 453, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17845, 'Общая продолжительность вскрытия корпуса', '', 1210, 1, 33, 'c_lopenttot', 453, 448);
-- Добавление параметра прибора "Счетчик вскрытий крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17846, 'Счетчик вскрытий крышки клеммников', '', 1210, 1, 34, 'c_openclem', 453, 448);
-- Добавление параметра прибора "Дата последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17847, 'Дата последнего вскрытия крышки клеммников', '', 1210, 1, 35, 'c_lopenclemd', 453, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17848, 'Продолжительность последнего вскрытия крышки клеммников', '', 1210, 1, 36, 'c_lopenclemdt', 453, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17849, 'Общая продолжительность вскрытия крышки клеммников', '', 1210, 1, 37, 'c_openclemtot', 453, 448);
-- Добавление параметра прибора "Счетчик срабатываний датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17850, 'Счетчик срабатываний датчика магнитного поля', '', 1210, 1, 38, 'c_magn', 453, 448);
-- Добавление параметра прибора "Дата последнего воздействия датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17851, 'Дата последнего воздействия датчика магнитного поля', '', 1210, 1, 39, 'c_lmagnd', 453, 448);
-- Добавление параметра прибора "Продолжительность последнего воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17852, 'Продолжительность последнего воздействия магнитного поля', '', 1210, 1, 40, 'c_lmagnt', 453, 448);
-- Добавление параметра прибора "Общая продолжительность воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17853, 'Общая продолжительность воздействия магнитного поля', '', 1210, 1, 41, 'c_magntot', 453, 448);
-- Добавление параметра прибора "Время работы ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17854, 'Время работы ПУ', '', 1210, 1, 42, 'c_wt', 453, 446);
-- Добавление параметра прибора "Температура внутри корпуса ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17855, 'Температура внутри корпуса ПУ', '', 1210, 1, 43, 't', 453, 434);
-- Добавление параметра прибора "Текущее состояние инициативного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17856, 'Текущее состояние инициативного выхода', '', 1210, 1, 44, 'flags', 453, 448);
-- Добавление параметра прибора "Коэффициент несимметрии напряжений по обратной последовательности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17857, 'Коэффициент несимметрии напряжений по обратной последовательности', '', 1210, 1, 45, 'UBFD', 453, 448);
-- Добавление параметра прибора "Коэффициент несимметрии напряжений по нулевой последовательности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17858, 'Коэффициент несимметрии напряжений по нулевой последовательности', '', 1210, 1, 46, 'UBFR', 453, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1211, 'Параметры сети', '', 453, 0);

-- Добавление параметра прибора "Частота сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17859, 'Частота сети', '', 1211, 1, 127, 'f', 453, 385);
-- Добавление параметра прибора "Напряжение фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17860, 'Напряжение фазы А', '', 1211, 1, 128, 'VRN', 453, 435);
-- Добавление параметра прибора "Напряжение фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17861, 'Напряжение фазы B', '', 1211, 1, 129, 'VYN', 453, 435);
-- Добавление параметра прибора "Напряжение фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17862, 'Напряжение фазы C', '', 1211, 1, 130, 'VBN', 453, 435);
-- Добавление параметра прибора "Линейное напряжение AB"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17863, 'Линейное напряжение AB', '', 1211, 1, 131, 'VRY', 453, 417);
-- Добавление параметра прибора "Линейное напряжение BC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17864, 'Линейное напряжение BC', '', 1211, 1, 132, 'VYB', 453, 417);
-- Добавление параметра прибора "Линейное напряжение CA"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17865, 'Линейное напряжение CA', '', 1211, 1, 133, 'VRB', 453, 417);
-- Добавление параметра прибора "Межфазное напряжение АB"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17866, 'Межфазное напряжение АB', '', 1211, 1, 134, 'VFRY', 453, 385);
-- Добавление параметра прибора "Межфазное напряжение BC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17867, 'Межфазное напряжение BC', '', 1211, 1, 135, 'VFYB', 453, 385);
-- Добавление параметра прибора "Межфазное напряжение AC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17868, 'Межфазное напряжение AC', '', 1211, 1, 136, 'VFRB', 453, 385);
-- Добавление параметра прибора "Угол между фазами АВ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17869, 'Угол между фазами АВ', '', 1211, 1, 137, 'phiVRY', 453, 385);
-- Добавление параметра прибора "Угол между фазами ВС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17870, 'Угол между фазами ВС', '', 1211, 1, 138, 'phiVYB', 453, 385);
-- Добавление параметра прибора "Угол между фазами АС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17871, 'Угол между фазами АС', '', 1211, 1, 139, 'phiVRB', 453, 385);
-- Добавление параметра прибора "Ток нейтрали"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17872, 'Ток нейтрали', '', 1211, 1, 140, 'In', 453, 385);
-- Добавление параметра прибора "Ток фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17873, 'Ток фазы А', '', 1211, 1, 141, 'Ir', 453, 385);
-- Добавление параметра прибора "Ток фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17874, 'Ток фазы B', '', 1211, 1, 142, 'Iy', 453, 385);
-- Добавление параметра прибора "Ток фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17875, 'Ток фазы C', '', 1211, 1, 143, 'Ib', 453, 385);
-- Добавление параметра прибора "Угол UI фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17876, 'Угол UI фазы А', '', 1211, 1, 144, 'phiVIR', 453, 385);
-- Добавление параметра прибора "Угол UI фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17877, 'Угол UI фазы В', '', 1211, 1, 145, 'phiVIY', 453, 385);
-- Добавление параметра прибора "Угол UI фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17878, 'Угол UI фазы С', '', 1211, 1, 146, 'phiVIR', 453, 385);
-- Добавление параметра прибора "Дифференциальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17879, 'Дифференциальный ток', '', 1211, 1, 147, 'Idiff', 453, 385);
-- Добавление параметра прибора "Дифференциальный ток, % от фазного тока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17880, 'Дифференциальный ток, % от фазного тока', '', 1211, 1, 148, 'Idiffperc', 453, 385);
-- Добавление параметра прибора "Статус некачественной энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17881, 'Статус некачественной энергии', '', 1211, 1, 149, 'faultes', 453, 388);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1212, 'Параметры учёта', '', 453, 0);

-- Добавление параметра прибора "Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17882, 'Полная мощность', '', 1212, 1, 47, 'S', 453, 385);
-- Добавление параметра прибора "Полная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17883, 'Полная мощность фазы А', '', 1212, 1, 48, 'SR', 453, 385);
-- Добавление параметра прибора "Полная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17884, 'Полная мощность фазы B', '', 1212, 1, 49, 'SY', 453, 385);
-- Добавление параметра прибора "Полная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17885, 'Полная мощность фазы C', '', 1212, 1, 50, 'SB', 453, 385);
-- Добавление параметра прибора "Активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17886, 'Активная мощность', '', 1212, 1, 51, 'P', 453, 385);
-- Добавление параметра прибора "Активная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17887, 'Активная мощность фазы А', '', 1212, 1, 52, 'PR', 453, 385);
-- Добавление параметра прибора "Активная мощность фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17888, 'Активная мощность фазы В', '', 1212, 1, 53, 'PY', 453, 385);
-- Добавление параметра прибора "Активная мощность фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17889, 'Активная мощность фазы С', '', 1212, 1, 54, 'PB', 453, 385);
-- Добавление параметра прибора "Реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17890, 'Реактивная мощность', '', 1212, 1, 55, 'Q', 453, 385);
-- Добавление параметра прибора "Реактивная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17891, 'Реактивная мощность фазы А', '', 1212, 1, 56, 'QR', 453, 385);
-- Добавление параметра прибора "Реактивная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17892, 'Реактивная мощность фазы B', '', 1212, 1, 57, 'QY', 453, 385);
-- Добавление параметра прибора "Реактивная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17893, 'Реактивная мощность фазы C', '', 1212, 1, 58, 'QB', 453, 385);
-- Добавление параметра прибора "Коэффициент мощности общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17894, 'Коэффициент мощности общий', '', 1212, 1, 59, 'PF', 453, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17895, 'Коэффициент мощности фазы А', '', 1212, 1, 60, 'PFSR', 453, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17896, 'Коэффициент мощности фазы B', '', 1212, 1, 61, 'PFSY', 453, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17897, 'Коэффициент мощности фазы C', '', 1212, 1, 62, 'PFSB', 453, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17898, 'Коэффициент реактивной мощности', '', 1212, 1, 63, 'PFQ', 453, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17899, 'Коэффициент реактивной мощности фазы А', '', 1212, 1, 64, 'PFQR', 453, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17900, 'Коэффициент реактивной мощности фазы В', '', 1212, 1, 65, 'PFQY', 453, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17901, 'Коэффициент реактивной мощности фазы С', '', 1212, 1, 66, 'PFQB', 453, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1213, 'Энергия', '', 453, 0);

-- Добавление параметра прибора "Активная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17902, 'Активная энергия, импорт за период записи', '', 1213, 1, 67, 'PP_A+imp', 453, 434);
-- Добавление параметра прибора "Активная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17903, 'Активная энергия, экспорт за период записи', '', 1213, 1, 68, 'PP_A+exp', 453, 434);
-- Добавление параметра прибора "Реактивная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17904, 'Реактивная энергия, импорт за период записи', '', 1213, 1, 69, 'PP_R-imp', 453, 434);
-- Добавление параметра прибора "Реактивная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17905, 'Реактивная энергия, экспорт за период записи', '', 1213, 1, 70, 'PP_R-exp', 453, 434);
-- Добавление параметра прибора "Полная энергия"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17906, 'Полная энергия', '', 1213, 1, 71, 'E', 453, 392);
-- Добавление параметра прибора "Активная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17907, 'Активная энергия, импорт', '', 1213, 1, 72, 'A+imp', 453, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17908, 'Активная энергия, импорт по 1 тарифу', '', 1213, 1, 73, 'A+imp1', 453, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17909, 'Активная энергия, импорт по 2 тарифу', '', 1213, 1, 74, 'A+imp2', 453, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17910, 'Активная энергия, импорт по 3 тарифу', '', 1213, 1, 75, 'A+imp3', 453, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17911, 'Активная энергия, импорт по 4 тарифу', '', 1213, 1, 76, 'A+imp4', 453, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17912, 'Активная энергия, импорт по 5 тарифу', '', 1213, 1, 77, 'A+imp5', 453, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17913, 'Активная энергия, импорт по 6 тарифу', '', 1213, 1, 78, 'A+imp6', 453, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17914, 'Активная энергия, импорт по 7 тарифу', '', 1213, 1, 79, 'A+imp7', 453, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17915, 'Активная энергия, импорт по 8 тарифу', '', 1213, 1, 80, 'A+imp8', 453, 397);
-- Добавление параметра прибора "Активная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17916, 'Активная энергия, экспорт', '', 1213, 1, 81, 'A+exp', 453, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17917, 'Активная энергия, экспорт по 1 тарифу', '', 1213, 1, 82, 'A+exp1', 453, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17918, 'Активная энергия, экспорт по 2 тарифу', '', 1213, 1, 83, 'A+exp2', 453, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17919, 'Активная энергия, экспорт по 3 тарифу', '', 1213, 1, 84, 'A+exp3', 453, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17920, 'Активная энергия, экспорт по 4 тарифу', '', 1213, 1, 85, 'A+exp4', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17921, 'Реактивная энергия, импорт', '', 1213, 1, 86, 'R-imp', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17922, 'Реактивная энергия, импорт по 1 тарифу', '', 1213, 1, 87, 'R-imp1', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17923, 'Реактивная энергия, импорт по 2 тарифу', '', 1213, 1, 88, 'R-imp2', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17924, 'Реактивная энергия, импорт по 3 тарифу', '', 1213, 1, 89, 'R-imp3', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17925, 'Реактивная энергия, импорт по 4 тарифу', '', 1213, 1, 90, 'R-imp4', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17926, 'Реактивная энергия, экспорт', '', 1213, 1, 91, 'R-exp', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17927, 'Реактивная энергия, экспорт по 1 тарифу', '', 1213, 1, 92, 'R-exp1', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17928, 'Реактивная энергия, экспорт по 2 тарифу', '', 1213, 1, 93, 'R-exp2', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17929, 'Реактивная энергия, экспорт по 3 тарифу', '', 1213, 1, 94, 'R-exp3', 453, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17930, 'Реактивная энергия, экспорт по 4 тарифу', '', 1213, 1, 95, 'R-exp4', 453, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17931, 'Активная энергия, импорт фаза А', '', 1213, 1, 96, 'A+impR', 453, 385);
-- Добавление параметра прибора "Активная энергия, импорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17932, 'Активная энергия, импорт фаза В', '', 1213, 1, 97, 'A+impY', 453, 385);
-- Добавление параметра прибора "Активная энергия, импорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17933, 'Активная энергия, импорт фаза С', '', 1213, 1, 98, 'A+impB', 453, 385);
-- Добавление параметра прибора "Активная энергия, экспорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17934, 'Активная энергия, экспорт фаза А', '', 1213, 1, 99, 'A+expR', 453, 385);
-- Добавление параметра прибора "Активная энергия, экспорт фаза B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17935, 'Активная энергия, экспорт фаза B', '', 1213, 1, 100, 'A+expY', 453, 385);
-- Добавление параметра прибора "Активная энергия, экспорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17936, 'Активная энергия, экспорт фаза С', '', 1213, 1, 101, 'A+expB', 453, 385);
-- Добавление параметра прибора "Рективная энергия, импорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17937, 'Рективная энергия, импорт фаза А', '', 1213, 1, 102, 'R-impR', 453, 385);
-- Добавление параметра прибора "Рективная энергия, импорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17938, 'Рективная энергия, импорт фаза В', '', 1213, 1, 103, 'R-impY', 453, 385);
-- Добавление параметра прибора "Рективная энергия, импорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17939, 'Рективная энергия, импорт фаза С', '', 1213, 1, 104, 'R-impB', 453, 385);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17940, 'Рективная энергия, экспорт фаза А', '', 1213, 1, 105, 'R-expR', 453, 385);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17941, 'Рективная энергия, экспорт фаза В', '', 1213, 1, 106, 'R-expY', 453, 385);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17942, 'Рективная энергия, экспорт фаза С', '', 1213, 1, 107, 'R-expB', 453, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17943, 'Удельная энергия потерь в ЛЭП', '', 1213, 1, 108, 'Eloss', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17944, 'Удельная энергия потерь в ЛЭП по 1 тарифу', '', 1213, 1, 109, 'Eloss1', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17945, 'Удельная энергия потерь в ЛЭП по 2 тарифу', '', 1213, 1, 110, 'Eloss2', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17946, 'Удельная энергия потерь в ЛЭП по 3 тарифу', '', 1213, 1, 111, 'Eloss3', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17947, 'Удельная энергия потерь в ЛЭП по 4 тарифу', '', 1213, 1, 112, 'Eloss4', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17948, 'Удельная энергия потерь в ЛЭП по 5 тарифу', '', 1213, 1, 113, 'Eloss5', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17949, 'Удельная энергия потерь в ЛЭП по 6 тарифу', '', 1213, 1, 114, 'Eloss6', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17950, 'Удельная энергия потерь в ЛЭП по 7 тарифу', '', 1213, 1, 115, 'Eloss7', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17951, 'Удельная энергия потерь в ЛЭП по 8 тарифу', '', 1213, 1, 116, 'Eloss8', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17952, 'Удельная энергия потерь в силовых трансформаторах', '', 1213, 1, 117, 'CVsh', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17953, 'Удельная энергия потерь в силовых трансформаторах по 1 тарифу', '', 1213, 1, 118, 'CVsh1', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17954, 'Удельная энергия потерь в силовых трансформаторах по 2 тарифу', '', 1213, 1, 119, 'CVsh2', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17955, 'Удельная энергия потерь в силовых трансформаторах по 3 тарифу', '', 1213, 1, 120, 'CVsh3', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17956, 'Удельная энергия потерь в силовых трансформаторах по 4 тарифу', '', 1213, 1, 121, 'CVsh4', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17957, 'Удельная энергия потерь в силовых трансформаторах по 5 тарифу', '', 1213, 1, 122, 'CVsh5', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17958, 'Удельная энергия потерь в силовых трансформаторах по 6 тарифу', '', 1213, 1, 123, 'CVsh6', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17959, 'Удельная энергия потерь в силовых трансформаторах по 7 тарифу', '', 1213, 1, 124, 'CVsh7', 453, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17960, 'Удельная энергия потерь в силовых трансформаторах по 8 тарифу', '', 1213, 1, 125, 'CVsh8', 453, 397);
-- Добавление параметра прибора "Макс. мощность на расчётном периоде"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17961, 'Макс. мощность на расчётном периоде', '', 1213, 1, 126, 'SPmax', 453, 392);
