-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 18004 AND pr_typ_id <= 18042;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1222 AND gr_typ_id <= 1223;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 456;

---- Прибор "Вектор 300 (DLMS)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (456, 'Вектор 300 (DLMS)', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1222, 'Информационные', '', 456, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18004, 'Дата и время прибора', '', 1222, 1, 0, 'D', 456, 448);
-- Добавление параметра прибора "Серийный номер устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18005, 'Серийный номер устройства', '', 1222, 1, 1, '1.0.0.0.0.255_t1', 456, 448);
-- Добавление параметра прибора "ID #1 потребителя (потребитель)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18006, 'ID #1 потребителя (потребитель)', '', 1222, 1, 2, '1.0.0.0.1.255_t1', 456, 448);
-- Добавление параметра прибора "ID #2 потребителя (место)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18007, 'ID #2 потребителя (место)', '', 1222, 1, 3, '1.0.0.0.2.255_t1', 456, 448);

---- Группа "Учетные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1223, 'Учетные', '', 456, 0);

-- Добавление параметра прибора "Суммарная энергия |A| (по всем тарифам)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18008, 'Суммарная энергия |A| (по всем тарифам)', '', 1223, 1, 4, '1.0.15.8.0.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия |A| (по тарифу 1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18009, 'Суммарная энергия |A| (по тарифу 1)', '', 1223, 1, 5, '1.0.15.8.1.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия |A| (по тарифу 2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18010, 'Суммарная энергия |A| (по тарифу 2)', '', 1223, 1, 6, '1.0.15.8.2.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия |A| (по тарифу 3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18011, 'Суммарная энергия |A| (по тарифу 3)', '', 1223, 1, 7, '1.0.15.8.3.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия |A| (по тарифу 4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18012, 'Суммарная энергия |A| (по тарифу 4)', '', 1223, 1, 8, '1.0.15.8.4.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия A+ (по всем тарифам)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18013, 'Суммарная энергия A+ (по всем тарифам)', '', 1223, 1, 9, '1.0.1.8.0.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия А+ (тариф 1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18014, 'Суммарная энергия А+ (тариф 1)', '', 1223, 1, 10, '1.0.1.8.1.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия А+ (тариф 2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18015, 'Суммарная энергия А+ (тариф 2)', '', 1223, 1, 11, '1.0.1.8.2.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия А+ (тариф 3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18016, 'Суммарная энергия А+ (тариф 3)', '', 1223, 1, 12, '1.0.1.8.3.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия А+ (тариф 4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18017, 'Суммарная энергия А+ (тариф 4)', '', 1223, 1, 13, '1.0.1.8.4.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия А- (по всем тарифам)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18018, 'Суммарная энергия А- (по всем тарифам)', '', 1223, 1, 14, '1.0.2.8.0.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия А- (тариф 1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18019, 'Суммарная энергия А- (тариф 1)', '', 1223, 1, 15, '1.0.2.8.1.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия А- (тариф 2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18020, 'Суммарная энергия А- (тариф 2)', '', 1223, 1, 16, '1.0.2.8.2.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия А- (тариф 3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18021, 'Суммарная энергия А- (тариф 3)', '', 1223, 1, 17, '1.0.2.8.3.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия А- (тариф 4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18022, 'Суммарная энергия А- (тариф 4)', '', 1223, 1, 18, '1.0.2.8.4.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R+ (по всем тарифам)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18023, 'Суммарная энергия R+ (по всем тарифам)', '', 1223, 1, 19, '1.0.3.8.0.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R+ (тариф 1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18024, 'Суммарная энергия R+ (тариф 1)', '', 1223, 1, 20, '1.0.3.8.1.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R+ (тариф 2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18025, 'Суммарная энергия R+ (тариф 2)', '', 1223, 1, 21, '1.0.3.8.2.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R+ (тариф 3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18026, 'Суммарная энергия R+ (тариф 3)', '', 1223, 1, 22, '1.0.3.8.3.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R+ (тариф 4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18027, 'Суммарная энергия R+ (тариф 4)', '', 1223, 1, 23, '1.0.3.8.4.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R- (по всем тарифам)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18028, 'Суммарная энергия R- (по всем тарифам)', '', 1223, 1, 24, '1.0.4.8.0.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R- (тариф 1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18029, 'Суммарная энергия R- (тариф 1)', '', 1223, 1, 25, '1.0.4.8.1.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R- (тариф 2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18030, 'Суммарная энергия R- (тариф 2)', '', 1223, 1, 26, '1.0.4.8.2.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R- (тариф 3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18031, 'Суммарная энергия R- (тариф 3)', '', 1223, 1, 27, '1.0.4.8.3.255_t3', 456, 399);
-- Добавление параметра прибора "Суммарная энергия R- (тариф 4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18032, 'Суммарная энергия R- (тариф 4)', '', 1223, 1, 28, '1.0.4.8.4.255_t3', 456, 399);
-- Добавление параметра прибора "Средняя мощность |P| на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18033, 'Средняя мощность |P| на периоде интегрирования', '', 1223, 1, 29, '1.0.15.5.0.255_t3', 456, 434);
-- Добавление параметра прибора "Средняя мощность P+ на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18034, 'Средняя мощность P+ на периоде интегрирования', '', 1223, 1, 30, '1.0.1.5.0.255_t3', 456, 434);
-- Добавление параметра прибора "Средняя мощность P- на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18035, 'Средняя мощность P- на периоде интегрирования', '', 1223, 1, 31, '1.0.2.5.0.255_t3', 456, 434);
-- Добавление параметра прибора "Средняя мощность Q+ на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18036, 'Средняя мощность Q+ на периоде интегрирования', '', 1223, 1, 32, '1.0.3.5.0.255_t3', 456, 434);
-- Добавление параметра прибора "Средняя мощность Q- на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18037, 'Средняя мощность Q- на периоде интегрирования', '', 1223, 1, 33, '1.0.4.5.0.255_t3', 456, 434);
-- Добавление параметра прибора "Максимальная мощность |P| на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18038, 'Максимальная мощность |P| на периоде интегрирования', '', 1223, 1, 34, '1.0.15.6.0.255_t5', 456, 393);
-- Добавление параметра прибора "Максимальная мощность P+ на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18039, 'Максимальная мощность P+ на периоде интегрирования', '', 1223, 1, 35, '1.0.1.6.0.255_t5', 456, 393);
-- Добавление параметра прибора "Максимальная мощность P- на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18040, 'Максимальная мощность P- на периоде интегрирования', '', 1223, 1, 36, '1.0.2.6.0.255_t5', 456, 393);
-- Добавление параметра прибора "Максимальная мощность Q+ на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18041, 'Максимальная мощность Q+ на периоде интегрирования', '', 1223, 1, 37, '1.0.3.6.0.255_t5', 456, 393);
-- Добавление параметра прибора "Максимальная мощность Q- на периоде интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18042, 'Максимальная мощность Q- на периоде интегрирования', '', 1223, 1, 38, '1.0.4.6.0.255_t5', 456, 393);
