-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 18043 AND pr_typ_id <= 18067;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 457;

---- Прибор "BacNet_Indoor Unit" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (457, 'BacNet_Indoor Unit', '', 0);
-- Добавление параметра прибора "AC_RoomTemp"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18043, 'AC_RoomTemp', '', 0, 1, 0, 'OBJECT_ANALOG_INPUT:1', 457, 385);
-- Добавление параметра прибора "AC_Temp_Set"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18044, 'AC_Temp_Set', '', 0, 1, 1, 'OBJECT_ANALOG_VALUE:2', 457, 385);
-- Добавление параметра прибора "AC_Cool_LimitTemp"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18045, 'AC_Cool_LimitTemp', '', 0, 1, 2, 'OBJECT_ANALOG_VALUE:3', 457, 385);
-- Добавление параметра прибора "AC_Heat_LimitTemp"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18046, 'AC_Heat_LimitTemp', '', 0, 1, 3, 'OBJECT_ANALOG_VALUE:4', 457, 385);
-- Добавление параметра прибора "AC_Baseline_kWh"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18047, 'AC_Baseline_kWh', '', 0, 1, 4, 'OBJECT_ANALOG_INPUT:5', 457, 385);
-- Добавление параметра прибора "AC_Baseline_Minute"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18048, 'AC_Baseline_Minute', '', 0, 1, 5, 'OBJECT_ANALOG_INPUT:6', 457, 385);
-- Добавление параметра прибора "AC_Period_kWh"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18049, 'AC_Period_kWh', '', 0, 1, 6, 'OBJECT_ANALOG_INPUT:7', 457, 385);
-- Добавление параметра прибора "AC_Period_Minute"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18050, 'AC_Period_Minute', '', 0, 1, 7, 'OBJECT_ANALOG_INPUT:8', 457, 385);
-- Добавление параметра прибора "AC_Power"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18051, 'AC_Power', '', 0, 1, 8, 'OBJECT_BINARY_VALUE:9', 457, 385);
-- Добавление параметра прибора "AC_Cool_Limit_set"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18052, 'AC_Cool_Limit_set', '', 0, 1, 9, 'OBJECT_BINARY_VALUE:10', 457, 385);
-- Добавление параметра прибора "AC_Heat_Limit_set"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18053, 'AC_Heat_Limit_set', '', 0, 1, 10, 'OBJECT_BINARY_VALUE:11', 457, 385);
-- Добавление параметра прибора "AC_FilterSign"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18054, 'AC_FilterSign', '', 0, 1, 11, 'OBJECT_BINARY_INPUT:12', 457, 385);
-- Добавление параметра прибора "AC_FilterSign_Reset"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18055, 'AC_FilterSign_Reset', '', 0, 1, 12, 'OBJECT_BINARY_OUTPUT:13', 457, 385);
-- Добавление параметра прибора "AC_Operation_Modet"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18056, 'AC_Operation_Modet', '', 0, 1, 13, 'OBJECT_MULTI_STATE_VALUE:14', 457, 385);
-- Добавление параметра прибора "AC_Mode_Limit"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18057, 'AC_Mode_Limit', '', 0, 1, 14, 'OBJECT_MULTI_STATE_VALUE:15', 457, 385);
-- Добавление параметра прибора "AC_FanFlow"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18058, 'AC_FanFlow', '', 0, 1, 15, 'OBJECT_MULTI_STATE_VALUE:16', 457, 385);
-- Добавление параметра прибора "AC_FanSpeedt"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18059, 'AC_FanSpeedt', '', 0, 1, 16, 'OBJECT_MULTI_STATE_VALUE:17', 457, 385);
-- Добавление параметра прибора "AC_Remocon_Limit"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18060, 'AC_Remocon_Limit', '', 0, 1, 17, 'OBJECT_MULTI_STATE_VALUE:18', 457, 385);
-- Добавление параметра прибора "AC_Error_Code"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18061, 'AC_Error_Code', '', 0, 1, 18, 'OBJECT_ANALOG_INPUT:19', 457, 385);
-- Добавление параметра прибора "AC_SPI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18062, 'AC_SPI', '', 0, 1, 19, 'OBJECT_BINARY_VALUE:20', 457, 385);
-- Добавление параметра прибора "AC_MDS"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18063, 'AC_MDS', '', 0, 1, 20, 'OBJECT_BINARY_VALUE:21', 457, 385);
-- Добавление параметра прибора "AC_DisCoolTemp_Set"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18064, 'AC_DisCoolTemp_Set', '', 0, 1, 21, 'OBJECT_ANALOG_VALUE:22', 457, 385);
-- Добавление параметра прибора "AC_DisHeatTemp_Set"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18065, 'AC_DisHeatTemp_Set', '', 0, 1, 22, 'OBJECT_ANALOG_VALUE:23', 457, 385);
-- Добавление параметра прибора "AC_DisCurrentTemp"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18066, 'AC_DisCurrentTemp', '', 0, 1, 23, 'OBJECT_ANALOG_INPUT:24', 457, 385);
-- Добавление параметра прибора "AC_Notify"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18067, 'AC_Notify', '', 0, 1, 24, 'OBJECT_NOTIFICATION_CLASS:25', 457, 385);
