CREATE OR REPLACE FUNCTION "Tepl"."GetLastDataJrn"(ppr_id integer, ptyp_jrn integer)
  RETURNS timestamp without time zone AS
$BODY$
DECLARE
    last_max_date timestamp without time zone;
BEGIN
    SELECT GREATEST(
        MAX("Tepl"."Journal_cnt"."time_end"),
        MAX("Tepl"."Journal_cnt"."time_start")
    ) INTO last_max_date
    FROM "Tepl"."Journal_cnt"
    WHERE "Tepl"."Journal_cnt"."pr_id" = ppr_id
      AND "Tepl"."Journal_cnt"."typ_jrn" = ptyp_jrn;
    
    RETURN last_max_date;
END;
$BODY$
LANGUAGE plpgsql;

