-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 18109 AND pr_typ_id <= 18118;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1229 AND gr_typ_id <= 1231;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 461;

---- Прибор "Пульс СТК-М (теплосчётчик M-Bus)" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульс СТК-М (теплосчётчик M-Bus)', "Comment" = 'Компактный теплосчетчик с интерфейсом M-bus', "AdditionInfo" = 128 WHERE dev_typ_id = 357;

---- Прибор "Пульс СТК-М (счётчик воды M-Bus)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (461, 'Пульс СТК-М (счётчик воды M-Bus)', 'Компактный теплосчетчик с интерфейсом M-bus', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1229, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 461, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1230, 'Информационные', 'Информация о приборе', 461, 0);

-- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18109, 'Счетчик доступа', '', 1230, 1, 0, 'hdr_access', 461, 448);
-- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18110, 'Статус прибора', '', 1230, 1, 1, 'hdr_status', 461, 448);
-- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18111, 'Серийный номер', '', 1230, 1, 2, 'hdr_ident', 461, 448);
-- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18112, 'Код производителя', '', 1230, 1, 3, 'hdr_manuf', 461, 448);
-- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18113, 'Версия прибора', '', 1230, 1, 4, 'hdr_version', 461, 448);
-- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18114, 'Категория', '', 1230, 1, 5, 'hdr_medium', 461, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1231, 'Показания', 'Текущие и архивные показания прибора', 461, 0);

-- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18115, 'Объём [м3]', '', 1231, 1, 7, 'V1', 461, 385);
-- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18116, 'Время наработки [ч]', '', 1231, 1, 10, 'tn', 461, 385);
-- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18117, 'Расход [м3/ч]', '', 1231, 1, 11, 'V1C', 461, 385);
-- Добавление параметра прибора "Дата/время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18118, 'Дата/время', '', 1231, 1, 12, 'D', 461, 385);
