

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = "Tepl", pg_catalog;


delete from "DeviceEventPatern" where (dev_ev_pat_id >=130 ) and (dev_ev_pat_id <=135);

INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (130, 'Батарейный отсек', '', 'Вскрытие батарейного отсека', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (131, 'Газ', '', 'Утечка газа', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (132, 'Клапан', '', 'Клапан неисправен', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (133, 'Предельный расход', '', 'Предельный расход', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (134, 'Питание радиомодуля', '', 'Сбой питания радиомодуля', 'Норма');
INSERT INTO "DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (135, 'Батарея разряжена', NULL, 'Батарея разряжена полностью', 'Норма');


delete from "DeviceEventTab" where dev_typ_id = 463;

INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 1, 15);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 2, 98);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 4, 56);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 8, 2);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 16, 5);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 32, 6);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 512, 18);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 1024, 19);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 262144, 115);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 524288, 116);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 33554432, 14);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 64, 99);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 16777216, 130);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 268435456, 133);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 536870912, 134);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 67108864, 131);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 134217728, 132);
INSERT INTO "DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (463, 1073741824, 135);
