SET client_encoding = 'WIN1251';



CREATE OR REPLACE FUNCTION "Tepl"."DeletePatern"(ppat_id integer)
  RETURNS boolean AS
$BODY$
DECLARE

BEGIN
 /*     */
 DELETE FROM "Tepl"."ElToPR_Rep" Where "Tepl"."ElToPR_Rep"."pat_id"=$1; 
 DELETE From "Tepl"."ParamResPlcRep_cnt" Where "Tepl"."ParamResPlcRep_cnt"."pat_id"=$1; 
 DELETE From "Tepl"."PlaceRep" Where "Tepl"."PlaceRep"."pat_id"=$1;    
 DELETE From "Tepl"."GroupParRep" Where "pat_id"=$1;
 DELETE From "Tepl"."ParametrRep_cnt" Where "pat_id"=$1;
 DELETE From "Tepl"."FormulValueNode" Where "pat_id"=$1;
 DELETE From "Tepl"."InfoViewParametrrep" Where "pat_id"=$1;
 DELETE From "Tepl"."PaternRepGroupRelations" WHERE "pat_id"=$1;   
 
 /*    */
 DELETE From "Tepl"."PaternToPlc"  
 WHERE pat_id=$1;
                           
 /*  */
 Delete FROM "Tepl"."PaternRep_cnt" 
 Where "Tepl"."PaternRep_cnt"."pat_id"=$1;
 

/*   */
 Delete FROM "Tepl"."RangesToParamPatern" 
 Where "Tepl"."RangesToParamPatern"."pat_id"=$1;


 return true;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."DeletePatern"(integer)
  OWNER TO postgres;




CREATE OR REPLACE FUNCTION "Tepl"."DeleteAnalyticRanges"(prange_id text)
  RETURNS void AS
$BODY$
DECLARE
 ranges integer[];
Begin
 ranges="Tepl"."fArr"($1);
 Delete From "Tepl"."AnalyticRanges"
 Where range_id=ANY(ranges);

 Delete From "Tepl"."RangesToParam" where  range_id=ANY(ranges);

 Delete From "Tepl"."RangesToParamPatern" where  range_id=ANY(ranges);


end;
$BODY$
  LANGUAGE plpgsql VOLATILE;

ALTER FUNCTION "Tepl"."DeleteAnalyticRanges"(text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."DeleteAnalyticRanges"(text) IS '  ';

