
SET client_encoding = 'UTF8';


---- Группа "Параметры" ----

  -- Обновление параметра прибора "[Температура] Подстановочная температура газа [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Подстановочная температура газа [°C]', "Comment" = '', "NameP2" = 'P013B.F32', dev_typ_id = 463, "SupportData" = 193,  "typ_dat_Arh"=12,  gr_typ_id=1238   WHERE pr_typ_id = 18467;
  -- Обновление параметра прибора "[Мембранный расходомер] Закрытие клапана при полном разряде батареи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Мембранный расходомер] Закрытие клапана при полном разряде батареи', "Comment" = '', "NameP2" = 'P01F1.U8', dev_typ_id = 463, "SupportData" = 193,  "typ_dat_Arh"=26,  gr_typ_id=1238   WHERE pr_typ_id = 18470;
  -- Обновление параметра прибора "[Мембранный расходомер] Закрытие клапана при вскрытии батарейного отсека"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Мембранный расходомер] Закрытие клапана при вскрытии батарейного отсека', "Comment" = '', "NameP2" = 'P01F2.U8', dev_typ_id = 463, "SupportData" = 193,  "typ_dat_Arh"=27,  gr_typ_id=1238   WHERE pr_typ_id = 18471;
  -- Обновление параметра прибора "[Мембранный расходомер] Использовать подстановочное значение расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Мембранный расходомер] Использовать подстановочное значение расхода', "Comment" = '', "NameP2" = 'P01F4.U8', dev_typ_id = 463, "SupportData" = 193,  "typ_dat_Arh"=28,  gr_typ_id=1238   WHERE pr_typ_id = 18472;
  -- Обновление параметра прибора "[Давление] Подстановочное давление газа [кПа]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Давление] Подстановочное давление газа [кПа]', "Comment" = '', "NameP2" = 'P0152.F32', dev_typ_id = 463, "SupportData" = 193,  "typ_dat_Arh"=48,  gr_typ_id=1238   WHERE pr_typ_id = 18468;
  -- Обновление параметра прибора "[Состав газа] Подстановочный коэффициент сжимаемости газа"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Состав газа] Подстановочный коэффициент сжимаемости газа', "Comment" = '', "NameP2" = 'P0170.F32', dev_typ_id = 463, "SupportData" = 193,  "typ_dat_Arh"=53,  gr_typ_id=1238   WHERE pr_typ_id = 18469;


-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------


DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 18861 AND pr_typ_id <= 18863;

---- Прибор "Пульсар счётчик газа диафрагменный v1" ----


---- Группа "Параметры" ----

  -- Обновление параметра прибора "[Системные] Дата/Время"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Дата/Время', "Comment" = '', "NameP2" = 'D', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=0,  gr_typ_id=1238   WHERE pr_typ_id = 18459;
  -- Обновление параметра прибора "[Системные] Сетевой адрес"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Сетевой адрес', "Comment" = '', "NameP2" = '__ADDRESS', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=1,  gr_typ_id=1238   WHERE pr_typ_id = 18460;
  -- Обновление параметра прибора "[Системные] Заводской номер"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Заводской номер', "Comment" = '', "NameP2" = 'P0003.U32', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=2,  gr_typ_id=1238   WHERE pr_typ_id = 18461;
  -- Обновление параметра прибора "[Системные] Время работы с ошибками [ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Время работы с ошибками [ч]', "Comment" = '', "NameP2" = 'P0007.U32', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=3,  gr_typ_id=1238   WHERE pr_typ_id = 18464;
  -- Обновление параметра прибора "[Системные] Время наработки [ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Время наработки [ч]', "Comment" = '', "NameP2" = 'P000A.U32', dev_typ_id = 463, "SupportData" = 448,  "typ_dat_Arh"=4,  gr_typ_id=1238   WHERE pr_typ_id = 18465;
  -- Обновление параметра прибора "[Системные] Версия ПО"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Версия ПО', "Comment" = '', "NameP2" = '__VERSION_LCD', dev_typ_id = 463, "SupportData" = 448,  "typ_dat_Arh"=5,  gr_typ_id=1238   WHERE pr_typ_id = 18462;
  -- Обновление параметра прибора "[Системные] Пароль (старый | новый)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Пароль (старый | новый)', "Comment" = '', "NameP2" = '__PASSWORD', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=6,  gr_typ_id=1238   WHERE pr_typ_id = 18463;
  -- Обновление параметра прибора "[Батарея] Напряжение батареи [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Напряжение батареи [мВ]', "Comment" = '', "NameP2" = 'P0040.U16', dev_typ_id = 463, "SupportData" = 448,  "typ_dat_Arh"=7,  gr_typ_id=1238   WHERE pr_typ_id = 18466;
  -- Обновление параметра прибора "[Температура] Подстановочная температура газа [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Подстановочная температура газа [°C]', "Comment" = '', "NameP2" = 'P013B.F32', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=8,  gr_typ_id=1238   WHERE pr_typ_id = 18467;
  -- Обновление параметра прибора "[Батарея] Напряжение суперконденсатора [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Напряжение суперконденсатора [мВ]', "Comment" = '', "NameP2" = 'P0044.U16', dev_typ_id = 463, "SupportData" = 448,  "typ_dat_Arh"=9,  gr_typ_id=1238   WHERE pr_typ_id = 18473;
  -- Обновление параметра прибора "[Мембранный расходомер] Закрытие клапана при полном разряде батареи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Мембранный расходомер] Закрытие клапана при полном разряде батареи', "Comment" = '', "NameP2" = 'P01F1.U8', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=10,  gr_typ_id=1238   WHERE pr_typ_id = 18470;
  -- Обновление параметра прибора "[Мембранный расходомер] Закрытие клапана при вскрытии батарейного отсека"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Мембранный расходомер] Закрытие клапана при вскрытии батарейного отсека', "Comment" = '', "NameP2" = 'P01F2.U8', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=11,  gr_typ_id=1238   WHERE pr_typ_id = 18471;
  -- Обновление параметра прибора "[Мембранный расходомер] Использовать подстановочное значение расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Мембранный расходомер] Использовать подстановочное значение расхода', "Comment" = '', "NameP2" = 'P01F4.U8', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=12,  gr_typ_id=1238   WHERE pr_typ_id = 18472;
-- Добавление параметра прибора "[Мембранный расходомер] Закрытие клапана при предельном расходе в течение минуты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18861, '[Мембранный расходомер] Закрытие клапана при предельном расходе в течение минуты', '', 1238, 1, 13, 'P01F5.U8', 463, 193);
-- Добавление параметра прибора "[EEPROM] День формирования месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18862, '[EEPROM] День формирования месячного архива', '', 1238, 1, 14, 'P0083.S8', 463, 193);
-- Добавление параметра прибора "[EEPROM] Час формирования суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18863, '[EEPROM] Час формирования суточного архива', '', 1238, 1, 15, 'P0084.S8', 463, 193);
  -- Обновление параметра прибора "[Давление] Подстановочное давление газа [кПа]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Давление] Подстановочное давление газа [кПа]', "Comment" = '', "NameP2" = 'P0152.F32', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=16,  gr_typ_id=1238   WHERE pr_typ_id = 18468;
  -- Обновление параметра прибора "[Состав газа] Подстановочный коэффициент сжимаемости газа"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Состав газа] Подстановочный коэффициент сжимаемости газа', "Comment" = '', "NameP2" = 'P0170.F32', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=17,  gr_typ_id=1238   WHERE pr_typ_id = 18469;
  -- Обновление параметра прибора "[UART] Время отключения оптического порта [сек]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[UART] Время отключения оптического порта [сек]', "Comment" = '', "NameP2" = 'P00F1.U8', dev_typ_id = 463, "SupportData" = 192,  "typ_dat_Arh"=18,  gr_typ_id=1238   WHERE pr_typ_id = 18474;

---- Группа "Настроечные" ----

  -- Обновление параметра прибора "[Системные] Количество сбросов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Количество сбросов', "Comment" = '', "NameP2" = 'P0004.U16', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=19,  gr_typ_id=1239   WHERE pr_typ_id = 18475;
  -- Обновление параметра прибора "[Системные] Причина сброса"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Причина сброса', "Comment" = '', "NameP2" = 'P0005.U8', dev_typ_id = 463, "SupportData" = 320,  "typ_dat_Arh"=20,  gr_typ_id=1239   WHERE pr_typ_id = 18476;
  -- Обновление параметра прибора "[Системные] Наработка с ошибками. Маска"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Наработка с ошибками. Маска', "Comment" = '', "NameP2" = 'P0008.U32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=21,  gr_typ_id=1239   WHERE pr_typ_id = 18477;
  -- Обновление параметра прибора "[Системные] Версия ПО"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Версия ПО', "Comment" = '', "NameP2" = '__VERSION_LCD', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=22,  gr_typ_id=1239   WHERE pr_typ_id = 18478;
  -- Обновление параметра прибора "[Системные] Уровень доступа"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Уровень доступа', "Comment" = '', "NameP2" = 'PE004.U8', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=23,  gr_typ_id=1239   WHERE pr_typ_id = 18479;
  -- Обновление параметра прибора "[Часы] Коэффициент коррекции"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Часы] Коэффициент коррекции', "Comment" = '', "NameP2" = 'P0030.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=24,  gr_typ_id=1239   WHERE pr_typ_id = 18480;
  -- Обновление параметра прибора "[Батарея] Напряжение суперконденсатора [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Напряжение суперконденсатора [мВ]', "Comment" = '', "NameP2" = 'P0044.U16', dev_typ_id = 463, "SupportData" = 320,  "typ_dat_Arh"=25,  gr_typ_id=1239   WHERE pr_typ_id = 18485;
  -- Обновление параметра прибора "[Часовой кварц] Часовой кварц, вывод частоты"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Часовой кварц] Часовой кварц, вывод частоты', "Comment" = '', "NameP2" = 'P0060.U8', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=26,  gr_typ_id=1239   WHERE pr_typ_id = 18481;
  -- Обновление параметра прибора "[Батарея] Порог напряжения батареи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Порог напряжения батареи', "Comment" = '', "NameP2" = 'P0041.U64', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=27,  gr_typ_id=1239   WHERE pr_typ_id = 18482;
  -- Обновление параметра прибора "[Батарея] Калибровка напряжения батареи. Смещение"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Калибровка напряжения батареи. Смещение', "Comment" = '', "NameP2" = 'P0042.S16', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=28,  gr_typ_id=1239   WHERE pr_typ_id = 18483;
  -- Обновление параметра прибора "[Батарея] Калибровка напряжения батареи. Коэффициент x1000"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Калибровка напряжения батареи. Коэффициент x1000', "Comment" = '', "NameP2" = 'P0043.U16', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=29,  gr_typ_id=1239   WHERE pr_typ_id = 18484;
  -- Обновление параметра прибора "[Батарея] Калибровка напряжения суперконденсатора. Смещение"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Калибровка напряжения суперконденсатора. Смещение', "Comment" = '', "NameP2" = 'P0047.S16', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=30,  gr_typ_id=1239   WHERE pr_typ_id = 18486;
  -- Обновление параметра прибора "[Расходомер] Подстановочное значение расхода [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Подстановочное значение расхода [м3/ч]', "Comment" = '', "NameP2" = 'P00FF.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=31,  gr_typ_id=1239   WHERE pr_typ_id = 18489;
  -- Обновление параметра прибора "[Батарея] Калибровка напряжения суперконденсатора. Коэффициент x1000"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Калибровка напряжения суперконденсатора. Коэффициент x1000', "Comment" = '', "NameP2" = 'P0048.U16', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=32,  gr_typ_id=1239   WHERE pr_typ_id = 18487;
  -- Обновление параметра прибора "[Батарея] Нижний порог контроля суперконденсатора [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Нижний порог контроля суперконденсатора [мВ]', "Comment" = '', "NameP2" = 'P0045.U16', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=33,  gr_typ_id=1239   WHERE pr_typ_id = 18488;
  -- Обновление параметра прибора "[Батарея] Верхний порог контроля суперконденсатора [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Верхний порог контроля суперконденсатора [мВ]', "Comment" = '', "NameP2" = 'P0046.U16', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=34,  gr_typ_id=1239   WHERE pr_typ_id = 18490;
  -- Обновление параметра прибора "[Расходомер] Вес импульса или Масштабирующий коэффициент расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Вес импульса или Масштабирующий коэффициент расхода', "Comment" = '', "NameP2" = 'P0101.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=35,  gr_typ_id=1239   WHERE pr_typ_id = 18491;
  -- Обновление параметра прибора "[Расходомер] Нижний порог контроля расхода [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Нижний порог контроля расхода [м3/ч]', "Comment" = '', "NameP2" = 'P0103.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=36,  gr_typ_id=1239   WHERE pr_typ_id = 18492;
  -- Обновление параметра прибора "[Расходомер] Верхний порог контроля расхода [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Верхний порог контроля расхода [м3/ч]', "Comment" = '', "NameP2" = 'P0104.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=37,  gr_typ_id=1239   WHERE pr_typ_id = 18493;
  -- Обновление параметра прибора "[Расходомер] Нижний порог чувствительности расхода [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Нижний порог чувствительности расхода [м3/ч]', "Comment" = '', "NameP2" = 'P0105.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=38,  gr_typ_id=1239   WHERE pr_typ_id = 18494;
  -- Обновление параметра прибора "[Расходомер] Команда тестового пролива"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Команда тестового пролива', "Comment" = '', "NameP2" = 'P0106.U8', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=39,  gr_typ_id=1239   WHERE pr_typ_id = 18495;
  -- Обновление параметра прибора "[Расходомер] Тестовый пролив, объем [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Тестовый пролив, объем [м3]', "Comment" = '', "NameP2" = 'P0107.F32', dev_typ_id = 463, "SupportData" = 320,  "typ_dat_Arh"=40,  gr_typ_id=1239   WHERE pr_typ_id = 18496;
  -- Обновление параметра прибора "[Расходомер] Тестовый пролив, расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Тестовый пролив, расход [м3/ч]', "Comment" = '', "NameP2" = 'P0108.F32', dev_typ_id = 463, "SupportData" = 320,  "typ_dat_Arh"=41,  gr_typ_id=1239   WHERE pr_typ_id = 18497;
  -- Обновление параметра прибора "[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]', "Comment" = '', "NameP2" = 'P0109.F32', dev_typ_id = 463, "SupportData" = 320,  "typ_dat_Arh"=42,  gr_typ_id=1239   WHERE pr_typ_id = 18498;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X0"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X0', "Comment" = '', "NameP2" = 'P010B.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=43,  gr_typ_id=1239   WHERE pr_typ_id = 18499;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y0"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y0', "Comment" = '', "NameP2" = 'P010C.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=44,  gr_typ_id=1239   WHERE pr_typ_id = 18500;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X1', "Comment" = '', "NameP2" = 'P010D.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=45,  gr_typ_id=1239   WHERE pr_typ_id = 18501;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y1', "Comment" = '', "NameP2" = 'P010E.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=46,  gr_typ_id=1239   WHERE pr_typ_id = 18502;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X2', "Comment" = '', "NameP2" = 'P010F.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=47,  gr_typ_id=1239   WHERE pr_typ_id = 18503;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y2', "Comment" = '', "NameP2" = 'P0110.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=48,  gr_typ_id=1239   WHERE pr_typ_id = 18504;
  -- Обновление параметра прибора "[Расходомер] Линеаризация расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Линеаризация расхода', "Comment" = '', "NameP2" = 'P010A.U8', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=49,  gr_typ_id=1239   WHERE pr_typ_id = 18505;
  -- Обновление параметра прибора "[Дисплей] Количество знаков после запятой в показаниях объёма"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Дисплей] Количество знаков после запятой в показаниях объёма', "Comment" = '', "NameP2" = 'P0091.U8', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=50,  gr_typ_id=1239   WHERE pr_typ_id = 18506;
  -- Обновление параметра прибора "[UART] Время отключения оптического порта [сек]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[UART] Время отключения оптического порта [сек]', "Comment" = '', "NameP2" = 'P00F1.U8', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=51,  gr_typ_id=1239   WHERE pr_typ_id = 18507;
  -- Обновление параметра прибора "[UART] Включение оптического порта"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[UART] Включение оптического порта', "Comment" = '', "NameP2" = 'P00F2.U8', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=52,  gr_typ_id=1239   WHERE pr_typ_id = 18508;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X3', "Comment" = '', "NameP2" = 'P0111.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=53,  gr_typ_id=1239   WHERE pr_typ_id = 18509;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y3"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y3', "Comment" = '', "NameP2" = 'P0112.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=54,  gr_typ_id=1239   WHERE pr_typ_id = 18510;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X4"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X4', "Comment" = '', "NameP2" = 'P0113.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=55,  gr_typ_id=1239   WHERE pr_typ_id = 18511;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y4"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y4', "Comment" = '', "NameP2" = 'P0114.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=56,  gr_typ_id=1239   WHERE pr_typ_id = 18512;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X5"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X5', "Comment" = '', "NameP2" = 'P0115.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=57,  gr_typ_id=1239   WHERE pr_typ_id = 18513;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y5"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y5', "Comment" = '', "NameP2" = 'P0116.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=58,  gr_typ_id=1239   WHERE pr_typ_id = 18514;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X6"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X6', "Comment" = '', "NameP2" = 'P0117.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=59,  gr_typ_id=1239   WHERE pr_typ_id = 18515;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y6"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y6', "Comment" = '', "NameP2" = 'P0118.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=60,  gr_typ_id=1239   WHERE pr_typ_id = 18516;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X7"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X7', "Comment" = '', "NameP2" = 'P0119.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=61,  gr_typ_id=1239   WHERE pr_typ_id = 18517;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y7"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y7', "Comment" = '', "NameP2" = 'P011A.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=62,  gr_typ_id=1239   WHERE pr_typ_id = 18518;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X8"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X8', "Comment" = '', "NameP2" = 'P011B.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=63,  gr_typ_id=1239   WHERE pr_typ_id = 18519;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y8"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y8', "Comment" = '', "NameP2" = 'P011C.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=64,  gr_typ_id=1239   WHERE pr_typ_id = 18520;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X9"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X9', "Comment" = '', "NameP2" = 'P011D.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=65,  gr_typ_id=1239   WHERE pr_typ_id = 18521;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y9"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y9', "Comment" = '', "NameP2" = 'P011E.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=66,  gr_typ_id=1239   WHERE pr_typ_id = 18522;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X10"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X10', "Comment" = '', "NameP2" = 'P011F.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=67,  gr_typ_id=1239   WHERE pr_typ_id = 18523;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y10"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y10', "Comment" = '', "NameP2" = 'P0120.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=68,  gr_typ_id=1239   WHERE pr_typ_id = 18524;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X11"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X11', "Comment" = '', "NameP2" = 'P0121.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=69,  gr_typ_id=1239   WHERE pr_typ_id = 18525;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y11"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y11', "Comment" = '', "NameP2" = 'P0122.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=70,  gr_typ_id=1239   WHERE pr_typ_id = 18526;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X12"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X12', "Comment" = '', "NameP2" = 'P0123.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=71,  gr_typ_id=1239   WHERE pr_typ_id = 18527;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y12"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y12', "Comment" = '', "NameP2" = 'P0124.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=72,  gr_typ_id=1239   WHERE pr_typ_id = 18528;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X13"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X13', "Comment" = '', "NameP2" = 'P0125.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=73,  gr_typ_id=1239   WHERE pr_typ_id = 18529;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y13"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y13', "Comment" = '', "NameP2" = 'P0126.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=74,  gr_typ_id=1239   WHERE pr_typ_id = 18530;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X14"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X14', "Comment" = '', "NameP2" = 'P0127.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=75,  gr_typ_id=1239   WHERE pr_typ_id = 18531;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y15"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y15', "Comment" = '', "NameP2" = 'P012A.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=76,  gr_typ_id=1239   WHERE pr_typ_id = 18532;
  -- Обновление параметра прибора "[Мембранный расходомер] Счётчик импульсов датчика TMR"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Мембранный расходомер] Счётчик импульсов датчика TMR', "Comment" = '', "NameP2" = 'P01F3.U8', dev_typ_id = 463, "SupportData" = 320,  "typ_dat_Arh"=77,  gr_typ_id=1239   WHERE pr_typ_id = 18533;
  -- Обновление параметра прибора "[Радиомодуль GSM/NBIOT] Дополнительная информация"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Радиомодуль GSM/NBIOT] Дополнительная информация', "Comment" = '', "NameP2" = 'P1302.U64', dev_typ_id = 463, "SupportData" = 320,  "typ_dat_Arh"=78,  gr_typ_id=1239   WHERE pr_typ_id = 18540;
  -- Обновление параметра прибора "[Температура] Нижний порог контроля температуры [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Нижний порог контроля температуры [°C]', "Comment" = '', "NameP2" = 'P0138.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=79,  gr_typ_id=1239   WHERE pr_typ_id = 18534;
  -- Обновление параметра прибора "[Температура] Верхний порог контроля температуры [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Верхний порог контроля температуры [°C]', "Comment" = '', "NameP2" = 'P0139.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=80,  gr_typ_id=1239   WHERE pr_typ_id = 18535;
  -- Обновление параметра прибора "[Расходомер] Коэффициент линеаризации Y14"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Коэффициент линеаризации Y14', "Comment" = '', "NameP2" = 'P0128.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=81,  gr_typ_id=1239   WHERE pr_typ_id = 18536;
  -- Обновление параметра прибора "[Расходомер] Точка линеаризации X15"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Точка линеаризации X15', "Comment" = '', "NameP2" = 'P0129.F32', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=82,  gr_typ_id=1239   WHERE pr_typ_id = 18537;
  -- Обновление параметра прибора "[Журнал событий] Очистить журнал событий"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Журнал событий] Очистить журнал событий', "Comment" = '', "NameP2" = 'P1320.U8', dev_typ_id = 463, "SupportData" = 64,  "typ_dat_Arh"=83,  gr_typ_id=1239   WHERE pr_typ_id = 18538;
  -- Обновление параметра прибора "[Радиомодуль GSM/NBIOT] Состояние и статистика"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Радиомодуль GSM/NBIOT] Состояние и статистика', "Comment" = '', "NameP2" = 'P1301.U64', dev_typ_id = 463, "SupportData" = 320,  "typ_dat_Arh"=84,  gr_typ_id=1239   WHERE pr_typ_id = 18539;

---- Группа "Показания" ----

  -- Обновление параметра прибора "[Показания] Объем [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Показания] Объем [м3]', "Comment" = '', "NameP2" = 'K01.F32', dev_typ_id = 463, "SupportData" = 143,  "typ_dat_Arh"=85,  gr_typ_id=1240   WHERE pr_typ_id = 18541;
  -- Обновление параметра прибора "[Показания] Объем (без коррекции) [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Показания] Объем (без коррекции) [м3]', "Comment" = '', "NameP2" = 'K05.F32', dev_typ_id = 463, "SupportData" = 143,  "typ_dat_Arh"=86,  gr_typ_id=1240   WHERE pr_typ_id = 18542;
  -- Обновление параметра прибора "[Показания] Расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Показания] Расход [м3/ч]', "Comment" = '', "NameP2" = 'P0100.F32', dev_typ_id = 463, "SupportData" = 385,  "typ_dat_Arh"=87,  gr_typ_id=1240   WHERE pr_typ_id = 18543;
  -- Обновление параметра прибора "[Показания] Расход (без коррекции) [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Показания] Расход (без коррекции) [м3/ч]', "Comment" = '', "NameP2" = 'P012F.F32', dev_typ_id = 463, "SupportData" = 385,  "typ_dat_Arh"=88,  gr_typ_id=1240   WHERE pr_typ_id = 18544;
  -- Обновление параметра прибора "[Показания] Температура газа [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Показания] Температура газа [°C]', "Comment" = '', "NameP2" = 'K03.F32', dev_typ_id = 463, "SupportData" = 399,  "typ_dat_Arh"=89,  gr_typ_id=1240   WHERE pr_typ_id = 18545;
  -- Обновление параметра прибора "[Системные] Время нормальной работы [ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Время нормальной работы [ч]', "Comment" = '', "NameP2" = 'K07.U32', dev_typ_id = 463, "SupportData" = 129,  "typ_dat_Arh"=90,  gr_typ_id=1240   WHERE pr_typ_id = 18546;
  -- Обновление параметра прибора "[Системные] Ошибки (dec)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Ошибки (dec)', "Comment" = '', "NameP2" = 'K08', dev_typ_id = 463, "SupportData" = 271,  "typ_dat_Arh"=91,  gr_typ_id=1240   WHERE pr_typ_id = 18547;
  -- Обновление параметра прибора "[Системные] Ошибки (hex)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Ошибки (hex)', "Comment" = '', "NameP2" = 'K08.U32.X', dev_typ_id = 463, "SupportData" = 271,  "typ_dat_Arh"=92,  gr_typ_id=1240   WHERE pr_typ_id = 18548;
  -- Обновление параметра прибора "[Системные] Ошибки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Системные] Ошибки', "Comment" = '', "NameP2" = 'K08.U32', dev_typ_id = 463, "SupportData" = 399,  "typ_dat_Arh"=93,  gr_typ_id=1240   WHERE pr_typ_id = 18549;
  -- Обновление параметра прибора "[Клапан] Состояние клапана"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Клапан] Состояние клапана', "Comment" = '', "NameP2" = 'P01F0.U8', dev_typ_id = 463, "SupportData" = 129,  "typ_dat_Arh"=94,  gr_typ_id=1240   WHERE pr_typ_id = 18550;
