-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 18888 AND pr_typ_id <= 19028;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1248 AND gr_typ_id <= 1250;

---- Прибор "Пульсар водосчетчик стандартный УЗ" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар водосчетчик стандартный УЗ', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 419;

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1248, 'Настроечные', '', 419, 0);

-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18888, 'Сетевой адрес', '', 1248, 1, 0, 'P0001.U32', 419, 192);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18889, 'Заводской номер', '', 1248, 1, 1, 'P0003.U32', 419, 192);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18890, 'Версия ПО', '', 1248, 1, 2, '__VERSION_INTERNAL', 419, 448);
-- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18891, 'Автопереход зима/лето', '', 1248, 1, 3, 'P0009.U8', 419, 192);
-- Добавление параметра прибора "[Батарея] Напряжение [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18892, '[Батарея] Напряжение [мВ]', '', 1248, 1, 4, 'P0040.U16', 419, 448);
-- Добавление параметра прибора "[Импульсный выход 1] Вес импульса [м3/имп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18893, '[Импульсный выход 1] Вес импульса [м3/имп.]', '', 1248, 1, 5, 'P00A1.F32', 419, 192);
-- Добавление параметра прибора "[Импульсный выход 1] Длительность импульса/паузы [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18894, '[Импульсный выход 1] Длительность импульса/паузы [мС]', '', 1248, 1, 6, 'P00A2.U16', 419, 192);
-- Добавление параметра прибора "[Импульсный выход 1] Направление"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18895, '[Импульсный выход 1] Направление', '', 1248, 1, 7, 'P00A3.U8', 419, 192);
-- Добавление параметра прибора "[Импульсный выход 2] Вес импульса [м3/имп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18896, '[Импульсный выход 2] Вес импульса [м3/имп.]', '', 1248, 1, 8, 'P00A6.F32', 419, 192);
-- Добавление параметра прибора "[Импульсный выход 2] Длительность импульса/паузы [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18897, '[Импульсный выход 2] Длительность импульса/паузы [мС]', '', 1248, 1, 9, 'P00A7.U16', 419, 192);
-- Добавление параметра прибора "[Импульсный выход 2] Направление"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18898, '[Импульсный выход 2] Направление', '', 1248, 1, 10, 'P00A8.U8', 419, 192);
-- Добавление параметра прибора "[Импульсный вход 1] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18899, '[Импульсный вход 1] Вес испульса [м3/имп]', '', 1248, 1, 11, 'P00C0.F32', 419, 192);
-- Добавление параметра прибора "[Импульсный вход 1] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18900, '[Импульсный вход 1] Минимальный импульс [мс]', '', 1248, 1, 12, 'P00C1.U16', 419, 192);
-- Добавление параметра прибора "[Импульсный вход 2] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18901, '[Импульсный вход 2] Вес испульса [м3/имп]', '', 1248, 1, 13, 'P00C3.F32', 419, 192);
-- Добавление параметра прибора "[Импульсный вход 2] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18902, '[Импульсный вход 2] Минимальный импульс [мс]', '', 1248, 1, 14, 'P00C4.U16', 419, 192);
-- Добавление параметра прибора "[Импульсный вход 3] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18903, '[Импульсный вход 3] Вес испульса [м3/имп]', '', 1248, 1, 15, 'P00C6.F32', 419, 192);
-- Добавление параметра прибора "[Импульсный вход 3] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18904, '[Импульсный вход 3] Минимальный импульс [мс]', '', 1248, 1, 16, 'P00C7.U16', 419, 192);
-- Добавление параметра прибора "[Импульсный вход 4] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18905, '[Импульсный вход 4] Вес испульса [м3/имп]', '', 1248, 1, 17, 'P00C9.F32', 419, 192);
-- Добавление параметра прибора "[Импульсный вход 4] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18906, '[Импульсный вход 4] Минимальный импульс [мс]', '', 1248, 1, 18, 'P00CA.U16', 419, 192);
-- Добавление параметра прибора "[M-Bus] Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18907, '[M-Bus] Сетевой адрес', '', 1248, 1, 19, 'P00E0.U8', 419, 192);
-- Добавление параметра прибора "[UART/RS485/MBUS] Настройки скорости"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18908, '[UART/RS485/MBUS] Настройки скорости', '', 1248, 1, 20, 'P00F0.U8', 419, 192);
-- Добавление параметра прибора "[Радиомодуль] Количество переданных ШП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18909, '[Радиомодуль] Количество переданных ШП маркеров', '', 1248, 1, 21, 'P0400.U32', 419, 192);
-- Добавление параметра прибора "[Радиомодуль] Количество переданных УП/Lora маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18910, '[Радиомодуль] Количество переданных УП/Lora маркеров', '', 1248, 1, 22, 'P0401.U32', 419, 192);
-- Добавление параметра прибора "[Радиомодуль] RSSI последнего ШП пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18911, '[Радиомодуль] RSSI последнего ШП пакета [дБм]', '', 1248, 1, 23, 'P0402.S8', 419, 192);
-- Добавление параметра прибора "[Радиомодуль] Последняя ошибка RF модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18912, '[Радиомодуль] Последняя ошибка RF модуля', '', 1248, 1, 24, 'P0403.U8', 419, 192);
-- Добавление параметра прибора "[IoT] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18913, '[IoT] Мощность передатчика [мВт]', '', 1248, 1, 25, 'P1000.U8', 419, 192);
-- Добавление параметра прибора "[IoT] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18914, '[IoT] Количество повторов УП маркеров', '', 1248, 1, 26, 'P1001.U8', 419, 192);
-- Добавление параметра прибора "[IoT] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18915, '[IoT] Режим кодирования УП маркеров', '', 1248, 1, 27, 'P1002.U8', 419, 192);
-- Добавление параметра прибора "[IoT] Смещение каналов УП передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18916, '[IoT] Смещение каналов УП передачи', '', 1248, 1, 28, 'P1003.S16', 419, 192);
-- Добавление параметра прибора "[IoT] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18917, '[IoT] Мощность передатчика [мВт]', '', 1248, 1, 29, 'P10F0.U64.BIT0-16', 419, 192);
-- Добавление параметра прибора "[IoT] Список режимов кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18918, '[IoT] Список режимов кодирования УП маркеров', '', 1248, 1, 30, 'P10F0.U64.BIT16-16', 419, 448);
-- Добавление параметра прибора "[IoT] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18919, '[IoT] Количество повторов УП маркеров', '', 1248, 1, 31, 'P10F0.U64.BIT32-16', 419, 192);
-- Добавление параметра прибора "[IoT] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18920, '[IoT] Запрос на неотложную передачу УП маркера', '', 1248, 1, 32, 'P10F1.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Ключи] Идентификатор  прибора (Device EUI)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18921, '[LoRaWAN] [Ключи] Идентификатор  прибора (Device EUI)', '', 1248, 1, 33, 'P1100.U64', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Ключи] Идентификатор  приложения (App EUI)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18922, '[LoRaWAN] [Ключи] Идентификатор  приложения (App EUI)', '', 1248, 1, 34, 'P1101.U64', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Ключи] Закрытый ключ приложения 1(App Key)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18923, '[LoRaWAN] [Ключи] Закрытый ключ приложения 1(App Key)', '', 1248, 1, 35, 'P1102.U64', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Ключи] Закрытый ключ приложения 2(App Key)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18924, '[LoRaWAN] [Ключи] Закрытый ключ приложения 2(App Key)', '', 1248, 1, 36, 'P1103.U64', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18925, '[LoRaWAN] [Регион] Частотный план', '', 1248, 1, 37, 'P1110.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Минимальная скорость [x]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18926, '[LoRaWAN] [Регион] Минимальная скорость [x]', '', 1248, 1, 38, 'P1111.U32.BIT0-8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Максиальная скорость [y]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18927, '[LoRaWAN] [Регион] Максиальная скорость [y]', '', 1248, 1, 39, 'P1111.U32.BIT8-8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Начальная скорость [z]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18928, '[LoRaWAN] [Регион] Начальная скорость [z]', '', 1248, 1, 40, 'P1111.U32.BIT16-8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Мощность  по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18929, '[LoRaWAN] [Регион] Мощность  по умолчанию [дБм]', '', 1248, 1, 41, 'P1112.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Задержка приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18930, '[LoRaWAN] [Регион] Задержка приёма Join [сек]', '', 1248, 1, 42, 'P1113.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18931, '[LoRaWAN] [Маркер] Количество попыток', '', 1248, 1, 43, 'P1120.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18932, '[LoRaWAN] [Маркер] Количество в сутки', '', 1248, 1, 44, 'P1121.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18933, '[LoRaWAN] [Маркер] Глубина оффлайн кэша', '', 1248, 1, 45, 'P1122.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18934, '[LoRaWAN] [Тест связи] Количество попыток', '', 1248, 1, 46, 'P1130.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18935, '[LoRaWAN] [Тест связи] Прескалер маркеров', '', 1248, 1, 47, 'P1131.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18936, '[LoRaWAN] [АСП] Разрешение управления сетью', '', 1248, 1, 48, 'P1140.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] [АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18937, '[LoRaWAN] [АСП] Порог для ручного управления', '', 1248, 1, 49, 'P1141.U8', 419, 192);
-- Добавление параметра прибора "[LoRaWAN] Список частотных планов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18938, '[LoRaWAN] Список частотных планов', '', 1248, 1, 50, 'P11F0.U64.BIT0-16', 419, 448);
-- Добавление параметра прибора "[LoRaWAN] Скорость передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18939, '[LoRaWAN] Скорость передачи', '', 1248, 1, 51, 'P11F0.U64.BIT16-16', 419, 448);
-- Добавление параметра прибора "[LoRaWAN] Мощность передатчика [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18940, '[LoRaWAN] Мощность передатчика [дБм]', '', 1248, 1, 52, 'P11F0.U64.BIT32-16', 419, 448);
-- Добавление параметра прибора "[LoRaWAN] Макс. глубина кэша маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18941, '[LoRaWAN] Макс. глубина кэша маркеров', '', 1248, 1, 53, 'P11F0.U64.BIT48-8', 419, 448);
-- Добавление параметра прибора "[LoRaWAN] Запрос на неотложную передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18942, '[LoRaWAN] Запрос на неотложную передачу маркера', '', 1248, 1, 54, 'P11F2.U8', 419, 192);
-- Добавление параметра прибора "[WM-Bus] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18943, '[WM-Bus] Мощность передатчика [мВт]', '', 1248, 1, 55, 'P1200.U8', 419, 192);
-- Добавление параметра прибора "[WM-Bus] Режим физического уровня"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18944, '[WM-Bus] Режим физического уровня', '', 1248, 1, 56, 'P1201.U8', 419, 192);
-- Добавление параметра прибора "[WM-Bus] Шифрование AES-128, ключ байты 0…7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18945, '[WM-Bus] Шифрование AES-128, ключ байты 0…7', '', 1248, 1, 57, 'P1202.U64', 419, 448);
-- Добавление параметра прибора "[WM-Bus] Шифрование AES-128, ключ байты 8…15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18946, '[WM-Bus] Шифрование AES-128, ключ байты 8…15', '', 1248, 1, 58, 'P1203.U64', 419, 448);
-- Добавление параметра прибора "[WM-Bus] Шифрование AES-128"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18947, '[WM-Bus] Шифрование AES-128', '', 1248, 1, 59, 'P1204.U8', 419, 448);
-- Добавление параметра прибора "[WM-Bus] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18948, '[WM-Bus] Мощность передатчика [мВт]', '', 1248, 1, 60, 'P12F0.U64.BIT0-16', 419, 448);
-- Добавление параметра прибора "[NBIOT] Приоритет сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18949, '[NBIOT] Приоритет сети', '', 1248, 1, 61, 'P1300.U8', 419, 192);
-- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18950, 'Пароль (старый | новый)', '', 1248, 1, 62, '__PASSWORD', 419, 192);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1249, 'Текущие', '', 419, 0);

-- Добавление параметра прибора "Объём, прямой [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18951, 'Объём, прямой [м3]', '', 1249, 1, 63, 'K1.F32', 419, 143);
-- Добавление параметра прибора "Объём, реверсный [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18952, 'Объём, реверсный [м3]', '', 1249, 1, 64, 'K2.F32', 419, 143);
-- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18953, 'Расход [м3/ч]', '', 1249, 1, 65, 'P0100.F32', 419, 385);
-- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18954, 'Время нормальной работы [ч]', '', 1249, 1, 66, 'K7.U32', 419, 143);
-- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18955, 'Ошибки', '', 1249, 1, 67, 'K8.U32', 419, 143);
-- Добавление параметра прибора "Импульсный вход 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18956, 'Импульсный вход 1 [м3]', '', 1249, 1, 68, 'K9.F32', 419, 143);
-- Добавление параметра прибора "Импульсный вход 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18957, 'Импульсный вход 2 [м3]', '', 1249, 1, 69, 'K10.F32', 419, 143);
-- Добавление параметра прибора "Импульсный вход 3 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18958, 'Импульсный вход 3 [м3]', '', 1249, 1, 70, 'K11.F32', 419, 143);
-- Добавление параметра прибора "Импульсный вход 4 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18959, 'Импульсный вход 4 [м3]', '', 1249, 1, 71, 'K12.F32', 419, 143);
-- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18960, 'Время наработки [ч]', '', 1249, 1, 72, 'P000A.U32', 419, 129);
-- Добавление параметра прибора "Время работы с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18961, 'Время работы с ошибками [ч]', '', 1249, 1, 73, 'P0007.U32', 419, 129);
-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18962, 'Дата и время', '', 1249, 1, 74, 'D', 419, 129);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1250, 'Наладка', '', 419, 0);

-- Добавление параметра прибора "[Батарея] Порог: разряжена [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18963, '[Батарея] Порог: разряжена [мВ]', '', 1250, 1, 75, 'P0041.U64.BIT0-16', 419, 64);
-- Добавление параметра прибора "[Батарея] Порог: скоро разрядится [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18964, '[Батарея] Порог: скоро разрядится [мВ]', '', 1250, 1, 76, 'P0041.U64.BIT16-16', 419, 64);
-- Добавление параметра прибора "[Батарея] Порог: полностью заряжена [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18965, '[Батарея] Порог: полностью заряжена [мВ]', '', 1250, 1, 77, 'P0041.U64.BIT32-16', 419, 64);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения. Смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18966, '[Батарея] Калибровка напряжения. Смещение', '', 1250, 1, 78, 'P0042.S16', 419, 64);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения. Коэффициент x1000"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18967, '[Батарея] Калибровка напряжения. Коэффициент x1000', '', 1250, 1, 79, 'P0043.U16', 419, 64);
-- Добавление параметра прибора "[Часовой кварц] Вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18968, '[Часовой кварц] Вывод частоты', '', 1250, 1, 80, 'P0060.U8', 419, 64);
-- Добавление параметра прибора "[Часовой кварц] Измеренная частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18969, '[Часовой кварц] Измеренная частота [Гц]', '', 1250, 1, 81, 'P0061.U16', 419, 64);
-- Добавление параметра прибора "[EEPROM] Размер EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18970, '[EEPROM] Размер EEPROM', '', 1250, 1, 82, 'P0080.U8', 419, 64);
-- Добавление параметра прибора "[EEPROM] Архивируемые каналы, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18971, '[EEPROM] Архивируемые каналы, маска', '', 1250, 1, 83, 'P0081.U32', 419, 64);
-- Добавление параметра прибора "[EEPROM] Глубина архивирования: часовые"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18972, '[EEPROM] Глубина архивирования: часовые', '', 1250, 1, 84, 'P0082.U64.BIT0-16', 419, 64);
-- Добавление параметра прибора "[EEPROM] Глубина архивирования: суточные"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18973, '[EEPROM] Глубина архивирования: суточные', '', 1250, 1, 85, 'P0082.U64.BIT16-16', 419, 64);
-- Добавление параметра прибора "[EEPROM] Глубина архивирования: месячные"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18974, '[EEPROM] Глубина архивирования: месячные', '', 1250, 1, 86, 'P0082.U64.BIT32-16', 419, 64);
-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18975, 'Количество сбросов', '', 1250, 1, 87, 'P0004.U16', 419, 64);
-- Добавление параметра прибора "Причина сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18976, 'Причина сброса', '', 1250, 1, 88, 'P0005.U8', 419, 320);
-- Добавление параметра прибора "Наработка с ошибками. Маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18977, 'Наработка с ошибками. Маска', '', 1250, 1, 89, 'P0007.U16', 419, 64);
-- Добавление параметра прибора "[EEPROM] Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18978, '[EEPROM] Глубина журнала событий', '', 1250, 1, 90, 'P0082.U64.BIT48-16', 419, 64);
-- Добавление параметра прибора "[Импульсный выход 1] Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18979, '[Импульсный выход 1] Диагностика', '', 1250, 1, 91, 'P00A4.U8', 419, 64);
-- Добавление параметра прибора "[Импульсный выход 2] Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18980, '[Импульсный выход 2] Диагностика', '', 1250, 1, 92, 'P00A9.U8', 419, 64);
-- Добавление параметра прибора "[Импульсный вход] Число имп. входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18981, '[Импульсный вход] Число имп. входов', '', 1250, 1, 93, 'P00DF.U8', 419, 64);
-- Добавление параметра прибора "[Расходомер] Вес импульса / Масштабирующий коэффициент расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18982, '[Расходомер] Вес импульса / Масштабирующий коэффициент расхода', '', 1250, 1, 94, 'P0101.F32', 419, 64);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода, MIN [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18983, '[Расходомер] Порог контроля расхода, MIN [м3/ч]', '', 1250, 1, 95, 'P0103.F32', 419, 64);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода, MAX [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18984, '[Расходомер] Порог контроля расхода, MAX [м3/ч]', '', 1250, 1, 96, 'P0104.F32', 419, 64);
-- Добавление параметра прибора "[Расходомер] Порог чувствительности расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18985, '[Расходомер] Порог чувствительности расхода [м3/ч]', '', 1250, 1, 97, 'P0105.F32', 419, 64);
-- Добавление параметра прибора "[Расходомер] Команда тестового пролива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18986, '[Расходомер] Команда тестового пролива', '', 1250, 1, 98, 'P0106.U8', 419, 64);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18987, '[Расходомер] Тестовый пролив, объём [м3]', '', 1250, 1, 99, 'P0107.F32', 419, 64);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18988, '[Расходомер] Тестовый пролив, расход [м3/ч]', '', 1250, 1, 100, 'P0108.F32', 419, 64);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18989, '[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]', '', 1250, 1, 101, 'P0109.F32', 419, 64);
-- Добавление параметра прибора "[Расходомер] Учёт обратного потока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18990, '[Расходомер] Учёт обратного потока', '', 1250, 1, 102, 'P012B.U8', 419, 64);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Дроссель 1, добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18991, '[Индукт. расх. (общее)] Дроссель 1, добротность', '', 1250, 1, 103, 'P01A0.U8', 419, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Дроссель 2, добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18992, '[Индукт. расх. (общее)] Дроссель 2, добротность', '', 1250, 1, 104, 'P01A1.U8', 419, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Автонастройка порогов, процесс"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18993, '[Индукт. расх. (общее)] Автонастройка порогов, процесс', '', 1250, 1, 105, 'P01A2.U8', 419, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Qmin"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18994, '[Индукт. расх. (общее)] Qmin', '', 1250, 1, 106, 'P01A3.U32.BIT0-8', 419, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Qmax"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18995, '[Индукт. расх. (общее)] Qmax', '', 1250, 1, 107, 'P01A3.U32.BIT8-8', 419, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Qdiff"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18996, '[Индукт. расх. (общее)] Qdiff', '', 1250, 1, 108, 'P01A3.U32.BIT16-8', 419, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Qhyst"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18997, '[Индукт. расх. (общее)] Qhyst', '', 1250, 1, 109, 'P01A3.U32.BIT24-8', 419, 320);
-- Добавление параметра прибора "[Индукт. расх. (EFM)] Частота сканирования [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18998, '[Индукт. расх. (EFM)] Частота сканирования [Гц]', '', 1250, 1, 110, 'P0201.U16', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Безразмерный расход"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18999, '[УЗ расх.] Безразмерный расход', '', 1250, 1, 111, 'P0240.F32', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] Уровень УЗ [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19000, '[УЗ расх.] Уровень УЗ [В]', '', 1250, 1, 112, 'P0241.F32', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] Процент ошибочных измерений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19001, '[УЗ расх.] Процент ошибочных измерений', '', 1250, 1, 113, 'P0242.U8', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] Период УЗ измерений [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19002, '[УЗ расх.] Период УЗ измерений [мс]', '', 1250, 1, 114, 'P0243.U32', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] Время УЗ по потоку (DNS) [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19003, '[УЗ расх.] Время УЗ по потоку (DNS) [мкс]', '', 1250, 1, 115, 'P0244.F32', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] Время УЗ против потока (UPS) [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19004, '[УЗ расх.] Время УЗ против потока (UPS) [мкс]', '', 1250, 1, 116, 'P0245.F32', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] Время УЗ дифференциальное [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19005, '[УЗ расх.] Время УЗ дифференциальное [мкс]', '', 1250, 1, 117, 'P0246.F32', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] Абсолютное смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19006, '[УЗ расх.] Абсолютное смещение времени УЗ [мкс]', '', 1250, 1, 118, 'P0247.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19007, '[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]', '', 1250, 1, 119, 'P0248.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Количество импульсов зондирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19008, '[УЗ расх.] Количество импульсов зондирования', '', 1250, 1, 120, 'P0249.U8', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Крит. уровень отклонения диф. времени УЗ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19009, '[УЗ расх.] Крит. уровень отклонения диф. времени УЗ', '', 1250, 1, 121, 'P024A.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Коэф. экспоненциального фильтра  (1.0 - сквозной)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19010, '[УЗ расх.] Коэф. экспоненциального фильтра  (1.0 - сквозной)', '', 1250, 1, 122, 'P024C.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Калибровка 0, абс. смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19011, '[УЗ расх.] Калибровка 0, абс. смещение времени УЗ [мкс]', '', 1250, 1, 123, 'P024D.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Калибровка 0, диф. смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19012, '[УЗ расх.] Калибровка 0, диф. смещение времени УЗ [мкс]', '', 1250, 1, 124, 'P024E.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Усреднённое t1/T по потоку"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19013, '[УЗ расх.] Усреднённое t1/T по потоку', '', 1250, 1, 125, 'P0270.F32', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] Усреднённое t1/T против потока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19014, '[УЗ расх.] Усреднённое t1/T против потока', '', 1250, 1, 126, 'P0271.F32', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] Уставка t1/T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19015, '[УЗ расх.] Уставка t1/T', '', 1250, 1, 127, 'P0273.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Критический уровень t1/T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19016, '[УЗ расх.] Критический уровень t1/T', '', 1250, 1, 128, 'P0272.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Текущий уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19017, '[УЗ расх.] Текущий уровень компаратора', '', 1250, 1, 129, 'P0274.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Режим измерения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19018, '[УЗ расх.] Режим измерения', '', 1250, 1, 130, 'P0275.F32', 419, 64);
-- Добавление параметра прибора "[УЗ расх.] Знач. коррекции TOF по скорости УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19019, '[УЗ расх.] Знач. коррекции TOF по скорости УЗ [мкс]', '', 1250, 1, 131, 'P0277.F32', 419, 320);
-- Добавление параметра прибора "[УЗ расх.] TOF, рассчитанное по скорости УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19020, '[УЗ расх.] TOF, рассчитанное по скорости УЗ [мкс]', '', 1250, 1, 132, 'P0278.F32', 419, 320);
-- Добавление параметра прибора "[Радиомодуль] Режим передачи маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19021, '[Радиомодуль] Режим передачи маркеров', '', 1250, 1, 133, 'P0404.U8', 419, 64);
-- Добавление параметра прибора "[Радиомодуль] RF кварц, вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19022, '[Радиомодуль] RF кварц, вывод частоты', '', 1250, 1, 134, 'P0405.U8', 419, 64);
-- Добавление параметра прибора "[Радиомодуль] RF кварц, измеренная частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19023, '[Радиомодуль] RF кварц, измеренная частота [Гц]', '', 1250, 1, 135, 'P0406.U32', 419, 64);
-- Добавление параметра прибора "[Радиомодуль] RF кварц, нагрузочные конденсаторы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19024, '[Радиомодуль] RF кварц, нагрузочные конденсаторы', '', 1250, 1, 136, 'P0407.U8', 419, 64);
-- Добавление параметра прибора "[LoRaWAN] Идентификатор последней сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19025, '[LoRaWAN] Идентификатор последней сети', '', 1250, 1, 137, 'P11F1.U64.BIT0-16', 419, 320);
-- Добавление параметра прибора "[LoRaWAN] RSSI подключенной сети [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19026, '[LoRaWAN] RSSI подключенной сети [дБм]', '', 1250, 1, 138, 'P11F1.U64.BIT16-16', 419, 320);
-- Добавление параметра прибора "[LoRaWAN] Текущая скорость передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19027, '[LoRaWAN] Текущая скорость передачи', '', 1250, 1, 139, 'P11F1.U64.BIT32-8', 419, 320);
-- Добавление параметра прибора "[LoRaWAN] Текущая мощность передатчика [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19028, '[LoRaWAN] Текущая мощность передатчика [дБм]', '', 1250, 1, 140, 'P11F1.U64.BIT40-8', 419, 64);
