SET client_encoding = 'WIN1251';
CREATE OR REPLACE FUNCTION "Tepl"."UpdatePlaces" (pplc_ids text, pnames text, pcomments text, ptyp_ids text, pcod_plcs text, pplace_ids text) RETURNS text AS
$body$
/*id  []*/
/* []*/
/* []*/
/* []*/
/* []*/
/*id  []*/
DECLARE
 i integer;
 n integer;
 maxp integer;
 ret Text;                                   
 old_typ_id integer;
 plc_ids INTEGER[];
 Names Text[];
 Comments Text[];
 typ_ids INTEGER[];
 Cod_Plcs integer[]; 
 place_ids INTEGER[];
BEGIN
  
  Names:="Tepl"."fArrText"($2); 
  n:=array_upper(Names,1);    
  ret:='{';
  if n>0 then  
    plc_ids:="Tepl"."fArr"($1);
    Comments:="Tepl"."fArrText"($3);
    typ_ids:="Tepl"."fArr"($4);
    Cod_Plcs:="Tepl"."fArr"($5);
    place_ids:="Tepl"."fArr"($6);    
 
    FOR i in 1..n Loop    
      /*      */
      old_typ_id=(Select typ_id from "Tepl"."Places_cnt" where plc_id=plc_ids[i]);
      IF typ_ids[i]<>old_typ_id then 
        Delete From 
        	"Tepl"."PropPlc_cnt" 
        Where 
        	(plc_id=plc_ids[i])
            AND
            (prop_id=any(Select prop_id From "Tepl"."PropTypPlc" Where "typ_id"=old_typ_id));
      end if;  
      /*  */
      Update "Tepl"."Places_cnt" 
      SET "Name"=Names[i],"Comment"=Comments[i],
      	  "typ_id"=typ_ids[i],"Cod_plc"=Cod_plcs[i],"place_id"=place_ids[i]
      Where
      	  "plc_id"=plc_ids[i];
    end Loop;    
  end if; 
  return 'true';
END;
$body$
LANGUAGE 'plpgsql' VOLATILE CALLED ON NULL INPUT SECURITY INVOKER;

COMMENT ON FUNCTION "Tepl"."UpdatePlaces"(pplc_ids text, pnames text, pcomments text, ptyp_ids text, pcod_plcs text, pplace_ids text)
IS ' ';