SET client_encoding = 'UTF-8';

CREATE OR REPLACE FUNCTION "Tepl"."GetPlaceUserPatterns"(IN place_id integer)
  RETURNS TABLE(id integer, name text) AS
$BODY$
BEGIN
  RETURN QUERY SELECT pat_table.pat_id AS "id", pat_table."Name" AS "name"
  FROM "Tepl"."PaternRep_cnt" pat_table
  RIGHT JOIN "Tepl"."PaternToPlcID" ptp_table ON ptp_table.pat_id=pat_table.pat_id
  WHERE ($1=-1 OR ptp_table.plc_id = $1);
END;$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetPlaceUserPatterns"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetPlaceUserPatterns"(integer) IS 'Возвращает все шаблоны или шаблоны для места';