SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id in (6311,6312,6313,6314,6315,6316,6317,6318,6319,6320,6321,6322,6323,6324,6325,6326,6327,6328,6329,6330,6331,6332,6333,6334,6335,6336,6337,6338,6339,6340,6341,6342,6343,6344,6345,6346,6347,6348,6349,6350,6351,6352,6353,6354,6355,6356,6357,6358,6359,6360,6361);
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id in (511,512,513);
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id in (261);

---- Прибор "Логика СПТ 943 v2" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (261, 'Логика СПТ 943 v2', 'Обновлённая версия тепловычислителя СПТ 943 на протоколе M4', 128);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (511, 'Общие', 'Параметры общего канала', 261, 0);
  -- Добавление параметра прибора "Дата/Время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6311, 'Дата/Время', 'Текущая дата и время прибора', 511, 1, 1, 'D', 261, 449);

---- Группа "Тепловой ввод 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (512, 'Тепловой ввод 1', 'Параметры первого канала', 261, 0);
  -- Добавление параметра прибора "Объем V1 (1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6312, 'Объем V1 (1)', '', 512, 1, 1, 'V1TV1', 261, 399);
  -- Добавление параметра прибора "Объем V2 (1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6313, 'Объем V2 (1)', '', 512, 1, 1, 'V2TV1', 261, 399);
  -- Добавление параметра прибора "Объем V3 (1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6314, 'Объем V3 (1)', '', 512, 1, 1, 'V3TV1', 261, 399);
  -- Добавление параметра прибора "Масса M1 (1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6315, 'Масса M1 (1)', '', 512, 1, 1, 'M1TV1', 261, 399);
  -- Добавление параметра прибора "Масса M2 (1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6316, 'Масса M2 (1)', '', 512, 1, 1, 'M2TV1', 261, 399);
  -- Добавление параметра прибора "Масса M3 (1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6317, 'Масса M3 (1)', '', 512, 1, 1, 'M3TV1', 261, 399);
  -- Добавление параметра прибора "Суммарная тепловая энергия (1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6318, 'Суммарная тепловая энергия (1)', '', 512, 1, 1, 'QTV1', 261, 399);
  -- Добавление параметра прибора "Суммарное вермя счета (1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6319, 'Суммарное вермя счета (1)', '', 512, 1, 1, 'TiTV1', 261, 399);
  -- Добавление параметра прибора "Тепловая энергия в трубе ГВС (1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6320, 'Тепловая энергия в трубе ГВС (1)', '', 512, 1, 1, 'QgTV1', 261, 399);
  -- Добавление параметра прибора "Объемный расход в трубе1(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6321, 'Объемный расход в трубе1(1)', '', 512, 1, 1, 'G1TV1', 261, 385);
  -- Добавление параметра прибора "Объемный расход в трубе2(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6322, 'Объемный расход в трубе2(1)', '', 512, 1, 1, 'G2TV1', 261, 385);
  -- Добавление параметра прибора "Объемный расход в трубе3(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6323, 'Объемный расход в трубе3(1)', '', 512, 1, 1, 'G3TV1', 261, 385);
  -- Добавление параметра прибора "Давление в трубе1(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6324, 'Давление в трубе1(1)', '', 512, 1, 1, 'P1TV1', 261, 399);
  -- Добавление параметра прибора "Давление в трубе2(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6325, 'Давление в трубе2(1)', '', 512, 1, 1, 'P2TV1', 261, 399);
  -- Добавление параметра прибора "Температура в трубе1(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6326, 'Температура в трубе1(1)', '', 512, 1, 1, 't1TV1', 261, 399);
  -- Добавление параметра прибора "Температура в трубе2(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6327, 'Температура в трубе2(1)', '', 512, 1, 1, 't2TV1', 261, 399);
  -- Добавление параметра прибора "Разность температур(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6328, 'Разность температур(1)', '', 512, 1, 1, 'dtTV1', 261, 385);
  -- Добавление параметра прибора "Температура в трубе3(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6329, 'Температура в трубе3(1)', '', 512, 1, 1, 't3TV1', 261, 399);
  -- Добавление параметра прибора "Температура холодной воды(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6330, 'Температура холодной воды(1)', '', 512, 1, 1, 'txTV1', 261, 399);
  -- Добавление параметра прибора "Температура воздуха(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6331, 'Температура воздуха(1)', '', 512, 1, 1, 'tbTV1', 261, 399);
  -- Добавление параметра прибора "Схема потребления(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6332, 'Схема потребления(1)', '', 512, 1, 1, 'spTV1', 261, 399);
  -- Добавление параметра прибора "НС байт1(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6333, 'НС байт1(1)', '', 512, 1, 1, 'ns1TV1', 261, 385);
  -- Добавление параметра прибора "НС байт2(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6334, 'НС байт2(1)', '', 512, 1, 1, 'ns2TV1', 261, 385);
  -- Добавление параметра прибора "НС байт3(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6335, 'НС байт3(1)', '', 512, 1, 1, 'ns3TV1', 261, 385);
  -- Добавление параметра прибора "НС(1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6336, 'НС(1)', '', 512, 1, 1, 'nsTV1', 261, 398);

---- Группа "Тепловой ввод 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (513, 'Тепловой ввод 2', 'Параметры второго канала', 261, 0);
  -- Добавление параметра прибора "Объем V1 (2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6337, 'Объем V1 (2)', '', 513, 1, 1, 'V1TV2', 261, 399);
  -- Добавление параметра прибора "Объем V2 (2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6338, 'Объем V2 (2)', '', 513, 1, 1, 'V2TV2', 261, 399);
  -- Добавление параметра прибора "Объем V3 (2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6339, 'Объем V3 (2)', '', 513, 1, 1, 'V3TV2', 261, 399);
  -- Добавление параметра прибора "Масса M1 (2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6340, 'Масса M1 (2)', '', 513, 1, 1, 'M1TV2', 261, 399);
  -- Добавление параметра прибора "Масса M2 (2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6341, 'Масса M2 (2)', '', 513, 1, 1, 'M2TV2', 261, 399);
  -- Добавление параметра прибора "Масса M3 (2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6342, 'Масса M3 (2)', '', 513, 1, 1, 'M3TV2', 261, 399);
  -- Добавление параметра прибора "Суммарная тепловая энергия (2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6343, 'Суммарная тепловая энергия (2)', '', 513, 1, 1, 'QTV2', 261, 399);
  -- Добавление параметра прибора "Суммарное вермя счета (2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6344, 'Суммарное вермя счета (2)', '', 513, 1, 1, 'TiTV2', 261, 399);
  -- Добавление параметра прибора "Тепловая энергия в трубе ГВС (2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6345, 'Тепловая энергия в трубе ГВС (2)', '', 513, 1, 1, 'QgTV2', 261, 399);
  -- Добавление параметра прибора "Объемный расход в трубе1(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6346, 'Объемный расход в трубе1(2)', '', 513, 1, 1, 'G1TV2', 261, 385);
  -- Добавление параметра прибора "Объемный расход в трубе2(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6347, 'Объемный расход в трубе2(2)', '', 513, 1, 1, 'G2TV2', 261, 385);
  -- Добавление параметра прибора "Объемный расход в трубе3(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6348, 'Объемный расход в трубе3(2)', '', 513, 1, 1, 'G3TV2', 261, 385);
  -- Добавление параметра прибора "Давление в трубе1(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6349, 'Давление в трубе1(2)', '', 513, 1, 1, 'P1TV2', 261, 399);
  -- Добавление параметра прибора "Давление в трубе2(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6350, 'Давление в трубе2(2)', '', 513, 1, 1, 'P2TV2', 261, 399);
  -- Добавление параметра прибора "Температура в трубе1(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6351, 'Температура в трубе1(2)', '', 513, 1, 1, 't1TV2', 261, 399);
  -- Добавление параметра прибора "Температура в трубе2(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6352, 'Температура в трубе2(2)', '', 513, 1, 1, 't2TV2', 261, 399);
  -- Добавление параметра прибора "Разность температур(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6353, 'Разность температур(2)', '', 513, 1, 1, 'dtTV2', 261, 385);
  -- Добавление параметра прибора "Температура в трубе3(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6354, 'Температура в трубе3(2)', '', 513, 1, 1, 't3TV2', 261, 399);
  -- Добавление параметра прибора "Температура холодной воды(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6355, 'Температура холодной воды(2)', '', 513, 1, 1, 'txTV2', 261, 399);
  -- Добавление параметра прибора "Температура воздуха(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6356, 'Температура воздуха(2)', '', 513, 1, 1, 'tbTV2', 261, 399);
  -- Добавление параметра прибора "Схема потребления(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6357, 'Схема потребления(2)', '', 513, 1, 1, 'spTV2', 261, 399);
  -- Добавление параметра прибора "НС байт1(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6358, 'НС байт1(2)', '', 513, 1, 1, 'ns1TV2', 261, 385);
  -- Добавление параметра прибора "НС байт2(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6359, 'НС байт2(2)', '', 513, 1, 1, 'ns2TV2', 261, 385);
  -- Добавление параметра прибора "НС байт3(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6360, 'НС байт3(2)', '', 513, 1, 1, 'ns3TV2', 261, 385);
  -- Добавление параметра прибора "НС(2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6361, 'НС(2)', '', 513, 1, 1, 'nsTV2', 261, 142);
