-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id in (6380,6381,6382,6383,6384,6385,6386,6387,6388,6389,6390,6391,6392,6393,6394,6395,6396,6397);
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id in (514,515,516,517);
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id in (262);

---- Прибор "Сигнур Акрон-01" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Сигнур Акрон-01', "Comment" = 'Расходомер с накладными излучателями', "AdditionInfo" = 2147483647 WHERE dev_typ_id = 257;

---- Прибор "Сигнур Акрон-02" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (262, 'Сигнур Акрон-02', 'Двухканальный расходомер с накладными излучателями', 128);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (514, 'Системные', 'Общая информация о приборе', 262, 0);
  -- Добавление параметра прибора "Тип прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6380, 'Тип прибора', '', 514, 1, 1, 'sP', 262, 448);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6381, 'Версия ПО', '', 514, 1, 1, 'sV', 262, 448);
  -- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6382, 'Заводской номер', '', 514, 1, 1, 'sN', 262, 448);
  -- Добавление параметра прибора "Дата время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6383, 'Дата время', '', 514, 1, 1, 'D', 262, 448);

---- Группа "Канал 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (515, 'Канал 1', 'Текущие и архивные первого канала', 262, 0);
  -- Добавление параметра прибора "Поток 1 [м/с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6384, 'Поток 1 [м/с]', '', 515, 1, 1, 'cH1', 262, 385);
  -- Добавление параметра прибора "Расход 1 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6385, 'Расход 1 [м3/ч]', '', 515, 1, 1, 'cQ1', 262, 385);
  -- Добавление параметра прибора "Объем 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6386, 'Объем 1 [м3]', '', 515, 1, 1, 'U1', 262, 391);
  -- Добавление параметра прибора "Время учета 1 [мин.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6387, 'Время учета 1 [мин.]', '', 515, 1, 1, 'cT1', 262, 385);
  -- Добавление параметра прибора "Макс. поток 1 [м/с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6388, 'Макс. поток 1 [м/с]', '', 515, 1, 1, 'mH1', 262, 385);
  -- Добавление параметра прибора "Макс. расход 1 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6389, 'Макс. расход 1 [м3/ч]', '', 515, 1, 1, 'mQ1', 262, 385);

---- Группа "Канал 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (516, 'Канал 2', 'Текущие и архивные второго канала', 262, 0);
  -- Добавление параметра прибора "Поток 2 [м/с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6390, 'Поток 2 [м/с]', '', 516, 1, 1, 'cH2', 262, 385);
  -- Добавление параметра прибора "Расход 2 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6391, 'Расход 2 [м3/ч]', '', 516, 1, 1, 'cQ2', 262, 385);
  -- Добавление параметра прибора "Объем 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6392, 'Объем 2 [м3]', '', 516, 1, 1, 'U2', 262, 391);
  -- Добавление параметра прибора "Время учета 2 [мин.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6393, 'Время учета 2 [мин.]', '', 516, 1, 1, 'cT2', 262, 385);
  -- Добавление параметра прибора "Макс. поток 2 [м/с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6394, 'Макс. поток 2 [м/с]', '', 516, 1, 1, 'mH2', 262, 385);
  -- Добавление параметра прибора "Макс. расход 2 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6395, 'Макс. расход 2 [м3/ч]', '', 516, 1, 1, 'mQ2', 262, 385);

---- Группа "Архив работы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (517, 'Архив работы', 'Архивные параметры включеий и отключений прибора', 262, 0);
  -- Добавление параметра прибора "Архив включений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6396, 'Архив включений', '', 517, 1, 1, 'cO', 262, 385);
  -- Добавление параметра прибора "Архив отключений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6397, 'Архив отключений', '', 517, 1, 1, 'cF', 262, 385);
