SET client_encoding = 'UTF8';

---- Прибор "ТМК-Н12" ----

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 6700 AND pr_typ_id <= 6741;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 535 AND gr_typ_id <= 537;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 267;

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (267, 'ТМК-Н12', 'Тепловычислитель ТМК-Н12 (только с платой расширения)', 128);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (535, 'Системные', 'Информация о приборе', 267, 0);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6700, 'Сетевой адрес', '', 535, 1, 1, 'SNT', 267, 192);
  -- Добавление параметра прибора "Серийный номер "
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6701, 'Серийный номер ', '', 535, 1, 1, 'SSN', 267, 192);
  -- Добавление параметра прибора "Время ожидания ответа "
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6702, 'Время ожидания ответа ', '', 535, 1, 1, 'STO', 267, 192);
  -- Добавление параметра прибора "Чтение только текущих"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6703, 'Чтение только текущих', '', 535, 1, 1, 'SCU', 267, 192);
  -- Добавление параметра прибора "Идентификатор объекта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6704, 'Идентификатор объекта', '', 535, 1, 1, 'SID', 267, 192);
  -- Добавление параметра прибора "Использовать модем"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6705, 'Использовать модем', '', 535, 1, 1, 'SMU', 267, 192);
  -- Добавление параметра прибора "Строка инициализации модема"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6706, 'Строка инициализации модема', '', 535, 1, 1, 'SMI', 267, 192);
  -- Добавление параметра прибора "Схема потребления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6707, 'Схема потребления', '', 535, 1, 1, 'SSX', 267, 448);
  -- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6708, 'Заводской номер', '', 535, 1, 1, 'SFM', 267, 449);

---- Группа "Только текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (536, 'Только текущие', 'Текущие параметры не учавствующие в архивировании', 267, 0);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6709, 'Дата и время', '', 536, 1, 1, 'D', 267, 449);
  -- Добавление параметра прибора "Тепловая мощность 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6710, 'Тепловая мощность 1', '', 536, 1, 1, 'TW1', 267, 385);
  -- Добавление параметра прибора "Тепловая мощность 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6711, 'Тепловая мощность 2', '', 536, 1, 1, 'TW2', 267, 257);
  -- Добавление параметра прибора "Массовый расход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6712, 'Массовый расход 1', '', 536, 1, 1, 'TG1', 267, 385);
  -- Добавление параметра прибора "Массовый расход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6713, 'Массовый расход 2', '', 536, 1, 1, 'TG2', 267, 385);
  -- Добавление параметра прибора "Массовый расход 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6714, 'Массовый расход 3', '', 536, 1, 1, 'TG3', 267, 257);
  -- Добавление параметра прибора "Массовый расход 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6715, 'Массовый расход 4', '', 536, 1, 1, 'TG4', 267, 257);
  -- Добавление параметра прибора "Объёмный расход 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6716, 'Объёмный расход 5', '', 536, 1, 1, 'TG5', 267, 257);
  -- Добавление параметра прибора "Тепловая энергия 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6717, 'Тепловая энергия 2', '', 536, 1, 1, 'AQ2', 267, 257);
  -- Добавление параметра прибора "Масса теплоносителя 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6718, 'Масса теплоносителя 3', '', 536, 1, 1, 'AM3', 267, 257);
  -- Добавление параметра прибора "Масса теплоносителя 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6719, 'Масса теплоносителя 4', '', 536, 1, 1, 'AM4', 267, 257);
  -- Добавление параметра прибора "Время безаварийной работы 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6720, 'Время безаварийной работы 2', '', 536, 1, 1, 'AY2', 267, 257);
  -- Добавление параметра прибора "Давление 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6721, 'Давление 3', '', 536, 1, 1, 'AP3', 267, 257);
  -- Добавление параметра прибора "Давление 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6722, 'Давление 4', '', 536, 1, 1, 'AP4', 267, 257);
  -- Добавление параметра прибора "Давление 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6723, 'Давление 5', '', 536, 1, 1, 'AP5', 267, 257);
  -- Добавление параметра прибора "Температура теплоносителя 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6724, 'Температура теплоносителя 3', '', 536, 1, 1, 'AT3', 267, 257);
  -- Добавление параметра прибора "Температура теплоносителя 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6725, 'Температура теплоносителя 4', '', 536, 1, 1, 'AT4', 267, 257);

---- Группа "Текущие и архивные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (537, 'Текущие и архивные', 'Текущие и архивные параметры', 267, 0);
  -- Добавление параметра прибора "Тепловая энергия 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6726, 'Тепловая энергия 1', '', 537, 1, 1, 'AQ1', 267, 391);
  -- Добавление параметра прибора "Масса теплоносителя 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6727, 'Масса теплоносителя 1', '', 537, 1, 1, 'AM1', 267, 391);
  -- Добавление параметра прибора "Объём теплоносителя 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6728, 'Объём теплоносителя 5', '', 537, 1, 1, 'AM5', 267, 263);
  -- Добавление параметра прибора "Время безаварийной работы 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6729, 'Время безаварийной работы 1', '', 537, 1, 1, 'AY1', 267, 391);
  -- Добавление параметра прибора "Время безаварийной работы ХВ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6730, 'Время безаварийной работы ХВ', '', 537, 1, 1, 'AY3', 267, 263);
  -- Добавление параметра прибора "Давление 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6731, 'Давление 1', '', 537, 1, 1, 'AP1', 267, 391);
  -- Добавление параметра прибора "Давление 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6732, 'Давление 2', '', 537, 1, 1, 'AP2', 267, 391);
  -- Добавление параметра прибора "Температура теплоносителя 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6733, 'Температура теплоносителя 1', '', 537, 1, 1, 'AT1', 267, 391);
  -- Добавление параметра прибора "Температура теплоносителя 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6734, 'Температура теплоносителя 2', '', 537, 1, 1, 'AT2', 267, 391);
  -- Добавление параметра прибора "Температура 5 ХВ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6735, 'Температура 5 ХВ', '', 537, 1, 1, 'AT5', 267, 263);
  -- Добавление параметра прибора "Нештатные ситуации 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6736, 'Нештатные ситуации 1', '', 537, 1, 1, 'AN1', 267, 391);
  -- Добавление параметра прибора "Нештатные ситуации 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6737, 'Нештатные ситуации 2', '', 537, 1, 1, 'AN2', 267, 391);
  -- Добавление параметра прибора "Нештатные ситуации 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6738, 'Нештатные ситуации 3', '', 537, 1, 1, 'AN3', 267, 263);
  -- Добавление параметра прибора "Нештатные ситуации 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6739, 'Нештатные ситуации 4', '', 537, 1, 1, 'AN4', 267, 263);
  -- Добавление параметра прибора "Системные нештатные ситуации"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6740, 'Системные нештатные ситуации', '', 537, 1, 1, 'AN5', 267, 391);
  -- Добавление параметра прибора "Масса теплоносителя 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (6741, 'Масса теплоносителя 2', '', 537, 1, 1, 'AM2', 267, 391);
