

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = "Tepl", pg_catalog;


DELETE FROM "TypeDevices"
 WHERE dev_typ_id=201;

DELETE FROM "DeviceTypeGroupParametr"
 WHERE dev_typ_id=201;

DELETE FROM "DeviceTypeParametr"
 WHERE dev_typ_id=201;



INSERT INTO "TypeDevices" (dev_typ_id, "Name", "Comment", "SupportUSPD", "SupportSoft", "AdditionInfo") VALUES (201, 'Взлёт-34', NULL, NULL, NULL, 2147483647);


INSERT INTO "DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id") VALUES (326, 'Канал1', NULL, 201, 0);
INSERT INTO "DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id") VALUES (327, 'Канал2', NULL, 201, 0);
INSERT INTO "DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id") VALUES (328, 'Канал3', NULL, 201, 0);
INSERT INTO "DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id") VALUES (329, 'Канал4', NULL, 201, 0);
INSERT INTO "DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id") VALUES (330, 'Канал5', NULL, 201, 0);
INSERT INTO "DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id") VALUES (331, 'Общие', NULL, 201, 0);
INSERT INTO "DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id") VALUES (332, 'Системные', NULL, 201, 0);



INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4019, 'Темпер1 изм.', 'текущие', 326, 1, 1, 'Ti1', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4018, 'Темпер1 интерв.', 'архив, текущие', 326, 1, 1, 'T1', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4015, 'Тепло1', 'архив, текущие', 326, 1, 1, 'W1', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4017, 'Объём1', 'архив, текущие', 326, 1, 1, 'V1', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4016, 'Масса1', 'архив, текущие', 326, 1, 1, 'M1', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4055, 'Время работы', 'архив, текущие', 331, 1, 1, 'tnar', 201, 2147483647);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4056, 'Время простоя', 'архив, текущие', 331, 1, 1, 'tstall', 201, 2147483647);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4049, 'Темпер4 изм.', 'текущие', 329, 1, 1, 'Ti4', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4048, 'Темпер4 интерв.', 'архив, текущие', 329, 1, 1, 'T4', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4047, 'Объём4', 'архив, текущие', 329, 1, 1, 'V4', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4052, 'Объёмный расход4', 'текущие', 329, 1, 1, 'Gv4', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4051, 'Массовый расход4', 'текущие', 329, 1, 1, 'Gm4', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4050, 'Мощность4', 'текущие', 329, 1, 1, 'E4', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4043, 'HC3', 'архив', 328, 1, 1, 'tns3', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4042, 'Объёмный расход3', 'текущие', 328, 1, 1, 'Gv3', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4041, 'Массовый расход3', 'текущие', 328, 1, 1, 'Gm3', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4046, 'Масса4', 'архив, текущие', 329, 1, 1, 'M4', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4045, 'Тепло4', 'архив, текущие', 329, 1, 1, 'W4', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4044, 'Нет пит.3', 'архив', 328, 1, 1, 'tpow3', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4053, 'HC4', 'архив', 329, 1, 1, 'tns4', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4012, 'Объёмный расход5', 'текущие', 330, 1, 1, 'Gv5', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4011, 'Массовый расход5', 'текущие', 330, 1, 1, 'Gm5', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4010, 'Мощность5', 'текущие', 330, 1, 1, 'E5', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4014, 'Нет пит.5', 'архив', 330, 1, 1, 'tpow5', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4013, 'HC5', 'архив', 330, 1, 1, 'tns5', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4006, 'Масса5', 'архив, текущие', 330, 1, 1, 'M5', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4005, 'Тепло5', 'архив, текущие', 330, 1, 1, 'W5', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4054, 'Нет пит.4', 'архив', 329, 1, 1, 'tpow4', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4009, 'Темпер5 изм.', 'текущие', 330, 1, 1, 'Ti5', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4008, 'Темпер5 интерв.', 'архив, текущие', 330, 1, 1, 'T5', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4007, 'Объём5', 'архив, текущие', 330, 1, 1, 'V5', 201, 2147483519);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4024, 'Нет пит.1', 'архив', 326, 1, 1, 'tpow1', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4023, 'HC1', 'архив', 326, 1, 1, 'tns1', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4022, 'Объёмный расход1', 'текущие', 326, 1, 1, 'Gv1', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4027, 'Объём2', 'архив, текущие', 327, 1, 1, 'V2', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4026, 'Масса2', 'архив, текущие', 327, 1, 1, 'M2', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4025, 'Тепло2', 'архив, текущие', 327, 1, 1, 'W2', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4021, 'Массовый расход1', 'текущие', 326, 1, 1, 'Gm1', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4028, 'Темпер2 интерв.', 'архив, текущие', 327, 1, 1, 'T2', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4037, 'Объём3', 'архив, текущие', 328, 1, 1, 'V3', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4036, 'Масса3', 'архив, текущие', 328, 1, 1, 'M3', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4035, 'Тепло3', 'архив, текущие', 328, 1, 1, 'W3', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4040, 'Мощность3', 'текущие', 328, 1, 1, 'E3', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4039, 'Темпер3 изм.', 'текущие', 328, 1, 1, 'Ti3', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4038, 'Темпер3 интерв.', 'архив, текущие', 328, 1, 1, 'T3', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4031, 'Массовый расход2', 'текущие', 327, 1, 1, 'Gm2', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4030, 'Мощность2', 'текущие', 327, 1, 1, 'E2', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4029, 'Темпер2 изм.', 'текущие', 327, 1, 1, 'Ti2', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4034, 'Нет пит.2', 'архив', 327, 1, 1, 'tpow2', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4033, 'HC2', 'архив', 327, 1, 1, 'tns2', 201, 2147483535);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4032, 'Объёмный расход2', 'текущие', 327, 1, 1, 'Gv2', 201, 2147483521);
INSERT INTO "DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData") VALUES (4020, 'Мощность1', 'текущие', 326, 1, 1, 'E1', 201, 2147483521);

-- Взлёт-34  --
Update "Tepl"."TypeDevices" SET "AdditionInfo"=2147483647 WHERE dev_typ_id=201 ;
-- Тепло1 (W1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4015 ;
-- Масса1 (M1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4016 ;
-- Объём1 (V1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4017 ;
-- Темпер1 интерв. (T1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4018 ;
-- Темпер1 изм. (Ti1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4019 ;
-- Мощность1 (E1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4020 ;
-- Массовый расход1 (Gm1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4021 ;
-- Объёмный расход1 (Gv1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4022 ;
-- HC1 (tns1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4023 ;
-- Нет пит.1 (tpow1) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4024 ;
-- Тепло2 (W2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4025 ;
-- Масса2 (M2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4026 ;
-- Объём2 (V2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4027 ;
-- Темпер2 интерв. (T2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4028 ;
-- Темпер2 изм. (Ti2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4029 ;
-- Мощность2 (E2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4030 ;
-- Массовый расход2 (Gm2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4031 ;
-- Объёмный расход2 (Gv2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4032 ;
-- HC2 (tns2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4033 ;
-- Нет пит.2 (tpow2) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4034 ;
-- Тепло3 (W3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4035 ;
-- Масса3 (M3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4036 ;
-- Объём3 (V3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4037 ;
-- Темпер3 интерв. (T3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4038 ;
-- Темпер3 изм. (Ti3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4039 ;
-- Мощность3 (E3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4040 ;
-- Массовый расход3 (Gm3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4041 ;
-- Объёмный расход3 (Gv3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4042 ;
-- HC3 (tns3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4043 ;
-- Нет пит.3 (tpow3) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4044 ;
-- Тепло4 (W4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4045 ;
-- Масса4 (M4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4046 ;
-- Объём4 (V4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4047 ;
-- Темпер4 интерв. (T4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4048 ;
-- Темпер4 изм. (Ti4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483585 WHERE pr_typ_id =4049 ;
-- Мощность4 (E4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4050 ;
-- Массовый расход4 (Gm4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483585 WHERE pr_typ_id =4051 ;
-- Объёмный расход4 (Gv4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483585 WHERE pr_typ_id =4052 ;
-- HC4 (tns4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4053 ;
-- Нет пит.4 (tpow4) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4054 ;
-- Тепло5 (W5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4005 ;
-- Масса5 (M5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4006 ;
-- Объём5 (V5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4007 ;
-- Темпер5 интерв. (T5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4008 ;
-- Темпер5 изм. (Ti5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483585 WHERE pr_typ_id =4009 ;
-- Мощность5 (E5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483521 WHERE pr_typ_id =4010 ;
-- Массовый расход5 (Gm5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483585 WHERE pr_typ_id =4011 ;
-- Объёмный расход5 (Gv5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483585 WHERE pr_typ_id =4012 ;
-- HC5 (tns5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483535 WHERE pr_typ_id =4013 ;
-- Нет пит.5 (tpow5) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4014 ;
-- Время работы (tnar) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4055 ;
-- Время простоя (tstall) -- 
Update "Tepl"."DeviceTypeParametr" SET  "SupportData" =2147483599 WHERE pr_typ_id =4056 ;
