SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 7375 AND pr_typ_id <= 7451;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 561 AND gr_typ_id <= 565;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 281;

---- Прибор "МАЯК 301АРТ" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (281, 'МАЯК 301АРТ', 'Трехфазный многотарифный электросчетчик', 128);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (561, 'Общие', 'Текущие и настроечные параметры', 281, 0);
  -- Добавление параметра прибора "Лимит мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7375, 'Лимит мощности', '', 561, 1, 1, 'Lp', 281, 448);
  -- Добавление параметра прибора "Лимит энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7376, 'Лимит энергии', '', 561, 1, 1, 'Lw', 281, 448);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7377, 'Мощность', '', 561, 1, 1, 'P', 281, 385);
  -- Добавление параметра прибора "Активная энергия в 30 мин."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7378, 'Активная энергия в 30 мин.', '', 561, 1, 1, 'A', 281, 400);
  -- Добавление параметра прибора "Макс. активная энергия в 30 мин."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7379, 'Макс. активная энергия в 30 мин.', '', 561, 1, 1, 'Pa', 281, 400);
  -- Добавление параметра прибора "Реактивная энергия в 30 мин."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7380, 'Реактивная энергия в 30 мин.', '', 561, 1, 1, 'R', 281, 400);
  -- Добавление параметра прибора "Макс. реактивная энергия в 30 мин."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7381, 'Макс. реактивная энергия в 30 мин.', '', 561, 1, 1, 'Pr', 281, 400);
  -- Добавление параметра прибора "Ток фаза 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7382, 'Ток фаза 1', '', 561, 1, 1, 'I1', 281, 385);
  -- Добавление параметра прибора "Ток фаза 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7383, 'Ток фаза 2', '', 561, 1, 1, 'I2', 281, 385);
  -- Добавление параметра прибора "Ток фаза 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7384, 'Ток фаза 3', '', 561, 1, 1, 'I3', 281, 385);
  -- Добавление параметра прибора "Напряжение фаза 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7385, 'Напряжение фаза 1', '', 561, 1, 1, 'U1', 281, 385);
  -- Добавление параметра прибора "Напряжение фаза 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7386, 'Напряжение фаза 2', '', 561, 1, 1, 'U2', 281, 385);
  -- Добавление параметра прибора "Напряжение фаза 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7387, 'Напряжение фаза 3', '', 561, 1, 1, 'U3', 281, 385);
  -- Добавление параметра прибора "Дата"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7388, 'Дата', '', 561, 1, 1, 'D', 281, 449);
  -- Добавление параметра прибора "Модель прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7389, 'Модель прибора', '', 561, 1, 1, 'DEV.INFO', 281, 448);
  -- Добавление параметра прибора "Место установки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7390, 'Место установки', '', 561, 1, 1, 'DEV.PLACE', 281, 448);
  -- Добавление параметра прибора "Дата коррекции времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7391, 'Дата коррекции времени', '', 561, 1, 1, 'PcorrTime', 281, 448);

---- Группа "Тариф 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (562, 'Тариф 1', 'Текущие и архивные тарифа 1', 281, 0);
  -- Добавление параметра прибора "Т1 Мощность1 сумм"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7392, 'Т1 Мощность1 сумм', '', 562, 1, 1, 'W1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. прям. Акт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7393, 'Т1 Энерг. прям. Акт. ф.А', '', 562, 1, 1, 'WfaA1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. прям. Реакт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7394, 'Т1 Энерг. прям. Реакт. ф.А', '', 562, 1, 1, 'WfrA1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. прям. Акт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7395, 'Т1 Энерг. прям. Акт. ф.B', '', 562, 1, 1, 'WfaB1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. прям. Реакт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7396, 'Т1 Энерг. прям. Реакт. ф.B', '', 562, 1, 1, 'WfrB1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. прям. Акт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7397, 'Т1 Энерг. прям. Акт. ф.C', '', 562, 1, 1, 'WfaC1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. прям. Реакт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7398, 'Т1 Энерг. прям. Реакт. ф.C', '', 562, 1, 1, 'WfrC1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. обр. Акт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7399, 'Т1 Энерг. обр. Акт. ф.А', '', 562, 1, 1, 'WraA1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. oбр. Реакт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7400, 'Т1 Энерг. oбр. Реакт. ф.А', '', 562, 1, 1, 'WrrA1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. обр. Акт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7401, 'Т1 Энерг. обр. Акт. ф.B', '', 562, 1, 1, 'WraB1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. обр. Реакт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7402, 'Т1 Энерг. обр. Реакт. ф.B', '', 562, 1, 1, 'WrrB1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. обр. Акт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7403, 'Т1 Энерг. обр. Акт. ф.C', '', 562, 1, 1, 'WraC1', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. обр. Реакт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7404, 'Т1 Энерг. обр. Реакт. ф.C', '', 562, 1, 1, 'WrrC1', 281, 385);
  -- Добавление параметра прибора "Т1 Акт. энерг."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7405, 'Т1 Акт. энерг.', '', 562, 1, 1, 'A1', 281, 397);
  -- Добавление параметра прибора "Т1 Реакт. энерг."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7406, 'Т1 Реакт. энерг.', '', 562, 1, 1, 'R1', 281, 397);

---- Группа "Тариф 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (563, 'Тариф 2', 'Текущие и архивные тарифа 2', 281, 0);
  -- Добавление параметра прибора "Т2 Мощность2 сумм"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7407, 'Т2 Мощность2 сумм', '', 563, 1, 1, 'W2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. прям. Акт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7408, 'Т2 Энерг. прям. Акт. ф.А', '', 563, 1, 1, 'WfaA2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. прям. Реакт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7409, 'Т2 Энерг. прям. Реакт. ф.А', '', 563, 1, 1, 'WfrA2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. прям. Акт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7410, 'Т2 Энерг. прям. Акт. ф.B', '', 563, 1, 1, 'WfaB2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. прям. Реакт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7411, 'Т2 Энерг. прям. Реакт. ф.B', '', 563, 1, 1, 'WfrB2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. прям. Акт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7412, 'Т2 Энерг. прям. Акт. ф.C', '', 563, 1, 1, 'WfaC2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. прям. Реакт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7413, 'Т2 Энерг. прям. Реакт. ф.C', '', 563, 1, 1, 'WfrC2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. обр. Акт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7414, 'Т2 Энерг. обр. Акт. ф.А', '', 563, 1, 1, 'WraA2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. oбр. Реакт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7415, 'Т2 Энерг. oбр. Реакт. ф.А', '', 563, 1, 1, 'WrrA2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. обр. Акт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7416, 'Т2 Энерг. обр. Акт. ф.B', '', 563, 1, 1, 'WraB2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. обр. Реакт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7417, 'Т2 Энерг. обр. Реакт. ф.B', '', 563, 1, 1, 'WrrB2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. обр. Акт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7418, 'Т2 Энерг. обр. Акт. ф.C', '', 563, 1, 1, 'WraC2', 281, 385);
  -- Добавление параметра прибора "Т2 Энерг. обр. Реакт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7419, 'Т2 Энерг. обр. Реакт. ф.C', '', 563, 1, 1, 'WrrC2', 281, 385);
  -- Добавление параметра прибора "Т2 Акт. энерг."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7420, 'Т2 Акт. энерг.', '', 563, 1, 1, 'A2', 281, 397);
  -- Добавление параметра прибора "Т2 Реакт. энерг."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7421, 'Т2 Реакт. энерг.', '', 563, 1, 1, 'R2', 281, 397);

---- Группа "Тариф 3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (564, 'Тариф 3', 'Текущие и архивные тарифа 3', 281, 0);
  -- Добавление параметра прибора "Т3 Мощность3 сумм"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7422, 'Т3 Мощность3 сумм', '', 564, 1, 1, 'W3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. прям. Акт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7423, 'Т3 Энерг. прям. Акт. ф.А', '', 564, 1, 1, 'WfaA3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. прям. Реакт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7424, 'Т3 Энерг. прям. Реакт. ф.А', '', 564, 1, 1, 'WfrA3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. прям. Акт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7425, 'Т3 Энерг. прям. Акт. ф.B', '', 564, 1, 1, 'WfaB3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. прям. Реакт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7426, 'Т3 Энерг. прям. Реакт. ф.B', '', 564, 1, 1, 'WfrB3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. прям. Акт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7427, 'Т3 Энерг. прям. Акт. ф.C', '', 564, 1, 1, 'WfaC3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. прям. Реакт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7428, 'Т3 Энерг. прям. Реакт. ф.C', '', 564, 1, 1, 'WfrC3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. обр. Акт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7429, 'Т3 Энерг. обр. Акт. ф.А', '', 564, 1, 1, 'WraA3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. oбр. Реакт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7430, 'Т3 Энерг. oбр. Реакт. ф.А', '', 564, 1, 1, 'WrrA3', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. обр. Акт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7431, 'Т1 Энерг. обр. Акт. ф.B', '', 564, 1, 1, 'WraB3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. обр. Реакт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7432, 'Т3 Энерг. обр. Реакт. ф.B', '', 564, 1, 1, 'WrrB3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. обр. Акт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7433, 'Т3 Энерг. обр. Акт. ф.C', '', 564, 1, 1, 'WraC3', 281, 385);
  -- Добавление параметра прибора "Т3 Энерг. обр. Реакт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7434, 'Т3 Энерг. обр. Реакт. ф.C', '', 564, 1, 1, 'WrrC3', 281, 385);
  -- Добавление параметра прибора "Т3 Акт. энерг."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7435, 'Т3 Акт. энерг.', '', 564, 1, 1, 'A3', 281, 397);
  -- Добавление параметра прибора "Т3 Реакт. энерг."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7436, 'Т3 Реакт. энерг.', '', 564, 1, 1, 'R3', 281, 397);

---- Группа "Тариф 4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (565, 'Тариф 4', 'Текущие и архивные тарифа 4', 281, 0);
  -- Добавление параметра прибора "Т4 Мощность3 сумм"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7437, 'Т4 Мощность3 сумм', '', 565, 1, 1, 'W4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. прям. Акт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7438, 'Т4 Энерг. прям. Акт. ф.А', '', 565, 1, 1, 'WfaA4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. прям. Реакт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7439, 'Т4 Энерг. прям. Реакт. ф.А', '', 565, 1, 1, 'WfrA4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. прям. Акт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7440, 'Т4 Энерг. прям. Акт. ф.B', '', 565, 1, 1, 'WfaB4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. прям. Реакт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7441, 'Т4 Энерг. прям. Реакт. ф.B', '', 565, 1, 1, 'WfrB4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. прям. Акт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7442, 'Т4 Энерг. прям. Акт. ф.C', '', 565, 1, 1, 'WfaC4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. прям. Реакт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7443, 'Т4 Энерг. прям. Реакт. ф.C', '', 565, 1, 1, 'WfrC4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. обр. Акт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7444, 'Т4 Энерг. обр. Акт. ф.А', '', 565, 1, 1, 'WraA4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. oбр. Реакт. ф.А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7445, 'Т4 Энерг. oбр. Реакт. ф.А', '', 565, 1, 1, 'WrrA4', 281, 385);
  -- Добавление параметра прибора "Т1 Энерг. обр. Акт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7446, 'Т1 Энерг. обр. Акт. ф.B', '', 565, 1, 1, 'WraB4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. обр. Реакт. ф.B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7447, 'Т4 Энерг. обр. Реакт. ф.B', '', 565, 1, 1, 'WrrB4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. обр. Акт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7448, 'Т4 Энерг. обр. Акт. ф.C', '', 565, 1, 1, 'WraC4', 281, 385);
  -- Добавление параметра прибора "Т4 Энерг. обр. Реакт. ф.C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7449, 'Т4 Энерг. обр. Реакт. ф.C', '', 565, 1, 1, 'WrrC4', 281, 385);
  -- Добавление параметра прибора "Т4 Акт. энерг."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7450, 'Т4 Акт. энерг.', '', 565, 1, 1, 'A4', 281, 397);
  -- Добавление параметра прибора "Т4 Реакт. энерг."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7451, 'Т4 Реакт. энерг.', '', 565, 1, 1, 'R4', 281, 397);
