
SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 7831 AND pr_typ_id <= 7904;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 590;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id in (289, 290);

---- Прибор "Пульсар компактный теплосчётчик v4" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (289, 'Пульсар компактный теплосчётчик v4', '', 128);

  -- Добавление параметра прибора "Сопротивление под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7831, 'Сопротивление под.[Ом]', '', 0, 1, 1, 'K1', 289, 385);
  -- Добавление параметра прибора "Сопротивление обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7832, 'Сопротивление обр.[Ом]', '', 0, 1, 1, 'K2', 289, 385);
  -- Добавление параметра прибора "Температура под.[гр.С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7833, 'Температура под.[гр.С]', '', 0, 1, 1, 'K3', 289, 399);
  -- Добавление параметра прибора "Температура обр.[гр.С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7834, 'Температура обр.[гр.С]', '', 0, 1, 1, 'K4', 289, 399);
  -- Добавление параметра прибора "Перепад температур[гр.С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7835, 'Перепад температур[гр.С]', '', 0, 1, 1, 'K5', 289, 385);
  -- Добавление параметра прибора "Мощность [ГКал/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7836, 'Мощность [ГКал/ч]', '', 0, 1, 1, 'K6', 289, 385);
  -- Добавление параметра прибора "Энергия [ГКал]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7837, 'Энергия [ГКал]', '', 0, 1, 1, 'K7', 289, 143);
  -- Добавление параметра прибора "Объём [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7838, 'Объём [м.куб.]', '', 0, 1, 1, 'K8', 289, 143);
  -- Добавление параметра прибора "Расход [м.куб./ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7839, 'Расход [м.куб./ч]', '', 0, 1, 1, 'K9', 289, 385);
  -- Добавление параметра прибора "Имп. вход1 [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7840, 'Имп. вход1 [м.куб.]', '', 0, 1, 1, 'K10', 289, 143);
  -- Добавление параметра прибора "Имп. вход2[м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7841, 'Имп. вход2[м.куб.]', '', 0, 1, 1, 'K11', 289, 143);
  -- Добавление параметра прибора "Имп. вход3 [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7842, 'Имп. вход3 [м.куб.]', '', 0, 1, 1, 'K12', 289, 143);
  -- Добавление параметра прибора "Имп. вход4 [м.куб.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7843, 'Имп. вход4 [м.куб.]', '', 0, 1, 1, 'K13', 289, 143);
  -- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7844, 'Время нормальной работы [ч]', '', 0, 1, 1, 'K20', 289, 143);
  -- Добавление параметра прибора "журнал ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7845, 'журнал ошибок', '', 0, 1, 1, 'ER', 289, 160);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (590, 'Системные', '', 289, 0);
  -- Добавление параметра прибора "Дата/Время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7846, 'Дата/Время', '', 590, 1, 1, 'D', 289, 192);
  -- Добавление параметра прибора "Авто Зима/Лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7847, 'Авто Зима/Лето', '', 590, 1, 1, 'L', 289, 192);
  -- Добавление параметра прибора "Версия прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7848, 'Версия прошивки', '', 590, 1, 1, 'P', 289, 448);
  -- Добавление параметра прибора "Кол-во сбросов МК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7849, 'Кол-во сбросов МК', '', 590, 1, 1, 'NPARAM7', 289, 448);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7850, 'Запись разрешена аппаратно', '', 590, 1, 1, 'NPARAM8', 289, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7851, 'Запись разрешена программно', '', 590, 1, 1, 'NPARAM9', 289, 448);
  -- Добавление параметра прибора "Напряжение батареи, [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7852, 'Напряжение батареи, [мВ]', '', 590, 1, 1, 'NPARAM0A', 289, 448);
  -- Добавление параметра прибора "Температура МК, [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7853, 'Температура МК, [°C]', '', 590, 1, 1, 'NPARAM0B', 289, 448);
  -- Добавление параметра прибора "Час. кварц ([1..4]-ёмкость)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7854, 'Час. кварц ([1..4]-ёмкость)', '', 590, 1, 1, 'NPARAM10', 289, 128);
  -- Добавление параметра прибора "Имп.Вых. (-1-не уст./0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7855, 'Имп.Вых. (-1-не уст./0-выкл/1-вкл)', '', 590, 1, 1, 'NPARAM12', 289, 448);
  -- Добавление параметра прибора "Кол.Имп.Вх.[1..4] (-1-не уст./0-выкл.)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7856, 'Кол.Имп.Вх.[1..4] (-1-не уст./0-выкл.)', '', 590, 1, 1, 'NPARAM13', 289, 448);
  -- Добавление параметра прибора "АЦП (-1-не уст./0-выкл/[1..2]-каналов)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7857, 'АЦП (-1-не уст./0-выкл/[1..2]-каналов)', '', 590, 1, 1, 'NPARAM14', 289, 192);
  -- Добавление параметра прибора "RS485 (-1-не уст./0-выкл/4-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7858, 'RS485 (-1-не уст./0-выкл/4-вкл)', '', 590, 1, 1, 'NPARAM15', 289, 192);
  -- Добавление параметра прибора "ИК порт (-1-не уст./0-выкл/4-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7859, 'ИК порт (-1-не уст./0-выкл/4-вкл)', '', 590, 1, 1, 'NPARAM16', 289, 192);
  -- Добавление параметра прибора "Модуль RF (-1-не уст./0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7860, 'Модуль RF (-1-не уст./0-выкл/1-вкл)', '', 590, 1, 1, 'NPARAM17', 289, 192);
  -- Добавление параметра прибора "Дет.мет. (2-внутр/(3-3пр/4-4пр)-внеш)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7861, 'Дет.мет. (2-внутр/(3-3пр/4-4пр)-внеш)', '', 590, 1, 1, 'NPARAM18', 289, 192);
  -- Добавление параметра прибора "Кнопка (0-мех./[1..127]-чувств.сенс.)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7862, 'Кнопка (0-мех./[1..127]-чувств.сенс.)', '', 590, 1, 1, 'NPARAM19', 289, 192);
  -- Добавление параметра прибора "Вес имп.Вх1[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7863, 'Вес имп.Вх1[м3]', '', 590, 1, 1, 'NPARAM20', 289, 192);
  -- Добавление параметра прибора "Длит.имп.Вх1[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7864, 'Длит.имп.Вх1[мс]', '', 590, 1, 1, 'NPARAM21', 289, 192);
  -- Добавление параметра прибора "Вес имп.Вх.2[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7865, 'Вес имп.Вх.2[м3]', '', 590, 1, 1, 'NPARAM23', 289, 192);
  -- Добавление параметра прибора "Длит.имп.Вх2[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7866, 'Длит.имп.Вх2[мс]', '', 590, 1, 1, 'NPARAM24', 289, 192);
  -- Добавление параметра прибора "Вес имп.Вх.3[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7867, 'Вес имп.Вх.3[м3]', '', 590, 1, 1, 'NPARAM26', 289, 192);
  -- Добавление параметра прибора "Длит.имп.Вх3[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7868, 'Длит.имп.Вх3[мс]', '', 590, 1, 1, 'NPARAM27', 289, 192);
  -- Добавление параметра прибора "Вес имп.Вх.4м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7869, 'Вес имп.Вх.4м3]', '', 590, 1, 1, 'NPARAM29', 289, 192);
  -- Добавление параметра прибора "Длит.имп.Вх4[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7870, 'Длит.имп.Вх4[мс]', '', 590, 1, 1, 'NPARAM2A', 289, 192);
  -- Добавление параметра прибора "Вес имп. Вых, [Гкал/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7871, 'Вес имп. Вых, [Гкал/имп]', '', 590, 1, 1, 'NPARAM2C', 289, 192);
  -- Добавление параметра прибора "Длит. имп. Вых, [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7872, 'Длит. имп. Вых, [мс]', '', 590, 1, 1, 'NPARAM2D', 289, 192);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7873, 'Значение смещения [Ом]', '', 590, 1, 1, 'NPARAM30', 289, 192);
  -- Добавление параметра прибора "Коэф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7874, 'Коэф. диапазона [Ом]', '', 590, 1, 1, 'NPARAM31', 289, 192);
  -- Добавление параметра прибора "Сопротивление калиб.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7875, 'Сопротивление калиб.[Ом]', '', 590, 1, 1, 'NPARAM32', 289, 192);
  -- Добавление параметра прибора "Сопротивление под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7876, 'Сопротивление под.[Ом]', '', 590, 1, 1, 'NPARAM33', 289, 448);
  -- Добавление параметра прибора "Сопротивление обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7877, 'Сопротивление обр.[Ом]', '', 590, 1, 1, 'NPARAM34', 289, 448);
  -- Добавление параметра прибора "Rwire под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7878, 'Rwire под.[Ом]', '', 590, 1, 1, 'NPARAM35', 289, 192);
  -- Добавление параметра прибора "R0 под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7879, 'R0 под.[Ом]', '', 590, 1, 1, 'NPARAM36', 289, 192);
  -- Добавление параметра прибора "Alfa под. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7880, 'Alfa под. [Ом]', '', 590, 1, 1, 'NPARAM37', 289, 192);
  -- Добавление параметра прибора "Beta под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7881, 'Beta под.[Ом]', '', 590, 1, 1, 'NPARAM38', 289, 192);
  -- Добавление параметра прибора "Delta под.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7882, 'Delta под.[Ом]', '', 590, 1, 1, 'NPARAM39', 289, 192);
  -- Добавление параметра прибора "Rwire обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7883, 'Rwire обр.[Ом]', '', 590, 1, 1, 'NPARAM3A', 289, 192);
  -- Добавление параметра прибора "R0 обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7884, 'R0 обр.[Ом]', '', 590, 1, 1, 'NPARAM3B', 289, 192);
  -- Добавление параметра прибора "Alfa обр. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7885, 'Alfa обр. [Ом]', '', 590, 1, 1, 'NPARAM3C', 289, 192);
  -- Добавление параметра прибора "Beta обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7886, 'Beta обр.[Ом]', '', 590, 1, 1, 'NPARAM3D', 289, 192);
  -- Добавление параметра прибора "Delta обр.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7887, 'Delta обр.[Ом]', '', 590, 1, 1, 'NPARAM3E', 289, 192);
  -- Добавление параметра прибора "R0 эталон[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7888, 'R0 эталон[Ом]', '', 590, 1, 1, 'NPARAM3F', 289, 448);
  -- Добавление параметра прибора "Alfa эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7889, 'Alfa эталон [Ом]', '', 590, 1, 1, 'NPARAM40', 289, 448);
  -- Добавление параметра прибора "Beta эталон[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7890, 'Beta эталон[Ом]', '', 590, 1, 1, 'NPARAM41', 289, 448);
  -- Добавление параметра прибора "Delta эталон[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7891, 'Delta эталон[Ом]', '', 590, 1, 1, 'NPARAM42', 289, 448);
  -- Добавление параметра прибора "Расходомер на 1-под./обр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7892, 'Расходомер на 1-под./обр.', '', 590, 1, 1, 'NPARAM5C', 289, 192);
  -- Добавление параметра прибора "Дет.мет. [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7893, 'Дет.мет. [л/имп]', '', 590, 1, 1, 'NPARAM5D', 289, 192);
  -- Добавление параметра прибора "Расход по эталону, [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7894, 'Расход по эталону, [м3/ч]', '', 590, 1, 1, 'NPARAM5E', 289, 192);
  -- Добавление параметра прибора "Линеаризация расх. (1-вкл./0-выкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7895, 'Линеаризация расх. (1-вкл./0-выкл)', '', 590, 1, 1, 'NPARAM5F', 289, 192);
  -- Добавление параметра прибора "Диагностика (1-запуск)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7896, 'Диагностика (1-запуск)', '', 590, 1, 1, 'NPARAM90', 289, 192);
  -- Добавление параметра прибора "Тест ACLK (1-старт/0-стоп)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7897, 'Тест ACLK (1-старт/0-стоп)', '', 590, 1, 1, 'NPARAM91', 289, 192);
  -- Добавление параметра прибора "Тест Расхода. (1-старт/0-стоп)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7898, 'Тест Расхода. (1-старт/0-стоп)', '', 590, 1, 1, 'NPARAM92', 289, 192);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7899, 'Сетевой адрес', '', 590, 1, 1, 'NPARAM2', 289, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7900, 'Ошибки', '', 590, 1, 1, 'NPARAM6', 289, 448);
  -- Добавление параметра прибора "Время наработки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7901, 'Время наработки', '', 590, 1, 1, 'NPARAM0C', 289, 129);
  -- Добавление параметра прибора "Время с ошибками"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7902, 'Время с ошибками', '', 590, 1, 1, 'NPARAM0D', 289, 129);
  -- Добавление параметра прибора "Время с ош. по маске|Маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7903, 'Время с ош. по маске|Маска', '', 590, 1, 1, 'NPARAM0E', 289, 192);
  -- Добавление параметра прибора "M-Bus первичный адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (7904, 'M-Bus первичный адрес', '', 590, 1, 1, 'NPARAMD0', 289, 192);

---- Прибор "Теплосчётчик радио ПК прибор v4" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (290, 'Теплосчётчик радио ПК прибор v4', '', 0);
