-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8331 AND pr_typ_id <= 8337;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 622 AND gr_typ_id <= 624;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 298;

---- Прибор "B1BOA2SCI" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (298, 'B1BOA2SCI', '', 128);

---- Группа "Активная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (622, 'Активная энергия', '', 298, 0);

  -- Добавление параметра прибора "+A общая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8331, '+A общая', '', 622, 1, 1, '+A', 298, 399);
  -- Добавление параметра прибора "-A общая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8332, '-A общая', '', 622, 1, 1, '-A', 298, 399);

---- Группа "Реактивная энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (623, 'Реактивная энергия', '', 298, 0);

  -- Добавление параметра прибора "-R общая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8333, '-R общая', '', 623, 1, 1, '-R', 298, 271);
  -- Добавление параметра прибора "+R общая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8334, '+R общая', '', 623, 1, 1, '+R', 298, 271);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (624, 'Системные', '', 298, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8335, 'ДатаВремя', '', 624, 1, 1, 'D', 298, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8336, 'Серийный номер', '', 624, 1, 1, 'Serial', 298, 448);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8337, 'Версия ПО', '', 624, 1, 1, 'SWversion', 298, 0);
