-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8362 AND pr_typ_id <= 8394;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 626 AND gr_typ_id <= 627;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 299;

---- Прибор "Пульсар распределитель тепла" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (299, 'Пульсар распределитель тепла', '', 128);

---- Группа "Ситемные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (626, 'Ситемные', '', 299, 0);

  -- Добавление параметра прибора "Дата время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8362, 'Дата время', '', 626, 1, 1, 'D', 299, 16576);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8363, 'Сетевой адрес', '', 626, 1, 1, 'NPARAM2', 299, 10432);
  -- Добавление параметра прибора "Версия прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8364, 'Версия прошивки', '', 626, 1, 1, 'P', 299, 448);
  -- Добавление параметра прибора "Заряд батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8365, 'Заряд батареи', '', 626, 1, 1, 'NPARAM6BIT0', 299, 448);
  -- Добавление параметра прибора "Ошибка EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8366, 'Ошибка EEPROM', '', 626, 1, 1, 'NPARAM6BIT1', 299, 448);
  -- Добавление параметра прибора "Сброс ОЗУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8367, 'Сброс ОЗУ', '', 626, 1, 1, 'NPARAM6BIT2', 299, 448);
  -- Добавление параметра прибора "Ошибка датчика тепла"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8368, 'Ошибка датчика тепла', '', 626, 1, 1, 'NPARAM6BIT3', 299, 448);
  -- Добавление параметра прибора "Ошибка датчика  воздуха"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8369, 'Ошибка датчика  воздуха', '', 626, 1, 1, 'NPARAM6BIT4', 299, 448);
  -- Добавление параметра прибора "Датчик вскрытия"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8370, 'Датчик вскрытия', '', 626, 1, 1, 'NPARAM6BIT5', 299, 448);
  -- Добавление параметра прибора "Ошибка RF трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8371, 'Ошибка RF трансивера', '', 626, 1, 1, 'NPARAM6BIT6', 299, 448);
  -- Добавление параметра прибора "Модификация прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8372, 'Модификация прибора', '', 626, 1, 1, 'NPARAM7', 299, 448);
  -- Добавление параметра прибора "Модуль RF"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8373, 'Модуль RF', '', 626, 1, 1, 'NPARAM8', 299, 448);
  -- Добавление параметра прибора "ИК порт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8374, 'ИК порт', '', 626, 1, 1, 'NPARAM9', 299, 448);
  -- Добавление параметра прибора "Режим работы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8375, 'Режим работы', '', 626, 1, 1, 'NPARAM0A', 299, 10432);
  -- Добавление параметра прибора "Напряжение батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8376, 'Напряжение батареи', '', 626, 1, 1, 'NPARAM0B', 299, 448);
  -- Добавление параметра прибора "Полный сброс прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8377, 'Полный сброс прибора', '', 626, 1, 1, 'NPARAM0C', 299, 6336);
  -- Добавление параметра прибора "Сброс сенсорной кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8378, 'Сброс сенсорной кнопки', '', 626, 1, 1, 'NPARAM0D', 299, 6336);
  -- Добавление параметра прибора "Дата ожидания старта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8379, 'Дата ожидания старта', '', 626, 1, 1, 'NPARAM0E', 299, 16576);
  -- Добавление параметра прибора "Расчётный Месяц/Год"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8380, 'Расчётный Месяц/Год', '', 626, 1, 1, 'NPARAM0F', 299, 6336);
  -- Добавление параметра прибора "Прибор не активен в месяцы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8381, 'Прибор не активен в месяцы', '', 626, 1, 1, 'NPARAM10BIT0', 299, 6336);
  -- Добавление параметра прибора "Прибор не активен Май"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8382, 'Прибор не активен Май', '', 626, 1, 1, 'NPARAM10BIT1', 299, 6336);
  -- Добавление параметра прибора "Прибор не активен Июнь"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8383, 'Прибор не активен Июнь', '', 626, 1, 1, 'NPARAM10BIT2', 299, 6336);
  -- Добавление параметра прибора "Прибор не активен Июль"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8384, 'Прибор не активен Июль', '', 626, 1, 1, 'NPARAM10BIT3', 299, 6336);
  -- Добавление параметра прибора "Прибор не активен Август"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8385, 'Прибор не активен Август', '', 626, 1, 1, 'NPARAM10BIT4', 299, 6336);
  -- Добавление параметра прибора "Применять Коэффициенты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8386, 'Применять Коэффициенты', '', 626, 1, 1, 'NPARAM11BIT0', 299, 6336);
  -- Добавление параметра прибора "Применять коэффициент K1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8387, 'Применять коэффициент K1', '', 626, 1, 1, 'NPARAM12', 299, 6336);
  -- Добавление параметра прибора "Применять коэффициент K2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8388, 'Применять коэффициент K2', '', 626, 1, 1, 'NPARAM13', 299, 6336);
  -- Добавление параметра прибора "Применять коэффициент KQ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8389, 'Применять коэффициент KQ', '', 626, 1, 1, 'NPARAM14', 299, 6336);
  -- Добавление параметра прибора "Применять коэффициент KT"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8390, 'Применять коэффициент KT', '', 626, 1, 1, 'NPARAM15', 299, 6336);
  -- Добавление параметра прибора "Показания предыдущего периода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8391, 'Показания предыдущего периода', '', 626, 1, 1, 'K2', 299, 448);

---- Группа "Измерения" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (627, 'Измерения', '', 299, 0);

  -- Добавление параметра прибора "Текущий период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8392, 'Текущий период', '', 627, 1, 1, 'K1', 299, 393);
  -- Добавление параметра прибора "Температура отопления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8393, 'Температура отопления', '', 627, 1, 1, 'K3', 299, 385);
  -- Добавление параметра прибора "Температура воздуха"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8394, 'Температура воздуха', '', 627, 1, 1, 'K4', 299, 385);
