-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8395 AND pr_typ_id <= 8401;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 628 AND gr_typ_id <= 629;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 300;

---- Прибор "Взлёт МР (УРСВ-311)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (300, 'Взлёт МР (УРСВ-311)', 'Ультразвуковой расходомер-счетчик', 128);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (628, 'Текущие', '', 300, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8395, 'ДатаВремя', '', 628, 1, 1, 'D', 300, 193);
  -- Добавление параметра прибора "Расход"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8396, 'Расход', '', 628, 1, 1, 'Q', 300, 385);

---- Группа "Архивы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (629, 'Архивы', '', 300, 0);

  -- Добавление параметра прибора "V+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8397, 'V+', '', 629, 1, 1, 'V+', 300, 398);
  -- Добавление параметра прибора "V-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8398, 'V-', '', 629, 1, 1, 'V-', 300, 398);
  -- Добавление параметра прибора "Время НС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8399, 'Время НС', '', 629, 1, 1, 'HC', 300, 398);
  -- Добавление параметра прибора "Время наработки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8400, 'Время наработки', '', 629, 1, 1, 'T', 300, 398);
  -- Добавление параметра прибора "Флаги НС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8401, 'Флаги НС', '', 629, 1, 1, 'HCflag', 300, 398);
