-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8402 AND pr_typ_id <= 8435;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 630 AND gr_typ_id <= 632;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 301;

---- Прибор "Логика СПГ742" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (301, 'Логика СПГ742', '', 128);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (630, 'Общие', '', 301, 0);

  -- Добавление параметра прибора "Схема потребления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8402, 'Схема потребления', '', 630, 1, 1, 'sp', 301, 399);
  -- Добавление параметра прибора "НС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8403, 'НС', '', 630, 1, 1, 'ns', 301, 399);
  -- Добавление параметра прибора "Стандартный расход"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8404, 'Стандартный расход', '', 630, 1, 1, 'Q', 301, 385);
  -- Добавление параметра прибора "Давление P3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8405, 'Давление P3', '', 630, 1, 1, 'P3', 301, 399);
  -- Добавление параметра прибора "Перепад давления P3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8406, 'Перепад давления P3', '', 630, 1, 1, 'dP3', 301, 399);
  -- Добавление параметра прибора "Перепад давления P4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8407, 'Перепад давления P4', '', 630, 1, 1, 'dP4', 301, 399);
  -- Добавление параметра прибора "Барометрическое давление"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8408, 'Барометрическое давление', '', 630, 1, 1, 'Pb', 301, 399);
  -- Добавление параметра прибора "Часовое приращение приведенного объема"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8409, 'Часовое приращение приведенного объема', '', 630, 1, 1, 'Vh', 301, 385);
  -- Добавление параметра прибора "Часовое приращение объема сверх нормы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8410, 'Часовое приращение объема сверх нормы', '', 630, 1, 1, 'Vph', 301, 385);
  -- Добавление параметра прибора "Часовое приращение времени интергирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8411, 'Часовое приращение времени интергирования', '', 630, 1, 1, 'Tph', 301, 385);
  -- Добавление параметра прибора "Рабочий объем общ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8412, 'Рабочий объем общ', '', 630, 1, 1, 'V', 301, 399);
  -- Добавление параметра прибора "Объем сверх нормы поставки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8413, 'Объем сверх нормы поставки', '', 630, 1, 1, 'Vp', 301, 399);
  -- Добавление параметра прибора "Время интегрирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8414, 'Время интегрирования', '', 630, 1, 1, 'Ti', 301, 399);
  -- Добавление параметра прибора "Дата время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8415, 'Дата время', '', 630, 1, 1, 'D', 301, 448);

---- Группа "Канал1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (631, 'Канал1', '', 301, 0);

  -- Добавление параметра прибора "Рабочий расход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8416, 'Рабочий расход 1', '', 631, 1, 1, 'Qp1', 301, 385);
  -- Добавление параметра прибора "Стандартный расход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8417, 'Стандартный расход 1', '', 631, 1, 1, 'Q1', 301, 385);
  -- Добавление параметра прибора "Рабочий объем1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8418, 'Рабочий объем1', '', 631, 1, 1, 'Vp1', 301, 399);
  -- Добавление параметра прибора "Давление1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8419, 'Давление1', '', 631, 1, 1, 'P1', 301, 399);
  -- Добавление параметра прибора "Температура1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8420, 'Температура1', '', 631, 1, 1, 'T1', 301, 399);
  -- Добавление параметра прибора "Перепад давления 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8421, 'Перепад давления 1', '', 631, 1, 1, 'dP1', 301, 399);
  -- Добавление параметра прибора "Перепад давления 1 макс."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8422, 'Перепад давления 1 макс.', '', 631, 1, 1, 'dP1max', 301, 399);
  -- Добавление параметра прибора "Сжимаемость 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8423, 'Сжимаемость 1', '', 631, 1, 1, 'K1', 301, 399);
  -- Добавление параметра прибора "К приведения 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8424, 'К приведения 1', '', 631, 1, 1, 'Kp1', 301, 399);
  -- Добавление параметра прибора "Приведенный объем1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8425, 'Приведенный объем1', '', 631, 1, 1, 'V1', 301, 399);

---- Группа "Канал2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (632, 'Канал2', '', 301, 0);

  -- Добавление параметра прибора "Рабочий расход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8426, 'Рабочий расход 2', '', 632, 1, 1, 'Qp2', 301, 385);
  -- Добавление параметра прибора "Стандартный расход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8427, 'Стандартный расход 2', '', 632, 1, 1, 'Q2', 301, 385);
  -- Добавление параметра прибора "Рабочий объем2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8428, 'Рабочий объем2', '', 632, 1, 1, 'Vp2', 301, 399);
  -- Добавление параметра прибора "Давление2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8429, 'Давление2', '', 632, 1, 1, 'P2', 301, 399);
  -- Добавление параметра прибора "Температура2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8430, 'Температура2', '', 632, 1, 1, 'T2', 301, 399);
  -- Добавление параметра прибора "Перепад давления 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8431, 'Перепад давления 2', '', 632, 1, 1, 'dP2', 301, 399);
  -- Добавление параметра прибора "Перепад давления 2 макс."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8432, 'Перепад давления 2 макс.', '', 632, 1, 1, 'dP2max', 301, 399);
  -- Добавление параметра прибора "Сжимаемость 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8433, 'Сжимаемость 2', '', 632, 1, 1, 'K2', 301, 399);
  -- Добавление параметра прибора "К приведения 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8434, 'К приведения 2', '', 632, 1, 1, 'Kp2', 301, 399);
  -- Добавление параметра прибора "Приведенный объем2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8435, 'Приведенный объем2', '', 632, 1, 1, 'V2', 301, 399);
