-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 8706 AND pr_typ_id <= 8847;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 644 AND gr_typ_id <= 659;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 306 AND dev_typ_id <= 307;

---- Прибор "Меркурий234" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (306, 'Меркурий 234', '', 128);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (644, 'Общие', '', 306, 0);

  -- Добавление параметра прибора "Дата время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8706, 'Дата время', '', 644, 1, 1, 'D', 306, 193);
  -- Добавление параметра прибора "Энерг. Актив+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8707, 'Энерг. Актив+', '', 644, 1, 1, 'EA+', 306, 415);
  -- Добавление параметра прибора "Энерг. Актив-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8708, 'Энерг. Актив-', '', 644, 1, 1, 'EA-', 306, 415);
  -- Добавление параметра прибора "Энерг. Реактив-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8709, 'Энерг. Реактив-', '', 644, 1, 1, 'ER-', 306, 415);
  -- Добавление параметра прибора "Энерг. Реактив+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8710, 'Энерг. Реактив+', '', 644, 1, 1, 'ER+', 306, 415);
  -- Добавление параметра прибора "Мощность актив."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8711, 'Мощность актив.', '', 644, 1, 1, 'P', 306, 385);
  -- Добавление параметра прибора "Мощность реактив."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8712, 'Мощность реактив.', '', 644, 1, 1, 'Q', 306, 385);
  -- Добавление параметра прибора "Мощность общ."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8713, 'Мощность общ.', '', 644, 1, 1, 'S', 306, 385);
  -- Добавление параметра прибора "Cos fi общ."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8714, 'Cos fi общ.', '', 644, 1, 1, 'cosFi', 306, 385);
  -- Добавление параметра прибора "Частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8715, 'Частота', '', 644, 1, 1, 'F', 306, 385);
  -- Добавление параметра прибора "Темпер. в приборе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8716, 'Темпер. в приборе', '', 644, 1, 1, 'T', 306, 385);
  -- Добавление параметра прибора "Угол Ф1Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8717, 'Угол Ф1Ф2', '', 644, 1, 1, 'Fi12', 306, 385);
  -- Добавление параметра прибора "Угол Ф1Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8718, 'Угол Ф1Ф3', '', 644, 1, 1, 'Fi13', 306, 385);
  -- Добавление параметра прибора "Угол Ф2Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8719, 'Угол Ф2Ф3', '', 644, 1, 1, 'Fi23', 306, 385);
  -- Добавление параметра прибора "Энерг.Сумм.Актив+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8720, 'Энерг.Сумм.Актив+', '', 644, 1, 1, 'EA_sum+', 306, 397);
  -- Добавление параметра прибора "Энерг.Сумм. Актив-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8721, 'Энерг.Сумм. Актив-', '', 644, 1, 1, 'EA_sum-', 306, 397);
  -- Добавление параметра прибора "Энерг.Сумм. Реактив-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8722, 'Энерг.Сумм. Реактив-', '', 644, 1, 1, 'ER_sum-', 306, 397);
  -- Добавление параметра прибора "Энерг.Сумм. Реактив+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8723, 'Энерг.Сумм. Реактив+', '', 644, 1, 1, 'ER_sum+', 306, 397);

---- Группа "Тариф1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (645, 'Тариф1', '', 306, 0);

  -- Добавление параметра прибора "Энерг. Актив1+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8724, 'Энерг. Актив1+', '', 645, 1, 1, 'EA+1', 306, 397);
  -- Добавление параметра прибора "Энерг. Актив1-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8725, 'Энерг. Актив1-', '', 645, 1, 1, 'EA-1', 306, 397);
  -- Добавление параметра прибора "Энерг. Реактив1-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8726, 'Энерг. Реактив1-', '', 645, 1, 1, 'ER-1', 306, 397);
  -- Добавление параметра прибора "Энерг. Реактив1+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8727, 'Энерг. Реактив1+', '', 645, 1, 1, 'ER+1', 306, 397);
  -- Добавление параметра прибора "Энерг.Сумм.Актив1+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8728, 'Энерг.Сумм.Актив1+', '', 645, 1, 1, 'EA_sum+1', 306, 397);
  -- Добавление параметра прибора "Энерг.Сумм.Актив1-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8729, 'Энерг.Сумм.Актив1-', '', 645, 1, 1, 'EA_sum-1', 306, 397);
  -- Добавление параметра прибора "Энерг.Сумм.Реактив1-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8730, 'Энерг.Сумм.Реактив1-', '', 645, 1, 1, 'ER_sum-1', 306, 397);
  -- Добавление параметра прибора "Энерг.Сумм.Реактив1+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8731, 'Энерг.Сумм.Реактив1+', '', 645, 1, 1, 'ER_sum+1', 306, 397);

---- Группа "Тариф2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (646, 'Тариф2', '', 306, 0);

  -- Добавление параметра прибора "Энерг. Актив2+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8732, 'Энерг. Актив2+', '', 646, 1, 1, 'EA+2', 306, 397);
  -- Добавление параметра прибора "Энерг. Актив2-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8733, 'Энерг. Актив2-', '', 646, 1, 1, 'EA-2', 306, 397);
  -- Добавление параметра прибора "Энерг. Реактив2-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8734, 'Энерг. Реактив2-', '', 646, 1, 1, 'ER-2', 306, 397);
  -- Добавление параметра прибора "Энерг. Реактив2+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8735, 'Энерг. Реактив2+', '', 646, 1, 1, 'ER+2', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив2+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8736, 'Энерг.Сум.Актив2+', '', 646, 1, 1, 'EA_sum+2', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8737, 'Энерг.Сум.Актив2', '', 646, 1, 1, 'EA_sum-2', 306, 141);
  -- Добавление параметра прибора "Энерг.Сум.Реактив2-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8738, 'Энерг.Сум.Реактив2-', '', 646, 1, 1, 'ER_sum-2', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум.Реактив2+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8739, 'Энерг.Сум.Реактив2+', '', 646, 1, 1, 'ER_sum+2', 306, 397);

---- Группа "Тариф3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (647, 'Тариф3', '', 306, 0);

  -- Добавление параметра прибора "Энерг. Актив3+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8740, 'Энерг. Актив3+', '', 647, 1, 1, 'EA+3', 306, 397);
  -- Добавление параметра прибора "Энерг. Актив3-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8741, 'Энерг. Актив3-', '', 647, 1, 1, 'EA-3', 306, 397);
  -- Добавление параметра прибора "Энерг. Реактив3-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8742, 'Энерг. Реактив3-', '', 647, 1, 1, 'ER-3', 306, 397);
  -- Добавление параметра прибора "Энерг. Реактив3+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8743, 'Энерг. Реактив3+', '', 647, 1, 1, 'ER+3', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив3+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8744, 'Энерг.Сум.Актив3+', '', 647, 1, 1, 'EA_sum+3', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив3-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8745, 'Энерг.Сум.Актив3-', '', 647, 1, 1, 'EA_sum-3', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум.Реактив3-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8746, 'Энерг.Сум.Реактив3-', '', 647, 1, 1, 'ER_sum-3', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум.Реактив3+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8747, 'Энерг.Сум.Реактив3+', '', 647, 1, 1, 'ER_sum+3', 306, 397);

---- Группа "Тариф4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (648, 'Тариф4', '', 306, 0);

  -- Добавление параметра прибора "Энерг. Актив4+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8748, 'Энерг. Актив4+', '', 648, 1, 1, 'EA+4', 306, 397);
  -- Добавление параметра прибора "Энерг. Актив4-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8749, 'Энерг. Актив4-', '', 648, 1, 1, 'EA-4', 306, 397);
  -- Добавление параметра прибора "Энерг. Реактив4-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8750, 'Энерг. Реактив4-', '', 648, 1, 1, 'ER-4', 306, 397);
  -- Добавление параметра прибора "Энерг. Реактив4+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8751, 'Энерг. Реактив4+', '', 648, 1, 1, 'ER+4', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив4+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8752, 'Энерг.Сум.Актив4+', '', 648, 1, 1, 'EA_sum+4', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум. Актив4-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8753, 'Энерг.Сум. Актив4-', '', 648, 1, 1, 'EA_sum-4', 306, 397);
  -- Добавление параметра прибора "Энерг.Сум..Реактив4-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8754, 'Энерг.Сум..Реактив4-', '', 648, 1, 1, 'ER_sum-4', 306, 421);
  -- Добавление параметра прибора "Энерг.Сум.Реактив4+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8755, 'Энерг.Сум.Реактив4+', '', 648, 1, 1, 'ER_sum+4', 306, 389);

---- Группа "Фаза1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (649, 'Фаза1', '', 306, 0);

  -- Добавление параметра прибора "Мощность акт. Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8756, 'Мощность акт. Ф1', '', 649, 1, 1, 'P1', 306, 385);
  -- Добавление параметра прибора "Мощность реакт. Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8757, 'Мощность реакт. Ф1', '', 649, 1, 1, 'Q1', 306, 385);
  -- Добавление параметра прибора "Мощность сумм Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8758, 'Мощность сумм Ф1', '', 649, 1, 1, 'S1', 306, 385);
  -- Добавление параметра прибора "Напряжение Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8759, 'Напряжение Ф1', '', 649, 1, 1, 'U1', 306, 385);
  -- Добавление параметра прибора "Ток Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8760, 'Ток Ф1', '', 649, 1, 1, 'I1', 306, 385);
  -- Добавление параметра прибора "cos fi Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8761, 'cos fi Ф1', '', 649, 1, 1, 'cosFi1', 306, 385);
  -- Добавление параметра прибора "Коф. синус Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8762, 'Коф. синус Ф1', '', 649, 1, 1, 'cF1', 306, 385);

---- Группа "Фаза2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (650, 'Фаза2', '', 306, 0);

  -- Добавление параметра прибора "Мощность акт. Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8763, 'Мощность акт. Ф2', '', 650, 1, 1, 'P2', 306, 385);
  -- Добавление параметра прибора "Мощность реакт. Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8764, 'Мощность реакт. Ф2', '', 650, 1, 1, 'Q2', 306, 385);
  -- Добавление параметра прибора "Мощность сумм Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8765, 'Мощность сумм Ф2', '', 650, 1, 1, 'S2', 306, 385);
  -- Добавление параметра прибора "Напряжение Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8766, 'Напряжение Ф2', '', 650, 1, 1, 'U2', 306, 385);
  -- Добавление параметра прибора "Ток Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8767, 'Ток Ф2', '', 650, 1, 1, 'I2', 306, 385);
  -- Добавление параметра прибора "cos fi Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8768, 'cos fi Ф2', '', 650, 1, 1, 'cosFi2', 306, 385);
  -- Добавление параметра прибора "Коф. синус Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8769, 'Коф. синус Ф2', '', 650, 1, 1, 'cF2', 306, 385);

---- Группа "Фаза3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (651, 'Фаза3', '', 306, 0);

  -- Добавление параметра прибора "Мощность акт. Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8770, 'Мощность акт. Ф3', '', 651, 1, 1, 'P3', 306, 385);
  -- Добавление параметра прибора "Мощность реакт. Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8771, 'Мощность реакт. Ф3', '', 651, 1, 1, 'Q3', 306, 385);
  -- Добавление параметра прибора "Мощность сумм Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8772, 'Мощность сумм Ф3', '', 651, 1, 1, 'S3', 306, 385);
  -- Добавление параметра прибора "Напряжение Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8773, 'Напряжение Ф3', '', 651, 1, 1, 'U3', 306, 385);
  -- Добавление параметра прибора "Ток Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8774, 'Ток Ф3', '', 651, 1, 1, 'I3', 306, 385);
  -- Добавление параметра прибора "cos fi Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8775, 'cos fi Ф3', '', 651, 1, 1, 'cosFi3', 306, 385);
  -- Добавление параметра прибора "Коф. синус Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8776, 'Коф. синус Ф3', '', 651, 1, 1, 'cF3', 306, 385);

---- Прибор "Меркурий 236" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (307, 'Меркурий 236', '', 128);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (652, 'Общие', '', 307, 0);

  -- Добавление параметра прибора "Дата время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8777, 'Дата время', '', 652, 1, 1, 'D', 307, 193);
  -- Добавление параметра прибора "Энерг. Актив+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8778, 'Энерг. Актив+', '', 652, 1, 1, 'EA+', 307, 415);
  -- Добавление параметра прибора "Энерг. Актив-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8779, 'Энерг. Актив-', '', 652, 1, 1, 'EA-', 307, 415);
  -- Добавление параметра прибора "Энерг. Реактив-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8780, 'Энерг. Реактив-', '', 652, 1, 1, 'ER-', 307, 415);
  -- Добавление параметра прибора "Энерг. Реактив+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8781, 'Энерг. Реактив+', '', 652, 1, 1, 'ER+', 307, 415);
  -- Добавление параметра прибора "Мощность актив."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8782, 'Мощность актив.', '', 652, 1, 1, 'P', 307, 385);
  -- Добавление параметра прибора "Мощность реактив."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8783, 'Мощность реактив.', '', 652, 1, 1, 'Q', 307, 385);
  -- Добавление параметра прибора "Мощность общ."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8784, 'Мощность общ.', '', 652, 1, 1, 'S', 307, 385);
  -- Добавление параметра прибора "Cos fi общ."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8785, 'Cos fi общ.', '', 652, 1, 1, 'cosFi', 307, 385);
  -- Добавление параметра прибора "Частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8786, 'Частота', '', 652, 1, 1, 'F', 307, 385);
  -- Добавление параметра прибора "Темпер. в приборе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8787, 'Темпер. в приборе', '', 652, 1, 1, 'T', 307, 385);
  -- Добавление параметра прибора "Угол Ф1Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8788, 'Угол Ф1Ф2', '', 652, 1, 1, 'Fi12', 307, 385);
  -- Добавление параметра прибора "Угол Ф1Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8789, 'Угол Ф1Ф3', '', 652, 1, 1, 'Fi13', 307, 385);
  -- Добавление параметра прибора "Угол Ф2Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8790, 'Угол Ф2Ф3', '', 652, 1, 1, 'Fi23', 307, 385);
  -- Добавление параметра прибора "Энерг.Сумм.Актив+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8791, 'Энерг.Сумм.Актив+', '', 652, 1, 1, 'EA_sum+', 307, 397);
  -- Добавление параметра прибора "Энерг.Сумм. Актив-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8792, 'Энерг.Сумм. Актив-', '', 652, 1, 1, 'EA_sum-', 307, 397);
  -- Добавление параметра прибора "Энерг.Сумм. Реактив-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8793, 'Энерг.Сумм. Реактив-', '', 652, 1, 1, 'ER_sum-', 307, 397);
  -- Добавление параметра прибора "Энерг.Сумм. Реактив+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8794, 'Энерг.Сумм. Реактив+', '', 652, 1, 1, 'ER_sum+', 307, 397);

---- Группа "Тариф1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (653, 'Тариф1', '', 307, 0);

  -- Добавление параметра прибора "Энерг. Актив1+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8795, 'Энерг. Актив1+', '', 653, 1, 1, 'EA+1', 307, 397);
  -- Добавление параметра прибора "Энерг. Актив1-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8796, 'Энерг. Актив1-', '', 653, 1, 1, 'EA-1', 307, 397);
  -- Добавление параметра прибора "Энерг. Реактив1-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8797, 'Энерг. Реактив1-', '', 653, 1, 1, 'ER-1', 307, 397);
  -- Добавление параметра прибора "Энерг. Реактив1+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8798, 'Энерг. Реактив1+', '', 653, 1, 1, 'ER+1', 307, 397);
  -- Добавление параметра прибора "Энерг.Сумм.Актив1+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8799, 'Энерг.Сумм.Актив1+', '', 653, 1, 1, 'EA_sum+1', 307, 397);
  -- Добавление параметра прибора "Энерг.Сумм.Актив1-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8800, 'Энерг.Сумм.Актив1-', '', 653, 1, 1, 'EA_sum-1', 307, 397);
  -- Добавление параметра прибора "Энерг.Сумм.Реактив1-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8801, 'Энерг.Сумм.Реактив1-', '', 653, 1, 1, 'ER_sum-1', 307, 397);
  -- Добавление параметра прибора "Энерг.Сумм.Реактив1+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8802, 'Энерг.Сумм.Реактив1+', '', 653, 1, 1, 'ER_sum+1', 307, 397);

---- Группа "Тариф2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (654, 'Тариф2', '', 307, 0);

  -- Добавление параметра прибора "Энерг. Актив2+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8803, 'Энерг. Актив2+', '', 654, 1, 1, 'EA+2', 307, 397);
  -- Добавление параметра прибора "Энерг. Актив2-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8804, 'Энерг. Актив2-', '', 654, 1, 1, 'EA-2', 307, 397);
  -- Добавление параметра прибора "Энерг. Реактив2-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8805, 'Энерг. Реактив2-', '', 654, 1, 1, 'ER-2', 307, 397);
  -- Добавление параметра прибора "Энерг. Реактив2+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8806, 'Энерг. Реактив2+', '', 654, 1, 1, 'ER+2', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив2+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8807, 'Энерг.Сум.Актив2+', '', 654, 1, 1, 'EA_sum+2', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8808, 'Энерг.Сум.Актив2', '', 654, 1, 1, 'EA_sum-2', 307, 141);
  -- Добавление параметра прибора "Энерг.Сум.Реактив2-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8809, 'Энерг.Сум.Реактив2-', '', 654, 1, 1, 'ER_sum-2', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум.Реактив2+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8810, 'Энерг.Сум.Реактив2+', '', 654, 1, 1, 'ER_sum+2', 307, 397);

---- Группа "Тариф3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (655, 'Тариф3', '', 307, 0);

  -- Добавление параметра прибора "Энерг. Актив3+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8811, 'Энерг. Актив3+', '', 655, 1, 1, 'EA+3', 307, 397);
  -- Добавление параметра прибора "Энерг. Актив3-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8812, 'Энерг. Актив3-', '', 655, 1, 1, 'EA-3', 307, 397);
  -- Добавление параметра прибора "Энерг. Реактив3-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8813, 'Энерг. Реактив3-', '', 655, 1, 1, 'ER-3', 307, 397);
  -- Добавление параметра прибора "Энерг. Реактив3+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8814, 'Энерг. Реактив3+', '', 655, 1, 1, 'ER+3', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив3+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8815, 'Энерг.Сум.Актив3+', '', 655, 1, 1, 'EA_sum+3', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив3-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8816, 'Энерг.Сум.Актив3-', '', 655, 1, 1, 'EA_sum-3', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум.Реактив3-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8817, 'Энерг.Сум.Реактив3-', '', 655, 1, 1, 'ER_sum-3', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум.Реактив3+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8818, 'Энерг.Сум.Реактив3+', '', 655, 1, 1, 'ER_sum+3', 307, 397);

---- Группа "Тариф4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (656, 'Тариф4', '', 307, 0);

  -- Добавление параметра прибора "Энерг. Актив4+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8819, 'Энерг. Актив4+', '', 656, 1, 1, 'EA+4', 307, 397);
  -- Добавление параметра прибора "Энерг. Актив4-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8820, 'Энерг. Актив4-', '', 656, 1, 1, 'EA-4', 307, 397);
  -- Добавление параметра прибора "Энерг. Реактив4-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8821, 'Энерг. Реактив4-', '', 656, 1, 1, 'ER-4', 307, 397);
  -- Добавление параметра прибора "Энерг. Реактив4+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8822, 'Энерг. Реактив4+', '', 656, 1, 1, 'ER+4', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум.Актив4+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8823, 'Энерг.Сум.Актив4+', '', 656, 1, 1, 'EA_sum+4', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум. Актив4-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8824, 'Энерг.Сум. Актив4-', '', 656, 1, 1, 'EA_sum-4', 307, 397);
  -- Добавление параметра прибора "Энерг.Сум..Реактив4-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8825, 'Энерг.Сум..Реактив4-', '', 656, 1, 1, 'ER_sum-4', 307, 421);
  -- Добавление параметра прибора "Энерг.Сум.Реактив4+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8826, 'Энерг.Сум.Реактив4+', '', 656, 1, 1, 'ER_sum+4', 307, 389);

---- Группа "Фаза1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (657, 'Фаза1', '', 307, 0);

  -- Добавление параметра прибора "Мощность акт. Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8827, 'Мощность акт. Ф1', '', 657, 1, 1, 'P1', 307, 385);
  -- Добавление параметра прибора "Мощность реакт. Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8828, 'Мощность реакт. Ф1', '', 657, 1, 1, 'Q1', 307, 385);
  -- Добавление параметра прибора "Мощность сумм Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8829, 'Мощность сумм Ф1', '', 657, 1, 1, 'S1', 307, 385);
  -- Добавление параметра прибора "Напряжение Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8830, 'Напряжение Ф1', '', 657, 1, 1, 'U1', 307, 385);
  -- Добавление параметра прибора "Ток Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8831, 'Ток Ф1', '', 657, 1, 1, 'I1', 307, 385);
  -- Добавление параметра прибора "cos fi Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8832, 'cos fi Ф1', '', 657, 1, 1, 'cosFi1', 307, 385);
  -- Добавление параметра прибора "Коф. синус Ф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8833, 'Коф. синус Ф1', '', 657, 1, 1, 'cF1', 307, 385);

---- Группа "Фаза2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (658, 'Фаза2', '', 307, 0);

  -- Добавление параметра прибора "Мощность акт. Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8834, 'Мощность акт. Ф2', '', 658, 1, 1, 'P2', 307, 385);
  -- Добавление параметра прибора "Мощность реакт. Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8835, 'Мощность реакт. Ф2', '', 658, 1, 1, 'Q2', 307, 385);
  -- Добавление параметра прибора "Мощность сумм Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8836, 'Мощность сумм Ф2', '', 658, 1, 1, 'S2', 307, 385);
  -- Добавление параметра прибора "Напряжение Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8837, 'Напряжение Ф2', '', 658, 1, 1, 'U2', 307, 385);
  -- Добавление параметра прибора "Ток Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8838, 'Ток Ф2', '', 658, 1, 1, 'I2', 307, 385);
  -- Добавление параметра прибора "cos fi Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8839, 'cos fi Ф2', '', 658, 1, 1, 'cosFi2', 307, 385);
  -- Добавление параметра прибора "Коф. синус Ф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8840, 'Коф. синус Ф2', '', 658, 1, 1, 'cF2', 307, 385);

---- Группа "Фаза3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (659, 'Фаза3', '', 307, 0);

  -- Добавление параметра прибора "Мощность акт. Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8841, 'Мощность акт. Ф3', '', 659, 1, 1, 'P3', 307, 385);
  -- Добавление параметра прибора "Мощность реакт. Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8842, 'Мощность реакт. Ф3', '', 659, 1, 1, 'Q3', 307, 385);
  -- Добавление параметра прибора "Мощность сумм Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8843, 'Мощность сумм Ф3', '', 659, 1, 1, 'S3', 307, 385);
  -- Добавление параметра прибора "Напряжение Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8844, 'Напряжение Ф3', '', 659, 1, 1, 'U3', 307, 385);
  -- Добавление параметра прибора "Ток Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8845, 'Ток Ф3', '', 659, 1, 1, 'I3', 307, 385);
  -- Добавление параметра прибора "cos fi Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8846, 'cos fi Ф3', '', 659, 1, 1, 'cosFi3', 307, 385);
  -- Добавление параметра прибора "Коф. синус Ф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (8847, 'Коф. синус Ф3', '', 659, 1, 1, 'cF3', 307, 385);
