SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9110 AND pr_typ_id <= 9126;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 670 AND gr_typ_id <= 671;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 315;

---- Прибор "Danfoss Sono Safe" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (315, 'Danfoss Sono Safe', 'Теплосчетчик M-bus', 128);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (670, 'Настроечные', 'Информация о приборе', 315, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9110, 'Дата и время', '', 670, 1, 1, 'D', 315, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9111, 'Серийный номер', '', 670, 1, 1, 'hdr_ident', 315, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9112, 'Код производителя', '', 670, 1, 1, 'hdr_manuf', 315, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9113, 'Версия прибора', '', 670, 1, 1, 'hdr_version', 315, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9114, 'Категория', '', 670, 1, 1, 'hdr_medium', 315, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9115, 'Счетчик доступа', '', 670, 1, 1, 'hdr_access', 315, 448);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9116, 'Ошибки', '', 670, 1, 1, 'hdr_status', 315, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (671, 'Показания', 'Текущие покзаания', 315, 0);

  -- Добавление параметра прибора "Энергия"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9117, 'Энергия', '', 671, 1, 1, 'E', 315, 385);
  -- Добавление параметра прибора "Объем"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9118, 'Объем', '', 671, 1, 1, 'Q', 315, 385);
  -- Добавление параметра прибора "Расход"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9119, 'Расход', '', 671, 1, 1, 'QM', 315, 385);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9120, 'Мощность', '', 671, 1, 1, 'W', 315, 385);
  -- Добавление параметра прибора "Температура, подача"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9121, 'Температура, подача', '', 671, 1, 1, 'TF', 315, 385);
  -- Добавление параметра прибора "Температура, обратка"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9122, 'Температура, обратка', '', 671, 1, 1, 'TR', 315, 385);
  -- Добавление параметра прибора "Температура, перепад"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9123, 'Температура, перепад', '', 671, 1, 1, 'TD', 315, 385);
  -- Добавление параметра прибора "Температура, среда"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9124, 'Температура, среда', '', 671, 1, 1, 'TE', 315, 385);
  -- Добавление параметра прибора "Время наработки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9125, 'Время наработки', '', 671, 1, 1, 'ON', 315, 385);
  -- Добавление параметра прибора "Время нормальной работы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9126, 'Время нормальной работы', '', 671, 1, 1, 'OP', 315, 385);
