-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9127 AND pr_typ_id <= 9128;

---- Прибор "Энергоучёт ЭУ20М-33" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Энергоучёт ЭУ20М-33', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 314;
  -- Обновление параметра прибора "Энергия тариф2 [кВт/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия тариф2 [кВт/ч]', "Comment" = '', "NameP2" = 'T2.P', dev_typ_id = 314, "SupportData" = 397 WHERE pr_typ_id = 9096;
  -- Обновление параметра прибора "Энергия тариф3 [кВт/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия тариф3 [кВт/ч]', "Comment" = '', "NameP2" = 'T3.P', dev_typ_id = 314, "SupportData" = 397 WHERE pr_typ_id = 9097;
  -- Обновление параметра прибора "Энергия тариф4 [кВт/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия тариф4 [кВт/ч]', "Comment" = '', "NameP2" = 'T4.P', dev_typ_id = 314, "SupportData" = 397 WHERE pr_typ_id = 9098;
  -- Обновление параметра прибора "Энергия тариф5 [кВт/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия тариф5 [кВт/ч]', "Comment" = '', "NameP2" = 'T5.P', dev_typ_id = 314, "SupportData" = 397 WHERE pr_typ_id = 9099;
  -- Обновление параметра прибора "Мощность активная, [Вт]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность активная, [Вт]', "Comment" = '', "NameP2" = 'PH1.P', dev_typ_id = 314, "SupportData" = 385 WHERE pr_typ_id = 9100;
  -- Обновление параметра прибора "Ток,[мА]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ток,[мА]', "Comment" = '', "NameP2" = 'PH1.I', dev_typ_id = 314, "SupportData" = 385 WHERE pr_typ_id = 9102;
  -- Обновление параметра прибора "Частота сети, [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Частота сети, [Гц]', "Comment" = '', "NameP2" = 'PH1.F', dev_typ_id = 314, "SupportData" = 385 WHERE pr_typ_id = 9104;

---- Группа "Системные" ----

  -- Обновление параметра прибора "Заводской номер"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Заводской номер', "Comment" = '', "NameP2" = 'ZAVNUM', dev_typ_id = 314, "SupportData" = 448 WHERE pr_typ_id = 9106;
  -- Обновление параметра прибора "Температура прибора"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Температура прибора', "Comment" = '', "NameP2" = 'TEMPR', dev_typ_id = 314, "SupportData" = 448 WHERE pr_typ_id = 9109;
  -- Добавление параметра прибора "Дата выпуска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9127, 'Дата выпуска', '', 669, 1, 1, 'DMAKE', 314, 448);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9128, 'Серийный номер', '', 669, 1, 1, 'SERNUM', 314, 448);
