-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9160 AND pr_typ_id <= 9264;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 683 AND gr_typ_id <= 686;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 318;

---- Прибор "Пульсар теплосчётчик v8" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (318, 'Пульсар теплосчётчик v8', '', 128);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (683, 'Каналы', 'Текущие, архивируемые и диагностические каналы', 318, 0);

  -- Добавление параметра прибора "Энергия [тепло]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9160, 'Энергия [тепло]', '', 683, 1, 1, 'K7', 318, 143);
  -- Добавление параметра прибора "Энергия [холод]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9161, 'Энергия [холод]', '', 683, 1, 1, 'K21', 318, 143);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9162, 'Мощность', '', 683, 1, 1, 'K6', 318, 385);
  -- Добавление параметра прибора "Температура [подача, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9163, 'Температура [подача, C]', '', 683, 1, 1, 'K3', 318, 399);
  -- Добавление параметра прибора "Температура [обратка, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9164, 'Температура [обратка, C]', '', 683, 1, 1, 'K4', 318, 399);
  -- Добавление параметра прибора "Температура [перепад, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9165, 'Температура [перепад, C]', '', 683, 1, 1, 'K5', 318, 385);
  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9166, 'Объём [м3]', '', 683, 1, 1, 'K8', 318, 143);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9167, 'Расход [м3/ч]', '', 683, 1, 1, 'K9', 318, 385);
  -- Добавление параметра прибора "Расход [по энергии, м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9168, 'Расход [по энергии, м3/ч]', '', 683, 1, 1, 'K14', 318, 385);
  -- Добавление параметра прибора "Импульсный вход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9169, 'Импульсный вход 1', '', 683, 1, 1, 'K10', 318, 143);
  -- Добавление параметра прибора "Импульсный вход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9170, 'Импульсный вход 2', '', 683, 1, 1, 'K11', 318, 143);
  -- Добавление параметра прибора "Импульсный вход 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9171, 'Импульсный вход 3', '', 683, 1, 1, 'K12', 318, 143);
  -- Добавление параметра прибора "Импульсный вход 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9172, 'Импульсный вход 4', '', 683, 1, 1, 'K13', 318, 143);
  -- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9173, 'Время нормальной работы [ч]', '', 683, 1, 1, 'K20.U32', 318, 143);

---- Группа "Диагностика" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (684, 'Диагностика', 'Диагностические каналы', 318, 683);

  -- Добавление параметра прибора "Сопротивление [подача, Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9174, 'Сопротивление [подача, Ом]', '', 684, 1, 1, 'K1', 318, 320);
  -- Добавление параметра прибора "Сопротивление [обратка, Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9175, 'Сопротивление [обратка, Ом]', '', 684, 1, 1, 'K2', 318, 320);
  -- Добавление параметра прибора "Частота детектора [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9176, 'Частота детектора [Гц]', '', 684, 1, 1, 'K15', 318, 320);
  -- Добавление параметра прибора "Тестовый объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9177, 'Тестовый объём [м3]', '', 684, 1, 1, 'K16', 318, 320);
  -- Добавление параметра прибора "Тестовый расход [без лин, м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9178, 'Тестовый расход [без лин, м3/ч]', '', 684, 1, 1, 'K19', 318, 320);
  -- Добавление параметра прибора "Тестовый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9179, 'Тестовый расход [м3/ч]', '', 684, 1, 1, 'K17', 318, 320);
  -- Добавление параметра прибора "Время теста [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9180, 'Время теста [сек]', '', 684, 1, 1, 'K18', 318, 320);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (685, 'Параметры', 'Информационные и настроечные параметры', 318, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9181, 'Дата и время', '', 685, 1, 1, 'D', 318, 129);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9182, 'Версия ПО', '', 685, 1, 1, 'P0005.U8', 318, 385);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9183, 'Время наработки [ч]', '', 685, 1, 1, 'P000C.U32', 318, 129);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9184, 'Время наработки c ошибками [ч]', '', 685, 1, 1, 'P000D.U32', 318, 129);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9185, 'Сетевой адрес', '', 685, 1, 1, 'P0002.U32.XN', 318, 192);
  -- Добавление параметра прибора "Сетевой адрес M-Bus"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9186, 'Сетевой адрес M-Bus', '', 685, 1, 1, 'P00D0.U8', 318, 192);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9187, 'Пароль (старый | новый)', '', 685, 1, 1, 'P0099', 318, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9188, 'Ошибки', '', 685, 1, 1, 'P0006', 318, 448);
  -- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9189, 'Наработка с ошибками, маска', '', 685, 1, 1, 'P000E.U16.B', 318, 192);
  -- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9190, 'Автопереход зима/лето', '', 685, 1, 1, 'P0001.U8', 318, 192);
  -- Добавление параметра прибора "Имп. вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9191, 'Имп. вход 1, вес', '', 685, 1, 1, 'P0020.F32', 318, 192);
  -- Добавление параметра прибора "Имп. вход 1, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9192, 'Имп. вход 1, длит. [мс]', '', 685, 1, 1, 'P0021.F32', 318, 192);
  -- Добавление параметра прибора "Имп. вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9193, 'Имп. вход 2, вес', '', 685, 1, 1, 'P0023.F32', 318, 192);
  -- Добавление параметра прибора "Имп. вход 2, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9194, 'Имп. вход 2, длит. [мс]', '', 685, 1, 1, 'P0024.F32', 318, 192);
  -- Добавление параметра прибора "Имп. вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9195, 'Имп. вход 3, вес', '', 685, 1, 1, 'P0026.F32', 318, 192);
  -- Добавление параметра прибора "Имп. вход 3, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9196, 'Имп. вход 3, длит. [мс]', '', 685, 1, 1, 'P0027.F32', 318, 192);
  -- Добавление параметра прибора "Имп. вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9197, 'Имп. вход 4, вес', '', 685, 1, 1, 'P0029.F32', 318, 192);
  -- Добавление параметра прибора "Имп. вход 4, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9198, 'Имп. вход 4, длит. [мс]', '', 685, 1, 1, 'P002A.F32', 318, 192);
  -- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9199, 'Имп. выход, вес', '', 685, 1, 1, 'P002C.F32', 318, 192);
  -- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9200, 'Имп. выход, длит. [мс]', '', 685, 1, 1, 'P002D.F32', 318, 192);
  -- Добавление параметра прибора "Мин. расход для энергии [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9201, 'Мин. расход для энергии [м3/ч]', '', 685, 1, 1, 'P0051.F32', 318, 192);
  -- Добавление параметра прибора "Мин. дельта темпер. для энергии [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9202, 'Мин. дельта темпер. для энергии [C]', '', 685, 1, 1, 'P0052.F32', 318, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (686, 'Наладка', 'Наладка и калибровка', 318, 685);

  -- Добавление параметра прибора "Количество сборосов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9203, 'Количество сборосов', '', 686, 1, 1, 'P0007.U16', 318, 320);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9204, 'Запись разрешена аппаратно', '', 686, 1, 1, 'P0008.U8', 318, 320);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9205, 'Запись разрешена программно', '', 686, 1, 1, 'P0009.U8', 318, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9206, 'Напряжение батареи [мВ]', '', 686, 1, 1, 'P000A.U16', 318, 320);
  -- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9207, 'Температура контроллера [C]', '', 686, 1, 1, 'P000B.U8', 318, 320);
  -- Добавление параметра прибора "Частота кварца LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9208, 'Частота кварца LF [Гц]', '', 686, 1, 1, 'P0003.F32', 318, 64);
  -- Добавление параметра прибора "Частота кварца RF [МГц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9209, 'Частота кварца RF [МГц]', '', 686, 1, 1, 'P0004.F32', 318, 64);
  -- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9210, 'Тест ACLK', '', 686, 1, 1, 'P0090.U8', 318, 64);
  -- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9211, 'Тест расхода', '', 686, 1, 1, 'P0092.U8', 318, 64);
  -- Добавление параметра прибора "Вес испульса [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9212, 'Вес испульса [л/имп]', '', 686, 1, 1, 'P005D.F32', 318, 64);
  -- Добавление параметра прибора "Расход по эталону [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9213, 'Расход по эталону [м3/ч]', '', 686, 1, 1, 'P005E.F32', 318, 64);
  -- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9214, 'Линеаризация расхода', '', 686, 1, 1, 'P005F.U8', 318, 64);
  -- Добавление параметра прибора "Автонастройка детектора металла"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9215, 'Автонастройка детектора металла', '', 686, 1, 1, 'P009A.U8', 318, 64);
  -- Добавление параметра прибора "Учет энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9216, 'Учет энергии', '', 686, 1, 1, 'P000F.U8.BIT0-3', 318, 64);
  -- Добавление параметра прибора "Установка на обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9217, 'Установка на обратной трубе', '', 686, 1, 1, 'P000F.U8.BIT3', 318, 64);
  -- Добавление параметра прибора "Подающий термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9218, 'Подающий термометр виртуальный', '', 686, 1, 1, 'P000F.U8.BIT4', 318, 64);
  -- Добавление параметра прибора "Обратный термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9219, 'Обратный термометр виртуальный', '', 686, 1, 1, 'P000F.U8.BIT5', 318, 64);
  -- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9220, 'Часовой кварц, ёмкость', '', 686, 1, 1, 'P0010.S8', 318, 64);
  -- Добавление параметра прибора "Объём EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9221, 'Объём EEPROM', '', 686, 1, 1, 'P0011.U8', 318, 64);
  -- Добавление параметра прибора "Конфигурация имп. выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9222, 'Конфигурация имп. выхода', '', 686, 1, 1, 'P0012.S8', 318, 64);
  -- Добавление параметра прибора "Количество имп. входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9223, 'Количество имп. входов', '', 686, 1, 1, 'P0013.U8', 318, 64);
  -- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9224, 'Порт RS485', '', 686, 1, 1, 'P0015', 318, 64);
  -- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9225, 'Порт ИК', '', 686, 1, 1, 'P0016', 318, 64);
  -- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9226, 'Конфигурация кнопки', '', 686, 1, 1, 'P0019.S8', 318, 64);
  -- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9227, 'Язык', '', 686, 1, 1, 'P001A.U16.BIT0-2', 318, 64);
  -- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9228, 'Модуль дисплея', '', 686, 1, 1, 'P001A.U16.BIT2-6', 318, 64);
  -- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9229, 'Единицы измерения энергии', '', 686, 1, 1, 'P001A.U16.BIT8-4', 318, 64);
  -- Добавление параметра прибора "Единицы измерения мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9230, 'Единицы измерения мощности', '', 686, 1, 1, 'P001A.U16.BIT12-4', 318, 64);
  -- Добавление параметра прибора "Архивируемые каналы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9231, 'Архивируемые каналы', '', 686, 1, 1, 'P001B', 318, 64);
  -- Добавление параметра прибора "Температура виртуальная [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9232, 'Температура виртуальная [C]', '', 686, 1, 1, 'P0050.F32', 318, 64);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9233, 'Значение смещения [Ом]', '', 686, 1, 1, 'P0030.F32', 318, 64);
  -- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9234, 'Коэфф. диапазона [Ом]', '', 686, 1, 1, 'P0031.F32', 318, 64);
  -- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9235, 'Сопротивление калиб. [Ом]', '', 686, 1, 1, 'P0032.F32', 318, 64);
  -- Добавление параметра прибора "Сопротивление подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9236, 'Сопротивление подачи [Ом]', '', 686, 1, 1, 'P0033.F32', 318, 320);
  -- Добавление параметра прибора "Сопротивление обратки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9237, 'Сопротивление обратки [Ом]', '', 686, 1, 1, 'P0034.F32', 318, 320);
  -- Добавление параметра прибора "Rwire подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9238, 'Rwire подачи [Ом]', '', 686, 1, 1, 'P0035.F32', 318, 64);
  -- Добавление параметра прибора "R0 подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9239, 'R0 подачи [Ом]', '', 686, 1, 1, 'P0036.F32', 318, 64);
  -- Добавление параметра прибора "Alfa подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9240, 'Alfa подачи [Ом]', '', 686, 1, 1, 'P0037.F32', 318, 64);
  -- Добавление параметра прибора "Beta подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9241, 'Beta подачи [Ом]', '', 686, 1, 1, 'P0038.F32', 318, 64);
  -- Добавление параметра прибора "Delta подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9242, 'Delta подачи [Ом]', '', 686, 1, 1, 'P0039.F32', 318, 64);
  -- Добавление параметра прибора "Rwire подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9243, 'Rwire подачи [Ом]', '', 686, 1, 1, 'P003A.F32', 318, 64);
  -- Добавление параметра прибора "R0 обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9244, 'R0 обатки [Ом]', '', 686, 1, 1, 'P003B.F32', 318, 64);
  -- Добавление параметра прибора "Alfa обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9245, 'Alfa обатки [Ом]', '', 686, 1, 1, 'P003C.F32', 318, 64);
  -- Добавление параметра прибора "Beta обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9246, 'Beta обатки [Ом]', '', 686, 1, 1, 'P003D.F32', 318, 64);
  -- Добавление параметра прибора "Delta обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9247, 'Delta обатки [Ом]', '', 686, 1, 1, 'P003E.F32', 318, 64);
  -- Добавление параметра прибора "R0 эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9248, 'R0 эталон [Ом]', '', 686, 1, 1, 'P003F.F32', 318, 320);
  -- Добавление параметра прибора "Alfa эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9249, 'Alfa эталон [Ом]', '', 686, 1, 1, 'P0040.F32', 318, 320);
  -- Добавление параметра прибора "Beta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9250, 'Beta эталон [Ом]', '', 686, 1, 1, 'P0041.F32', 318, 320);
  -- Добавление параметра прибора "Delta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9251, 'Delta эталон [Ом]', '', 686, 1, 1, 'P0042.F32', 318, 320);
  -- Добавление параметра прибора "Rf-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9252, 'Rf-test [Ом]', '', 686, 1, 1, 'P00A0.F32', 318, 64);
  -- Добавление параметра прибора "Rr-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9253, 'Rr-test [Ом]', '', 686, 1, 1, 'P00A1.F32', 318, 64);
  -- Добавление параметра прибора "Re-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9254, 'Re-test [Ом]', '', 686, 1, 1, 'P00A2.F32', 318, 64);
  -- Добавление параметра прибора "Tf-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9255, 'Tf-test [C]', '', 686, 1, 1, 'P00A3.F32', 318, 64);
  -- Добавление параметра прибора "Tr-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9256, 'Tr-test [C]', '', 686, 1, 1, 'P00A4.F32', 318, 64);
  -- Добавление параметра прибора "Te-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9257, 'Te-test [C]', '', 686, 1, 1, 'P00A5.F32', 318, 320);
  -- Добавление параметра прибора "V-test, [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9258, 'V-test, [м3]', '', 686, 1, 1, 'P00A6.F32', 318, 64);
  -- Добавление параметра прибора "Ef-test"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9259, 'Ef-test', '', 686, 1, 1, 'P00A7.F32', 318, 320);
  -- Добавление параметра прибора "Er-test"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9260, 'Er-test', '', 686, 1, 1, 'P00A8.F32', 318, 320);
  -- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9261, 'Сенсорная кнопка, статус', '', 686, 1, 1, 'P0098.U64.X', 318, 320);
  -- Добавление параметра прибора "Детектор метала, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9262, 'Детектор метала, статус', '', 686, 1, 1, 'P009B.U64.X', 318, 320);
  -- Добавление параметра прибора "Детектор метала, рез. настройки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9263, 'Детектор метала, рез. настройки', '', 686, 1, 1, 'P009C.U32.X', 318, 320);
  -- Добавление параметра прибора "Детектор метала, рез. калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9264, 'Детектор метала, рез. калибровки', '', 686, 1, 1, 'P009D.U32.X', 318, 320);
