-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9270 AND pr_typ_id <= 9315;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 687 AND gr_typ_id <= 693;

---- Прибор "Омега-ТР" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Омега-ТР', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 316;

---- Группа "Канал1" ----

  -- Обновление параметра прибора "Плотность1 (тн/м^3)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Плотность1 (тн/м^3)', "Comment" = '', "NameP2" = 'CH1.P', dev_typ_id = 316, "SupportData" = 385 WHERE pr_typ_id = 9135;
  -- Обновление параметра прибора "Температура1 (гр. С)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Температура1 (гр. С)', "Comment" = '', "NameP2" = 'CH1.t', dev_typ_id = 316, "SupportData" = 399 WHERE pr_typ_id = 9136;
  -- Обновление параметра прибора "Массовый расход1 Gm (тн/ч)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Массовый расход1 Gm (тн/ч)', "Comment" = '', "NameP2" = 'CH1.Gm', dev_typ_id = 316, "SupportData" = 257 WHERE pr_typ_id = 9140;
  -- Обновление параметра прибора "Энтальпия1  h (Мкал/тн)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энтальпия1  h (Мкал/тн)', "Comment" = '', "NameP2" = 'CH1.h', dev_typ_id = 316, "SupportData" = 257 WHERE pr_typ_id = 9141;
  -- Обновление параметра прибора "Плотность1 P  (н/м^3)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Плотность1 P  (н/м^3)', "Comment" = '', "NameP2" = 'CH1.P', dev_typ_id = 316, "SupportData" = 271 WHERE pr_typ_id = 9142;

---- Группа "Канал2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (687, 'Канал2', '', 316, 0);

  -- Добавление параметра прибора "Объём расход2 (м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9270, 'Объём расход2 (м^3/ч)', '', 687, 1, 1, 'CH2.GV', 316, 385);
  -- Добавление параметра прибора "Масса расход2 (тн/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9271, 'Масса расход2 (тн/ч)', '', 687, 1, 1, 'CH2.GM', 316, 385);
  -- Добавление параметра прибора "Энтальпия2 (Мкал/тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9272, 'Энтальпия2 (Мкал/тн)', '', 687, 1, 1, 'CH2.h', 316, 385);
  -- Добавление параметра прибора "Плотность2 (тн/м^3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9273, 'Плотность2 (тн/м^3)', '', 687, 1, 1, 'CH2.P', 316, 385);
  -- Добавление параметра прибора "Температура2 (гр. С)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9274, 'Температура2 (гр. С)', '', 687, 1, 1, 'CH2.t', 316, 399);
  -- Добавление параметра прибора "Давление2 (кгс/см^2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9275, 'Давление2 (кгс/см^2)', '', 687, 1, 1, 'CH2.pr', 316, 399);
  -- Добавление параметра прибора "Масса2 (тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9276, 'Масса2 (тн)', '', 687, 1, 1, 'CH2.M', 316, 399);
  -- Добавление параметра прибора "Объем2 ( м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9277, 'Объем2 ( м^3/ч)', '', 687, 1, 1, 'CH2.V', 316, 399);

---- Группа "Канал3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (688, 'Канал3', '', 316, 0);

  -- Добавление параметра прибора "Объём расход3 (м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9278, 'Объём расход3 (м^3/ч)', '', 688, 1, 1, 'CH3.GV', 316, 385);
  -- Добавление параметра прибора "Масса расход3 (тн/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9279, 'Масса расход3 (тн/ч)', '', 688, 1, 1, 'CH3.GM', 316, 385);
  -- Добавление параметра прибора "Энтальпия3 (Мкал/тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9280, 'Энтальпия3 (Мкал/тн)', '', 688, 1, 1, 'CH3.h', 316, 385);
  -- Добавление параметра прибора "Плотность3 (тн/м^3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9281, 'Плотность3 (тн/м^3)', '', 688, 1, 1, 'CH3.P', 316, 385);
  -- Добавление параметра прибора "Температура3 (гр. С)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9282, 'Температура3 (гр. С)', '', 688, 1, 1, 'CH3.t', 316, 399);
  -- Добавление параметра прибора "Давление3 (кгс/см^2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9283, 'Давление3 (кгс/см^2)', '', 688, 1, 1, 'CH3.pr', 316, 399);
  -- Добавление параметра прибора "Масса3 (тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9284, 'Масса3 (тн)', '', 688, 1, 1, 'CH3.M', 316, 399);
  -- Добавление параметра прибора "Объем3 ( м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9285, 'Объем3 ( м^3/ч)', '', 688, 1, 1, 'CH3.V', 316, 399);

---- Группа "Канал4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (689, 'Канал4', '', 316, 0);

  -- Добавление параметра прибора "Объём расход4 (м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9286, 'Объём расход4 (м^3/ч)', '', 689, 1, 1, 'CH4.GV', 316, 385);
  -- Добавление параметра прибора "Масса расход4 (тн/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9287, 'Масса расход4 (тн/ч)', '', 689, 1, 1, 'CH4.GM', 316, 385);
  -- Добавление параметра прибора "Энтальпия4 (Мкал/тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9288, 'Энтальпия4 (Мкал/тн)', '', 689, 1, 1, 'CH4.h', 316, 385);
  -- Добавление параметра прибора "Плотность4 (тн/м^3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9289, 'Плотность4 (тн/м^3)', '', 689, 1, 1, 'CH4.P', 316, 385);
  -- Добавление параметра прибора "Температура4 (гр. С)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9290, 'Температура4 (гр. С)', '', 689, 1, 1, 'CH4.t', 316, 399);
  -- Добавление параметра прибора "Давление4 (кгс/см^2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9291, 'Давление4 (кгс/см^2)', '', 689, 1, 1, 'CH4.pr', 316, 399);
  -- Добавление параметра прибора "Масса4 (тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9292, 'Масса4 (тн)', '', 689, 1, 1, 'CH4.M', 316, 399);
  -- Добавление параметра прибора "Объем4 ( м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9293, 'Объем4 ( м^3/ч)', '', 689, 1, 1, 'CH4.V', 316, 399);

---- Группа "Канал5" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (690, 'Канал5', '', 316, 0);

  -- Добавление параметра прибора "Объём расход5 (м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9294, 'Объём расход5 (м^3/ч)', '', 690, 1, 1, 'CH5.GV', 316, 385);
  -- Добавление параметра прибора "Масса расход5 (тн/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9295, 'Масса расход5 (тн/ч)', '', 690, 1, 1, 'CH5.GM', 316, 385);
  -- Добавление параметра прибора "Энтальпия5 (Мкал/тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9296, 'Энтальпия5 (Мкал/тн)', '', 690, 1, 1, 'CH5.h', 316, 385);
  -- Добавление параметра прибора "Плотность5 (тн/м^3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9297, 'Плотность5 (тн/м^3)', '', 690, 1, 1, 'CH5.P', 316, 385);
  -- Добавление параметра прибора "Температура5 (гр. С)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9298, 'Температура5 (гр. С)', '', 690, 1, 1, 'CH5.t', 316, 399);
  -- Добавление параметра прибора "Давление5 (кгс/см^2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9299, 'Давление5 (кгс/см^2)', '', 690, 1, 1, 'CH5.pr', 316, 399);
  -- Добавление параметра прибора "Масса5 (тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9300, 'Масса5 (тн)', '', 690, 1, 1, 'CH5.M', 316, 399);
  -- Добавление параметра прибора "Объем5 ( м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9301, 'Объем5 ( м^3/ч)', '', 690, 1, 1, 'CH5.V', 316, 399);

---- Группа "Канал6" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (691, 'Канал6', '', 316, 0);

  -- Добавление параметра прибора "Объём расход6 (м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9302, 'Объём расход6 (м^3/ч)', '', 691, 1, 1, 'CH6.GV', 316, 385);
  -- Добавление параметра прибора "Масса расход6 (тн/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9303, 'Масса расход6 (тн/ч)', '', 691, 1, 1, 'CH6.GM', 316, 385);
  -- Добавление параметра прибора "Энтальпия6 (Мкал/тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9304, 'Энтальпия6 (Мкал/тн)', '', 691, 1, 1, 'CH6.h', 316, 385);
  -- Добавление параметра прибора "Плотность6 (тн/м^3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9305, 'Плотность6 (тн/м^3)', '', 691, 1, 1, 'CH6.P', 316, 385);
  -- Добавление параметра прибора "Температура6 (гр. С)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9306, 'Температура6 (гр. С)', '', 691, 1, 1, 'CH6.t', 316, 399);
  -- Добавление параметра прибора "Давление6 (кгс/см^2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9307, 'Давление6 (кгс/см^2)', '', 691, 1, 1, 'CH6.pr', 316, 399);
  -- Добавление параметра прибора "Масса6 (тн)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9308, 'Масса6 (тн)', '', 691, 1, 1, 'CH6.M', 316, 399);
  -- Добавление параметра прибора "Объем6 ( м^3/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9309, 'Объем6 ( м^3/ч)', '', 691, 1, 1, 'CH6.V', 316, 399);

---- Группа "Контур2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (692, 'Контур2', '', 316, 0);

  -- Добавление параметра прибора "Время наработки, контур2 (мин)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9310, 'Время наработки, контур2 (мин)', '', 692, 1, 1, 'K2.wt', 316, 399);
  -- Добавление параметра прибора "Тепло, контур2 (Гкал)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9311, 'Тепло, контур2 (Гкал)', '', 692, 1, 1, 'K2.Q', 316, 399);
  -- Добавление параметра прибора "Тепловая мощность контур2 (Гкал/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9312, 'Тепловая мощность контур2 (Гкал/ч)', '', 692, 1, 1, 'K2.W', 316, 385);

---- Группа "Контур3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (693, 'Контур3', '', 316, 0);

  -- Добавление параметра прибора "Время наработки, контур3 (мин)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9313, 'Время наработки, контур3 (мин)', '', 693, 1, 1, 'K3.wt', 316, 399);
  -- Добавление параметра прибора "Тепло, контур3 (Гкал)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9314, 'Тепло, контур3 (Гкал)', '', 693, 1, 1, 'K3.Q', 316, 399);
  -- Добавление параметра прибора "Тепловая мощность контур3 (Гкал/ч)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9315, 'Тепловая мощность контур3 (Гкал/ч)', '', 693, 1, 1, 'K3.W', 316, 385);
