SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9331 AND pr_typ_id <= 9359;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 694 AND gr_typ_id <= 696;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 319;

---- Прибор "Пульсар модуль счетчика воды v1.1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (319, 'Пульсар модуль счетчика воды v1.1', '', 128);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (694, 'Каналы', 'Текущие и архивируемые каналы прибора', 319, 0);

  -- Добавление параметра прибора "Объем [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9331, 'Объем [л]', '', 694, 1, 1, 'K1.S32', 319, 143);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (695, 'Параметры', 'Настройка прибора', 319, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9332, 'Дата и время', '', 695, 1, 1, 'D', 319, 193);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9333, 'Сетевой адрес', '', 695, 1, 1, '__ADDRESS', 319, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9334, 'Версия ПО', '', 695, 1, 1, '__VERSION_EXTERNAL', 319, 448);
  -- Добавление параметра прибора "Объём на поворот диска [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9335, 'Объём на поворот диска [л]', '', 695, 1, 1, 'P0003.S32', 319, 192);
  -- Добавление параметра прибора "Порог переполнения счетчика [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9336, 'Порог переполнения счетчика [л]', '', 695, 1, 1, 'P0004.S32', 319, 192);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9337, 'Запись запрещена', '', 695, 1, 1, 'P0005.U8', 319, 448);
  -- Добавление параметра прибора "Количество сборосв"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9338, 'Количество сборосв', '', 695, 1, 1, 'P0006.U16', 319, 192);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9339, 'Текущие ошибки', '', 695, 1, 1, 'P0007', 319, 449);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9340, 'Накопленные ошибки', '', 695, 1, 1, 'P0008', 319, 193);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9341, 'Пароль (старый | новый)', '', 695, 1, 1, '__PASSWORD', 319, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (696, 'Наладка', 'Для наладчиков', 319, 695);

  -- Добавление параметра прибора "Версия ПО (расширенная)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9342, 'Версия ПО (расширенная)', '', 696, 1, 1, '__VERSION_INTERNAL', 319, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]. Нижний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9343, 'Напряжение батареи [мВ]. Нижний порог', '', 696, 1, 1, 'P0020.U16', 319, 64);
  -- Добавление параметра прибора "Напряжение батареи [мВ]. Верхний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9344, 'Напряжение батареи [мВ]. Верхний порог', '', 696, 1, 1, 'P0021.U16', 319, 64);
  -- Добавление параметра прибора "Ёмкость EEPROM [КБ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9345, 'Ёмкость EEPROM [КБ]', '', 696, 1, 1, 'P0022.U8', 319, 64);
  -- Добавление параметра прибора "Частота измерения [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9346, 'Частота измерения [Гц]', '', 696, 1, 1, 'P0023.U16', 319, 64);
  -- Добавление параметра прибора "Температура среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9347, 'Температура среды [C]', '', 696, 1, 1, 'P0040.S8', 319, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9348, 'Напряжение батареи [мВ]', '', 696, 1, 1, 'P0041.U16', 319, 320);
  -- Добавление параметра прибора "Диагностика прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9349, 'Диагностика прибора', '', 696, 1, 1, 'P0042.U8', 319, 64);
  -- Добавление параметра прибора "Вывод частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9350, 'Вывод частоты часового кварца', '', 696, 1, 1, 'P0043.U8', 319, 64);
  -- Добавление параметра прибора "Калибровка энкодера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9351, 'Калибровка энкодера', '', 696, 1, 1, 'P0044.U8', 319, 64);
  -- Добавление параметра прибора "Дроссель 1,2. Добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9352, 'Дроссель 1,2. Добротность', '', 696, 1, 1, 'P0045.U8', 319, 320);
  -- Добавление параметра прибора "Дроссель 1. Добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9353, 'Дроссель 1. Добротность', '', 696, 1, 1, 'P0046.U8', 319, 320);
  -- Добавление параметра прибора "Дроссель 2. Добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9354, 'Дроссель 2. Добротность', '', 696, 1, 1, 'P0047.U8', 319, 320);
  -- Добавление параметра прибора "Результат калибровки (своб)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9355, 'Результат калибровки (своб)', '', 696, 1, 1, 'P0060', 319, 320);
  -- Добавление параметра прибора "Результат калибровки (вращ)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9356, 'Результат калибровки (вращ)', '', 696, 1, 1, 'P0061', 319, 320);
  -- Добавление параметра прибора "Дроссель 1,2. Пороги"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9357, 'Дроссель 1,2. Пороги', '', 696, 1, 1, 'P0062', 319, 320);
  -- Добавление параметра прибора "Дроссель 1. Пороги"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9358, 'Дроссель 1. Пороги', '', 696, 1, 1, 'P0063', 319, 320);
  -- Добавление параметра прибора "Дроссель 2. Пороги"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9359, 'Дроссель 2. Пороги', '', 696, 1, 1, 'P0064', 319, 320);
