SET client_encoding = 'UTF8';

CREATE OR REPLACE FUNCTION iff(x double precision, y1 double precision, y2 double precision)
  RETURNS double precision AS
$BODY$
DECLARE

BEGIN
  if( $1 IS NULL ) then  
	return 'NaN';
  end if;	
  
  if ($1<=0) then
     return y1;
  end if;     
  if ($1>0) then
    return y2;
  end if;


END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION iff(double precision, double precision, double precision)
  OWNER TO postgres;
  
  