-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9678 AND pr_typ_id <= 9691;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 716;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 325;

---- Прибор "АГАТ 2-27М1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (325, 'АГАТ 2-27М1', '', 128);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (716, 'Параметры', '', 325, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9678, 'ДатаВремя', '', 716, 1, 1, 'D', 325, 448);
  -- Добавление параметра прибора "Энергия активная тариф 0"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9679, 'Энергия активная тариф 0', '', 716, 1, 1, 'EA0I', 325, 397);
  -- Добавление параметра прибора "Энергия активная тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9680, 'Энергия активная тариф 1', '', 716, 1, 1, 'EA1I', 325, 397);
  -- Добавление параметра прибора "Энергия активная тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9681, 'Энергия активная тариф 2', '', 716, 1, 1, 'EA2I', 325, 397);
  -- Добавление параметра прибора "Энергия активная тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9682, 'Энергия активная тариф 3', '', 716, 1, 1, 'EA3I', 325, 397);
  -- Добавление параметра прибора "Энергия активная тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9683, 'Энергия активная тариф 4', '', 716, 1, 1, 'EA4I', 325, 397);
  -- Добавление параметра прибора "Мощность активная, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9684, 'Мощность активная, Вт', '', 716, 1, 1, 'PA1', 325, 401);
  -- Добавление параметра прибора "RMS напряжение, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9685, 'RMS напряжение, В', '', 716, 1, 1, 'URMS1', 325, 385);
  -- Добавление параметра прибора "RMS ток, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9686, 'RMS ток, А', '', 716, 1, 1, 'IRMS1', 325, 385);
  -- Добавление параметра прибора "Частота сетевого напряжения, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9687, 'Частота сетевого напряжения, Гц', '', 716, 1, 1, 'F1', 325, 385);
  -- Добавление параметра прибора "Коэффициент мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9688, 'Коэффициент мощности', '', 716, 1, 1, 'KP1', 325, 385);
  -- Добавление параметра прибора "Время наработки, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9689, 'Время наработки, сек', '', 716, 1, 1, 'WT', 325, 385);
  -- Добавление параметра прибора "Байт состояния (битовые флаги)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9690, 'Байт состояния (битовые флаги)', '', 716, 1, 1, 'Stat', 325, 385);
  -- Добавление параметра прибора "Заводской номер счетчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9691, 'Заводской номер счетчика', '', 716, 1, 1, 'SN', 325, 385);
