SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9722 AND pr_typ_id <= 9761;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 720 AND gr_typ_id <= 722;

---- Прибор "Пульсар УРТ v2.1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар УРТ v2.1', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 299;

---- Прибор "Пульсар УРТ v2.2" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар УРТ v2.2', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 323;

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (720, 'Каналы', 'Текущие и архивируемые каналы прибора', 323, 0);

  -- Добавление параметра прибора "Потребление (период)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9722, 'Потребление (период)', '', 720, 1, 1, 'K1.U32', 323, 385);
  -- Добавление параметра прибора "Потребление (месяц)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9723, 'Потребление (месяц)', '', 720, 1, 1, 'K2.U32', 323, 393);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (721, 'Параметры', 'Настройка прибора', 323, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9724, 'Дата и время', '', 721, 1, 1, 'D', 323, 193);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9725, 'Сетевой адрес', '', 721, 1, 1, '__ADDRESS', 323, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9726, 'Версия ПО', '', 721, 1, 1, '__VERSION_EXTERNAL', 323, 448);
  -- Добавление параметра прибора "Потребление (пред. период)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9727, 'Потребление (пред. период)', '', 721, 1, 1, 'P0003.U32', 323, 385);
  -- Добавление параметра прибора "Контрольная сумма (пред. период)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9728, 'Контрольная сумма (пред. период)', '', 721, 1, 1, 'P0004.U16', 323, 448);
  -- Добавление параметра прибора "Прибор активирован"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9729, 'Прибор активирован', '', 721, 1, 1, 'P0005.U8', 323, 448);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9730, 'Запись запрещена', '', 721, 1, 1, 'P0006.U8', 323, 448);
  -- Добавление параметра прибора "Количество сборосв"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9731, 'Количество сборосв', '', 721, 1, 1, 'P0007.U16', 323, 192);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9732, 'Текущие ошибки', '', 721, 1, 1, 'P0008', 323, 193);
  -- Добавление параметра прибора "Коофициент KQ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9733, 'Коофициент KQ', '', 721, 1, 1, 'P0009.U16', 323, 192);
  -- Добавление параметра прибора "Коофициент KC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9734, 'Коофициент KC', '', 721, 1, 1, 'P000A.F32', 323, 192);
  -- Добавление параметра прибора "Коофициент KT"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9735, 'Коофициент KT', '', 721, 1, 1, 'P000B.F32', 323, 192);
  -- Добавление параметра прибора "Начало периода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9736, 'Начало периода', '', 721, 1, 1, 'P000C.U8.BIT0-4', 323, 192);
  -- Добавление параметра прибора "Неактивный месяц (май)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9737, 'Неактивный месяц (май)', '', 721, 1, 1, 'P000C.U8.BIT4', 323, 192);
  -- Добавление параметра прибора "Неактивный месяц (июнь)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9738, 'Неактивный месяц (июнь)', '', 721, 1, 1, 'P000C.U8.BIT5', 323, 192);
  -- Добавление параметра прибора "Неактивный месяц (июль)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9739, 'Неактивный месяц (июль)', '', 721, 1, 1, 'P000C.U8.BIT6', 323, 192);
  -- Добавление параметра прибора "Неактивный месяц (август)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9740, 'Неактивный месяц (август)', '', 721, 1, 1, 'P000C.U8.BIT7', 323, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (722, 'Наладка', 'Для наладчиков', 323, 721);

  -- Добавление параметра прибора "Версия ПО (расширенная)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9741, 'Версия ПО (расширенная)', '', 722, 1, 1, '__VERSION_INTERNAL', 323, 320);
  -- Добавление параметра прибора "Температура радиатора (°C)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9742, 'Температура радиатора (°C)', '', 722, 1, 1, 'P0040.F32', 323, 320);
  -- Добавление параметра прибора "Температура воздуха (°C)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9743, 'Температура воздуха (°C)', '', 722, 1, 1, 'P0041.F32', 323, 320);
  -- Добавление параметра прибора "Напряжение батареи (мВ)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9744, 'Напряжение батареи (мВ)', '', 722, 1, 1, 'P0042.U16', 323, 320);
  -- Добавление параметра прибора "Состояние кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9745, 'Состояние кнопки', '', 722, 1, 1, 'P0043.U8', 323, 320);
  -- Добавление параметра прибора "[HW] Датчик темп. воздуха"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9746, '[HW] Датчик темп. воздуха', '', 722, 1, 1, 'P0020.U8.BIT0', 323, 64);
  -- Добавление параметра прибора "[HW] Радиомодуль"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9747, '[HW] Радиомодуль', '', 722, 1, 1, 'P0020.U8.BIT1', 323, 64);
  -- Добавление параметра прибора "[HW] ИК порт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9748, '[HW] ИК порт', '', 722, 1, 1, 'P0020.U8.BIT2', 323, 64);
  -- Добавление параметра прибора "Напряжение батареи (мВ). Минимум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9749, 'Напряжение батареи (мВ). Минимум', '', 722, 1, 1, 'P0024.U16', 323, 64);
  -- Добавление параметра прибора "Напряжение батареи (мВ). Предупреждение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9750, 'Напряжение батареи (мВ). Предупреждение', '', 722, 1, 1, 'P0025.U16', 323, 64);
  -- Добавление параметра прибора "Напряжение батареи (мВ). Максимум"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9751, 'Напряжение батареи (мВ). Максимум', '', 722, 1, 1, 'P0026.U16', 323, 64);
  -- Добавление параметра прибора "Смещение темп. радиатора (°C)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9752, 'Смещение темп. радиатора (°C)', '', 722, 1, 1, 'P002A.F32', 323, 64);
  -- Добавление параметра прибора "Смещение темп. воздуха (°C)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9753, 'Смещение темп. воздуха (°C)', '', 722, 1, 1, 'P002B.F32', 323, 64);
  -- Добавление параметра прибора "Тест частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9754, 'Тест частоты часового кварца', '', 722, 1, 1, 'P0044.U8', 323, 64);
  -- Добавление параметра прибора "[RF] Режим передачи данных"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9755, '[RF] Режим передачи данных', '', 722, 1, 1, 'P0022.U8', 323, 64);
  -- Добавление параметра прибора "[RF] Частотый диапазон"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9756, '[RF] Частотый диапазон', '', 722, 1, 1, 'P0023.U8', 323, 64);
  -- Добавление параметра прибора "[RF] Частота кварца (Гц)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9757, '[RF] Частота кварца (Гц)', '', 722, 1, 1, 'P0027.U32', 323, 64);
  -- Добавление параметра прибора "[RF] Конденсаторы кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9758, '[RF] Конденсаторы кварца', '', 722, 1, 1, 'P0028.U8', 323, 64);
  -- Добавление параметра прибора "[RF] Мощность передатчика (мВт)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9759, '[RF] Мощность передатчика (мВт)', '', 722, 1, 1, 'P0029.U8', 323, 64);
  -- Добавление параметра прибора "[RF] Вывод частоты кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9760, '[RF] Вывод частоты кварца', '', 722, 1, 1, 'P0045.U8', 323, 64);
  -- Добавление параметра прибора "[RF] RSSI последнего пакета (дБм)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9761, '[RF] RSSI последнего пакета (дБм)', '', 722, 1, 1, 'P0046.S8', 323, 320);
