SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9762 AND pr_typ_id <= 9764;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 723;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 327;

---- Прибор "Пульсар IoT УРТ v2.1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (327, 'Пульсар IoT УРТ v2.1', 'Устройство распределителя тепла (для IoT)', 128);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9762, 'Ошибки', '', 0, 1, 1, 'ERR', 327, 385);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (723, 'Показания', '', 327, 0);

  -- Добавление параметра прибора "Потребление [период]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9763, 'Потребление [период]', '', 723, 1, 1, 'PER', 327, 396);
  -- Добавление параметра прибора "Потребление (месяц)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9764, 'Потребление (месяц)', '', 723, 1, 1, 'MON', 327, 392);
