SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id = 9765;

---- Прибор "Пульсар УРТ v2.2" ----

---- Группа "Параметры" ----

  -- Обновление параметра прибора "Активирован"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Активирован', "Comment" = '', "NameP2" = 'P0005.U8', dev_typ_id = 323, "SupportData" = 448 WHERE pr_typ_id = 9729;
  -- Обновление параметра прибора "Коэффициент KQ"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коэффициент KQ', "Comment" = '', "NameP2" = 'P0009.U16', dev_typ_id = 323, "SupportData" = 192 WHERE pr_typ_id = 9733;
  -- Обновление параметра прибора "Коэффициент KC"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коэффициент KC', "Comment" = '', "NameP2" = 'P000A.F32', dev_typ_id = 323, "SupportData" = 192 WHERE pr_typ_id = 9734;
  -- Обновление параметра прибора "Коэффициент KT"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коэффициент KT', "Comment" = '', "NameP2" = 'P000B.F32', dev_typ_id = 323, "SupportData" = 192 WHERE pr_typ_id = 9735;
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9765, 'Пароль (старый | новый)', '', 721, 1, 1, '__PASSWORD', 323, 192);

---- Группа "Наладка" ----

  -- Обновление параметра прибора "[BAT] Минимум (мВ)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[BAT] Минимум (мВ)', "Comment" = 'Порог', "NameP2" = 'P0024.U16', dev_typ_id = 323, "SupportData" = 64 WHERE pr_typ_id = 9749;
  -- Обновление параметра прибора "[BAT] Предупреждение (мВ)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[BAT] Предупреждение (мВ)', "Comment" = 'Порог', "NameP2" = 'P0025.U16', dev_typ_id = 323, "SupportData" = 64 WHERE pr_typ_id = 9750;
  -- Обновление параметра прибора "[BAT] Максимум (мВ)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[BAT] Максимум (мВ)', "Comment" = 'Порог', "NameP2" = 'P0026.U16', dev_typ_id = 323, "SupportData" = 64 WHERE pr_typ_id = 9751;
  -- Обновление параметра прибора "[COR] Температура радиатора (°C)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[COR] Температура радиатора (°C)', "Comment" = '', "NameP2" = 'P002A.F32', dev_typ_id = 323, "SupportData" = 64 WHERE pr_typ_id = 9752;
  -- Обновление параметра прибора "[COR] Температура воздуха (°C)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[COR] Температура воздуха (°C)', "Comment" = '', "NameP2" = 'P002B.F32', dev_typ_id = 323, "SupportData" = 64 WHERE pr_typ_id = 9753;
  -- Обновление параметра прибора "[LSE] Вывод частоты кварца"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[LSE] Вывод частоты кварца', "Comment" = '', "NameP2" = 'P0044.U8', dev_typ_id = 323, "SupportData" = 64 WHERE pr_typ_id = 9754;

---- Прибор "Пульсар IoT УРТ v2.2" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар IoT УРТ v2.2', "Comment" = 'Устройство распределителя тепла (для IoT)', "AdditionInfo" = 128 WHERE dev_typ_id = 327;
