-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 9924 AND pr_typ_id <= 9951;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 739 AND gr_typ_id <= 740;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 329;

---- Прибор "СТК Марс" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (329, 'СТК Марс', '', 128);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (739, 'Каналы', '', 329, 0);

  -- Добавление параметра прибора "Энергия [тепло]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9924, 'Энергия [тепло]', '', 739, 1, 1, 'K7', 329, 143);
  -- Добавление параметра прибора "Энергия [холод]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9925, 'Энергия [холод]', '', 739, 1, 1, 'K21', 329, 143);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9926, 'Мощность', '', 739, 1, 1, 'K6', 329, 385);
  -- Добавление параметра прибора "Температура [подача, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9927, 'Температура [подача, C]', '', 739, 1, 1, 'K3', 329, 399);
  -- Добавление параметра прибора "Температура [обратка, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9928, 'Температура [обратка, C]', '', 739, 1, 1, 'K4', 329, 399);
  -- Добавление параметра прибора "Температура [перепад, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9929, 'Температура [перепад, C]', '', 739, 1, 1, 'K5', 329, 385);
  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9930, 'Объём [м3]', '', 739, 1, 1, 'K8', 329, 143);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9931, 'Расход [м3/ч]', '', 739, 1, 1, 'K9', 329, 385);
  -- Добавление параметра прибора "Расход [по энергии, м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9932, 'Расход [по энергии, м3/ч]', '', 739, 1, 1, 'K14', 329, 385);
  -- Добавление параметра прибора "Импульсный вход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9933, 'Импульсный вход 1', '', 739, 1, 1, 'K10', 329, 143);
  -- Добавление параметра прибора "Импульсный вход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9934, 'Импульсный вход 2', '', 739, 1, 1, 'K11', 329, 143);
  -- Добавление параметра прибора "Импульсный вход 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9935, 'Импульсный вход 3', '', 739, 1, 1, 'K12', 329, 143);
  -- Добавление параметра прибора "Импульсный вход 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9936, 'Импульсный вход 4', '', 739, 1, 1, 'K13', 329, 143);
  -- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9937, 'Время нормальной работы [ч]', '', 739, 1, 1, 'K20.U32', 329, 143);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (740, 'Параметры', '', 329, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9938, 'Дата и время', '', 740, 1, 1, 'D', 329, 129);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9939, 'Версия ПО', '', 740, 1, 1, 'P0005.U8', 329, 385);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9940, 'Время наработки [ч]', '', 740, 1, 1, 'P000C.U32', 329, 129);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9941, 'Время наработки c ошибками [ч]', '', 740, 1, 1, 'P000D.U32', 329, 129);
  -- Добавление параметра прибора "Имп. вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9942, 'Имп. вход 1, вес', '', 740, 1, 1, 'P0020.F32', 329, 192);
  -- Добавление параметра прибора "Имп. вход 1, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9943, 'Имп. вход 1, длит. [мс]', '', 740, 1, 1, 'P0021.F32', 329, 192);
  -- Добавление параметра прибора "Имп. вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9944, 'Имп. вход 2, вес', '', 740, 1, 1, 'P0023.F32', 329, 192);
  -- Добавление параметра прибора "Имп. вход 2, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9945, 'Имп. вход 2, длит. [мс]', '', 740, 1, 1, 'P0024.F32', 329, 192);
  -- Добавление параметра прибора "Имп. вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9946, 'Имп. вход 3, вес', '', 740, 1, 1, 'P0026.F32', 329, 192);
  -- Добавление параметра прибора "Имп. вход 3, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9947, 'Имп. вход 3, длит. [мс]', '', 740, 1, 1, 'P0027.F32', 329, 192);
  -- Добавление параметра прибора "Имп. вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9948, 'Имп. вход 4, вес', '', 740, 1, 1, 'P0029.F32', 329, 192);
  -- Добавление параметра прибора "Имп. вход 4, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9949, 'Имп. вход 4, длит. [мс]', '', 740, 1, 1, 'P002A.F32', 329, 192);
  -- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9950, 'Имп. выход, вес', '', 740, 1, 1, 'P002C.F32', 329, 192);
  -- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (9951, 'Имп. выход, длит. [мс]', '', 740, 1, 1, 'P002D.F32', 329, 192);
