-- Скрипт обновления приборов, групп и параметров --

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET search_path = "Tepl", pg_catalog;

DELETE FROM "Tepl"."DeviceEventPatern" WHERE dev_ev_pat_id >= 13 AND dev_ev_pat_id <= 14;
DELETE FROM "Tepl"."DeviceEventTab" WHERE dev_typ_id = 324 AND dev_event_code <= 8;

INSERT INTO "Tepl"."DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (13, 'Ошибка направления', NULL, 'Ошибка направления', 'Норма');
INSERT INTO "Tepl"."DeviceEventPatern" (dev_ev_pat_id, "Name", "Comment", "CommentFault", "CommentNormal") VALUES (14, 'Вскрытие', NULL, 'Вскрытие', 'Норма');

INSERT INTO "Tepl"."DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (324, 1, 2);
INSERT INTO "Tepl"."DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (324, 8, 14);
INSERT INTO "Tepl"."DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (324, 2, 13);
INSERT INTO "Tepl"."DeviceEventTab" (dev_typ_id, dev_event_code, dev_ev_pat_id) VALUES (324, 4, 1);