-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10001 AND pr_typ_id <= 10017;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 745 AND gr_typ_id <= 746;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 331;

---- Прибор "Милур 107" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (331, 'Милур 107', '', 128);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (745, 'Текущие', '', 331, 0);

  -- Добавление параметра прибора "Напряжение, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10001, 'Напряжение, В', '', 745, 1, 1, 'U', 331, 385);
  -- Добавление параметра прибора "Ток, A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10002, 'Ток, A', '', 745, 1, 1, 'I', 331, 385);
  -- Добавление параметра прибора "Дата время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10003, 'Дата время', '', 745, 1, 1, 'D', 331, 193);
  -- Добавление параметра прибора "Частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10004, 'Частота', '', 745, 1, 1, 'F', 331, 385);

---- Группа "Архивируемые" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (746, 'Архивируемые', '', 331, 0);

  -- Добавление параметра прибора "Актив. энергия сумм., кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10005, 'Актив. энергия сумм., кВт*час', '', 746, 1, 1, 'E', 331, 397);
  -- Добавление параметра прибора "Актив. энергия т.1, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10006, 'Актив. энергия т.1, кВт*час', '', 746, 1, 1, 'E1', 331, 397);
  -- Добавление параметра прибора "Актив. энергия т.2, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10007, 'Актив. энергия т.2, кВт*час', '', 746, 1, 1, 'E2', 331, 397);
  -- Добавление параметра прибора "Актив. энергия т.3, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10008, 'Актив. энергия т.3, кВт*час', '', 746, 1, 1, 'E3', 331, 397);
  -- Добавление параметра прибора "Актив. энергия т.4, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10009, 'Актив. энергия т.4, кВт*час', '', 746, 1, 1, 'E4', 331, 397);
  -- Добавление параметра прибора "Реакт. энергия сумм., кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10010, 'Реакт. энергия сумм., кВт*час', '', 746, 1, 1, 'RE', 331, 397);
  -- Добавление параметра прибора "Реакт. энергия т.1, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10011, 'Реакт. энергия т.1, кВт*час', '', 746, 1, 1, 'RE1', 331, 397);
  -- Добавление параметра прибора "Реакт. энергия т.2, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10012, 'Реакт. энергия т.2, кВт*час', '', 746, 1, 1, 'RE2', 331, 397);
  -- Добавление параметра прибора "Реакт. энергия т.3, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10013, 'Реакт. энергия т.3, кВт*час', '', 746, 1, 1, 'RE3', 331, 397);
  -- Добавление параметра прибора "Реакт. энергия т.4, кВт*час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10014, 'Реакт. энергия т.4, кВт*час', '', 746, 1, 1, 'RE4', 331, 397);
  -- Добавление параметра прибора "Актив. мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10015, 'Актив. мощность, Вт', '', 746, 1, 1, 'W', 331, 401);
  -- Добавление параметра прибора "Реактив. мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10016, 'Реактив. мощность, Вт', '', 746, 1, 1, 'RW', 331, 401);
  -- Добавление параметра прибора "Полная мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10017, 'Полная мощность, Вт', '', 746, 1, 1, 'P', 331, 385);
