-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10028 AND pr_typ_id <= 10095;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 748 AND gr_typ_id <= 751;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 332;

---- Прибор "ION6200" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (332, 'ION6200', '', 128);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (748, 'Общие', '', 332, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10028, 'Серийный номер', '', 748, 1, 1, 'SN', 332, 385);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10029, 'Время наработки [сек]', '', 748, 1, 1, 'WT', 332, 385);
  -- Добавление параметра прибора "Время наработки [C] тр"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10030, 'Время наработки [C] тр', '', 748, 1, 1, 'WT', 332, 385);
  -- Добавление параметра прибора "Ток фаз средний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10031, 'Ток фаз средний', '', 748, 1, 1, 'I_avg', 332, 385);
  -- Добавление параметра прибора "I demand"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10032, 'I demand', '', 748, 1, 1, 'I_dmd', 332, 385);
  -- Добавление параметра прибора "I peak demand"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10033, 'I peak demand', '', 748, 1, 1, 'I_peak_dmd', 332, 385);
  -- Добавление параметра прибора "Amps I4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10034, 'Amps I4', '', 748, 1, 1, 'I4', 332, 385);
  -- Добавление параметра прибора "Частота сети [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10035, 'Частота сети [Гц]', '', 748, 1, 1, 'Freq', 332, 385);
  -- Добавление параметра прибора "Power factor sign total"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10036, 'Power factor sign total', '', 748, 1, 1, 'PF_sign_tot', 332, 385);
  -- Добавление параметра прибора "kW total"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10037, 'kW total', '', 748, 1, 1, 'kW_total', 332, 385);
  -- Добавление параметра прибора "kVAR total"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10038, 'kVAR total', '', 748, 1, 1, 'kVAR_total', 332, 385);
  -- Добавление параметра прибора "kVA total"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10039, 'kVA total', '', 748, 1, 1, 'kVA_total', 332, 385);
  -- Добавление параметра прибора "kW demand"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10040, 'kW demand', '', 748, 1, 1, 'kW_dmd', 332, 385);
  -- Добавление параметра прибора "kW peak demand"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10041, 'kW peak demand', '', 748, 1, 1, 'kW_peak_dmd', 332, 385);
  -- Добавление параметра прибора "kVAR demand"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10042, 'kVAR demand', '', 748, 1, 1, 'kVAR_dmd', 332, 385);
  -- Добавление параметра прибора "kVA demand"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10043, 'kVA demand', '', 748, 1, 1, 'kVA_dmd', 332, 385);
  -- Добавление параметра прибора "kVAR peak demand"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10044, 'kVAR peak demand', '', 748, 1, 1, 'kVAR_peak_dmd', 332, 385);
  -- Добавление параметра прибора "kVA peak demand"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10045, 'kVA peak demand', '', 748, 1, 1, 'kVA_peak_dmd', 332, 385);
  -- Добавление параметра прибора "kWh delivered"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10046, 'kWh delivered', '', 748, 1, 1, 'kWh_del', 332, 385);
  -- Добавление параметра прибора "kWh received"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10047, 'kWh received', '', 748, 1, 1, 'kWh_rec', 332, 385);
  -- Добавление параметра прибора "kVARh delivered"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10048, 'kVARh delivered', '', 748, 1, 1, 'kVARh_del', 332, 385);
  -- Добавление параметра прибора "kVARh delivered"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10049, 'kVARh delivered', '', 748, 1, 1, 'kVARh_rec', 332, 385);
  -- Добавление параметра прибора "kVAh total (delivered+received)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10050, 'kVAh total (delivered+received)', '', 748, 1, 1, 'kVAh_del_rec', 332, 385);

---- Группа "Фаза А" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (749, 'Фаза А', '', 332, 0);

  -- Добавление параметра прибора "Напряжение фаза А [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10051, 'Напряжение фаза А [В]', '', 749, 1, 1, 'Vln_a', 332, 385);
  -- Добавление параметра прибора "Ток фазы А [А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10052, 'Ток фазы А [А]', '', 749, 1, 1, 'I_a', 332, 385);
  -- Добавление параметра прибора "Power factor sign А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10053, 'Power factor sign А', '', 749, 1, 1, 'PF_sign_a', 332, 385);
  -- Добавление параметра прибора "kW А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10054, 'kW А', '', 749, 1, 1, 'kW_a', 332, 385);
  -- Добавление параметра прибора "kVAR А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10055, 'kVAR А', '', 749, 1, 1, 'kVAR_a', 332, 385);
  -- Добавление параметра прибора "kVA А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10056, 'kVA А', '', 749, 1, 1, 'Vln_a', 332, 385);
  -- Добавление параметра прибора "V THD А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10057, 'V THD А', '', 749, 1, 1, 'V1_THD', 332, 385);
  -- Добавление параметра прибора "L THD А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10058, 'L THD А', '', 749, 1, 1, 'L1_THD', 332, 385);
  -- Добавление параметра прибора "I  demand A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10059, 'I  demand A', '', 749, 1, 1, 'I_a_dem', 332, 385);
  -- Добавление параметра прибора "I peak demand A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10060, 'I peak demand A', '', 749, 1, 1, 'I_a_peak_dem', 332, 385);
  -- Добавление параметра прибора "kWh delivered A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10061, 'kWh delivered A', '', 749, 1, 1, 'kWh_a_del', 332, 385);
  -- Добавление параметра прибора "kWh a received A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10062, 'kWh a received A', '', 749, 1, 1, 'kWh_a_rec', 332, 385);
  -- Добавление параметра прибора "kVARh  delivered A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10063, 'kVARh  delivered A', '', 749, 1, 1, 'kVARh_a_del', 332, 385);
  -- Добавление параметра прибора "kVARh  received A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10064, 'kVARh  received A', '', 749, 1, 1, 'kVARh_a_rec', 332, 385);
  -- Добавление параметра прибора "kVAh A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10065, 'kVAh A', '', 749, 1, 1, 'kVAh_a', 332, 385);

---- Группа "Фаза В" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (750, 'Фаза В', '', 332, 0);

  -- Добавление параметра прибора "Напряжение фаза B [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10066, 'Напряжение фаза B [В]', '', 750, 1, 1, 'Vln_b', 332, 385);
  -- Добавление параметра прибора "Ток фазы B [А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10067, 'Ток фазы B [А]', '', 750, 1, 1, 'I_b', 332, 385);
  -- Добавление параметра прибора "Power factor sign B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10068, 'Power factor sign B', '', 750, 1, 1, 'PF_sign_b', 332, 385);
  -- Добавление параметра прибора "kW B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10069, 'kW B', '', 750, 1, 1, 'kW_b', 332, 385);
  -- Добавление параметра прибора "kVAR B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10070, 'kVAR B', '', 750, 1, 1, 'kVAR_b', 332, 385);
  -- Добавление параметра прибора "kVA B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10071, 'kVA B', '', 750, 1, 1, 'Vln_b', 332, 385);
  -- Добавление параметра прибора "V THD B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10072, 'V THD B', '', 750, 1, 1, 'V2_THD', 332, 385);
  -- Добавление параметра прибора "L THD B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10073, 'L THD B', '', 750, 1, 1, 'L2_THD', 332, 385);
  -- Добавление параметра прибора "I  demand B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10074, 'I  demand B', '', 750, 1, 1, 'I_b_dem', 332, 385);
  -- Добавление параметра прибора "I peak demand B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10075, 'I peak demand B', '', 750, 1, 1, 'I_b_peak_dem', 332, 385);
  -- Добавление параметра прибора "kWh delivered B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10076, 'kWh delivered B', '', 750, 1, 1, 'kWh_b_del', 332, 385);
  -- Добавление параметра прибора "kWh a received B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10077, 'kWh a received B', '', 750, 1, 1, 'kWh_b_rec', 332, 385);
  -- Добавление параметра прибора "kVARh  delivered B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10078, 'kVARh  delivered B', '', 750, 1, 1, 'kVARh_b_del', 332, 385);
  -- Добавление параметра прибора "kVARh  received B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10079, 'kVARh  received B', '', 750, 1, 1, 'kVARh_b_rec', 332, 385);
  -- Добавление параметра прибора "kVAh B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10080, 'kVAh B', '', 750, 1, 1, 'kVAh_b', 332, 385);

---- Группа "Фаза С" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (751, 'Фаза С', '', 332, 0);

  -- Добавление параметра прибора "Напряжение фаза C [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10081, 'Напряжение фаза C [В]', '', 751, 1, 1, 'Vln_c', 332, 385);
  -- Добавление параметра прибора "Ток фазы C [А]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10082, 'Ток фазы C [А]', '', 751, 1, 1, 'I_c', 332, 385);
  -- Добавление параметра прибора "Power factor sign C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10083, 'Power factor sign C', '', 751, 1, 1, 'PF_sign_c', 332, 385);
  -- Добавление параметра прибора "kW C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10084, 'kW C', '', 751, 1, 1, 'kW_c', 332, 385);
  -- Добавление параметра прибора "kVAR C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10085, 'kVAR C', '', 751, 1, 1, 'kVAR_c', 332, 385);
  -- Добавление параметра прибора "kVA C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10086, 'kVA C', '', 751, 1, 1, 'Vln_c', 332, 385);
  -- Добавление параметра прибора "V THD C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10087, 'V THD C', '', 751, 1, 1, 'V3_THD', 332, 385);
  -- Добавление параметра прибора "L THD C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10088, 'L THD C', '', 751, 1, 1, 'L3_THD', 332, 385);
  -- Добавление параметра прибора "I  demand C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10089, 'I  demand C', '', 751, 1, 1, 'I_c_dem', 332, 385);
  -- Добавление параметра прибора "I peak demand C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10090, 'I peak demand C', '', 751, 1, 1, 'I_c_peak_dem', 332, 385);
  -- Добавление параметра прибора "kWh delivered C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10091, 'kWh delivered C', '', 751, 1, 1, 'kWh_c_del', 332, 385);
  -- Добавление параметра прибора "kWh a received C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10092, 'kWh a received C', '', 751, 1, 1, 'kWh_c_rec', 332, 385);
  -- Добавление параметра прибора "kVARh  delivered C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10093, 'kVARh  delivered C', '', 751, 1, 1, 'kVARh_c_del', 332, 385);
  -- Добавление параметра прибора "kVARh  received C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10094, 'kVARh  received C', '', 751, 1, 1, 'kVARh_c_rec', 332, 385);
  -- Добавление параметра прибора "kVAh C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10095, 'kVAh C', '', 751, 1, 1, 'kVAh_c', 332, 385);
