-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10110 AND pr_typ_id <= 10141;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 752 AND gr_typ_id <= 756;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 334;

---- Прибор "ЦЭ-272xx" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (334, 'ЦЭ-272xx', '', 128);

---- Группа "Фаза А" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (752, 'Фаза А', '', 334, 0);

  -- Добавление параметра прибора "Фаза А. Мощность средняя,  активная."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10110, 'Фаза А. Мощность средняя,  активная.', '', 752, 1, 1, 'PA', 334, 385);
  -- Добавление параметра прибора "Фаза А. Напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10111, 'Фаза А. Напряжение', '', 752, 1, 1, 'UA', 334, 385);
  -- Добавление параметра прибора "Фаза А.Ток."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10112, 'Фаза А.Ток.', '', 752, 1, 1, 'IA', 334, 385);
  -- Добавление параметра прибора "Фаза А. Мощность,  активная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10113, 'Фаза А. Мощность,  активная', '', 752, 1, 1, 'P+A', 334, 385);
  -- Добавление параметра прибора "Фаза А. Мощность,  реактивная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10114, 'Фаза А. Мощность,  реактивная', '', 752, 1, 1, 'P-A', 334, 385);
  -- Добавление параметра прибора "Фаза А. Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10115, 'Фаза А. Полная мощность', '', 752, 1, 1, 'PSA', 334, 385);
  -- Добавление параметра прибора "Фаза А Фактор мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10116, 'Фаза А Фактор мощности', '', 752, 1, 1, 'FPA', 334, 385);

---- Группа "Фаза В" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (753, 'Фаза В', '', 334, 0);

  -- Добавление параметра прибора "Фаза B. Мощность средняя,  активная."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10117, 'Фаза B. Мощность средняя,  активная.', '', 753, 1, 1, 'PB', 334, 385);
  -- Добавление параметра прибора "Фаза B. Напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10118, 'Фаза B. Напряжение', '', 753, 1, 1, 'UB', 334, 385);
  -- Добавление параметра прибора "Фаза B.Ток."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10119, 'Фаза B.Ток.', '', 753, 1, 1, 'IB', 334, 385);
  -- Добавление параметра прибора "Фаза B. Мощность,  активная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10120, 'Фаза B. Мощность,  активная', '', 753, 1, 1, 'P+B', 334, 385);
  -- Добавление параметра прибора "Фаза B. Мощность,  реактивная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10121, 'Фаза B. Мощность,  реактивная', '', 753, 1, 1, 'P-B', 334, 385);
  -- Добавление параметра прибора "Фаза B. Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10122, 'Фаза B. Полная мощность', '', 753, 1, 1, 'PSB', 334, 385);
  -- Добавление параметра прибора "Фаза B Фактор мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10123, 'Фаза B Фактор мощности', '', 753, 1, 1, 'FPB', 334, 385);

---- Группа "Фаза С" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (754, 'Фаза С', '', 334, 0);

  -- Добавление параметра прибора "Фаза C. Мощность средняя,  активная."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10124, 'Фаза C. Мощность средняя,  активная.', '', 754, 1, 1, 'PC', 334, 385);
  -- Добавление параметра прибора "Фаза C. Напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10125, 'Фаза C. Напряжение', '', 754, 1, 1, 'UC', 334, 385);
  -- Добавление параметра прибора "Фаза C.Ток."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10126, 'Фаза C.Ток.', '', 754, 1, 1, 'IC', 334, 385);
  -- Добавление параметра прибора "Фаза C. Мощность,  активная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10127, 'Фаза C. Мощность,  активная', '', 754, 1, 1, 'P+C', 334, 385);
  -- Добавление параметра прибора "Фаза C. Мощность,  реактивная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10128, 'Фаза C. Мощность,  реактивная', '', 754, 1, 1, 'P-C', 334, 385);
  -- Добавление параметра прибора "Фаза C. Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10129, 'Фаза C. Полная мощность', '', 754, 1, 1, 'PSC', 334, 385);
  -- Добавление параметра прибора "Фаза C Фактор мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10130, 'Фаза C Фактор мощности', '', 754, 1, 1, 'FPC', 334, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (755, 'Энергия', '', 334, 0);

  -- Добавление параметра прибора "Энергия общая"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10131, 'Энергия общая', '', 755, 1, 1, 'E', 334, 397);
  -- Добавление параметра прибора "Энергия тариф1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10132, 'Энергия тариф1', '', 755, 1, 1, 'E1', 334, 397);
  -- Добавление параметра прибора "Энергия тариф2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10133, 'Энергия тариф2', '', 755, 1, 1, 'E2', 334, 397);
  -- Добавление параметра прибора "Энергия тариф3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10134, 'Энергия тариф3', '', 755, 1, 1, 'E3', 334, 397);
  -- Добавление параметра прибора "Энергия тариф4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10135, 'Энергия тариф4', '', 755, 1, 1, 'E4', 334, 397);
  -- Добавление параметра прибора "Активная суммарная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10136, 'Активная суммарная мощность', '', 755, 1, 1, 'P+', 334, 401);
  -- Добавление параметра прибора "Реактивная суммарная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10137, 'Реактивная суммарная мощность', '', 755, 1, 1, 'P-', 334, 385);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (756, 'Общие', '', 334, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10138, 'ДатаВремя', '', 756, 1, 1, 'D', 334, 193);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10139, 'Серийный номер', '', 756, 1, 1, 'SN', 334, 448);
  -- Добавление параметра прибора "Мощность суммарная"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10140, 'Мощность суммарная', '', 756, 1, 1, 'W', 334, 385);
  -- Добавление параметра прибора "Текущий тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10141, 'Текущий тариф', '', 756, 1, 1, 'TN', 334, 385);
