SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10148 AND pr_typ_id <= 10160;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 760;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 335;

---- Прибор "Пульсар приёмный модуль USB "Радиолинк"" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (335, 'Пульсар приёмный модуль USB "Радиолинк"', '', 128);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10148, 'Сетевой адрес', '', 0, 1, 1, '__ADDRESS', 335, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10149, 'Версия ПО', '', 0, 1, 1, '__VERSION_EXTERNAL', 335, 448);
  -- Добавление параметра прибора "Режим работы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10150, 'Режим работы', '', 0, 1, 1, 'P0003.U8', 335, 192);
  -- Добавление параметра прибора "Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10151, 'Частотный план', '', 0, 1, 1, 'P0004.U8', 335, 192);
  -- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10152, 'RSSI последнего пакета [дБм]', '', 0, 1, 1, 'P0005.S8', 335, 448);
  -- Добавление параметра прибора "Параметр пробудки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10153, 'Параметр пробудки', '', 0, 1, 1, 'P0006.U8', 335, 192);
  -- Добавление параметра прибора "Включение пробудки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10154, 'Включение пробудки', '', 0, 1, 1, 'P0007.U8', 335, 192);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10155, 'Пароль (старый | новый)', '', 0, 1, 1, '__PASSWORD', 335, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (760, 'Наладка', 'Для наладчиков', 335, 0);

  -- Добавление параметра прибора "Версия ПО (расширенная)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10156, 'Версия ПО (расширенная)', '', 760, 1, 1, '__VERSION_INTERNAL', 335, 320);
  -- Добавление параметра прибора "Частота кварца [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10157, 'Частота кварца [Гц]', '', 760, 1, 1, 'P0020.U32', 335, 64);
  -- Добавление параметра прибора "Вывод частоты кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10158, 'Вывод частоты кварца', '', 760, 1, 1, 'P0030.U8', 335, 64);
  -- Добавление параметра прибора "Мощность передатчика 433 [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10159, 'Мощность передатчика 433 [дБм]', '', 760, 1, 1, 'P0021.U8', 335, 64);
  -- Добавление параметра прибора "Мощность передатчика 868 [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10160, 'Мощность передатчика 868 [дБм]', '', 760, 1, 1, 'P0022.U8', 335, 64);
