SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10242 AND pr_typ_id <= 10272;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 770 AND gr_typ_id <= 775;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 339;

---- Прибор "Пульсар счетчик импульсов 2K v7" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (339, 'Пульсар счетчик импульсов 2K v7', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (770, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 339, 0);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (771, 'Каналы', 'Текущие и архивируемые каналы прибора', 339, 0);

  -- Добавление параметра прибора "Объём 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10242, 'Объём 1 [м3]', '', 771, 1, 1, 'K1.F32', 339, 143);
  -- Добавление параметра прибора "Объём 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10243, 'Объём 2 [м3]', '', 771, 1, 1, 'K2.F32', 339, 143);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (772, 'Параметры', 'Настройка прибора', 339, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10244, 'Дата и время', '', 772, 1, 1, 'D', 339, 193);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10245, 'Сетевой адрес', '', 772, 1, 1, '__ADDRESS', 339, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10246, 'Версия ПО', '', 772, 1, 1, '__VERSION_EXTERNAL', 339, 448);
  -- Добавление параметра прибора "Вес импульса канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10247, 'Вес импульса канала 1', '', 772, 1, 1, 'P0003.F32', 339, 192);
  -- Добавление параметра прибора "Вес импульса канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10248, 'Вес импульса канала 2', '', 772, 1, 1, 'P0004.F32', 339, 192);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10249, 'Запись запрещена', '', 772, 1, 1, 'P0005.U8', 339, 448);
  -- Добавление параметра прибора "Количество сборосв"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10250, 'Количество сборосв', '', 772, 1, 1, 'P0006.U16', 339, 192);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10251, 'Текущие ошибки', '', 772, 1, 1, 'P0007', 339, 448);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10252, 'Накопленные ошибки', '', 772, 1, 1, 'P0008', 339, 192);
  -- Добавление параметра прибора "Мин. время паузы импульсов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10253, 'Мин. время паузы импульсов', '', 772, 1, 1, 'P000A.U8', 339, 192);
  -- Добавление параметра прибора "Мин. время длительности импульсов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10254, 'Мин. время длительности импульсов', '', 772, 1, 1, 'P000B.U8', 339, 192);
  -- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10255, 'RSSI последнего пакета [дБм]', '', 772, 1, 1, 'P000C.S8', 339, 448);

---- Группа "Радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (773, 'Радио', '', 339, 772);

  -- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10256, '[RF] Мощность передатчика [мВт]', '', 773, 1, 1, 'P1000.U8', 339, 192);
  -- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10257, '[RF] Количество повторов УП маркеров', '', 773, 1, 1, 'P1001.U8', 339, 192);
  -- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10258, '[RF] Режим кодирования УП маркеров', '', 773, 1, 1, 'P1002.U8', 339, 192);
  -- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10259, '[RF] Запрос на неотложную передачу УП маркера', '', 773, 1, 1, 'P10F1.U8', 339, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (774, 'Наладка', '', 339, 772);

  -- Добавление параметра прибора "Версия ПО (расширенная)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10260, 'Версия ПО (расширенная)', '', 774, 1, 1, '__VERSION_INTERNAL', 339, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]. Нижний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10261, 'Напряжение батареи [мВ]. Нижний порог', '', 774, 1, 1, 'P0020.U16', 339, 64);
  -- Добавление параметра прибора "Напряжение батареи [мВ]. Верхний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10262, 'Напряжение батареи [мВ]. Верхний порог', '', 774, 1, 1, 'P0021.U16', 339, 64);
  -- Добавление параметра прибора "Ёмкость EEPROM [КБ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10263, 'Ёмкость EEPROM [КБ]', '', 774, 1, 1, 'P0022.U8', 339, 64);
  -- Добавление параметра прибора "Температура среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10264, 'Температура среды [C]', '', 774, 1, 1, 'P0040.S8', 339, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10265, 'Напряжение батареи [мВ]', '', 774, 1, 1, 'P0041.U16', 339, 320);
  -- Добавление параметра прибора "Диагностика прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10266, 'Диагностика прибора', '', 774, 1, 1, 'P0042.U8', 339, 64);
  -- Добавление параметра прибора "Вывод частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10267, 'Вывод частоты часового кварца', '', 774, 1, 1, 'P0043.U8', 339, 64);
  -- Добавление параметра прибора "Причина сброса MCU"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10268, 'Причина сброса MCU', '', 774, 1, 1, 'P0046', 339, 320);
  -- Добавление параметра прибора "Вывод частоты кварца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10269, 'Вывод частоты кварца трансивера', '', 774, 1, 1, 'P0044.U8', 339, 64);
  -- Добавление параметра прибора "Последняя ошибка трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10270, 'Последняя ошибка трансивера', '', 774, 1, 1, 'P0045.U8', 339, 64);
  -- Добавление параметра прибора "Частота кварца трансивера [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10271, 'Частота кварца трансивера [Гц]', '', 774, 1, 1, 'P0023.U32', 339, 64);

---- Группа "Радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (775, 'Радио', '', 339, 774);

  -- Добавление параметра прибора "[RF] Конденсаторы кварца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10272, '[RF] Конденсаторы кварца трансивера', '', 775, 1, 1, 'P0024.U8', 339, 64);
