-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10273 AND pr_typ_id <= 10346;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 776 AND gr_typ_id <= 786;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 340;

---- Прибор "Взлёт ТСРВ-43" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (340, 'Взлёт ТСРВ-43', '', 128);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (776, 'Общие', '', 340, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10273, 'Серийный номер', '', 776, 1, 1, 'SN', 340, 448);
  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10274, 'ДатаВремя', '', 776, 1, 1, 'D', 340, 193);
  -- Добавление параметра прибора "Время наработки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10275, 'Время наработки', '', 776, 1, 1, 'WT', 340, 399);

---- Группа "Теплосистема 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (777, 'Теплосистема 1', '', 340, 0);

  -- Добавление параметра прибора "Тепловая мощность ТС1, ГДж/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10276, 'Тепловая мощность ТС1, ГДж/ч', '', 777, 1, 1, 'TS1E', 340, 385);
  -- Добавление параметра прибора "Тепловая энергия ТС1, МДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10277, 'Тепловая энергия ТС1, МДж', '', 777, 1, 1, 'TS1Q', 340, 399);
  -- Добавление параметра прибора "Массовый расход ТС1, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10278, 'Массовый расход ТС1, т/ч', '', 777, 1, 1, 'TS1GM', 340, 385);
  -- Добавление параметра прибора "Масса ТС1, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10279, 'Масса ТС1, кг', '', 777, 1, 1, 'TS1M', 340, 399);
  -- Добавление параметра прибора "Время нормальной работы ТС1, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10280, 'Время нормальной работы ТС1, сек', '', 777, 1, 1, 'TS1TW', 340, 399);
  -- Добавление параметра прибора "Время нештатных ситуаций ТС1, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10281, 'Время нештатных ситуаций ТС1, сек', '', 777, 1, 1, 'TS1TNS', 340, 399);

---- Группа "Теплосистема 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (778, 'Теплосистема 2', '', 340, 0);

  -- Добавление параметра прибора "Тепловая мощность ТС2, ГДж/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10282, 'Тепловая мощность ТС2, ГДж/ч', '', 778, 1, 1, 'TS2E', 340, 385);
  -- Добавление параметра прибора "Тепловая энергия ТС2, МДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10283, 'Тепловая энергия ТС2, МДж', '', 778, 1, 1, 'TS2Q', 340, 399);
  -- Добавление параметра прибора "Массовый расход ТС2, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10284, 'Массовый расход ТС2, т/ч', '', 778, 1, 1, 'TS2GM', 340, 385);
  -- Добавление параметра прибора "Масса ТС2, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10285, 'Масса ТС2, кг', '', 778, 1, 1, 'TS2M', 340, 399);
  -- Добавление параметра прибора "Время нормальной работы ТС2, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10286, 'Время нормальной работы ТС2, сек', '', 778, 1, 1, 'TS2TW', 340, 399);
  -- Добавление параметра прибора "Время нештатных ситуаций ТС2, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10287, 'Время нештатных ситуаций ТС2, сек', '', 778, 1, 1, 'TS2TNS', 340, 399);

---- Группа "Теплосистема 3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (779, 'Теплосистема 3', '', 340, 0);

  -- Добавление параметра прибора "Тепловая мощность ТС3, ГДж/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10288, 'Тепловая мощность ТС3, ГДж/ч', '', 779, 1, 1, 'TS3E', 340, 385);
  -- Добавление параметра прибора "Тепловая энергия ТС3, МДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10289, 'Тепловая энергия ТС3, МДж', '', 779, 1, 1, 'TS3Q', 340, 399);
  -- Добавление параметра прибора "Массовый расход ТС3, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10290, 'Массовый расход ТС3, т/ч', '', 779, 1, 1, 'TS3GM', 340, 385);
  -- Добавление параметра прибора "Масса ТС3, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10291, 'Масса ТС3, кг', '', 779, 1, 1, 'TS3M', 340, 399);
  -- Добавление параметра прибора "Время нормальной работы ТС3, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10292, 'Время нормальной работы ТС3, сек', '', 779, 1, 1, 'TS3TW', 340, 399);
  -- Добавление параметра прибора "Время нештатных ситуаций ТС3, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10293, 'Время нештатных ситуаций ТС3, сек', '', 779, 1, 1, 'TS3TNS', 340, 399);

---- Группа "Теплосистема 4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (780, 'Теплосистема 4', '', 340, 0);

  -- Добавление параметра прибора "Тепловая мощность ТС4, ГДж/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10294, 'Тепловая мощность ТС4, ГДж/ч', '', 780, 1, 1, 'TS4E', 340, 385);
  -- Добавление параметра прибора "Тепловая энергия ТС4, МДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10295, 'Тепловая энергия ТС4, МДж', '', 780, 1, 1, 'TS4Q', 340, 399);
  -- Добавление параметра прибора "Массовый расход ТС4, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10296, 'Массовый расход ТС4, т/ч', '', 780, 1, 1, 'TS4GM', 340, 385);
  -- Добавление параметра прибора "Масса ТС4, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10297, 'Масса ТС4, кг', '', 780, 1, 1, 'TS4M', 340, 399);
  -- Добавление параметра прибора "Время нормальной работы ТС4, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10298, 'Время нормальной работы ТС4, сек', '', 780, 1, 1, 'TS4TW', 340, 399);
  -- Добавление параметра прибора "Время нештатных ситуаций ТС4, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10299, 'Время нештатных ситуаций ТС4, сек', '', 780, 1, 1, 'TS4TNS', 340, 399);

---- Группа "Канал1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (781, 'Канал1', '', 340, 0);

  -- Добавление параметра прибора "Температура канала 1, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10300, 'Температура канала 1, гр. С', '', 781, 1, 1, 'K1T', 340, 399);
  -- Добавление параметра прибора "Удельная энтальпия канала 1, кДж/кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10301, 'Удельная энтальпия канала 1, кДж/кг', '', 781, 1, 1, 'K1h', 340, 385);
  -- Добавление параметра прибора "Плотность канала 1, т/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10302, 'Плотность канала 1, т/м3', '', 781, 1, 1, 'K1P', 340, 385);
  -- Добавление параметра прибора "Давление канала 1, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10303, 'Давление канала 1, МПа', '', 781, 1, 1, 'K1Pr', 340, 399);
  -- Добавление параметра прибора "Объемный расход канала 1, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10304, 'Объемный расход канала 1, м3/ч', '', 781, 1, 1, 'K1GV', 340, 385);
  -- Добавление параметра прибора "Массовый расход канала 1, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10305, 'Массовый расход канала 1, т/ч', '', 781, 1, 1, 'K1GM', 340, 385);
  -- Добавление параметра прибора "Накопленный объем канала 1, л"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10306, 'Накопленный объем канала 1, л', '', 781, 1, 1, 'K1V', 340, 399);
  -- Добавление параметра прибора "Накопленная масса канала 1, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10307, 'Накопленная масса канала 1, кг', '', 781, 1, 1, 'K1M', 340, 399);

---- Группа "Канал2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (782, 'Канал2', '', 340, 0);

  -- Добавление параметра прибора "Температура канала 2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10308, 'Температура канала 2, гр. С', '', 782, 1, 1, 'K2T', 340, 399);
  -- Добавление параметра прибора "Удельная энтальпия канала 2, кДж/кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10309, 'Удельная энтальпия канала 2, кДж/кг', '', 782, 1, 1, 'K2h', 340, 385);
  -- Добавление параметра прибора "Плотность канала 2, т/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10310, 'Плотность канала 2, т/м3', '', 782, 1, 1, 'K2P', 340, 385);
  -- Добавление параметра прибора "Давление канала 2, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10311, 'Давление канала 2, МПа', '', 782, 1, 1, 'K2Pr', 340, 399);
  -- Добавление параметра прибора "Объемный расход канала 2, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10312, 'Объемный расход канала 2, м3/ч', '', 782, 1, 1, 'K2GV', 340, 385);
  -- Добавление параметра прибора "Массовый расход канала 2, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10313, 'Массовый расход канала 2, т/ч', '', 782, 1, 1, 'K2GM', 340, 385);
  -- Добавление параметра прибора "Накопленный объем канала 2, л"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10314, 'Накопленный объем канала 2, л', '', 782, 1, 1, 'K2V', 340, 399);
  -- Добавление параметра прибора "Накопленная масса канала 2, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10315, 'Накопленная масса канала 2, кг', '', 782, 1, 1, 'K2M', 340, 399);

---- Группа "Канал3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (783, 'Канал3', '', 340, 0);

  -- Добавление параметра прибора "Температура канала 3, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10316, 'Температура канала 3, гр. С', '', 783, 1, 1, 'K3T', 340, 399);
  -- Добавление параметра прибора "Удельная энтальпия канала 3, кДж/кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10317, 'Удельная энтальпия канала 3, кДж/кг', '', 783, 1, 1, 'K3h', 340, 385);
  -- Добавление параметра прибора "Плотность канала 3, т/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10318, 'Плотность канала 3, т/м3', '', 783, 1, 1, 'K3P', 340, 385);
  -- Добавление параметра прибора "Давление канала 3, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10319, 'Давление канала 3, МПа', '', 783, 1, 1, 'K3Pr', 340, 399);
  -- Добавление параметра прибора "Объемный расход канала 3, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10320, 'Объемный расход канала 3, м3/ч', '', 783, 1, 1, 'K3GV', 340, 385);
  -- Добавление параметра прибора "Массовый расход канала 3, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10321, 'Массовый расход канала 3, т/ч', '', 783, 1, 1, 'K3GM', 340, 385);
  -- Добавление параметра прибора "Накопленный объем канала 3, л"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10322, 'Накопленный объем канала 3, л', '', 783, 1, 1, 'K3V', 340, 399);
  -- Добавление параметра прибора "Накопленная масса канала 3, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10323, 'Накопленная масса канала 3, кг', '', 783, 1, 1, 'K3M', 340, 399);

---- Группа "Канал4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (784, 'Канал4', '', 340, 0);

  -- Добавление параметра прибора "Температура канала 4, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10324, 'Температура канала 4, гр. С', '', 784, 1, 1, 'K4T', 340, 399);
  -- Добавление параметра прибора "Уельная энтальпия канала 4, кДж/кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10325, 'Уельная энтальпия канала 4, кДж/кг', '', 784, 1, 1, 'K4h', 340, 385);
  -- Добавление параметра прибора "Плотность канала 4, т/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10326, 'Плотность канала 4, т/м3', '', 784, 1, 1, 'K4P', 340, 385);
  -- Добавление параметра прибора "Давление канала 4, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10327, 'Давление канала 4, МПа', '', 784, 1, 1, 'K4Pr', 340, 399);
  -- Добавление параметра прибора "Объемный расход канала 4, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10328, 'Объемный расход канала 4, м3/ч', '', 784, 1, 1, 'K4GV', 340, 385);
  -- Добавление параметра прибора "Массовый расход канала 4, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10329, 'Массовый расход канала 4, т/ч', '', 784, 1, 1, 'K4GM', 340, 385);
  -- Добавление параметра прибора "Накопленный объем канала 4, л"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10330, 'Накопленный объем канала 4, л', '', 784, 1, 1, 'K4V', 340, 399);
  -- Добавление параметра прибора "Накопленная масса канала 4, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10331, 'Накопленная масса канала 4, кг', '', 784, 1, 1, 'K4M', 340, 399);

---- Группа "Канал5" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (785, 'Канал5', '', 340, 0);

  -- Добавление параметра прибора "Температура канала 5, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10332, 'Температура канала 5, гр. С', '', 785, 1, 1, 'K5T', 340, 399);
  -- Добавление параметра прибора "Удельная энтальпия канала 5, кДж/кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10333, 'Удельная энтальпия канала 5, кДж/кг', '', 785, 1, 1, 'K5h', 340, 385);
  -- Добавление параметра прибора "Плотность канала 5, т/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10334, 'Плотность канала 5, т/м3', '', 785, 1, 1, 'K5P', 340, 385);
  -- Добавление параметра прибора "Объемный расход канала 5, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10335, 'Объемный расход канала 5, м3/ч', '', 785, 1, 1, 'K5GV', 340, 385);
  -- Добавление параметра прибора "Массовый расход канала 5, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10336, 'Массовый расход канала 5, т/ч', '', 785, 1, 1, 'K5GM', 340, 385);
  -- Добавление параметра прибора "Накопленный объем канала 5, л"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10337, 'Накопленный объем канала 5, л', '', 785, 1, 1, 'K5V', 340, 399);
  -- Добавление параметра прибора "Накопленная масса канала 5, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10338, 'Накопленная масса канала 5, кг', '', 785, 1, 1, 'K5M', 340, 399);

---- Группа "Канал6" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (786, 'Канал6', '', 340, 0);

  -- Добавление параметра прибора "Температура канала 6, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10339, 'Температура канала 6, гр. С', '', 786, 1, 1, 'K6T', 340, 399);
  -- Добавление параметра прибора "Удельная энтальпия канала 6, кДж/кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10340, 'Удельная энтальпия канала 6, кДж/кг', '', 786, 1, 1, 'K6h', 340, 385);
  -- Добавление параметра прибора "Плотность канала 6, т/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10341, 'Плотность канала 6, т/м3', '', 786, 1, 1, 'K6P', 340, 385);
  -- Добавление параметра прибора "Давление канала 6, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10342, 'Давление канала 6, МПа', '', 786, 1, 1, 'K6Pr', 340, 399);
  -- Добавление параметра прибора "Объемный расход канала 6, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10343, 'Объемный расход канала 6, м3/ч', '', 786, 1, 1, 'K6GV', 340, 385);
  -- Добавление параметра прибора "Массовый расход канала 6, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10344, 'Массовый расход канала 6, т/ч', '', 786, 1, 1, 'K6GM', 340, 385);
  -- Добавление параметра прибора "Накопленный объем канала 6, л"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10345, 'Накопленный объем канала 6, л', '', 786, 1, 1, 'K6V', 340, 399);
  -- Добавление параметра прибора "Накопленная масса канала 6, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10346, 'Накопленная масса канала 6, кг', '', 786, 1, 1, 'K6M', 340, 399);
