-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10347 AND pr_typ_id <= 10569;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 787 AND gr_typ_id <= 790;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 341 AND dev_typ_id <= 342;

---- Прибор "Пульсар теплосчётчик ультразвук." ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразвук.', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 280;

---- Группа "Настроечные" ----

  -- Обновление параметра прибора "Тип дисплея"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тип дисплея', "Comment" = '', "NameP2" = 'NPARAM1A', dev_typ_id = 280, "SupportData" = 192 WHERE pr_typ_id = 8535;
  -- Обновление параметра прибора "Архивируемые каналы - маска"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Архивируемые каналы - маска', "Comment" = '', "NameP2" = 'NPARAM1B', dev_typ_id = 280, "SupportData" = 10432 WHERE pr_typ_id = 8998;

---- Прибор "Пульсар теплосчётчик ультразвук. V2" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразвук. V2', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 308;

---- Прибор "Пульсар теплосчётчик ультразвук. V29 " ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (341, 'Пульсар теплосчётчик ультразвук. V29 ', '', 128);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (787, 'Текущие', '', 341, 0);

  -- Добавление параметра прибора "Сопротивление 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10347, 'Сопротивление 1', '', 787, 1, 1, 'K1', 341, 385);
  -- Добавление параметра прибора "Сопротивление 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10348, 'Сопротивление 2', '', 787, 1, 1, 'K2', 341, 385);
  -- Добавление параметра прибора "Температура[подача,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10349, 'Температура[подача,C]', '', 787, 1, 1, 'K3', 341, 399);
  -- Добавление параметра прибора "Температура[обратка,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10350, 'Температура[обратка,C]', '', 787, 1, 1, 'K4', 341, 399);
  -- Добавление параметра прибора "Температура[перепад,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10351, 'Температура[перепад,C]', '', 787, 1, 1, 'K5', 341, 385);
  -- Добавление параметра прибора "Расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10352, 'Расход[м3/ч]', '', 787, 1, 1, 'K9', 341, 385);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10353, 'Мощность', '', 787, 1, 1, 'K6', 341, 385);
  -- Добавление параметра прибора "Импульсный вход1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10354, 'Импульсный вход1', '', 787, 1, 1, 'K10', 341, 143);
  -- Добавление параметра прибора "Импульсный вход2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10355, 'Импульсный вход2', '', 787, 1, 1, 'K11', 341, 143);
  -- Добавление параметра прибора "Импульсный вход3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10356, 'Импульсный вход3', '', 787, 1, 1, 'K12', 341, 143);
  -- Добавление параметра прибора "Импульсный вход4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10357, 'Импульсный вход4', '', 787, 1, 1, 'K13', 341, 143);
  -- Добавление параметра прибора "Объём подачи[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10358, 'Объём подачи[м3]', '', 787, 1, 1, 'K8', 341, 143);
  -- Добавление параметра прибора "Объём обратки[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10359, 'Объём обратки[м3]', '', 787, 1, 1, 'K27', 341, 143);
  -- Добавление параметра прибора "Масса подачи[т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10360, 'Масса подачи[т]', '', 787, 1, 1, 'K24', 341, 143);
  -- Добавление параметра прибора "Масса обратки[т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10361, 'Масса обратки[т]', '', 787, 1, 1, 'K25', 341, 143);
  -- Добавление параметра прибора "Масса потер/отобр[т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10362, 'Масса потер/отобр[т]', '', 787, 1, 1, 'K26', 341, 143);
  -- Добавление параметра прибора "Энергия общая (E)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10363, 'Энергия общая (E)', '', 787, 1, 1, 'K7', 341, 143);
  -- Добавление параметра прибора "Энергия отопл.(E1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10364, 'Энергия отопл.(E1)', '', 787, 1, 1, 'K21', 341, 143);
  -- Добавление параметра прибора "Энергия потер/отобр(E2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10365, 'Энергия потер/отобр(E2)', '', 787, 1, 1, 'K28', 341, 143);
  -- Добавление параметра прибора "Давлени подачи[МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10366, 'Давлени подачи[МПа]', '', 787, 1, 1, 'K22', 341, 399);
  -- Добавление параметра прибора "Давлени обратки[МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10367, 'Давлени обратки[МПа]', '', 787, 1, 1, 'K23', 341, 399);
  -- Добавление параметра прибора "Время дифф. теста [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10368, 'Время дифф. теста [мкс]', '', 787, 1, 1, 'K15', 341, 385);
  -- Добавление параметра прибора "Тестовый объём[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10369, 'Тестовый объём[м3]', '', 787, 1, 1, 'K16', 341, 385);
  -- Добавление параметра прибора "Тестовый расход[без корр[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10370, 'Тестовый расход[без корр[м3/ч]', '', 787, 1, 1, 'K19', 341, 385);
  -- Добавление параметра прибора "Тестовый расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10371, 'Тестовый расход[м3/ч]', '', 787, 1, 1, 'K17', 341, 385);
  -- Добавление параметра прибора "Измерений за тест"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10372, 'Измерений за тест', '', 787, 1, 1, 'K18', 341, 385);
  -- Добавление параметра прибора "Уровень ультразвука[mV]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10373, 'Уровень ультразвука[mV]', '', 787, 1, 1, 'K32', 341, 399);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10374, 'Время наработки [ч]', '', 787, 1, 1, 'P000C.U32', 341, 385);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10375, 'Время наработки c ошибками [ч]', '', 787, 1, 1, 'P000D.U32', 341, 385);
  -- Добавление параметра прибора "Время нормальной работы[ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10376, 'Время нормальной работы[ч]', '', 787, 1, 1, 'K20.U32', 341, 143);
  -- Добавление параметра прибора "Код ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10377, 'Код ошибок', '', 787, 1, 1, 'K29.U32.X', 341, 399);

---- Группа "Новая группа" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (788, 'Новая группа', '', 341, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10378, 'Дата и время', '', 788, 1, 1, 'D', 341, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10379, 'Версия ПО', '', 788, 1, 1, 'P0005.U8', 341, 448);
  -- Добавление параметра прибора "Ревизия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10380, 'Ревизия ПО', '', 788, 1, 1, 'P0005.U32.BIT24-8', 341, 448);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10381, 'Сетевой адрес', '', 788, 1, 1, 'P0002.U32.XN', 341, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10382, 'Ошибки', '', 788, 1, 1, 'P0006.U32.X', 341, 448);
  -- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10383, 'Наработка с ошибками, маска', '', 788, 1, 1, 'P000E.U32.X', 341, 192);
  -- Добавление параметра прибора "Тип счетчика(параметры учета энергии)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10384, 'Тип счетчика(параметры учета энергии)', '', 788, 1, 1, 'P000F.U8.X', 341, 192);
  -- Добавление параметра прибора "EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10385, 'EEPROM', '', 788, 1, 1, 'P0011.U8', 341, 192);
  -- Добавление параметра прибора "Имп.Выход (0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10386, 'Имп.Выход (0-выкл/1-вкл)', '', 788, 1, 1, 'P0012.S8', 341, 192);
  -- Добавление параметра прибора "Кол.Имп.Входов (0...4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10387, 'Кол.Имп.Входов (0...4)', '', 788, 1, 1, 'P0013.U8', 341, 192);
  -- Добавление параметра прибора "Дат. давления ном.X100[mPa]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10388, 'Дат. давления ном.X100[mPa]', '', 788, 1, 1, 'P0018.U8', 341, 192);
  -- Добавление параметра прибора "Калибровка давления (коэф.)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10389, 'Калибровка давления (коэф.)', '', 788, 1, 1, 'P0210.F32', 341, 192);
  -- Добавление параметра прибора "Имп. вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10390, 'Имп. вход 1, вес', '', 788, 1, 1, 'P0020.F32', 341, 192);
  -- Добавление параметра прибора "Имп. вход 1, длит. мин[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10391, 'Имп. вход 1, длит. мин[мс]', '', 788, 1, 1, 'P0021.F32', 341, 192);
  -- Добавление параметра прибора "Имп. вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10392, 'Имп. вход 2, вес', '', 788, 1, 1, 'P0023.F32', 341, 192);
  -- Добавление параметра прибора "Имп. вход 2, длит. мин[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10393, 'Имп. вход 2, длит. мин[мс]', '', 788, 1, 1, 'P0024.F32', 341, 192);
  -- Добавление параметра прибора "Имп. вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10394, 'Имп. вход 3, вес', '', 788, 1, 1, 'P0026.F32', 341, 192);
  -- Добавление параметра прибора "Имп. вход 3, длит. мин[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10395, 'Имп. вход 3, длит. мин[мс]', '', 788, 1, 1, 'P0027.F32', 341, 192);
  -- Добавление параметра прибора "Имп. вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10396, 'Имп. вход 4, вес', '', 788, 1, 1, 'P0029.F32', 341, 192);
  -- Добавление параметра прибора "Имп. вход 4, длит. мин[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10397, 'Имп. вход 4, длит. мин[мс]', '', 788, 1, 1, 'P002A.F32', 341, 192);
  -- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10398, 'Имп. выход, вес', '', 788, 1, 1, 'P002C.F32', 341, 192);
  -- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10399, 'Имп. выход, длит. [мс]', '', 788, 1, 1, 'P002D.F32', 341, 192);
  -- Добавление параметра прибора "Температура виртуальная [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10400, 'Температура виртуальная [C]', '', 788, 1, 1, 'P0050.F32', 341, 192);
  -- Добавление параметра прибора "Дельта темпер.- гистерезис[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10401, 'Дельта темпер.- гистерезис[C]', '', 788, 1, 1, 'P0052.F32', 341, 192);
  -- Добавление параметра прибора "Дельта темпер. для энергии[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10402, 'Дельта темпер. для энергии[C]', '', 788, 1, 1, 'P0055.F32', 341, 192);
  -- Добавление параметра прибора "Пороговый расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10403, 'Пороговый расход[м3/ч]', '', 788, 1, 1, 'P0051.F32', 341, 192);
  -- Добавление параметра прибора "Минимальный расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10404, 'Минимальный расход[м3/ч]', '', 788, 1, 1, 'P0053.F32', 341, 192);
  -- Добавление параметра прибора "Максимальный расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10405, 'Максимальный расход[м3/ч]', '', 788, 1, 1, 'P0054.F32', 341, 192);
  -- Добавление параметра прибора "Мин. расход 2 (водосчетчика)[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10406, 'Мин. расход 2 (водосчетчика)[м3/ч]', '', 788, 1, 1, 'P0300.F32', 341, 192);
  -- Добавление параметра прибора "Макс. расход 2 (водосчетчика)[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10407, 'Макс. расход 2 (водосчетчика)[м3/ч]', '', 788, 1, 1, 'P0301.F32', 341, 192);
  -- Добавление параметра прибора "Макс. небаланс для контроля масс[%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10408, 'Макс. небаланс для контроля масс[%]', '', 788, 1, 1, 'P0302.F32', 341, 192);
  -- Добавление параметра прибора "Метод контроля масс (код 0 - 4 )"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10409, 'Метод контроля масс (код 0 - 4 )', '', 788, 1, 1, 'P0303.U8', 341, 192);
  -- Добавление параметра прибора "Метод контроля энергии (код 0 - 2 )"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10410, 'Метод контроля энергии (код 0 - 2 )', '', 788, 1, 1, 'P0304.U8', 341, 192);
  -- Добавление параметра прибора "Архивируемые каналы - маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10411, 'Архивируемые каналы - маска', '', 788, 1, 1, 'P001B.U32', 341, 192);
  -- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10412, 'Автопереход зима/лето', '', 788, 1, 1, 'P0001.U8', 341, 192);
  -- Добавление параметра прибора "Количество сборосов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10413, 'Количество сборосов', '', 788, 1, 1, 'P0007.U16', 341, 448);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10414, 'Запись разрешена аппаратно', '', 788, 1, 1, 'P0008.U8.BIT3', 341, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10415, 'Запись разрешена программно', '', 788, 1, 1, 'P0008.U8.BIT4', 341, 448);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10416, 'Напряжение батареи [мВ]', '', 788, 1, 1, 'P000A.U16', 341, 448);
  -- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10417, 'Температура контроллера [C]', '', 788, 1, 1, 'P000B.U8', 341, 448);
  -- Добавление параметра прибора "Частота кварца LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10418, 'Частота кварца LF [Гц]', '', 788, 1, 1, 'P0003.F32', 341, 192);
  -- Добавление параметра прибора "Частота кварца RF [МГц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10419, 'Частота кварца RF [МГц]', '', 788, 1, 1, 'P0004.F32', 341, 192);
  -- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10420, 'Тест ACLK', '', 788, 1, 1, 'P0090.U8', 341, 192);
  -- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10421, 'Тест расхода', '', 788, 1, 1, 'P0092.U8', 341, 192);
  -- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10422, 'Линеаризация расхода', '', 788, 1, 1, 'P005F.U8', 341, 192);
  -- Добавление параметра прибора "Режим расчёта УЗ по полиному"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10423, 'Режим расчёта УЗ по полиному', '', 788, 1, 1, 'P0230.U8', 341, 192);
  -- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10424, 'Часовой кварц, ёмкость', '', 788, 1, 1, 'P0010.S8', 341, 192);
  -- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10425, 'Порт RS485', '', 788, 1, 1, 'P0015.U8.X', 341, 192);
  -- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10426, 'Порт ИК', '', 788, 1, 1, 'P0016.U8.X', 341, 192);
  -- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10427, 'Конфигурация кнопки', '', 788, 1, 1, 'P0019.S8', 341, 192);
  -- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10428, 'Язык', '', 788, 1, 1, 'P001A.U16.BIT0-2', 341, 192);
  -- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10429, 'Модуль дисплея', '', 788, 1, 1, 'P001A.U16.BIT2-6', 341, 192);
  -- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10430, 'Единицы измерения энергии', '', 788, 1, 1, 'P001A.U16.BIT8-4', 341, 192);
  -- Добавление параметра прибора "Единицы измерения мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10431, 'Единицы измерения мощности', '', 788, 1, 1, 'P001A.U16.BIT12-4', 341, 192);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10432, 'Значение смещения [Ом]', '', 788, 1, 1, 'P0030.F32', 341, 192);
  -- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10433, 'Коэфф. диапазона [Ом]', '', 788, 1, 1, 'P0031.F32', 341, 192);
  -- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10434, 'Сопротивление калиб. [Ом]', '', 788, 1, 1, 'P0032.F32', 341, 192);
  -- Добавление параметра прибора "Сопротивление 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10435, 'Сопротивление 1 [Ом]', '', 788, 1, 1, 'P0033.F32', 341, 448);
  -- Добавление параметра прибора "Сопротивление 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10436, 'Сопротивление 2 [Ом]', '', 788, 1, 1, 'P0034.F32', 341, 448);
  -- Добавление параметра прибора "Rwire 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10437, 'Rwire 1 [Ом]', '', 788, 1, 1, 'P0035.F32', 341, 192);
  -- Добавление параметра прибора "R0 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10438, 'R0 1 [Ом]', '', 788, 1, 1, 'P0036.F32', 341, 192);
  -- Добавление параметра прибора "Alfa 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10439, 'Alfa 1 [Ом]', '', 788, 1, 1, 'P0037.F32', 341, 192);
  -- Добавление параметра прибора "Beta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10440, 'Beta 1 [Ом]', '', 788, 1, 1, 'P0038.F32', 341, 192);
  -- Добавление параметра прибора "Delta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10441, 'Delta 1 [Ом]', '', 788, 1, 1, 'P0039.F32', 341, 192);
  -- Добавление параметра прибора "Rwire 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10442, 'Rwire 1 [Ом]', '', 788, 1, 1, 'P003A.F32', 341, 192);
  -- Добавление параметра прибора "R0 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10443, 'R0 2 [Ом]', '', 788, 1, 1, 'P003B.F32', 341, 192);
  -- Добавление параметра прибора "Alfa 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10444, 'Alfa 2 [Ом]', '', 788, 1, 1, 'P003C.F32', 341, 192);
  -- Добавление параметра прибора "Beta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10445, 'Beta 2 [Ом]', '', 788, 1, 1, 'P003D.F32', 341, 192);
  -- Добавление параметра прибора "Delta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10446, 'Delta 2 [Ом]', '', 788, 1, 1, 'P003E.F32', 341, 192);
  -- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10447, 'Сенсорная кнопка, статус', '', 788, 1, 1, 'P0098.U64.X', 341, 448);
  -- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10448, 'Глубина часового архива', '', 788, 1, 1, 'P001C.U64.BIT0-16', 341, 192);
  -- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10449, 'Глубина суточного архива', '', 788, 1, 1, 'P001C.U64.BIT16-16', 341, 192);
  -- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10450, 'Глубина месячного архива', '', 788, 1, 1, 'P001C.U64.BIT32-16', 341, 192);
  -- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10451, 'Глубина журнала событий', '', 788, 1, 1, 'P001C.U64.BIT48-16', 341, 192);
  -- Добавление параметра прибора "Глубина архивов-код. Для обнуления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10452, 'Глубина архивов-код. Для обнуления', '', 788, 1, 1, 'P001C.U64.X', 341, 192);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10453, 'Диагностика', '', 788, 1, 1, 'P0090.U8', 341, 192);
  -- Добавление параметра прибора "Калибровка нуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10454, 'Калибровка нуля', '', 788, 1, 1, 'P0200.F32', 341, 192);
  -- Добавление параметра прибора "Калибр. среднего расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10455, 'Калибр. среднего расхода', '', 788, 1, 1, 'P0201.F32', 341, 192);
  -- Добавление параметра прибора "Первый уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10456, 'Первый уровень компаратора', '', 788, 1, 1, 'P0224.U8', 341, 192);
  -- Добавление параметра прибора "Максимальная разница T1_T2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10457, 'Максимальная разница T1_T2', '', 788, 1, 1, 'P0225.U8', 341, 192);
  -- Добавление параметра прибора "Максимальная разница T2_T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10458, 'Максимальная разница T2_T', '', 788, 1, 1, 'P0226.U8', 341, 192);
  -- Добавление параметра прибора "Диференциальное время для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10459, 'Диференциальное время для теста', '', 788, 1, 1, 'P0240.F32', 341, 192);
  -- Добавление параметра прибора "Сопротивление 0 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10460, 'Сопротивление 0 для теста', '', 788, 1, 1, 'P0242.F32', 341, 192);
  -- Добавление параметра прибора "Сопротивление 1 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10461, 'Сопротивление 1 для теста', '', 788, 1, 1, 'P0243.F32', 341, 192);
  -- Добавление параметра прибора "Расход для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10462, 'Расход для теста', '', 788, 1, 1, 'P0241.F32', 341, 192);
  -- Добавление параметра прибора "Время теста для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10463, 'Время теста для энергии', '', 788, 1, 1, 'P0244.U16', 341, 192);
  -- Добавление параметра прибора "Итоговое время теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10464, 'Итоговое время теста', '', 788, 1, 1, 'P0245.U16', 341, 192);

---- Прибор "Пульсар теплосчётчик ультразвук. V40" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (342, 'Пульсар теплосчётчик ультразвук. V40', '', 128);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (789, 'Каналы', '', 342, 0);

  -- Добавление параметра прибора "Сопротивление 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10465, 'Сопротивление 1', '', 789, 1, 1, 'K1', 342, 385);
  -- Добавление параметра прибора "Сопротивление 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10466, 'Сопротивление 2', '', 789, 1, 1, 'K2', 342, 385);
  -- Добавление параметра прибора "Температура[подача,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10467, 'Температура[подача,C]', '', 789, 1, 1, 'K3', 342, 399);
  -- Добавление параметра прибора "Температура[обратка,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10468, 'Температура[обратка,C]', '', 789, 1, 1, 'K4', 342, 399);
  -- Добавление параметра прибора "Температура[перепад,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10469, 'Температура[перепад,C]', '', 789, 1, 1, 'K5', 342, 385);
  -- Добавление параметра прибора "Расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10470, 'Расход[м3/ч]', '', 789, 1, 1, 'K9', 342, 385);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10471, 'Мощность', '', 789, 1, 1, 'K6', 342, 385);
  -- Добавление параметра прибора "Импульсный вход1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10472, 'Импульсный вход1', '', 789, 1, 1, 'K10', 342, 143);
  -- Добавление параметра прибора "Импульсный вход2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10473, 'Импульсный вход2', '', 789, 1, 1, 'K11', 342, 143);
  -- Добавление параметра прибора "Импульсный вход3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10474, 'Импульсный вход3', '', 789, 1, 1, 'K12', 342, 143);
  -- Добавление параметра прибора "Импульсный вход4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10475, 'Импульсный вход4', '', 789, 1, 1, 'K13', 342, 143);
  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10476, 'Объём [м3]', '', 789, 1, 1, 'K8', 342, 143);
  -- Добавление параметра прибора "Энергия тепла"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10477, 'Энергия тепла', '', 789, 1, 1, 'K7', 342, 143);
  -- Добавление параметра прибора "Энергия холода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10478, 'Энергия холода', '', 789, 1, 1, 'K21', 342, 143);
  -- Добавление параметра прибора "Время дифф. теста [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10479, 'Время дифф. теста [мкс]', '', 789, 1, 1, 'K15', 342, 385);
  -- Добавление параметра прибора "Тестовый объём[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10480, 'Тестовый объём[м3]', '', 789, 1, 1, 'K16', 342, 385);
  -- Добавление параметра прибора "Тестовый расход[без корр[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10481, 'Тестовый расход[без корр[м3/ч]', '', 789, 1, 1, 'K19', 342, 385);
  -- Добавление параметра прибора "Тестовый расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10482, 'Тестовый расход[м3/ч]', '', 789, 1, 1, 'K17', 342, 385);
  -- Добавление параметра прибора "Измерений за тест"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10483, 'Измерений за тест', '', 789, 1, 1, 'K18', 342, 385);
  -- Добавление параметра прибора "Уровень ультразвука[mV]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10484, 'Уровень ультразвука[mV]', '', 789, 1, 1, 'K32', 342, 399);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10485, 'Время наработки [ч]', '', 789, 1, 1, 'P000C.U32', 342, 385);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10486, 'Время наработки c ошибками [ч]', '', 789, 1, 1, 'P000D.U32', 342, 385);
  -- Добавление параметра прибора "Время нормальной работы[ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10487, 'Время нормальной работы[ч]', '', 789, 1, 1, 'K20.U32', 342, 143);
  -- Добавление параметра прибора "Код ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10488, 'Код ошибок', '', 789, 1, 1, 'K29.U32.X', 342, 399);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (790, 'Параметры', '', 342, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10489, 'Дата и время', '', 790, 1, 1, 'D', 342, 129);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10490, 'Версия ПО', '', 790, 1, 1, 'P0005.U8', 342, 385);
  -- Добавление параметра прибора "Ревизия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10491, 'Ревизия ПО', '', 790, 1, 1, 'P0005.U32.BIT24-8', 342, 448);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10492, 'Сетевой адрес', '', 790, 1, 1, 'P0002.U32.XN', 342, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10493, 'Ошибки', '', 790, 1, 1, 'P0006.U32.X', 342, 448);
  -- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10494, 'Наработка с ошибками, маска', '', 790, 1, 1, 'P000E.U32.X', 342, 192);
  -- Добавление параметра прибора "Тип счетчика(параметры учета энергии)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10495, 'Тип счетчика(параметры учета энергии)', '', 790, 1, 1, 'P000F.U8.X', 342, 192);
  -- Добавление параметра прибора "EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10496, 'EEPROM', '', 790, 1, 1, 'P0011.U8', 342, 192);
  -- Добавление параметра прибора "Имп.Выход (0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10497, 'Имп.Выход (0-выкл/1-вкл)', '', 790, 1, 1, 'P0012.S8', 342, 192);
  -- Добавление параметра прибора "Кол.Имп.Входов (0...4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10498, 'Кол.Имп.Входов (0...4)', '', 790, 1, 1, 'P0013.U8', 342, 192);
  -- Добавление параметра прибора "Дат. давления ном.X100[mPa]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10499, 'Дат. давления ном.X100[mPa]', '', 790, 1, 1, 'P0018.U8', 342, 192);
  -- Добавление параметра прибора "Имп. вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10500, 'Имп. вход 1, вес', '', 790, 1, 1, 'P0020.F32', 342, 192);
  -- Добавление параметра прибора "Имп. вход 1, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10501, 'Имп. вход 1, длит. [мс]', '', 790, 1, 1, 'P0021.F32', 342, 192);
  -- Добавление параметра прибора "Имп. вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10502, 'Имп. вход 2, вес', '', 790, 1, 1, 'P0023.F32', 342, 192);
  -- Добавление параметра прибора "Имп. вход 2, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10503, 'Имп. вход 2, длит. [мс]', '', 790, 1, 1, 'P0024.F32', 342, 192);
  -- Добавление параметра прибора "Имп. вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10504, 'Имп. вход 3, вес', '', 790, 1, 1, 'P0026.F32', 342, 192);
  -- Добавление параметра прибора "Имп. вход 3, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10505, 'Имп. вход 3, длит. [мс]', '', 790, 1, 1, 'P0027.F32', 342, 192);
  -- Добавление параметра прибора "Имп. вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10506, 'Имп. вход 4, вес', '', 790, 1, 1, 'P0029.F32', 342, 192);
  -- Добавление параметра прибора "Имп. вход 4, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10507, 'Имп. вход 4, длит. [мс]', '', 790, 1, 1, 'P002A.F32', 342, 192);
  -- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10508, 'Имп. выход, вес', '', 790, 1, 1, 'P002C.F32', 342, 192);
  -- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10509, 'Имп. выход, длит. [мс]', '', 790, 1, 1, 'P002D.F32', 342, 192);
  -- Добавление параметра прибора "Температура виртуальная [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10510, 'Температура виртуальная [C]', '', 790, 1, 1, 'P0050.F32', 342, 192);
  -- Добавление параметра прибора "Дельта темпер.- гистерезис[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10511, 'Дельта темпер.- гистерезис[C]', '', 790, 1, 1, 'P0052.F32', 342, 192);
  -- Добавление параметра прибора "Дельта темпер. для энергии[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10512, 'Дельта темпер. для энергии[C]', '', 790, 1, 1, 'P0055.F32', 342, 192);
  -- Добавление параметра прибора "Пороговый расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10513, 'Пороговый расход[м3/ч]', '', 790, 1, 1, 'P0051.F32', 342, 192);
  -- Добавление параметра прибора "Минимальный расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10514, 'Минимальный расход[м3/ч]', '', 790, 1, 1, 'P0053.F32', 342, 192);
  -- Добавление параметра прибора "Максимальный расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10515, 'Максимальный расход[м3/ч]', '', 790, 1, 1, 'P0054.F32', 342, 192);
  -- Добавление параметра прибора "Архивируемые каналы - маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10516, 'Архивируемые каналы - маска', '', 790, 1, 1, 'P001B.U32', 342, 192);
  -- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10517, 'Автопереход зима/лето', '', 790, 1, 1, 'P0001.U8', 342, 192);
  -- Добавление параметра прибора "Количество сборосов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10518, 'Количество сборосов', '', 790, 1, 1, 'P0007.U16', 342, 448);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10519, 'Запись разрешена аппаратно', '', 790, 1, 1, 'P0008.U8.BIT3', 342, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10520, 'Запись разрешена программно', '', 790, 1, 1, 'P0008.U8.BIT4', 342, 448);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10521, 'Напряжение батареи [мВ]', '', 790, 1, 1, 'P000A.U16', 342, 448);
  -- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10522, 'Температура контроллера [C]', '', 790, 1, 1, 'P000B.U8', 342, 448);
  -- Добавление параметра прибора "Частота кварца LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10523, 'Частота кварца LF [Гц]', '', 790, 1, 1, 'P0003.F32', 342, 192);
  -- Добавление параметра прибора "Частота кварца RF [МГц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10524, 'Частота кварца RF [МГц]', '', 790, 1, 1, 'P0004.F32', 342, 192);
  -- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10525, 'Тест ACLK', '', 790, 1, 1, 'P0090.U8', 342, 192);
  -- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10526, 'Тест расхода', '', 790, 1, 1, 'P0092.U8', 342, 192);
  -- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10527, 'Линеаризация расхода', '', 790, 1, 1, 'P005F.U8', 342, 192);
  -- Добавление параметра прибора "Режим расчёта УЗ по полиному"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10528, 'Режим расчёта УЗ по полиному', '', 790, 1, 1, 'P0230.U8', 342, 192);
  -- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10529, 'Часовой кварц, ёмкость', '', 790, 1, 1, 'P0010.S8', 342, 192);
  -- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10530, 'Порт RS485', '', 790, 1, 1, 'P0015.U8.X', 342, 192);
  -- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10531, 'Порт ИК', '', 790, 1, 1, 'P0016.U8.X', 342, 192);
  -- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10532, 'Конфигурация кнопки', '', 790, 1, 1, 'P0019.S8', 342, 192);
  -- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10533, 'Язык', '', 790, 1, 1, 'P001A.U16.BIT0-2', 342, 192);
  -- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10534, 'Модуль дисплея', '', 790, 1, 1, 'P001A.U16.BIT2-6', 342, 192);
  -- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10535, 'Единицы измерения энергии', '', 790, 1, 1, 'P001A.U16.BIT8-4', 342, 192);
  -- Добавление параметра прибора "Единицы измерения мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10536, 'Единицы измерения мощности', '', 790, 1, 1, 'P001A.U16.BIT12-4', 342, 192);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10537, 'Значение смещения [Ом]', '', 790, 1, 1, 'P0030.F32', 342, 192);
  -- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10538, 'Коэфф. диапазона [Ом]', '', 790, 1, 1, 'P0031.F32', 342, 192);
  -- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10539, 'Сопротивление калиб. [Ом]', '', 790, 1, 1, 'P0032.F32', 342, 192);
  -- Добавление параметра прибора "Сопротивление 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10540, 'Сопротивление 1 [Ом]', '', 790, 1, 1, 'P0033.F32', 342, 448);
  -- Добавление параметра прибора "Сопротивление 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10541, 'Сопротивление 2 [Ом]', '', 790, 1, 1, 'P0034.F32', 342, 448);
  -- Добавление параметра прибора "Rwire 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10542, 'Rwire 1 [Ом]', '', 790, 1, 1, 'P0035.F32', 342, 192);
  -- Добавление параметра прибора "R0 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10543, 'R0 1 [Ом]', '', 790, 1, 1, 'P0036.F32', 342, 192);
  -- Добавление параметра прибора "Alfa 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10544, 'Alfa 1 [Ом]', '', 790, 1, 1, 'P0037.F32', 342, 192);
  -- Добавление параметра прибора "Beta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10545, 'Beta 1 [Ом]', '', 790, 1, 1, 'P0038.F32', 342, 192);
  -- Добавление параметра прибора "Delta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10546, 'Delta 1 [Ом]', '', 790, 1, 1, 'P0039.F32', 342, 192);
  -- Добавление параметра прибора "Rwire 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10547, 'Rwire 1 [Ом]', '', 790, 1, 1, 'P003A.F32', 342, 192);
  -- Добавление параметра прибора "R0 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10548, 'R0 2 [Ом]', '', 790, 1, 1, 'P003B.F32', 342, 192);
  -- Добавление параметра прибора "Alfa 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10549, 'Alfa 2 [Ом]', '', 790, 1, 1, 'P003C.F32', 342, 192);
  -- Добавление параметра прибора "Beta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10550, 'Beta 2 [Ом]', '', 790, 1, 1, 'P003D.F32', 342, 192);
  -- Добавление параметра прибора "Delta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10551, 'Delta 2 [Ом]', '', 790, 1, 1, 'P003E.F32', 342, 192);
  -- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10552, 'Сенсорная кнопка, статус', '', 790, 1, 1, 'P0098.U64.X', 342, 448);
  -- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10553, 'Глубина часового архива', '', 790, 1, 1, 'P001C.U64.BIT0-16', 342, 192);
  -- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10554, 'Глубина суточного архива', '', 790, 1, 1, 'P001C.U64.BIT16-16', 342, 192);
  -- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10555, 'Глубина месячного архива', '', 790, 1, 1, 'P001C.U64.BIT32-16', 342, 192);
  -- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10556, 'Глубина журнала событий', '', 790, 1, 1, 'P001C.U64.BIT48-16', 342, 192);
  -- Добавление параметра прибора "Глубина архивов-код. Для обнуления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10557, 'Глубина архивов-код. Для обнуления', '', 790, 1, 1, 'P001C.U64.X', 342, 192);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10558, 'Диагностика', '', 790, 1, 1, 'P0090.U8', 342, 192);
  -- Добавление параметра прибора "Калибровка нуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10559, 'Калибровка нуля', '', 790, 1, 1, 'P0200.F32', 342, 192);
  -- Добавление параметра прибора "Калибр. среднего расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10560, 'Калибр. среднего расхода', '', 790, 1, 1, 'P0201.F32', 342, 192);
  -- Добавление параметра прибора "Первый уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10561, 'Первый уровень компаратора', '', 790, 1, 1, 'P0224.U8', 342, 192);
  -- Добавление параметра прибора "Максимальная разница T1_T2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10562, 'Максимальная разница T1_T2', '', 790, 1, 1, 'P0225.U8', 342, 192);
  -- Добавление параметра прибора "Максимальная разница T2_T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10563, 'Максимальная разница T2_T', '', 790, 1, 1, 'P0226.U8', 342, 192);
  -- Добавление параметра прибора "Диференциальное время для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10564, 'Диференциальное время для теста', '', 790, 1, 1, 'P0240.F32', 342, 192);
  -- Добавление параметра прибора "Сопротивление 0 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10565, 'Сопротивление 0 для теста', '', 790, 1, 1, 'P0242.F32', 342, 192);
  -- Добавление параметра прибора "Сопротивление 1 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10566, 'Сопротивление 1 для теста', '', 790, 1, 1, 'P0243.F32', 342, 192);
  -- Добавление параметра прибора "Расход для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10567, 'Расход для теста', '', 790, 1, 1, 'P0241.F32', 342, 192);
  -- Добавление параметра прибора "Время теста для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10568, 'Время теста для энергии', '', 790, 1, 1, 'P0244.U16', 342, 192);
  -- Добавление параметра прибора "Итоговое время теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10569, 'Итоговое время теста', '', 790, 1, 1, 'P0245.U16', 342, 192);
