-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10570 AND pr_typ_id <= 10636;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 791 AND gr_typ_id <= 795;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 343;

---- Прибор "Эргомера 125" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (343, 'Эргомера 125', '', 128);

---- Группа "Канал1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (791, 'Канал1', '', 343, 0);

  -- Добавление параметра прибора "Время наработки 1, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10570, 'Время наработки 1, сек', '', 791, 1, 1, 'Tn1', 343, 397);
  -- Добавление параметра прибора "Время простоя 1, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10571, 'Время простоя 1, сек', '', 791, 1, 1, 'Tp1', 343, 397);
  -- Добавление параметра прибора "Время работы в режиме q>qмин 1 , сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10572, 'Время работы в режиме q>qмин 1 , сек', '', 791, 1, 1, 'Tot1', 343, 397);
  -- Добавление параметра прибора "Время работы в режиме 1<q<2  q_max , сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10573, 'Время работы в режиме 1<q<2  q_max , сек', '', 791, 1, 1, 'Tnn1', 343, 385);
  -- Добавление параметра прибора "Время работы в режиме q>qпред 1, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10574, 'Время работы в режиме q>qпред 1, сек', '', 791, 1, 1, 'Tpr1', 343, 385);
  -- Добавление параметра прибора "Тепловая мощность 1, ГДж/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10575, 'Тепловая мощность 1, ГДж/ч', '', 791, 1, 1, 'W1', 343, 385);
  -- Добавление параметра прибора "Объемный расход 1 , м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10576, 'Объемный расход 1 , м3/ч', '', 791, 1, 1, 'q1', 343, 385);
  -- Добавление параметра прибора "Массовый расход 1 , тонн/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10577, 'Массовый расход 1 , тонн/ч', '', 791, 1, 1, 'm1', 343, 385);
  -- Добавление параметра прибора "Текущая температура t1, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10578, 'Текущая температура t1, гр. С', '', 791, 1, 1, 't1', 343, 385);
  -- Добавление параметра прибора "Разница температур 1 , гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10579, 'Разница температур 1 , гр. С', '', 791, 1, 1, 'dt1', 343, 387);
  -- Добавление параметра прибора "Текущее давление P1, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10580, 'Текущее давление P1, МПа', '', 791, 1, 1, 'P1', 343, 385);
  -- Добавление параметра прибора "Суммарный объем 1 , м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10581, 'Суммарный объем 1 , м3', '', 791, 1, 1, 'V1', 343, 397);
  -- Добавление параметра прибора "Суммарная масса 1 , тонны"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10582, 'Суммарная масса 1 , тонны', '', 791, 1, 1, 'M1', 343, 397);
  -- Добавление параметра прибора "Delta V1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10583, 'Delta V1, м3', '', 791, 1, 1, 'dV1', 343, 386);
  -- Добавление параметра прибора "Delta M1, тонн"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10584, 'Delta M1, тонн', '', 791, 1, 1, 'dM1', 343, 386);
  -- Добавление параметра прибора "Delta T1 наработки, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10585, 'Delta T1 наработки, сек', '', 791, 1, 1, 'dTn1', 343, 386);
  -- Добавление параметра прибора "Среднее P1, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10586, 'Среднее P1, МПа', '', 791, 1, 1, 'dP1', 343, 386);

---- Группа "Канал2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (792, 'Канал2', '', 343, 0);

  -- Добавление параметра прибора "Время наработки 2, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10587, 'Время наработки 2, сек', '', 792, 1, 1, 'Tn2', 343, 397);
  -- Добавление параметра прибора "Время простоя 2, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10588, 'Время простоя 2, сек', '', 792, 1, 1, 'Tp2', 343, 397);
  -- Добавление параметра прибора "Время работы в режиме q>qмин 2 , сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10589, 'Время работы в режиме q>qмин 2 , сек', '', 792, 1, 1, 'Tot2', 343, 397);
  -- Добавление параметра прибора "Время работы в режиме 1<q<2  q_max  2, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10590, 'Время работы в режиме 1<q<2  q_max  2, сек', '', 792, 1, 1, 'Tnn2', 343, 385);
  -- Добавление параметра прибора "Время работы в режиме q>qпред 2, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10591, 'Время работы в режиме q>qпред 2, сек', '', 792, 1, 1, 'Tpr2', 343, 385);
  -- Добавление параметра прибора "Тепловая мощность 2, ГДж/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10592, 'Тепловая мощность 2, ГДж/ч', '', 792, 1, 1, 'W2', 343, 385);
  -- Добавление параметра прибора "Объемный расход 2 , м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10593, 'Объемный расход 2 , м3/ч', '', 792, 1, 1, 'q2', 343, 385);
  -- Добавление параметра прибора "Массовый расход 2  , тонн/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10594, 'Массовый расход 2  , тонн/ч', '', 792, 1, 1, 'm2', 343, 385);
  -- Добавление параметра прибора "Текущая температура t2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10595, 'Текущая температура t2, гр. С', '', 792, 1, 1, 't2', 343, 385);
  -- Добавление параметра прибора "Разница температур 2 , гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10596, 'Разница температур 2 , гр. С', '', 792, 1, 1, 'dt2', 343, 387);
  -- Добавление параметра прибора "Текущее давление P2, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10597, 'Текущее давление P2, МПа', '', 792, 1, 1, 'P2', 343, 385);
  -- Добавление параметра прибора "Суммарный объем 2 , м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10598, 'Суммарный объем 2 , м3', '', 792, 1, 1, 'V2', 343, 397);
  -- Добавление параметра прибора "Суммарная масса 2 , тонны"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10599, 'Суммарная масса 2 , тонны', '', 792, 1, 1, 'M2', 343, 397);
  -- Добавление параметра прибора "Delta V2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10600, 'Delta V2, м3', '', 792, 1, 1, 'dV2', 343, 386);
  -- Добавление параметра прибора "Delta M2, тонн"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10601, 'Delta M2, тонн', '', 792, 1, 1, 'dM2', 343, 386);
  -- Добавление параметра прибора "Delta T2 наработки, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10602, 'Delta T2 наработки, сек', '', 792, 1, 1, 'dTn2', 343, 386);
  -- Добавление параметра прибора "Среднее P2, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10603, 'Среднее P2, МПа', '', 792, 1, 1, 'dP2', 343, 386);

---- Группа "Канал3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (793, 'Канал3', '', 343, 0);

  -- Добавление параметра прибора "Время наработки 3, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10604, 'Время наработки 3, сек', '', 793, 1, 1, 'Tn3', 343, 397);
  -- Добавление параметра прибора "Время простоя 3, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10605, 'Время простоя 3, сек', '', 793, 1, 1, 'Tp3', 343, 397);
  -- Добавление параметра прибора "Объемный расход 3 , м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10606, 'Объемный расход 3 , м3/ч', '', 793, 1, 1, 'q3', 343, 385);
  -- Добавление параметра прибора "Массовый расход 3  , тонн/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10607, 'Массовый расход 3  , тонн/ч', '', 793, 1, 1, 'm3', 343, 385);
  -- Добавление параметра прибора "Текущая температура t3, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10608, 'Текущая температура t3, гр. С', '', 793, 1, 1, 't3', 343, 385);
  -- Добавление параметра прибора "Разница температур 3 , гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10609, 'Разница температур 3 , гр. С', '', 793, 1, 1, 'dt3', 343, 386);
  -- Добавление параметра прибора "Текущее давление P3, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10610, 'Текущее давление P3, МПа', '', 793, 1, 1, 'P3', 343, 385);
  -- Добавление параметра прибора "Суммарный объем 3 , м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10611, 'Суммарный объем 3 , м3', '', 793, 1, 1, 'V3', 343, 397);
  -- Добавление параметра прибора "Суммарная масса 3 , тонны"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10612, 'Суммарная масса 3 , тонны', '', 793, 1, 1, 'M3', 343, 397);
  -- Добавление параметра прибора "Delta V3, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10613, 'Delta V3, м3', '', 793, 1, 1, 'dV3', 343, 386);
  -- Добавление параметра прибора "Delta M3, тонн"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10614, 'Delta M3, тонн', '', 793, 1, 1, 'dM3', 343, 386);
  -- Добавление параметра прибора "Delta T3 наработки, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10615, 'Delta T3 наработки, сек', '', 793, 1, 1, 'dTn3', 343, 386);
  -- Добавление параметра прибора "Среднее P3, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10616, 'Среднее P3, МПа', '', 793, 1, 1, 'dP3', 343, 386);

---- Группа "Канал4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (794, 'Канал4', '', 343, 0);

  -- Добавление параметра прибора "Время наработки 4, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10617, 'Время наработки 4, сек', '', 794, 1, 1, 'Tn4', 343, 397);
  -- Добавление параметра прибора "Время простоя 4, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10618, 'Время простоя 4, сек', '', 794, 1, 1, 'Tp4', 343, 397);
  -- Добавление параметра прибора "Объемный расход 4 , м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10619, 'Объемный расход 4 , м3/ч', '', 794, 1, 1, 'q4', 343, 385);
  -- Добавление параметра прибора "Массовый расход 4 , тонн/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10620, 'Массовый расход 4 , тонн/ч', '', 794, 1, 1, 'm4', 343, 385);
  -- Добавление параметра прибора "Суммарный объем 4 , м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10621, 'Суммарный объем 4 , м3', '', 794, 1, 1, 'V4', 343, 397);
  -- Добавление параметра прибора "Delta V4, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10622, 'Delta V4, м3', '', 794, 1, 1, 'dV4', 343, 386);
  -- Добавление параметра прибора "Delta M4, тонн"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10623, 'Delta M4, тонн', '', 794, 1, 1, 'dM4', 343, 386);
  -- Добавление параметра прибора "Delta T4 наработки, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10624, 'Delta T4 наработки, сек', '', 794, 1, 1, 'dTn4', 343, 386);

---- Группа "Общие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (795, 'Общие', '', 343, 0);

  -- Добавление параметра прибора "ДатаВремя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10625, 'ДатаВремя', '', 795, 1, 1, 'D', 343, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10626, 'Серийный номер', '', 795, 1, 1, 'SN', 343, 448);
  -- Добавление параметра прибора "Время отсутствия питания, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10627, 'Время отсутствия питания, сек', '', 795, 1, 1, 'Ts', 343, 389);
  -- Добавление параметра прибора "Delta T отсутствия питания, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10628, 'Delta T отсутствия питания, сек', '', 795, 1, 1, 'dTs', 343, 386);
  -- Добавление параметра прибора "Delta T1 превышения, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10629, 'Delta T1 превышения, сек', '', 795, 1, 1, 'dTpr1', 343, 386);
  -- Добавление параметра прибора "Delta T2 превышения, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10630, 'Delta T2 превышения, сек', '', 795, 1, 1, 'dTpr2', 343, 386);
  -- Добавление параметра прибора "Delta T1 реверса, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10631, 'Delta T1 реверса, сек', '', 795, 1, 1, 'dTrv1', 343, 386);
  -- Добавление параметра прибора "Delta T2 реверса, сек"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10632, 'Delta T2 реверса, сек', '', 795, 1, 1, 'dTrv2', 343, 386);
  -- Добавление параметра прибора "Delta Q1, ГДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10633, 'Delta Q1, ГДж', '', 795, 1, 1, 'dQ1', 343, 386);
  -- Добавление параметра прибора "Delta Q2, ГДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10634, 'Delta Q2, ГДж', '', 795, 1, 1, 'dQ2', 343, 386);
  -- Добавление параметра прибора "Суммарная тепловая энергий 1, ГДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10635, 'Суммарная тепловая энергий 1, ГДж', '', 795, 1, 1, 'Q1', 343, 388);
  -- Добавление параметра прибора "Суммарная тепловая энергий 2, ГДж"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10636, 'Суммарная тепловая энергий 2, ГДж', '', 795, 1, 1, 'Q2', 343, 388);
