SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10658 AND pr_typ_id <= 10662;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 797;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 345;

---- Прибор "Пульсар IoT комапактный теплосчетчик v1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (345, 'Пульсар IoT комапактный теплосчетчик v1', '', 128);

  -- Добавление параметра прибора "Энергия"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10658, 'Энергия', 'Тепло в ШП, Тепло/Холод в УП', 0, 1, 1, 'E', 345, 396);
  -- Добавление параметра прибора "Флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10659, 'Флаги ошибок', '', 0, 1, 1, 'ERR', 345, 396);

---- Группа "ШП передача" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (797, 'ШП передача', '', 345, 0);

  -- Добавление параметра прибора "[ШП] Энергия (холод)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10660, '[ШП] Энергия (холод)', '', 797, 1, 1, 'EC', 345, 396);
  -- Добавление параметра прибора "[ШП] Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10661, '[ШП] Объём [м3]', '', 797, 1, 1, 'V', 345, 396);
  -- Добавление параметра прибора "[ШП] Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10662, '[ШП] Время нормальной работы [ч]', '', 797, 1, 1, 'TN', 345, 396);
