-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10823 AND pr_typ_id <= 10833;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 815 AND gr_typ_id <= 816;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 349;

---- Прибор "БИ-02" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (349, 'БИ-02', '', 128);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (815, 'Системные', '', 349, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10823, 'Серийный номер', '', 815, 1, 1, 'SN', 349, 448);
  -- Добавление параметра прибора "Идентификатор"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10824, 'Идентификатор', '', 815, 1, 1, 'OID', 349, 448);
  -- Добавление параметра прибора "Адрес в сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10825, 'Адрес в сети', '', 815, 1, 1, 'ADR', 349, 448);

---- Группа "Метрология" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (816, 'Метрология', '', 349, 0);

  -- Добавление параметра прибора "Объем V+, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10826, 'Объем V+, м3', '', 816, 1, 1, 'V+', 349, 399);
  -- Добавление параметра прибора "Объем V-, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10827, 'Объем V-, м3', '', 816, 1, 1, 'V-', 349, 399);
  -- Добавление параметра прибора "Текущий расход, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10828, 'Текущий расход, м3', '', 816, 1, 1, 'G', 349, 385);
  -- Добавление параметра прибора "Время работы, мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10829, 'Время работы, мин', '', 816, 1, 1, 'TW', 349, 399);
  -- Добавление параметра прибора "Время НС, мин"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10830, 'Время НС, мин', '', 816, 1, 1, 'TNS', 349, 399);
  -- Добавление параметра прибора "Давление, кгс/см2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10831, 'Давление, кгс/см2', '', 816, 1, 1, 'P', 349, 399);
  -- Добавление параметра прибора "Флаги НС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10832, 'Флаги НС', '', 816, 1, 1, 'FNS', 349, 399);

