-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 10837 AND pr_typ_id <= 11116;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 817 AND gr_typ_id <= 824;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 350 AND dev_typ_id <= 351;

---- Прибор "Пульсар теплосчётчик v9" ----


---- Группа "Наладка" ----

  -- Обновление параметра прибора "Тест ACLK"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тест ACLK', "Comment" = '', "NameP2" = 'P0091.U8', dev_typ_id = 320, "SupportData" = 64 WHERE pr_typ_id = 9440;

---- Прибор "Пульсар теплосчётчик ультразвук. V40" ----


---- Группа "Параметры" ----

  -- Обновление параметра прибора "Количество сборосов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Количество сборосов', "Comment" = '', "NameP2" = 'P0007.U16', dev_typ_id = 342, "SupportData" = 192 WHERE pr_typ_id = 10518;

---- Прибор "Пульсар теплосчётчик ультразвук. V31" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (350, 'Пульсар теплосчётчик ультразвук. V31', '', 0);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (817, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 350, 0);


---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (818, 'Текущие', '', 350, 0);

  -- Добавление параметра прибора "Сопротивление 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10837, 'Сопротивление 1', '', 818, 1, 1, 'K1', 350, 385);
  -- Добавление параметра прибора "Сопротивление 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10838, 'Сопротивление 2', '', 818, 1, 1, 'K2', 350, 385);
  -- Добавление параметра прибора "Температура[подача,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10839, 'Температура[подача,C]', '', 818, 1, 1, 'K3', 350, 399);
  -- Добавление параметра прибора "Температура[обратка,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10840, 'Температура[обратка,C]', '', 818, 1, 1, 'K4', 350, 399);
  -- Добавление параметра прибора "Температура[перепад,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10841, 'Температура[перепад,C]', '', 818, 1, 1, 'K5', 350, 385);
  -- Добавление параметра прибора "Расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10842, 'Расход[м3/ч]', '', 818, 1, 1, 'K9', 350, 385);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10843, 'Мощность', '', 818, 1, 1, 'K6', 350, 385);
  -- Добавление параметра прибора "Импульсный вход1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10844, 'Импульсный вход1', '', 818, 1, 1, 'K10', 350, 143);
  -- Добавление параметра прибора "Импульсный вход2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10845, 'Импульсный вход2', '', 818, 1, 1, 'K11', 350, 143);
  -- Добавление параметра прибора "Импульсный вход3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10846, 'Импульсный вход3', '', 818, 1, 1, 'K12', 350, 143);
  -- Добавление параметра прибора "Импульсный вход4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10847, 'Импульсный вход4', '', 818, 1, 1, 'K13', 350, 143);
  -- Добавление параметра прибора "Объём подачи[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10848, 'Объём подачи[м3]', '', 818, 1, 1, 'K8', 350, 143);
  -- Добавление параметра прибора "Объём обратки[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10849, 'Объём обратки[м3]', '', 818, 1, 1, 'K27', 350, 143);
  -- Добавление параметра прибора "Объём реверсный[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10850, 'Объём реверсный[м3]', '', 818, 1, 1, 'K30', 350, 143);
  -- Добавление параметра прибора "Масса подачи[т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10851, 'Масса подачи[т]', '', 818, 1, 1, 'K24', 350, 143);
  -- Добавление параметра прибора "Масса обратки[т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10852, 'Масса обратки[т]', '', 818, 1, 1, 'K25', 350, 143);
  -- Добавление параметра прибора "Масса потер/отобр[т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10853, 'Масса потер/отобр[т]', '', 818, 1, 1, 'K26', 350, 143);
  -- Добавление параметра прибора "Масса реверсная[т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10854, 'Масса реверсная[т]', '', 818, 1, 1, 'K31', 350, 143);
  -- Добавление параметра прибора "Энергия общая (E)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10855, 'Энергия общая (E)', '', 818, 1, 1, 'K7', 350, 143);
  -- Добавление параметра прибора "Энергия отопл.(E1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10856, 'Энергия отопл.(E1)', '', 818, 1, 1, 'K21', 350, 143);
  -- Добавление параметра прибора "Энергия потер/отобр(E2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10857, 'Энергия потер/отобр(E2)', '', 818, 1, 1, 'K28', 350, 143);
  -- Добавление параметра прибора "Давлени подачи[МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10858, 'Давлени подачи[МПа]', '', 818, 1, 1, 'K22', 350, 399);
  -- Добавление параметра прибора "Давлени обратки[МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10859, 'Давлени обратки[МПа]', '', 818, 1, 1, 'K23', 350, 399);
  -- Добавление параметра прибора "Время дифф. теста [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10860, 'Время дифф. теста [мкс]', '', 818, 1, 1, 'K15', 350, 385);
  -- Добавление параметра прибора "Тестовый объём[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10861, 'Тестовый объём[м3]', '', 818, 1, 1, 'K16', 350, 385);
  -- Добавление параметра прибора "Тестовый расход[без корр[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10862, 'Тестовый расход[без корр[м3/ч]', '', 818, 1, 1, 'K19', 350, 385);
  -- Добавление параметра прибора "Тестовый расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10863, 'Тестовый расход[м3/ч]', '', 818, 1, 1, 'K17', 350, 385);
  -- Добавление параметра прибора "Измерений за тест"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10864, 'Измерений за тест', '', 818, 1, 1, 'K18', 350, 385);
  -- Добавление параметра прибора "Уровень ультразвука[mV]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10865, 'Уровень ультразвука[mV]', '', 818, 1, 1, 'K32', 350, 399);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10866, 'Время наработки [ч]', '', 818, 1, 1, 'P000C.U32', 350, 129);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10867, 'Время наработки c ошибками [ч]', '', 818, 1, 1, 'P000D.U32', 350, 129);
  -- Добавление параметра прибора "Время нормальной работы[ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10868, 'Время нормальной работы[ч]', '', 818, 1, 1, 'K20.U32', 350, 143);
  -- Добавление параметра прибора "Код ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10869, 'Код ошибок', '', 818, 1, 1, 'K29.U32.X', 350, 399);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (819, 'Настроечные', '', 350, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10870, 'Дата и время', '', 819, 1, 1, 'D', 350, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10871, 'Версия ПО', '', 819, 1, 1, 'P0005.U8', 350, 448);
  -- Добавление параметра прибора "Ревизия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10872, 'Ревизия ПО', '', 819, 1, 1, 'P0005.U32.BIT24-8', 350, 448);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10873, 'Сетевой адрес', '', 819, 1, 1, 'P0002.U32.XN', 350, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10874, 'Ошибки', '', 819, 1, 1, 'P0006.U32.X', 350, 448);
  -- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10875, 'Наработка с ошибками, маска', '', 819, 1, 1, 'P000E.U32.X', 350, 192);
  -- Добавление параметра прибора "Тип счетчика(параметры учета энергии)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10876, 'Тип счетчика(параметры учета энергии)', '', 819, 1, 1, 'P000F.U8.BIT0-3', 350, 192);
  -- Добавление параметра прибора "Установка на обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10877, 'Установка на обратной трубе', '', 819, 1, 1, 'P000F.U8.BIT3', 350, 192);
  -- Добавление параметра прибора "Подающий термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10878, 'Подающий термометр виртуальный', '', 819, 1, 1, 'P000F.U8.BIT4', 350, 192);
  -- Добавление параметра прибора "Обратный термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10879, 'Обратный термометр виртуальный', '', 819, 1, 1, 'P000F.U8.BIT5', 350, 192);
  -- Добавление параметра прибора "Учет обратного потока разрешен"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10880, 'Учет обратного потока разрешен', '', 819, 1, 1, 'P000F.U8.BIT6', 350, 192);
  -- Добавление параметра прибора "EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10881, 'EEPROM', '', 819, 1, 1, 'P0011.U8', 350, 192);
  -- Добавление параметра прибора "Имп.Выход (0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10882, 'Имп.Выход (0-выкл/1-вкл)', '', 819, 1, 1, 'P0012.S8', 350, 192);
  -- Добавление параметра прибора "Кол.Имп.Входов (0...4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10883, 'Кол.Имп.Входов (0...4)', '', 819, 1, 1, 'P0013.U8', 350, 192);
  -- Добавление параметра прибора "Дат. давления ном.X100[mPa]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10884, 'Дат. давления ном.X100[mPa]', '', 819, 1, 1, 'P0018.U8', 350, 192);
  -- Добавление параметра прибора "Калибровка давления (коэф.)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10885, 'Калибровка давления (коэф.)', '', 819, 1, 1, 'P0210.F32', 350, 192);
  -- Добавление параметра прибора "Имп. вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10886, 'Имп. вход 1, вес', '', 819, 1, 1, 'P0020.F32', 350, 192);
  -- Добавление параметра прибора "Имп. вход 1, длит. мин[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10887, 'Имп. вход 1, длит. мин[мс]', '', 819, 1, 1, 'P0021.F32', 350, 192);
  -- Добавление параметра прибора "Имп. вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10888, 'Имп. вход 2, вес', '', 819, 1, 1, 'P0023.F32', 350, 192);
  -- Добавление параметра прибора "Имп. вход 2, длит. мин[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10889, 'Имп. вход 2, длит. мин[мс]', '', 819, 1, 1, 'P0024.F32', 350, 192);
  -- Добавление параметра прибора "Имп. вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10890, 'Имп. вход 3, вес', '', 819, 1, 1, 'P0026.F32', 350, 192);
  -- Добавление параметра прибора "Имп. вход 3, длит. мин[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10891, 'Имп. вход 3, длит. мин[мс]', '', 819, 1, 1, 'P0027.F32', 350, 192);
  -- Добавление параметра прибора "Имп. вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10892, 'Имп. вход 4, вес', '', 819, 1, 1, 'P0029.F32', 350, 192);
  -- Добавление параметра прибора "Имп. вход 4, длит. мин[мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10893, 'Имп. вход 4, длит. мин[мс]', '', 819, 1, 1, 'P002A.F32', 350, 192);
  -- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10894, 'Имп. выход, вес', '', 819, 1, 1, 'P002C.F32', 350, 192);
  -- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10895, 'Имп. выход, длит. [мс]', '', 819, 1, 1, 'P002D.F32', 350, 192);
  -- Добавление параметра прибора "Температура хол. воды (подпит.)[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10896, 'Температура хол. воды (подпит.)[C]', '', 819, 1, 1, 'P0050.F32', 350, 192);
  -- Добавление параметра прибора "Дельта темпер.- гистерезис[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10897, 'Дельта темпер.- гистерезис[C]', '', 819, 1, 1, 'P0052.F32', 350, 192);
  -- Добавление параметра прибора "Дельта темпер. для энергии[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10898, 'Дельта темпер. для энергии[C]', '', 819, 1, 1, 'P0055.F32', 350, 192);
  -- Добавление параметра прибора "Пороговый расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10899, 'Пороговый расход[м3/ч]', '', 819, 1, 1, 'P0051.F32', 350, 192);
  -- Добавление параметра прибора "Минимальный расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10900, 'Минимальный расход[м3/ч]', '', 819, 1, 1, 'P0053.F32', 350, 192);
  -- Добавление параметра прибора "Максимальный расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10901, 'Максимальный расход[м3/ч]', '', 819, 1, 1, 'P0054.F32', 350, 192);
  -- Добавление параметра прибора "Мин. расход 2 (водосчетчика)[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10902, 'Мин. расход 2 (водосчетчика)[м3/ч]', '', 819, 1, 1, 'P0300.F32', 350, 192);
  -- Добавление параметра прибора "Макс. расход 2 (водосчетчика)[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10903, 'Макс. расход 2 (водосчетчика)[м3/ч]', '', 819, 1, 1, 'P0301.F32', 350, 192);
  -- Добавление параметра прибора "Макс. небаланс для контроля масс[%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10904, 'Макс. небаланс для контроля масс[%]', '', 819, 1, 1, 'P0302.F32', 350, 192);
  -- Добавление параметра прибора "Метод контроля масс (код 0 - 4 )"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10905, 'Метод контроля масс (код 0 - 4 )', '', 819, 1, 1, 'P0303.U8', 350, 192);
  -- Добавление параметра прибора "Метод контроля энергии (код 0 - 2 )"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10906, 'Метод контроля энергии (код 0 - 2 )', '', 819, 1, 1, 'P0304.U8', 350, 192);
  -- Добавление параметра прибора "Архивируемые каналы - маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10907, 'Архивируемые каналы - маска', '', 819, 1, 1, 'P001B.U32', 350, 192);
  -- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10908, 'Автопереход зима/лето', '', 819, 1, 1, 'P0001.U8', 350, 192);
  -- Добавление параметра прибора "Количество сборосов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10909, 'Количество сборосов', '', 819, 1, 1, 'P0007.U16', 350, 192);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10910, 'Запись разрешена аппаратно', '', 819, 1, 1, 'P0008.U8.BIT3', 350, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10911, 'Запись разрешена программно', '', 819, 1, 1, 'P0008.U8.BIT4', 350, 448);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10912, 'Напряжение батареи [мВ]', '', 819, 1, 1, 'P000A.U16', 350, 448);
  -- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10913, 'Температура контроллера [C]', '', 819, 1, 1, 'P000B.U8', 350, 448);
  -- Добавление параметра прибора "Частота кварца LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10914, 'Частота кварца LF [Гц]', '', 819, 1, 1, 'P0003.F32', 350, 192);
  -- Добавление параметра прибора "Частота кварца RF [МГц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10915, 'Частота кварца RF [МГц]', '', 819, 1, 1, 'P0004.F32', 350, 192);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10916, 'Диагностика', '', 819, 1, 1, 'P0090.U8', 350, 192);
  -- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10917, 'Тест ACLK', '', 819, 1, 1, 'P0091.U8', 350, 192);
  -- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10918, 'Тест расхода', '', 819, 1, 1, 'P0092.U8', 350, 192);
  -- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10919, 'Линеаризация расхода', '', 819, 1, 1, 'P005F.U8', 350, 192);
  -- Добавление параметра прибора "Режим расчёта УЗ по полиному"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10920, 'Режим расчёта УЗ по полиному', '', 819, 1, 1, 'P0230.U8', 350, 192);
  -- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10921, 'Часовой кварц, ёмкость', '', 819, 1, 1, 'P0010.S8', 350, 192);
  -- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10922, 'Порт RS485', '', 819, 1, 1, 'P0015.U8.X', 350, 192);
  -- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10923, 'Порт ИК', '', 819, 1, 1, 'P0016.U8.X', 350, 192);
  -- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10924, 'Конфигурация кнопки', '', 819, 1, 1, 'P0019.S8', 350, 192);
  -- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10925, 'Язык', '', 819, 1, 1, 'P001A.U16.BIT0-2', 350, 192);
  -- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10926, 'Модуль дисплея', '', 819, 1, 1, 'P001A.U16.BIT2-6', 350, 192);
  -- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10927, 'Единицы измерения энергии', '', 819, 1, 1, 'P001A.U16.BIT8-4', 350, 192);
  -- Добавление параметра прибора "Единицы измерения мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10928, 'Единицы измерения мощности', '', 819, 1, 1, 'P001A.U16.BIT12-4', 350, 192);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10929, 'Значение смещения [Ом]', '', 819, 1, 1, 'P0030.F32', 350, 192);
  -- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10930, 'Коэфф. диапазона [Ом]', '', 819, 1, 1, 'P0031.F32', 350, 192);
  -- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10931, 'Сопротивление калиб. [Ом]', '', 819, 1, 1, 'P0032.F32', 350, 192);
  -- Добавление параметра прибора "Сопротивление 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10932, 'Сопротивление 1 [Ом]', '', 819, 1, 1, 'P0033.F32', 350, 448);
  -- Добавление параметра прибора "Сопротивление 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10933, 'Сопротивление 2 [Ом]', '', 819, 1, 1, 'P0034.F32', 350, 448);
  -- Добавление параметра прибора "Сопротивление 2 провода посл.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10934, 'Сопротивление 2 провода посл.[Ом]', '', 819, 1, 1, 'P0202.F32', 350, 192);
  -- Добавление параметра прибора "Rwire 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10935, 'Rwire 1 [Ом]', '', 819, 1, 1, 'P0035.F32', 350, 192);
  -- Добавление параметра прибора "R0    1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10936, 'R0    1 [Ом]', '', 819, 1, 1, 'P0036.F32', 350, 192);
  -- Добавление параметра прибора "Alfa  1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10937, 'Alfa  1 [Ом]', '', 819, 1, 1, 'P0037.F32', 350, 192);
  -- Добавление параметра прибора "Beta  1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10938, 'Beta  1 [Ом]', '', 819, 1, 1, 'P0038.F32', 350, 192);
  -- Добавление параметра прибора "Delta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10939, 'Delta 1 [Ом]', '', 819, 1, 1, 'P0039.F32', 350, 192);
  -- Добавление параметра прибора "Rwire 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10940, 'Rwire 2 [Ом]', '', 819, 1, 1, 'P003A.F32', 350, 192);
  -- Добавление параметра прибора "R0    2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10941, 'R0    2 [Ом]', '', 819, 1, 1, 'P003B.F32', 350, 192);
  -- Добавление параметра прибора "Alfa  2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10942, 'Alfa  2 [Ом]', '', 819, 1, 1, 'P003C.F32', 350, 192);
  -- Добавление параметра прибора "Beta  2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10943, 'Beta  2 [Ом]', '', 819, 1, 1, 'P003D.F32', 350, 192);
  -- Добавление параметра прибора "Delta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10944, 'Delta 2 [Ом]', '', 819, 1, 1, 'P003E.F32', 350, 192);
  -- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10945, 'Сенсорная кнопка, статус', '', 819, 1, 1, 'P0098.U64.X', 350, 448);
  -- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10946, 'Глубина часового архива', '', 819, 1, 1, 'P001C.U64.BIT0-16', 350, 192);
  -- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10947, 'Глубина суточного архива', '', 819, 1, 1, 'P001C.U64.BIT16-16', 350, 192);
  -- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10948, 'Глубина месячного архива', '', 819, 1, 1, 'P001C.U64.BIT32-16', 350, 192);
  -- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10949, 'Глубина журнала событий', '', 819, 1, 1, 'P001C.U64.BIT48-16', 350, 192);
  -- Добавление параметра прибора "Глубина архивов-код. Для обнуления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10950, 'Глубина архивов-код. Для обнуления', '', 819, 1, 1, 'P001C.U64.X', 350, 192);
  -- Добавление параметра прибора "Калибровка нуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10951, 'Калибровка нуля', '', 819, 1, 1, 'P0200.F32', 350, 192);
  -- Добавление параметра прибора "Калибр. среднего расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10952, 'Калибр. среднего расхода', '', 819, 1, 1, 'P0201.F32', 350, 192);
  -- Добавление параметра прибора "Первый уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10953, 'Первый уровень компаратора', '', 819, 1, 1, 'P0224.U8', 350, 192);
  -- Добавление параметра прибора "Максимальная разница T1_T2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10954, 'Максимальная разница T1_T2', '', 819, 1, 1, 'P0225.U8', 350, 192);
  -- Добавление параметра прибора "Максимальная разница T2_T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10955, 'Максимальная разница T2_T', '', 819, 1, 1, 'P0226.U8', 350, 192);
  -- Добавление параметра прибора "Диференциальное время для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10956, 'Диференциальное время для теста', '', 819, 1, 1, 'P0240.F32', 350, 192);
  -- Добавление параметра прибора "Сопротивление 0 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10957, 'Сопротивление 0 для теста', '', 819, 1, 1, 'P0242.F32', 350, 192);
  -- Добавление параметра прибора "Сопротивление 1 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10958, 'Сопротивление 1 для теста', '', 819, 1, 1, 'P0243.F32', 350, 192);
  -- Добавление параметра прибора "Расход для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10959, 'Расход для теста', '', 819, 1, 1, 'P0241.F32', 350, 192);
  -- Добавление параметра прибора "Время теста для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10960, 'Время теста для энергии', '', 819, 1, 1, 'P0244.U16', 350, 192);
  -- Добавление параметра прибора "Итоговое время теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10961, 'Итоговое время теста', '', 819, 1, 1, 'P0245.U16', 350, 192);
  -- Добавление параметра прибора "Тест УЗ TofUp"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10962, 'Тест УЗ TofUp', '', 819, 1, 1, 'P0410.F32', 350, 448);
  -- Добавление параметра прибора "Тест УЗ TofDn"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10963, 'Тест УЗ TofDn', '', 819, 1, 1, 'P0411.F32', 350, 448);

---- Группа "Тестовые" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (820, 'Тестовые', '', 350, 0);

  -- Добавление параметра прибора "Параметр 400"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10964, 'Параметр 400', '', 820, 1, 1, 'P0400.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 401"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10965, 'Параметр 401', '', 820, 1, 1, 'P0401.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 402"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10966, 'Параметр 402', '', 820, 1, 1, 'P0402.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 403"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10967, 'Параметр 403', '', 820, 1, 1, 'P0403.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 404"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10968, 'Параметр 404', '', 820, 1, 1, 'P0404.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 405"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10969, 'Параметр 405', '', 820, 1, 1, 'P0405.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 406"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10970, 'Параметр 406', '', 820, 1, 1, 'P0406.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 407"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10971, 'Параметр 407', '', 820, 1, 1, 'P0407.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 408"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10972, 'Параметр 408', '', 820, 1, 1, 'P0408.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 409"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10973, 'Параметр 409', '', 820, 1, 1, 'P0409.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 40A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10974, 'Параметр 40A', '', 820, 1, 1, 'P040a.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 40B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10975, 'Параметр 40B', '', 820, 1, 1, 'P040b.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 40C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10976, 'Параметр 40C', '', 820, 1, 1, 'P040c.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 40D"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10977, 'Параметр 40D', '', 820, 1, 1, 'P040d.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 40E"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10978, 'Параметр 40E', '', 820, 1, 1, 'P040e.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 40F"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10979, 'Параметр 40F', '', 820, 1, 1, 'P040f.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 412"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10980, 'Параметр 412', '', 820, 1, 1, 'P0412.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 413"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10981, 'Параметр 413', '', 820, 1, 1, 'P0413.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 414"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10982, 'Параметр 414', '', 820, 1, 1, 'P0414.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 415"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10983, 'Параметр 415', '', 820, 1, 1, 'P0415.F32', 350, 192);
  -- Добавление параметра прибора "Параметр 416"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10984, 'Параметр 416', '', 820, 1, 1, 'P0416.F32', 350, 192);

---- Прибор "Пульсар теплосчётчик ультразвук. V42" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (351, 'Пульсар теплосчётчик ультразвук. V42', '', 0);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (821, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 351, 0);


---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (822, 'Текущие', '', 351, 0);

  -- Добавление параметра прибора "Сопротивление 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10985, 'Сопротивление 1', '', 822, 1, 1, 'K1', 351, 385);
  -- Добавление параметра прибора "Сопротивление 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10986, 'Сопротивление 2', '', 822, 1, 1, 'K2', 351, 385);
  -- Добавление параметра прибора "Температура[подача,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10987, 'Температура[подача,C]', '', 822, 1, 1, 'K3', 351, 399);
  -- Добавление параметра прибора "Температура[обратка,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10988, 'Температура[обратка,C]', '', 822, 1, 1, 'K4', 351, 399);
  -- Добавление параметра прибора "Температура[перепад,C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10989, 'Температура[перепад,C]', '', 822, 1, 1, 'K5', 351, 385);
  -- Добавление параметра прибора "Расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10990, 'Расход[м3/ч]', '', 822, 1, 1, 'K9', 351, 385);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10991, 'Мощность', '', 822, 1, 1, 'K6', 351, 385);
  -- Добавление параметра прибора "Импульсный вход1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10992, 'Импульсный вход1', '', 822, 1, 1, 'K10', 351, 143);
  -- Добавление параметра прибора "Импульсный вход2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10993, 'Импульсный вход2', '', 822, 1, 1, 'K11', 351, 143);
  -- Добавление параметра прибора "Импульсный вход3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10994, 'Импульсный вход3', '', 822, 1, 1, 'K12', 351, 143);
  -- Добавление параметра прибора "Импульсный вход4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10995, 'Импульсный вход4', '', 822, 1, 1, 'K13', 351, 143);
  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10996, 'Объём [м3]', '', 822, 1, 1, 'K8', 351, 143);
  -- Добавление параметра прибора "Энергия тепла"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10997, 'Энергия тепла', '', 822, 1, 1, 'K7', 351, 143);
  -- Добавление параметра прибора "Энергия холода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10998, 'Энергия холода', '', 822, 1, 1, 'K21', 351, 143);
  -- Добавление параметра прибора "Время дифф. теста [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (10999, 'Время дифф. теста [мкс]', '', 822, 1, 1, 'K15', 351, 385);
  -- Добавление параметра прибора "Тестовый объём[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11000, 'Тестовый объём[м3]', '', 822, 1, 1, 'K16', 351, 385);
  -- Добавление параметра прибора "Тестовый расход[без корр[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11001, 'Тестовый расход[без корр[м3/ч]', '', 822, 1, 1, 'K19', 351, 385);
  -- Добавление параметра прибора "Тестовый расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11002, 'Тестовый расход[м3/ч]', '', 822, 1, 1, 'K17', 351, 385);
  -- Добавление параметра прибора "Измерений за тест"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11003, 'Измерений за тест', '', 822, 1, 1, 'K18', 351, 385);
  -- Добавление параметра прибора "Уровень ультразвука[mV]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11004, 'Уровень ультразвука[mV]', '', 822, 1, 1, 'K32', 351, 399);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11005, 'Время наработки [ч]', '', 822, 1, 1, 'P000C.U32', 351, 129);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11006, 'Время наработки c ошибками [ч]', '', 822, 1, 1, 'P000D.U32', 351, 129);
  -- Добавление параметра прибора "Время нормальной работы[ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11007, 'Время нормальной работы[ч]', '', 822, 1, 1, 'K20.U32', 351, 143);
  -- Добавление параметра прибора "Код ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11008, 'Код ошибок', '', 822, 1, 1, 'K29.U32.X', 351, 399);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (823, 'Настроечные', '', 351, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11009, 'Дата и время', '', 823, 1, 1, 'D', 351, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11010, 'Версия ПО', '', 823, 1, 1, 'P0005.U8', 351, 448);
  -- Добавление параметра прибора "Ревизия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11011, 'Ревизия ПО', '', 823, 1, 1, 'P0005.U32.BIT24-8', 351, 448);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11012, 'Сетевой адрес', '', 823, 1, 1, 'P0002.U32.XN', 351, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11013, 'Ошибки', '', 823, 1, 1, 'P0006.U32.X', 351, 448);
  -- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11014, 'Наработка с ошибками, маска', '', 823, 1, 1, 'P000E.U32.X', 351, 192);
  -- Добавление параметра прибора "Тип счетчика(параметры учета энергии)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11015, 'Тип счетчика(параметры учета энергии)', '', 823, 1, 1, 'P000F.U8.BIT0-3', 351, 192);
  -- Добавление параметра прибора "Установка на обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11016, 'Установка на обратной трубе', '', 823, 1, 1, 'P000F.U8.BIT3', 351, 192);
  -- Добавление параметра прибора "Подающий термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11017, 'Подающий термометр виртуальный', '', 823, 1, 1, 'P000F.U8.BIT4', 351, 192);
  -- Добавление параметра прибора "Обратный термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11018, 'Обратный термометр виртуальный', '', 823, 1, 1, 'P000F.U8.BIT5', 351, 192);
  -- Добавление параметра прибора "EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11019, 'EEPROM', '', 823, 1, 1, 'P0011.U8', 351, 192);
  -- Добавление параметра прибора "Имп.Выход (0-выкл/1-вкл)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11020, 'Имп.Выход (0-выкл/1-вкл)', '', 823, 1, 1, 'P0012.S8', 351, 192);
  -- Добавление параметра прибора "Кол.Имп.Входов (0...4)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11021, 'Кол.Имп.Входов (0...4)', '', 823, 1, 1, 'P0013.U8', 351, 192);
  -- Добавление параметра прибора "Дат. давления ном.X100[mPa]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11022, 'Дат. давления ном.X100[mPa]', '', 823, 1, 1, 'P0018.U8', 351, 192);
  -- Добавление параметра прибора "Имп. вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11023, 'Имп. вход 1, вес', '', 823, 1, 1, 'P0020.F32', 351, 192);
  -- Добавление параметра прибора "Имп. вход 1, длит. мин [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11024, 'Имп. вход 1, длит. мин [мс]', '', 823, 1, 1, 'P0021.F32', 351, 192);
  -- Добавление параметра прибора "Имп. вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11025, 'Имп. вход 2, вес', '', 823, 1, 1, 'P0023.F32', 351, 192);
  -- Добавление параметра прибора "Имп. вход 2, длит. мин [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11026, 'Имп. вход 2, длит. мин [мс]', '', 823, 1, 1, 'P0024.F32', 351, 192);
  -- Добавление параметра прибора "Имп. вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11027, 'Имп. вход 3, вес', '', 823, 1, 1, 'P0026.F32', 351, 192);
  -- Добавление параметра прибора "Имп. вход 3, длит. мин [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11028, 'Имп. вход 3, длит. мин [мс]', '', 823, 1, 1, 'P0027.F32', 351, 192);
  -- Добавление параметра прибора "Имп. вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11029, 'Имп. вход 4, вес', '', 823, 1, 1, 'P0029.F32', 351, 192);
  -- Добавление параметра прибора "Имп. вход 4, длит. мин [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11030, 'Имп. вход 4, длит. мин [мс]', '', 823, 1, 1, 'P002A.F32', 351, 192);
  -- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11031, 'Имп. выход, вес', '', 823, 1, 1, 'P002C.F32', 351, 192);
  -- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11032, 'Имп. выход, длит. [мс]', '', 823, 1, 1, 'P002D.F32', 351, 192);
  -- Добавление параметра прибора "Температура хол. воды (подпит.)[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11033, 'Температура хол. воды (подпит.)[C]', '', 823, 1, 1, 'P0050.F32', 351, 192);
  -- Добавление параметра прибора "Дельта темпер.- гистерезис[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11034, 'Дельта темпер.- гистерезис[C]', '', 823, 1, 1, 'P0052.F32', 351, 192);
  -- Добавление параметра прибора "Дельта темпер. для энергии[C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11035, 'Дельта темпер. для энергии[C]', '', 823, 1, 1, 'P0055.F32', 351, 192);
  -- Добавление параметра прибора "Пороговый расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11036, 'Пороговый расход[м3/ч]', '', 823, 1, 1, 'P0051.F32', 351, 192);
  -- Добавление параметра прибора "Минимальный расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11037, 'Минимальный расход[м3/ч]', '', 823, 1, 1, 'P0053.F32', 351, 192);
  -- Добавление параметра прибора "Максимальный расход[м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11038, 'Максимальный расход[м3/ч]', '', 823, 1, 1, 'P0054.F32', 351, 192);
  -- Добавление параметра прибора "Архивируемые каналы - маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11039, 'Архивируемые каналы - маска', '', 823, 1, 1, 'P001B.U32', 351, 192);
  -- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11040, 'Автопереход зима/лето', '', 823, 1, 1, 'P0001.U8', 351, 192);
  -- Добавление параметра прибора "Количество сборосов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11041, 'Количество сборосов', '', 823, 1, 1, 'P0007.U16', 351, 192);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11042, 'Запись разрешена аппаратно', '', 823, 1, 1, 'P0008.U8.BIT3', 351, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11043, 'Запись разрешена программно', '', 823, 1, 1, 'P0008.U8.BIT4', 351, 448);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11044, 'Напряжение батареи [мВ]', '', 823, 1, 1, 'P000A.U16', 351, 448);
  -- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11045, 'Температура контроллера [C]', '', 823, 1, 1, 'P000B.U8', 351, 448);
  -- Добавление параметра прибора "Частота кварца LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11046, 'Частота кварца LF [Гц]', '', 823, 1, 1, 'P0003.F32', 351, 192);
  -- Добавление параметра прибора "Частота кварца RF [МГц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11047, 'Частота кварца RF [МГц]', '', 823, 1, 1, 'P0004.F32', 351, 192);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11048, 'Диагностика', '', 823, 1, 1, 'P0090.U8', 351, 192);
  -- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11049, 'Тест ACLK', '', 823, 1, 1, 'P0091.U8', 351, 192);
  -- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11050, 'Тест расхода', '', 823, 1, 1, 'P0092.U8', 351, 192);
  -- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11051, 'Линеаризация расхода', '', 823, 1, 1, 'P005F.U8', 351, 192);
  -- Добавление параметра прибора "Режим расчёта УЗ по полиному"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11052, 'Режим расчёта УЗ по полиному', '', 823, 1, 1, 'P0230.U8', 351, 192);
  -- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11053, 'Часовой кварц, ёмкость', '', 823, 1, 1, 'P0010.S8', 351, 192);
  -- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11054, 'Порт RS485', '', 823, 1, 1, 'P0015.U8.X', 351, 192);
  -- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11055, 'Порт ИК', '', 823, 1, 1, 'P0016.U8.X', 351, 192);
  -- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11056, 'Конфигурация кнопки', '', 823, 1, 1, 'P0019.S8', 351, 192);
  -- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11057, 'Язык', '', 823, 1, 1, 'P001A.U16.BIT0-2', 351, 192);
  -- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11058, 'Модуль дисплея', '', 823, 1, 1, 'P001A.U16.BIT2-6', 351, 192);
  -- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11059, 'Единицы измерения энергии', '', 823, 1, 1, 'P001A.U16.BIT8-4', 351, 192);
  -- Добавление параметра прибора "Единицы измерения мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11060, 'Единицы измерения мощности', '', 823, 1, 1, 'P001A.U16.BIT12-4', 351, 192);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11061, 'Значение смещения [Ом]', '', 823, 1, 1, 'P0030.F32', 351, 192);
  -- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11062, 'Коэфф. диапазона [Ом]', '', 823, 1, 1, 'P0031.F32', 351, 192);
  -- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11063, 'Сопротивление калиб. [Ом]', '', 823, 1, 1, 'P0032.F32', 351, 192);
  -- Добавление параметра прибора "Сопротивление 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11064, 'Сопротивление 1 [Ом]', '', 823, 1, 1, 'P0033.F32', 351, 448);
  -- Добавление параметра прибора "Сопротивление 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11065, 'Сопротивление 2 [Ом]', '', 823, 1, 1, 'P0034.F32', 351, 448);
  -- Добавление параметра прибора "Сопротивление 2 провода посл.[Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11066, 'Сопротивление 2 провода посл.[Ом]', '', 823, 1, 1, 'P0202.F32', 351, 192);
  -- Добавление параметра прибора "Rwire 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11067, 'Rwire 1 [Ом]', '', 823, 1, 1, 'P0035.F32', 351, 192);
  -- Добавление параметра прибора "R0    1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11068, 'R0    1 [Ом]', '', 823, 1, 1, 'P0036.F32', 351, 192);
  -- Добавление параметра прибора "Alfa  1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11069, 'Alfa  1 [Ом]', '', 823, 1, 1, 'P0037.F32', 351, 192);
  -- Добавление параметра прибора "Beta  1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11070, 'Beta  1 [Ом]', '', 823, 1, 1, 'P0038.F32', 351, 192);
  -- Добавление параметра прибора "Delta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11071, 'Delta 1 [Ом]', '', 823, 1, 1, 'P0039.F32', 351, 192);
  -- Добавление параметра прибора "Rwire 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11072, 'Rwire 2 [Ом]', '', 823, 1, 1, 'P003A.F32', 351, 192);
  -- Добавление параметра прибора "R0    2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11073, 'R0    2 [Ом]', '', 823, 1, 1, 'P003B.F32', 351, 192);
  -- Добавление параметра прибора "Alfa  2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11074, 'Alfa  2 [Ом]', '', 823, 1, 1, 'P003C.F32', 351, 192);
  -- Добавление параметра прибора "Beta  2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11075, 'Beta  2 [Ом]', '', 823, 1, 1, 'P003D.F32', 351, 192);
  -- Добавление параметра прибора "Delta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11076, 'Delta 2 [Ом]', '', 823, 1, 1, 'P003E.F32', 351, 192);
  -- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11077, 'Сенсорная кнопка, статус', '', 823, 1, 1, 'P0098.U64.X', 351, 448);
  -- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11078, 'Глубина часового архива', '', 823, 1, 1, 'P001C.U64.BIT0-16', 351, 192);
  -- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11079, 'Глубина суточного архива', '', 823, 1, 1, 'P001C.U64.BIT16-16', 351, 192);
  -- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11080, 'Глубина месячного архива', '', 823, 1, 1, 'P001C.U64.BIT32-16', 351, 192);
  -- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11081, 'Глубина журнала событий', '', 823, 1, 1, 'P001C.U64.BIT48-16', 351, 192);
  -- Добавление параметра прибора "Глубина архивов-код. Для обнуления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11082, 'Глубина архивов-код. Для обнуления', '', 823, 1, 1, 'P001C.U64.X', 351, 192);
  -- Добавление параметра прибора "Калибровка нуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11083, 'Калибровка нуля', '', 823, 1, 1, 'P0200.F32', 351, 192);
  -- Добавление параметра прибора "Калибр. среднего расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11084, 'Калибр. среднего расхода', '', 823, 1, 1, 'P0201.F32', 351, 192);
  -- Добавление параметра прибора "Первый уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11085, 'Первый уровень компаратора', '', 823, 1, 1, 'P0224.U8', 351, 192);
  -- Добавление параметра прибора "Максимальная разница T1_T2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11086, 'Максимальная разница T1_T2', '', 823, 1, 1, 'P0225.U8', 351, 192);
  -- Добавление параметра прибора "Максимальная разница T2_T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11087, 'Максимальная разница T2_T', '', 823, 1, 1, 'P0226.U8', 351, 192);
  -- Добавление параметра прибора "Диференциальное время для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11088, 'Диференциальное время для теста', '', 823, 1, 1, 'P0240.F32', 351, 192);
  -- Добавление параметра прибора "Сопротивление 0 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11089, 'Сопротивление 0 для теста', '', 823, 1, 1, 'P0242.F32', 351, 192);
  -- Добавление параметра прибора "Сопротивление 1 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11090, 'Сопротивление 1 для теста', '', 823, 1, 1, 'P0243.F32', 351, 192);
  -- Добавление параметра прибора "Расход для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11091, 'Расход для теста', '', 823, 1, 1, 'P0241.F32', 351, 192);
  -- Добавление параметра прибора "Время теста для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11092, 'Время теста для энергии', '', 823, 1, 1, 'P0244.U16', 351, 192);
  -- Добавление параметра прибора "Итоговое время теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11093, 'Итоговое время теста', '', 823, 1, 1, 'P0245.U16', 351, 192);
  -- Добавление параметра прибора "Тест УЗ TofUp"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11094, 'Тест УЗ TofUp', '', 823, 1, 1, 'P0410.F32', 351, 448);
  -- Добавление параметра прибора "Тест УЗ TofDn"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11095, 'Тест УЗ TofDn', '', 823, 1, 1, 'P0411.F32', 351, 448);

---- Группа "Тестовые" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (824, 'Тестовые', '', 351, 0);

  -- Добавление параметра прибора "Параметр 400"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11096, 'Параметр 400', '', 824, 1, 1, 'P0400.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 401"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11097, 'Параметр 401', '', 824, 1, 1, 'P0401.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 402"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11098, 'Параметр 402', '', 824, 1, 1, 'P0402.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 403"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11099, 'Параметр 403', '', 824, 1, 1, 'P0403.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 404"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11100, 'Параметр 404', '', 824, 1, 1, 'P0404.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 405"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11101, 'Параметр 405', '', 824, 1, 1, 'P0405.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 406"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11102, 'Параметр 406', '', 824, 1, 1, 'P0406.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 407"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11103, 'Параметр 407', '', 824, 1, 1, 'P0407.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 408"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11104, 'Параметр 408', '', 824, 1, 1, 'P0408.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 409"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11105, 'Параметр 409', '', 824, 1, 1, 'P0409.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 40A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11106, 'Параметр 40A', '', 824, 1, 1, 'P040a.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 40B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11107, 'Параметр 40B', '', 824, 1, 1, 'P040b.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 40C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11108, 'Параметр 40C', '', 824, 1, 1, 'P040c.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 40D"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11109, 'Параметр 40D', '', 824, 1, 1, 'P040d.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 40E"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11110, 'Параметр 40E', '', 824, 1, 1, 'P040e.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 40F"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11111, 'Параметр 40F', '', 824, 1, 1, 'P040f.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 412"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11112, 'Параметр 412', '', 824, 1, 1, 'P0412.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 413"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11113, 'Параметр 413', '', 824, 1, 1, 'P0413.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 414"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11114, 'Параметр 414', '', 824, 1, 1, 'P0414.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 415"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11115, 'Параметр 415', '', 824, 1, 1, 'P0415.F32', 351, 192);
  -- Добавление параметра прибора "Параметр 416"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11116, 'Параметр 416', '', 824, 1, 1, 'P0416.F32', 351, 192);
