-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11122 AND pr_typ_id <= 11250;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 825 AND gr_typ_id <= 829;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 352;

---- Прибор "Пульсар теплосчётчик механический v15" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (352, 'Пульсар теплосчётчик механический v15', '', 128);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (825, 'Каналы', 'Текущие, архивируемые и диагностические каналы', 352, 0);

  -- Добавление параметра прибора "Энергия [тепло]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11122, 'Энергия [тепло]', '', 825, 1, 1, 'K7', 352, 143);
  -- Добавление параметра прибора "Энергия [холод]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11123, 'Энергия [холод]', '', 825, 1, 1, 'K21', 352, 143);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11124, 'Мощность', '', 825, 1, 1, 'K6', 352, 385);
  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11125, 'Объём [м3]', '', 825, 1, 1, 'K8', 352, 143);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11126, 'Расход [м3/ч]', '', 825, 1, 1, 'K9', 352, 385);
  -- Добавление параметра прибора "Расход [по энергии, м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11127, 'Расход [по энергии, м3/ч]', '', 825, 1, 1, 'K14', 352, 385);
  -- Добавление параметра прибора "Температура [подача, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11128, 'Температура [подача, C]', '', 825, 1, 1, 'K3', 352, 399);
  -- Добавление параметра прибора "Температура [обратка, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11129, 'Температура [обратка, C]', '', 825, 1, 1, 'K4', 352, 399);
  -- Добавление параметра прибора "Температура [перепад, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11130, 'Температура [перепад, C]', '', 825, 1, 1, 'K5', 352, 385);
  -- Добавление параметра прибора "Импульсный вход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11131, 'Импульсный вход 1', '', 825, 1, 1, 'K10', 352, 143);
  -- Добавление параметра прибора "Импульсный вход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11132, 'Импульсный вход 2', '', 825, 1, 1, 'K11', 352, 143);
  -- Добавление параметра прибора "Импульсный вход 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11133, 'Импульсный вход 3', '', 825, 1, 1, 'K12', 352, 143);
  -- Добавление параметра прибора "Импульсный вход 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11134, 'Импульсный вход 4', '', 825, 1, 1, 'K13', 352, 143);
  -- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11135, 'Время нормальной работы [ч]', '', 825, 1, 1, 'K20.U32', 352, 143);
  -- Добавление параметра прибора "Флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11136, 'Флаги ошибок', '', 825, 1, 1, 'K29.U32', 352, 463);
  -- Добавление параметра прибора "Флаги ошибок (строка)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11137, 'Флаги ошибок (строка)', '', 825, 1, 1, 'K29', 352, 463);

---- Группа "Диагностика" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (826, 'Диагностика', 'Диагностические каналы', 352, 825);

  -- Добавление параметра прибора "Сопротивление [подача, Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11138, 'Сопротивление [подача, Ом]', '', 826, 1, 1, 'K1', 352, 320);
  -- Добавление параметра прибора "Сопротивление [обратка, Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11139, 'Сопротивление [обратка, Ом]', '', 826, 1, 1, 'K2', 352, 320);
  -- Добавление параметра прибора "Частота детектора [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11140, 'Частота детектора [Гц]', '', 826, 1, 1, 'K15', 352, 320);
  -- Добавление параметра прибора "Тестовый объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11141, 'Тестовый объём [м3]', '', 826, 1, 1, 'K16', 352, 320);
  -- Добавление параметра прибора "Тестовый расход [без лин, м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11142, 'Тестовый расход [без лин, м3/ч]', '', 826, 1, 1, 'K19', 352, 320);
  -- Добавление параметра прибора "Тестовый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11143, 'Тестовый расход [м3/ч]', '', 826, 1, 1, 'K17', 352, 320);
  -- Добавление параметра прибора "Время теста [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11144, 'Время теста [сек]', '', 826, 1, 1, 'K18', 352, 320);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (827, 'Параметры', 'Информационные и настроечные параметры', 352, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11145, 'Дата и время', '', 827, 1, 1, 'D', 352, 129);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11146, 'Версия ПО', '', 827, 1, 1, '__VERSION_INTERNAL', 352, 448);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11147, 'Сетевой адрес', '', 827, 1, 1, '__ADDRESS', 352, 192);
  -- Добавление параметра прибора "Сетевой адрес M-Bus"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11148, 'Сетевой адрес M-Bus', '', 827, 1, 1, 'P00D0.U8', 352, 192);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11149, 'Время наработки [ч]', '', 827, 1, 1, 'P000C.U32', 352, 129);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11150, 'Время наработки c ошибками [ч]', '', 827, 1, 1, 'P000D.U32', 352, 129);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11151, 'Пароль (старый | новый)', '', 827, 1, 1, '__PASSWORD', 352, 192);
  -- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11152, 'Наработка с ошибками, маска', '', 827, 1, 1, 'P000E.U16.B', 352, 192);
  -- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11153, 'Автопереход зима/лето', '', 827, 1, 1, 'P0004.U8', 352, 192);
  -- Добавление параметра прибора "Учет энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11154, 'Учет энергии', '', 827, 1, 1, 'P000F.U8.BIT0-3', 352, 192);
  -- Добавление параметра прибора "Установка на обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11155, 'Установка на обратной трубе', '', 827, 1, 1, 'P000F.U8.BIT3', 352, 192);
  -- Добавление параметра прибора "Подающий термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11156, 'Подающий термометр виртуальный', '', 827, 1, 1, 'P000F.U8.BIT4', 352, 192);
  -- Добавление параметра прибора "Обратный термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11157, 'Обратный термометр виртуальный', '', 827, 1, 1, 'P000F.U8.BIT5', 352, 192);
  -- Добавление параметра прибора "Универсальный режим"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11158, 'Универсальный режим', '', 827, 1, 1, 'P000F.U8.BIT7', 352, 192);
  -- Добавление параметра прибора "Имп. вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11159, 'Имп. вход 1, вес', '', 827, 1, 1, 'P0020.F32', 352, 192);
  -- Добавление параметра прибора "Имп. вход 1, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11160, 'Имп. вход 1, длит. [мс]', '', 827, 1, 1, 'P0021.F32', 352, 192);
  -- Добавление параметра прибора "Имп. вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11161, 'Имп. вход 2, вес', '', 827, 1, 1, 'P0023.F32', 352, 192);
  -- Добавление параметра прибора "Имп. вход 2, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11162, 'Имп. вход 2, длит. [мс]', '', 827, 1, 1, 'P0024.F32', 352, 192);
  -- Добавление параметра прибора "Имп. вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11163, 'Имп. вход 3, вес', '', 827, 1, 1, 'P0026.F32', 352, 192);
  -- Добавление параметра прибора "Имп. вход 3, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11164, 'Имп. вход 3, длит. [мс]', '', 827, 1, 1, 'P0027.F32', 352, 192);
  -- Добавление параметра прибора "Имп. вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11165, 'Имп. вход 4, вес', '', 827, 1, 1, 'P0029.F32', 352, 192);
  -- Добавление параметра прибора "Имп. вход 4, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11166, 'Имп. вход 4, длит. [мс]', '', 827, 1, 1, 'P002A.F32', 352, 192);
  -- Добавление параметра прибора "Имп. выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11167, 'Имп. выход, вес', '', 827, 1, 1, 'P002C.F32', 352, 192);
  -- Добавление параметра прибора "Имп. выход, длит. [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11168, 'Имп. выход, длит. [мс]', '', 827, 1, 1, 'P002D.F32', 352, 192);
  -- Добавление параметра прибора "Температура виртуальная [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11169, 'Температура виртуальная [C]', '', 827, 1, 1, 'P0050.F32', 352, 192);
  -- Добавление параметра прибора "Чувствительность расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11170, 'Чувствительность расхода [м3/ч]', '', 827, 1, 1, 'P0051.F32', 352, 192);
  -- Добавление параметра прибора "Гистер. перепада температур [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11171, 'Гистер. перепада температур [C]', '', 827, 1, 1, 'P0052.F32', 352, 192);
  -- Добавление параметра прибора "Мин. перепад температур [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11172, 'Мин. перепад температур [C]', '', 827, 1, 1, 'P0055.F32', 352, 192);
  -- Добавление параметра прибора "Минимальный расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11173, 'Минимальный расход [м3/ч]', '', 827, 1, 1, 'P0053.F32', 352, 192);
  -- Добавление параметра прибора "Максимальный расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11174, 'Максимальный расход [м3/ч]', '', 827, 1, 1, 'P0054.F32', 352, 192);
  -- Добавление параметра прибора "Статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11175, 'Статус', '', 827, 1, 1, 'P0008', 352, 448);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11176, 'Напряжение батареи [мВ]', '', 827, 1, 1, 'P000A.U16', 352, 448);
  -- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11177, 'Температура контроллера [C]', '', 827, 1, 1, 'P000B.U8', 352, 448);
  -- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11178, 'RSSI последнего пакета [дБм]', '', 827, 1, 1, 'P0009.S8', 352, 448);
  -- Добавление параметра прибора "Количество переданных ШП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11179, 'Количество переданных ШП маркеров', '', 827, 1, 1, 'P0095.U32', 352, 192);
  -- Добавление параметра прибора "Количество переданных УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11180, 'Количество переданных УП маркеров', '', 827, 1, 1, 'P0096.U32', 352, 192);
  -- Добавление параметра прибора "Rf-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11181, 'Rf-test [Ом]', '', 827, 1, 1, 'P00A0.F32', 352, 192);
  -- Добавление параметра прибора "Rr-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11182, 'Rr-test [Ом]', '', 827, 1, 1, 'P00A1.F32', 352, 192);
  -- Добавление параметра прибора "Re-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11183, 'Re-test [Ом]', '', 827, 1, 1, 'P00A2.F32', 352, 192);
  -- Добавление параметра прибора "Tf-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11184, 'Tf-test [C]', '', 827, 1, 1, 'P00A3.F32', 352, 192);
  -- Добавление параметра прибора "Tr-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11185, 'Tr-test [C]', '', 827, 1, 1, 'P00A4.F32', 352, 192);
  -- Добавление параметра прибора "Te-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11186, 'Te-test [C]', '', 827, 1, 1, 'P00A5.F32', 352, 448);
  -- Добавление параметра прибора "V-test, [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11187, 'V-test, [м3]', '', 827, 1, 1, 'P00A6.F32', 352, 192);
  -- Добавление параметра прибора "Ef-test"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11188, 'Ef-test', '', 827, 1, 1, 'P00A7.F32', 352, 448);
  -- Добавление параметра прибора "Er-test"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11189, 'Er-test', '', 827, 1, 1, 'P00A8.F32', 352, 448);

---- Группа "УП радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (828, 'УП радио', 'Параметры настройки узкополосного радио', 352, 827);

  -- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11190, '[RF] Мощность передатчика [мВт]', '', 828, 1, 1, 'P1000.U8', 352, 192);
  -- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11191, '[RF] Количество повторов УП маркеров', '', 828, 1, 1, 'P1001.U8', 352, 192);
  -- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11192, '[RF] Режим кодирования УП маркеров', '', 828, 1, 1, 'P1002.U8', 352, 192);
  -- Добавление параметра прибора "[RF] Смещение каналов УП передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11193, '[RF] Смещение каналов УП передачи', '', 828, 1, 1, 'P1003.S16', 352, 192);
  -- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11194, '[RF] Запрос на неотложную передачу УП маркера', '', 828, 1, 1, 'P10F1.U8', 352, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (829, 'Наладка', 'Наладка и калибровка', 352, 827);

  -- Добавление параметра прибора "Количество сборосов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11195, 'Количество сборосов', '', 829, 1, 1, 'P0007.U16', 352, 448);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11196, 'Запись разрешена аппаратно', '', 829, 1, 1, 'P0008.U8.BIT3', 352, 448);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11197, 'Запись разрешена программно', '', 829, 1, 1, 'P0008.U8.BIT4', 352, 448);
  -- Добавление параметра прибора "Часовой кварц, частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11198, 'Часовой кварц, частота [Гц]', '', 829, 1, 1, 'P0003.F32', 352, 64);
  -- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11199, 'Часовой кварц, ёмкость', '', 829, 1, 1, 'P0010.S8', 352, 64);
  -- Добавление параметра прибора "Вес испульса [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11200, 'Вес испульса [л/имп]', '', 829, 1, 1, 'P005D.F32', 352, 192);
  -- Добавление параметра прибора "Расход по эталону [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11201, 'Расход по эталону [м3/ч]', '', 829, 1, 1, 'P005E.F32', 352, 64);
  -- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11202, 'Линеаризация расхода', '', 829, 1, 1, 'P005F.U8', 352, 64);
  -- Добавление параметра прибора "Детектор металла, автонастройка"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11203, 'Детектор металла, автонастройка', '', 829, 1, 1, 'P009A.U8', 352, 64);
  -- Добавление параметра прибора "Объём EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11204, 'Объём EEPROM', '', 829, 1, 1, 'P0011.U8', 352, 64);
  -- Добавление параметра прибора "Конфигурация имп. выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11205, 'Конфигурация имп. выхода', '', 829, 1, 1, 'P0012.S8', 352, 64);
  -- Добавление параметра прибора "Количество имп. входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11206, 'Количество имп. входов', '', 829, 1, 1, 'P0013.U8', 352, 64);
  -- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11207, 'Порт RS485', '', 829, 1, 1, 'P0015', 352, 64);
  -- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11208, 'Порт ИК', '', 829, 1, 1, 'P0016', 352, 64);
  -- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11209, 'Конфигурация кнопки', '', 829, 1, 1, 'P0019.S8', 352, 64);
  -- Добавление параметра прибора "Детектор металла, режим"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11210, 'Детектор металла, режим', '', 829, 1, 1, 'P0018.S8', 352, 64);
  -- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11211, 'Язык', '', 829, 1, 1, 'P001A.U16.BIT0-2', 352, 64);
  -- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11212, 'Модуль дисплея', '', 829, 1, 1, 'P001A.U16.BIT2-6', 352, 64);
  -- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11213, 'Единицы измерения энергии', '', 829, 1, 1, 'P001A.U16.BIT8-4', 352, 64);
  -- Добавление параметра прибора "Единицы измерения мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11214, 'Единицы измерения мощности', '', 829, 1, 1, 'P001A.U16.BIT12-4', 352, 64);
  -- Добавление параметра прибора "RF кварц, частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11215, 'RF кварц, частота [Гц]', '', 829, 1, 1, 'P001D.U32', 352, 64);
  -- Добавление параметра прибора "RF кварц, конденсаторы [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11216, 'RF кварц, конденсаторы [Гц]', '', 829, 1, 1, 'P001E.U8', 352, 64);
  -- Добавление параметра прибора "Архивируемые каналы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11217, 'Архивируемые каналы', '', 829, 1, 1, 'P001B', 352, 64);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11218, 'Значение смещения [Ом]', '', 829, 1, 1, 'P0030.F32', 352, 64);
  -- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11219, 'Коэфф. диапазона [Ом]', '', 829, 1, 1, 'P0031.F32', 352, 64);
  -- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11220, 'Сопротивление калиб. [Ом]', '', 829, 1, 1, 'P0032.F32', 352, 64);
  -- Добавление параметра прибора "Сопротивление подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11221, 'Сопротивление подачи [Ом]', '', 829, 1, 1, 'P0033.F32', 352, 320);
  -- Добавление параметра прибора "Сопротивление обратки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11222, 'Сопротивление обратки [Ом]', '', 829, 1, 1, 'P0034.F32', 352, 320);
  -- Добавление параметра прибора "Rwire подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11223, 'Rwire подачи [Ом]', '', 829, 1, 1, 'P0035.F32', 352, 64);
  -- Добавление параметра прибора "R0 подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11224, 'R0 подачи [Ом]', '', 829, 1, 1, 'P0036.F32', 352, 64);
  -- Добавление параметра прибора "Alfa подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11225, 'Alfa подачи [Ом]', '', 829, 1, 1, 'P0037.F32', 352, 64);
  -- Добавление параметра прибора "Beta подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11226, 'Beta подачи [Ом]', '', 829, 1, 1, 'P0038.F32', 352, 64);
  -- Добавление параметра прибора "Delta подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11227, 'Delta подачи [Ом]', '', 829, 1, 1, 'P0039.F32', 352, 64);
  -- Добавление параметра прибора "Rwire подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11228, 'Rwire подачи [Ом]', '', 829, 1, 1, 'P003A.F32', 352, 64);
  -- Добавление параметра прибора "R0 обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11229, 'R0 обатки [Ом]', '', 829, 1, 1, 'P003B.F32', 352, 64);
  -- Добавление параметра прибора "Alfa обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11230, 'Alfa обатки [Ом]', '', 829, 1, 1, 'P003C.F32', 352, 64);
  -- Добавление параметра прибора "Beta обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11231, 'Beta обатки [Ом]', '', 829, 1, 1, 'P003D.F32', 352, 64);
  -- Добавление параметра прибора "Delta обатки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11232, 'Delta обатки [Ом]', '', 829, 1, 1, 'P003E.F32', 352, 64);
  -- Добавление параметра прибора "R0 эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11233, 'R0 эталон [Ом]', '', 829, 1, 1, 'P003F.F32', 352, 320);
  -- Добавление параметра прибора "Alfa эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11234, 'Alfa эталон [Ом]', '', 829, 1, 1, 'P0040.F32', 352, 320);
  -- Добавление параметра прибора "Beta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11235, 'Beta эталон [Ом]', '', 829, 1, 1, 'P0041.F32', 352, 320);
  -- Добавление параметра прибора "Delta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11236, 'Delta эталон [Ом]', '', 829, 1, 1, 'P0042.F32', 352, 320);
  -- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11237, 'Сенсорная кнопка, статус', '', 829, 1, 1, 'P0098.U64.X', 352, 320);
  -- Добавление параметра прибора "Детектор метала, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11238, 'Детектор метала, статус', '', 829, 1, 1, 'P009B.U64.X', 352, 320);
  -- Добавление параметра прибора "Детектор метала, рез. настройки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11239, 'Детектор метала, рез. настройки', '', 829, 1, 1, 'P009C.U32.X', 352, 320);
  -- Добавление параметра прибора "Детектор метала, рез. калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11240, 'Детектор метала, рез. калибровки', '', 829, 1, 1, 'P009D.U32.X', 352, 320);
  -- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11241, 'Глубина часового архива', '', 829, 1, 1, 'P001C.U64.BIT0-16', 352, 64);
  -- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11242, 'Глубина суточного архива', '', 829, 1, 1, 'P001C.U64.BIT16-16', 352, 64);
  -- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11243, 'Глубина месячного архива', '', 829, 1, 1, 'P001C.U64.BIT32-16', 352, 64);
  -- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11244, 'Глубина журнала событий', '', 829, 1, 1, 'P001C.U64.BIT48-16', 352, 64);
  -- Добавление параметра прибора "Сброс статуса истории"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11245, 'Сброс статуса истории', '', 829, 1, 1, 'P00D1.U8.BIT0', 352, 64);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11246, 'Диагностика', '', 829, 1, 1, 'P0090.U8', 352, 192);
  -- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11247, 'Тест ACLK', '', 829, 1, 1, 'P0091.U8', 352, 64);
  -- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11248, 'Тест расхода', '', 829, 1, 1, 'P0092.U8', 352, 64);
  -- Добавление параметра прибора "Вывод частоты RF кврца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11249, 'Вывод частоты RF кврца', '', 829, 1, 1, 'P0093.U8', 352, 64);
  -- Добавление параметра прибора "Последняя ошибка RF модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11250, 'Последняя ошибка RF модуля', '', 829, 1, 1, 'P0094.U8', 352, 192);
