-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 11838 AND pr_typ_id <= 11932;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 903 AND gr_typ_id <= 911;

---- Прибор "Пульсар счетчик воды электронный v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар счетчик воды электронный v1', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 371;

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (903, 'Каналы', '', 371, 0);


---- Группа "Пользователи" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (904, 'Пользователи', '', 371, 903);

  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11838, 'Объём [м3]', '', 904, 1, 1, 'K1.F32', 371, 143);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11839, 'Расход [м3/ч]', '', 904, 1, 1, 'K2.F32', 371, 385);



---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (906, 'Параметры', '', 371, 0);


---- Группа "Пользователи" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (907, 'Пользователи', '', 371, 906);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11844, 'Дата и время', '', 907, 1, 1, 'D', 371, 192);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11845, 'Сетевой адрес', '', 907, 1, 1, '__ADDRESS', 371, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11846, 'Версия ПО', '', 907, 1, 1, '__VERSION_EXTERNAL', 371, 448);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11847, 'Пароль (старый | новый)', '', 907, 1, 1, '__PASSWORD', 371, 192);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11848, 'Запись запрещена', '', 907, 1, 1, 'P0003.U8', 371, 448);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11849, 'Текущие ошибки', '', 907, 1, 1, 'P0010.U16', 371, 448);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11850, 'Накопленные ошибки', '', 907, 1, 1, 'P0011.U16', 371, 192);
  -- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11851, 'Количество сбросов', '', 907, 1, 1, 'P0012.U16', 371, 192);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11852, 'Напряжение батареи [мВ]', '', 907, 1, 1, 'P0040.U16', 371, 448);
  -- Добавление параметра прибора "[Имп. выход] Вес импульса [л/имп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11853, '[Имп. выход] Вес импульса [л/имп.]', '', 907, 1, 1, 'P0101.F32', 371, 192);
  -- Добавление параметра прибора "[Имп. выход] Длит. импульса [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11854, '[Имп. выход] Длит. импульса [мС]', '', 907, 1, 1, 'P0102.F32', 371, 192);
  -- Добавление параметра прибора "[Имп. выход] Длит. паузы [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11855, '[Имп. выход] Длит. паузы [мС]', '', 907, 1, 1, 'P0103.F32', 371, 192);
  -- Добавление параметра прибора "Порог контроля расхода MIN [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11856, 'Порог контроля расхода MIN [м3/ч]', '', 907, 1, 1, 'P0125.F32', 371, 192);
  -- Добавление параметра прибора "Порог контроля расхода MAX [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11857, 'Порог контроля расхода MAX [м3/ч]', '', 907, 1, 1, 'P0126.F32', 371, 192);



  -- Добавление параметра прибора "[RF] Вывод частоты кварца генератора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (11932, '[RF] Вывод частоты кварца генератора', '', 911, 1, 1, 'P0203.U8', 371, 64);
