SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12183 AND pr_typ_id <= 12348;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 926 AND gr_typ_id <= 928;

---- Прибор "Пульсар теплосчётчик ультразвуковой v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразвуковой v1', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 280;

---- Прибор "Пульсар теплосчётчик ультразвуковой v2" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразвуковой v2', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 308;

---- Прибор "Пульсар теплосчётчик ультразвуковой v29" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразвуковой v29', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 341;

---- Прибор "Пульсар теплосчётчик ультразвуковой v40" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразвуковой v40', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 342;

---- Прибор "Пульсар теплосчётчик ультразвуковой v31" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразвуковой v31', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 350;

---- Прибор "Пульсар теплосчётчик ультразвуковой v42" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразвуковой v42', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 351;

---- Прибор "Пульсар теплосчётчик ультразвуковой v37" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик ультразвуковой v37', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 378;

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (926, 'Текущие', '', 378, 0);

  -- Добавление параметра прибора "Сопротивление 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12183, 'Сопротивление 1 [Ом]', '', 926, 1, 1, 'K1', 378, 257);
  -- Добавление параметра прибора "Сопротивление 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12184, 'Сопротивление 2 [Ом]', '', 926, 1, 1, 'K2', 378, 257);
  -- Добавление параметра прибора "Температура подачи [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12185, 'Температура подачи [C]', '', 926, 1, 1, 'K3', 378, 399);
  -- Добавление параметра прибора "Температура обратки [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12186, 'Температура обратки [C]', '', 926, 1, 1, 'K4', 378, 399);
  -- Добавление параметра прибора "Температура перепада [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12187, 'Температура перепада [C]', '', 926, 1, 1, 'K5', 378, 385);
  -- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12188, 'Расход [м3/ч]', '', 926, 1, 1, 'K9', 378, 385);
  -- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12189, 'Мощность', '', 926, 1, 1, 'K6', 378, 385);
  -- Добавление параметра прибора "Импульсный вход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12190, 'Импульсный вход 1', '', 926, 1, 1, 'K10', 378, 143);
  -- Добавление параметра прибора "Импульсный вход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12191, 'Импульсный вход 2', '', 926, 1, 1, 'K11', 378, 143);
  -- Добавление параметра прибора "Импульсный вход 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12192, 'Импульсный вход 3', '', 926, 1, 1, 'K12', 378, 143);
  -- Добавление параметра прибора "Импульсный вход 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12193, 'Импульсный вход 4', '', 926, 1, 1, 'K13', 378, 143);
  -- Добавление параметра прибора "Объём подачи [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12194, 'Объём подачи [м3]', '', 926, 1, 1, 'K8', 378, 143);
  -- Добавление параметра прибора "Объём обратки [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12195, 'Объём обратки [м3]', '', 926, 1, 1, 'K27', 378, 143);
  -- Добавление параметра прибора "Объём потер/отобр[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12196, 'Объём потер/отобр[м3]', '', 926, 1, 1, 'K14', 378, 143);
  -- Добавление параметра прибора "Объём реверсный [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12197, 'Объём реверсный [м3]', '', 926, 1, 1, 'K30', 378, 143);
  -- Добавление параметра прибора "Масса подачи [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12198, 'Масса подачи [т]', '', 926, 1, 1, 'K24', 378, 143);
  -- Добавление параметра прибора "Масса обратки [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12199, 'Масса обратки [т]', '', 926, 1, 1, 'K25', 378, 143);
  -- Добавление параметра прибора "Масса потер/отобр [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12200, 'Масса потер/отобр [т]', '', 926, 1, 1, 'K26', 378, 143);
  -- Добавление параметра прибора "Масса реверсная [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12201, 'Масса реверсная [т]', '', 926, 1, 1, 'K31', 378, 143);
  -- Добавление параметра прибора "Энергия общая [E]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12202, 'Энергия общая [E]', '', 926, 1, 1, 'K7', 378, 143);
  -- Добавление параметра прибора "Энергия отопления [E1]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12203, 'Энергия отопления [E1]', '', 926, 1, 1, 'K21', 378, 143);
  -- Добавление параметра прибора "Энергия потер/отобр [E2]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12204, 'Энергия потер/отобр [E2]', '', 926, 1, 1, 'K28', 378, 143);
  -- Добавление параметра прибора "Давлени подачи [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12205, 'Давлени подачи [МПа]', '', 926, 1, 1, 'K22', 378, 399);
  -- Добавление параметра прибора "Давлени обратки [МПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12206, 'Давлени обратки [МПа]', '', 926, 1, 1, 'K23', 378, 399);
  -- Добавление параметра прибора "Время дифф. теста [мкС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12207, 'Время дифф. теста [мкС]', '', 926, 1, 1, 'K15', 378, 257);
  -- Добавление параметра прибора "Тестовый объём[м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12208, 'Тестовый объём[м3]', '', 926, 1, 1, 'K16', 378, 257);
  -- Добавление параметра прибора "Тестовый расход без коррекции [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12209, 'Тестовый расход без коррекции [м3/ч]', '', 926, 1, 1, 'K19', 378, 257);
  -- Добавление параметра прибора "Тестовый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12210, 'Тестовый расход [м3/ч]', '', 926, 1, 1, 'K17', 378, 257);
  -- Добавление параметра прибора "Измерений за тест"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12211, 'Измерений за тест', '', 926, 1, 1, 'K18', 378, 257);
  -- Добавление параметра прибора "Уровень ультразвука [mV]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12212, 'Уровень ультразвука [mV]', '', 926, 1, 1, 'K32', 378, 271);
  -- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12213, 'Время наработки [ч]', '', 926, 1, 1, 'P000C.U32', 378, 129);
  -- Добавление параметра прибора "Время наработки c ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12214, 'Время наработки c ошибками [ч]', '', 926, 1, 1, 'P000D.U32', 378, 129);
  -- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12215, 'Время нормальной работы [ч]', '', 926, 1, 1, 'K20.U32', 378, 143);
  -- Добавление параметра прибора "Код ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12216, 'Код ошибок', '', 926, 1, 1, 'K29.U32.X', 378, 399);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (927, 'Настроечные', '', 378, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12217, 'Дата и время', '', 927, 1, 1, 'D', 378, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12218, 'Версия ПО', '', 927, 1, 1, 'P0005.U8', 378, 448);
  -- Добавление параметра прибора "Ревизия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12219, 'Ревизия ПО', '', 927, 1, 1, 'P0005.U32.BIT24-8', 378, 448);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12220, 'Сетевой адрес', '', 927, 1, 1, 'P0002.U32.XN', 378, 192);
  -- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12221, 'Ошибки', '', 927, 1, 1, 'P0006.U32.X', 378, 448);
  -- Добавление параметра прибора "Наработка с ошибками, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12222, 'Наработка с ошибками, маска', '', 927, 1, 1, 'P000E.U32.X', 378, 192);
  -- Добавление параметра прибора "Тип счетчика(4-1р,5-2р,6-3р)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12223, 'Тип счетчика(4-1р,5-2р,6-3р)', '', 927, 1, 1, 'P000F.U8.BIT0-3', 378, 192);
  -- Добавление параметра прибора "Установка на обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12224, 'Установка на обратной трубе', '', 927, 1, 1, 'P000F.U8.BIT3', 378, 192);
  -- Добавление параметра прибора "Подающий термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12225, 'Подающий термометр виртуальный', '', 927, 1, 1, 'P000F.U8.BIT4', 378, 192);
  -- Добавление параметра прибора "Обратный термометр виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12226, 'Обратный термометр виртуальный', '', 927, 1, 1, 'P000F.U8.BIT5', 378, 192);
  -- Добавление параметра прибора "Учет обратного потока разрешен"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12227, 'Учет обратного потока разрешен', '', 927, 1, 1, 'P000F.U8.BIT6', 378, 192);
  -- Добавление параметра прибора "Формула расчета энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12228, 'Формула расчета энергии', '', 927, 1, 1, 'P0305.U8', 378, 192);
  -- Добавление параметра прибора "EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12229, 'EEPROM', '', 927, 1, 1, 'P0011.U8', 378, 64);
  -- Добавление параметра прибора "Количество импульсных выходов [0...1]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12230, 'Количество импульсных выходов [0...1]', '', 927, 1, 1, 'P0012.S8', 378, 64);
  -- Добавление параметра прибора "Количество импульсных входов [0...4]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12231, 'Количество импульсных входов [0...4]', '', 927, 1, 1, 'P0013.U8', 378, 192);
  -- Добавление параметра прибора "Датчик давления ном.X100 [мПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12232, 'Датчик давления ном.X100 [мПа]', '', 927, 1, 1, 'P0018.U8', 378, 64);
  -- Добавление параметра прибора "Калибровка давления [коэф.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12233, 'Калибровка давления [коэф.]', '', 927, 1, 1, 'P0210.F32', 378, 64);
  -- Добавление параметра прибора "Импульсный вход 1, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12234, 'Импульсный вход 1, вес', '', 927, 1, 1, 'P0020.F32', 378, 192);
  -- Добавление параметра прибора "Импульсный вход 1, длит. мин [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12235, 'Импульсный вход 1, длит. мин [мС]', '', 927, 1, 1, 'P0021.F32', 378, 192);
  -- Добавление параметра прибора "Импульсный вход 2, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12236, 'Импульсный вход 2, вес', '', 927, 1, 1, 'P0023.F32', 378, 192);
  -- Добавление параметра прибора "Импульсный вход 2, длит. мин [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12237, 'Импульсный вход 2, длит. мин [мС]', '', 927, 1, 1, 'P0024.F32', 378, 192);
  -- Добавление параметра прибора "Импульсный вход 3, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12238, 'Импульсный вход 3, вес', '', 927, 1, 1, 'P0026.F32', 378, 192);
  -- Добавление параметра прибора "Импульсный вход 3, длит. мин [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12239, 'Импульсный вход 3, длит. мин [мС]', '', 927, 1, 1, 'P0027.F32', 378, 192);
  -- Добавление параметра прибора "Импульсный вход 4, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12240, 'Импульсный вход 4, вес', '', 927, 1, 1, 'P0029.F32', 378, 192);
  -- Добавление параметра прибора "Импульсный вход 4, длит. мин [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12241, 'Импульсный вход 4, длит. мин [мС]', '', 927, 1, 1, 'P002A.F32', 378, 192);
  -- Добавление параметра прибора "Импульсный выход, вес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12242, 'Импульсный выход, вес', '', 927, 1, 1, 'P002C.F32', 378, 192);
  -- Добавление параметра прибора "Импульсный выход, длит. [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12243, 'Импульсный выход, длит. [мС]', '', 927, 1, 1, 'P002D.F32', 378, 192);
  -- Добавление параметра прибора "Температура хол. воды зима [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12244, 'Температура хол. воды зима [C]', '', 927, 1, 1, 'P0050.F32', 378, 192);
  -- Добавление параметра прибора "Температура хол. воды лето [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12245, 'Температура хол. воды лето [C]', '', 927, 1, 1, 'P0211.F32', 378, 192);
  -- Добавление параметра прибора "Переход на зиму - месяц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12246, 'Переход на зиму - месяц', '', 927, 1, 1, 'P0212.U8', 378, 192);
  -- Добавление параметра прибора "Переход на зиму - день"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12247, 'Переход на зиму - день', '', 927, 1, 1, 'P0213.U8', 378, 192);
  -- Добавление параметра прибора "Переход на лето - месяц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12248, 'Переход на лето - месяц', '', 927, 1, 1, 'P0214.U8', 378, 192);
  -- Добавление параметра прибора "Переход на лето - день"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12249, 'Переход на лето - день', '', 927, 1, 1, 'P0215.U8', 378, 192);
  -- Добавление параметра прибора "Дельта температуры, гистерезис [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12250, 'Дельта температуры, гистерезис [C]', '', 927, 1, 1, 'P0052.F32', 378, 192);
  -- Добавление параметра прибора "Дельта температуры, для энергии [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12251, 'Дельта температуры, для энергии [C]', '', 927, 1, 1, 'P0055.F32', 378, 192);
  -- Добавление параметра прибора "Пороговый расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12252, 'Пороговый расход [м3/ч]', '', 927, 1, 1, 'P0051.F32', 378, 192);
  -- Добавление параметра прибора "Минимальный расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12253, 'Минимальный расход [м3/ч]', '', 927, 1, 1, 'P0053.F32', 378, 192);
  -- Добавление параметра прибора "Максимальный расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12254, 'Максимальный расход [м3/ч]', '', 927, 1, 1, 'P0054.F32', 378, 192);
  -- Добавление параметра прибора "Мин. расход 2 (водосчетчика) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12255, 'Мин. расход 2 (водосчетчика) [м3/ч]', '', 927, 1, 1, 'P0300.F32', 378, 192);
  -- Добавление параметра прибора "Макс. расход 2 (водосчетчика) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12256, 'Макс. расход 2 (водосчетчика) [м3/ч]', '', 927, 1, 1, 'P0301.F32', 378, 192);
  -- Добавление параметра прибора "Макс. небаланс для контроля масс [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12257, 'Макс. небаланс для контроля масс [%]', '', 927, 1, 1, 'P0302.F32', 378, 192);
  -- Добавление параметра прибора "Метод контроля масс [0...4]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12258, 'Метод контроля масс [0...4]', '', 927, 1, 1, 'P0303.U8', 378, 192);
  -- Добавление параметра прибора "Метод контроля энергии [0...2]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12259, 'Метод контроля энергии [0...2]', '', 927, 1, 1, 'P0304.U8', 378, 192);
  -- Добавление параметра прибора "Архивируемые каналы, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12260, 'Архивируемые каналы, маска', '', 927, 1, 1, 'P001B.U32', 378, 192);
  -- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12261, 'Автопереход зима/лето', '', 927, 1, 1, 'P0001.U8', 378, 192);
  -- Добавление параметра прибора "Количество сборосов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12262, 'Количество сборосов', '', 927, 1, 1, 'P0007.U16', 378, 64);
  -- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12263, 'Запись разрешена аппаратно', '', 927, 1, 1, 'P0008.U8.BIT3', 378, 320);
  -- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12264, 'Запись разрешена программно', '', 927, 1, 1, 'P0008.U8.BIT4', 378, 320);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12265, 'Напряжение батареи [мВ]', '', 927, 1, 1, 'P000A.U16', 378, 448);
  -- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12266, 'Температура контроллера [C]', '', 927, 1, 1, 'P000B.U8', 378, 448);
  -- Добавление параметра прибора "Частота кварца LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12267, 'Частота кварца LF [Гц]', '', 927, 1, 1, 'P0003.F32', 378, 64);
  -- Добавление параметра прибора "Частота кварца RF [МГц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12268, 'Частота кварца RF [МГц]', '', 927, 1, 1, 'P0004.F32', 378, 64);
  -- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12269, 'Диагностика', '', 927, 1, 1, 'P0090.U8', 378, 64);
  -- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12270, 'Тест ACLK', '', 927, 1, 1, 'P0091.U8', 378, 64);
  -- Добавление параметра прибора "Тест расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12271, 'Тест расхода', '', 927, 1, 1, 'P0092.U8', 378, 64);
  -- Добавление параметра прибора "Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12272, 'Линеаризация расхода', '', 927, 1, 1, 'P005F.U8', 378, 64);
  -- Добавление параметра прибора "Режим расчёта УЗ по полиному"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12273, 'Режим расчёта УЗ по полиному', '', 927, 1, 1, 'P0230.U8', 378, 64);
  -- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12274, 'Часовой кварц, ёмкость', '', 927, 1, 1, 'P0010.S8', 378, 64);
  -- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12275, 'Порт RS485', '', 927, 1, 1, 'P0015.U8.X', 378, 192);
  -- Добавление параметра прибора "Порт ИК"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12276, 'Порт ИК', '', 927, 1, 1, 'P0016.U8.X', 378, 192);
  -- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12277, 'Конфигурация кнопки', '', 927, 1, 1, 'P0019.S8', 378, 64);
  -- Добавление параметра прибора "Язык"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12278, 'Язык', '', 927, 1, 1, 'P001A.U16.BIT0-2', 378, 64);
  -- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12279, 'Модуль дисплея', '', 927, 1, 1, 'P001A.U16.BIT2-6', 378, 64);
  -- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12280, 'Единицы измерения энергии', '', 927, 1, 1, 'P001A.U16.BIT8-4', 378, 64);
  -- Добавление параметра прибора "Единицы измерения мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12281, 'Единицы измерения мощности', '', 927, 1, 1, 'P001A.U16.BIT12-4', 378, 64);
  -- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12282, 'Значение смещения [Ом]', '', 927, 1, 1, 'P0030.F32', 378, 64);
  -- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12283, 'Коэфф. диапазона [Ом]', '', 927, 1, 1, 'P0031.F32', 378, 64);
  -- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12284, 'Сопротивление калиб. [Ом]', '', 927, 1, 1, 'P0032.F32', 378, 64);
  -- Добавление параметра прибора "Сопротивление 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12285, 'Сопротивление 1 [Ом]', '', 927, 1, 1, 'P0033.F32', 378, 320);
  -- Добавление параметра прибора "Сопротивление 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12286, 'Сопротивление 2 [Ом]', '', 927, 1, 1, 'P0034.F32', 378, 320);
  -- Добавление параметра прибора "Сопротивление 2 провода посл. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12287, 'Сопротивление 2 провода посл. [Ом]', '', 927, 1, 1, 'P0202.F32', 378, 64);
  -- Добавление параметра прибора "Rwire 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12288, 'Rwire 1 [Ом]', '', 927, 1, 1, 'P0035.F32', 378, 64);
  -- Добавление параметра прибора "R0 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12289, 'R0 1 [Ом]', '', 927, 1, 1, 'P0036.F32', 378, 192);
  -- Добавление параметра прибора "Alfa 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12290, 'Alfa 1 [Ом]', '', 927, 1, 1, 'P0037.F32', 378, 64);
  -- Добавление параметра прибора "Beta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12291, 'Beta 1 [Ом]', '', 927, 1, 1, 'P0038.F32', 378, 64);
  -- Добавление параметра прибора "Delta 1 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12292, 'Delta 1 [Ом]', '', 927, 1, 1, 'P0039.F32', 378, 64);
  -- Добавление параметра прибора "Rwire 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12293, 'Rwire 2 [Ом]', '', 927, 1, 1, 'P003A.F32', 378, 64);
  -- Добавление параметра прибора "R0 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12294, 'R0 2 [Ом]', '', 927, 1, 1, 'P003B.F32', 378, 64);
  -- Добавление параметра прибора "Alfa 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12295, 'Alfa 2 [Ом]', '', 927, 1, 1, 'P003C.F32', 378, 64);
  -- Добавление параметра прибора "Beta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12296, 'Beta 2 [Ом]', '', 927, 1, 1, 'P003D.F32', 378, 64);
  -- Добавление параметра прибора "Delta 2 [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12297, 'Delta 2 [Ом]', '', 927, 1, 1, 'P003E.F32', 378, 64);
  -- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12298, 'Сенсорная кнопка, статус', '', 927, 1, 1, 'P0098.U64.X', 378, 320);
  -- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12299, 'Глубина часового архива', '', 927, 1, 1, 'P001C.U64.BIT0-16', 378, 192);
  -- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12300, 'Глубина суточного архива', '', 927, 1, 1, 'P001C.U64.BIT16-16', 378, 192);
  -- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12301, 'Глубина месячного архива', '', 927, 1, 1, 'P001C.U64.BIT32-16', 378, 192);
  -- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12302, 'Глубина журнала событий', '', 927, 1, 1, 'P001C.U64.BIT48-16', 378, 192);
  -- Добавление параметра прибора "Глубина архивов, код для обнуления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12303, 'Глубина архивов, код для обнуления', '', 927, 1, 1, 'P001C.U64.X', 378, 64);
  -- Добавление параметра прибора "Калибровка нуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12304, 'Калибровка нуля', '', 927, 1, 1, 'P0200.F32', 378, 64);
  -- Добавление параметра прибора "Калибровка среднего расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12305, 'Калибровка среднего расхода', '', 927, 1, 1, 'P0201.F32', 378, 64);
  -- Добавление параметра прибора "Минимальный уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12306, 'Минимальный уровень компаратора', '', 927, 1, 1, 'P0222.U8', 378, 64);
  -- Добавление параметра прибора "Максимальный уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12307, 'Максимальный уровень компаратора', '', 927, 1, 1, 'P0223.U8', 378, 64);
  -- Добавление параметра прибора "Первый уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12308, 'Первый уровень компаратора', '', 927, 1, 1, 'P0224.U8', 378, 64);
  -- Добавление параметра прибора "Максимальная разница T1_T2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12309, 'Максимальная разница T1_T2', '', 927, 1, 1, 'P0225.U8', 378, 64);
  -- Добавление параметра прибора "Максимальная разница T2_T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12310, 'Максимальная разница T2_T', '', 927, 1, 1, 'P0226.U8', 378, 64);
  -- Добавление параметра прибора "Параметр 4го фильтра"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12311, 'Параметр 4го фильтра', '', 927, 1, 1, 'P0227.U8', 378, 64);
  -- Добавление параметра прибора "Маска ошибок УЗ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12312, 'Маска ошибок УЗ', '', 927, 1, 1, 'P0228.U8', 378, 64);
  -- Добавление параметра прибора "Диференциальное время для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12313, 'Диференциальное время для теста', '', 927, 1, 1, 'P0240.F32', 378, 64);
  -- Добавление параметра прибора "Сопротивление 0 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12314, 'Сопротивление 0 для теста', '', 927, 1, 1, 'P0242.F32', 378, 64);
  -- Добавление параметра прибора "Сопротивление 1 для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12315, 'Сопротивление 1 для теста', '', 927, 1, 1, 'P0243.F32', 378, 64);
  -- Добавление параметра прибора "Расход для теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12316, 'Расход для теста', '', 927, 1, 1, 'P0241.F32', 378, 64);
  -- Добавление параметра прибора "Время теста для энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12317, 'Время теста для энергии', '', 927, 1, 1, 'P0244.U16', 378, 64);
  -- Добавление параметра прибора "Итоговое время теста"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12318, 'Итоговое время теста', '', 927, 1, 1, 'P0245.U16', 378, 64);
  -- Добавление параметра прибора "Тест УЗ TofUp"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12319, 'Тест УЗ TofUp', '', 927, 1, 1, 'P0410.F32', 378, 320);
  -- Добавление параметра прибора "Тест УЗ TofDn"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12320, 'Тест УЗ TofDn', '', 927, 1, 1, 'P0411.F32', 378, 320);
  -- Добавление параметра прибора "Температура основного полинома (30)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12321, 'Температура основного полинома (30)', '', 927, 1, 1, 'P0260.U8', 378, 64);
  -- Добавление параметра прибора "Температура темп. полинома(холод)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12322, 'Температура темп. полинома(холод)', '', 927, 1, 1, 'P0261.U16.BIT0-8', 378, 64);
  -- Добавление параметра прибора "Температура темп. полинома(тепло)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12323, 'Температура темп. полинома(тепло)', '', 927, 1, 1, 'P0261.U16.BIT8-8', 378, 64);
  -- Добавление параметра прибора "значения полиномов темп. с 0"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12324, 'значения полиномов темп. с 0', '', 927, 1, 1, 'P0263.U64.X', 378, 64);
  -- Добавление параметра прибора "Значения полиномов темп. с 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12325, 'Значения полиномов темп. с 8', '', 927, 1, 1, 'P0264.U64.X', 378, 64);
  -- Добавление параметра прибора "Значения полиномов темп. с 16"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12326, 'Значения полиномов темп. с 16', '', 927, 1, 1, 'P0265.U64.X', 378, 64);
  -- Добавление параметра прибора "Значения полиномов темп. с 24"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12327, 'Значения полиномов темп. с 24', '', 927, 1, 1, 'P0266.U64.X', 378, 64);

---- Группа "Тестовые" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (928, 'Тестовые', '', 378, 0);

  -- Добавление параметра прибора "% годных измерений за тест"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12328, '% годных измерений за тест', '', 928, 1, 1, 'P0400.F32', 378, 64);
  -- Добавление параметра прибора "Ошибок "нет воды""
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12329, 'Ошибок "нет воды"', '', 928, 1, 1, 'P0401.F32', 378, 64);
  -- Добавление параметра прибора "Ошибок Т1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12330, 'Ошибок Т1', '', 928, 1, 1, 'P0402.F32', 378, 64);
  -- Добавление параметра прибора "Ошибок Т2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12331, 'Ошибок Т2', '', 928, 1, 1, 'P0403.F32', 378, 64);
  -- Добавление параметра прибора "Ошибок TofSum"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12332, 'Ошибок TofSum', '', 928, 1, 1, 'P0404.F32', 378, 64);
  -- Добавление параметра прибора "Ошибок по min/max расходам"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12333, 'Ошибок по min/max расходам', '', 928, 1, 1, 'P0405.F32', 378, 64);
  -- Добавление параметра прибора "Годных измерений за тест"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12334, 'Годных измерений за тест', '', 928, 1, 1, 'P0406.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 407"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12335, 'Параметр 407', '', 928, 1, 1, 'P0407.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 408"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12336, 'Параметр 408', '', 928, 1, 1, 'P0408.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 409"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12337, 'Параметр 409', '', 928, 1, 1, 'P0409.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 40A"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12338, 'Параметр 40A', '', 928, 1, 1, 'P040a.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 40B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12339, 'Параметр 40B', '', 928, 1, 1, 'P040b.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 40C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12340, 'Параметр 40C', '', 928, 1, 1, 'P040c.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 40D"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12341, 'Параметр 40D', '', 928, 1, 1, 'P040d.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 40E"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12342, 'Параметр 40E', '', 928, 1, 1, 'P040e.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 40F"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12343, 'Параметр 40F', '', 928, 1, 1, 'P040f.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 412"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12344, 'Параметр 412', '', 928, 1, 1, 'P0412.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 413"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12345, 'Параметр 413', '', 928, 1, 1, 'P0413.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 414"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12346, 'Параметр 414', '', 928, 1, 1, 'P0414.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 415"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12347, 'Параметр 415', '', 928, 1, 1, 'P0415.F32', 378, 64);
  -- Добавление параметра прибора "Параметр 416"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12348, 'Параметр 416', '', 928, 1, 1, 'P0416.F32', 378, 64);
