-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12349 AND pr_typ_id <= 12420;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 929 AND gr_typ_id <= 931;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 380;

---- Прибор "Взлёт РСЛ-212, 222" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (380, 'Взлёт РСЛ-212, 222', '', 128);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (929, 'Текущие', '', 380, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12349, 'Дата и время', '', 929, 1, 1, 'D', 380, 385);
  -- Добавление параметра прибора "Серийный номер вторичного вычислителя (зав. №1)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12350, 'Серийный номер вторичного вычислителя (зав. №1)', '', 929, 1, 1, 'SN1', 380, 449);
  -- Добавление параметра прибора "Серийный номер первичного вычислителя (зав. №2)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12351, 'Серийный номер первичного вычислителя (зав. №2)', '', 929, 1, 1, 'SN2', 380, 449);
  -- Добавление параметра прибора "Температура канала 1, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12352, 'Температура канала 1, гр. С', '', 929, 1, 1, 't1', 380, 385);
  -- Добавление параметра прибора "Температура канала 2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12353, 'Температура канала 2, гр. С', '', 929, 1, 1, 't2', 380, 385);
  -- Добавление параметра прибора "Температура канала 3, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12354, 'Температура канала 3, гр. С', '', 929, 1, 1, 't3', 380, 385);
  -- Добавление параметра прибора "Разность уровней без динамической видимости, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12355, 'Разность уровней без динамической видимости, м', '', 929, 1, 1, 'dH', 380, 385);
  -- Добавление параметра прибора "Полусумма уровней без динамической видимости, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12356, 'Полусумма уровней без динамической видимости, м', '', 929, 1, 1, 'dH2', 380, 385);
  -- Добавление параметра прибора "Флаги нештатных ситуаций периферийных устройств"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12357, 'Флаги нештатных ситуаций периферийных устройств', '', 929, 1, 1, 'NSper', 380, 414);
  -- Добавление параметра прибора "Флаги отказов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12358, 'Флаги отказов', '', 929, 1, 1, 'FAILF', 380, 414);

---- Группа "Канал 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (930, 'Канал 1', '', 380, 0);

  -- Добавление параметра прибора "Нештатные ситуации по измерениям канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12359, 'Нештатные ситуации по измерениям канала 1', '', 930, 1, 1, 'NS1', 380, 415);
  -- Добавление параметра прибора "Накопленный объем канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12360, 'Накопленный объем канала 1', '', 930, 1, 1, 'V1i', 380, 385);
  -- Добавление параметра прибора "Дистанция D без динамической видимости канала 1, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12361, 'Дистанция D без динамической видимости канала 1, м', '', 930, 1, 1, 'D1', 380, 385);
  -- Добавление параметра прибора "Уровень H без динамической видимости канала 1, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12362, 'Уровень H без динамической видимости канала 1, м', '', 930, 1, 1, 'H1', 380, 385);
  -- Добавление параметра прибора "Объем V без динамической видимости канала 1, м^3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12363, 'Объем V без динамической видимости канала 1, м^3', '', 930, 1, 1, 'V1', 380, 385);
  -- Добавление параметра прибора "Скорость звука рассчитанная C канала 1, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12364, 'Скорость звука рассчитанная C канала 1, м/с', '', 930, 1, 1, 'C1', 380, 385);
  -- Добавление параметра прибора "Наполнение H/Hмакс канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12365, 'Наполнение H/Hмакс канала 1', '', 930, 1, 1, 'HH1', 380, 385);
  -- Добавление параметра прибора "Наполнение V/Vмакс канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12366, 'Наполнение V/Vмакс канала 1', '', 930, 1, 1, 'VV1', 380, 385);
  -- Добавление параметра прибора "Расход канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12367, 'Расход канала 1', '', 930, 1, 1, 'Q1', 380, 385);
  -- Добавление параметра прибора "Накопленный объем канала 1, м^3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12368, 'Накопленный объем канала 1, м^3', '', 930, 1, 1, 'V+1', 380, 415);
  -- Добавление параметра прибора "Дистанция (канал 1) Сигнал канал 1, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12369, 'Дистанция (канал 1) Сигнал канал 1, м', '', 930, 1, 1, 'DS11', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 1) Сигнал канал 2, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12370, 'Дистанция (канал 1) Сигнал канал 2, м', '', 930, 1, 1, 'DS12', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 1) D2, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12371, 'Дистанция (канал 1) D2, м', '', 930, 1, 1, 'DD12', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 1) D3, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12372, 'Дистанция (канал 1) D3, м', '', 930, 1, 1, 'DD13', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 1) D4, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12373, 'Дистанция (канал 1) D4, м', '', 930, 1, 1, 'DD14', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 1) D5, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12374, 'Дистанция (канал 1) D5, м', '', 930, 1, 1, 'DD15', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 1) D6, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12375, 'Дистанция (канал 1) D6, м', '', 930, 1, 1, 'DD16', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 1) D7, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12376, 'Дистанция (канал 1) D7, м', '', 930, 1, 1, 'DD17', 380, 385);
  -- Добавление параметра прибора "Время простоя 1 канал, сек."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12377, 'Время простоя 1 канал, сек.', '', 930, 1, 1, 'OffT1', 380, 414);
  -- Добавление параметра прибора "Минимальный уровень канала 1, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12378, 'Минимальный уровень канала 1, м', '', 930, 1, 1, 'H1min', 380, 414);
  -- Добавление параметра прибора "Максимальный уровень канала 1, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12379, 'Максимальный уровень канала 1, м', '', 930, 1, 1, 'H1max', 380, 414);
  -- Добавление параметра прибора "Средний уровень канала 1, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12380, 'Средний уровень канала 1, м', '', 930, 1, 1, 'H1mid', 380, 414);
  -- Добавление параметра прибора "Минимальный расход канала 1, м^3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12381, 'Минимальный расход канала 1, м^3/ч', '', 930, 1, 1, 'Q1min', 380, 414);
  -- Добавление параметра прибора "Максимальный расход канала 1, м^3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12382, 'Максимальный расход канала 1, м^3/ч', '', 930, 1, 1, 'Q1max', 380, 414);
  -- Добавление параметра прибора "Средний расход канала 1, м^3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12383, 'Средний расход канала 1, м^3/ч', '', 930, 1, 1, 'Q1mid', 380, 414);
  -- Добавление параметра прибора "Минимальный объем канала 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12384, 'Минимальный объем канала 1, м3', '', 930, 1, 1, 'V1min', 380, 400);
  -- Добавление параметра прибора "Максимальный объем канала 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12385, 'Максимальный объем канала 1, м3', '', 930, 1, 1, 'V1max', 380, 400);
  -- Добавление параметра прибора "Средний объем канала 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12386, 'Средний объем канала 1, м3', '', 930, 1, 1, 'V1mid', 380, 400);
  -- Добавление параметра прибора "Минимальная скорость звука в 1 канале, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12387, 'Минимальная скорость звука в 1 канале, м/с', '', 930, 1, 1, 'C1min', 380, 400);
  -- Добавление параметра прибора "Максимальная скорость звука в 1 канале, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12388, 'Максимальная скорость звука в 1 канале, м/с', '', 930, 1, 1, 'C1max', 380, 400);
  -- Добавление параметра прибора "Средняя скорость звука в 1 канале, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12389, 'Средняя скорость звука в 1 канале, м/с', '', 930, 1, 1, 'C1mid', 380, 400);

---- Группа "Канал 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (931, 'Канал 2', '', 380, 0);

  -- Добавление параметра прибора "Нештатные ситуации по измерениям канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12390, 'Нештатные ситуации по измерениям канала 2', '', 931, 1, 1, 'NS2', 380, 415);
  -- Добавление параметра прибора "Накопленный объем канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12391, 'Накопленный объем канала 2', '', 931, 1, 1, 'V2i', 380, 385);
  -- Добавление параметра прибора "Дистанция D без динамической видимости канала 2, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12392, 'Дистанция D без динамической видимости канала 2, м', '', 931, 1, 1, 'D2', 380, 385);
  -- Добавление параметра прибора "Уровень H без динамической видимости канала 2, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12393, 'Уровень H без динамической видимости канала 2, м', '', 931, 1, 1, 'H2', 380, 385);
  -- Добавление параметра прибора "Объем V без динамической видимости канала 2, м^3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12394, 'Объем V без динамической видимости канала 2, м^3', '', 931, 1, 1, 'V2', 380, 385);
  -- Добавление параметра прибора "Скорость звука рассчитанная C канала 2, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12395, 'Скорость звука рассчитанная C канала 2, м/с', '', 931, 1, 1, 'C2', 380, 385);
  -- Добавление параметра прибора "Наполнение H/Hмакс канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12396, 'Наполнение H/Hмакс канала 2', '', 931, 1, 1, 'HH2', 380, 385);
  -- Добавление параметра прибора "Наполнение V/Vмакс канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12397, 'Наполнение V/Vмакс канала 2', '', 931, 1, 1, 'VV2', 380, 385);
  -- Добавление параметра прибора "Расход канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12398, 'Расход канала 2', '', 931, 1, 1, 'Q2', 380, 385);
  -- Добавление параметра прибора "Накопленный объем канала 2, м^3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12399, 'Накопленный объем канала 2, м^3', '', 931, 1, 1, 'V+2', 380, 415);
  -- Добавление параметра прибора "Дистанция (канал 2) Сигнал канал 1, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12400, 'Дистанция (канал 2) Сигнал канал 1, м', '', 931, 1, 1, 'DS21', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 2) Сигнал канал 2, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12401, 'Дистанция (канал 2) Сигнал канал 2, м', '', 931, 1, 1, 'DS22', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 2) D2, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12402, 'Дистанция (канал 2) D2, м', '', 931, 1, 1, 'DD22', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 2) D3, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12403, 'Дистанция (канал 2) D3, м', '', 931, 1, 1, 'DD23', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 2) D4, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12404, 'Дистанция (канал 2) D4, м', '', 931, 1, 1, 'DD24', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 2) D5, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12405, 'Дистанция (канал 2) D5, м', '', 931, 1, 1, 'DD25', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 2) D6, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12406, 'Дистанция (канал 2) D6, м', '', 931, 1, 1, 'DD26', 380, 385);
  -- Добавление параметра прибора "Дистанция (канал 2) D7, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12407, 'Дистанция (канал 2) D7, м', '', 931, 1, 1, 'DD27', 380, 385);
  -- Добавление параметра прибора "Время простоя 2 канал, сек."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12408, 'Время простоя 2 канал, сек.', '', 931, 1, 1, 'OffT2', 380, 414);
  -- Добавление параметра прибора "Минимальный уровень канала 2, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12409, 'Минимальный уровень канала 2, м', '', 931, 1, 1, 'H2min', 380, 414);
  -- Добавление параметра прибора "Максимальный уровень канала 2, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12410, 'Максимальный уровень канала 2, м', '', 931, 1, 1, 'H2max', 380, 414);
  -- Добавление параметра прибора "Средний уровень канала 2, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12411, 'Средний уровень канала 2, м', '', 931, 1, 1, 'H2mid', 380, 414);
  -- Добавление параметра прибора "Минимальный расход канала 2, м^3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12412, 'Минимальный расход канала 2, м^3/ч', '', 931, 1, 1, 'Q2min', 380, 414);
  -- Добавление параметра прибора "Максимальный расход канала 2, м^3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12413, 'Максимальный расход канала 2, м^3/ч', '', 931, 1, 1, 'Q2max', 380, 414);
  -- Добавление параметра прибора "Средний расход канала 2, м^3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12414, 'Средний расход канала 2, м^3/ч', '', 931, 1, 1, 'Q2mid', 380, 414);
  -- Добавление параметра прибора "Минимальный объем канала 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12415, 'Минимальный объем канала 2, м3', '', 931, 1, 1, 'V2min', 380, 400);
  -- Добавление параметра прибора "Максимальный объем канала 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12416, 'Максимальный объем канала 2, м3', '', 931, 1, 1, 'V2max', 380, 400);
  -- Добавление параметра прибора "Средний объем канала 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12417, 'Средний объем канала 2, м3', '', 931, 1, 1, 'V2mid', 380, 400);
  -- Добавление параметра прибора "Минимальная скорость звука в 2 канале, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12418, 'Минимальная скорость звука в 2 канале, м/с', '', 931, 1, 1, 'C2min', 380, 400);
  -- Добавление параметра прибора "Максимальная скорость звука в 2 канале, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12419, 'Максимальная скорость звука в 2 канале, м/с', '', 931, 1, 1, 'C2max', 380, 400);
  -- Добавление параметра прибора "Средняя скорость звука в 2 канале, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12420, 'Средняя скорость звука в 2 канале, м/с', '', 931, 1, 1, 'C2mid', 380, 400);
