SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12421 AND pr_typ_id <= 12474;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 932 AND gr_typ_id <= 934;

---- Прибор "Пульсар модуль счетчика воды v1.9" ----

---- Группа "Lora" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (932, 'Lora', '', 338, 765);

  -- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12421, '[Lora] Информация о сети', '', 932, 1, 1, 'P11F1', 338, 448);
  -- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12422, '[Lora Ключи] Device EUI', '', 932, 1, 1, 'P1100', 338, 192);
  -- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12423, '[Lora Ключи] App EUI', '', 932, 1, 1, 'P1101', 338, 192);
  -- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12424, '[Lora Ключи] App Key', '', 932, 1, 1, 'PS1102', 338, 192);
  -- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12425, '[Lora Регион] Частотный план', '', 932, 1, 1, 'P1110', 338, 192);
  -- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12426, '[Lora Регион] Начальная скорость', '', 932, 1, 1, 'P1111.U32.BIT16-8', 338, 192);
  -- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12427, '[Lora Регион] Минимальная скорость', '', 932, 1, 1, 'P1111.U32.BIT0-8', 338, 192);
  -- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12428, '[Lora Регион] Максимальная скорость', '', 932, 1, 1, 'P1111.U32.BIT8-8', 338, 192);
  -- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12429, '[Lora Регион] Мощность по умолчанию [дБм]', '', 932, 1, 1, 'P1112.U8', 338, 192);
  -- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12430, '[Lora Регион] Окно приёма Join [сек]', '', 932, 1, 1, 'P1113.U8', 338, 192);
  -- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12431, '[Lora Маркер] Количество попыток', '', 932, 1, 1, 'P1120.U8', 338, 192);
  -- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12432, '[Lora Маркер] Количество в сутки', '', 932, 1, 1, 'P1121.U8', 338, 192);
  -- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12433, '[Lora Маркер] Глубина оффлайн кэша', '', 932, 1, 1, 'P1122.U8', 338, 192);
  -- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12434, '[Lora Тест связи] Количество попыток', '', 932, 1, 1, 'P1130.U8', 338, 192);
  -- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12435, '[Lora Тест связи] Прескалер маркеров', '', 932, 1, 1, 'P1131.U8', 338, 192);
  -- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12436, '[Lora АСП] Разрешение управления сетью', '', 932, 1, 1, 'P1140.U8', 338, 192);
  -- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12437, '[Lora АСП] Порог для ручного управления', '', 932, 1, 1, 'P1141.U8', 338, 192);
  -- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12438, '[Lora ] Запрос на передачу маркера', '', 932, 1, 1, 'P11F2.U8', 338, 192);

---- Прибор "Пульсар теплосчётчик механический v15" ----

---- Группа "Lora" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (933, 'Lora', '', 352, 827);

  -- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12439, '[Lora] Информация о сети', '', 933, 1, 1, 'P11F1', 352, 448);
  -- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12440, '[Lora Ключи] Device EUI', '', 933, 1, 1, 'P1100', 352, 192);
  -- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12441, '[Lora Ключи] App EUI', '', 933, 1, 1, 'P1101', 352, 192);
  -- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12442, '[Lora Ключи] App Key', '', 933, 1, 1, 'PS1102', 352, 192);
  -- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12443, '[Lora Регион] Частотный план', '', 933, 1, 1, 'P1110', 352, 192);
  -- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12444, '[Lora Регион] Начальная скорость', '', 933, 1, 1, 'P1111.U32.BIT16-8', 352, 192);
  -- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12445, '[Lora Регион] Минимальная скорость', '', 933, 1, 1, 'P1111.U32.BIT0-8', 352, 192);
  -- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12446, '[Lora Регион] Максимальная скорость', '', 933, 1, 1, 'P1111.U32.BIT8-8', 352, 192);
  -- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12447, '[Lora Регион] Мощность по умолчанию [дБм]', '', 933, 1, 1, 'P1112.U8', 352, 192);
  -- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12448, '[Lora Регион] Окно приёма Join [сек]', '', 933, 1, 1, 'P1113.U8', 352, 192);
  -- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12449, '[Lora Маркер] Количество попыток', '', 933, 1, 1, 'P1120.U8', 352, 192);
  -- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12450, '[Lora Маркер] Количество в сутки', '', 933, 1, 1, 'P1121.U8', 352, 192);
  -- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12451, '[Lora Маркер] Глубина оффлайн кэша', '', 933, 1, 1, 'P1122.U8', 352, 192);
  -- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12452, '[Lora Тест связи] Количество попыток', '', 933, 1, 1, 'P1130.U8', 352, 192);
  -- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12453, '[Lora Тест связи] Прескалер маркеров', '', 933, 1, 1, 'P1131.U8', 352, 192);
  -- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12454, '[Lora АСП] Разрешение управления сетью', '', 933, 1, 1, 'P1140.U8', 352, 192);
  -- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12455, '[Lora АСП] Порог для ручного управления', '', 933, 1, 1, 'P1141.U8', 352, 192);
  -- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12456, '[Lora ] Запрос на передачу маркера', '', 933, 1, 1, 'P11F2.U8', 352, 192);

---- Прибор "Пульсар электросчетчик 1Ф1Т v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар электросчетчик 1Ф1Т v1', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 365;

---- Прибор "Пульсар электросчетчик 1Ф4Т v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар электросчетчик 1Ф4Т v1', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 366;

---- Группа "Lora" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (934, 'Lora', '', 366, 878);

  -- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12457, '[Lora] Информация о сети', '', 934, 1, 1, 'P11F1', 366, 448);
  -- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12458, '[Lora Ключи] Device EUI', '', 934, 1, 1, 'P1100', 366, 192);
  -- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12459, '[Lora Ключи] App EUI', '', 934, 1, 1, 'P1101', 366, 192);
  -- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12460, '[Lora Ключи] App Key', '', 934, 1, 1, 'PS1102', 366, 192);
  -- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12461, '[Lora Регион] Частотный план', '', 934, 1, 1, 'P1110', 366, 192);
  -- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12462, '[Lora Регион] Начальная скорость', '', 934, 1, 1, 'P1111.U32.BIT16-8', 366, 192);
  -- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12463, '[Lora Регион] Минимальная скорость', '', 934, 1, 1, 'P1111.U32.BIT0-8', 366, 192);
  -- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12464, '[Lora Регион] Максимальная скорость', '', 934, 1, 1, 'P1111.U32.BIT8-8', 366, 192);
  -- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12465, '[Lora Регион] Мощность по умолчанию [дБм]', '', 934, 1, 1, 'P1112.U8', 366, 192);
  -- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12466, '[Lora Регион] Окно приёма Join [сек]', '', 934, 1, 1, 'P1113.U8', 366, 192);
  -- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12467, '[Lora Маркер] Количество попыток', '', 934, 1, 1, 'P1120.U8', 366, 192);
  -- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12468, '[Lora Маркер] Количество в сутки', '', 934, 1, 1, 'P1121.U8', 366, 192);
  -- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12469, '[Lora Маркер] Глубина оффлайн кэша', '', 934, 1, 1, 'P1122.U8', 366, 192);
  -- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12470, '[Lora Тест связи] Количество попыток', '', 934, 1, 1, 'P1130.U8', 366, 192);
  -- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12471, '[Lora Тест связи] Прескалер маркеров', '', 934, 1, 1, 'P1131.U8', 366, 192);
  -- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12472, '[Lora АСП] Разрешение управления сетью', '', 934, 1, 1, 'P1140.U8', 366, 192);
  -- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12473, '[Lora АСП] Порог для ручного управления', '', 934, 1, 1, 'P1141.U8', 366, 192);
  -- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12474, '[Lora ] Запрос на передачу маркера', '', 934, 1, 1, 'P11F2.U8', 366, 192);
