SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12531 AND pr_typ_id <= 12533;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id = 939;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 381;

---- Прибор "Пульсар IoT счетчик воды электронный v1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (381, 'Пульсар IoT счетчик воды электронный v1', '', 129);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (939, 'Показания', '', 381, 0);

  -- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12531, 'Объём [м3]', 'Текущее и часовое только в ШП', 939, 1, 1, 'K1', 381, 399);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12532, 'Текущие ошибки', 'Текущее в ШП, суточное в УП', 939, 1, 1, 'ERR', 381, 389);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12533, 'Накопленные ошибки', 'Только для ШП', 939, 1, 1, 'ERR_TOTAL', 381, 385);
