-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12534 AND pr_typ_id <= 12553;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 940 AND gr_typ_id <= 941;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 382;

---- Прибор "ABB E31" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (382, 'ABB E31', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (940, 'Информационные', '', 382, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12534, 'Серийный номер', '', 940, 1, 1, 'SN', 382, 449);
  -- Добавление параметра прибора "Адрес установки прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12535, 'Адрес установки прибора', '', 940, 1, 1, 'Addr', 382, 449);
  -- Добавление параметра прибора "Информация о приборе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12536, 'Информация о приборе', '', 940, 1, 1, 'Info', 382, 449);
  -- Добавление параметра прибора "Температура, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12537, 'Температура, гр. С', '', 940, 1, 1, 't', 382, 385);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12538, 'Дата и время', '', 940, 1, 1, 'D', 382, 449);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (941, 'Показания', '', 382, 0);

  -- Добавление параметра прибора "Активная энергия по всем тарифам, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12539, 'Активная энергия по всем тарифам, кВт-ч', '', 941, 1, 1, 'EA', 382, 393);
  -- Добавление параметра прибора "Активная энергия по тарифу 1, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12540, 'Активная энергия по тарифу 1, кВт-ч', '', 941, 1, 1, 'EA1', 382, 393);
  -- Добавление параметра прибора "Активная энергия по тарифу 2, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12541, 'Активная энергия по тарифу 2, кВт-ч', '', 941, 1, 1, 'EA2', 382, 393);
  -- Добавление параметра прибора "Активная энергия по тарифу 3, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12542, 'Активная энергия по тарифу 3, кВт-ч', '', 941, 1, 1, 'EA3', 382, 393);
  -- Добавление параметра прибора "Активная энергия по тарифу 4, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12543, 'Активная энергия по тарифу 4, кВт-ч', '', 941, 1, 1, 'EA4', 382, 393);
  -- Добавление параметра прибора "Напряжение, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12544, 'Напряжение, В', '', 941, 1, 1, 'U', 382, 385);
  -- Добавление параметра прибора "Ток, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12545, 'Ток, А', '', 941, 1, 1, 'I', 382, 385);
  -- Добавление параметра прибора "Активная мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12546, 'Активная мощность, Вт', '', 941, 1, 1, 'PA', 382, 385);
  -- Добавление параметра прибора "Коэффициент мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12547, 'Коэффициент мощности', '', 941, 1, 1, 'Pk', 382, 385);
  -- Добавление параметра прибора "Частота сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12548, 'Частота сети, Гц', '', 941, 1, 1, 'F', 382, 385);
  -- Добавление параметра прибора "Максимальная активная мощность по всем тарифам"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12549, 'Максимальная активная мощность по всем тарифам', '', 941, 1, 1, 'PAmax', 382, 392);
  -- Добавление параметра прибора "Максимальная активная мощность по тарифу 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12550, 'Максимальная активная мощность по тарифу 1', '', 941, 1, 1, 'PA1max', 382, 392);
  -- Добавление параметра прибора "Максимальная активная мощность по тарифу 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12551, 'Максимальная активная мощность по тарифу 2', '', 941, 1, 1, 'PA2max', 382, 392);
  -- Добавление параметра прибора "Максимальная активная мощность по тарифу 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12552, 'Максимальная активная мощность по тарифу 3', '', 941, 1, 1, 'PA3max', 382, 392);
  -- Добавление параметра прибора "Максимальная активная мощность по тарифу 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12553, 'Максимальная активная мощность по тарифу 4', '', 941, 1, 1, 'PA4max', 382, 392);
