

SET client_encoding = 'UTF8';


-- Function: "Tepl"."GetAdresPlace"(integer)
--DROP FUNCTION "Tepl"."GetAdresPlace"(integer, integer,text);

CREATE OR REPLACE FUNCTION "Tepl"."GetAdresPlace"(pplc_id integer, deph_max integer, separat text)
  RETURNS text AS
$BODY$
DECLARE
  ret Text;
  i integer; 
  vplc_id integer;
  vplace_id integer;
  vname text;
BEGIN
  vplc_id = $1;	
  ret='';
  i=0;
  LOOP          
    vplace_id = (SELECT  place_id FROM "Tepl"."Places_cnt" where plc_id = vplc_id);
    vname = (SELECT tp."Name"||' '||plc."Name" FROM "Tepl"."Places_cnt" plc
             INNER JOIN "Tepl"."PlaceTyp_cnt" tp ON tp.typ_id = plc.typ_id
             where plc_id = vplc_id);	  
    ret = vname||ret;
    EXIT WHEN ((vplace_id=0)or(i=$2));
    ret = $3||ret;
    vplc_id=vplace_id;
    i=i+1;
  END LOOP;    
  return ret;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "Tepl"."GetAdresPlace"(integer, integer, text)
  OWNER TO postgres;
