-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12557 AND pr_typ_id <= 12703;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 942 AND gr_typ_id <= 949;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 383;

---- Прибор "ABB A43/A44" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (383, 'ABB A43/A44', '', 128);

---- Группа "Регистры накопленной энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (942, 'Регистры накопленной энергии', '', 383, 0);

  -- Добавление параметра прибора "Потребляемая активная энергия, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12557, 'Потребляемая активная энергия, кВт-ч', '', 942, 1, 1, 'EAin', 383, 393);
  -- Добавление параметра прибора "Генерируемая активная энергия, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12558, 'Генерируемая активная энергия, кВт-ч', '', 942, 1, 1, 'EAout', 383, 393);
  -- Добавление параметра прибора "Активная энергия нетто, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12559, 'Активная энергия нетто, кВт-ч', '', 942, 1, 1, 'EAnetto', 383, 393);
  -- Добавление параметра прибора "Импорт реактивной энергии квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12560, 'Импорт реактивной энергии квар-ч', '', 942, 1, 1, 'RAimp', 383, 393);
  -- Добавление параметра прибора "Экспорт реактивной энергии квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12561, 'Экспорт реактивной энергии квар-ч', '', 942, 1, 1, 'RAexp', 383, 393);
  -- Добавление параметра прибора "Реактивная энергия нетто, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12562, 'Реактивная энергия нетто, квар-ч', '', 942, 1, 1, 'RAnetto', 383, 393);
  -- Добавление параметра прибора "Импорт полной энергии, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12563, 'Импорт полной энергии, кВА-ч', '', 942, 1, 1, 'Eimp', 383, 393);
  -- Добавление параметра прибора "Экспорт полной энергии, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12564, 'Экспорт полной энергии, кВА-ч', '', 942, 1, 1, 'Eexp', 383, 393);
  -- Добавление параметра прибора "Полная мощность нетто, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12565, 'Полная мощность нетто, кВА-ч', '', 942, 1, 1, 'Pnetto', 383, 393);
  -- Добавление параметра прибора "Импорт активной энергии в пересчёте на СО2, кг"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12566, 'Импорт активной энергии в пересчёте на СО2, кг', '', 942, 1, 1, 'EAimpCO2', 383, 393);
  -- Добавление параметра прибора "Импорт активной энергии в пересчёте на стоимость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12567, 'Импорт активной энергии в пересчёте на стоимость', '', 942, 1, 1, 'EAimpCurr', 383, 393);

---- Группа "Регистры накопленной энергии с разделением по тарифам" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (943, 'Регистры накопленной энергии с разделением по тарифам', '', 383, 0);

  -- Добавление параметра прибора "Импорт активной энергии по тарифу 1, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12568, 'Импорт активной энергии по тарифу 1, кВт-ч', '', 943, 1, 1, 'EA1imp', 383, 393);
  -- Добавление параметра прибора "Импорт активной энергии по тарифу 2, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12569, 'Импорт активной энергии по тарифу 2, кВт-ч', '', 943, 1, 1, 'EA2imp', 383, 393);
  -- Добавление параметра прибора "Импорт активной энергии по тарифу 3, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12570, 'Импорт активной энергии по тарифу 3, кВт-ч', '', 943, 1, 1, 'EA3imp', 383, 393);
  -- Добавление параметра прибора "Импорт активной энергии по тарифу 4, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12571, 'Импорт активной энергии по тарифу 4, кВт-ч', '', 943, 1, 1, 'EA4imp', 383, 393);
  -- Добавление параметра прибора "Экспорт активной энергии по тарифу 1, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12572, 'Экспорт активной энергии по тарифу 1, кВт-ч', '', 943, 1, 1, 'EA1exp', 383, 393);
  -- Добавление параметра прибора "Экспорт активной энергии по тарифу 2, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12573, 'Экспорт активной энергии по тарифу 2, кВт-ч', '', 943, 1, 1, 'EA2exp', 383, 393);
  -- Добавление параметра прибора "Экспорт активной энергии по тарифу 3, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12574, 'Экспорт активной энергии по тарифу 3, кВт-ч', '', 943, 1, 1, 'EA3exp', 383, 393);
  -- Добавление параметра прибора "Экспорт активной энергии по тарифу 4, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12575, 'Экспорт активной энергии по тарифу 4, кВт-ч', '', 943, 1, 1, 'EA4exp', 383, 393);
  -- Добавление параметра прибора "Импорт реактивной энергии по тарифу 1, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12576, 'Импорт реактивной энергии по тарифу 1, квар-ч', '', 943, 1, 1, 'RA1imp', 383, 393);
  -- Добавление параметра прибора "Импорт реактивной энергии по тарифу 2, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12577, 'Импорт реактивной энергии по тарифу 2, квар-ч', '', 943, 1, 1, 'RA2imp', 383, 393);
  -- Добавление параметра прибора "Импорт реактивной энергии по тарифу 3, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12578, 'Импорт реактивной энергии по тарифу 3, квар-ч', '', 943, 1, 1, 'RA3imp', 383, 393);
  -- Добавление параметра прибора "Импорт реактивной энергии по тарифу 4, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12579, 'Импорт реактивной энергии по тарифу 4, квар-ч', '', 943, 1, 1, 'RA4imp', 383, 393);
  -- Добавление параметра прибора "Экспорт реактивной энергии по тарифу 1, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12580, 'Экспорт реактивной энергии по тарифу 1, квар-ч', '', 943, 1, 1, 'RA1exp', 383, 393);
  -- Добавление параметра прибора "Экспорт реактивной энергии по тарифу 2, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12581, 'Экспорт реактивной энергии по тарифу 2, квар-ч', '', 943, 1, 1, 'RA2exp', 383, 393);
  -- Добавление параметра прибора "Экспорт реактивной энергии по тарифу 3, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12582, 'Экспорт реактивной энергии по тарифу 3, квар-ч', '', 943, 1, 1, 'RA3exp', 383, 393);
  -- Добавление параметра прибора "Экспорт реактивной энергии по тарифу 4, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12583, 'Экспорт реактивной энергии по тарифу 4, квар-ч', '', 943, 1, 1, 'RA4exp', 383, 393);

---- Группа "Регистры накопленной энергии с разделением по фазам" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (944, 'Регистры накопленной энергии с разделением по фазам', '', 383, 0);

  -- Добавление параметра прибора "Импорт активной энергии L1, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12584, 'Импорт активной энергии L1, кВт-ч', '', 944, 1, 1, 'EAimpL1', 383, 393);
  -- Добавление параметра прибора "Импорт активной энергии L2, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12585, 'Импорт активной энергии L2, кВт-ч', '', 944, 1, 1, 'EAimpL2', 383, 393);
  -- Добавление параметра прибора "Импорт активной энергии L3, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12586, 'Импорт активной энергии L3, кВт-ч', '', 944, 1, 1, 'EAimpL3', 383, 393);
  -- Добавление параметра прибора "Экспорт активной энергии L1, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12587, 'Экспорт активной энергии L1, кВт-ч', '', 944, 1, 1, 'EAexpL1', 383, 393);
  -- Добавление параметра прибора "Экспорт активной энергии L2, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12588, 'Экспорт активной энергии L2, кВт-ч', '', 944, 1, 1, 'EAexpL2', 383, 393);
  -- Добавление параметра прибора "Экспорт активной энергии L3, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12589, 'Экспорт активной энергии L3, кВт-ч', '', 944, 1, 1, 'EAexpL3', 383, 393);
  -- Добавление параметра прибора "Активная энергия нетто L1, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12590, 'Активная энергия нетто L1, кВт-ч', '', 944, 1, 1, 'EAnettoL1', 383, 393);
  -- Добавление параметра прибора "Активная энергия нетто L2, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12591, 'Активная энергия нетто L2, кВт-ч', '', 944, 1, 1, 'EAnettoL2', 383, 393);
  -- Добавление параметра прибора "Активная энергия нетто L3, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12592, 'Активная энергия нетто L3, кВт-ч', '', 944, 1, 1, 'EAnettoL3', 383, 393);
  -- Добавление параметра прибора "Импорт реактивной энергии L1, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12593, 'Импорт реактивной энергии L1, квар-ч', '', 944, 1, 1, 'RAimpL1', 383, 393);
  -- Добавление параметра прибора "Импорт реактивной энергии L2, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12594, 'Импорт реактивной энергии L2, квар-ч', '', 944, 1, 1, 'RAimpL2', 383, 393);
  -- Добавление параметра прибора "Импорт реактивной энергии L3, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12595, 'Импорт реактивной энергии L3, квар-ч', '', 944, 1, 1, 'RAimpL3', 383, 393);
  -- Добавление параметра прибора "Экспорт реактивной энергии L1, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12596, 'Экспорт реактивной энергии L1, квар-ч', '', 944, 1, 1, 'RAexpL1', 383, 393);
  -- Добавление параметра прибора "Экспорт реактивной энергии L2, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12597, 'Экспорт реактивной энергии L2, квар-ч', '', 944, 1, 1, 'RAexpL2', 383, 393);
  -- Добавление параметра прибора "Экспорт реактивной энергии L3, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12598, 'Экспорт реактивной энергии L3, квар-ч', '', 944, 1, 1, 'RAexpL3', 383, 393);
  -- Добавление параметра прибора "Реактивная энергия нетто L1, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12599, 'Реактивная энергия нетто L1, квар-ч', '', 944, 1, 1, 'RAnettoL1', 383, 393);
  -- Добавление параметра прибора "Реактивная энергия нетто L2, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12600, 'Реактивная энергия нетто L2, квар-ч', '', 944, 1, 1, 'RAnettoL2', 383, 393);
  -- Добавление параметра прибора "Реактивная энергия нетто L3, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12601, 'Реактивная энергия нетто L3, квар-ч', '', 944, 1, 1, 'RAnettoL3', 383, 393);
  -- Добавление параметра прибора "Импорт полной энергии L1, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12602, 'Импорт полной энергии L1, кВА-ч', '', 944, 1, 1, 'EimpL1', 383, 393);
  -- Добавление параметра прибора "Импорт полной энергии L2, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12603, 'Импорт полной энергии L2, кВА-ч', '', 944, 1, 1, 'EimpL2', 383, 393);
  -- Добавление параметра прибора "Импорт полной энергии L3, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12604, 'Импорт полной энергии L3, кВА-ч', '', 944, 1, 1, 'EimpL3', 383, 393);
  -- Добавление параметра прибора "Экспорт полной энергии L1, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12605, 'Экспорт полной энергии L1, кВА-ч', '', 944, 1, 1, 'EexpL1', 383, 393);
  -- Добавление параметра прибора "Экспорт полной энергии L2, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12606, 'Экспорт полной энергии L2, кВА-ч', '', 944, 1, 1, 'EexpL2', 383, 393);
  -- Добавление параметра прибора "Экспорт полной энергии L3, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12607, 'Экспорт полной энергии L3, кВА-ч', '', 944, 1, 1, 'EexpL3', 383, 393);
  -- Добавление параметра прибора "Полная мощность нетто L1, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12608, 'Полная мощность нетто L1, кВА-ч', '', 944, 1, 1, 'PnettoL1', 383, 393);
  -- Добавление параметра прибора "Полная мощность нетто L2, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12609, 'Полная мощность нетто L2, кВА-ч', '', 944, 1, 1, 'PnettoL2', 383, 393);
  -- Добавление параметра прибора "Полная мощность нетто L3, кВА-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12610, 'Полная мощность нетто L3, кВА-ч', '', 944, 1, 1, 'PnettoL3', 383, 393);

---- Группа "Сбрасываемые регистры накопленной энергии" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (945, 'Сбрасываемые регистры накопленной энергии', '', 383, 0);

  -- Добавление параметра прибора "Обнуляемый импорт активной энергии, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12611, 'Обнуляемый импорт активной энергии, кВт-ч', '', 945, 1, 1, 'zEAimp', 383, 385);
  -- Добавление параметра прибора "Обнуляемый экспорт активной энергии, кВт-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12612, 'Обнуляемый экспорт активной энергии, кВт-ч', '', 945, 1, 1, 'zEAexp', 383, 385);
  -- Добавление параметра прибора "Обнуляемый импорт реактивной энергии, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12613, 'Обнуляемый импорт реактивной энергии, квар-ч', '', 945, 1, 1, 'zRAimp', 383, 385);
  -- Добавление параметра прибора "Обнуляемый экспорт реактивной энергии, квар-ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12614, 'Обнуляемый экспорт реактивной энергии, квар-ч', '', 945, 1, 1, 'zRAexp', 383, 385);

---- Группа "Мгновенные значения" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (946, 'Мгновенные значения', '', 383, 0);

  -- Добавление параметра прибора "Напряжение L1-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12615, 'Напряжение L1-N, В', '', 946, 1, 1, 'UL1N', 383, 393);
  -- Добавление параметра прибора "Напряжение L2-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12616, 'Напряжение L2-N, В', '', 946, 1, 1, 'UL2N', 383, 393);
  -- Добавление параметра прибора "Напряжение L3-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12617, 'Напряжение L3-N, В', '', 946, 1, 1, 'UL3N', 383, 393);
  -- Добавление параметра прибора "Напряжение L1-L2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12618, 'Напряжение L1-L2, В', '', 946, 1, 1, 'UL1L2', 383, 393);
  -- Добавление параметра прибора "Напряжение L3-L2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12619, 'Напряжение L3-L2, В', '', 946, 1, 1, 'UL3L2', 383, 393);
  -- Добавление параметра прибора "Напряжение L1-L3, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12620, 'Напряжение L1-L3, В', '', 946, 1, 1, 'UL1L3', 383, 393);
  -- Добавление параметра прибора "Сила тока L1, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12621, 'Сила тока L1, А', '', 946, 1, 1, 'IL1', 383, 393);
  -- Добавление параметра прибора "Сила тока L2, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12622, 'Сила тока L2, А', '', 946, 1, 1, 'IL2', 383, 393);
  -- Добавление параметра прибора "Сила тока L3, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12623, 'Сила тока L3, А', '', 946, 1, 1, 'IL3', 383, 393);
  -- Добавление параметра прибора "Сила тока N, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12624, 'Сила тока N, А', '', 946, 1, 1, 'IN', 383, 393);
  -- Добавление параметра прибора "Активная мощность суммарная L1L2L3, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12625, 'Активная мощность суммарная L1L2L3, Вт', '', 946, 1, 1, 'EAL1L2L3', 383, 385);
  -- Добавление параметра прибора "Активная мощность L1, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12626, 'Активная мощность L1, Вт', '', 946, 1, 1, 'EAL1', 383, 385);
  -- Добавление параметра прибора "Активная мощность L2, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12627, 'Активная мощность L2, Вт', '', 946, 1, 1, 'EAL2', 383, 385);
  -- Добавление параметра прибора "Активная мощность L3, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12628, 'Активная мощность L3, Вт', '', 946, 1, 1, 'EAL3', 383, 385);
  -- Добавление параметра прибора "Реактивная мощность суммарная L1L2L3, вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12629, 'Реактивная мощность суммарная L1L2L3, вар', '', 946, 1, 1, 'RAL1L2L3', 383, 385);
  -- Добавление параметра прибора "Реактивная мощность L1, вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12630, 'Реактивная мощность L1, вар', '', 946, 1, 1, 'RAL1', 383, 385);
  -- Добавление параметра прибора "Реактивная мощность L2, вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12631, 'Реактивная мощность L2, вар', '', 946, 1, 1, 'RAL2', 383, 385);
  -- Добавление параметра прибора "Реактивная мощность L3, вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12632, 'Реактивная мощность L3, вар', '', 946, 1, 1, 'RAL3', 383, 385);
  -- Добавление параметра прибора "Полная мощность суммарная L1L2L3, ВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12633, 'Полная мощность суммарная L1L2L3, ВА', '', 946, 1, 1, 'PL1L2L3', 383, 385);
  -- Добавление параметра прибора "Полная мощность L1, ВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12634, 'Полная мощность L1, ВА', '', 946, 1, 1, 'PL1', 383, 385);
  -- Добавление параметра прибора "Полная мощность L2, ВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12635, 'Полная мощность L2, ВА', '', 946, 1, 1, 'PL2', 383, 385);
  -- Добавление параметра прибора "Полная мощность L3, ВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12636, 'Полная мощность L3, ВА', '', 946, 1, 1, 'PL3', 383, 385);
  -- Добавление параметра прибора "Частота, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12637, 'Частота, Гц', '', 946, 1, 1, 'f', 383, 385);
  -- Добавление параметра прибора "Фазовый угол мощности суммарный, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12638, 'Фазовый угол мощности суммарный, гр.', '', 946, 1, 1, 'phP', 383, 385);
  -- Добавление параметра прибора "Фазовый угол мощности L1, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12639, 'Фазовый угол мощности L1, гр.', '', 946, 1, 1, 'phPL1', 383, 385);
  -- Добавление параметра прибора "Фазовый угол мощности L2, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12640, 'Фазовый угол мощности L2, гр.', '', 946, 1, 1, 'phPL2', 383, 385);
  -- Добавление параметра прибора "Фазовый угол мощности L3, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12641, 'Фазовый угол мощности L3, гр.', '', 946, 1, 1, 'phPL3', 383, 385);
  -- Добавление параметра прибора "Фазовый угол напряжения L1, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12642, 'Фазовый угол напряжения L1, гр.', '', 946, 1, 1, 'phUL1', 383, 385);
  -- Добавление параметра прибора "Фазовый угол напряжения L2, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12643, 'Фазовый угол напряжения L2, гр.', '', 946, 1, 1, 'phUL2', 383, 385);
  -- Добавление параметра прибора "Фазовый угол напряжения L3, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12644, 'Фазовый угол напряжения L3, гр.', '', 946, 1, 1, 'phUL3', 383, 385);
  -- Добавление параметра прибора "Фазовый угол тока L1, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12645, 'Фазовый угол тока L1, гр.', '', 946, 1, 1, 'phIL1', 383, 385);
  -- Добавление параметра прибора "Фазовый угол тока L2, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12646, 'Фазовый угол тока L2, гр.', '', 946, 1, 1, 'phIL2', 383, 385);
  -- Добавление параметра прибора "Фазовый угол тока L3, гр."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12647, 'Фазовый угол тока L3, гр.', '', 946, 1, 1, 'phIL3', 383, 385);
  -- Добавление параметра прибора "Коэффициент мощности суммарный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12648, 'Коэффициент мощности суммарный', '', 946, 1, 1, 'Pk', 383, 393);
  -- Добавление параметра прибора "Коэффициент мощности L1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12649, 'Коэффициент мощности L1', '', 946, 1, 1, 'PkL1', 383, 393);
  -- Добавление параметра прибора "Коэффициент мощности L2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12650, 'Коэффициент мощности L2', '', 946, 1, 1, 'PkL2', 383, 393);
  -- Добавление параметра прибора "Коэффициент мощности L3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12651, 'Коэффициент мощности L3', '', 946, 1, 1, 'PkL3', 383, 393);
  -- Добавление параметра прибора "Текущий квадрант суммарный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12652, 'Текущий квадрант суммарный', '', 946, 1, 1, 'Q', 383, 385);
  -- Добавление параметра прибора "Текущий квадрант L1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12653, 'Текущий квадрант L1', '', 946, 1, 1, 'QL1', 383, 385);
  -- Добавление параметра прибора "Текущий квадрант L2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12654, 'Текущий квадрант L2', '', 946, 1, 1, 'QL2', 383, 385);
  -- Добавление параметра прибора "Текущий квадрант L3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12655, 'Текущий квадрант L3', '', 946, 1, 1, 'QL3', 383, 385);

---- Группа "Входы и выходы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (947, 'Входы и выходы', '', 383, 0);

  -- Добавление параметра прибора "Выход 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12656, 'Выход 1', '', 947, 1, 1, 'out1', 383, 385);
  -- Добавление параметра прибора "Выход 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12657, 'Выход 2', '', 947, 1, 1, 'out2', 383, 385);
  -- Добавление параметра прибора "Выход 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12658, 'Выход 3', '', 947, 1, 1, 'out3', 383, 385);
  -- Добавление параметра прибора "Выход 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12659, 'Выход 4', '', 947, 1, 1, 'out4', 383, 385);
  -- Добавление параметра прибора "Вход 1, текущее состояние"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12660, 'Вход 1, текущее состояние', '', 947, 1, 1, 'int1', 383, 385);
  -- Добавление параметра прибора "Вход 2, текущее состояние"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12661, 'Вход 2, текущее состояние', '', 947, 1, 1, 'int2', 383, 385);
  -- Добавление параметра прибора "Вход 3, текущее состояние"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12662, 'Вход 3, текущее состояние', '', 947, 1, 1, 'int3', 383, 385);
  -- Добавление параметра прибора "Вход 4, текущее состояние"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12663, 'Вход 4, текущее состояние', '', 947, 1, 1, 'int4', 383, 385);
  -- Добавление параметра прибора "Вход 1, сохранённое состояние"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12664, 'Вход 1, сохранённое состояние', '', 947, 1, 1, 'ins1', 383, 385);
  -- Добавление параметра прибора "Вход 2, сохранённое состояние"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12665, 'Вход 2, сохранённое состояние', '', 947, 1, 1, 'ins2', 383, 385);
  -- Добавление параметра прибора "Вход 3, сохранённое состояние"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12666, 'Вход 3, сохранённое состояние', '', 947, 1, 1, 'ins3', 383, 385);
  -- Добавление параметра прибора "Вход 4, сохранённое состояние"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12667, 'Вход 4, сохранённое состояние', '', 947, 1, 1, 'ins4', 383, 385);
  -- Добавление параметра прибора "Вход 1, счётчик"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12668, 'Вход 1, счётчик', '', 947, 1, 1, 'inc1', 383, 393);
  -- Добавление параметра прибора "Вход 2, счётчик"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12669, 'Вход 2, счётчик', '', 947, 1, 1, 'inc2', 383, 393);
  -- Добавление параметра прибора "Вход 3, счётчик"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12670, 'Вход 3, счётчик', '', 947, 1, 1, 'inc3', 383, 393);
  -- Добавление параметра прибора "Вход 4, счётчик"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12671, 'Вход 4, счётчик', '', 947, 1, 1, 'inc4', 383, 393);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (948, 'Информационные', '', 383, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12672, 'Серийный номер', '', 948, 1, 1, 'SN', 383, 385);
  -- Добавление параметра прибора "Версия встроенного ПО счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12673, 'Версия встроенного ПО счётчика', '', 948, 1, 1, 'fwver', 383, 385);
  -- Добавление параметра прибора "Версия таблицы соответствия modbus"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12674, 'Версия таблицы соответствия modbus', '', 948, 1, 1, 'mbt', 383, 385);
  -- Добавление параметра прибора "Предназначение типа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12675, 'Предназначение типа', '', 948, 1, 1, 'typeid', 383, 385);
  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12676, 'Дата и время', '', 948, 1, 1, 'D', 383, 385);
  -- Добавление параметра прибора "Действующий тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12677, 'Действующий тариф', '', 948, 1, 1, 'tar', 383, 385);
  -- Добавление параметра прибора "Флаг ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12678, 'Флаг ошибки', '', 948, 1, 1, 'errF', 383, 385);
  -- Добавление параметра прибора "Флаг сообщений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12679, 'Флаг сообщений', '', 948, 1, 1, 'msgF', 383, 385);
  -- Добавление параметра прибора "Флаг предупреждений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12680, 'Флаг предупреждений', '', 948, 1, 1, 'warF', 383, 385);
  -- Добавление параметра прибора "Флаг аварийных сигналов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12681, 'Флаг аварийных сигналов', '', 948, 1, 1, 'alrmF', 383, 385);
  -- Добавление параметра прибора "Счетчик отказов сети питания"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12682, 'Счетчик отказов сети питания', '', 948, 1, 1, 'pwrFailCnt', 383, 385);
  -- Добавление параметра прибора "Длительность отсутствия электроснабжения, часов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12683, 'Длительность отсутствия электроснабжения, часов', '', 948, 1, 1, 'pwrFailTime', 383, 385);

---- Группа "Минимальные и максимальные значения" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (949, 'Минимальные и максимальные значения', '', 383, 0);

  -- Добавление параметра прибора "Минимальное напряжение L1-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12684, 'Минимальное напряжение L1-N, В', '', 949, 1, 1, 'UL1Nmin', 383, 393);
  -- Добавление параметра прибора "Минимальное напряжение L2-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12685, 'Минимальное напряжение L2-N, В', '', 949, 1, 1, 'UL2Nmin', 383, 393);
  -- Добавление параметра прибора "Минимальное напряжение L3-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12686, 'Минимальное напряжение L3-N, В', '', 949, 1, 1, 'UL3Nmin', 383, 393);
  -- Добавление параметра прибора "Минимальное напряжение L1-L2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12687, 'Минимальное напряжение L1-L2, В', '', 949, 1, 1, 'UL1L2min', 383, 393);
  -- Добавление параметра прибора "Минимальное напряжение L3-L2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12688, 'Минимальное напряжение L3-L2, В', '', 949, 1, 1, 'UL3L2min', 383, 393);
  -- Добавление параметра прибора "Минимальное напряжение L1-L3, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12689, 'Минимальное напряжение L1-L3, В', '', 949, 1, 1, 'UL1L3min', 383, 393);
  -- Добавление параметра прибора "Минимальная сила тока L1, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12690, 'Минимальная сила тока L1, А', '', 949, 1, 1, 'IL1min', 383, 393);
  -- Добавление параметра прибора "Минимальная сила тока L2, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12691, 'Минимальная сила тока L2, А', '', 949, 1, 1, 'IL2min', 383, 393);
  -- Добавление параметра прибора "Минимальная сила тока L3, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12692, 'Минимальная сила тока L3, А', '', 949, 1, 1, 'IL3min', 383, 393);
  -- Добавление параметра прибора "Минимальная сила тока N, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12693, 'Минимальная сила тока N, А', '', 949, 1, 1, 'INmin', 383, 393);
  -- Добавление параметра прибора "Максимальное напряжение L1-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12694, 'Максимальное напряжение L1-N, В', '', 949, 1, 1, 'UL1Nmax', 383, 393);
  -- Добавление параметра прибора "Максимальное напряжение L2-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12695, 'Максимальное напряжение L2-N, В', '', 949, 1, 1, 'UL2Nmax', 383, 393);
  -- Добавление параметра прибора "Максимальное напряжение L3-N, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12696, 'Максимальное напряжение L3-N, В', '', 949, 1, 1, 'UL3Nmax', 383, 393);
  -- Добавление параметра прибора "Максимальное напряжение L1-L2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12697, 'Максимальное напряжение L1-L2, В', '', 949, 1, 1, 'UL1L2max', 383, 393);
  -- Добавление параметра прибора "Максимальное напряжение L3-L2, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12698, 'Максимальное напряжение L3-L2, В', '', 949, 1, 1, 'UL3L2max', 383, 393);
  -- Добавление параметра прибора "Максимальное напряжение L1-L3, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12699, 'Максимальное напряжение L1-L3, В', '', 949, 1, 1, 'UL1L3max', 383, 393);
  -- Добавление параметра прибора "Максимальная сила тока L1, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12700, 'Максимальная сила тока L1, А', '', 949, 1, 1, 'IL1max', 383, 393);
  -- Добавление параметра прибора "Максимальная сила тока L2, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12701, 'Максимальная сила тока L2, А', '', 949, 1, 1, 'IL2max', 383, 393);
  -- Добавление параметра прибора "Максимальная сила тока L3, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12702, 'Максимальная сила тока L3, А', '', 949, 1, 1, 'IL3max', 383, 393);
  -- Добавление параметра прибора "Максимальная сила тока N, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12703, 'Максимальная сила тока N, А', '', 949, 1, 1, 'INmax', 383, 393);
