-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12793 AND pr_typ_id <= 12841;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 957 AND gr_typ_id <= 961;

---- Прибор "Пульсар термогигрометр v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар термогигрометр v1', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 387;

---- Группа "Каналы пользователи" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (957, 'Каналы пользователи', '', 387, 0);

  -- Добавление параметра прибора "Температура [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12793, 'Температура [°C]', '', 957, 1, 1, 'K1.U16', 387, 385);
  -- Добавление параметра прибора "Влажность [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12794, 'Влажность [%]', '', 957, 1, 1, 'K2.U16', 387, 385);

---- Группа "Параметры пользователи" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (958, 'Параметры пользователи', '', 387, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12795, 'Дата и время', '', 958, 1, 1, 'D', 387, 192);
  -- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12796, 'Сетевой адрес', '', 958, 1, 1, '__ADDRESS', 387, 192);
  -- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12797, 'Версия ПО', '', 958, 1, 1, '__VERSION_EXTERNAL', 387, 448);
  -- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12798, 'Пароль (старый | новый)', '', 958, 1, 1, '__PASSWORD', 387, 192);
  -- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12799, 'Запись запрещена', '', 958, 1, 1, 'P0003.U8', 387, 448);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12800, 'Текущие ошибки', '', 958, 1, 1, 'P0010.U16', 387, 448);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12801, 'Накопленные ошибки', '', 958, 1, 1, 'P0011.U16', 387, 192);
  -- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12802, 'Количество сбросов', '', 958, 1, 1, 'P0012.U16', 387, 192);
  -- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12803, 'Напряжение батареи [мВ]', '', 958, 1, 1, 'P0040.U16', 387, 448);

---- Группа "Параметры наладчики" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (959, 'Параметры наладчики', '', 387, 0);

  -- Добавление параметра прибора "Вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12804, 'Вывод частоты', '', 959, 1, 1, 'P0050.U8', 387, 192);
  -- Добавление параметра прибора "Порог напряжения батареи MIN [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12805, 'Порог напряжения батареи MIN [мВ]', '', 959, 1, 1, 'P0041.U16', 387, 192);
  -- Добавление параметра прибора "Порог напряжения батареи ALARM [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12806, 'Порог напряжения батареи ALARM [мВ]', '', 959, 1, 1, 'P0042.U16', 387, 192);
  -- Добавление параметра прибора "Порог напряжения батареи MAX [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12807, 'Порог напряжения батареи MAX [мВ]', '', 959, 1, 1, 'P0043.U16', 387, 192);

---- Группа "Коррекция температуры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (960, 'Коррекция температуры', '', 387, 959);

  -- Добавление параметра прибора "Коррекция температуры"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12808, 'Коррекция температуры', '', 960, 1, 1, 'P1000.U8', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры X0"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12809, 'Коррекция температуры X0', '', 960, 1, 1, 'P1001.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры Y0"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12810, 'Коррекция температуры Y0', '', 960, 1, 1, 'P1002.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры X1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12811, 'Коррекция температуры X1', '', 960, 1, 1, 'P1003.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры Y1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12812, 'Коррекция температуры Y1', '', 960, 1, 1, 'P1004.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры X2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12813, 'Коррекция температуры X2', '', 960, 1, 1, 'P1005.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры Y2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12814, 'Коррекция температуры Y2', '', 960, 1, 1, 'P1006.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры X3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12815, 'Коррекция температуры X3', '', 960, 1, 1, 'P1007.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры Y3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12816, 'Коррекция температуры Y3', '', 960, 1, 1, 'P1008.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры X4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12817, 'Коррекция температуры X4', '', 960, 1, 1, 'P1009.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры Y4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12818, 'Коррекция температуры Y4', '', 960, 1, 1, 'P100A.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры X5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12819, 'Коррекция температуры X5', '', 960, 1, 1, 'P100B.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры Y5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12820, 'Коррекция температуры Y5', '', 960, 1, 1, 'P100C.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры X6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12821, 'Коррекция температуры X6', '', 960, 1, 1, 'P100D.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры Y6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12822, 'Коррекция температуры Y6', '', 960, 1, 1, 'P100E.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры X7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12823, 'Коррекция температуры X7', '', 960, 1, 1, 'P100F.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция температуры Y7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12824, 'Коррекция температуры Y7', '', 960, 1, 1, 'P1010.F32', 387, 192);

---- Группа "Коррекция влажности" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (961, 'Коррекция влажности', '', 387, 959);

  -- Добавление параметра прибора "Коррекция влажности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12825, 'Коррекция влажности', '', 961, 1, 1, 'P1011.U8', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности X0"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12826, 'Коррекция влажности X0', '', 961, 1, 1, 'P1012.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности Y0"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12827, 'Коррекция влажности Y0', '', 961, 1, 1, 'P1013.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности X1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12828, 'Коррекция влажности X1', '', 961, 1, 1, 'P1014.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности Y1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12829, 'Коррекция влажности Y1', '', 961, 1, 1, 'P1015.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности X2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12830, 'Коррекция влажности X2', '', 961, 1, 1, 'P1016.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности Y2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12831, 'Коррекция влажности Y2', '', 961, 1, 1, 'P1017.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности X3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12832, 'Коррекция влажности X3', '', 961, 1, 1, 'P1018.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности Y3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12833, 'Коррекция влажности Y3', '', 961, 1, 1, 'P1019.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности X4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12834, 'Коррекция влажности X4', '', 961, 1, 1, 'P101A.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности Y4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12835, 'Коррекция влажности Y4', '', 961, 1, 1, 'P101B.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности X5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12836, 'Коррекция влажности X5', '', 961, 1, 1, 'P101C.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности Y5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12837, 'Коррекция влажности Y5', '', 961, 1, 1, 'P101D.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности X6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12838, 'Коррекция влажности X6', '', 961, 1, 1, 'P101E.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности Y6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12839, 'Коррекция влажности Y6', '', 961, 1, 1, 'P101F.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности X7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12840, 'Коррекция влажности X7', '', 961, 1, 1, 'P1020.F32', 387, 192);
  -- Добавление параметра прибора "Коррекция влажности Y7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12841, 'Коррекция влажности Y7', '', 961, 1, 1, 'P1021.F32', 387, 192);
