-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12856 AND pr_typ_id <= 12882;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 965 AND gr_typ_id <= 967;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 389;

---- Прибор "Multical 603 M-Bus" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (389, 'Multical 603 M-Bus', 'Теплосчетчик с интерфейсом M-Bus', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (965, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 389, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (966, 'Информационные', 'Информация о приборе', 389, 0);

  -- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12856, 'Дата и время', '', 966, 1, 1, 'D', 389, 449);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12857, 'Серийный номер', '', 966, 1, 1, 'hdr_ident', 389, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12858, 'Код производителя', '', 966, 1, 1, 'hdr_manuf', 389, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12859, 'Версия прибора', '', 966, 1, 1, 'hdr_version', 389, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12860, 'Категория', '', 966, 1, 1, 'hdr_medium', 389, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12861, 'Счетчик доступа', '', 966, 1, 1, 'hdr_access', 389, 448);
  -- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12862, 'Статус прибора', '', 966, 1, 1, 'hdr_status', 389, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (967, 'Показания', 'Текущие и архивные показания прибора', 389, 0);

  -- Добавление параметра прибора "Энергия E1 [Вт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12863, 'Энергия E1 [Вт/ч]', '', 967, 1, 1, 'E1', 389, 385);
  -- Добавление параметра прибора "Объем V1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12864, 'Объем V1 [м3]', '', 967, 1, 1, 'Q1', 389, 385);
  -- Добавление параметра прибора "Импульсный вход A [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12865, 'Импульсный вход A [м3]', '', 967, 1, 1, 'PA', 389, 385);
  -- Добавление параметра прибора "Импульсный вход B [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12866, 'Импульсный вход B [м3]', '', 967, 1, 1, 'PB', 389, 385);
  -- Добавление параметра прибора "Время работы, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12867, 'Время работы, ч.', '', 967, 1, 1, 'tn', 389, 385);
  -- Добавление параметра прибора "Время работы с ошибками, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12868, 'Время работы с ошибками, ч.', '', 967, 1, 1, 'te', 389, 385);
  -- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12869, 'Температура, подача [С]', '', 967, 1, 1, 'TF', 389, 385);
  -- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12870, 'Температура, обратка [С]', '', 967, 1, 1, 'TR', 389, 385);
  -- Добавление параметра прибора "Температура, перепад [К]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12871, 'Температура, перепад [К]', '', 967, 1, 1, 'TD', 389, 385);
  -- Добавление параметра прибора "Мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12872, 'Мощность [Вт]', '', 967, 1, 1, 'W', 389, 385);
  -- Добавление параметра прибора "Мощность (макс. за месяц) [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12873, 'Мощность (макс. за месяц) [Вт]', '', 967, 1, 1, 'Wm', 389, 385);
  -- Добавление параметра прибора "Расход 1 [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12874, 'Расход 1 [м3/ч]', '', 967, 1, 1, 'F', 389, 385);
  -- Добавление параметра прибора "Расход (макс. за месяц) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12875, 'Расход (макс. за месяц) [м3/ч]', '', 967, 1, 1, 'Fm', 389, 385);
  -- Добавление параметра прибора "Энергия E1 (target) [Вт/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12876, 'Энергия E1 (target) [Вт/ч]', '', 967, 1, 1, 'E1T', 389, 385);
  -- Добавление параметра прибора "Объем V1 (target) [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12877, 'Объем V1 (target) [м3]', '', 967, 1, 1, 'Q1T', 389, 385);
  -- Добавление параметра прибора "Импульсный вход A (target) [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12878, 'Импульсный вход A (target) [м3]', '', 967, 1, 1, 'PAT', 389, 385);
  -- Добавление параметра прибора "Импульсный вход B (target) [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12879, 'Импульсный вход B (target) [м3]', '', 967, 1, 1, 'PBT', 389, 385);
  -- Добавление параметра прибора "Мощность (макс. за год) (target) [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12880, 'Мощность (макс. за год) (target) [Вт]', '', 967, 1, 1, 'WmT', 389, 385);
  -- Добавление параметра прибора "Расход (макс. за год) (target) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12881, 'Расход (макс. за год) (target) [м3/ч]', '', 967, 1, 1, 'FmT', 389, 385);
  -- Добавление параметра прибора "Дата и время (target)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12882, 'Дата и время (target)', '', 967, 1, 1, 'DT', 389, 385);
