SET client_encoding = 'WIN1251';

/*----         80020   ----*/

CREATE TABLE "Tepl"."DateFor80020" (
  "DateValue" TIMESTAMP(0) WITHOUT TIME ZONE, 
  "Number" INTEGER
) WITHOUT OIDS;

COMMENT ON TABLE "Tepl"."DateFor80020"
IS '      80020';

COMMENT ON COLUMN "Tepl"."DateFor80020"."DateValue"
IS '  ';

COMMENT ON COLUMN "Tepl"."DateFor80020"."Number"
IS '   ';

---------------------------------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION "Tepl"."GetLastExportedDate80020" () RETURNS TIMESTAMP WITHOUT TIME ZONE AS
$body$
SELECT MAX("DateValue") FROM "Tepl"."DateFor80020";
$body$
LANGUAGE 'sql' VOLATILE CALLED ON NULL INPUT SECURITY INVOKER;

COMMENT ON FUNCTION "Tepl"."GetLastExportedDate80020"()
IS '   ';

---------------------------------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION "Tepl"."InsertOrUpdateNumberForDate80020" (pdatevalue timestamp, pnumber integer) RETURNS "pg_catalog"."void" AS
$body$

DELETE FROM "Tepl"."DateFor80020" WHERE "Tepl"."DateFor80020"."DateValue" = $1;

INSERT INTO "Tepl"."DateFor80020" 
("DateValue", "Number")
Values
($1,$2)
$body$
LANGUAGE 'sql' VOLATILE RETURNS NULL ON NULL INPUT SECURITY INVOKER;

---------------------------------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION "Tepl"."GetNumberForDate80020" (pdate timestamp) RETURNS TIMESTAMP WITHOUT TIME ZONE AS
$body$

--SELECT "Number "FROM "Tepl"."DateFor80020" WHERE "Tepl"."DateFor80020"."DateValue" = $1;
SELECT MAX("DateValue") FROM "Tepl"."DateFor80020";
$body$
LANGUAGE 'sql' VOLATILE RETURNS NULL ON NULL INPUT SECURITY INVOKER;