-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12884 AND pr_typ_id <= 12898;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 968 AND gr_typ_id <= 969;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 390;

---- Прибор "Valtec VHM-T Modbus v2" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (390, 'Valtec VHM-T Modbus v2', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (968, 'Информационные', '', 390, 0);

  -- Добавление параметра прибора "Версия и идентификатор ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12884, 'Версия и идентификатор ПО', '', 968, 1, 1, 'VER', 390, 448);
  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12885, 'Серийный номер', '', 968, 1, 1, 'SN', 390, 448);
  -- Добавление параметра прибора "Модель теплосчётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12886, 'Модель теплосчётчика', '', 968, 1, 1, 'MOD', 390, 448);
  -- Добавление параметра прибора "Версия протокола"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12887, 'Версия протокола', '', 968, 1, 1, 'prot', 390, 448);
  -- Добавление параметра прибора "Номер сборки ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12888, 'Номер сборки ПО', '', 968, 1, 1, 'build', 390, 448);
  -- Добавление параметра прибора "Адрес счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12889, 'Адрес счётчика', '', 968, 1, 1, 'ADR', 390, 448);
  -- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12890, 'Дата и время прибора', '', 968, 1, 1, 'D', 390, 193);

---- Группа "Метрологические" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (969, 'Метрологические', '', 390, 0);

  -- Добавление параметра прибора "Тепловая энергия Q, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12891, 'Тепловая энергия Q, Гкал', '', 969, 1, 1, 'Q', 390, 399);
  -- Добавление параметра прибора "Объем теплоносителя V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12892, 'Объем теплоносителя V, м3', '', 969, 1, 1, 'V', 390, 399);
  -- Добавление параметра прибора "Масса теплоносителя M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12893, 'Масса теплоносителя M, т', '', 969, 1, 1, 'M', 390, 399);
  -- Добавление параметра прибора "Температуры подачи теплоносителя, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12894, 'Температуры подачи теплоносителя, гр. С', '', 969, 1, 1, 'tp', 390, 399);
  -- Добавление параметра прибора "Температуры обратки теплоносителя, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12895, 'Температуры обратки теплоносителя, гр. С', '', 969, 1, 1, 'to', 390, 399);
  -- Добавление параметра прибора "Объем на импульсном входе 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12896, 'Объем на импульсном входе 1, м3', '', 969, 1, 1, 'V1', 390, 399);
  -- Добавление параметра прибора "Объем на импульсном входе 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12897, 'Объем на импульсном входе 2, м3', '', 969, 1, 1, 'V2', 390, 399);
  -- Добавление параметра прибора "Флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12898, 'Флаги ошибок', '', 969, 1, 1, 'fl', 390, 385);
