-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12899 AND pr_typ_id <= 12915;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 970 AND gr_typ_id <= 972;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 391;

---- Прибор "Multical 602 M-Bus копия" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (391, 'VALTEC_MBUS', 'Теплосчетчик с интерфейсом M-Bus', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (970, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 391, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (971, 'Информационные', 'Информация о приборе', 391, 0);

  -- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12899, 'Серийный номер', '', 971, 1, 1, 'hdr_ident', 391, 448);
  -- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12900, 'Код производителя', '', 971, 1, 1, 'hdr_manuf', 391, 448);
  -- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12901, 'Версия прибора', '', 971, 1, 1, 'hdr_version', 391, 448);
  -- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12902, 'Категория', '', 971, 1, 1, 'hdr_medium', 391, 448);
  -- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12903, 'Счетчик доступа', '', 971, 1, 1, 'hdr_access', 391, 448);
  -- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12904, 'Статус прибора', '', 971, 1, 1, 'hdr_status', 391, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (972, 'Показания', 'Текущие и архивные показания прибора', 391, 0);

  -- Добавление параметра прибора "Тепловая энергия [мКал]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12905, 'Тепловая энергия [мКал]', '', 972, 1, 1, 'E', 391, 385);
  -- Добавление параметра прибора "Объем теплоносителя [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12906, 'Объем теплоносителя [м3]', '', 972, 1, 1, 'Q', 391, 385);
  -- Добавление параметра прибора "Расход теплоносителя [м3/ч]""
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12907, 'Расход теплоносителя [м3/ч]"', '', 972, 1, 1, 'F', 391, 385);
  -- Добавление параметра прибора "Масса теплоносителя [кг]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12908, 'Масса теплоносителя [кг]', '', 972, 1, 1, 'M', 391, 385);
  -- Добавление параметра прибора "Массовый расход теплоносителя [кг/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12909, 'Массовый расход теплоносителя [кг/ч]', '', 972, 1, 1, 'MF', 391, 385);
  -- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12910, 'Температура, подача [С]', '', 972, 1, 1, 'TF', 391, 385);
  -- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12911, 'Температура, обратка [С]', '', 972, 1, 1, 'TR', 391, 385);
  -- Добавление параметра прибора "Температура, перепад [К]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12912, 'Температура, перепад [К]', '', 972, 1, 1, 'TD', 391, 385);
  -- Добавление параметра прибора "Время наработки, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12913, 'Время наработки, ч.', '', 972, 1, 1, 'tn', 391, 385);
  -- Добавление параметра прибора "Время работы в штатном режиме, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12914, 'Время работы в штатном режиме, ч.', '', 972, 1, 1, 'to', 391, 385);
  -- Добавление параметра прибора "Код ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12915, 'Код ошибок', '', 972, 1, 1, 'SE', 391, 385);
