-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 12941 AND pr_typ_id <= 13010;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 976 AND gr_typ_id <= 978;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 396;

---- Прибор "ИМ2300 Теплоэнерговычислитель" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (396, 'ИМ2300 Теплоэнерговычислитель', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (976, 'Информационные', '', 396, 0);

  -- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12941, 'Дата и время прибора', '', 976, 1, 1, 'D', 396, 385);
  -- Добавление параметра прибора "Флаги нештатных ситуаций для каналов с предопределёнными именами"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12942, 'Флаги нештатных ситуаций для каналов с предопределёнными именами', '', 976, 1, 1, 'fl', 396, 385);
  -- Добавление параметра прибора "Флаги нештатных ситуаций каналов 1-31"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12943, 'Флаги нештатных ситуаций каналов 1-31', '', 976, 1, 1, 'flx', 396, 385);

---- Группа "Каналы в соответствии с паспортом ИМ2300" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (977, 'Каналы в соответствии с паспортом ИМ2300', '', 396, 0);

  -- Добавление параметра прибора "Значение канала №1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12944, 'Значение канала №1', '', 977, 1, 1, 'ch1', 396, 399);
  -- Добавление параметра прибора "Значение канала №2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12945, 'Значение канала №2', '', 977, 1, 1, 'ch2', 396, 399);
  -- Добавление параметра прибора "Значение канала №3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12946, 'Значение канала №3', '', 977, 1, 1, 'ch3', 396, 399);
  -- Добавление параметра прибора "Значение канала №4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12947, 'Значение канала №4', '', 977, 1, 1, 'ch4', 396, 399);
  -- Добавление параметра прибора "Значение канала №5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12948, 'Значение канала №5', '', 977, 1, 1, 'ch5', 396, 399);
  -- Добавление параметра прибора "Значение канала №6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12949, 'Значение канала №6', '', 977, 1, 1, 'ch6', 396, 399);
  -- Добавление параметра прибора "Значение канала №7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12950, 'Значение канала №7', '', 977, 1, 1, 'ch7', 396, 399);
  -- Добавление параметра прибора "Значение канала №8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12951, 'Значение канала №8', '', 977, 1, 1, 'ch8', 396, 399);
  -- Добавление параметра прибора "Значение канала №9"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12952, 'Значение канала №9', '', 977, 1, 1, 'ch9', 396, 399);
  -- Добавление параметра прибора "Значение канала №10"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12953, 'Значение канала №10', '', 977, 1, 1, 'ch10', 396, 399);
  -- Добавление параметра прибора "Значение канала №11"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12954, 'Значение канала №11', '', 977, 1, 1, 'ch11', 396, 399);
  -- Добавление параметра прибора "Значение канала №12"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12955, 'Значение канала №12', '', 977, 1, 1, 'ch12', 396, 399);
  -- Добавление параметра прибора "Значение канала №13"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12956, 'Значение канала №13', '', 977, 1, 1, 'ch13', 396, 399);
  -- Добавление параметра прибора "Значение канала №14"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12957, 'Значение канала №14', '', 977, 1, 1, 'ch14', 396, 399);
  -- Добавление параметра прибора "Значение канала №15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12958, 'Значение канала №15', '', 977, 1, 1, 'ch15', 396, 399);
  -- Добавление параметра прибора "Значение канала №16"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12959, 'Значение канала №16', '', 977, 1, 1, 'ch16', 396, 399);
  -- Добавление параметра прибора "Значение канала №17"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12960, 'Значение канала №17', '', 977, 1, 1, 'ch17', 396, 399);
  -- Добавление параметра прибора "Значение канала №18"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12961, 'Значение канала №18', '', 977, 1, 1, 'ch18', 396, 399);
  -- Добавление параметра прибора "Значение канала №19"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12962, 'Значение канала №19', '', 977, 1, 1, 'ch19', 396, 399);
  -- Добавление параметра прибора "Значение канала №20"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12963, 'Значение канала №20', '', 977, 1, 1, 'ch20', 396, 399);
  -- Добавление параметра прибора "Значение канала №21"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12964, 'Значение канала №21', '', 977, 1, 1, 'ch21', 396, 399);
  -- Добавление параметра прибора "Значение канала №22"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12965, 'Значение канала №22', '', 977, 1, 1, 'ch22', 396, 399);
  -- Добавление параметра прибора "Значение канала №23"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12966, 'Значение канала №23', '', 977, 1, 1, 'ch23', 396, 399);
  -- Добавление параметра прибора "Значение канала №24"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12967, 'Значение канала №24', '', 977, 1, 1, 'ch24', 396, 399);
  -- Добавление параметра прибора "Значение канала №25"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12968, 'Значение канала №25', '', 977, 1, 1, 'ch25', 396, 399);
  -- Добавление параметра прибора "Значение канала №26"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12969, 'Значение канала №26', '', 977, 1, 1, 'ch26', 396, 399);
  -- Добавление параметра прибора "Значение канала №27"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12970, 'Значение канала №27', '', 977, 1, 1, 'ch27', 396, 399);
  -- Добавление параметра прибора "Значение канала №28"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12971, 'Значение канала №28', '', 977, 1, 1, 'ch28', 396, 399);
  -- Добавление параметра прибора "Значение канала №29"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12972, 'Значение канала №29', '', 977, 1, 1, 'ch29', 396, 399);
  -- Добавление параметра прибора "Значение канала №30"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12973, 'Значение канала №30', '', 977, 1, 1, 'ch30', 396, 399);
  -- Добавление параметра прибора "Значение канала №31"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12974, 'Значение канала №31', '', 977, 1, 1, 'ch31', 396, 399);

---- Группа "Каналы с предопределёнными номерами" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (978, 'Каналы с предопределёнными номерами', '', 396, 0);

  -- Добавление параметра прибора "Количество тепла Qt1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12975, 'Количество тепла Qt1', '', 978, 1, 1, 'Qt1', 396, 399);
  -- Добавление параметра прибора "Количество тепла Qt2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12976, 'Количество тепла Qt2', '', 978, 1, 1, 'Qt2', 396, 399);
  -- Добавление параметра прибора "Количество тепла Qt3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12977, 'Количество тепла Qt3', '', 978, 1, 1, 'Qt3', 396, 399);
  -- Добавление параметра прибора "Количество тепла Qt4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12978, 'Количество тепла Qt4', '', 978, 1, 1, 'Qt4', 396, 399);
  -- Добавление параметра прибора "Разность количества тепла dQt1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12979, 'Разность количества тепла dQt1', '', 978, 1, 1, 'dQt1', 396, 399);
  -- Добавление параметра прибора "Разность количества тепла dQt3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12980, 'Разность количества тепла dQt3', '', 978, 1, 1, 'dQt3', 396, 399);
  -- Добавление параметра прибора "Тепловая мощность Wt1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12981, 'Тепловая мощность Wt1', '', 978, 1, 1, 'Wt1', 396, 399);
  -- Добавление параметра прибора "Тепловая мощность Wt2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12982, 'Тепловая мощность Wt2', '', 978, 1, 1, 'Wt2', 396, 399);
  -- Добавление параметра прибора "Тепловая мощность Wt3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12983, 'Тепловая мощность Wt3', '', 978, 1, 1, 'Wt3', 396, 399);
  -- Добавление параметра прибора "Тепловая мощность Wt4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12984, 'Тепловая мощность Wt4', '', 978, 1, 1, 'Wt4', 396, 399);
  -- Добавление параметра прибора "Температура T1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12985, 'Температура T1', '', 978, 1, 1, 'T1', 396, 399);
  -- Добавление параметра прибора "Температура T2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12986, 'Температура T2', '', 978, 1, 1, 'T2', 396, 399);
  -- Добавление параметра прибора "Температура T3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12987, 'Температура T3', '', 978, 1, 1, 'T3', 396, 399);
  -- Добавление параметра прибора "Температура T4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12988, 'Температура T4', '', 978, 1, 1, 'T4', 396, 399);
  -- Добавление параметра прибора "Расход объемный Qo1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12989, 'Расход объемный Qo1', '', 978, 1, 1, 'Qo1', 396, 399);
  -- Добавление параметра прибора "Расход объемный Qo2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12990, 'Расход объемный Qo2', '', 978, 1, 1, 'Qo2', 396, 399);
  -- Добавление параметра прибора "Расход объемный Qo3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12991, 'Расход объемный Qo3', '', 978, 1, 1, 'Qo3', 396, 399);
  -- Добавление параметра прибора "Расход объемный Qo4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12992, 'Расход объемный Qo4', '', 978, 1, 1, 'Qo4', 396, 399);
  -- Добавление параметра прибора "Расход массовый Qm1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12993, 'Расход массовый Qm1', '', 978, 1, 1, 'Qm1', 396, 399);
  -- Добавление параметра прибора "Расход массовый Qm2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12994, 'Расход массовый Qm2', '', 978, 1, 1, 'Qm2', 396, 399);
  -- Добавление параметра прибора "Расход массовый Qm3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12995, 'Расход массовый Qm3', '', 978, 1, 1, 'Qm3', 396, 399);
  -- Добавление параметра прибора "Расход массовый Qm4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12996, 'Расход массовый Qm4', '', 978, 1, 1, 'Qm4', 396, 399);
  -- Добавление параметра прибора "Масса Gm1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12997, 'Масса Gm1', '', 978, 1, 1, 'Gm1', 396, 399);
  -- Добавление параметра прибора "Масса Gm2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12998, 'Масса Gm2', '', 978, 1, 1, 'Gm2', 396, 399);
  -- Добавление параметра прибора "Масса Gm3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (12999, 'Масса Gm3', '', 978, 1, 1, 'Gm3', 396, 399);
  -- Добавление параметра прибора "Масса Gm4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13000, 'Масса Gm4', '', 978, 1, 1, 'Gm4', 396, 399);
  -- Добавление параметра прибора "Разность масс dGm1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13001, 'Разность масс dGm1', '', 978, 1, 1, 'dGm1', 396, 399);
  -- Добавление параметра прибора "Разность масс dGm3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13002, 'Разность масс dGm3', '', 978, 1, 1, 'dGm3', 396, 399);
  -- Добавление параметра прибора "Давление P1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13003, 'Давление P1', '', 978, 1, 1, 'P1', 396, 399);
  -- Добавление параметра прибора "Давление P2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13004, 'Давление P2', '', 978, 1, 1, 'P2', 396, 399);
  -- Добавление параметра прибора "Давление P3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13005, 'Давление P3', '', 978, 1, 1, 'P3', 396, 399);
  -- Добавление параметра прибора "Давление P4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13006, 'Давление P4', '', 978, 1, 1, 'P4', 396, 399);
  -- Добавление параметра прибора "Время наработки ts1, часов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13007, 'Время наработки ts1, часов', '', 978, 1, 1, 'ts1', 396, 399);
  -- Добавление параметра прибора "Работа узла tm1, часов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13008, 'Работа узла tm1, часов', '', 978, 1, 1, 'tm1', 396, 399);
  -- Добавление параметра прибора "Работа узла tm2, часов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13009, 'Работа узла tm2, часов', '', 978, 1, 1, 'tm2', 396, 399);
  -- Добавление параметра прибора "Температура T5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13010, 'Температура T5', '', 978, 1, 1, 'T5', 396, 399);
