-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13027 AND pr_typ_id <= 13106;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 981 AND gr_typ_id <= 988;

---- Прибор "Пульсар теплосчётчик ультразвуковой v31" ----


---- Группа "Новая группа" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (981, 'Новая группа', '', 350, 819);


---- Группа "Новая группа" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (982, 'Новая группа', '', 350, 819);


---- Прибор "Пульсар теплосчётчик механический v15" ----


---- Группа "Каналы" ----

  -- Обновление параметра прибора "Энергия [тепло]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия [тепло]', "Comment" = '', "NameP2" = 'K7', dev_typ_id = 352, "SupportData" = 143,  "typ_dat_Arh"=1,  gr_typ_id=825   WHERE pr_typ_id = 11122;

---- Прибор "Измеритель температуры" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Измеритель температуры', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 394;

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (983, 'Каналы', '', 394, 0);

-- Добавление параметра прибора "Температура [перепад, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13027, 'Температура [перепад, C]', '', 983, 1, 0, 'K4', 394, 385);
-- Добавление параметра прибора "Флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13028, 'Флаги ошибок', '', 983, 1, 0, 'K28', 394, 463);
-- Добавление параметра прибора "Температура [подача, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13029, 'Температура [подача, C]', '', 983, 1, 0, 'K2', 394, 399);
-- Добавление параметра прибора "Температура [обратка, C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13030, 'Температура [обратка, C]', '', 983, 1, 0, 'K3', 394, 399);

---- Группа "Диагностика" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (984, 'Диагностика', '', 394, 983);

-- Добавление параметра прибора "Сопротивление [обратка, Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13031, 'Сопротивление [обратка, Ом]', '', 984, 1, 0, 'K1', 394, 448);
-- Добавление параметра прибора "Сопротивление [подача, Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13032, 'Сопротивление [подача, Ом]', '', 984, 1, 0, 'K0', 394, 448);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (985, 'Параметры', '', 394, 0);

-- Добавление параметра прибора "Rr-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13033, 'Rr-test [Ом]', '', 985, 1, 0, 'P00A1.F32', 394, 192);
-- Добавление параметра прибора "Rf-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13034, 'Rf-test [Ом]', '', 985, 1, 0, 'P00A0.F32', 394, 192);
-- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13035, 'Температура контроллера [C]', '', 985, 1, 0, 'P000B.S8', 394, 448);
-- Добавление параметра прибора "Re-test [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13036, 'Re-test [Ом]', '', 985, 1, 0, 'P00A2.F32', 394, 192);
-- Добавление параметра прибора "Te-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13037, 'Te-test [C]', '', 985, 1, 0, 'P00A5.F32', 394, 448);
-- Добавление параметра прибора "Tr-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13038, 'Tr-test [C]', '', 985, 1, 0, 'P00A4.F32', 394, 192);
-- Добавление параметра прибора "Tf-test [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13039, 'Tf-test [C]', '', 985, 1, 0, 'P00A3.F32', 394, 192);
-- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13040, 'Напряжение батареи [мВ]', '', 985, 1, 0, 'P000A.U16', 394, 448);
-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13041, 'Сетевой адрес', '', 985, 1, 0, '__ADDRESS', 394, 192);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13042, 'Версия ПО', '', 985, 1, 0, '__VERSION_INTERNAL', 394, 448);
-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13043, 'Дата и время', '', 985, 1, 0, 'D', 394, 193);
-- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13044, 'Время наработки [ч]', '', 985, 1, 0, 'P000C.U32', 394, 193);
-- Добавление параметра прибора "Статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13045, 'Статус', '', 985, 1, 0, 'P0008.F32', 394, 448);
-- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13046, 'Автопереход зима/лето', '', 985, 1, 0, 'P0004.U8', 394, 192);
-- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13047, 'Пароль (старый | новый)', '', 985, 1, 0, '__PASSWORD', 394, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (986, 'Наладка', '', 394, 985);

-- Добавление параметра прибора "Delta обратки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13048, 'Delta обратки [Ом]', '', 986, 1, 0, 'P003E.F32', 394, 192);
-- Добавление параметра прибора "Beta обратки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13049, 'Beta обратки [Ом]', '', 986, 1, 0, 'P003D.F32', 394, 192);
-- Добавление параметра прибора "Alfa эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13050, 'Alfa эталон [Ом]', '', 986, 1, 0, 'P0040.F32', 394, 448);
-- Добавление параметра прибора "R0 эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13051, 'R0 эталон [Ом]', '', 986, 1, 0, 'P003F.F32', 394, 448);
-- Добавление параметра прибора "Alfa обратки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13052, 'Alfa обратки [Ом]', '', 986, 1, 0, 'P003C.F32', 394, 192);
-- Добавление параметра прибора "Delta подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13053, 'Delta подачи [Ом]', '', 986, 1, 0, 'P0039.F32', 394, 192);
-- Добавление параметра прибора "Beta подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13054, 'Beta подачи [Ом]', '', 986, 1, 0, 'P0038.F32', 394, 192);
-- Добавление параметра прибора "R0 обратки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13055, 'R0 обратки [Ом]', '', 986, 1, 0, 'P003B.F32', 394, 192);
-- Добавление параметра прибора "Rwire обратки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13056, 'Rwire обратки [Ом]', '', 986, 1, 0, 'P003A.F32', 394, 192);
-- Добавление параметра прибора "Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13057, 'Глубина журнала событий', '', 986, 1, 0, 'P001C.U64.BIT48-16', 394, 192);
-- Добавление параметра прибора "Глубина месячного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13058, 'Глубина месячного архива', '', 986, 1, 0, 'P001C.U64.BIT32-16', 394, 192);
-- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13059, 'Тест ACLK', '', 986, 1, 0, 'P0091.U8', 394, 192);
-- Добавление параметра прибора "Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13060, 'Диагностика', '', 986, 1, 0, 'P0090.U8', 394, 192);
-- Добавление параметра прибора "Глубина суточного архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13061, 'Глубина суточного архива', '', 986, 1, 0, 'P001C.U64.BIT16-16', 394, 192);
-- Добавление параметра прибора "Delta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13062, 'Delta эталон [Ом]', '', 986, 1, 0, 'P0042.F32', 394, 448);
-- Добавление параметра прибора "Beta эталон [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13063, 'Beta эталон [Ом]', '', 986, 1, 0, 'P0041.F32', 394, 448);
-- Добавление параметра прибора "Глубина часового архива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13064, 'Глубина часового архива', '', 986, 1, 0, 'P001C.U64.BIT0-16', 394, 192);
-- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13065, 'Сенсорная кнопка, статус', '', 986, 1, 0, 'P0098.U64', 394, 448);
-- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13066, 'Порт RS485', '', 986, 1, 0, 'P0015', 394, 192);
-- Добавление параметра прибора "Объём EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13067, 'Объём EEPROM', '', 986, 1, 0, 'P0011.U8', 394, 192);
-- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13068, 'Модуль дисплея', '', 986, 1, 0, 'P001A.U16.BIT2-6', 394, 192);
-- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13069, 'Конфигурация кнопки', '', 986, 1, 0, 'P0019.S8', 394, 192);
-- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13070, 'Часовой кварц, ёмкость', '', 986, 1, 0, 'P0010.S8', 394, 192);
-- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13071, 'Запись разрешена аппаратно', '', 986, 1, 0, 'P0008.U8.BIT3', 394, 448);
-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13072, 'Количество сбросов', '', 986, 1, 0, 'P0007.U16', 394, 448);
-- Добавление параметра прибора "Часовой кварц, частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13073, 'Часовой кварц, частота [Гц]', '', 986, 1, 0, 'P0003.F32', 394, 192);
-- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13074, 'Запись разрешена программно', '', 986, 1, 0, 'P0008.U8.BIT4', 394, 448);
-- Добавление параметра прибора "Rwire подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13075, 'Rwire подачи [Ом]', '', 986, 1, 0, 'P0035.F32', 394, 192);
-- Добавление параметра прибора "Сопротивление обратки [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13076, 'Сопротивление обратки [Ом]', '', 986, 1, 0, 'P0034.F32', 394, 448);
-- Добавление параметра прибора "Alfa подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13077, 'Alfa подачи [Ом]', '', 986, 1, 0, 'P0037.F32', 394, 192);
-- Добавление параметра прибора "R0 подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13078, 'R0 подачи [Ом]', '', 986, 1, 0, 'P0036.F32', 394, 192);
-- Добавление параметра прибора "Сопротивление подачи [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13079, 'Сопротивление подачи [Ом]', '', 986, 1, 0, 'P0033.F32', 394, 448);
-- Добавление параметра прибора "Значение смещения [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13080, 'Значение смещения [Ом]', '', 986, 1, 0, 'P0030.F32', 394, 192);
-- Добавление параметра прибора "Архивируемые каналы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13081, 'Архивируемые каналы', '', 986, 1, 0, 'P001B.U32', 394, 192);
-- Добавление параметра прибора "Сопротивление калиб. [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13082, 'Сопротивление калиб. [Ом]', '', 986, 1, 0, 'P0032.F32', 394, 192);
-- Добавление параметра прибора "Коэфф. диапазона [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13083, 'Коэфф. диапазона [Ом]', '', 986, 1, 0, 'P0031.F32', 394, 192);

---- Прибор "Выносной дисплей" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Выносной дисплей', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 395;

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (987, 'Параметры', '', 395, 0);

-- Добавление параметра прибора "Счетчик часов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13084, 'Счетчик часов', '', 987, 1, 0, 'P000C.U32', 395, 192);
-- Добавление параметра прибора "Флаги ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13085, 'Флаги ошибок', '', 987, 1, 0, 'P0006.U32', 395, 448);
-- Добавление параметра прибора "Адрес сервера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13086, 'Адрес сервера', '', 987, 1, 0, 'PE802.U32', 395, 192);
-- Добавление параметра прибора "Конфигурация EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13087, 'Конфигурация EEPROM', '', 987, 1, 0, 'P0011.U8', 395, 192);
-- Добавление параметра прибора "Сенсорная кнопка, статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13088, 'Сенсорная кнопка, статус', '', 987, 1, 0, 'P0098.U64', 395, 448);
-- Добавление параметра прибора "Тест ACLK"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13089, 'Тест ACLK', '', 987, 1, 0, 'P0091.U8', 395, 192);
-- Добавление параметра прибора "Запуск диагностики"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13090, 'Запуск диагностики', '', 987, 1, 0, 'P0090.U8', 395, 192);
-- Добавление параметра прибора "Период автообновления дисплея [с]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13091, 'Период автообновления дисплея [с]', '', 987, 1, 0, 'PE801.U16', 395, 192);
-- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13092, 'Автопереход зима/лето', '', 987, 1, 0, 'P0004.U8', 395, 192);
-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13093, 'Сетевой адрес', '', 987, 1, 0, '__ADDRESS', 395, 192);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13094, 'Версия ПО', '', 987, 1, 0, '__VERSION_INTERNAL', 395, 448);
-- Добавление параметра прибора "Статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13095, 'Статус', '', 987, 1, 0, 'P0008.U8', 395, 448);
-- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13096, 'Пароль (старый | новый)', '', 987, 1, 0, '__PASSWORD', 395, 192);
-- Добавление параметра прибора "Температура контроллера [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13097, 'Температура контроллера [C]', '', 987, 1, 0, 'P000B.S8', 395, 448);
-- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13098, 'Напряжение батареи [мВ]', '', 987, 1, 0, 'P000A.U16', 395, 448);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (988, 'Наладка', '', 395, 987);

-- Добавление параметра прибора "Конфигурация кнопки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13099, 'Конфигурация кнопки', '', 988, 1, 0, 'P0019.S8', 395, 192);
-- Добавление параметра прибора "Часовой кварц, ёмкость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13100, 'Часовой кварц, ёмкость', '', 988, 1, 0, 'P0010.S8', 395, 192);
-- Добавление параметра прибора "Порт RS485"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13101, 'Порт RS485', '', 988, 1, 0, 'P0015.U8', 395, 192);
-- Добавление параметра прибора "Модуль дисплея"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13102, 'Модуль дисплея', '', 988, 1, 0, 'P001A.U16.BIT2-6', 395, 192);
-- Добавление параметра прибора "Запись разрешена аппаратно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13103, 'Запись разрешена аппаратно', '', 988, 1, 0, 'P0008.U8.BIT3', 395, 448);
-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13104, 'Количество сбросов', '', 988, 1, 0, 'P0007.U16', 395, 448);
-- Добавление параметра прибора "Часовой кварц, частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13105, 'Часовой кварц, частота [Гц]', '', 988, 1, 0, 'P0003.F32', 395, 192);
-- Добавление параметра прибора "Запись разрешена программно"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13106, 'Запись разрешена программно', '', 988, 1, 0, 'P0008.U8.BIT4', 395, 448);
