-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13114 AND pr_typ_id <= 13120;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 990 AND gr_typ_id <= 991;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 400;

---- Прибор "Пульсар IoT электросчетчик 3Ф4Т v1" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (400, 'Пульсар IoT электросчетчик 3Ф4Т v1', '', 129);
  -- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13114, 'Текущие ошибки', '', 0, 1, 1, 'ERR', 400, 385);
  -- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13115, 'Накопленные ошибки', '', 0, 1, 1, 'ERR_TOTAL', 400, 385);
  -- Добавление параметра прибора "Статус"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13116, 'Статус', 'Только в УП маркере', 0, 1, 1, 'S', 400, 392);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (990, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 400, 0);


---- Группа "Тарифы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (991, 'Тарифы', 'Текущие только в ШП маркере', 400, 0);

  -- Добавление параметра прибора "Тариф 1 актив [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13117, 'Тариф 1 актив [кВт*ч]', '', 991, 1, 1, 'T1', 400, 393);
  -- Добавление параметра прибора "Тариф 2 актив [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13118, 'Тариф 2 актив [кВт*ч]', '', 991, 1, 1, 'T2', 400, 393);
  -- Добавление параметра прибора "Тариф 3 актив [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13119, 'Тариф 3 актив [кВт*ч]', '', 991, 1, 1, 'T3', 400, 393);
  -- Добавление параметра прибора "Тариф 4 актив [кВт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13120, 'Тариф 4 актив [кВт*ч]', '', 991, 1, 1, 'T4', 400, 393);
