-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13197 AND pr_typ_id <= 13208;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 998 AND gr_typ_id <= 1000;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 402;

---- Прибор "ЛенЭлектро ЛЕ-221.1.K.R2" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (402, 'ЛенЭлектро ЛЕ-221.1.K.R2', 'Счётчик электрической энергии однофазный, многотарифный', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (998, 'Информационные', '', 402, 0);

-- Добавление параметра прибора "Место установки счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13197, 'Место установки счётчика', '', 998, 1, 0, 'i_info', 402, 448);
-- Добавление параметра прибора "Флаги ошибок счетчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13198, 'Флаги ошибок счетчика', '', 998, 1, 0, 'i_err', 402, 448);
-- Добавление параметра прибора "Версия счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13199, 'Версия счётчика', '', 998, 1, 0, 'i_ver', 402, 448);
-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13200, 'Дата и время', '', 998, 1, 0, 'D', 402, 449);
-- Добавление параметра прибора "Серийный номер счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13201, 'Серийный номер счётчика', '', 998, 1, 0, 'i_ser', 402, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (999, 'Параметры сети', '', 402, 0);

-- Добавление параметра прибора "Мощность активная, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13202, 'Мощность активная, Вт*ч', '', 999, 1, 0, 'P', 402, 385);

---- Группа "Электроэнергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1000, 'Электроэнергия', '', 402, 0);

-- Добавление параметра прибора "Энергия по тарифу 2, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13203, 'Энергия по тарифу 2, Вт*ч', '', 1000, 1, 0, 'E2', 402, 397);
-- Добавление параметра прибора "Энергия по тарифу 3, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13204, 'Энергия по тарифу 3, Вт*ч', '', 1000, 1, 0, 'E3', 402, 397);
-- Добавление параметра прибора "Энергия по тарифу 4, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13205, 'Энергия по тарифу 4, Вт*ч', '', 1000, 1, 0, 'E4', 402, 397);
-- Добавление параметра прибора "Номер действующего тарифа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13206, 'Номер действующего тарифа', '', 1000, 1, 0, 'tar', 402, 385);
-- Добавление параметра прибора "Энергия (по всем тарифам), вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13207, 'Энергия (по всем тарифам), вт*ч', '', 1000, 1, 0, 'E', 402, 397);
-- Добавление параметра прибора "Энергия по тарифу 1, Вт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13208, 'Энергия по тарифу 1, Вт*ч', '', 1000, 1, 0, 'E1', 402, 397);
