-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13534 AND pr_typ_id <= 13599;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1007 AND gr_typ_id <= 1014;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 406;

---- Прибор "ОВЕН ТРМ232-М" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (406, 'ОВЕН ТРМ232-М', '', 128);

---- Группа "Значения входов дискретные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1007, 'Значения входов дискретные', '', 406, 0);

-- Добавление параметра прибора "Состояние дискретного входа 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13534, 'Состояние дискретного входа 6', '', 1007, 1, 0, 'IN6d', 406, 385);
-- Добавление параметра прибора "Состояние дискретного входа 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13535, 'Состояние дискретного входа 5', '', 1007, 1, 0, 'IN5d', 406, 385);
-- Добавление параметра прибора "Состояние дискретного входа 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13536, 'Состояние дискретного входа 8', '', 1007, 1, 0, 'IN8d', 406, 385);
-- Добавление параметра прибора "Состояние дискретного входа 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13537, 'Состояние дискретного входа 7', '', 1007, 1, 0, 'IN7d', 406, 385);
-- Добавление параметра прибора "Состояние дискретного входа 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13538, 'Состояние дискретного входа 4', '', 1007, 1, 0, 'IN4d', 406, 385);
-- Добавление параметра прибора "Состояние дискретного входа 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13539, 'Состояние дискретного входа 1', '', 1007, 1, 0, 'IN1d', 406, 385);
-- Добавление параметра прибора "Битовая маска дискретных входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13540, 'Битовая маска дискретных входов', '', 1007, 1, 0, 'INd', 406, 385);
-- Добавление параметра прибора "Состояние дискретного входа 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13541, 'Состояние дискретного входа 3', '', 1007, 1, 0, 'IN3d', 406, 385);
-- Добавление параметра прибора "Состояние дискретного входа 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13542, 'Состояние дискретного входа 2', '', 1007, 1, 0, 'IN2d', 406, 385);

---- Группа "Значения входов измеренные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1008, 'Значения входов измеренные', '', 406, 0);

-- Добавление параметра прибора "Вход 6 (измеренное)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13543, 'Вход 6 (измеренное)', '', 1008, 1, 0, 'IN6m', 406, 385);
-- Добавление параметра прибора "Вход 5 (измеренное)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13544, 'Вход 5 (измеренное)', '', 1008, 1, 0, 'IN5m', 406, 385);
-- Добавление параметра прибора "Вход 8 (измеренное)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13545, 'Вход 8 (измеренное)', '', 1008, 1, 0, 'IN8m', 406, 385);
-- Добавление параметра прибора "Вход 7 (измеренное)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13546, 'Вход 7 (измеренное)', '', 1008, 1, 0, 'IN7m', 406, 385);
-- Добавление параметра прибора "Вход 2 (измеренное)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13547, 'Вход 2 (измеренное)', '', 1008, 1, 0, 'IN2m', 406, 385);
-- Добавление параметра прибора "Вход 1 (измеренное)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13548, 'Вход 1 (измеренное)', '', 1008, 1, 0, 'IN1m', 406, 385);
-- Добавление параметра прибора "Вход 4 (измеренное)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13549, 'Вход 4 (измеренное)', '', 1008, 1, 0, 'IN4m', 406, 385);
-- Добавление параметра прибора "Вход 3 (измеренное)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13550, 'Вход 3 (измеренное)', '', 1008, 1, 0, 'IN3m', 406, 385);

---- Группа "Значения входов результирующие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1009, 'Значения входов результирующие', '', 406, 0);

-- Добавление параметра прибора "Вход 6 (результирующее)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13551, 'Вход 6 (результирующее)', '', 1009, 1, 0, 'IN6r', 406, 385);
-- Добавление параметра прибора "Вход 5 (результирующее)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13552, 'Вход 5 (результирующее)', '', 1009, 1, 0, 'IN5r', 406, 385);
-- Добавление параметра прибора "Вход 8 (результирующее)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13553, 'Вход 8 (результирующее)', '', 1009, 1, 0, 'IN8r', 406, 385);
-- Добавление параметра прибора "Вход 7 (результирующее)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13554, 'Вход 7 (результирующее)', '', 1009, 1, 0, 'IN7r', 406, 385);
-- Добавление параметра прибора "Вход 2 (результирующее)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13555, 'Вход 2 (результирующее)', '', 1009, 1, 0, 'IN2r', 406, 385);
-- Добавление параметра прибора "Вход 1 (результирующее)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13556, 'Вход 1 (результирующее)', '', 1009, 1, 0, 'IN1r', 406, 385);
-- Добавление параметра прибора "Вход 4 (результирующее)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13557, 'Вход 4 (результирующее)', '', 1009, 1, 0, 'IN4r', 406, 385);
-- Добавление параметра прибора "Вход 3 (результирующее)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13558, 'Вход 3 (результирующее)', '', 1009, 1, 0, 'IN3r', 406, 385);

---- Группа "Контур 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1010, 'Контур 1', '', 406, 0);

-- Добавление параметра прибора "Т обр гист-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13559, 'Т обр гист-', '', 1010, 1, 0, 'TR1-', 406, 385);
-- Добавление параметра прибора "Задание контура 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13560, 'Задание контура 1', '', 1010, 1, 0, 'C1zad', 406, 385);
-- Добавление параметра прибора "Дельта P контур 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13561, 'Дельта P контур 1', '', 1010, 1, 0, 'DP1', 406, 385);
-- Добавление параметра прибора "t раб. насос конт. 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13562, 't раб. насос конт. 1', '', 1010, 1, 0, 't1', 406, 385);
-- Добавление параметра прибора "Т пол хода КЗР1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13563, 'Т пол хода КЗР1', '', 1010, 1, 0, 'Tkzr1', 406, 385);
-- Добавление параметра прибора "Т обр гист+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13564, 'Т обр гист+', '', 1010, 1, 0, 'TR1+', 406, 385);
-- Добавление параметра прибора "Состояние насосов контура 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13565, 'Состояние насосов контура 1', '', 1010, 1, 0, 'C1pump', 406, 385);
-- Добавление параметра прибора "Выход контура 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13566, 'Выход контура 1', '', 1010, 1, 0, 'C1out', 406, 385);
-- Добавление параметра прибора "Режим контура 1 (строка)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13567, 'Режим контура 1 (строка)', '', 1010, 1, 0, 'C1mode', 406, 385);
-- Добавление параметра прибора "P контур 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13568, 'P контур 1', '', 1010, 1, 0, 'P1', 406, 385);
-- Добавление параметра прибора "Дельта ночь 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13569, 'Дельта ночь 1', '', 1010, 1, 0, 'Dn1', 406, 385);
-- Добавление параметра прибора "Уставка контура 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13570, 'Уставка контура 1', '', 1010, 1, 0, 'C1set', 406, 385);

---- Группа "Контур 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1011, 'Контур 2', '', 406, 0);

-- Добавление параметра прибора "Тоб гист-"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13571, 'Тоб гист-', '', 1011, 1, 0, 'TR2-', 406, 385);
-- Добавление параметра прибора "Задание контура 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13572, 'Задание контура 2', '', 1011, 1, 0, 'C2zad', 406, 385);
-- Добавление параметра прибора "Дельта P контур 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13573, 'Дельта P контур 2', '', 1011, 1, 0, 'DP2', 406, 385);
-- Добавление параметра прибора "t раб. насос конт. 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13574, 't раб. насос конт. 2', '', 1011, 1, 0, 't2', 406, 385);
-- Добавление параметра прибора "Т полн хода контура 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13575, 'Т полн хода контура 2', '', 1011, 1, 0, 'C2TF', 406, 385);
-- Добавление параметра прибора "Тоб гист+"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13576, 'Тоб гист+', '', 1011, 1, 0, 'TR2+', 406, 385);
-- Добавление параметра прибора "Состояние насосов контура 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13577, 'Состояние насосов контура 2', '', 1011, 1, 0, 'C2pump', 406, 385);
-- Добавление параметра прибора "Выход контура 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13578, 'Выход контура 2', '', 1011, 1, 0, 'C2out', 406, 385);
-- Добавление параметра прибора "Режим контура 2 (строка)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13579, 'Режим контура 2 (строка)', '', 1011, 1, 0, 'C2mode', 406, 385);
-- Добавление параметра прибора "P контур 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13580, 'P контур 2', '', 1011, 1, 0, 'P2', 406, 385);
-- Добавление параметра прибора "Дельта ночь 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13581, 'Дельта ночь 2', '', 1011, 1, 0, 'Dn2', 406, 385);
-- Добавление параметра прибора "Уставка контура 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13582, 'Уставка контура 2', '', 1011, 1, 0, 'C2set', 406, 385);

---- Группа "Прочее" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1012, 'Прочее', '', 406, 0);

-- Добавление параметра прибора "Т зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13583, 'Т зима/лето', '', 1012, 1, 0, 'Tws', 406, 385);
-- Добавление параметра прибора "t раб. насос ХВС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13584, 't раб. насос ХВС', '', 1012, 1, 0, 'tcw', 406, 385);

---- Группа "Состояния ВУ" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1013, 'Состояния ВУ', '', 406, 0);

-- Добавление параметра прибора "Состояние ВУ 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13585, 'Состояние ВУ 4', '', 1013, 1, 0, 'CU4', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13586, 'Состояние ВУ 5', '', 1013, 1, 0, 'CU5', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13587, 'Состояние ВУ 6', '', 1013, 1, 0, 'CU6', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13588, 'Состояние ВУ 1', '', 1013, 1, 0, 'CU1', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13589, 'Состояние ВУ 2', '', 1013, 1, 0, 'CU2', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13590, 'Состояние ВУ 3', '', 1013, 1, 0, 'CU3', 406, 385);

---- Группа "Состояния ВУ у МР1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1014, 'Состояния ВУ у МР1', '', 406, 0);

-- Добавление параметра прибора "Состояние ВУ 6 у МР1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13591, 'Состояние ВУ 6 у МР1', '', 1014, 1, 0, 'CU6MR1', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 5 у МР1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13592, 'Состояние ВУ 5 у МР1', '', 1014, 1, 0, 'CU5MR1', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 8 у МР1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13593, 'Состояние ВУ 8 у МР1', '', 1014, 1, 0, 'CU8MR1', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 7 у МР1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13594, 'Состояние ВУ 7 у МР1', '', 1014, 1, 0, 'CU7MR1', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 4 у МР1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13595, 'Состояние ВУ 4 у МР1', '', 1014, 1, 0, 'CU4MR1', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 1 у МР1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13596, 'Состояние ВУ 1 у МР1', '', 1014, 1, 0, 'CU1MR1', 406, 385);
-- Добавление параметра прибора "Состояние ВУ у МР1 (битовая маска)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13597, 'Состояние ВУ у МР1 (битовая маска)', '', 1014, 1, 0, 'CUMR1', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 3 у МР1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13598, 'Состояние ВУ 3 у МР1', '', 1014, 1, 0, 'CU3MR1', 406, 385);
-- Добавление параметра прибора "Состояние ВУ 2 у МР1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13599, 'Состояние ВУ 2 у МР1', '', 1014, 1, 0, 'CU2MR1', 406, 385);
