SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13600 AND pr_typ_id <= 13655;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1015 AND gr_typ_id <= 1021;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 408;

---- Прибор "Пульсар модуль счетчика воды v1.20" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (408, 'Пульсар модуль счетчика воды v1.20', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1015, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 408, 0);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1016, 'Каналы', 'Текущие и архивируемые каналы прибора', 408, 0);

-- Добавление параметра прибора "Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13600, 'Объем [м3]', '', 1016, 1, 0, 'K1', 408, 143);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1017, 'Параметры', 'Настройка прибора', 408, 0);

-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13601, 'Дата и время', '', 1017, 1, 1, 'D', 408, 193);
-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13602, 'Сетевой адрес', '', 1017, 1, 2, '__ADDRESS', 408, 192);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13603, 'Версия ПО', '', 1017, 1, 3, '__VERSION_INTERNAL', 408, 448);
-- Добавление параметра прибора "Объём на поворот диска [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13604, 'Объём на поворот диска [л]', '', 1017, 1, 4, 'P0003.S32', 408, 192);
-- Добавление параметра прибора "Порог переполнения счетчика [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13605, 'Порог переполнения счетчика [л]', '', 1017, 1, 5, 'P0004.S32', 408, 192);
-- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13606, 'Запись запрещена', '', 1017, 1, 6, 'P0005.U8', 408, 448);
-- Добавление параметра прибора "Количество сборосв"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13607, 'Количество сборосв', '', 1017, 1, 7, 'P0006.U16', 408, 192);
-- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13608, 'Текущие ошибки', '', 1017, 1, 8, 'P0007', 408, 449);
-- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13609, 'Накопленные ошибки', '', 1017, 1, 9, 'P0008', 408, 193);
-- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13610, 'Пароль (старый | новый)', '', 1017, 1, 10, '__PASSWORD', 408, 192);
-- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13611, 'RSSI последнего пакета [дБм]', '', 1017, 1, 11, 'P000E.S8', 408, 448);
-- Добавление параметра прибора "Выход ошибки. Маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13612, 'Выход ошибки. Маска', '', 1017, 1, 12, 'P0009.U16.B', 408, 192);
-- Добавление параметра прибора "Делитель импульсного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13613, 'Делитель импульсного выхода', '', 1017, 1, 13, 'P000D.S8', 408, 192);

---- Группа "Радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1018, 'Радио', '', 408, 1017);

-- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13614, '[RF] Мощность передатчика [мВт]', '', 1018, 1, 14, 'P1000.U8', 408, 192);
-- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13615, '[RF] Количество повторов УП маркеров', '', 1018, 1, 15, 'P1001.U8', 408, 192);
-- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13616, '[RF] Режим кодирования УП маркеров', '', 1018, 1, 16, 'P1002.U8', 408, 192);
-- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13617, '[RF] Запрос на неотложную передачу УП маркера', '', 1018, 1, 17, 'P10F1.U8', 408, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1019, 'Наладка', 'Для наладчиков', 408, 1017);

-- Добавление параметра прибора "Напряжение батареи [мВ]. Нижний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13618, 'Напряжение батареи [мВ]. Нижний порог', '', 1019, 1, 19, 'P0020.U16', 408, 64);
-- Добавление параметра прибора "Напряжение батареи [мВ]. Верхний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13619, 'Напряжение батареи [мВ]. Верхний порог', '', 1019, 1, 20, 'P0021.U16', 408, 64);
-- Добавление параметра прибора "Ёмкость EEPROM [КБ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13620, 'Ёмкость EEPROM [КБ]', '', 1019, 1, 21, 'P0022.U8', 408, 64);
-- Добавление параметра прибора "Частота измерения [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13621, 'Частота измерения [Гц]', '', 1019, 1, 22, 'P0023.U16', 408, 64);
-- Добавление параметра прибора "Температура среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13622, 'Температура среды [C]', '', 1019, 1, 23, 'P0040.S8', 408, 320);
-- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13623, 'Напряжение батареи [мВ]', '', 1019, 1, 24, 'P0041.U16', 408, 320);
-- Добавление параметра прибора "Диагностика прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13624, 'Диагностика прибора', '', 1019, 1, 25, 'P0042.U8', 408, 64);
-- Добавление параметра прибора "Вывод частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13625, 'Вывод частоты часового кварца', '', 1019, 1, 26, 'P0043.U8', 408, 64);
-- Добавление параметра прибора "Калибровка энкодера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13626, 'Калибровка энкодера', '', 1019, 1, 27, 'P0044.U8', 408, 64);
-- Добавление параметра прибора "Дроссель 1. Добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13627, 'Дроссель 1. Добротность', '', 1019, 1, 29, 'P0046.U8', 408, 320);
-- Добавление параметра прибора "Дроссель 2. Добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13628, 'Дроссель 2. Добротность', '', 1019, 1, 30, 'P0047.U8', 408, 320);
-- Добавление параметра прибора "Дроссель 1. Диапазон вращения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13629, 'Дроссель 1. Диапазон вращения', '', 1019, 1, 31, 'P0060', 408, 320);
-- Добавление параметра прибора "Дроссель 2. Диапазон вращения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13630, 'Дроссель 2. Диапазон вращения', '', 1019, 1, 32, 'P0061', 408, 320);
-- Добавление параметра прибора "Дроссель 1. Пороги"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13631, 'Дроссель 1. Пороги', '', 1019, 1, 34, 'P0063', 408, 320);
-- Добавление параметра прибора "Дроссель 2. Пороги"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13632, 'Дроссель 2. Пороги', '', 1019, 1, 35, 'P0064', 408, 320);
-- Добавление параметра прибора "Причина сброса MCU"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13633, 'Причина сброса MCU', '', 1019, 1, 36, 'P0050', 408, 320);
-- Добавление параметра прибора "Вывод частоты кврца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13634, 'Вывод частоты кврца трансивера', '', 1019, 1, 37, 'P0048.U8', 408, 64);
-- Добавление параметра прибора "Последняя ошибка трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13635, 'Последняя ошибка трансивера', '', 1019, 1, 38, 'P0049.U8', 408, 64);
-- Добавление параметра прибора "Частота кварца трансивера [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13636, 'Частота кварца трансивера [Гц]', '', 1019, 1, 39, 'P0024.U32', 408, 64);

---- Группа "Радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1020, 'Радио', '', 408, 1019);

-- Добавление параметра прибора "[RF] Конденсаторы кварца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13637, '[RF] Конденсаторы кварца трансивера', '', 1020, 1, 40, 'P0025.U8', 408, 64);

---- Группа "Lora" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1021, 'Lora', '', 408, 1017);

-- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13638, '[Lora] Информация о сети', '', 1021, 1, 41, 'P11F1', 408, 448);
-- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13639, '[Lora Ключи] Device EUI', '', 1021, 1, 42, 'P1100', 408, 192);
-- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13640, '[Lora Ключи] App EUI', '', 1021, 1, 43, 'P1101', 408, 192);
-- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13641, '[Lora Ключи] App Key', '', 1021, 1, 44, 'PS1102', 408, 192);
-- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13642, '[Lora Регион] Частотный план', '', 1021, 1, 45, 'P1110', 408, 192);
-- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13643, '[Lora Регион] Начальная скорость', '', 1021, 1, 46, 'P1111.U32.BIT16-8', 408, 192);
-- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13644, '[Lora Регион] Минимальная скорость', '', 1021, 1, 47, 'P1111.U32.BIT0-8', 408, 192);
-- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13645, '[Lora Регион] Максимальная скорость', '', 1021, 1, 48, 'P1111.U32.BIT8-8', 408, 192);
-- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13646, '[Lora Регион] Мощность по умолчанию [дБм]', '', 1021, 1, 49, 'P1112.U8', 408, 192);
-- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13647, '[Lora Регион] Окно приёма Join [сек]', '', 1021, 1, 50, 'P1113.U8', 408, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13648, '[Lora Маркер] Количество попыток', '', 1021, 1, 51, 'P1120.U8', 408, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13649, '[Lora Маркер] Количество в сутки', '', 1021, 1, 52, 'P1121.U8', 408, 192);
-- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13650, '[Lora Маркер] Глубина оффлайн кэша', '', 1021, 1, 53, 'P1122.U8', 408, 192);
-- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13651, '[Lora Тест связи] Количество попыток', '', 1021, 1, 54, 'P1130.U8', 408, 192);
-- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13652, '[Lora Тест связи] Прескалер маркеров', '', 1021, 1, 55, 'P1131.U8', 408, 192);
-- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13653, '[Lora АСП] Разрешение управления сетью', '', 1021, 1, 56, 'P1140.U8', 408, 192);
-- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13654, '[Lora АСП] Порог для ручного управления', '', 1021, 1, 57, 'P1141.U8', 408, 192);
-- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13655, '[Lora ] Запрос на передачу маркера', '', 1021, 1, 58, 'P11F2.U8', 408, 192);
