-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13656 AND pr_typ_id <= 13690;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1022 AND gr_typ_id <= 1025;

---- Прибор "Пульсар счетчик воды электронный v2" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар счетчик воды электронный v2', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 407;

---- Группа "Каналы наладчики" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1022, 'Каналы наладчики', '', 407, 0);

-- Добавление параметра прибора "Тестовый "пролив" - объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13656, 'Тестовый "пролив" - объем [м3]', '', 1022, 1, 37, 'K3.F32', 407, 385);
-- Добавление параметра прибора "Тестовый "пролив" - расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13657, 'Тестовый "пролив" - расход [м3/ч]', '', 1022, 1, 38, 'K4.F32', 407, 385);
-- Добавление параметра прибора "Тестовый "пролив" - расход(без корр.) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13658, 'Тестовый "пролив" - расход(без корр.) [м3/ч]', '', 1022, 1, 39, 'K5.F32', 407, 385);
-- Добавление параметра прибора "Тестовый "пролив" - время [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13659, 'Тестовый "пролив" - время [сек]', '', 1022, 1, 40, 'K6.F32', 407, 385);

---- Группа "Каналы пользователи" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1023, 'Каналы пользователи', '', 407, 0);

-- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13660, 'Объём [м3]', '', 1023, 1, 35, 'K1.F32', 407, 143);
-- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13661, 'Расход [м3/ч]', '', 1023, 1, 36, 'K2.F32', 407, 385);

---- Группа "Параметры наладчики" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1024, 'Параметры наладчики', '', 407, 0);

-- Добавление параметра прибора "Передача пакета калибровки UART"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13662, 'Передача пакета калибровки UART', '', 1024, 1, 52, 'P0020.U16', 407, 192);
-- Добавление параметра прибора "Порог напряжения батареи MIN [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13663, 'Порог напряжения батареи MIN [мВ]', '', 1024, 1, 53, 'P0041.U16', 407, 192);
-- Добавление параметра прибора "Порог напряжения батареи ALARM [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13664, 'Порог напряжения батареи ALARM [мВ]', '', 1024, 1, 54, 'P0042.U16', 407, 192);
-- Добавление параметра прибора "Порог напряжения батареи MAX [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13665, 'Порог напряжения батареи MAX [мВ]', '', 1024, 1, 55, 'P0043.U16', 407, 192);
-- Добавление параметра прибора "Вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13666, 'Вывод частоты', '', 1024, 1, 56, 'P0050.U8', 407, 192);
-- Добавление параметра прибора "Измеренная частота LF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13667, 'Измеренная частота LF [Гц]', '', 1024, 1, 57, 'P0051.U16', 407, 192);
-- Добавление параметра прибора "Измеренная частота HF [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13668, 'Измеренная частота HF [Гц]', '', 1024, 1, 58, 'P0052.U32', 407, 192);
-- Добавление параметра прибора "Qmin (текущая)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13669, 'Qmin (текущая)', '', 1024, 1, 59, 'P0110.U8', 407, 448);
-- Добавление параметра прибора "Qmax (текущая)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13670, 'Qmax (текущая)', '', 1024, 1, 60, 'P0111.U8', 407, 448);
-- Добавление параметра прибора "Автокалибровка"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13671, 'Автокалибровка', '', 1024, 1, 61, 'P0112.U8', 407, 192);
-- Добавление параметра прибора "Статус автокалибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13672, 'Статус автокалибровки', '', 1024, 1, 62, 'P0113.U8', 407, 448);
-- Добавление параметра прибора "Результат автокалибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13673, 'Результат автокалибровки', '', 1024, 1, 63, 'P0114.U32', 407, 448);
-- Добавление параметра прибора "Тестовый "пролив""
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13674, 'Тестовый "пролив"', '', 1024, 1, 64, 'P0120.U8', 407, 192);
-- Добавление параметра прибора "Порог чувствительности расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13675, 'Порог чувствительности расхода [м3/ч]', '', 1024, 1, 65, 'P0121.F32', 407, 192);
-- Добавление параметра прибора "Вес испульса [л/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13676, 'Вес испульса [л/имп]', '', 1024, 1, 66, 'P0124.F32', 407, 192);
-- Добавление параметра прибора "Расход по эталону, [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13677, 'Расход по эталону, [м3/ч]', '', 1024, 1, 67, 'P0125.F32', 407, 192);
-- Добавление параметра прибора "Коррекция расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13678, 'Коррекция расхода', '', 1024, 1, 68, 'P0126.U8', 407, 192);
-- Добавление параметра прибора "Программный интерфейс"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13679, 'Программный интерфейс', '', 1024, 1, 69, 'PE003.U64', 407, 192);

---- Группа "Параметры пользователя" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1025, 'Параметры пользователя', '', 407, 0);

-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13680, 'Дата и время', '', 1025, 1, 41, 'D', 407, 193);
-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13681, 'Сетевой адрес', '', 1025, 1, 42, '__ADDRESS', 407, 192);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13682, 'Версия ПО', '', 1025, 1, 43, '__VERSION_EXTERNAL', 407, 448);
-- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13683, 'Пароль (старый | новый)', '', 1025, 1, 44, '__PASSWORD', 407, 192);
-- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13684, 'Запись запрещена', '', 1025, 1, 45, 'P0003.U8', 407, 448);
-- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13685, 'Текущие ошибки', '', 1025, 1, 46, 'P0010.U16', 407, 448);
-- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13686, 'Накопленные ошибки', '', 1025, 1, 47, 'P0011.U16', 407, 192);
-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13687, 'Количество сбросов', '', 1025, 1, 48, 'P0012.U16', 407, 192);
-- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13688, 'Напряжение батареи [мВ]', '', 1025, 1, 49, 'P0040.U16', 407, 448);
-- Добавление параметра прибора "Порог контроля расхода MIN [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13689, 'Порог контроля расхода MIN [м3/ч]', '', 1025, 1, 50, 'P0122.F32', 407, 192);
-- Добавление параметра прибора "Порог контроля расхода MAX [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13690, 'Порог контроля расхода MAX [м3/ч]', '', 1025, 1, 51, 'P0123.F32', 407, 192);
