-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

ALTER TABLE "Tepl"."ParametrResourse" ADD COLUMN "ResIndefer" text;

-- Function: "Tepl"."GetTypeParametrResourse"(integer, text)

DROP FUNCTION "Tepl"."GetTypeParametrResourse"(integer, text);

CREATE OR REPLACE FUNCTION "Tepl"."GetTypeParametrResourse"(IN pres_id integer, IN pnamegroup text)
  RETURNS TABLE(paramres_id integer, name text, comment text, mes_id integer, res_id integer, defaultmesment_id integer, namegroup text, colorparametr integer, lim_id integer, nameresourse text, namemesure text, namemeasurement text, icon text, resindefer text) AS
$BODY$
SELECT "Tepl"."ParametrResourse"."ParamRes_id", "Tepl"."ParametrResourse"."Name" ,
"Tepl"."ParametrResourse"."Comment" ,"Tepl"."ParametrResourse"."Mes_id" ,
"Tepl"."ParametrResourse"."res_id" , "Tepl"."ParametrResourse"."defaultMesment_id" ,
 "Tepl"."ParametrResourse"."NameGroup" , "Tepl"."ParametrResourse"."ColorParametr" ,
  "Tepl"."ParametrResourse"."lim_id" ,"Tepl"."Resourse_cnt"."Name", 
  "Tepl"."Mesure_cnt"."Name", "Tepl"."Measurement_cnt"."Name", "Tepl"."Resourse_cnt"."icon",
  "Tepl"."ParametrResourse"."ResIndefer"    
From 
"Tepl"."ParametrResourse", "Tepl"."Resourse_cnt",  "Tepl"."Mesure_cnt", "Tepl"."Measurement_cnt"
Where 
("Tepl"."ParametrResourse"."res_id"="Tepl"."Resourse_cnt"."res_id")
AND
("Tepl"."ParametrResourse"."Mes_id"= "Tepl"."Mesure_cnt"."Mes_id")
AND
("Tepl"."ParametrResourse"."defaultMesment_id"="Tepl"."Measurement_cnt"."mesment_id")
And
(("Tepl"."Resourse_cnt"."res_id"=$1)OR($1=-1))
And
(("Tepl"."ParametrResourse"."NameGroup"=$2)OR($2=''))
Order by 
"Tepl"."Resourse_cnt"."Name", "Tepl"."ParametrResourse"."NameGroup", "Tepl"."ParametrResourse"."Name"
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION "Tepl"."GetTypeParametrResourse"(integer, text)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetTypeParametrResourse"(integer, text) IS 'Получает типы ресурсов с группами
pres_id = -1  - идентификатор ресурса, может быть -1, тогда все
pNameGroup='''' - имя группы, может быть пустой, тогда все';
