-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13883 AND pr_typ_id <= 13904;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1030 AND gr_typ_id <= 1031;

---- Прибор "Пульсар счетчик воды электронный v2" ----


---- Группа "Каналы наладчики" ----

  -- Обновление параметра прибора "Тестовый "пролив" - объем [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тестовый "пролив" - объем [м3]', "Comment" = '', "NameP2" = 'K3.F32', dev_typ_id = 407, "SupportData" = 385,  "typ_dat_Arh"=0,  gr_typ_id=1022   WHERE pr_typ_id = 13656;
  -- Обновление параметра прибора "Тестовый "пролив" - расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тестовый "пролив" - расход [м3/ч]', "Comment" = '', "NameP2" = 'K4.F32', dev_typ_id = 407, "SupportData" = 385,  "typ_dat_Arh"=1,  gr_typ_id=1022   WHERE pr_typ_id = 13657;
  -- Обновление параметра прибора "Тестовый "пролив" - расход(без корр.) [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тестовый "пролив" - расход(без корр.) [м3/ч]', "Comment" = '', "NameP2" = 'K5.F32', dev_typ_id = 407, "SupportData" = 385,  "typ_dat_Arh"=2,  gr_typ_id=1022   WHERE pr_typ_id = 13658;
  -- Обновление параметра прибора "Тестовый "пролив" - время [сек]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тестовый "пролив" - время [сек]', "Comment" = '', "NameP2" = 'K6.F32', dev_typ_id = 407, "SupportData" = 385,  "typ_dat_Arh"=3,  gr_typ_id=1022   WHERE pr_typ_id = 13659;

---- Группа "Каналы пользователи" ----

  -- Обновление параметра прибора "Объём [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объём [м3]', "Comment" = '', "NameP2" = 'K1.F32', dev_typ_id = 407, "SupportData" = 143,  "typ_dat_Arh"=4,  gr_typ_id=1023   WHERE pr_typ_id = 13660;
  -- Обновление параметра прибора "Расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Расход [м3/ч]', "Comment" = '', "NameP2" = 'K2.F32', dev_typ_id = 407, "SupportData" = 385,  "typ_dat_Arh"=5,  gr_typ_id=1023   WHERE pr_typ_id = 13661;

---- Группа "Параметры наладчики" ----

  -- Обновление параметра прибора "Передача пакета калибровки UART"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Передача пакета калибровки UART', "Comment" = '', "NameP2" = 'P0020.U16', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=6,  gr_typ_id=1024   WHERE pr_typ_id = 13662;
  -- Обновление параметра прибора "Порог напряжения батареи MIN [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порог напряжения батареи MIN [мВ]', "Comment" = '', "NameP2" = 'P0041.U16', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=7,  gr_typ_id=1024   WHERE pr_typ_id = 13663;
  -- Обновление параметра прибора "Порог напряжения батареи ALARM [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порог напряжения батареи ALARM [мВ]', "Comment" = '', "NameP2" = 'P0042.U16', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=8,  gr_typ_id=1024   WHERE pr_typ_id = 13664;
  -- Обновление параметра прибора "Порог напряжения батареи MAX [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порог напряжения батареи MAX [мВ]', "Comment" = '', "NameP2" = 'P0043.U16', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=9,  gr_typ_id=1024   WHERE pr_typ_id = 13665;
  -- Обновление параметра прибора "Вывод частоты"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Вывод частоты', "Comment" = '', "NameP2" = 'P0050.U8', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=10,  gr_typ_id=1024   WHERE pr_typ_id = 13666;
  -- Обновление параметра прибора "Измеренная частота LF [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Измеренная частота LF [Гц]', "Comment" = '', "NameP2" = 'P0051.U16', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=11,  gr_typ_id=1024   WHERE pr_typ_id = 13667;
  -- Обновление параметра прибора "Измеренная частота HF [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Измеренная частота HF [Гц]', "Comment" = '', "NameP2" = 'P0052.U32', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=12,  gr_typ_id=1024   WHERE pr_typ_id = 13668;
  -- Обновление параметра прибора "Qmin (текущая)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Qmin (текущая)', "Comment" = '', "NameP2" = 'P0110.U8', dev_typ_id = 407, "SupportData" = 448,  "typ_dat_Arh"=13,  gr_typ_id=1024   WHERE pr_typ_id = 13669;
  -- Обновление параметра прибора "Qmax (текущая)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Qmax (текущая)', "Comment" = '', "NameP2" = 'P0111.U8', dev_typ_id = 407, "SupportData" = 448,  "typ_dat_Arh"=14,  gr_typ_id=1024   WHERE pr_typ_id = 13670;
  -- Обновление параметра прибора "Автокалибровка"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Автокалибровка', "Comment" = '', "NameP2" = 'P0112.U8', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=15,  gr_typ_id=1024   WHERE pr_typ_id = 13671;
  -- Обновление параметра прибора "Статус автокалибровки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Статус автокалибровки', "Comment" = '', "NameP2" = 'P0113.U8', dev_typ_id = 407, "SupportData" = 448,  "typ_dat_Arh"=16,  gr_typ_id=1024   WHERE pr_typ_id = 13672;
  -- Обновление параметра прибора "Результат автокалибровки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Результат автокалибровки', "Comment" = '', "NameP2" = 'P0114.U32', dev_typ_id = 407, "SupportData" = 448,  "typ_dat_Arh"=17,  gr_typ_id=1024   WHERE pr_typ_id = 13673;
  -- Обновление параметра прибора "Тестовый "пролив""
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тестовый "пролив"', "Comment" = '', "NameP2" = 'P0120.U8', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=18,  gr_typ_id=1024   WHERE pr_typ_id = 13674;
  -- Обновление параметра прибора "Порог чувствительности расхода [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порог чувствительности расхода [м3/ч]', "Comment" = '', "NameP2" = 'P0121.F32', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=19,  gr_typ_id=1024   WHERE pr_typ_id = 13675;
  -- Обновление параметра прибора "Вес испульса [л/имп]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Вес испульса [л/имп]', "Comment" = '', "NameP2" = 'P0124.F32', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=20,  gr_typ_id=1024   WHERE pr_typ_id = 13676;
  -- Обновление параметра прибора "Расход по эталону, [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Расход по эталону, [м3/ч]', "Comment" = '', "NameP2" = 'P0125.F32', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=21,  gr_typ_id=1024   WHERE pr_typ_id = 13677;
  -- Обновление параметра прибора "Коррекция расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коррекция расхода', "Comment" = '', "NameP2" = 'P0126.U8', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=22,  gr_typ_id=1024   WHERE pr_typ_id = 13678;
  -- Обновление параметра прибора "Программный интерфейс"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Программный интерфейс', "Comment" = '', "NameP2" = 'PE003.U64', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=23,  gr_typ_id=1024   WHERE pr_typ_id = 13679;

---- Группа "RF модуль наладчики" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1030, 'RF модуль наладчики', '', 407, 1024);

-- Добавление параметра прибора "[RF] Режим передачи маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13883, '[RF] Режим передачи маркеров', '', 1030, 1, 24, 'P0200.U8', 407, 192);
-- Добавление параметра прибора "[RF] Частота кварцевого резонатора [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13884, '[RF] Частота кварцевого резонатора [Гц]', '', 1030, 1, 25, 'P0201.U32', 407, 192);
-- Добавление параметра прибора "[RF] Нагрузочные конденсаторы кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13885, '[RF] Нагрузочные конденсаторы кварца', '', 1030, 1, 26, 'P0202.U8', 407, 192);
-- Добавление параметра прибора "[RF] Вывод частоты кварца генератора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13886, '[RF] Вывод частоты кварца генератора', '', 1030, 1, 27, 'P0203.U8', 407, 192);

---- Группа "Параметры пользователя" ----

  -- Обновление параметра прибора "Дата и время"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата и время', "Comment" = '', "NameP2" = 'D', dev_typ_id = 407, "SupportData" = 193,  "typ_dat_Arh"=28,  gr_typ_id=1025   WHERE pr_typ_id = 13680;
  -- Обновление параметра прибора "Сетевой адрес"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сетевой адрес', "Comment" = '', "NameP2" = '__ADDRESS', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=29,  gr_typ_id=1025   WHERE pr_typ_id = 13681;
  -- Обновление параметра прибора "Версия ПО"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Версия ПО', "Comment" = '', "NameP2" = '__VERSION_EXTERNAL', dev_typ_id = 407, "SupportData" = 448,  "typ_dat_Arh"=30,  gr_typ_id=1025   WHERE pr_typ_id = 13682;
  -- Обновление параметра прибора "Пароль (старый | новый)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Пароль (старый | новый)', "Comment" = '', "NameP2" = '__PASSWORD', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=31,  gr_typ_id=1025   WHERE pr_typ_id = 13683;
  -- Обновление параметра прибора "Запись запрещена"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Запись запрещена', "Comment" = '', "NameP2" = 'P0003.U8', dev_typ_id = 407, "SupportData" = 448,  "typ_dat_Arh"=32,  gr_typ_id=1025   WHERE pr_typ_id = 13684;
  -- Обновление параметра прибора "Текущие ошибки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Текущие ошибки', "Comment" = '', "NameP2" = 'P0010.U16', dev_typ_id = 407, "SupportData" = 448,  "typ_dat_Arh"=33,  gr_typ_id=1025   WHERE pr_typ_id = 13685;
  -- Обновление параметра прибора "Накопленные ошибки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Накопленные ошибки', "Comment" = '', "NameP2" = 'P0011.U16', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=34,  gr_typ_id=1025   WHERE pr_typ_id = 13686;
  -- Обновление параметра прибора "Количество сбросов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Количество сбросов', "Comment" = '', "NameP2" = 'P0012.U16', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=35,  gr_typ_id=1025   WHERE pr_typ_id = 13687;
  -- Обновление параметра прибора "Напряжение батареи [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Напряжение батареи [мВ]', "Comment" = '', "NameP2" = 'P0040.U16', dev_typ_id = 407, "SupportData" = 448,  "typ_dat_Arh"=36,  gr_typ_id=1025   WHERE pr_typ_id = 13688;
  -- Обновление параметра прибора "Порог контроля расхода MIN [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порог контроля расхода MIN [м3/ч]', "Comment" = '', "NameP2" = 'P0122.F32', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=37,  gr_typ_id=1025   WHERE pr_typ_id = 13689;
  -- Обновление параметра прибора "Порог контроля расхода MAX [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порог контроля расхода MAX [м3/ч]', "Comment" = '', "NameP2" = 'P0123.F32', dev_typ_id = 407, "SupportData" = 192,  "typ_dat_Arh"=38,  gr_typ_id=1025   WHERE pr_typ_id = 13690;

---- Группа "Lora" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1031, 'Lora', '', 407, 1025);

-- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13887, '[Lora] Информация о сети', '', 1031, 1, 39, 'P11F1', 407, 448);
-- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13888, '[Lora Ключи] Device EUI', '', 1031, 1, 40, 'P1100', 407, 192);
-- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13889, '[Lora Ключи] App EUI', '', 1031, 1, 41, 'P1101', 407, 192);
-- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13890, '[Lora Ключи] App Key', '', 1031, 1, 42, 'PS1102', 407, 192);
-- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13891, '[Lora Регион] Частотный план', '', 1031, 1, 43, 'P1110', 407, 192);
-- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13892, '[Lora Регион] Начальная скорость', '', 1031, 1, 44, 'P1111.U32.BIT16-8', 407, 192);
-- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13893, '[Lora Регион] Минимальная скорость', '', 1031, 1, 45, 'P1111.U32.BIT0-8', 407, 192);
-- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13894, '[Lora Регион] Максимальная скорость', '', 1031, 1, 46, 'P1111.U32.BIT8-8', 407, 192);
-- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13895, '[Lora Регион] Мощность по умолчанию [дБм]', '', 1031, 1, 47, 'P1112.U8', 407, 192);
-- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13896, '[Lora Регион] Окно приёма Join [сек]', '', 1031, 1, 48, 'P1113.U8', 407, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13897, '[Lora Маркер] Количество попыток', '', 1031, 1, 49, 'P1120.U8', 407, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13898, '[Lora Маркер] Количество в сутки', '', 1031, 1, 50, 'P1121.U8', 407, 192);
-- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13899, '[Lora Маркер] Глубина оффлайн кэша', '', 1031, 1, 51, 'P1122.U8', 407, 192);
-- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13900, '[Lora Тест связи] Количество попыток', '', 1031, 1, 52, 'P1130.U8', 407, 192);
-- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13901, '[Lora Тест связи] Прескалер маркеров', '', 1031, 1, 53, 'P1131.U8', 407, 192);
-- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13902, '[Lora АСП] Разрешение управления сетью', '', 1031, 1, 54, 'P1140.U8', 407, 192);
-- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13903, '[Lora АСП] Порог для ручного управления', '', 1031, 1, 55, 'P1141.U8', 407, 192);
-- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13904, '[Lora ] Запрос на передачу маркера', '', 1031, 1, 56, 'P11F2.U8', 407, 192);
