SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13905 AND pr_typ_id <= 13907;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1032 AND gr_typ_id <= 1033;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 410;

---- Прибор "Пульсар IoT счетчик воды электронный v2" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (410, 'Пульсар IoT счетчик воды электронный v2', '', 129);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1032, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 410, 0);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1033, 'Показания', '', 410, 0);

-- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13905, 'Объём [м3]', 'Текущее и часовое только в ШП', 1033, 1, 1, 'K1', 410, 399);
-- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13906, 'Текущие ошибки', 'Текущее в ШП, суточное в УП', 1033, 1, 1, 'ERR', 410, 389);
-- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13907, 'Накопленные ошибки', 'Только для ШП', 1033, 1, 1, 'ERR_TOTAL', 410, 385);
