-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 13908 AND pr_typ_id <= 13922;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1034 AND gr_typ_id <= 1035;

---- Прибор "Пульсар Детектор газа" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар Детектор газа', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 398;

---- Прибор "Пульсар Сигнализатор загазованности v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар Сигнализатор загазованности v1', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 404;

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1034, 'Каналы', '', 404, 0);

-- Добавление параметра прибора "Значение АЦП сенсора газа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13908, 'Значение АЦП сенсора газа', '', 1034, 1, 12, 'K1.U16', 404, 385);
-- Добавление параметра прибора "Значение АЦП термокомпенсированное"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13909, 'Значение АЦП термокомпенсированное', '', 1034, 1, 13, 'K2.U16', 404, 385);
-- Добавление параметра прибора "Темература [градус]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13910, 'Темература [градус]', '', 1034, 1, 14, 'K3.S8', 404, 385);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1035, 'Настроечные', '', 404, 0);

-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13911, 'Сетевой адрес', '', 1035, 1, 0, '__ADDRESS', 404, 192);
-- Добавление параметра прибора "Версия прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13912, 'Версия прошивки', '', 1035, 1, 1, '__VERSION_EXTERNAL', 404, 448);
-- Добавление параметра прибора "Основной порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13913, 'Основной порог', '', 1035, 1, 2, 'P0021.U16', 404, 192);
-- Добавление параметра прибора "Дополнительный  порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13914, 'Дополнительный  порог', '', 1035, 1, 3, 'P0022.U16', 404, 192);
-- Добавление параметра прибора "Тип сенсора [0-CH4,1-CO]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13915, 'Тип сенсора [0-CH4,1-CO]', '', 1035, 1, 4, 'P0023.U8', 404, 192);
-- Добавление параметра прибора "Каллибровка[1-Осн. 2-Доп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13916, 'Каллибровка[1-Осн. 2-Доп.]', '', 1035, 1, 5, 'P0024.U8', 404, 64);
-- Добавление параметра прибора "Смещение АЦП сеносора газа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13917, 'Смещение АЦП сеносора газа', '', 1035, 1, 6, 'P0025.S16', 404, 192);
-- Добавление параметра прибора "Смещение АЦП сеносора темп.[градус]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13918, 'Смещение АЦП сеносора темп.[градус]', '', 1035, 1, 7, 'P0026.S8', 404, 192);
-- Добавление параметра прибора "Осн.порог расчетный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13919, 'Осн.порог расчетный', '', 1035, 1, 8, 'P0027.S16', 404, 448);
-- Добавление параметра прибора "Доп.порог расчетный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13920, 'Доп.порог расчетный', '', 1035, 1, 9, 'P0028.S16', 404, 448);
-- Добавление параметра прибора "Режим [0-без клап,1-с клап]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13921, 'Режим [0-без клап,1-с клап]', '', 1035, 1, 10, 'P0029.U8', 404, 192);
-- Добавление параметра прибора "Управление клапаном  [1]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (13922, 'Управление клапаном  [1]', '', 1035, 1, 11, 'P002A.U8', 404, 192);
