-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 14011 AND pr_typ_id <= 14052;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1042 AND gr_typ_id <= 1045;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 413;

---- Прибор "ВТЭ-2П14хМ(2П15хМ)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (413, 'ВТЭ-2П14хМ(2П15хМ)', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1042, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 413, 0);


---- Группа "Система1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1043, 'Система1', '', 413, 0);

-- Добавление параметра прибора "Тепловая энергия (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14011, 'Тепловая энергия (1-я система)', '', 1043, 1, 2, 'W1', 413, 2147483535);
-- Добавление параметра прибора "Температура подачи (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14012, 'Температура подачи (1-я система)', '', 1043, 1, 3, 'T11', 413, 2147483535);
-- Добавление параметра прибора "Температура обратки (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14013, 'Температура обратки (1-я система)', '', 1043, 1, 4, 'T12', 413, 2147483535);
-- Добавление параметра прибора "Температура холодной воды (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14014, 'Температура холодной воды (1-я система)', '', 1043, 1, 5, 'T13', 413, 2147483535);
-- Добавление параметра прибора "Объем по первому расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14015, 'Объем по первому расходомеру (1-я система)', '', 1043, 1, 6, 'V11', 413, 2147483535);
-- Добавление параметра прибора "Объем по второму расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14016, 'Объем по второму расходомеру (1-я система)', '', 1043, 1, 7, 'V12', 413, 2147483535);
-- Добавление параметра прибора "Объем по третьему расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14017, 'Объем по третьему расходомеру (1-я система)', '', 1043, 1, 8, 'V13', 413, 2147483535);
-- Добавление параметра прибора "Давление1 (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14018, 'Давление1 (1-я система)', '', 1043, 1, 9, 'P11', 413, 2147483535);
-- Добавление параметра прибора "Давление2 (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14019, 'Давление2 (1-я система)', '', 1043, 1, 10, 'P12', 413, 2147483535);
-- Добавление параметра прибора "Масса по первому расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14020, 'Масса по первому расходомеру (1-я система)', '', 1043, 1, 11, 'M11', 413, 2147483535);
-- Добавление параметра прибора "Масса по второму расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14021, 'Масса по второму расходомеру (1-я система)', '', 1043, 1, 12, 'M12', 413, 2147483535);
-- Добавление параметра прибора "Масса по третьему расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14022, 'Масса по третьему расходомеру (1-я система)', '', 1043, 1, 13, 'M13', 413, 2147483535);
-- Добавление параметра прибора "Расход по первому расходомеру (1-я система), м3/час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14023, 'Расход по первому расходомеру (1-я система), м3/час', '', 1043, 1, 14, 'G11', 413, 2147483521);
-- Добавление параметра прибора "Расход по второму расходомеру (1-я система), м3/час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14024, 'Расход по второму расходомеру (1-я система), м3/час', '', 1043, 1, 15, 'G12', 413, 2147483521);
-- Добавление параметра прибора "Расход по третьему расходомеру (1-я система), м3/час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14025, 'Расход по третьему расходомеру (1-я система), м3/час', '', 1043, 1, 16, 'G13', 413, 2147483521);
-- Добавление параметра прибора "Время работы узла учета в часах при наличии ошибки (1-я система) (накопительным итогом)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14026, 'Время работы узла учета в часах при наличии ошибки (1-я система) (накопительным итогом)', '', 1043, 1, 17, 'terr1', 413, 2147483534);
-- Добавление параметра прибора "Массовый расход по первому расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14027, 'Массовый расход по первому расходомеру (1-я система)', '', 1043, 1, 18, 'Gm11', 413, 385);
-- Добавление параметра прибора "Массовый расход по второму расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14028, 'Массовый расход по второму расходомеру (1-я система)', '', 1043, 1, 19, 'Gm12', 413, 385);
-- Добавление параметра прибора "Массовый расход по третьему расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14029, 'Массовый расход по третьему расходомеру (1-я система)', '', 1043, 1, 20, 'Gm13', 413, 385);
-- Добавление параметра прибора "Коды ошибок (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14030, 'Коды ошибок (1-я система)', '', 1043, 1, 21, 'Err1', 413, 142);

---- Группа "Система2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1044, 'Система2', '', 413, 0);

-- Добавление параметра прибора "Тепловая энергия (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14031, 'Тепловая энергия (2-я система)', '', 1044, 1, 22, 'W2', 413, 2147483535);
-- Добавление параметра прибора "Температура подачи (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14032, 'Температура подачи (2-я система)', '', 1044, 1, 23, 'T21', 413, 2147483535);
-- Добавление параметра прибора "Температура обратки (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14033, 'Температура обратки (2-я система)', '', 1044, 1, 24, 'T22', 413, 2147483535);
-- Добавление параметра прибора "Температура холодной воды (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14034, 'Температура холодной воды (2-я система)', '', 1044, 1, 25, 'T23', 413, 2147483535);
-- Добавление параметра прибора "Объем по первому расходомеру (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14035, 'Объем по первому расходомеру (2-я система)', '', 1044, 1, 26, 'V21', 413, 2147483535);
-- Добавление параметра прибора "Объем по второму расходомеру (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14036, 'Объем по второму расходомеру (2-я система)', '', 1044, 1, 27, 'V22', 413, 2147483535);
-- Добавление параметра прибора "Объем по третьему расходомеру (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14037, 'Объем по третьему расходомеру (2-я система)', '', 1044, 1, 28, 'V23', 413, 2147483535);
-- Добавление параметра прибора "Давление1 (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14038, 'Давление1 (2-я система)', '', 1044, 1, 29, 'P21', 413, 2147483535);
-- Добавление параметра прибора "Давление2 (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14039, 'Давление2 (2-я система)', '', 1044, 1, 30, 'P22', 413, 2147483535);
-- Добавление параметра прибора "Масса по первому расходомеру (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14040, 'Масса по первому расходомеру (2-я система)', '', 1044, 1, 31, 'M21', 413, 2147483535);
-- Добавление параметра прибора "Масса по второму расходомеру (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14041, 'Масса по второму расходомеру (2-я система)', '', 1044, 1, 32, 'M22', 413, 2147483535);
-- Добавление параметра прибора "Масса по третьему расходомеру (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14042, 'Масса по третьему расходомеру (2-я система)', '', 1044, 1, 33, 'M23', 413, 2147483535);
-- Добавление параметра прибора "Расход по первому расходомеру (2-я система), м3/час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14043, 'Расход по первому расходомеру (2-я система), м3/час', '', 1044, 1, 34, 'G21', 413, 2147483521);
-- Добавление параметра прибора "Расход по второму расходомеру (2-я система), м3/час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14044, 'Расход по второму расходомеру (2-я система), м3/час', '', 1044, 1, 35, 'G22', 413, 2147483521);
-- Добавление параметра прибора "Расход по третьему расходомеру (2-я система), м3/час"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14045, 'Расход по третьему расходомеру (2-я система), м3/час', '', 1044, 1, 36, 'G23', 413, 2147483521);
-- Добавление параметра прибора "Время работы узла учета в часах при наличии ошибки (2-я система) (накопительным итогом)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14046, 'Время работы узла учета в часах при наличии ошибки (2-я система) (накопительным итогом)', '', 1044, 1, 37, 'terr2', 413, 2147483534);
-- Добавление параметра прибора "Массовый расход по первому расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14047, 'Массовый расход по первому расходомеру (1-я система)', '', 1044, 1, 38, 'Gm21', 413, 385);
-- Добавление параметра прибора "Массовый расход по второму расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14048, 'Массовый расход по второму расходомеру (1-я система)', '', 1044, 1, 39, 'Gm22', 413, 385);
-- Добавление параметра прибора "Массовый расход по третьему расходомеру (1-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14049, 'Массовый расход по третьему расходомеру (1-я система)', '', 1044, 1, 40, 'Gm23', 413, 385);
-- Добавление параметра прибора "Коды ошибок (2-я система)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14050, 'Коды ошибок (2-я система)', '', 1044, 1, 41, 'Err2', 413, 142);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1045, 'Системные', '', 413, 0);

-- Добавление параметра прибора "Дата время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14051, 'Дата время', '', 1045, 1, 0, 'D', 413, 2147483585);
-- Добавление параметра прибора "Время работы прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14052, 'Время работы прибора', '', 1045, 1, 1, 'tnar', 413, 2147483534);
