SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 14069 AND pr_typ_id <= 14126;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1049 AND gr_typ_id <= 1054;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 415;

---- Прибор "Пульсар счетчик импульсов 3K v2" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (415, 'Пульсар счетчик импульсов 3K v2', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1049, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 415, 0);

---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1050, 'Каналы', 'Текущие и архивируемые каналы прибора', 415, 0);

-- Добавление параметра прибора "Канал 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14069, 'Канал 1', '', 1050, 1, 0, 'K1.F32', 415, 143);
-- Добавление параметра прибора "Канал 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14070, 'Канал 2', '', 1050, 1, 1, 'K2.F32', 415, 143);
-- Добавление параметра прибора "Канал 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14071, 'Канал 3', '', 1050, 1, 2, 'K3.F32', 415, 143);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1051, 'Параметры', 'Настройка прибора', 415, 0);

-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14072, 'Сетевой адрес', '', 1051, 1, 3, '__ADDRESS', 415, 192);
-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14073, 'Дата и время', '', 1051, 1, 4, 'D', 415, 193);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14074, 'Версия ПО', '', 1051, 1, 5, '__VERSION_INTERNAL', 415, 448);
-- Добавление параметра прибора "Вес импульса канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14075, 'Вес импульса канала 1', '', 1051, 1, 6, 'P0003.F32', 415, 192);
-- Добавление параметра прибора "Вес импульса канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14076, 'Вес импульса канала 2', '', 1051, 1, 7, 'P0004.F32', 415, 192);
-- Добавление параметра прибора "Вес импульса канала 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14077, 'Вес импульса канала 3', '', 1051, 1, 8, 'P0005.F32', 415, 192);
-- Добавление параметра прибора "Запись запрещена"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14078, 'Запись запрещена', '', 1051, 1, 9, 'P000B.U8', 415, 448);
-- Добавление параметра прибора "Количество сборосв"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14079, 'Количество сборосв', '', 1051, 1, 10, 'P000C.U16', 415, 192);
-- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14080, 'Текущие ошибки', '', 1051, 1, 11, 'P000D', 415, 448);
-- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14081, 'Накопленные ошибки', '', 1051, 1, 12, 'P000E', 415, 192);
-- Добавление параметра прибора "Мин. время паузы импульса [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14082, 'Мин. время паузы импульса [мС]', '', 1051, 1, 13, 'P0008.U16', 415, 192);
-- Добавление параметра прибора "Мин. время длительности импульса [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14083, 'Мин. время длительности импульса [мС]', '', 1051, 1, 14, 'P0009.U16', 415, 192);
-- Добавление параметра прибора "RSSI последнего пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14084, 'RSSI последнего пакета [дБм]', '', 1051, 1, 15, 'P0020.S8', 415, 448);
-- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14085, 'Пароль (старый | новый)', '', 1051, 1, 16, '__PASSWORD', 415, 192);
-- Добавление параметра прибора "Последняя ошибка RF модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14086, 'Последняя ошибка RF модуля', '', 1051, 1, 17, 'P0024.U8', 415, 192);
-- Добавление параметра прибора "Температура среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14087, 'Температура среды [C]', '', 1051, 1, 18, 'P0012.S8', 415, 448);
-- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14088, 'Напряжение батареи [мВ]', '', 1051, 1, 19, 'P0013.U16', 415, 448);
-- Добавление параметра прибора "Количество ошибок шума канала 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14089, 'Количество ошибок шума канала 1', '', 1051, 1, 20, 'P00017.U32', 415, 129);
-- Добавление параметра прибора "Количество ошибок шума канала 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14090, 'Количество ошибок шума канала 2', '', 1051, 1, 21, 'P00018.U32', 415, 129);
-- Добавление параметра прибора "Количество ошибок шума канала 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14091, 'Количество ошибок шума канала 3', '', 1051, 1, 22, 'P00019.U32', 415, 129);

---- Группа "Lora" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1052, 'Lora', '', 415, 1051);

-- Добавление параметра прибора "[Lora] Информация о сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14092, '[Lora] Информация о сети', '', 1052, 1, 23, 'P11F1', 415, 448);
-- Добавление параметра прибора "[Lora Ключи] Device EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14093, '[Lora Ключи] Device EUI', '', 1052, 1, 24, 'P1100', 415, 192);
-- Добавление параметра прибора "[Lora Ключи] App EUI"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14094, '[Lora Ключи] App EUI', '', 1052, 1, 25, 'P1101', 415, 192);
-- Добавление параметра прибора "[Lora Ключи] App Key"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14095, '[Lora Ключи] App Key', '', 1052, 1, 26, 'PS1102', 415, 192);
-- Добавление параметра прибора "[Lora Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14096, '[Lora Регион] Частотный план', '', 1052, 1, 27, 'P1110', 415, 192);
-- Добавление параметра прибора "[Lora Регион] Начальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14097, '[Lora Регион] Начальная скорость', '', 1052, 1, 28, 'P1111.U32.BIT16-8', 415, 192);
-- Добавление параметра прибора "[Lora Регион] Минимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14098, '[Lora Регион] Минимальная скорость', '', 1052, 1, 29, 'P1111.U32.BIT0-8', 415, 192);
-- Добавление параметра прибора "[Lora Регион] Максимальная скорость"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14099, '[Lora Регион] Максимальная скорость', '', 1052, 1, 30, 'P1111.U32.BIT8-8', 415, 192);
-- Добавление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14100, '[Lora Регион] Мощность по умолчанию [дБм]', '', 1052, 1, 31, 'P1112.U8', 415, 192);
-- Добавление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14101, '[Lora Регион] Окно приёма Join [сек]', '', 1052, 1, 32, 'P1113.U8', 415, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14102, '[Lora Маркер] Количество попыток', '', 1052, 1, 33, 'P1120.U8', 415, 192);
-- Добавление параметра прибора "[Lora Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14103, '[Lora Маркер] Количество в сутки', '', 1052, 1, 34, 'P1121.U8', 415, 192);
-- Добавление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14104, '[Lora Маркер] Глубина оффлайн кэша', '', 1052, 1, 35, 'P1122.U8', 415, 192);
-- Добавление параметра прибора "[Lora Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14105, '[Lora Тест связи] Количество попыток', '', 1052, 1, 36, 'P1130.U8', 415, 192);
-- Добавление параметра прибора "[Lora Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14106, '[Lora Тест связи] Прескалер маркеров', '', 1052, 1, 37, 'P1131.U8', 415, 192);
-- Добавление параметра прибора "[Lora АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14107, '[Lora АСП] Разрешение управления сетью', '', 1052, 1, 38, 'P1140.U8', 415, 192);
-- Добавление параметра прибора "[Lora АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14108, '[Lora АСП] Порог для ручного управления', '', 1052, 1, 39, 'P1141.U8', 415, 192);
-- Добавление параметра прибора "[Lora ] Запрос на передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14109, '[Lora ] Запрос на передачу маркера', '', 1052, 1, 40, 'P11F2.U8', 415, 192);

---- Группа "Радио" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1053, 'Радио', '', 415, 1051);

-- Добавление параметра прибора "[RF] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14110, '[RF] Мощность передатчика [мВт]', '', 1053, 1, 41, 'P1000.U8', 415, 192);
-- Добавление параметра прибора "[RF] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14111, '[RF] Количество повторов УП маркеров', '', 1053, 1, 42, 'P1001.U8', 415, 192);
-- Добавление параметра прибора "[RF] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14112, '[RF] Режим кодирования УП маркеров', '', 1053, 1, 43, 'P1002.U8', 415, 192);
-- Добавление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14113, '[RF] Запрос на неотложную передачу УП маркера', '', 1053, 1, 44, 'P10F1.U8', 415, 192);
-- Добавление параметра прибора "[RF] Конденсаторы кварца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14114, '[RF] Конденсаторы кварца трансивера', '', 1053, 1, 45, 'P0022.U8', 415, 64);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1054, 'Наладка', '', 415, 1051);

-- Добавление параметра прибора "Напряжение батареи [мВ]. Нижний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14115, 'Напряжение батареи [мВ]. Нижний порог', '', 1054, 1, 46, 'P000F.U16', 415, 64);
-- Добавление параметра прибора "Напряжение батареи [мВ]. Верхний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14116, 'Напряжение батареи [мВ]. Верхний порог', '', 1054, 1, 47, 'P0010.U16', 415, 64);
-- Добавление параметра прибора "Ёмкость EEPROM [КБ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14117, 'Ёмкость EEPROM [КБ]', '', 1054, 1, 48, 'P0011.U8', 415, 64);
-- Добавление параметра прибора "Диагностика прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14120, 'Диагностика прибора', '', 1054, 1, 51, 'P0014.U8', 415, 64);
-- Добавление параметра прибора "Вывод частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14121, 'Вывод частоты часового кварца', '', 1054, 1, 52, 'P0015.U8', 415, 64);
-- Добавление параметра прибора "Вывод частоты кварца трансивера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14122, 'Вывод частоты кварца трансивера', '', 1054, 1, 53, 'P0023.U8', 415, 64);
-- Добавление параметра прибора "Частота кварца трансивера [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14123, 'Частота кварца трансивера [Гц]', '', 1054, 1, 54, 'P0021.U32', 415, 64);
-- Добавление параметра прибора "Калибровка напряжения батареи. Смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14124, 'Калибровка напряжения батареи. Смещение', '', 1054, 1, 55, 'P0006.S16', 415, 64);
-- Добавление параметра прибора "Калибровка напряжения батареи. Коофициент"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14125, 'Калибровка напряжения батареи. Коофициент', '', 1054, 1, 56, 'P0007.U16', 415, 64);
-- Добавление параметра прибора "Причина сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14126, 'Причина сброса', '', 1054, 1, 57, 'P0016', 415, 64);
