-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 14127 AND pr_typ_id <= 14177;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1055 AND gr_typ_id <= 1059;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 416;

---- Прибор "НЕВА МТ1x4 (модификация AR2)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (416, 'НЕВА МТ1x4 (модификация AR2)', 'Однофазный электросчетчик, 4 тарифа, модификация AR2', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1055, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 416, 0);


---- Группа "Мощность" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1056, 'Мощность', '', 416, 0);

-- Добавление параметра прибора "Максимальная активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14127, 'Максимальная активная мощность, кВт', '', 1056, 1, 33, '0F0680FF$0', 416, 393);
-- Добавление параметра прибора "[T1] Максимальная активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14128, '[T1] Максимальная активная мощность, кВт', '', 1056, 1, 34, '0F0680FF$1', 416, 393);
-- Добавление параметра прибора "[T2] Максимальная активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14129, '[T2] Максимальная активная мощность, кВт', '', 1056, 1, 35, '0F0680FF$2', 416, 393);
-- Добавление параметра прибора "[T3] Максимальная активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14130, '[T3] Максимальная активная мощность, кВт', '', 1056, 1, 36, '0F0680FF$3', 416, 393);
-- Добавление параметра прибора "[T4] Максимальная активная мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14131, '[T4] Максимальная активная мощность, кВт', '', 1056, 1, 37, '0F0680FF$4', 416, 393);
-- Добавление параметра прибора "Максимальная реактивная (+) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14132, 'Максимальная реактивная (+) мощность, квар', '', 1056, 1, 38, '030680FF$0', 416, 393);
-- Добавление параметра прибора "[T1] Максимальная реактивная (+) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14133, '[T1] Максимальная реактивная (+) мощность, квар', '', 1056, 1, 39, '030680FF$1', 416, 393);
-- Добавление параметра прибора "[T2] Максимальная реактивная (+) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14134, '[T2] Максимальная реактивная (+) мощность, квар', '', 1056, 1, 40, '030680FF$2', 416, 393);
-- Добавление параметра прибора "[T3] Максимальная реактивная (+) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14135, '[T3] Максимальная реактивная (+) мощность, квар', '', 1056, 1, 41, '030680FF$3', 416, 393);
-- Добавление параметра прибора "[T4] Максимальная реактивная (+) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14136, '[T4] Максимальная реактивная (+) мощность, квар', '', 1056, 1, 42, '030680FF$4', 416, 393);
-- Добавление параметра прибора "Максимальная реактивная (-) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14137, 'Максимальная реактивная (-) мощность, квар', '', 1056, 1, 43, '040680FF$0', 416, 393);
-- Добавление параметра прибора "[T1] Максимальная реактивная (-) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14138, '[T1] Максимальная реактивная (-) мощность, квар', '', 1056, 1, 44, '040680FF$1', 416, 393);
-- Добавление параметра прибора "[T2] Максимальная реактивная (-) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14139, '[T2] Максимальная реактивная (-) мощность, квар', '', 1056, 1, 45, '040680FF$2', 416, 393);
-- Добавление параметра прибора "[T3] Максимальная реактивная (-) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14140, '[T3] Максимальная реактивная (-) мощность, квар', '', 1056, 1, 46, '040680FF$3', 416, 393);
-- Добавление параметра прибора "[T4] Максимальная реактивная (-) мощность, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14141, '[T4] Максимальная реактивная (-) мощность, квар', '', 1056, 1, 47, '040680FF$4', 416, 393);
-- Добавление параметра прибора "Профиль активной мощности, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14142, 'Профиль активной мощности, кВт*ч', '', 1056, 1, 48, '63010000', 416, 402);
-- Добавление параметра прибора "Профиль реактивной (+) мощности, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14143, 'Профиль реактивной (+) мощности, кВар*ч', '', 1056, 1, 49, '63010100', 416, 402);
-- Добавление параметра прибора "Профиль реактивной (-) мощности, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14144, 'Профиль реактивной (-) мощности, кВар*ч', '', 1056, 1, 50, '63010200', 416, 402);

---- Группа "О приборе" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1057, 'О приборе', 'Общая информация о приборе', 416, 0);

-- Добавление параметра прибора "Адрес счетчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14145, 'Адрес счетчика', '', 1057, 1, 0, '600101FF', 416, 448);
-- Добавление параметра прибора "ID счетчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14146, 'ID счетчика', '', 1057, 1, 1, '600100FF', 416, 448);
-- Добавление параметра прибора "Модель счетчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14147, 'Модель счетчика', '', 1057, 1, 2, '600104FF', 416, 448);
-- Добавление параметра прибора "Место установки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14148, 'Место установки', '', 1057, 1, 3, '60010AFF', 416, 448);
-- Добавление параметра прибора "Дата и время фиксации показаний"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14149, 'Дата и время фиксации показаний', '', 1057, 1, 4, '000806FF', 416, 448);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1058, 'Текущие', '', 416, 0);

-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14150, 'Дата и время', '', 1058, 1, 5, 'D', 416, 385);
-- Добавление параметра прибора "Напряжение, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14151, 'Напряжение, В', '', 1058, 1, 6, '0C0700FF', 416, 385);
-- Добавление параметра прибора "Частота, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14152, 'Частота, Гц', '', 1058, 1, 7, '0E0701FF', 416, 385);
-- Добавление параметра прибора "Сила тока, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14153, 'Сила тока, А', '', 1058, 1, 8, '0B0700FF', 416, 385);
-- Добавление параметра прибора "Сила тока нейтрали, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14154, 'Сила тока нейтрали, А', '', 1058, 1, 9, '5B0700FF', 416, 385);
-- Добавление параметра прибора "Температура, C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14155, 'Температура, C', '', 1058, 1, 10, '600900FF', 416, 385);
-- Добавление параметра прибора "Фактор активной мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14156, 'Фактор активной мощности', '', 1058, 1, 11, '0D07FFFF', 416, 385);
-- Добавление параметра прибора "Активная мощность, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14157, 'Активная мощность, Вт', '', 1058, 1, 12, '100700FF', 416, 385);
-- Добавление параметра прибора "Реактивная мощность Q1+Q2, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14158, 'Реактивная мощность Q1+Q2, квар', '', 1058, 1, 13, '030701FF', 416, 385);
-- Добавление параметра прибора "Реактивная мощность Q3+Q4, квар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14159, 'Реактивная мощность Q3+Q4, квар', '', 1058, 1, 14, '040701FF', 416, 385);
-- Добавление параметра прибора "Полная мощность Q1+Q4, кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14160, 'Полная мощность Q1+Q4, кВА', '', 1058, 1, 15, '090700FF', 416, 385);
-- Добавление параметра прибора "Полная мощность Q2+Q3, кВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14161, 'Полная мощность Q2+Q3, кВА', '', 1058, 1, 16, '0A0700FF', 416, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1059, 'Энергия', '', 416, 0);

-- Добавление параметра прибора "Профиль активной мощности, кВт/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14162, 'Профиль активной мощности, кВт/ч', '', 1059, 1, 17, '63010000', 416, 386);
-- Добавление параметра прибора "Активная энергия нарастающим итогом, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14163, 'Активная энергия нарастающим итогом, кВт*ч', '', 1059, 1, 18, '0F0880FF$0', 416, 397);
-- Добавление параметра прибора "[Т1] Активная энергия нарастающим итогом, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14164, '[Т1] Активная энергия нарастающим итогом, кВт*ч', '', 1059, 1, 19, '0F0880FF$1', 416, 397);
-- Добавление параметра прибора "[Т2] Активная энергия нарастающим итогом, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14165, '[Т2] Активная энергия нарастающим итогом, кВт*ч', '', 1059, 1, 20, '0F0880FF$2', 416, 397);
-- Добавление параметра прибора "[Т3] Активная энергия нарастающим итогом, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14166, '[Т3] Активная энергия нарастающим итогом, кВт*ч', '', 1059, 1, 21, '0F0880FF$3', 416, 397);
-- Добавление параметра прибора "[Т4] Активная энергия нарастающим итогом, кВт*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14167, '[Т4] Активная энергия нарастающим итогом, кВт*ч', '', 1059, 1, 22, '0F0880FF$4', 416, 397);
-- Добавление параметра прибора "Рективная (+) энергия нарастающим итогом, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14168, 'Рективная (+) энергия нарастающим итогом, квар*ч', '', 1059, 1, 23, '030880FF$0', 416, 397);
-- Добавление параметра прибора "[Т1] Реактивная (+) энергия нарастающим итогом, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14169, '[Т1] Реактивная (+) энергия нарастающим итогом, квар*ч', '', 1059, 1, 24, '030880FF$1', 416, 397);
-- Добавление параметра прибора "[Т2] Реактивная (+) энергия нарастающим итогом, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14170, '[Т2] Реактивная (+) энергия нарастающим итогом, квар*ч', '', 1059, 1, 25, '030880FF$2', 416, 397);
-- Добавление параметра прибора "[Т3] Реактивная (+) энергия нарастающим итогом, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14171, '[Т3] Реактивная (+) энергия нарастающим итогом, квар*ч', '', 1059, 1, 26, '030880FF$3', 416, 397);
-- Добавление параметра прибора "[Т4] Реактивная (+) энергия нарастающим итогом, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14172, '[Т4] Реактивная (+) энергия нарастающим итогом, квар*ч', '', 1059, 1, 27, '030880FF$4', 416, 397);
-- Добавление параметра прибора "Рективная (-) энергия нарастающим итогом, кВар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14173, 'Рективная (-) энергия нарастающим итогом, кВар*ч', '', 1059, 1, 28, '040880FF$0', 416, 397);
-- Добавление параметра прибора "[Т1] Реактивная (-) энергия нарастающим итогом, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14174, '[Т1] Реактивная (-) энергия нарастающим итогом, квар*ч', '', 1059, 1, 29, '040880FF$1', 416, 397);
-- Добавление параметра прибора "[Т2] Реактивная (-) энергия нарастающим итогом, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14175, '[Т2] Реактивная (-) энергия нарастающим итогом, квар*ч', '', 1059, 1, 30, '040880FF$2', 416, 397);
-- Добавление параметра прибора "[Т3] Реактивная (-) энергия нарастающим итогом, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14176, '[Т3] Реактивная (-) энергия нарастающим итогом, квар*ч', '', 1059, 1, 31, '040880FF$3', 416, 397);
-- Добавление параметра прибора "[Т4] Реактивная (-) энергия нарастающим итогом, квар*ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14177, '[Т4] Реактивная (-) энергия нарастающим итогом, квар*ч', '', 1059, 1, 32, '040880FF$4', 416, 397);
