-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 14223 AND pr_typ_id <= 14241;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1064 AND gr_typ_id <= 1065;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 418;

---- Прибор "РУТ-01 (Danfoss)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (418, 'РУТ-01 (Danfoss)', '', 128);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1064, 'Настроечные', '', 418, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14223, 'Дата и время прибора', '', 1064, 1, 0, 'D', 418, 192);
-- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14224, 'Серийный номер', '', 1064, 1, 1, 'SN', 418, 448);
-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14225, 'Сетевой адрес', '', 1064, 1, 2, 'adr', 418, 192);
-- Добавление параметра прибора "Способ установки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14226, 'Способ установки', '', 1064, 1, 3, 'wmode', 418, 448);
-- Добавление параметра прибора "Тип устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14227, 'Тип устройства', '', 1064, 1, 4, 'devid', 418, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1065, 'Показания', '', 418, 0);

-- Добавление параметра прибора "Накопленная тепловая энергия, ГКал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14228, 'Накопленная тепловая энергия, ГКал', '', 1065, 1, 5, 'E', 418, 399);
-- Добавление параметра прибора "Накопленная энергия охлаждения, ГКал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14229, 'Накопленная энергия охлаждения, ГКал', '', 1065, 1, 6, 'EC', 418, 399);
-- Добавление параметра прибора "Накопленный объем теплоносителя, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14230, 'Накопленный объем теплоносителя, м3', '', 1065, 1, 7, 'V', 418, 399);
-- Добавление параметра прибора "Тепловая мощность, кВт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14231, 'Тепловая мощность, кВт', '', 1065, 1, 8, 'W', 418, 399);
-- Добавление параметра прибора "Мгновенный расход, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14232, 'Мгновенный расход, м3/ч', '', 1065, 1, 9, 'Q', 418, 385);
-- Добавление параметра прибора "Температура подающего трубопровода, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14233, 'Температура подающего трубопровода, гр. С', '', 1065, 1, 10, 'TF', 418, 399);
-- Добавление параметра прибора "Температура обратного трубопровода, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14234, 'Температура обратного трубопровода, гр. С', '', 1065, 1, 11, 'TR', 418, 399);
-- Добавление параметра прибора "Разность температур, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14235, 'Разность температур, гр. С', '', 1065, 1, 12, 'TD', 418, 399);
-- Добавление параметра прибора "Коды ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14236, 'Коды ошибок', '', 1065, 1, 13, 'err', 418, 399);
-- Добавление параметра прибора "Время наработки, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14237, 'Время наработки, ч', '', 1065, 1, 14, 'wt', 418, 399);
-- Добавление параметра прибора "Накопленный расход в импульсном канале 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14238, 'Накопленный расход в импульсном канале 1', '', 1065, 1, 15, 'cw1', 418, 399);
-- Добавление параметра прибора "Накопленный расход в импульсном канале 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14239, 'Накопленный расход в импульсном канале 2', '', 1065, 1, 16, 'cw2', 418, 399);
-- Добавление параметра прибора "Накопленный расход в импульсном канале 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14240, 'Накопленный расход в импульсном канале 3', '', 1065, 1, 17, 'cw3', 418, 399);
-- Добавление параметра прибора "Накопленный расход в импульсном канале 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (14241, 'Накопленный расход в импульсном канале 4', '', 1065, 1, 18, 'cw4', 418, 399);
