-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 15865 AND pr_typ_id <= 16021;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1109 AND gr_typ_id <= 1123;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 429 AND dev_typ_id <= 431;

---- Прибор "Multical 403 modbus" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (429, 'Multical 403 modbus', '', 128);

---- Группа "Входы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1109, 'Входы', '', 429, 0);

-- Добавление параметра прибора "Импульсный вход А1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15865, 'Импульсный вход А1', '', 1109, 1, 35, 'A1', 429, 385);
-- Добавление параметра прибора "Импульсный вход B1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15866, 'Импульсный вход B1', '', 1109, 1, 36, 'B1', 429, 385);
-- Добавление параметра прибора "Значение мощности для входа B1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15867, 'Значение мощности для входа B1', '', 1109, 1, 37, 'B1P', 429, 385);

---- Группа "Конфигурационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1110, 'Конфигурационные', '', 429, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15868, 'Дата и время прибора', '', 1110, 1, 0, 'D', 429, 448);
-- Добавление параметра прибора "Инфокод"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15869, 'Инфокод', '', 1110, 1, 1, 'IC', 429, 448);
-- Добавление параметра прибора "Время наработки, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15870, 'Время наработки, ч.', '', 1110, 1, 2, 'wt', 429, 448);
-- Добавление параметра прибора "Время работы с ошибками, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15871, 'Время работы с ошибками, ч.', '', 1110, 1, 3, 'ewt', 429, 448);
-- Добавление параметра прибора "Номер потребителя №1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15872, 'Номер потребителя №1', '', 1110, 1, 4, 'cust1', 429, 448);
-- Добавление параметра прибора "Номер потребителя №2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15873, 'Номер потребителя №2', '', 1110, 1, 5, 'cust2', 429, 448);
-- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15874, 'Серийный номер', '', 1110, 1, 6, 'sn', 429, 448);
-- Добавление параметра прибора "Версия ПО счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15875, 'Версия ПО счётчика', '', 1110, 1, 7, 'sw', 429, 448);
-- Добавление параметра прибора "Конфиг 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15876, 'Конфиг 1', '', 1110, 1, 8, 'cfg1', 429, 448);
-- Добавление параметра прибора "Конфиг 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15877, 'Конфиг 2', '', 1110, 1, 9, 'cfg2', 429, 448);
-- Добавление параметра прибора "Конфиг 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15878, 'Конфиг 3', '', 1110, 1, 10, 'cfg3', 429, 448);
-- Добавление параметра прибора "Конфиг 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15879, 'Конфиг 4', '', 1110, 1, 11, 'cfg4', 429, 448);
-- Добавление параметра прибора "Основной/дополнительный тип счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15880, 'Основной/дополнительный тип счётчика', '', 1110, 1, 12, 'mst', 429, 448);
-- Добавление параметра прибора "Тип счётчика включая редакцию ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15881, 'Тип счётчика включая редакцию ПО', '', 1110, 1, 13, 'mt', 429, 448);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1111, 'Параметры учёта', '', 429, 0);

-- Добавление параметра прибора "Мощность P"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15882, 'Мощность P', '', 1111, 1, 14, 'P', 429, 385);
-- Добавление параметра прибора "Расход Q1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15883, 'Расход Q1', '', 1111, 1, 15, 'Q1', 429, 385);
-- Добавление параметра прибора "Номинальный расход QP"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15884, 'Номинальный расход QP', '', 1111, 1, 16, 'QP', 429, 385);
-- Добавление параметра прибора "Объем V1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15885, 'Объем V1', '', 1111, 1, 17, 'V1', 429, 385);
-- Добавление параметра прибора "Тепловая энергия E1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15886, 'Тепловая энергия E1', '', 1111, 1, 18, 'E1', 429, 385);
-- Добавление параметра прибора "Энергия охлаждения E3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15887, 'Энергия охлаждения E3', '', 1111, 1, 19, 'E3', 429, 385);
-- Добавление параметра прибора "Энергия E8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15888, 'Энергия E8', '', 1111, 1, 20, 'E8', 429, 385);
-- Добавление параметра прибора "Энергия E9"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15889, 'Энергия E9', '', 1111, 1, 21, 'E9', 429, 385);
-- Добавление параметра прибора "Тепловая энергия со скидкой A1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15890, 'Тепловая энергия со скидкой A1', '', 1111, 1, 22, 'EA1', 429, 385);
-- Добавление параметра прибора "Тепловая энергия со скидкой A2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15891, 'Тепловая энергия со скидкой A2', '', 1111, 1, 23, 'EA2', 429, 385);
-- Добавление параметра прибора "КПД"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15892, 'КПД', '', 1111, 1, 24, 'COP', 429, 385);

---- Группа "Тарифы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1112, 'Тарифы', '', 429, 0);

-- Добавление параметра прибора "Тариф TA2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15893, 'Тариф TA2', '', 1112, 1, 28, 'TA2', 429, 385);
-- Добавление параметра прибора "Тариф TA3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15894, 'Тариф TA3', '', 1112, 1, 29, 'TA3', 429, 385);
-- Добавление параметра прибора "Тариф TA4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15895, 'Тариф TA4', '', 1112, 1, 30, 'TA4', 429, 385);
-- Добавление параметра прибора "Тарифный лимит TL2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15896, 'Тарифный лимит TL2', '', 1112, 1, 31, 'TL2', 429, 385);
-- Добавление параметра прибора "Тарифный лимит TL3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15897, 'Тарифный лимит TL3', '', 1112, 1, 32, 'TL3', 429, 385);
-- Добавление параметра прибора "Тарифный лимит TL4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15898, 'Тарифный лимит TL4', '', 1112, 1, 33, 'TL4', 429, 385);
-- Добавление параметра прибора "Тарифный лимит TL5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15899, 'Тарифный лимит TL5', '', 1112, 1, 34, 'TL5', 429, 385);

---- Группа "Температура" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1113, 'Температура', '', 429, 0);

-- Добавление параметра прибора "Температура подачи t1, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15900, 'Температура подачи t1, гр. С', '', 1113, 1, 25, 't1', 429, 385);
-- Добавление параметра прибора "Температура обратки t2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15901, 'Температура обратки t2, гр. С', '', 1113, 1, 26, 't2', 429, 385);
-- Добавление параметра прибора "Разность температур t1-t2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15902, 'Разность температур t1-t2, гр. С', '', 1113, 1, 27, 'dt', 429, 385);

---- Прибор "Multical 603 modbus" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (430, 'Multical 603 modbus', '', 128);

---- Группа "Входы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1114, 'Входы', '', 430, 0);

-- Добавление параметра прибора "Импульсный вход А1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15903, 'Импульсный вход А1', '', 1114, 1, 50, 'A1', 430, 385);
-- Добавление параметра прибора "Импульсный вход B1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15904, 'Импульсный вход B1', '', 1114, 1, 51, 'B1', 430, 385);
-- Добавление параметра прибора "Импульсный вход А2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15905, 'Импульсный вход А2', '', 1114, 1, 52, 'A2', 430, 385);
-- Добавление параметра прибора "Импульсный вход А2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15906, 'Импульсный вход А2', '', 1114, 1, 53, 'B2', 430, 385);
-- Добавление параметра прибора "Значение мощности для входа B1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15907, 'Значение мощности для входа B1', '', 1114, 1, 54, 'B1P', 430, 385);

---- Группа "Конфигурационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1115, 'Конфигурационные', '', 430, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15908, 'Дата и время прибора', '', 1115, 1, 0, 'D', 430, 448);
-- Добавление параметра прибора "Инфокод"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15909, 'Инфокод', '', 1115, 1, 1, 'IC', 430, 448);
-- Добавление параметра прибора "Время наработки, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15910, 'Время наработки, ч.', '', 1115, 1, 2, 'wt', 430, 448);
-- Добавление параметра прибора "Время работы с ошибками, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15911, 'Время работы с ошибками, ч.', '', 1115, 1, 3, 'ewt', 430, 448);
-- Добавление параметра прибора "Номер потребителя №1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15912, 'Номер потребителя №1', '', 1115, 1, 4, 'cust1', 430, 448);
-- Добавление параметра прибора "Номер потребителя №2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15913, 'Номер потребителя №2', '', 1115, 1, 5, 'cust2', 430, 448);
-- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15914, 'Серийный номер', '', 1115, 1, 6, 'sn', 430, 448);
-- Добавление параметра прибора "Версия ПО счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15915, 'Версия ПО счётчика', '', 1115, 1, 7, 'sw', 430, 448);
-- Добавление параметра прибора "Конфиг 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15916, 'Конфиг 1', '', 1115, 1, 8, 'cfg1', 430, 448);
-- Добавление параметра прибора "Конфиг 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15917, 'Конфиг 2', '', 1115, 1, 9, 'cfg2', 430, 448);
-- Добавление параметра прибора "Конфиг 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15918, 'Конфиг 3', '', 1115, 1, 10, 'cfg3', 430, 448);
-- Добавление параметра прибора "Конфиг 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15919, 'Конфиг 4', '', 1115, 1, 11, 'cfg4', 430, 448);
-- Добавление параметра прибора "Основной/дополнительный тип счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15920, 'Основной/дополнительный тип счётчика', '', 1115, 1, 12, 'mst', 430, 448);
-- Добавление параметра прибора "Тип счётчика включая редакцию ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15921, 'Тип счётчика включая редакцию ПО', '', 1115, 1, 13, 'mt', 430, 448);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1116, 'Параметры учёта', '', 430, 0);

-- Добавление параметра прибора "Мощность P"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15922, 'Мощность P', '', 1116, 1, 14, 'P', 430, 385);
-- Добавление параметра прибора "Расход Q1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15923, 'Расход Q1', '', 1116, 1, 15, 'Q1', 430, 385);
-- Добавление параметра прибора "Расход Q2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15924, 'Расход Q2', '', 1116, 1, 16, 'Q2', 430, 385);
-- Добавление параметра прибора "Номинальный расход QP"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15925, 'Номинальный расход QP', '', 1116, 1, 17, 'QP', 430, 385);
-- Добавление параметра прибора "Объем V1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15926, 'Объем V1', '', 1116, 1, 18, 'V1', 430, 385);
-- Добавление параметра прибора "Объем V2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15927, 'Объем V2', '', 1116, 1, 19, 'V2', 430, 385);
-- Добавление параметра прибора "Давление P1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15928, 'Давление P1', '', 1116, 1, 20, 'p1', 430, 385);
-- Добавление параметра прибора "Давление P2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15929, 'Давление P2', '', 1116, 1, 21, 'p2', 430, 385);
-- Добавление параметра прибора "Тепловая энергия E1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15930, 'Тепловая энергия E1', '', 1116, 1, 22, 'E1', 430, 385);
-- Добавление параметра прибора "Тепловая энергия E2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15931, 'Тепловая энергия E2', '', 1116, 1, 23, 'E2', 430, 385);
-- Добавление параметра прибора "Энергия охлаждения E3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15932, 'Энергия охлаждения E3', '', 1116, 1, 24, 'E3', 430, 385);
-- Добавление параметра прибора "Энергия подачи E4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15933, 'Энергия подачи E4', '', 1116, 1, 25, 'E4', 430, 385);
-- Добавление параметра прибора "Энергия обратки E5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15934, 'Энергия обратки E5', '', 1116, 1, 26, 'E5', 430, 385);
-- Добавление параметра прибора "Энергия отбора в ГВС, отдельно E6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15935, 'Энергия отбора в ГВС, отдельно E6', '', 1116, 1, 27, 'E6', 430, 385);
-- Добавление параметра прибора "Энергия отбора в ГВС из подачи E7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15936, 'Энергия отбора в ГВС из подачи E7', '', 1116, 1, 28, 'E7', 430, 385);
-- Добавление параметра прибора "Энергия E8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15937, 'Энергия E8', '', 1116, 1, 29, 'E8', 430, 385);
-- Добавление параметра прибора "Энергия E9"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15938, 'Энергия E9', '', 1116, 1, 30, 'E9', 430, 385);
-- Добавление параметра прибора "Энергия E10"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15939, 'Энергия E10', '', 1116, 1, 31, 'E10', 430, 385);
-- Добавление параметра прибора "Энергия E11"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15940, 'Энергия E11', '', 1116, 1, 32, 'E11', 430, 385);
-- Добавление параметра прибора "Тепловая энергия со скидкой A1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15941, 'Тепловая энергия со скидкой A1', '', 1116, 1, 33, 'EA1', 430, 385);
-- Добавление параметра прибора "Тепловая энергия со скидкой A2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15942, 'Тепловая энергия со скидкой A2', '', 1116, 1, 34, 'EA2', 430, 385);
-- Добавление параметра прибора "Масса M1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15943, 'Масса M1', '', 1116, 1, 35, 'M1', 430, 385);
-- Добавление параметра прибора "Масса M2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15944, 'Масса M2', '', 1116, 1, 36, 'M2', 430, 385);
-- Добавление параметра прибора "КПД"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15945, 'КПД', '', 1116, 1, 37, 'COP', 430, 385);

---- Группа "Тарифы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1117, 'Тарифы', '', 430, 0);

-- Добавление параметра прибора "Тариф TA2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15946, 'Тариф TA2', '', 1117, 1, 43, 'TA2', 430, 385);
-- Добавление параметра прибора "Тариф TA3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15947, 'Тариф TA3', '', 1117, 1, 44, 'TA3', 430, 385);
-- Добавление параметра прибора "Тариф TA4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15948, 'Тариф TA4', '', 1117, 1, 45, 'TA4', 430, 385);
-- Добавление параметра прибора "Тарифный лимит TL2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15949, 'Тарифный лимит TL2', '', 1117, 1, 46, 'TL2', 430, 385);
-- Добавление параметра прибора "Тарифный лимит TL3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15950, 'Тарифный лимит TL3', '', 1117, 1, 47, 'TL3', 430, 385);
-- Добавление параметра прибора "Тарифный лимит TL4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15951, 'Тарифный лимит TL4', '', 1117, 1, 48, 'TL4', 430, 385);
-- Добавление параметра прибора "Тарифный лимит TL5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15952, 'Тарифный лимит TL5', '', 1117, 1, 49, 'TL5', 430, 385);

---- Группа "Температура" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1118, 'Температура', '', 430, 0);

-- Добавление параметра прибора "Температура подачи t1, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15953, 'Температура подачи t1, гр. С', '', 1118, 1, 38, 't1', 430, 385);
-- Добавление параметра прибора "Температура обратки t2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15954, 'Температура обратки t2, гр. С', '', 1118, 1, 39, 't2', 430, 385);
-- Добавление параметра прибора "Температура контрольная t3, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15955, 'Температура контрольная t3, гр. С', '', 1118, 1, 40, 't3', 430, 385);
-- Добавление параметра прибора "Температура дополнительная t4, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15956, 'Температура дополнительная t4, гр. С', '', 1118, 1, 41, 't4', 430, 385);
-- Добавление параметра прибора "Разность температур t1-t2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15957, 'Разность температур t1-t2, гр. С', '', 1118, 1, 42, 'dt', 430, 385);

---- Прибор "Multical 803 modbus" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (431, 'Multical 803 modbus', '', 128);

---- Группа "Входы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1119, 'Входы', '', 431, 0);

-- Добавление параметра прибора "Импульсный вход А1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15958, 'Импульсный вход А1', '', 1119, 1, 59, 'A1', 431, 385);
-- Добавление параметра прибора "Импульсный вход B1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15959, 'Импульсный вход B1', '', 1119, 1, 60, 'B1', 431, 385);
-- Добавление параметра прибора "Импульсный вход А2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15960, 'Импульсный вход А2', '', 1119, 1, 61, 'A2', 431, 385);
-- Добавление параметра прибора "Импульсный вход B2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15961, 'Импульсный вход B2', '', 1119, 1, 62, 'B2', 431, 385);
-- Добавление параметра прибора "Значение мощности для входа B1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15962, 'Значение мощности для входа B1', '', 1119, 1, 63, 'B1P', 431, 385);

---- Группа "Конфигурационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1120, 'Конфигурационные', '', 431, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15963, 'Дата и время прибора', '', 1120, 1, 0, 'D', 431, 448);
-- Добавление параметра прибора "Инфокод"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15964, 'Инфокод', '', 1120, 1, 1, 'IC', 431, 448);
-- Добавление параметра прибора "Время наработки, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15965, 'Время наработки, ч.', '', 1120, 1, 2, 'wt', 431, 448);
-- Добавление параметра прибора "Время работы с ошибками, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15966, 'Время работы с ошибками, ч.', '', 1120, 1, 3, 'ewt', 431, 448);
-- Добавление параметра прибора "Номер потребителя №1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15967, 'Номер потребителя №1', '', 1120, 1, 4, 'cust1', 431, 448);
-- Добавление параметра прибора "Номер потребителя №2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15968, 'Номер потребителя №2', '', 1120, 1, 5, 'cust2', 431, 448);
-- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15969, 'Серийный номер', '', 1120, 1, 6, 'sn', 431, 448);
-- Добавление параметра прибора "Версия ПО счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15970, 'Версия ПО счётчика', '', 1120, 1, 7, 'sw', 431, 448);
-- Добавление параметра прибора "Тип жидкости / концентрация"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15971, 'Тип жидкости / концентрация', '', 1120, 1, 8, 'fltc', 431, 448);
-- Добавление параметра прибора "Конфиг 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15972, 'Конфиг 1', '', 1120, 1, 9, 'cfg1', 431, 448);
-- Добавление параметра прибора "Конфиг 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15973, 'Конфиг 2', '', 1120, 1, 10, 'cfg2', 431, 448);
-- Добавление параметра прибора "Конфиг 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15974, 'Конфиг 3', '', 1120, 1, 11, 'cfg3', 431, 448);
-- Добавление параметра прибора "Конфиг 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15975, 'Конфиг 4', '', 1120, 1, 12, 'cfg4', 431, 448);
-- Добавление параметра прибора "Основной/дополнительный тип счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15976, 'Основной/дополнительный тип счётчика', '', 1120, 1, 13, 'mst', 431, 448);
-- Добавление параметра прибора "Тип счётчика включая версию ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15977, 'Тип счётчика включая версию ПО', '', 1120, 1, 14, 'mt', 431, 448);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1121, 'Параметры учёта', '', 431, 0);

-- Добавление параметра прибора "Мощность P1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15978, 'Мощность P1', '', 1121, 1, 15, 'P1', 431, 385);
-- Добавление параметра прибора "Мощность P2 (E14/E16)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15979, 'Мощность P2 (E14/E16)', '', 1121, 1, 16, 'P2', 431, 385);
-- Добавление параметра прибора "Расход Q1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15980, 'Расход Q1', '', 1121, 1, 17, 'Q1', 431, 385);
-- Добавление параметра прибора "Расход Q2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15981, 'Расход Q2', '', 1121, 1, 18, 'Q2', 431, 385);
-- Добавление параметра прибора "Номинальный расход QP"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15982, 'Номинальный расход QP', '', 1121, 1, 19, 'QP', 431, 385);
-- Добавление параметра прибора "Объем V1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15983, 'Объем V1', '', 1121, 1, 20, 'V1', 431, 385);
-- Добавление параметра прибора "Объем V2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15984, 'Объем V2', '', 1121, 1, 21, 'V2', 431, 385);
-- Добавление параметра прибора "Давление P1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15985, 'Давление P1', '', 1121, 1, 22, 'p1', 431, 385);
-- Добавление параметра прибора "Давление P2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15986, 'Давление P2', '', 1121, 1, 23, 'p2', 431, 385);
-- Добавление параметра прибора "Тепловая энергия E1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15987, 'Тепловая энергия E1', '', 1121, 1, 24, 'E1', 431, 385);
-- Добавление параметра прибора "Тепловая энергия E2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15988, 'Тепловая энергия E2', '', 1121, 1, 25, 'E2', 431, 385);
-- Добавление параметра прибора "Энергия охлаждения E3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15989, 'Энергия охлаждения E3', '', 1121, 1, 26, 'E3', 431, 385);
-- Добавление параметра прибора "Энергия подачи E4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15990, 'Энергия подачи E4', '', 1121, 1, 27, 'E4', 431, 385);
-- Добавление параметра прибора "Энергия обратки E5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15991, 'Энергия обратки E5', '', 1121, 1, 28, 'E5', 431, 385);
-- Добавление параметра прибора "Энергия отбора в ГВС, отдельно E6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15992, 'Энергия отбора в ГВС, отдельно E6', '', 1121, 1, 29, 'E6', 431, 385);
-- Добавление параметра прибора "Энергия отбора в ГВС из подачи E7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15993, 'Энергия отбора в ГВС из подачи E7', '', 1121, 1, 30, 'E7', 431, 385);
-- Добавление параметра прибора "Энергия E8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15994, 'Энергия E8', '', 1121, 1, 31, 'E8', 431, 385);
-- Добавление параметра прибора "Энергия E9"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15995, 'Энергия E9', '', 1121, 1, 32, 'E9', 431, 385);
-- Добавление параметра прибора "Энергия E10"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15996, 'Энергия E10', '', 1121, 1, 33, 'E10', 431, 385);
-- Добавление параметра прибора "Энергия E11"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15997, 'Энергия E11', '', 1121, 1, 34, 'E11', 431, 385);
-- Добавление параметра прибора "Энергия E12"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15998, 'Энергия E12', '', 1121, 1, 35, 'E12', 431, 385);
-- Добавление параметра прибора "Энергия E13"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (15999, 'Энергия E13', '', 1121, 1, 36, 'E13', 431, 385);
-- Добавление параметра прибора "Энергия E14"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16000, 'Энергия E14', '', 1121, 1, 37, 'E14', 431, 385);
-- Добавление параметра прибора "Энергия E15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16001, 'Энергия E15', '', 1121, 1, 38, 'E15', 431, 385);
-- Добавление параметра прибора "Энергия E16"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16002, 'Энергия E16', '', 1121, 1, 39, 'E16', 431, 385);
-- Добавление параметра прибора "Тепловая энергия со скидкой A1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16003, 'Тепловая энергия со скидкой A1', '', 1121, 1, 40, 'EA1', 431, 385);
-- Добавление параметра прибора "Тепловая энергия со скидкой A2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16004, 'Тепловая энергия со скидкой A2', '', 1121, 1, 41, 'EA2', 431, 385);
-- Добавление параметра прибора "Масса M1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16005, 'Масса M1', '', 1121, 1, 42, 'M1', 431, 385);
-- Добавление параметра прибора "Масса M2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16006, 'Масса M2', '', 1121, 1, 43, 'M2', 431, 385);
-- Добавление параметра прибора "Масса M3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16007, 'Масса M3', '', 1121, 1, 44, 'M3', 431, 385);
-- Добавление параметра прибора "Масса M4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16008, 'Масса M4', '', 1121, 1, 45, 'M4', 431, 385);
-- Добавление параметра прибора "КПД"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16009, 'КПД', '', 1121, 1, 46, 'COP', 431, 385);

---- Группа "Тарифы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1122, 'Тарифы', '', 431, 0);

-- Добавление параметра прибора "Тариф TA2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16010, 'Тариф TA2', '', 1122, 1, 52, 'T2', 431, 385);
-- Добавление параметра прибора "Тариф TA3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16011, 'Тариф TA3', '', 1122, 1, 53, 'T3', 431, 385);
-- Добавление параметра прибора "Тариф TA4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16012, 'Тариф TA4', '', 1122, 1, 54, 'T4', 431, 385);
-- Добавление параметра прибора "Тарифный лимит TL2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16013, 'Тарифный лимит TL2', '', 1122, 1, 55, 'TL2', 431, 385);
-- Добавление параметра прибора "Тарифный лимит TL3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16014, 'Тарифный лимит TL3', '', 1122, 1, 56, 'TL3', 431, 385);
-- Добавление параметра прибора "Тарифный лимит TL4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16015, 'Тарифный лимит TL4', '', 1122, 1, 57, 'TL4', 431, 385);
-- Добавление параметра прибора "Тарифный лимит TL5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16016, 'Тарифный лимит TL5', '', 1122, 1, 58, 'TL5', 431, 385);

---- Группа "Температура" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1123, 'Температура', '', 431, 0);

-- Добавление параметра прибора "Температура подачи t1, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16017, 'Температура подачи t1, гр. С', '', 1123, 1, 47, 't1', 431, 385);
-- Добавление параметра прибора "Температура обратки t2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16018, 'Температура обратки t2, гр. С', '', 1123, 1, 48, 't2', 431, 385);
-- Добавление параметра прибора "Температура контрольная t3, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16019, 'Температура контрольная t3, гр. С', '', 1123, 1, 49, 't3', 431, 385);
-- Добавление параметра прибора "Температура дополнительная t4, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16020, 'Температура дополнительная t4, гр. С', '', 1123, 1, 50, 't4', 431, 385);
-- Добавление параметра прибора "Разность температур t1-t2, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16021, 'Разность температур t1-t2, гр. С', '', 1123, 1, 51, 'dt', 431, 385);
