-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 16022 AND pr_typ_id <= 16062;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1124 AND gr_typ_id <= 1127;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 432;

---- Прибор "МАРС СТК Neo (Serial Bus)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (432, 'МАРС СТК Neo (Serial Bus)', '', 0);

---- Группа "Импульсные входы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1124, 'Импульсные входы', '', 432, 0);

-- Добавление параметра прибора "Импульсный вход 1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16022, 'Импульсный вход 1, м3', '', 1124, 1, 27, 'i1', 432, 399);
-- Добавление параметра прибора "Импульсный вход 2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16023, 'Импульсный вход 2, м3', '', 1124, 1, 28, 'i2', 432, 399);
-- Добавление параметра прибора "Импульсный вход 3, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16024, 'Импульсный вход 3, м3', '', 1124, 1, 29, 'i3', 432, 399);
-- Добавление параметра прибора "Импульсный вход 4, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16025, 'Импульсный вход 4, м3', '', 1124, 1, 30, 'i4', 432, 399);

---- Группа "Конфигурационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1125, 'Конфигурационные', '', 432, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16026, 'Дата и время прибора', '', 1125, 1, 0, 'D', 432, 449);
-- Добавление параметра прибора "Адрес прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16027, 'Адрес прибора', '', 1125, 1, 1, 'addr', 432, 448);
-- Добавление параметра прибора "Адрес устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16028, 'Адрес устройства', '', 1125, 1, 2, 'devaddr', 432, 448);
-- Добавление параметра прибора "Год выпуска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16029, 'Год выпуска', '', 1125, 1, 3, 'proddate', 432, 448);
-- Добавление параметра прибора "Дата следующей поверки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16030, 'Дата следующей поверки', '', 1125, 1, 4, 'checkdate', 432, 448);
-- Добавление параметра прибора "Температура устройства, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16031, 'Температура устройства, гр. С', '', 1125, 1, 5, 'tdev', 432, 448);
-- Добавление параметра прибора "Тип прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16032, 'Тип прибора', '', 1125, 1, 6, 'devtype', 432, 448);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16033, 'Версия ПО', '', 1125, 1, 7, 'swrev', 432, 448);
-- Добавление параметра прибора "Версия ПО радиомодуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16034, 'Версия ПО радиомодуля', '', 1125, 1, 8, 'radiover', 432, 448);
-- Добавление параметра прибора "Тип интерфейсной платы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16035, 'Тип интерфейсной платы', '', 1125, 1, 9, 'boardtype', 432, 448);
-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16036, 'Количество сбросов', '', 1125, 1, 10, 'resw', 432, 448);
-- Добавление параметра прибора "Цена импульсного входа 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16037, 'Цена импульсного входа 1', '', 1125, 1, 11, 'i1c', 432, 448);
-- Добавление параметра прибора "Цена импульсного входа 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16038, 'Цена импульсного входа 1', '', 1125, 1, 12, 'i2c', 432, 448);
-- Добавление параметра прибора "Цена импульсного входа 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16039, 'Цена импульсного входа 1', '', 1125, 1, 13, 'i3c', 432, 448);
-- Добавление параметра прибора "Цена импульсного входа 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16040, 'Цена импульсного входа 1', '', 1125, 1, 14, 'i4c', 432, 448);
-- Добавление параметра прибора "Цена импульсного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16041, 'Цена импульсного выхода', '', 1125, 1, 15, 'oc', 432, 448);
-- Добавление параметра прибора "Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16042, 'Единицы измерения энергии', '', 1125, 1, 16, 'enunit', 432, 448);

---- Группа "Нештатные ситуации и ошибки" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1126, 'Нештатные ситуации и ошибки', '', 432, 0);

-- Добавление параметра прибора "Сбросы/ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16043, 'Сбросы/ошибки', '', 1126, 1, 31, 'err', 432, 399);
-- Добавление параметра прибора "Слово текущих ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16044, 'Слово текущих ошибок', '', 1126, 1, 32, 'flags', 432, 385);
-- Добавление параметра прибора "Общее время работы с ошибками, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16045, 'Общее время работы с ошибками, ч', '', 1126, 1, 33, 'wterr', 432, 385);
-- Добавление параметра прибора "Поток прорыва"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16046, 'Поток прорыва', '', 1126, 1, 34, 'gapflow', 432, 385);
-- Добавление параметра прибора "Время прорыва"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16047, 'Время прорыва', '', 1126, 1, 35, 'gaptime', 432, 385);
-- Добавление параметра прибора "Поток протечки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16048, 'Поток протечки', '', 1126, 1, 36, 'leakflow', 432, 385);
-- Добавление параметра прибора "Время протечки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16049, 'Время протечки', '', 1126, 1, 37, 'leaktime', 432, 385);
-- Добавление параметра прибора "Объём воды < Тпорог, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16050, 'Объём воды < Тпорог, м3', '', 1126, 1, 38, 'wllo', 432, 399);
-- Добавление параметра прибора "Объём воды >= Тпорог, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16051, 'Объём воды >= Тпорог, м3', '', 1126, 1, 39, 'wlhi', 432, 399);
-- Добавление параметра прибора "Объем воды > Vqmax, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16052, 'Объем воды > Vqmax, м3', '', 1126, 1, 40, 'Vqmax', 432, 399);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1127, 'Параметры учёта', '', 432, 0);

-- Добавление параметра прибора "Мгновенная энергия, Гкал/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16053, 'Мгновенная энергия, Гкал/с', '', 1127, 1, 17, 'E', 432, 385);
-- Добавление параметра прибора "Суммарная энергия, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16054, 'Суммарная энергия, Гкал', '', 1127, 1, 18, 'ES', 432, 399);
-- Добавление параметра прибора "Мгновенный поток, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16055, 'Мгновенный поток, м3/ч', '', 1127, 1, 19, 'V', 432, 385);
-- Добавление параметра прибора "Суммарный объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16056, 'Суммарный объем, м3', '', 1127, 1, 20, 'VS', 432, 399);
-- Добавление параметра прибора "Обратный объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16057, 'Обратный объем, м3', '', 1127, 1, 21, 'VB', 432, 399);
-- Добавление параметра прибора "Температура подачи, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16058, 'Температура подачи, гр. С', '', 1127, 1, 22, 'tin', 432, 399);
-- Добавление параметра прибора "Температура обратки, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16059, 'Температура обратки, гр. С', '', 1127, 1, 23, 'tout', 432, 399);
-- Добавление параметра прибора "Разность температур, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16060, 'Разность температур, гр. С', '', 1127, 1, 24, 'tdiff', 432, 385);
-- Добавление параметра прибора "Общее время работы, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16061, 'Общее время работы, ч', '', 1127, 1, 25, 'wt', 432, 385);
-- Добавление параметра прибора "Температура устройства, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16062, 'Температура устройства, гр. С', '', 1127, 1, 26, 'tdev', 432, 399);
