-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 16091 AND pr_typ_id <= 16102;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1130 AND gr_typ_id <= 1131;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 434;

---- Прибор "Гефест счетчик тепла" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (434, 'Гефест счетчик тепла', '', 128);

---- Группа "Конфигурационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1130, 'Конфигурационные', '', 434, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16091, 'Дата и время прибора', '', 1130, 1, 0, 'D', 434, 193);
-- Добавление параметра прибора "Серийный номер прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16092, 'Серийный номер прибора', '', 1130, 1, 1, 'Serial', 434, 448);
-- Добавление параметра прибора "Сетевой ModBus-адрес прибора (1-247)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16093, 'Сетевой ModBus-адрес прибора (1-247)', '', 1130, 1, 2, 'adr', 434, 192);
-- Добавление параметра прибора "Модель устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16094, 'Модель устройства', '', 1130, 1, 3, 'DevModel', 434, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1131, 'Показания', '', 434, 0);

-- Добавление параметра прибора "Тепловая энергия, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16095, 'Тепловая энергия, Гкал', '', 1131, 1, 4, 'QSumm', 434, 399);
-- Добавление параметра прибора "Объём теплоносителя, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16096, 'Объём теплоносителя, м3', '', 1131, 1, 5, 'VSumm', 434, 399);
-- Добавление параметра прибора "Масса теплоносителя, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16097, 'Масса теплоносителя, т', '', 1131, 1, 6, 'MSumm', 434, 399);
-- Добавление параметра прибора "Температура подачи теплоносителя, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16098, 'Температура подачи теплоносителя, гр. С', '', 1131, 1, 7, 'TMeasDir', 434, 399);
-- Добавление параметра прибора "Температура обратки теплоносителя, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16099, 'Температура обратки теплоносителя, гр. С', '', 1131, 1, 8, 'TMeasRev', 434, 399);
-- Добавление параметра прибора "Объём на импульсных входе P1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16100, 'Объём на импульсных входе P1, м3', '', 1131, 1, 9, 'VSummP1', 434, 399);
-- Добавление параметра прибора "Объём на импульсных входе P2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16101, 'Объём на импульсных входе P2, м3', '', 1131, 1, 10, 'VSummP2', 434, 399);
-- Добавление параметра прибора "Флаги состояния устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16102, 'Флаги состояния устройства', '', 1131, 1, 11, 'flags', 434, 385);
