-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 16106 AND pr_typ_id <= 16333;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1132 AND gr_typ_id <= 1145;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 436;

---- Прибор "Взлёт ТСРВ-25" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (436, 'Взлёт ТСРВ-25', '', 128);

---- Группа "ГВС" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1132, 'ГВС', '', 436, 0);

-- Добавление параметра прибора "ГВС, масса (объем) горячей воды, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16106, 'ГВС, масса (объем) горячей воды, т', '', 1132, 1, 206, 'GVS_TR1_M', 436, 398);
-- Добавление параметра прибора "ГВС, объём, перенесённый по ТР1, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16107, 'ГВС, объём, перенесённый по ТР1, м3', '', 1132, 1, 207, 'GVS_TR1_V', 436, 398);
-- Добавление параметра прибора "ГВС, масса (объем) циркуляционной воды вход ТР3, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16108, 'ГВС, масса (объем) циркуляционной воды вход ТР3, т', '', 1132, 1, 208, 'GVS_TR2_M', 436, 398);
-- Добавление параметра прибора "ГВС, объём, перенесённый по ТР2, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16109, 'ГВС, объём, перенесённый по ТР2, м3', '', 1132, 1, 209, 'GVS_TR2_V', 436, 398);
-- Добавление параметра прибора "ГВС, масса (объем) циркуляционной воды выход ТР4, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16110, 'ГВС, масса (объем) циркуляционной воды выход ТР4, т', '', 1132, 1, 210, 'GVS_TR3_M', 436, 398);
-- Добавление параметра прибора "ГВС, объём, перенесённый по ТР3, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16111, 'ГВС, объём, перенесённый по ТР3, м3', '', 1132, 1, 211, 'GVS_TR3_V', 436, 398);
-- Добавление параметра прибора "ГВС, средняя температура, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16112, 'ГВС, средняя температура, гр. С', '', 1132, 1, 212, 'GVS_ta', 436, 398);
-- Добавление параметра прибора "ГВС, среднее давление, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16113, 'ГВС, среднее давление, МПа', '', 1132, 1, 213, 'GVS_Pa', 436, 398);
-- Добавление параметра прибора "ГВС, время наработки, ч."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16114, 'ГВС, время наработки, ч.', '', 1132, 1, 214, 'GVS_wt', 436, 398);

---- Группа "Конфигурационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1133, 'Конфигурационные', '', 436, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16115, 'Дата и время прибора', '', 1133, 1, 215, 'D', 436, 449);
-- Добавление параметра прибора "Идентификатор прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16116, 'Идентификатор прибора', '', 1133, 1, 216, 'id', 436, 448);
-- Добавление параметра прибора "Дата производства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16117, 'Дата производства', '', 1133, 1, 217, 'mand', 436, 448);
-- Добавление параметра прибора "Дата поверки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16118, 'Дата поверки', '', 1133, 1, 218, 'verd', 436, 448);
-- Добавление параметра прибора "Сетевой адрес прибора (первичный)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16119, 'Сетевой адрес прибора (первичный)', '', 1133, 1, 219, 'adr1', 436, 448);
-- Добавление параметра прибора "Сетевой адрес прибора (вторичный)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16120, 'Сетевой адрес прибора (вторичный)', '', 1133, 1, 220, 'adr2', 436, 448);
-- Добавление параметра прибора "Серийный номер вторичного вычислителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16121, 'Серийный номер вторичного вычислителя', '', 1133, 1, 221, 'sn', 436, 448);
-- Добавление параметра прибора "Серийный номер ПИ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16122, 'Серийный номер ПИ', '', 1133, 1, 222, 'snpi', 436, 448);
-- Добавление параметра прибора "Код абонента по магистрали"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16123, 'Код абонента по магистрали', '', 1133, 1, 223, 'abcode', 436, 448);
-- Добавление параметра прибора "Сигнализация 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16124, 'Сигнализация 1', '', 1133, 1, 224, 'PR_SIG_1', 436, 448);
-- Добавление параметра прибора "Сигнализация 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16125, 'Сигнализация 2', '', 1133, 1, 225, 'PR_SIG_2', 436, 448);
-- Добавление параметра прибора "Сигнализация 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16126, 'Сигнализация 3', '', 1133, 1, 226, 'PR_SIG_3', 436, 448);
-- Добавление параметра прибора "НВ, температура наружнего воздуха t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16127, 'НВ, температура наружнего воздуха t, гр. С', '', 1133, 1, 227, 'PR_TEMP', 436, 399);

---- Группа "Преобразователь давления" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1134, 'Преобразователь давления', '', 436, 0);

-- Добавление параметра прибора "ПД1, давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16128, 'ПД1, давление P, МПа', '', 1134, 1, 149, 'PD_p1_p', 436, 385);
-- Добавление параметра прибора "ПД2, давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16129, 'ПД2, давление P, МПа', '', 1134, 1, 150, 'PD_p2_p', 436, 385);
-- Добавление параметра прибора "ПД3, давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16130, 'ПД3, давление P, МПа', '', 1134, 1, 151, 'PD_p3_p', 436, 385);
-- Добавление параметра прибора "ПД4, давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16131, 'ПД4, давление P, МПа', '', 1134, 1, 152, 'PD_p4_p', 436, 385);
-- Добавление параметра прибора "ПД5, давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16132, 'ПД5, давление P, МПа', '', 1134, 1, 153, 'PD_p5_p', 436, 385);
-- Добавление параметра прибора "ПД6, давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16133, 'ПД6, давление P, МПа', '', 1134, 1, 154, 'PD_p6_p', 436, 385);
-- Добавление параметра прибора "ПД1, разность давлений dP, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16134, 'ПД1, разность давлений dP, МПа', '', 1134, 1, 155, 'PD_p1_dp', 436, 385);
-- Добавление параметра прибора "ПД2, разность давлений dP, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16135, 'ПД2, разность давлений dP, МПа', '', 1134, 1, 156, 'PD_p2_dp', 436, 385);
-- Добавление параметра прибора "ПД3, разность давлений dP, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16136, 'ПД3, разность давлений dP, МПа', '', 1134, 1, 157, 'PD_p3_dp', 436, 385);
-- Добавление параметра прибора "ПД4, разность давлений dP, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16137, 'ПД4, разность давлений dP, МПа', '', 1134, 1, 158, 'PD_p4_dp', 436, 385);
-- Добавление параметра прибора "ПД5, разность давлений dP, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16138, 'ПД5, разность давлений dP, МПа', '', 1134, 1, 159, 'PD_p5_dp', 436, 385);
-- Добавление параметра прибора "ПД6, разность давлений dP, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16139, 'ПД6, разность давлений dP, МПа', '', 1134, 1, 160, 'PD_p6_dp', 436, 385);
-- Добавление параметра прибора "ПД1, ток I, мА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16140, 'ПД1, ток I, мА', '', 1134, 1, 161, 'PD_p1_I', 436, 385);
-- Добавление параметра прибора "ПД2, ток I, мА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16141, 'ПД2, ток I, мА', '', 1134, 1, 162, 'PD_p2_I', 436, 385);
-- Добавление параметра прибора "ПД3, ток I, мА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16142, 'ПД3, ток I, мА', '', 1134, 1, 163, 'PD_p3_I', 436, 385);
-- Добавление параметра прибора "ПД4, ток I, мА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16143, 'ПД4, ток I, мА', '', 1134, 1, 164, 'PD_p4_I', 436, 385);
-- Добавление параметра прибора "ПД5, ток I, мА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16144, 'ПД5, ток I, мА', '', 1134, 1, 165, 'PD_p5_I', 436, 385);
-- Добавление параметра прибора "ПД6, ток I, мА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16145, 'ПД6, ток I, мА', '', 1134, 1, 166, 'PD_p6_I', 436, 385);
-- Добавление параметра прибора "ПД1, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16146, 'ПД1, флаги статуса', '', 1134, 1, 167, 'PD_p1_flags', 436, 385);
-- Добавление параметра прибора "ПД2, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16147, 'ПД2, флаги статуса', '', 1134, 1, 168, 'PD_p2_flags', 436, 385);
-- Добавление параметра прибора "ПД3, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16148, 'ПД3, флаги статуса', '', 1134, 1, 169, 'PD_p3_flags', 436, 385);
-- Добавление параметра прибора "ПД4, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16149, 'ПД4, флаги статуса', '', 1134, 1, 170, 'PD_p4_flags', 436, 385);
-- Добавление параметра прибора "ПД5, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16150, 'ПД5, флаги статуса', '', 1134, 1, 171, 'PD_p5_flags', 436, 385);
-- Добавление параметра прибора "ПД6, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16151, 'ПД6, флаги статуса', '', 1134, 1, 172, 'PD_p6_flags', 436, 385);

---- Группа "Преобразователь расхода" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1135, 'Преобразователь расхода', '', 436, 0);

-- Добавление параметра прибора "ПР1, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16152, 'ПР1, объемный расход Q, м3/ч', '', 1135, 1, 131, 'PR_R1_Q', 436, 385);
-- Добавление параметра прибора "ПР2, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16153, 'ПР2, объемный расход Q, м3/ч', '', 1135, 1, 132, 'PR_R2_Q', 436, 385);
-- Добавление параметра прибора "ПР3, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16154, 'ПР3, объемный расход Q, м3/ч', '', 1135, 1, 133, 'PR_R3_Q', 436, 385);
-- Добавление параметра прибора "ПР4, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16155, 'ПР4, объемный расход Q, м3/ч', '', 1135, 1, 134, 'PR_R4_Q', 436, 385);
-- Добавление параметра прибора "ПР5, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16156, 'ПР5, объемный расход Q, м3/ч', '', 1135, 1, 135, 'PR_R5_Q', 436, 385);
-- Добавление параметра прибора "ПР6, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16157, 'ПР6, объемный расход Q, м3/ч', '', 1135, 1, 136, 'PR_R6_Q', 436, 385);
-- Добавление параметра прибора "ПР1, частота f, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16158, 'ПР1, частота f, Гц', '', 1135, 1, 137, 'PR_R1_f', 436, 385);
-- Добавление параметра прибора "ПР2, частота f, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16159, 'ПР2, частота f, Гц', '', 1135, 1, 138, 'PR_R2_f', 436, 385);
-- Добавление параметра прибора "ПР3, частота f, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16160, 'ПР3, частота f, Гц', '', 1135, 1, 139, 'PR_R3_f', 436, 385);
-- Добавление параметра прибора "ПР4, частота f, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16161, 'ПР4, частота f, Гц', '', 1135, 1, 140, 'PR_R4_f', 436, 385);
-- Добавление параметра прибора "ПР5, частота f, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16162, 'ПР5, частота f, Гц', '', 1135, 1, 141, 'PR_R5_f', 436, 385);
-- Добавление параметра прибора "ПР6, частота f, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16163, 'ПР6, частота f, Гц', '', 1135, 1, 142, 'PR_R6_f', 436, 385);
-- Добавление параметра прибора "ПР1, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16164, 'ПР1, флаги статуса', '', 1135, 1, 143, 'PR_R1_flags', 436, 385);
-- Добавление параметра прибора "ПР2, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16165, 'ПР2, флаги статуса', '', 1135, 1, 144, 'PR_R2_flags', 436, 385);
-- Добавление параметра прибора "ПР3, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16166, 'ПР3, флаги статуса', '', 1135, 1, 145, 'PR_R3_flags', 436, 385);
-- Добавление параметра прибора "ПР4, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16167, 'ПР4, флаги статуса', '', 1135, 1, 146, 'PR_R4_flags', 436, 385);
-- Добавление параметра прибора "ПР5, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16168, 'ПР5, флаги статуса', '', 1135, 1, 147, 'PR_R5_flags', 436, 385);
-- Добавление параметра прибора "ПР6, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16169, 'ПР6, флаги статуса', '', 1135, 1, 148, 'PR_R6_flags', 436, 385);

---- Группа "Преобразователь температуры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1136, 'Преобразователь температуры', '', 436, 0);

-- Добавление параметра прибора "ПТ1, температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16170, 'ПТ1, температура t, гр. С', '', 1136, 1, 173, 'PT_t1_t', 436, 385);
-- Добавление параметра прибора "ПТ2, температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16171, 'ПТ2, температура t, гр. С', '', 1136, 1, 174, 'PT_t2_t', 436, 385);
-- Добавление параметра прибора "ПТ3, температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16172, 'ПТ3, температура t, гр. С', '', 1136, 1, 175, 'PT_t3_t', 436, 385);
-- Добавление параметра прибора "ПТ4, температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16173, 'ПТ4, температура t, гр. С', '', 1136, 1, 176, 'PT_t4_t', 436, 385);
-- Добавление параметра прибора "ПТ5, температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16174, 'ПТ5, температура t, гр. С', '', 1136, 1, 177, 'PT_t5_t', 436, 385);
-- Добавление параметра прибора "ПТ6, температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16175, 'ПТ6, температура t, гр. С', '', 1136, 1, 178, 'PT_t6_t', 436, 385);
-- Добавление параметра прибора "ПТ1, сопротивление R, Ом"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16176, 'ПТ1, сопротивление R, Ом', '', 1136, 1, 179, 'PT_t1_R', 436, 385);
-- Добавление параметра прибора "ПТ2, сопротивление R, Ом"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16177, 'ПТ2, сопротивление R, Ом', '', 1136, 1, 180, 'PT_t2_R', 436, 385);
-- Добавление параметра прибора "ПТ3, сопротивление R, Ом"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16178, 'ПТ3, сопротивление R, Ом', '', 1136, 1, 181, 'PT_t3_R', 436, 385);
-- Добавление параметра прибора "ПТ4, сопротивление R, Ом"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16179, 'ПТ4, сопротивление R, Ом', '', 1136, 1, 182, 'PT_t4_R', 436, 385);
-- Добавление параметра прибора "ПТ5, сопротивление R, Ом"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16180, 'ПТ5, сопротивление R, Ом', '', 1136, 1, 183, 'PT_t5_R', 436, 385);
-- Добавление параметра прибора "ПТ6, сопротивление R, Ом"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16181, 'ПТ6, сопротивление R, Ом', '', 1136, 1, 184, 'PT_t6_R', 436, 385);
-- Добавление параметра прибора "ПТ1, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16182, 'ПТ1, флаги статуса', '', 1136, 1, 185, 'PT_t1_flags', 436, 385);
-- Добавление параметра прибора "ПТ2, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16183, 'ПТ2, флаги статуса', '', 1136, 1, 186, 'PT_t2_flags', 436, 385);
-- Добавление параметра прибора "ПТ3, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16184, 'ПТ3, флаги статуса', '', 1136, 1, 187, 'PT_t3_flags', 436, 385);
-- Добавление параметра прибора "ПТ4, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16185, 'ПТ4, флаги статуса', '', 1136, 1, 188, 'PT_t4_flags', 436, 385);
-- Добавление параметра прибора "ПТ5, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16186, 'ПТ5, флаги статуса', '', 1136, 1, 189, 'PT_t5_flags', 436, 385);
-- Добавление параметра прибора "ПТ6, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16187, 'ПТ6, флаги статуса', '', 1136, 1, 190, 'PT_t6_flags', 436, 385);

---- Группа "Теплосистема" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1137, 'Теплосистема', '', 436, 0);

-- Добавление параметра прибора "ТС1, тепловая мощность E, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16188, 'ТС1, тепловая мощность E, т', '', 1137, 1, 0, 'TS_E1', 436, 385);
-- Добавление параметра прибора "ТС2, тепловая мощность E, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16189, 'ТС2, тепловая мощность E, т', '', 1137, 1, 1, 'TS_E2', 436, 385);
-- Добавление параметра прибора "ТС3, тепловая мощность E, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16190, 'ТС3, тепловая мощность E, т', '', 1137, 1, 2, 'TS_E3', 436, 385);
-- Добавление параметра прибора "ТС1, тепловая энергия W, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16191, 'ТС1, тепловая энергия W, Гкал', '', 1137, 1, 3, 'TS_W1', 436, 399);
-- Добавление параметра прибора "ТС2, тепловая энергия W, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16192, 'ТС2, тепловая энергия W, Гкал', '', 1137, 1, 4, 'TS_W2', 436, 399);
-- Добавление параметра прибора "ТС3, тепловая энергия W, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16193, 'ТС3, тепловая энергия W, Гкал', '', 1137, 1, 5, 'TS_W3', 436, 399);
-- Добавление параметра прибора "ТС1, объем V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16194, 'ТС1, объем V, м3', '', 1137, 1, 6, 'TS_V1', 436, 398);
-- Добавление параметра прибора "ТС2, объём V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16195, 'ТС2, объём V, м3', '', 1137, 1, 7, 'TS_V2', 436, 398);
-- Добавление параметра прибора "ТС3, объём V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16196, 'ТС3, объём V, м3', '', 1137, 1, 8, 'TS_V3', 436, 398);
-- Добавление параметра прибора "ТС1, масса M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16197, 'ТС1, масса M, т', '', 1137, 1, 9, 'TS_M1', 436, 399);
-- Добавление параметра прибора "ТС2, масса M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16198, 'ТС2, масса M, т', '', 1137, 1, 10, 'TS_M2', 436, 399);
-- Добавление параметра прибора "ТС3, масса M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16199, 'ТС3, масса M, т', '', 1137, 1, 11, 'TS_M3', 436, 399);
-- Добавление параметра прибора "ТС1, массовый расход G, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16200, 'ТС1, массовый расход G, т/ч', '', 1137, 1, 12, 'TS_G1', 436, 385);
-- Добавление параметра прибора "ТС2, массовый расход G, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16201, 'ТС2, массовый расход G, т/ч', '', 1137, 1, 13, 'TS_G2', 436, 385);
-- Добавление параметра прибора "ТС3, массовый расход G, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16202, 'ТС3, массовый расход G, т/ч', '', 1137, 1, 14, 'TS_G3', 436, 385);
-- Добавление параметра прибора "ТС, время наработки, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16203, 'ТС, время наработки, ч', '', 1137, 1, 15, 'TS_wt', 436, 399);
-- Добавление параметра прибора "ТС, время простоя (общее), ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16204, 'ТС, время простоя (общее), ч', '', 1137, 1, 16, 'TS_toff', 436, 385);
-- Добавление параметра прибора "ТС, время простоя из-за пропажи питания, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16205, 'ТС, время простоя из-за пропажи питания, ч', '', 1137, 1, 17, 'TS_toff1', 436, 399);
-- Добавление параметра прибора "ТС, время простоя из-за отказа датчиков, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16206, 'ТС, время простоя из-за отказа датчиков, ч', '', 1137, 1, 18, 'TS_toff2', 436, 399);
-- Добавление параметра прибора "ТС, время простоя при нештатных ситуациях, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16207, 'ТС, время простоя при нештатных ситуациях, ч', '', 1137, 1, 19, 'TS_toff3', 436, 399);
-- Добавление параметра прибора "ТС, время простоя при выходе из режима "работа", ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16208, 'ТС, время простоя при выходе из режима "работа", ч', '', 1137, 1, 20, 'TS_toff4', 436, 399);
-- Добавление параметра прибора "ТС, время нештатной ситуации НС1, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16209, 'ТС, время нештатной ситуации НС1, ч', '', 1137, 1, 21, 'TS_tns1', 436, 399);
-- Добавление параметра прибора "ТС, время нештатной ситуации НС4, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16210, 'ТС, время нештатной ситуации НС4, ч', '', 1137, 1, 22, 'TS_tns4', 436, 399);
-- Добавление параметра прибора "ТС, время нештатной ситуации G1нп, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16211, 'ТС, время нештатной ситуации G1нп, ч', '', 1137, 1, 23, 'TS_tnsG1l', 436, 399);
-- Добавление параметра прибора "ТС, время нештатной ситуации G1вп, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16212, 'ТС, время нештатной ситуации G1вп, ч', '', 1137, 1, 24, 'TS_tnsG1u', 436, 399);
-- Добавление параметра прибора "ТС, время нештатной ситуации G3нп, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16213, 'ТС, время нештатной ситуации G3нп, ч', '', 1137, 1, 25, 'TS_tnsG3l', 436, 399);
-- Добавление параметра прибора "ТС, время нештатной ситуации G3вп, ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16214, 'ТС, время нештатной ситуации G3вп, ч', '', 1137, 1, 26, 'TS_tnsG3u', 436, 399);
-- Добавление параметра прибора "ТС, флаги отказов датчиков"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16215, 'ТС, флаги отказов датчиков', '', 1137, 1, 27, 'TS_flags', 436, 399);
-- Добавление параметра прибора "ТС, флаги нештатных ситуаций"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16216, 'ТС, флаги нештатных ситуаций', '', 1137, 1, 28, 'TS_flagsns', 436, 399);

---- Группа "Теплосистема при нештатных ситуациях" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1138, 'Теплосистема при нештатных ситуациях', '', 436, 0);

-- Добавление параметра прибора "ТС НС, тепло, накопленное при G1>G1max, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16217, 'ТС НС, тепло, накопленное при G1>G1max, Гкал', '', 1138, 1, 196, 'TSNS_WG1gG1max', 436, 388);
-- Добавление параметра прибора "ТС НС, тепло, накопленное при G1<G1min, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16218, 'ТС НС, тепло, накопленное при G1<G1min, Гкал', '', 1138, 1, 197, 'TSNS_WG1lG1min', 436, 388);
-- Добавление параметра прибора "ТС НС, тепло, накопленное при G3 > G3max, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16219, 'ТС НС, тепло, накопленное при G3 > G3max, Гкал', '', 1138, 1, 198, 'TSNS_WG3gG3max', 436, 388);
-- Добавление параметра прибора "ТС НС, тепло, накопленное при G3 < G3min, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16220, 'ТС НС, тепло, накопленное при G3 < G3min, Гкал', '', 1138, 1, 199, 'TSNS_WG3lG3min', 436, 388);
-- Добавление параметра прибора "ТС НС, тепло утечек, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16221, 'ТС НС, тепло утечек, Гкал', '', 1138, 1, 200, 'TSNS_Wleak', 436, 388);
-- Добавление параметра прибора "ТС НС, тепло, накопленное при отсутствии НС и отказов, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16222, 'ТС НС, тепло, накопленное при отсутствии НС и отказов, Гкал', '', 1138, 1, 201, 'TSNS_Wnorm', 436, 388);
-- Добавление параметра прибора "ТС НС, тепло, накопленное при НС, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16223, 'ТС НС, тепло, накопленное при НС, Гкал', '', 1138, 1, 202, 'TSNS_Wns', 436, 388);
-- Добавление параметра прибора "ТС НС, тепло при отсутствии питания, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16224, 'ТС НС, тепло при отсутствии питания, Гкал', '', 1138, 1, 203, 'TSNS_Wpowerfail', 436, 388);
-- Добавление параметра прибора "ТС НС, тепло, накопленное при отказах датчиков, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16225, 'ТС НС, тепло, накопленное при отказах датчиков, Гкал', '', 1138, 1, 204, 'TSNS_Wsenserr', 436, 388);
-- Добавление параметра прибора "ТС НС, тепло, накопленное при t1-t2 < dt, Гкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16226, 'ТС НС, тепло, накопленное при t1-t2 < dt, Гкал', '', 1138, 1, 205, 'TSNS_Wt1t2ldt', 436, 388);

---- Группа "Трубопровод 1" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1139, 'Трубопровод 1', '', 436, 0);

-- Добавление параметра прибора "ТР1, тепловая мощность E, Гкал/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16227, 'ТР1, тепловая мощность E, Гкал/ч', '', 1139, 1, 29, 'TR1_TM', 436, 385);
-- Добавление параметра прибора "ТР1, масса M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16228, 'ТР1, масса M, т', '', 1139, 1, 30, 'TR1_M', 436, 399);
-- Добавление параметра прибора "ТР1, масса M (дельта), т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16229, 'ТР1, масса M (дельта), т', '', 1139, 1, 31, 'TR1_Md', 436, 398);
-- Добавление параметра прибора "ТР1, массовый расход G, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16230, 'ТР1, массовый расход G, т/ч', '', 1139, 1, 32, 'TR1_G', 436, 385);
-- Добавление параметра прибора "ТР1, объём V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16231, 'ТР1, объём V, м3', '', 1139, 1, 33, 'TR1_V', 436, 399);
-- Добавление параметра прибора "ТР1, объём V (дельта), м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16232, 'ТР1, объём V (дельта), м3', '', 1139, 1, 34, 'TR1_Vd', 436, 398);
-- Добавление параметра прибора "ТР1, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16233, 'ТР1, объемный расход Q, м3/ч', '', 1139, 1, 35, 'TR1_Q', 436, 385);
-- Добавление параметра прибора "ТР1, среднее давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16234, 'ТР1, среднее давление P, МПа', '', 1139, 1, 36, 'TR1_Pa', 436, 398);
-- Добавление параметра прибора "ТР1, давление для расчёта энтальпии P (h), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16235, 'ТР1, давление для расчёта энтальпии P (h), МПа', '', 1139, 1, 37, 'TR1_ph', 436, 385);
-- Добавление параметра прибора "ТР1, давление для расчёта плотности P (m), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16236, 'ТР1, давление для расчёта плотности P (m), МПа', '', 1139, 1, 38, 'TR1_pp', 436, 385);
-- Добавление параметра прибора "ТР1, энтальпия h, Мкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16237, 'ТР1, энтальпия h, Мкал', '', 1139, 1, 39, 'TR1_h', 436, 385);
-- Добавление параметра прибора "ТР1, плотность p, кг/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16238, 'ТР1, плотность p, кг/м3', '', 1139, 1, 40, 'TR1_p', 436, 385);
-- Добавление параметра прибора "ТР1, средневзвешенная температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16239, 'ТР1, средневзвешенная температура t, гр. С', '', 1139, 1, 41, 'TR1_twa', 436, 398);
-- Добавление параметра прибора "ТР1, средняя температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16240, 'ТР1, средняя температура t, гр. С', '', 1139, 1, 42, 'TR1_ta', 436, 398);
-- Добавление параметра прибора "ТР1, температура для расчёта энтальпии t (h), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16241, 'ТР1, температура для расчёта энтальпии t (h), гр. С', '', 1139, 1, 43, 'TR1_th', 436, 385);
-- Добавление параметра прибора "ТР1, температура для расчёта плотности t (m), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16242, 'ТР1, температура для расчёта плотности t (m), гр. С', '', 1139, 1, 44, 'TR1_tp', 436, 385);
-- Добавление параметра прибора "ТР1, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16243, 'ТР1, флаги статуса', '', 1139, 1, 45, 'TR1_flags', 436, 385);

---- Группа "Трубопровод 2" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1140, 'Трубопровод 2', '', 436, 0);

-- Добавление параметра прибора "ТР2, тепловая мощность E, Гкал/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16244, 'ТР2, тепловая мощность E, Гкал/ч', '', 1140, 1, 46, 'TR2_TM', 436, 385);
-- Добавление параметра прибора "ТР2, масса M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16245, 'ТР2, масса M, т', '', 1140, 1, 47, 'TR2_M', 436, 399);
-- Добавление параметра прибора "ТР2, масса M (дельта), т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16246, 'ТР2, масса M (дельта), т', '', 1140, 1, 48, 'TR2_Md', 436, 398);
-- Добавление параметра прибора "ТР2, массовый расход G, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16247, 'ТР2, массовый расход G, т/ч', '', 1140, 1, 49, 'TR2_G', 436, 385);
-- Добавление параметра прибора "ТР2, объём V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16248, 'ТР2, объём V, м3', '', 1140, 1, 50, 'TR2_V', 436, 399);
-- Добавление параметра прибора "ТР2, объём V (дельта), м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16249, 'ТР2, объём V (дельта), м3', '', 1140, 1, 51, 'TR2_Vd', 436, 398);
-- Добавление параметра прибора "ТР2, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16250, 'ТР2, объемный расход Q, м3/ч', '', 1140, 1, 52, 'TR2_Q', 436, 385);
-- Добавление параметра прибора "ТР2, среднее давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16251, 'ТР2, среднее давление P, МПа', '', 1140, 1, 53, 'TR2_Pa', 436, 398);
-- Добавление параметра прибора "ТР2, давление для расчёта энтальпии P (h), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16252, 'ТР2, давление для расчёта энтальпии P (h), МПа', '', 1140, 1, 54, 'TR2_ph', 436, 385);
-- Добавление параметра прибора "ТР2, давление для расчёта плотности P (m), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16253, 'ТР2, давление для расчёта плотности P (m), МПа', '', 1140, 1, 55, 'TR2_pp', 436, 385);
-- Добавление параметра прибора "ТР2, энтальпия h, Мкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16254, 'ТР2, энтальпия h, Мкал', '', 1140, 1, 56, 'TR2_h', 436, 385);
-- Добавление параметра прибора "ТР2, плотность p, кг/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16255, 'ТР2, плотность p, кг/м3', '', 1140, 1, 57, 'TR2_p', 436, 385);
-- Добавление параметра прибора "ТР2, средневзвешенная температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16256, 'ТР2, средневзвешенная температура t, гр. С', '', 1140, 1, 58, 'TR2_twa', 436, 398);
-- Добавление параметра прибора "ТР2, средняя температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16257, 'ТР2, средняя температура t, гр. С', '', 1140, 1, 59, 'TR2_ta', 436, 398);
-- Добавление параметра прибора "ТР2, температура для расчёта энтальпии t (h), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16258, 'ТР2, температура для расчёта энтальпии t (h), гр. С', '', 1140, 1, 60, 'TR2_th', 436, 385);
-- Добавление параметра прибора "ТР2, температура для расчёта плотности t (m), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16259, 'ТР2, температура для расчёта плотности t (m), гр. С', '', 1140, 1, 61, 'TR2_tp', 436, 385);
-- Добавление параметра прибора "ТР2, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16260, 'ТР2, флаги статуса', '', 1140, 1, 62, 'TR2_flags', 436, 385);

---- Группа "Трубопровод 3" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1141, 'Трубопровод 3', '', 436, 0);

-- Добавление параметра прибора "ТР3, тепловая мощность E, Гкал/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16261, 'ТР3, тепловая мощность E, Гкал/ч', '', 1141, 1, 63, 'TR3_TM', 436, 385);
-- Добавление параметра прибора "ТР3, масса M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16262, 'ТР3, масса M, т', '', 1141, 1, 64, 'TR3_M', 436, 399);
-- Добавление параметра прибора "ТР3, масса M (дельта), т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16263, 'ТР3, масса M (дельта), т', '', 1141, 1, 65, 'TR3_Md', 436, 398);
-- Добавление параметра прибора "ТР3, массовый расход G, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16264, 'ТР3, массовый расход G, т/ч', '', 1141, 1, 66, 'TR3_G', 436, 385);
-- Добавление параметра прибора "ТР3, объём V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16265, 'ТР3, объём V, м3', '', 1141, 1, 67, 'TR3_V', 436, 399);
-- Добавление параметра прибора "ТР3, объём V (дельта), м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16266, 'ТР3, объём V (дельта), м3', '', 1141, 1, 68, 'TR3_Vd', 436, 398);
-- Добавление параметра прибора "ТР3, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16267, 'ТР3, объемный расход Q, м3/ч', '', 1141, 1, 69, 'TR3_Q', 436, 385);
-- Добавление параметра прибора "ТР3, среднее давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16268, 'ТР3, среднее давление P, МПа', '', 1141, 1, 70, 'TR3_Pa', 436, 398);
-- Добавление параметра прибора "ТР3, давление для расчёта энтальпии P (h), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16269, 'ТР3, давление для расчёта энтальпии P (h), МПа', '', 1141, 1, 71, 'TR3_ph', 436, 385);
-- Добавление параметра прибора "ТР3, давление для расчёта плотности P (m), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16270, 'ТР3, давление для расчёта плотности P (m), МПа', '', 1141, 1, 72, 'TR3_pp', 436, 385);
-- Добавление параметра прибора "ТР3, энтальпия h, Мкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16271, 'ТР3, энтальпия h, Мкал', '', 1141, 1, 73, 'TR3_h', 436, 385);
-- Добавление параметра прибора "ТР3, плотность p, кг/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16272, 'ТР3, плотность p, кг/м3', '', 1141, 1, 74, 'TR3_p', 436, 385);
-- Добавление параметра прибора "ТР3, средневзвешенная температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16273, 'ТР3, средневзвешенная температура t, гр. С', '', 1141, 1, 75, 'TR3_twa', 436, 398);
-- Добавление параметра прибора "ТР3, средняя температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16274, 'ТР3, средняя температура t, гр. С', '', 1141, 1, 76, 'TR3_ta', 436, 398);
-- Добавление параметра прибора "ТР3, температура для расчёта энтальпии t (h), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16275, 'ТР3, температура для расчёта энтальпии t (h), гр. С', '', 1141, 1, 77, 'TR3_th', 436, 385);
-- Добавление параметра прибора "ТР3, температура для расчёта плотности t (m), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16276, 'ТР3, температура для расчёта плотности t (m), гр. С', '', 1141, 1, 78, 'TR3_tp', 436, 385);
-- Добавление параметра прибора "ТР3, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16277, 'ТР3, флаги статуса', '', 1141, 1, 79, 'TR3_flags', 436, 385);

---- Группа "Трубопровод 4" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1142, 'Трубопровод 4', '', 436, 0);

-- Добавление параметра прибора "ТР4, тепловая мощность E, Гкал/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16278, 'ТР4, тепловая мощность E, Гкал/ч', '', 1142, 1, 80, 'TR4_TM', 436, 385);
-- Добавление параметра прибора "ТР4, масса M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16279, 'ТР4, масса M, т', '', 1142, 1, 81, 'TR4_M', 436, 399);
-- Добавление параметра прибора "ТР4, масса M (дельта), т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16280, 'ТР4, масса M (дельта), т', '', 1142, 1, 82, 'TR4_Md', 436, 398);
-- Добавление параметра прибора "ТР4, массовый расход G, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16281, 'ТР4, массовый расход G, т/ч', '', 1142, 1, 83, 'TR4_G', 436, 385);
-- Добавление параметра прибора "ТР4, объём V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16282, 'ТР4, объём V, м3', '', 1142, 1, 84, 'TR4_V', 436, 399);
-- Добавление параметра прибора "ТР4, объём V (дельта), м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16283, 'ТР4, объём V (дельта), м3', '', 1142, 1, 85, 'TR4_Vd', 436, 398);
-- Добавление параметра прибора "ТР4, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16284, 'ТР4, объемный расход Q, м3/ч', '', 1142, 1, 86, 'TR4_Q', 436, 385);
-- Добавление параметра прибора "ТР4, среднее давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16285, 'ТР4, среднее давление P, МПа', '', 1142, 1, 87, 'TR4_Pa', 436, 398);
-- Добавление параметра прибора "ТР4, давление для расчёта энтальпии P (h), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16286, 'ТР4, давление для расчёта энтальпии P (h), МПа', '', 1142, 1, 88, 'TR4_ph', 436, 385);
-- Добавление параметра прибора "ТР4, давление для расчёта плотности P (m), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16287, 'ТР4, давление для расчёта плотности P (m), МПа', '', 1142, 1, 89, 'TR4_pp', 436, 385);
-- Добавление параметра прибора "ТР4, энтальпия h, Мкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16288, 'ТР4, энтальпия h, Мкал', '', 1142, 1, 90, 'TR4_h', 436, 385);
-- Добавление параметра прибора "ТР4, плотность p, кг/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16289, 'ТР4, плотность p, кг/м3', '', 1142, 1, 91, 'TR4_p', 436, 385);
-- Добавление параметра прибора "ТР4, средневзвешенная температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16290, 'ТР4, средневзвешенная температура t, гр. С', '', 1142, 1, 92, 'TR4_twa', 436, 398);
-- Добавление параметра прибора "ТР4, средняя температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16291, 'ТР4, средняя температура t, гр. С', '', 1142, 1, 93, 'TR4_ta', 436, 398);
-- Добавление параметра прибора "ТР4, температура для расчёта энтальпии t (h), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16292, 'ТР4, температура для расчёта энтальпии t (h), гр. С', '', 1142, 1, 94, 'TR4_th', 436, 385);
-- Добавление параметра прибора "ТР4, температура для расчёта плотности t (m), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16293, 'ТР4, температура для расчёта плотности t (m), гр. С', '', 1142, 1, 95, 'TR4_tp', 436, 385);
-- Добавление параметра прибора "ТР4, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16294, 'ТР4, флаги статуса', '', 1142, 1, 96, 'TR4_flags', 436, 385);

---- Группа "Трубопровод 5" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1143, 'Трубопровод 5', '', 436, 0);

-- Добавление параметра прибора "ТР5, тепловая мощность E, Гкал/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16295, 'ТР5, тепловая мощность E, Гкал/ч', '', 1143, 1, 97, 'TR5_TM', 436, 385);
-- Добавление параметра прибора "ТР5, масса M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16296, 'ТР5, масса M, т', '', 1143, 1, 98, 'TR5_M', 436, 399);
-- Добавление параметра прибора "ТР5, масса M (дельта), т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16297, 'ТР5, масса M (дельта), т', '', 1143, 1, 99, 'TR5_Md', 436, 398);
-- Добавление параметра прибора "ТР5, массовый расход G, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16298, 'ТР5, массовый расход G, т/ч', '', 1143, 1, 100, 'TR5_G', 436, 385);
-- Добавление параметра прибора "ТР5, объём V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16299, 'ТР5, объём V, м3', '', 1143, 1, 101, 'TR5_V', 436, 399);
-- Добавление параметра прибора "ТР5, объём V (дельта), м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16300, 'ТР5, объём V (дельта), м3', '', 1143, 1, 102, 'TR5_Vd', 436, 398);
-- Добавление параметра прибора "ТР5, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16301, 'ТР5, объемный расход Q, м3/ч', '', 1143, 1, 103, 'TR5_Q', 436, 385);
-- Добавление параметра прибора "ТР5, среднее давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16302, 'ТР5, среднее давление P, МПа', '', 1143, 1, 104, 'TR5_Pa', 436, 398);
-- Добавление параметра прибора "ТР5, давление для расчёта энтальпии P (h), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16303, 'ТР5, давление для расчёта энтальпии P (h), МПа', '', 1143, 1, 105, 'TR5_ph', 436, 385);
-- Добавление параметра прибора "ТР5, давление для расчёта плотности P (m), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16304, 'ТР5, давление для расчёта плотности P (m), МПа', '', 1143, 1, 106, 'TR5_pp', 436, 385);
-- Добавление параметра прибора "ТР5, энтальпия h, Мкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16305, 'ТР5, энтальпия h, Мкал', '', 1143, 1, 107, 'TR5_h', 436, 385);
-- Добавление параметра прибора "ТР5, плотность p, кг/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16306, 'ТР5, плотность p, кг/м3', '', 1143, 1, 108, 'TR5_p', 436, 385);
-- Добавление параметра прибора "ТР5, средневзвешенная температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16307, 'ТР5, средневзвешенная температура t, гр. С', '', 1143, 1, 109, 'TR5_twa', 436, 398);
-- Добавление параметра прибора "ТР5, средняя температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16308, 'ТР5, средняя температура t, гр. С', '', 1143, 1, 110, 'TR5_ta', 436, 398);
-- Добавление параметра прибора "ТР5, температура для расчёта энтальпии t (h), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16309, 'ТР5, температура для расчёта энтальпии t (h), гр. С', '', 1143, 1, 111, 'TR5_th', 436, 385);
-- Добавление параметра прибора "ТР5, температура для расчёта плотности t (m), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16310, 'ТР5, температура для расчёта плотности t (m), гр. С', '', 1143, 1, 112, 'TR5_tp', 436, 385);
-- Добавление параметра прибора "ТР5, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16311, 'ТР5, флаги статуса', '', 1143, 1, 113, 'TR5_flags', 436, 385);

---- Группа "Трубопровод 6" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1144, 'Трубопровод 6', '', 436, 0);

-- Добавление параметра прибора "ТР6, тепловая мощность E, Гкал/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16312, 'ТР6, тепловая мощность E, Гкал/ч', '', 1144, 1, 114, 'TR6_TM', 436, 385);
-- Добавление параметра прибора "ТР6, масса M, т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16313, 'ТР6, масса M, т', '', 1144, 1, 115, 'TR6_M', 436, 399);
-- Добавление параметра прибора "ТР6, масса M (дельта), т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16314, 'ТР6, масса M (дельта), т', '', 1144, 1, 116, 'TR6_Md', 436, 398);
-- Добавление параметра прибора "ТР6, массовый расход G, т/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16315, 'ТР6, массовый расход G, т/ч', '', 1144, 1, 117, 'TR6_G', 436, 385);
-- Добавление параметра прибора "ТР6, объём V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16316, 'ТР6, объём V, м3', '', 1144, 1, 118, 'TR6_V', 436, 399);
-- Добавление параметра прибора "ТР6, объём V (дельта), м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16317, 'ТР6, объём V (дельта), м3', '', 1144, 1, 119, 'TR6_Vd', 436, 398);
-- Добавление параметра прибора "ТР6, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16318, 'ТР6, объемный расход Q, м3/ч', '', 1144, 1, 120, 'TR6_Q', 436, 385);
-- Добавление параметра прибора "ТР6, среднее давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16319, 'ТР6, среднее давление P, МПа', '', 1144, 1, 121, 'TR6_Pa', 436, 398);
-- Добавление параметра прибора "ТР6, давление для расчёта энтальпии P (h), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16320, 'ТР6, давление для расчёта энтальпии P (h), МПа', '', 1144, 1, 122, 'TR6_ph', 436, 385);
-- Добавление параметра прибора "ТР6, давление для расчёта плотности P (m), МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16321, 'ТР6, давление для расчёта плотности P (m), МПа', '', 1144, 1, 123, 'TR6_pp', 436, 385);
-- Добавление параметра прибора "ТР6, энтальпия h, Мкал"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16322, 'ТР6, энтальпия h, Мкал', '', 1144, 1, 124, 'TR6_h', 436, 385);
-- Добавление параметра прибора "ТР6, плотность p, кг/м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16323, 'ТР6, плотность p, кг/м3', '', 1144, 1, 125, 'TR6_p', 436, 385);
-- Добавление параметра прибора "ТР6, средневзвешенная температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16324, 'ТР6, средневзвешенная температура t, гр. С', '', 1144, 1, 126, 'TR6_twa', 436, 398);
-- Добавление параметра прибора "ТР6, средняя температура t, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16325, 'ТР6, средняя температура t, гр. С', '', 1144, 1, 127, 'TR6_ta', 436, 398);
-- Добавление параметра прибора "ТР6, температура для расчёта энтальпии t (h), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16326, 'ТР6, температура для расчёта энтальпии t (h), гр. С', '', 1144, 1, 128, 'TR6_th', 436, 385);
-- Добавление параметра прибора "ТР6, температура для расчёта плотности t (m), гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16327, 'ТР6, температура для расчёта плотности t (m), гр. С', '', 1144, 1, 129, 'TR6_tp', 436, 385);
-- Добавление параметра прибора "ТР6, флаги статуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16328, 'ТР6, флаги статуса', '', 1144, 1, 130, 'TR6_flags', 436, 385);

---- Группа "Холодная вода" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1145, 'Холодная вода', '', 436, 0);

-- Добавление параметра прибора "ХВ, объем V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16329, 'ХВ, объем V, м3', '', 1145, 1, 191, 'PR_CW_V', 436, 399);
-- Добавление параметра прибора "ХВ, объемный расход Q, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16330, 'ХВ, объемный расход Q, м3/ч', '', 1145, 1, 192, 'PR_CW_Q', 436, 385);
-- Добавление параметра прибора "ХВ, температура t, гр. с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16331, 'ХВ, температура t, гр. с', '', 1145, 1, 193, 'PR_CW_t', 436, 399);
-- Добавление параметра прибора "ХВ, давление P, МПа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16332, 'ХВ, давление P, МПа', '', 1145, 1, 194, 'PR_CW_p', 436, 399);
-- Добавление параметра прибора "ХВ, энтальпия h, Мкал/т"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16333, 'ХВ, энтальпия h, Мкал/т', '', 1145, 1, 195, 'PR_CW_h', 436, 385);
