-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 16471 AND pr_typ_id <= 16589;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1153 AND gr_typ_id <= 1155;

---- Прибор "Пульсар теплосчётчик общедомовой стандартный v1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар теплосчётчик общедомовой стандартный v1', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 438;

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1153, 'Настроечные', '', 438, 0);

-- Добавление параметра прибора "Переход на лето - месяц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16471, 'Переход на лето - месяц', '', 1153, 1, 0, 'P0033.U16.BIT8-8', 438, 192);
-- Добавление параметра прибора "Переход на лето - день"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16472, 'Переход на лето - день', '', 1153, 1, 0, 'P0033.U16.BIT0-8', 438, 192);
-- Добавление параметра прибора "Переход на зиму - месяц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16473, 'Переход на зиму - месяц', '', 1153, 1, 0, 'P0032.U16.BIT8-8', 438, 192);
-- Добавление параметра прибора "Переход на зиму - день"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16474, 'Переход на зиму - день', '', 1153, 1, 0, 'P0032.U16.BIT0-8', 438, 192);
-- Добавление параметра прибора "[Температура] Температура среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16475, '[Температура] Температура среды [C]', '', 1153, 1, 0, 'P0131.S8', 438, 448);
-- Добавление параметра прибора "[UART/RS485/MBUS] Настройки скорости"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16476, '[UART/RS485/MBUS] Настройки скорости', '', 1153, 1, 0, 'P00F0.U8', 438, 192);
-- Добавление параметра прибора "[M-Bus] Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16477, '[M-Bus] Сетевой адрес', '', 1153, 1, 0, 'P00E0.U8', 438, 192);
-- Добавление параметра прибора "[Импульсный вход 4] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16478, '[Импульсный вход 4] Минимальный импульс [мс]', '', 1153, 1, 0, 'P00CA.U16', 438, 192);
-- Добавление параметра прибора "[Импульсный вход 4] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16479, '[Импульсный вход 4] Вес испульса [м3/имп]', '', 1153, 1, 0, 'P00C9.F32', 438, 192);
-- Добавление параметра прибора "[Импульсный вход 3] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16480, '[Импульсный вход 3] Минимальный импульс [мс]', '', 1153, 1, 0, 'P00C7.U16', 438, 192);
-- Добавление параметра прибора "[Импульсный вход 3] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16481, '[Импульсный вход 3] Вес испульса [м3/имп]', '', 1153, 1, 0, 'P00C6.F32', 438, 192);
-- Добавление параметра прибора "[Импульсный вход 2] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16482, '[Импульсный вход 2] Минимальный импульс [мс]', '', 1153, 1, 0, 'P00C4.U16', 438, 192);
-- Добавление параметра прибора "[Импульсный вход 2] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16483, '[Импульсный вход 2] Вес испульса [м3/имп]', '', 1153, 1, 0, 'P00C3.F32', 438, 192);
-- Добавление параметра прибора "[Импульсный вход 1] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16484, '[Импульсный вход 1] Минимальный импульс [мс]', '', 1153, 1, 0, 'P00C1.U16', 438, 192);
-- Добавление параметра прибора "[Импульсный вход 1] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16485, '[Импульсный вход 1] Вес испульса [м3/имп]', '', 1153, 1, 0, 'P00C0.F32', 438, 192);
-- Добавление параметра прибора "[Импульсный выход 1] Длительность импульса/паузы [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16486, '[Импульсный выход 1] Длительность импульса/паузы [мС]', '', 1153, 1, 0, 'P00A2.U16', 438, 192);
-- Добавление параметра прибора "[Импульсный выход 1] Вес импульса [м3/имп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16487, '[Импульсный выход 1] Вес импульса [м3/имп.]', '', 1153, 1, 0, 'P00A1.F32', 438, 192);
-- Добавление параметра прибора "[Импульсный выход 1] Режим"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16488, '[Импульсный выход 1] Режим', '', 1153, 1, 0, 'P00A0.U8', 438, 192);
-- Добавление параметра прибора "[Батарея] Напряжение [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16489, '[Батарея] Напряжение [мВ]', '', 1153, 1, 0, 'P0040.U16', 438, 448);
-- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16490, 'Автопереход зима/лето', '', 1153, 1, 0, 'P0009.U8', 438, 192);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16491, 'Версия ПО', '', 1153, 1, 0, '__VERSION_INTERNAL', 438, 448);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16492, 'Заводской номер', '', 1153, 1, 0, 'P0003.U32', 438, 192);
-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16493, 'Сетевой адрес', '', 1153, 1, 0, 'P0001.U32', 438, 192);
-- Добавление параметра прибора "[Температура] Температура хол. воды (зима) [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16494, '[Температура] Температура хол. воды (зима) [°C]', '', 1153, 1, 0, 'P013B.F32', 438, 192);
-- Добавление параметра прибора "[Температура] Температура хол. воды (лето) [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16495, '[Температура] Температура хол. воды (лето) [°C]', '', 1153, 1, 0, 'P013E.F32', 438, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1154, 'Наладка', '', 438, 1153);

-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16496, 'Количество сбросов', '', 1154, 1, 0, 'P0004.U16', 438, 192);
-- Добавление параметра прибора "[Температура] Порог перепада температур  для энергии [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16497, '[Температура] Порог перепада температур  для энергии [°C]', '', 1154, 1, 0, 'P0139.F32', 438, 192);
-- Добавление параметра прибора "[Температура] Термометр 1 виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16498, '[Температура] Термометр 1 виртуальный', '', 1154, 1, 0, 'P013A.U8.BIT0', 438, 192);
-- Добавление параметра прибора "[Температура] Термометр 2 виртуальный"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16499, '[Температура] Термометр 2 виртуальный', '', 1154, 1, 0, 'P013A.U8.BIT1', 438, 192);
-- Добавление параметра прибора "[Температура] Калибровка сопротивления, смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16500, '[Температура] Калибровка сопротивления, смещение', '', 1154, 1, 0, 'P013C.F32', 438, 192);
-- Добавление параметра прибора "[Температура] Калибровка сопротивления, масштаб"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16501, '[Температура] Калибровка сопротивления, масштаб', '', 1154, 1, 0, 'P013D.F32', 438, 192);
-- Добавление параметра прибора "[Давление] Калибровка давления, коэффициент"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16502, '[Давление] Калибровка давления, коэффициент', '', 1154, 1, 0, 'P0150.F32', 438, 192);
-- Добавление параметра прибора "[Давление] Номинальное давление, x100"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16503, '[Давление] Номинальное давление, x100', '', 1154, 1, 0, 'P0151.U8', 438, 192);
-- Добавление параметра прибора "[Энергия] Единицы измерения энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16504, '[Энергия] Единицы измерения энергии', '', 1154, 1, 0, 'P0171.U8.BIT0-3', 438, 192);
-- Добавление параметра прибора "[Энергия] Установка на обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16505, '[Энергия] Установка на обратной трубе', '', 1154, 1, 0, 'P0171.U8.BIT3', 438, 192);
-- Добавление параметра прибора "[Энергия] Блокировка смены места установки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16506, '[Энергия] Блокировка смены места установки', '', 1154, 1, 0, 'P0172.U8', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Безразмерный расход"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16507, '[УЗ расх.] Безразмерный расход', '', 1154, 1, 0, 'P0240.F32', 438, 448);
-- Добавление параметра прибора "[УЗ расх.] Уровень УЗ [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16508, '[УЗ расх.] Уровень УЗ [В]', '', 1154, 1, 0, 'P0241.F32', 438, 448);
-- Добавление параметра прибора "[УЗ расх.] Процент ошибочных измерений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16509, '[УЗ расх.] Процент ошибочных измерений', '', 1154, 1, 0, 'P0242.U8', 438, 448);
-- Добавление параметра прибора "[Температура] Порог перепада температур  для направления [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16510, '[Температура] Порог перепада температур  для направления [°C]', '', 1154, 1, 0, 'P0138.F32', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Период УЗ измерений [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16511, '[УЗ расх.] Период УЗ измерений [мс]', '', 1154, 1, 0, 'P0243.U32', 438, 448);
-- Добавление параметра прибора "[УЗ расх.] Время УЗ против потока (UPS) [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16512, '[УЗ расх.] Время УЗ против потока (UPS) [мкс]', '', 1154, 1, 0, 'P0245.F32', 438, 448);
-- Добавление параметра прибора "[УЗ расх.] Время УЗ, дифференциальное [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16513, '[УЗ расх.] Время УЗ, дифференциальное [мкс]', '', 1154, 1, 0, 'P0246.F32', 438, 448);
-- Добавление параметра прибора "[УЗ расх.] Абсолютное смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16514, '[УЗ расх.] Абсолютное смещение времени УЗ [мкс]', '', 1154, 1, 0, 'P0247.F32', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16515, '[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]', '', 1154, 1, 0, 'P0248.F32', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Количество импульсов зондирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16516, '[УЗ расх.] Количество импульсов зондирования', '', 1154, 1, 0, 'P0249.U8', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Крит. уров. отклонения дифф. времени УЗ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16517, '[УЗ расх.] Крит. уров. отклонения дифф. времени УЗ', '', 1154, 1, 0, 'P024A.F32', 438, 192);
-- Добавление параметра прибора "[Энергия] Метод контроля энергий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16518, '[Энергия] Метод контроля энергий', '', 1154, 1, 0, 'P0174.U8', 438, 192);
-- Добавление параметра прибора "[Энергия] Формула расчёта энергий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16519, '[Энергия] Формула расчёта энергий', '', 1154, 1, 0, 'P0173.U8', 438, 192);
-- Добавление параметра прибора "[Масса] Метод контроля масс"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16520, '[Масса] Метод контроля масс', '', 1154, 1, 0, 'P0301.U8', 438, 192);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода 2, MIN [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16521, '[Расходомер] Порог контроля расхода 2, MIN [м3/ч]', '', 1154, 1, 0, 'P012C.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода 2, MAX [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16522, '[Расходомер] Порог контроля расхода 2, MAX [м3/ч]', '', 1154, 1, 0, 'P012D.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода 3, MIN [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16523, '[Расходомер] Порог контроля расхода 3, MIN [м3/ч]', '', 1154, 1, 0, 'P012E.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода 3, MAX [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16524, '[Расходомер] Порог контроля расхода 3, MAX [м3/ч]', '', 1154, 1, 0, 'P012F.F32', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Время УЗ по потоку (DNS) [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16525, '[УЗ расх.] Время УЗ по потоку (DNS) [мкс]', '', 1154, 1, 0, 'P0244.F32', 438, 448);
-- Добавление параметра прибора "[УЗ расх.] Калибровка 0, дифф. смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16526, '[УЗ расх.] Калибровка 0, дифф. смещение времени УЗ [мкс]', '', 1154, 1, 0, 'P024E.F32', 438, 192);
-- Добавление параметра прибора "[Температура] Калибровка, процесс"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16527, '[Температура] Калибровка, процесс', '', 1154, 1, 0, 'P0137.U8', 438, 192);
-- Добавление параметра прибора "[Температура] Термометр 2, сопротивление [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16528, '[Температура] Термометр 2, сопротивление [Ом]', '', 1154, 1, 0, 'P0135.F32', 438, 192);
-- Добавление параметра прибора "Причина сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16529, 'Причина сброса', '', 1154, 1, 0, 'P0005.U8', 438, 448);
-- Добавление параметра прибора "Наработка с ошибками. Маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16530, 'Наработка с ошибками. Маска', '', 1154, 1, 0, 'P0007.U16', 438, 192);
-- Добавление параметра прибора "[Батарея] Порог: разряжена [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16531, '[Батарея] Порог: разряжена [мВ]', '', 1154, 1, 0, 'P0041.U64.BIT0-16', 438, 192);
-- Добавление параметра прибора "[Батарея] Порог: скоро разрядится [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16532, '[Батарея] Порог: скоро разрядится [мВ]', '', 1154, 1, 0, 'P0041.U64.BIT16-16', 438, 192);
-- Добавление параметра прибора "[Батарея] Порог: полностью заряжена [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16533, '[Батарея] Порог: полностью заряжена [мВ]', '', 1154, 1, 0, 'P0041.U64.BIT32-16', 438, 192);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения. Смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16534, '[Батарея] Калибровка напряжения. Смещение', '', 1154, 1, 0, 'P0042.S16', 438, 192);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения. Коэффициент x1000"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16535, '[Батарея] Калибровка напряжения. Коэффициент x1000', '', 1154, 1, 0, 'P0043.U16', 438, 192);
-- Добавление параметра прибора "[Часовой кварц] Вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16536, '[Часовой кварц] Вывод частоты', '', 1154, 1, 0, 'P0060.U8', 438, 192);
-- Добавление параметра прибора "[Часовой кварц] Измеренная частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16537, '[Часовой кварц] Измеренная частота [Гц]', '', 1154, 1, 0, 'P0061.U16', 438, 192);
-- Добавление параметра прибора "[EEPROM] Размер EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16538, '[EEPROM] Размер EEPROM', '', 1154, 1, 0, 'P0080.U8', 438, 192);
-- Добавление параметра прибора "[EEPROM] Архивируемые каналы, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16539, '[EEPROM] Архивируемые каналы, маска', '', 1154, 1, 0, 'P0081.U32', 438, 192);
-- Добавление параметра прибора "[EEPROM] Глубина архивирования: часовые"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16540, '[EEPROM] Глубина архивирования: часовые', '', 1154, 1, 0, 'P0082.U64.BIT0-16', 438, 192);
-- Добавление параметра прибора "[EEPROM] Глубина архивирования: суточные"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16541, '[EEPROM] Глубина архивирования: суточные', '', 1154, 1, 0, 'P0082.U64.BIT16-16', 438, 192);
-- Добавление параметра прибора "[Температура] Калибровка, сопротивление [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16542, '[Температура] Калибровка, сопротивление [Ом]', '', 1154, 1, 0, 'P0136.F32', 438, 192);
-- Добавление параметра прибора "[EEPROM] Глубина архивирования: месячные"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16543, '[EEPROM] Глубина архивирования: месячные', '', 1154, 1, 0, 'P0082.U64.BIT32-16', 438, 192);
-- Добавление параметра прибора "[Импульсный вход] Число имп. входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16544, '[Импульсный вход] Число имп. входов', '', 1154, 1, 0, 'P00DF.U8', 438, 192);
-- Добавление параметра прибора "[Расходомер] Вес импульса / Масштабирующий коэффициент расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16545, '[Расходомер] Вес импульса / Масштабирующий коэффициент расхода', '', 1154, 1, 0, 'P0101.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода, MIN [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16546, '[Расходомер] Порог контроля расхода, MIN [м3/ч]', '', 1154, 1, 0, 'P0103.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода, MAX [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16547, '[Расходомер] Порог контроля расхода, MAX [м3/ч]', '', 1154, 1, 0, 'P0104.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Порог чувствительности расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16548, '[Расходомер] Порог чувствительности расхода [м3/ч]', '', 1154, 1, 0, 'P0105.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Команда тестового пролива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16549, '[Расходомер] Команда тестового пролива', '', 1154, 1, 0, 'P0106.U8', 438, 192);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16550, '[Расходомер] Тестовый пролив, объем [м3]', '', 1154, 1, 0, 'P0107.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16551, '[Расходомер] Тестовый пролив, расход [м3/ч]', '', 1154, 1, 0, 'P0108.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16552, '[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]', '', 1154, 1, 0, 'P0109.F32', 438, 192);
-- Добавление параметра прибора "[Расходомер] Учёт реверсивного потока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16553, '[Расходомер] Учёт реверсивного потока', '', 1154, 1, 0, 'P012B.U8', 438, 192);
-- Добавление параметра прибора "[Температура] Термометр 1, Rwire [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16554, '[Температура] Термометр 1, Rwire [Ом]', '', 1154, 1, 0, 'P0132.F32', 438, 192);
-- Добавление параметра прибора "[Температура] Термометр 2, Rwire [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16555, '[Температура] Термометр 2, Rwire [Ом]', '', 1154, 1, 0, 'P0133.F32', 438, 192);
-- Добавление параметра прибора "[Температура] Термометр 1, сопротивление [Ом]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16556, '[Температура] Термометр 1, сопротивление [Ом]', '', 1154, 1, 0, 'P0134.F32', 438, 192);
-- Добавление параметра прибора "[Импульсный выход 1] Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16557, '[Импульсный выход 1] Диагностика', '', 1154, 1, 0, 'P00A4.U8', 438, 192);
-- Добавление параметра прибора "[Масса] Макс. порог небаланса масс"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16558, '[Масса] Макс. порог небаланса масс', '', 1154, 1, 0, 'P0300.F32', 438, 192);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1155, 'Текущие', '', 438, 0);

-- Добавление параметра прибора "Объем подачи (прямой) [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16559, 'Объем подачи (прямой) [м3]', '', 1155, 1, 0, 'K1.F32', 438, 143);
-- Добавление параметра прибора "Массовый расход подачи [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16560, 'Массовый расход подачи [т/ч]', '', 1155, 1, 0, 'P0302.F32', 438, 385);
-- Добавление параметра прибора "Масса потер./отобр. воды [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16561, 'Масса потер./отобр. воды [т]', '', 1155, 1, 0, 'K20.F32', 438, 143);
-- Добавление параметра прибора "Масса обратки [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16562, 'Масса обратки [т]', '', 1155, 1, 0, 'K19.F32', 438, 143);
-- Добавление параметра прибора "Масса подачи (реверсивная) [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16563, 'Масса подачи (реверсивная) [т]', '', 1155, 1, 0, 'K18.F32', 438, 143);
-- Добавление параметра прибора "Масса подачи (прямая) [т]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16564, 'Масса подачи (прямая) [т]', '', 1155, 1, 0, 'K17.F32', 438, 143);
-- Добавление параметра прибора "Объём потер./отобр. воды [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16565, 'Объём потер./отобр. воды [м3]', '', 1155, 1, 0, 'K16.F32', 438, 143);
-- Добавление параметра прибора "Объём обратки [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16566, 'Объём обратки [м3]', '', 1155, 1, 0, 'K15.F32', 438, 143);
-- Добавление параметра прибора "Давление обратки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16567, 'Давление обратки', '', 1155, 1, 0, 'K14.F32', 438, 399);
-- Добавление параметра прибора "Давление подачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16568, 'Давление подачи', '', 1155, 1, 0, 'K13.F32', 438, 399);
-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16569, 'Дата и время', '', 1155, 1, 0, 'D', 438, 129);
-- Добавление параметра прибора "Время работы с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16570, 'Время работы с ошибками [ч]', '', 1155, 1, 0, 'P0007.U32', 438, 129);
-- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16571, 'Время наработки [ч]', '', 1155, 1, 0, 'P000A.U32', 438, 129);
-- Добавление параметра прибора "Давление в обратной трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16572, 'Давление в обратной трубе', '', 1155, 1, 0, 'K14.F32', 438, 143);
-- Добавление параметра прибора "Массовый расход обратки [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16573, 'Массовый расход обратки [т/ч]', '', 1155, 1, 0, 'P0303.F32', 438, 385);
-- Добавление параметра прибора "Давление в подающей трубе"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16574, 'Давление в подающей трубе', '', 1155, 1, 0, 'K13.F32', 438, 143);
-- Добавление параметра прибора "Импульсный вход 3 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16575, 'Импульсный вход 3 [м3]', '', 1155, 1, 0, 'K11.F32', 438, 143);
-- Добавление параметра прибора "Импульсный вход 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16576, 'Импульсный вход 2 [м3]', '', 1155, 1, 0, 'K10.F32', 438, 143);
-- Добавление параметра прибора "Импульсный вход 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16577, 'Импульсный вход 1 [м3]', '', 1155, 1, 0, 'K9.F32', 438, 143);
-- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16578, 'Ошибки', '', 1155, 1, 0, 'K8.U32', 438, 399);
-- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16579, 'Время нормальной работы [ч]', '', 1155, 1, 0, 'K7.U32', 438, 143);
-- Добавление параметра прибора "Мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16580, 'Мощность', '', 1155, 1, 0, 'P0170.F32', 438, 385);
-- Добавление параметра прибора "Энергия 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16581, 'Энергия 2', '', 1155, 1, 0, 'K6.F32', 438, 143);
-- Добавление параметра прибора "Энергия 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16582, 'Энергия 1', '', 1155, 1, 0, 'K5.F32', 438, 143);
-- Добавление параметра прибора "Перепад температур [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16583, 'Перепад температур [°C]', '', 1155, 1, 0, 'P0130.F32', 438, 385);
-- Добавление параметра прибора "Температура обратки [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16584, 'Температура обратки [°C]', '', 1155, 1, 0, 'K4.F32', 438, 399);
-- Добавление параметра прибора "Температура подачи [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16585, 'Температура подачи [°C]', '', 1155, 1, 0, 'K3.F32', 438, 399);
-- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16586, 'Расход [м3/ч]', '', 1155, 1, 0, 'P0100.F32', 438, 385);
-- Добавление параметра прибора "Объем подачи (реверсивный) [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16587, 'Объем подачи (реверсивный) [м3]', '', 1155, 1, 0, 'K2.F32', 438, 143);
-- Добавление параметра прибора "Импульсный вход 4 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16588, 'Импульсный вход 4 [м3]', '', 1155, 1, 0, 'K12.F32', 438, 143);
-- Добавление параметра прибора "Массовый расход потер./отобр. воды [т/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16589, 'Массовый расход потер./отобр. воды [т/ч]', '', 1155, 1, 0, 'P0304.F32', 438, 385);
