-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 16607 AND pr_typ_id <= 16755;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1159 AND gr_typ_id <= 1162;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 441 AND dev_typ_id <= 443;

---- Прибор "СПОДЭС v3 Электросчётчик 1-фазный" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (441, 'СПОДЭС v3 Электросчётчик 1-фазный', '', 0);

---- Прибор "СПОДЭС v3 Электросчётчик 3-фазный" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (442, 'СПОДЭС v3 Электросчётчик 3-фазный', '', 0);

---- Прибор "Энергомера СЕ207 (СПОДЭС)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (443, 'Энергомера СЕ207 (СПОДЭС)', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1159, 'Информационные', '', 443, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16607, 'Дата и время прибора', '', 1159, 1, 0, 'D', 443, 193);
-- Добавление параметра прибора "Время работы ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16608, 'Время работы ПУ', '', 1159, 1, 1, 'c_wt', 443, 439);
-- Добавление параметра прибора "Температура внутри корпуса ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16609, 'Температура внутри корпуса ПУ', '', 1159, 1, 2, 't', 443, 434);
-- Добавление параметра прибора "Напряжение батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16610, 'Напряжение батареи', '', 1159, 1, 3, '0.0.96.6.3.255_t3', 443, 448);
-- Добавление параметра прибора "Серийный номер ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16611, 'Серийный номер ПУ', '', 1159, 1, 4, 'i_sn', 443, 448);
-- Добавление параметра прибора "Тип (модель) ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16612, 'Тип (модель) ПУ', '', 1159, 1, 5, 'i_dev', 443, 448);
-- Добавление параметра прибора "Версия метрологического ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16613, 'Версия метрологического ПО', '', 1159, 1, 6, 'i_fw', 443, 448);
-- Добавление параметра прибора "Логическое имя устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16614, 'Логическое имя устройства', '', 1159, 1, 7, 'c_ldn', 443, 448);
-- Добавление параметра прибора "Наименование производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16615, 'Наименование производителя', '', 1159, 1, 8, 'i_manuf', 443, 448);
-- Добавление параметра прибора "Дата выпуска ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16616, 'Дата выпуска ПУ', '', 1159, 1, 9, 'i_prodd', 443, 448);
-- Добавление параметра прибора "Серийный номер пульта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16617, 'Серийный номер пульта', '', 1159, 1, 10, 'i_snp', 443, 448);
-- Добавление параметра прибора "Данные точки учёта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16618, 'Данные точки учёта', '', 1159, 1, 11, 'c_mpid', 443, 448);
-- Добавление параметра прибора "Версия спецификации СПОДЭС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16619, 'Версия спецификации СПОДЭС', '', 1159, 1, 12, 'i_spodesv', 443, 448);
-- Добавление параметра прибора "Версия активной прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16620, 'Версия активной прошивки', '', 1159, 1, 13, '0.0.0.2.1.255', 443, 448);
-- Добавление параметра прибора "Подпись активной прошивки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16621, 'Подпись активной прошивки', '', 1159, 1, 14, '0.0.0.2.8.255', 443, 448);
-- Добавление параметра прибора "Идентификатор не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16622, 'Идентификатор не метрологической части ВПО', '', 1159, 1, 15, 'i_vpoid', 443, 448);
-- Добавление параметра прибора "Идентификатор исполнения счетчика (модель)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16623, 'Идентификатор исполнения счетчика (модель)', '', 1159, 1, 16, 'i_model', 443, 448);
-- Добавление параметра прибора "Контрольная сумма не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16624, 'Контрольная сумма не метрологической части ВПО', '', 1159, 1, 17, 'i_vpocrc', 443, 448);
-- Добавление параметра прибора "Счетчик коррекций (конфигурирований)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16625, 'Счетчик коррекций (конфигурирований)', '', 1159, 1, 18, 'c_corr', 443, 448);
-- Добавление параметра прибора "Дата последнего конфигурирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16626, 'Дата последнего конфигурирования', '', 1159, 1, 19, 'c_corrd', 443, 448);
-- Добавление параметра прибора "Дата последней калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16627, 'Дата последней калибровки', '', 1159, 1, 20, 'c_cald', 443, 448);
-- Добавление параметра прибора "Дата последнего активирования календаря"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16628, 'Дата последнего активирования календаря', '', 1159, 1, 21, 'c_lacd', 443, 448);
-- Добавление параметра прибора "Дата последней установки времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16629, 'Дата последней установки времени', '', 1159, 1, 22, 'c_lsetd', 443, 448);
-- Добавление параметра прибора "Дата последнего изменения встроенного ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16630, 'Дата последнего изменения встроенного ПО', '', 1159, 1, 23, 'c_lsetfw', 443, 448);
-- Добавление параметра прибора "Счетчик срабатываний реле на размыкание"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16631, 'Счетчик срабатываний реле на размыкание', '', 1159, 1, 24, 'c_relayoff', 443, 448);
-- Добавление параметра прибора "Счетчик вскрытий корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16632, 'Счетчик вскрытий корпуса', '', 1159, 1, 25, 'c_openc', 443, 448);
-- Добавление параметра прибора "Дата последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16633, 'Дата последнего вскрытия корпуса', '', 1159, 1, 26, 'c_lopend', 443, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16634, 'Продолжительность последнего вскрытия корпуса', '', 1159, 1, 27, 'c_lopendt', 443, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16635, 'Общая продолжительность вскрытия корпуса', '', 1159, 1, 28, 'c_lopenttot', 443, 448);
-- Добавление параметра прибора "Счетчик вскрытий крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16636, 'Счетчик вскрытий крышки клеммников', '', 1159, 1, 29, 'c_openclem', 443, 448);
-- Добавление параметра прибора "Дата последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16637, 'Дата последнего вскрытия крышки клеммников', '', 1159, 1, 30, 'c_lopenclemd', 443, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16638, 'Продолжительность последнего вскрытия крышки клеммников', '', 1159, 1, 31, 'c_lopenclemdt', 443, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16639, 'Общая продолжительность вскрытия крышки клеммников', '', 1159, 1, 32, 'c_openclemtot', 443, 448);
-- Добавление параметра прибора "Счетчик срабатываний датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16640, 'Счетчик срабатываний датчика магнитного поля', '', 1159, 1, 33, 'c_magn', 443, 448);
-- Добавление параметра прибора "Дата последнего воздействия датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16641, 'Дата последнего воздействия датчика магнитного поля', '', 1159, 1, 34, 'c_lmagnd', 443, 448);
-- Добавление параметра прибора "Продолжительность последнего воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16642, 'Продолжительность последнего воздействия магнитного поля', '', 1159, 1, 35, 'c_lmagnt', 443, 448);
-- Добавление параметра прибора "Общая продолжительность воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16643, 'Общая продолжительность воздействия магнитного поля', '', 1159, 1, 36, 'c_magntot', 443, 448);
-- Добавление параметра прибора "Счетчик сбросов центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16644, 'Счетчик сбросов центрального микроконтроллера', '', 1159, 1, 37, 'c_mcreset', 443, 448);
-- Добавление параметра прибора "Дата последнего сброса центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16645, 'Дата последнего сброса центрального микроконтроллера', '', 1159, 1, 38, 'c_mcresetd', 443, 448);
-- Добавление параметра прибора "Дата последнего выключения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16646, 'Дата последнего выключения счётчика', '', 1159, 1, 39, 'c_puoffd', 443, 448);
-- Добавление параметра прибора "Дата последнего включения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16647, 'Дата последнего включения счётчика', '', 1159, 1, 40, 'c_puond', 443, 448);
-- Добавление параметра прибора "Счётчик обнуления учтённой энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16648, 'Счётчик обнуления учтённой энергии', '', 1159, 1, 41, 'c_enerreset', 443, 448);
-- Добавление параметра прибора "Дата последнего обнуления учтённой энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16649, 'Дата последнего обнуления учтённой энергии', '', 1159, 1, 42, 'c_enerresetd', 443, 448);
-- Добавление параметра прибора "Номинальное напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16650, 'Номинальное напряжение', '', 1159, 1, 43, 'c_nomU', 443, 448);
-- Добавление параметра прибора "Номинальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16651, 'Номинальный ток', '', 1159, 1, 44, 'c_nomI', 443, 448);
-- Добавление параметра прибора "Номинальная частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16652, 'Номинальная частота', '', 1159, 1, 45, 'c_nomF', 443, 448);
-- Добавление параметра прибора "Максимальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16653, 'Максимальный ток', '', 1159, 1, 46, 'c_maxI', 443, 448);
-- Добавление параметра прибора "Коэффициент трансформации по напряжению"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16654, 'Коэффициент трансформации по напряжению', '', 1159, 1, 47, 'i_Ucf', 443, 448);
-- Добавление параметра прибора "Коэффициент трансформации по току"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16655, 'Коэффициент трансформации по току', '', 1159, 1, 48, 'i_Icf', 443, 448);
-- Добавление параметра прибора "Согласованное напряжение питания"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16656, 'Согласованное напряжение питания', '', 1159, 1, 49, 'c_conU', 443, 448);
-- Добавление параметра прибора "Интервал интегрирования 2 параметров сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16657, 'Интервал интегрирования 2 параметров сети', '', 1159, 1, 50, 'recperiod', 443, 448);
-- Добавление параметра прибора "Текущее состояние инициативного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16658, 'Текущее состояние инициативного выхода', '', 1159, 1, 51, '0.0.97.98.0.255', 443, 448);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1160, 'Параметры учёта', '', 443, 0);

-- Добавление параметра прибора "Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16659, 'Полная мощность', '', 1160, 1, 52, 'S', 443, 385);
-- Добавление параметра прибора "Макс. мощность на расчётном периоде"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16660, 'Макс. мощность на расчётном периоде', '', 1160, 1, 53, 'SPmax', 443, 392);
-- Добавление параметра прибора "Мин. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16661, 'Мин. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1160, 1, 54, 'Smin', 443, 392);
-- Добавление параметра прибора "Макс. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16662, 'Макс. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1160, 1, 55, 'Smax', 443, 392);
-- Добавление параметра прибора "Активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16663, 'Активная мощность', '', 1160, 1, 56, 'P', 443, 385);
-- Добавление параметра прибора "Мин. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16664, 'Мин. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1160, 1, 57, 'Pmin', 443, 392);
-- Добавление параметра прибора "Макс. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16665, 'Макс. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1160, 1, 58, 'Pmax', 443, 392);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16666, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2', '', 1160, 1, 59, 'Pavg', 443, 392);
-- Добавление параметра прибора "Суточное значение макс. активной мощности на интервале интегр. 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16667, 'Суточное значение макс. активной мощности на интервале интегр. 2', '', 1160, 1, 60, 'Pmaxdi2', 443, 388);
-- Добавление параметра прибора "Суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16668, 'Суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок', '', 1160, 1, 61, 'Pmaxdi2ppn', 443, 388);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16669, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок', '', 1160, 1, 62, 'Pmaxavg', 443, 136);
-- Добавление параметра прибора "Коэффициент мощности общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16670, 'Коэффициент мощности общий', '', 1160, 1, 63, 'PF', 443, 385);
-- Добавление параметра прибора "Реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16671, 'Реактивная мощность', '', 1160, 1, 64, 'Q', 443, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности tg ф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16672, 'Коэффициент реактивной мощности tg ф', '', 1160, 1, 65, 'PFQ', 443, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности tg ф, макс. значение на интервале интегр. 2 за расч. период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16673, 'Коэффициент реактивной мощности tg ф, макс. значение на интервале интегр. 2 за расч. период', '', 1160, 1, 66, 'PFQmax', 443, 392);
-- Добавление параметра прибора "Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16674, 'Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1160, 1, 67, 'tgfmin', 443, 392);
-- Добавление параметра прибора "Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16675, 'Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1160, 1, 68, 'tgfmax', 443, 392);
-- Добавление параметра прибора "Текущее состояние инициативного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16676, 'Текущее состояние инициативного выхода', '', 1160, 1, 69, 'flags', 443, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1161, 'Энергия', '', 443, 0);

-- Добавление параметра прибора "Полная энергия"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16677, 'Полная энергия', '', 1161, 1, 70, 'E', 443, 392);
-- Добавление параметра прибора "Полная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16678, 'Полная энергия, импорт за период записи', '', 1161, 1, 71, 'PP_Pimp', 443, 434);
-- Добавление параметра прибора "Полная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16679, 'Полная энергия, экспорт за период записи', '', 1161, 1, 72, 'PP_Pexp', 443, 434);
-- Добавление параметра прибора "Активная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16680, 'Активная энергия, импорт', '', 1161, 1, 73, 'A+imp', 443, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16681, 'Активная энергия, импорт по 1 тарифу', '', 1161, 1, 74, 'A+imp1', 443, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16682, 'Активная энергия, импорт по 2 тарифу', '', 1161, 1, 75, 'A+imp2', 443, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16683, 'Активная энергия, импорт по 3 тарифу', '', 1161, 1, 76, 'A+imp3', 443, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16684, 'Активная энергия, импорт по 4 тарифу', '', 1161, 1, 77, 'A+imp4', 443, 397);
-- Добавление параметра прибора "Активная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16685, 'Активная энергия, импорт за период записи', '', 1161, 1, 78, 'PP_A+imp', 443, 434);
-- Добавление параметра прибора "Активная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16686, 'Активная энергия, экспорт', '', 1161, 1, 79, 'A+exp', 443, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16687, 'Активная энергия, экспорт по 1 тарифу', '', 1161, 1, 80, 'A+exp1', 443, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16688, 'Активная энергия, экспорт по 2 тарифу', '', 1161, 1, 81, 'A+exp2', 443, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16689, 'Активная энергия, экспорт по 3 тарифу', '', 1161, 1, 82, 'A+exp3', 443, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16690, 'Активная энергия, экспорт по 4 тарифу', '', 1161, 1, 83, 'A+exp4', 443, 397);
-- Добавление параметра прибора "Активная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16691, 'Активная энергия, экспорт за период записи', '', 1161, 1, 84, 'PP_A+exp', 443, 434);
-- Добавление параметра прибора "Реактивная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16692, 'Реактивная энергия, импорт', '', 1161, 1, 85, 'R-imp', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16693, 'Реактивная энергия, импорт по 1 тарифу', '', 1161, 1, 86, 'R-imp1', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16694, 'Реактивная энергия, импорт по 2 тарифу', '', 1161, 1, 87, 'R-imp2', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16695, 'Реактивная энергия, импорт по 3 тарифу', '', 1161, 1, 88, 'R-imp3', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16696, 'Реактивная энергия, импорт по 4 тарифу', '', 1161, 1, 89, 'R-imp4', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16697, 'Реактивная энергия, импорт за период записи', '', 1161, 1, 90, 'PP_R-imp', 443, 434);
-- Добавление параметра прибора "Реактивная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16698, 'Реактивная энергия, экспорт', '', 1161, 1, 91, 'R-exp', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16699, 'Реактивная энергия, экспорт по 1 тарифу', '', 1161, 1, 92, 'R-exp1', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16700, 'Реактивная энергия, экспорт по 2 тарифу', '', 1161, 1, 93, 'R-exp2', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16701, 'Реактивная энергия, экспорт по 3 тарифу', '', 1161, 1, 94, 'R-exp3', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16702, 'Реактивная энергия, экспорт по 4 тарифу', '', 1161, 1, 95, 'R-exp4', 443, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16703, 'Реактивная энергия, экспорт за период записи', '', 1161, 1, 96, 'PP_R-exp', 443, 434);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16704, 'Удельная энергия потерь в ЛЭП', '', 1161, 1, 97, 'Eloss', 443, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16705, 'Удельная энергия потерь в ЛЭП по 1 тарифу', '', 1161, 1, 98, 'Eloss1', 443, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16706, 'Удельная энергия потерь в ЛЭП по 2 тарифу', '', 1161, 1, 99, 'Eloss2', 443, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16707, 'Удельная энергия потерь в ЛЭП по 3 тарифу', '', 1161, 1, 100, 'Eloss3', 443, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16708, 'Удельная энергия потерь в ЛЭП по 4 тарифу', '', 1161, 1, 101, 'Eloss4', 443, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16709, 'Удельная энергия потерь в ЛЭП по 5 тарифу', '', 1161, 1, 102, 'Eloss5', 443, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16710, 'Удельная энергия потерь в ЛЭП по 6 тарифу', '', 1161, 1, 103, 'Eloss6', 443, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16711, 'Удельная энергия потерь в ЛЭП по 7 тарифу', '', 1161, 1, 104, 'Eloss7', 443, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16712, 'Удельная энергия потерь в ЛЭП по 8 тарифу', '', 1161, 1, 105, 'Eloss8', 443, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16713, 'Удельная энергия потерь в силовых трансформаторах', '', 1161, 1, 106, 'CVsh', 443, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16714, 'Удельная энергия потерь в силовых трансформаторах по 1 тарифу', '', 1161, 1, 107, 'CVsh1', 443, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16715, 'Удельная энергия потерь в силовых трансформаторах по 2 тарифу', '', 1161, 1, 108, 'CVsh2', 443, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16716, 'Удельная энергия потерь в силовых трансформаторах по 3 тарифу', '', 1161, 1, 109, 'CVsh3', 443, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16717, 'Удельная энергия потерь в силовых трансформаторах по 4 тарифу', '', 1161, 1, 110, 'CVsh4', 443, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16718, 'Удельная энергия потерь в силовых трансформаторах по 5 тарифу', '', 1161, 1, 111, 'CVsh5', 443, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16719, 'Удельная энергия потерь в силовых трансформаторах по 6 тарифу', '', 1161, 1, 112, 'CVsh6', 443, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16720, 'Удельная энергия потерь в силовых трансформаторах по 7 тарифу', '', 1161, 1, 113, 'CVsh7', 443, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16721, 'Удельная энергия потерь в силовых трансформаторах по 8 тарифу', '', 1161, 1, 114, 'CVsh8', 443, 385);
-- Добавление параметра прибора "Энергия A+, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16722, 'Энергия A+, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1161, 1, 115, '1.0.1.8.128.255_t3', 443, 385);
-- Добавление параметра прибора "Энергия A-, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16723, 'Энергия A-, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1161, 1, 116, '1.0.2.8.128.255_t3', 443, 385);
-- Добавление параметра прибора "Энергия R+, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16724, 'Энергия R+, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1161, 1, 117, '1.0.3.8.128.255_t3', 443, 385);
-- Добавление параметра прибора "Энергия R-, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16725, 'Энергия R-, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1161, 1, 118, '1.0.4.8.128.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Сумма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16726, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Сумма', '', 1161, 1, 119, '1.0.15.8.0.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16727, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 1', '', 1161, 1, 120, '1.0.15.8.1.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16728, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 2', '', 1161, 1, 121, '1.0.15.8.2.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16729, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 3', '', 1161, 1, 122, '1.0.15.8.3.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16730, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 4', '', 1161, 1, 123, '1.0.15.8.4.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16731, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 5', '', 1161, 1, 124, '1.0.15.8.5.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16732, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 6', '', 1161, 1, 125, '1.0.15.8.6.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16733, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 7', '', 1161, 1, 126, '1.0.15.8.7.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16734, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 8', '', 1161, 1, 127, '1.0.15.8.8.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Сумма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16735, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Сумма', '', 1161, 1, 128, '1.0.16.8.0.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16736, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 1', '', 1161, 1, 129, '1.0.16.8.1.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16737, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 2', '', 1161, 1, 130, '1.0.16.8.2.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16738, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 3', '', 1161, 1, 131, '1.0.16.8.3.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16739, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 4', '', 1161, 1, 132, '1.0.16.8.4.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16740, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 5', '', 1161, 1, 133, '1.0.16.8.5.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16741, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 6', '', 1161, 1, 134, '1.0.16.8.6.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16742, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 7', '', 1161, 1, 135, '1.0.16.8.7.255_t3', 443, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16743, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), E(li), Интеграл с начала эксплуатации до текущего момента, Тариф 8', '', 1161, 1, 136, '1.0.16.8.8.255_t3', 443, 385);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1162, 'Параметры сети', '', 443, 0);

-- Добавление параметра прибора "Напряжение фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16744, 'Напряжение фазы', '', 1162, 1, 137, 'V', 443, 435);
-- Добавление параметра прибора "Угол UI фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16745, 'Угол UI фазы', '', 1162, 1, 138, 'phiVI', 443, 385);
-- Добавление параметра прибора "Частота сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16746, 'Частота сети', '', 1162, 1, 139, 'f', 443, 385);
-- Добавление параметра прибора "Ток фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16747, 'Ток фазы', '', 1162, 1, 140, 'Iph', 443, 435);
-- Добавление параметра прибора "Ток нулевого провода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16748, 'Ток нулевого провода', '', 1162, 1, 141, 'In', 443, 435);
-- Добавление параметра прибора "Дифференциальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16749, 'Дифференциальный ток', '', 1162, 1, 142, 'Idiff', 443, 385);
-- Добавление параметра прибора "Дифференциальный ток, % от фазного тока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16750, 'Дифференциальный ток, % от фазного тока', '', 1162, 1, 143, 'Idiffperc', 443, 385);
-- Добавление параметра прибора "Статус некачественной энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16751, 'Статус некачественной энергии', '', 1162, 1, 144, 'faultes', 443, 388);
-- Добавление параметра прибора "Время некачественной частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16752, 'Время некачественной частоты', '', 1162, 1, 145, 'faultft', 443, 388);
-- Добавление параметра прибора "Статус записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16753, 'Статус записи', '', 1162, 1, 146, 'recstate', 443, 434);
-- Добавление параметра прибора "Положительное отклонение напряжения, %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16754, 'Положительное отклонение напряжения, %', '', 1162, 1, 147, 'Udevpos', 443, 385);
-- Добавление параметра прибора "Отрицательное отклонение напряжения, %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16755, 'Отрицательное отклонение напряжения, %', '', 1162, 1, 148, 'Udevneg', 443, 385);
