-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 16756 AND pr_typ_id <= 16776;

---- Прибор "Пульсар теплосчетчик стандартный" ----


---- Группа "Наладка" ----

-- Добавление параметра прибора "[EEPROM] Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16756, '[EEPROM] Глубина журнала событий', '', 1077, 1, 100, 'P0082.U64.BIT48-16', 420, 192);
  -- Обновление параметра прибора "[Импульсный выход 1] Диагностика"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный выход 1] Диагностика', "Comment" = '', "NameP2" = 'P00A4.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=101,  gr_typ_id=1077   WHERE pr_typ_id = 14613;
  -- Обновление параметра прибора "[Импульсный выход 2] Диагностика"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный выход 2] Диагностика', "Comment" = '', "NameP2" = 'P00A9.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=102,  gr_typ_id=1077   WHERE pr_typ_id = 14614;
  -- Обновление параметра прибора "[Импульсный вход] Число имп. входов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход] Число имп. входов', "Comment" = '', "NameP2" = 'P00DF.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=103,  gr_typ_id=1077   WHERE pr_typ_id = 14615;
  -- Обновление параметра прибора "[Расходомер] Вес импульса / Масштабирующий коэффициент расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Вес импульса / Масштабирующий коэффициент расхода', "Comment" = '', "NameP2" = 'P0101.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=104,  gr_typ_id=1077   WHERE pr_typ_id = 14616;
  -- Обновление параметра прибора "[Расходомер] Порог контроля расхода, MIN [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог контроля расхода, MIN [м3/ч]', "Comment" = '', "NameP2" = 'P0103.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=105,  gr_typ_id=1077   WHERE pr_typ_id = 14617;
  -- Обновление параметра прибора "[Расходомер] Порог контроля расхода, MAX [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог контроля расхода, MAX [м3/ч]', "Comment" = '', "NameP2" = 'P0104.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=106,  gr_typ_id=1077   WHERE pr_typ_id = 14618;
  -- Обновление параметра прибора "[Расходомер] Порог чувствительности расхода [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог чувствительности расхода [м3/ч]', "Comment" = '', "NameP2" = 'P0105.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=107,  gr_typ_id=1077   WHERE pr_typ_id = 14619;
  -- Обновление параметра прибора "[Расходомер] Команда тестового пролива"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Команда тестового пролива', "Comment" = '', "NameP2" = 'P0106.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=108,  gr_typ_id=1077   WHERE pr_typ_id = 14620;
  -- Обновление параметра прибора "[Расходомер] Тестовый пролив, объем [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Тестовый пролив, объем [м3]', "Comment" = '', "NameP2" = 'P0107.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=109,  gr_typ_id=1077   WHERE pr_typ_id = 14621;
  -- Обновление параметра прибора "[Расходомер] Тестовый пролив, расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Тестовый пролив, расход [м3/ч]', "Comment" = '', "NameP2" = 'P0108.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=110,  gr_typ_id=1077   WHERE pr_typ_id = 14622;
  -- Обновление параметра прибора "[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]', "Comment" = '', "NameP2" = 'P0109.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=111,  gr_typ_id=1077   WHERE pr_typ_id = 14623;
  -- Обновление параметра прибора "[Расходомер] Учёт обратного потока"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Учёт обратного потока', "Comment" = '', "NameP2" = 'P012B.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=112,  gr_typ_id=1077   WHERE pr_typ_id = 14624;
  -- Обновление параметра прибора "[Температура] Термометр 1, Rwire [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 1, Rwire [Ом]', "Comment" = '', "NameP2" = 'P0132.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=113,  gr_typ_id=1077   WHERE pr_typ_id = 14625;
  -- Обновление параметра прибора "[Температура] Термометр 2, Rwire [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 2, Rwire [Ом]', "Comment" = '', "NameP2" = 'P0133.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=114,  gr_typ_id=1077   WHERE pr_typ_id = 14626;
  -- Обновление параметра прибора "[Температура] Термометр 1, сопротивление [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 1, сопротивление [Ом]', "Comment" = '', "NameP2" = 'P0134.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=115,  gr_typ_id=1077   WHERE pr_typ_id = 14627;
  -- Обновление параметра прибора "[Температура] Термометр 2, сопротивление [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 2, сопротивление [Ом]', "Comment" = '', "NameP2" = 'P0135.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=116,  gr_typ_id=1077   WHERE pr_typ_id = 14628;
  -- Обновление параметра прибора "[Температура] Калибровка, сопротивление [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Калибровка, сопротивление [Ом]', "Comment" = '', "NameP2" = 'P0136.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=117,  gr_typ_id=1077   WHERE pr_typ_id = 14629;
  -- Обновление параметра прибора "[Температура] Калибровка, процесс"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Калибровка, процесс', "Comment" = '', "NameP2" = 'P0137.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=118,  gr_typ_id=1077   WHERE pr_typ_id = 14630;
  -- Обновление параметра прибора "[Температура] Порог перепада температур  для направления [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Порог перепада температур  для направления [°C]', "Comment" = '', "NameP2" = 'P0138.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=119,  gr_typ_id=1077   WHERE pr_typ_id = 14631;
  -- Обновление параметра прибора "[Температура] Порог перепада температур  для энергии [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Порог перепада температур  для энергии [°C]', "Comment" = '', "NameP2" = 'P0139.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=120,  gr_typ_id=1077   WHERE pr_typ_id = 14632;
  -- Обновление параметра прибора "[Температура] Термометр 1 виртуальный"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 1 виртуальный', "Comment" = '', "NameP2" = 'P013A.U8.BIT0', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=121,  gr_typ_id=1077   WHERE pr_typ_id = 14633;
  -- Обновление параметра прибора "[Температура] Термометр 2 виртуальный"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 2 виртуальный', "Comment" = '', "NameP2" = 'P013A.U8.BIT1', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=122,  gr_typ_id=1077   WHERE pr_typ_id = 14634;
  -- Обновление параметра прибора "[Температура] Температура виртуальная [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Температура виртуальная [°C]', "Comment" = '', "NameP2" = 'P013B.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=123,  gr_typ_id=1077   WHERE pr_typ_id = 14635;
  -- Обновление параметра прибора "[Температура] Калибровка сопротивления, смещение"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Калибровка сопротивления, смещение', "Comment" = '', "NameP2" = 'P013C.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=124,  gr_typ_id=1077   WHERE pr_typ_id = 14636;
  -- Обновление параметра прибора "[Температура] Калибровка сопротивления, масштаб"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Калибровка сопротивления, масштаб', "Comment" = '', "NameP2" = 'P013D.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=125,  gr_typ_id=1077   WHERE pr_typ_id = 14637;
  -- Обновление параметра прибора "[Давление] Калибровка давления, коэффициент"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Давление] Калибровка давления, коэффициент', "Comment" = '', "NameP2" = 'P0150.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=126,  gr_typ_id=1077   WHERE pr_typ_id = 14638;
  -- Обновление параметра прибора "[Давление] Номинальное давление, x100"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Давление] Номинальное давление, x100', "Comment" = '', "NameP2" = 'P0151.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=127,  gr_typ_id=1077   WHERE pr_typ_id = 14639;
  -- Обновление параметра прибора "[Энергия] Единицы измерения энергии"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Энергия] Единицы измерения энергии', "Comment" = '', "NameP2" = 'P0171.U8.BIT0-3', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=128,  gr_typ_id=1077   WHERE pr_typ_id = 14640;
  -- Обновление параметра прибора "[Энергия] Установка на обратной трубе"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Энергия] Установка на обратной трубе', "Comment" = '', "NameP2" = 'P0171.U8.BIT3', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=129,  gr_typ_id=1077   WHERE pr_typ_id = 14641;
  -- Обновление параметра прибора "[Энергия] Тип прибора"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Энергия] Тип прибора', "Comment" = '', "NameP2" = 'P0171.U8.BIT4-3', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=130,  gr_typ_id=1077   WHERE pr_typ_id = 14642;
  -- Обновление параметра прибора "[Энергия] Блокировка смены места установки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Энергия] Блокировка смены места установки', "Comment" = '', "NameP2" = 'P0172.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=131,  gr_typ_id=1077   WHERE pr_typ_id = 14643;
  -- Обновление параметра прибора "[Индукт. расх. (общее)] Дроссель 1, добротность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Индукт. расх. (общее)] Дроссель 1, добротность', "Comment" = '', "NameP2" = 'P01A0.U8', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=132,  gr_typ_id=1077   WHERE pr_typ_id = 14644;
  -- Обновление параметра прибора "[Индукт. расх. (общее)] Дроссель 2, добротность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Индукт. расх. (общее)] Дроссель 2, добротность', "Comment" = '', "NameP2" = 'P01A1.U8', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=133,  gr_typ_id=1077   WHERE pr_typ_id = 14645;
  -- Обновление параметра прибора "[Индукт. расх. (общее)] Автонастройка порогов, процесс"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Индукт. расх. (общее)] Автонастройка порогов, процесс', "Comment" = '', "NameP2" = 'P01A2.U8', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=134,  gr_typ_id=1077   WHERE pr_typ_id = 14646;
  -- Обновление параметра прибора "[Индукт. расх. (общее)] Qmin"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Индукт. расх. (общее)] Qmin', "Comment" = '', "NameP2" = 'P01A3.U32.BIT0-8', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=135,  gr_typ_id=1077   WHERE pr_typ_id = 14647;
  -- Обновление параметра прибора "[Индукт. расх. (общее)] Qmax"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Индукт. расх. (общее)] Qmax', "Comment" = '', "NameP2" = 'P01A3.U32.BIT8-8', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=136,  gr_typ_id=1077   WHERE pr_typ_id = 14648;
  -- Обновление параметра прибора "[Индукт. расх. (общее)] Qdiff"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Индукт. расх. (общее)] Qdiff', "Comment" = '', "NameP2" = 'P01A3.U32.BIT16-8', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=137,  gr_typ_id=1077   WHERE pr_typ_id = 14649;
  -- Обновление параметра прибора "[Индукт. расх. (общее)] Qhyst"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Индукт. расх. (общее)] Qhyst', "Comment" = '', "NameP2" = 'P01A3.U32.BIT24-8', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=138,  gr_typ_id=1077   WHERE pr_typ_id = 14650;
  -- Обновление параметра прибора "[Индукт. расх. (EFM)] Частота сканирования [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Индукт. расх. (EFM)] Частота сканирования [Гц]', "Comment" = '', "NameP2" = 'P0201.U16', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=139,  gr_typ_id=1077   WHERE pr_typ_id = 14651;
  -- Обновление параметра прибора "[УЗ расх.] Безразмерный расход"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Безразмерный расход', "Comment" = '', "NameP2" = 'P0240.F32', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=140,  gr_typ_id=1077   WHERE pr_typ_id = 14652;
  -- Обновление параметра прибора "[УЗ расх.] Уровень УЗ [В]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Уровень УЗ [В]', "Comment" = '', "NameP2" = 'P0241.F32', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=141,  gr_typ_id=1077   WHERE pr_typ_id = 14653;
  -- Обновление параметра прибора "[УЗ расх.] Процент ошибочных измерений"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Процент ошибочных измерений', "Comment" = '', "NameP2" = 'P0242.U8', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=142,  gr_typ_id=1077   WHERE pr_typ_id = 14654;
  -- Обновление параметра прибора "[УЗ расх.] Период УЗ измерений [мс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Период УЗ измерений [мс]', "Comment" = '', "NameP2" = 'P0243.U32', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=143,  gr_typ_id=1077   WHERE pr_typ_id = 14655;
  -- Обновление параметра прибора "[УЗ расх.] Время УЗ по потоку (DNS) [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Время УЗ по потоку (DNS) [мкс]', "Comment" = '', "NameP2" = 'P0244.F32', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=144,  gr_typ_id=1077   WHERE pr_typ_id = 14656;
  -- Обновление параметра прибора "[УЗ расх.] Время УЗ против потока (UPS) [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Время УЗ против потока (UPS) [мкс]', "Comment" = '', "NameP2" = 'P0245.F32', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=145,  gr_typ_id=1077   WHERE pr_typ_id = 14657;
  -- Обновление параметра прибора "[УЗ расх.] Время УЗ дифференциальное [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Время УЗ дифференциальное [мкс]', "Comment" = '', "NameP2" = 'P0246.F32', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=146,  gr_typ_id=1077   WHERE pr_typ_id = 14658;
  -- Обновление параметра прибора "[УЗ расх.] Абсолютное смещение времени УЗ [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Абсолютное смещение времени УЗ [мкс]', "Comment" = '', "NameP2" = 'P0247.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=147,  gr_typ_id=1077   WHERE pr_typ_id = 14659;
  -- Обновление параметра прибора "[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]', "Comment" = '', "NameP2" = 'P0248.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=148,  gr_typ_id=1077   WHERE pr_typ_id = 14660;
  -- Обновление параметра прибора "[УЗ расх.] Количество импульсов зондирования"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Количество импульсов зондирования', "Comment" = '', "NameP2" = 'P0249.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=149,  gr_typ_id=1077   WHERE pr_typ_id = 14661;
  -- Обновление параметра прибора "[УЗ расх.] Крит. уровень отклонения диф. времени УЗ"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Крит. уровень отклонения диф. времени УЗ', "Comment" = '', "NameP2" = 'P024A.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=150,  gr_typ_id=1077   WHERE pr_typ_id = 14662;
  -- Обновление параметра прибора "[УЗ расх.] Коэф. экспоненциального фильтра  (1.0 - сквозной)"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Коэф. экспоненциального фильтра  (1.0 - сквозной)', "Comment" = '', "NameP2" = 'P024C.F32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=151,  gr_typ_id=1077   WHERE pr_typ_id = 14663;
-- Добавление параметра прибора "[УЗ расх.] Калибровка 0, абс. смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16757, '[УЗ расх.] Калибровка 0, абс. смещение времени УЗ [мкс]', '', 1077, 1, 152, 'P024D.F32', 420, 192);
-- Добавление параметра прибора "[УЗ расх.] Калибровка 0, диф. смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16758, '[УЗ расх.] Калибровка 0, диф. смещение времени УЗ [мкс]', '', 1077, 1, 153, 'P024E.F32', 420, 192);
-- Добавление параметра прибора "[УЗ расх.] Усреднённое t1/T по потоку"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16759, '[УЗ расх.] Усреднённое t1/T по потоку', '', 1077, 1, 154, 'P0270.F32', 420, 448);
-- Добавление параметра прибора "[УЗ расх.] Усреднённое t1/T против потока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16760, '[УЗ расх.] Усреднённое t1/T против потока', '', 1077, 1, 155, 'P0271.F32', 420, 448);
-- Добавление параметра прибора "[УЗ расх.] Уставка t1/T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16761, '[УЗ расх.] Уставка t1/T', '', 1077, 1, 156, 'P0273.F32', 420, 192);
-- Добавление параметра прибора "[УЗ расх.] Критический уровень t1/T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16762, '[УЗ расх.] Критический уровень t1/T', '', 1077, 1, 157, 'P0272.F32', 420, 192);
-- Добавление параметра прибора "[УЗ расх.] Текущий уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16763, '[УЗ расх.] Текущий уровень компаратора', '', 1077, 1, 158, 'P0274.F32', 420, 192);
-- Добавление параметра прибора "[УЗ расх.] Режим измерения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16764, '[УЗ расх.] Режим измерения', '', 1077, 1, 159, 'P0275.F32', 420, 192);
-- Добавление параметра прибора "[УЗ расх.] Знач. коррекции TOF по скорости УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16765, '[УЗ расх.] Знач. коррекции TOF по скорости УЗ [мкс]', '', 1077, 1, 160, 'P0277.F32', 420, 448);
-- Добавление параметра прибора "[УЗ расх.] TOF, рассчитанное по скорости УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16766, '[УЗ расх.] TOF, рассчитанное по скорости УЗ [мкс]', '', 1077, 1, 161, 'P0278.F32', 420, 448);
  -- Обновление параметра прибора "[Радиомодуль] Режим передачи маркеров"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Радиомодуль] Режим передачи маркеров', "Comment" = '', "NameP2" = 'P0404.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=162,  gr_typ_id=1077   WHERE pr_typ_id = 14664;
  -- Обновление параметра прибора "[Радиомодуль] RF кварц, вывод частоты"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Радиомодуль] RF кварц, вывод частоты', "Comment" = '', "NameP2" = 'P0405.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=163,  gr_typ_id=1077   WHERE pr_typ_id = 14665;
  -- Обновление параметра прибора "[Радиомодуль] RF кварц, измеренная частота [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Радиомодуль] RF кварц, измеренная частота [Гц]', "Comment" = '', "NameP2" = 'P0406.U32', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=164,  gr_typ_id=1077   WHERE pr_typ_id = 14666;
  -- Обновление параметра прибора "[Радиомодуль] RF кварц, нагрузочные конденсаторы"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Радиомодуль] RF кварц, нагрузочные конденсаторы', "Comment" = '', "NameP2" = 'P0407.U8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=165,  gr_typ_id=1077   WHERE pr_typ_id = 14667;
  -- Обновление параметра прибора "[LoRaWAN] Идентификатор последней сети"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[LoRaWAN] Идентификатор последней сети', "Comment" = '', "NameP2" = 'P11F1.U64.BIT0-16', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=166,  gr_typ_id=1077   WHERE pr_typ_id = 14668;
  -- Обновление параметра прибора "[LoRaWAN] RSSI подключенной сети [дБм]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[LoRaWAN] RSSI подключенной сети [дБм]', "Comment" = '', "NameP2" = 'P11F1.U64.BIT16-16', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=167,  gr_typ_id=1077   WHERE pr_typ_id = 14669;
  -- Обновление параметра прибора "[LoRaWAN] Текущая скорость передачи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[LoRaWAN] Текущая скорость передачи', "Comment" = '', "NameP2" = 'P11F1.U64.BIT32-8', dev_typ_id = 420, "SupportData" = 320,  "typ_dat_Arh"=168,  gr_typ_id=1077   WHERE pr_typ_id = 14670;
  -- Обновление параметра прибора "[LoRaWAN] Текущая мощность передатчика [дБм]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[LoRaWAN] Текущая мощность передатчика [дБм]', "Comment" = '', "NameP2" = 'P11F1.U64.BIT40-8', dev_typ_id = 420, "SupportData" = 64,  "typ_dat_Arh"=169,  gr_typ_id=1077   WHERE pr_typ_id = 14671;

---- Прибор "Пульсар теплосчётчик общедомовой стандартный v1" ----


---- Группа "Настроечные" ----

  -- Обновление параметра прибора "Переход на лето - день"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Переход на лето - день', "Comment" = '', "NameP2" = 'P0033.U16.BIT0-8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=1,  gr_typ_id=1153   WHERE pr_typ_id = 16472;
  -- Обновление параметра прибора "Переход на зиму - месяц"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Переход на зиму - месяц', "Comment" = '', "NameP2" = 'P0032.U16.BIT8-8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=2,  gr_typ_id=1153   WHERE pr_typ_id = 16473;
  -- Обновление параметра прибора "Переход на зиму - день"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Переход на зиму - день', "Comment" = '', "NameP2" = 'P0032.U16.BIT0-8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=3,  gr_typ_id=1153   WHERE pr_typ_id = 16474;
  -- Обновление параметра прибора "[Температура] Температура среды [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Температура среды [°C]', "Comment" = '', "NameP2" = 'P0131.S8', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=4,  gr_typ_id=1153   WHERE pr_typ_id = 16475;
  -- Обновление параметра прибора "[Температура] Температура хол. воды (зима) [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Температура хол. воды (зима) [°C]', "Comment" = '', "NameP2" = 'P013B.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=5,  gr_typ_id=1153   WHERE pr_typ_id = 16494;
  -- Обновление параметра прибора "[Температура] Температура хол. воды (лето) [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Температура хол. воды (лето) [°C]', "Comment" = '', "NameP2" = 'P013E.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=6,  gr_typ_id=1153   WHERE pr_typ_id = 16495;
  -- Обновление параметра прибора "[UART/RS485/MBUS] Настройки скорости"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[UART/RS485/MBUS] Настройки скорости', "Comment" = '', "NameP2" = 'P00F0.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=7,  gr_typ_id=1153   WHERE pr_typ_id = 16476;
  -- Обновление параметра прибора "[M-Bus] Сетевой адрес"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[M-Bus] Сетевой адрес', "Comment" = '', "NameP2" = 'P00E0.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=8,  gr_typ_id=1153   WHERE pr_typ_id = 16477;
  -- Обновление параметра прибора "[Импульсный вход 4] Минимальный импульс [мс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход 4] Минимальный импульс [мс]', "Comment" = '', "NameP2" = 'P00CA.U16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=9,  gr_typ_id=1153   WHERE pr_typ_id = 16478;
  -- Обновление параметра прибора "[Импульсный вход 4] Вес испульса [м3/имп]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход 4] Вес испульса [м3/имп]', "Comment" = '', "NameP2" = 'P00C9.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=10,  gr_typ_id=1153   WHERE pr_typ_id = 16479;
  -- Обновление параметра прибора "[Импульсный вход 3] Минимальный импульс [мс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход 3] Минимальный импульс [мс]', "Comment" = '', "NameP2" = 'P00C7.U16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=11,  gr_typ_id=1153   WHERE pr_typ_id = 16480;
  -- Обновление параметра прибора "[Импульсный вход 3] Вес испульса [м3/имп]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход 3] Вес испульса [м3/имп]', "Comment" = '', "NameP2" = 'P00C6.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=12,  gr_typ_id=1153   WHERE pr_typ_id = 16481;
  -- Обновление параметра прибора "[Импульсный вход 2] Минимальный импульс [мс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход 2] Минимальный импульс [мс]', "Comment" = '', "NameP2" = 'P00C4.U16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=13,  gr_typ_id=1153   WHERE pr_typ_id = 16482;
  -- Обновление параметра прибора "[Импульсный вход 2] Вес испульса [м3/имп]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход 2] Вес испульса [м3/имп]', "Comment" = '', "NameP2" = 'P00C3.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=14,  gr_typ_id=1153   WHERE pr_typ_id = 16483;
  -- Обновление параметра прибора "[Импульсный вход 1] Минимальный импульс [мс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход 1] Минимальный импульс [мс]', "Comment" = '', "NameP2" = 'P00C1.U16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=15,  gr_typ_id=1153   WHERE pr_typ_id = 16484;
  -- Обновление параметра прибора "[Импульсный вход 1] Вес испульса [м3/имп]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход 1] Вес испульса [м3/имп]', "Comment" = '', "NameP2" = 'P00C0.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=16,  gr_typ_id=1153   WHERE pr_typ_id = 16485;
  -- Обновление параметра прибора "[Импульсный выход 1] Длительность импульса/паузы [мС]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный выход 1] Длительность импульса/паузы [мС]', "Comment" = '', "NameP2" = 'P00A2.U16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=17,  gr_typ_id=1153   WHERE pr_typ_id = 16486;
  -- Обновление параметра прибора "[Импульсный выход 1] Вес импульса [м3/имп.]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный выход 1] Вес импульса [м3/имп.]', "Comment" = '', "NameP2" = 'P00A1.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=18,  gr_typ_id=1153   WHERE pr_typ_id = 16487;
  -- Обновление параметра прибора "[Импульсный выход 1] Режим"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный выход 1] Режим', "Comment" = '', "NameP2" = 'P00A0.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=19,  gr_typ_id=1153   WHERE pr_typ_id = 16488;
  -- Обновление параметра прибора "[Батарея] Напряжение [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Напряжение [мВ]', "Comment" = '', "NameP2" = 'P0040.U16', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=20,  gr_typ_id=1153   WHERE pr_typ_id = 16489;
  -- Обновление параметра прибора "Автопереход зима/лето"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Автопереход зима/лето', "Comment" = '', "NameP2" = 'P0009.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=21,  gr_typ_id=1153   WHERE pr_typ_id = 16490;
  -- Обновление параметра прибора "Версия ПО"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Версия ПО', "Comment" = '', "NameP2" = '__VERSION_INTERNAL', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=22,  gr_typ_id=1153   WHERE pr_typ_id = 16491;
  -- Обновление параметра прибора "Заводской номер"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Заводской номер', "Comment" = '', "NameP2" = 'P0003.U32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=23,  gr_typ_id=1153   WHERE pr_typ_id = 16492;
  -- Обновление параметра прибора "Сетевой адрес"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сетевой адрес', "Comment" = '', "NameP2" = 'P0001.U32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=24,  gr_typ_id=1153   WHERE pr_typ_id = 16493;

---- Группа "Наладка" ----

  -- Обновление параметра прибора "Количество сбросов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Количество сбросов', "Comment" = '', "NameP2" = 'P0004.U16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=25,  gr_typ_id=1154   WHERE pr_typ_id = 16496;
  -- Обновление параметра прибора "Причина сброса"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Причина сброса', "Comment" = '', "NameP2" = 'P0005.U8', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=26,  gr_typ_id=1154   WHERE pr_typ_id = 16529;
  -- Обновление параметра прибора "[Температура] Порог перепада температур  для энергии [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Порог перепада температур  для энергии [°C]', "Comment" = '', "NameP2" = 'P0139.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=27,  gr_typ_id=1154   WHERE pr_typ_id = 16497;
  -- Обновление параметра прибора "[Температура] Порог перепада температур для направления [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Порог перепада температур для направления [°C]', "Comment" = '', "NameP2" = 'P0138.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=28,  gr_typ_id=1154   WHERE pr_typ_id = 16510;
  -- Обновление параметра прибора "[Температура] Термометр 1 виртуальный"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 1 виртуальный', "Comment" = '', "NameP2" = 'P013A.U8.BIT0', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=29,  gr_typ_id=1154   WHERE pr_typ_id = 16498;
  -- Обновление параметра прибора "[Температура] Термометр 2 виртуальный"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 2 виртуальный', "Comment" = '', "NameP2" = 'P013A.U8.BIT1', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=30,  gr_typ_id=1154   WHERE pr_typ_id = 16499;
  -- Обновление параметра прибора "[Температура] Калибровка, сопротивление [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Калибровка, сопротивление [Ом]', "Comment" = '', "NameP2" = 'P0136.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=31,  gr_typ_id=1154   WHERE pr_typ_id = 16542;
  -- Обновление параметра прибора "[Температура] Калибровка, процесс"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Калибровка, процесс', "Comment" = '', "NameP2" = 'P0137.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=32,  gr_typ_id=1154   WHERE pr_typ_id = 16527;
  -- Обновление параметра прибора "[Температура] Калибровка сопротивления, смещение"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Калибровка сопротивления, смещение', "Comment" = '', "NameP2" = 'P013C.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=33,  gr_typ_id=1154   WHERE pr_typ_id = 16500;
  -- Обновление параметра прибора "[Температура] Калибровка сопротивления, масштаб"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Калибровка сопротивления, масштаб', "Comment" = '', "NameP2" = 'P013D.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=34,  gr_typ_id=1154   WHERE pr_typ_id = 16501;
  -- Обновление параметра прибора "[Температура] Термометр 1, сопротивление [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 1, сопротивление [Ом]', "Comment" = '', "NameP2" = 'P0134.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=35,  gr_typ_id=1154   WHERE pr_typ_id = 16556;
  -- Обновление параметра прибора "[Температура] Термометр 2, сопротивление [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 2, сопротивление [Ом]', "Comment" = '', "NameP2" = 'P0135.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=36,  gr_typ_id=1154   WHERE pr_typ_id = 16528;
  -- Обновление параметра прибора "[Температура] Термометр 1, Rwire [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 1, Rwire [Ом]', "Comment" = '', "NameP2" = 'P0132.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=37,  gr_typ_id=1154   WHERE pr_typ_id = 16554;
  -- Обновление параметра прибора "[Температура] Термометр 2, Rwire [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Температура] Термометр 2, Rwire [Ом]', "Comment" = '', "NameP2" = 'P0133.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=38,  gr_typ_id=1154   WHERE pr_typ_id = 16555;
  -- Обновление параметра прибора "[Давление] Калибровка давления, коэффициент"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Давление] Калибровка давления, коэффициент', "Comment" = '', "NameP2" = 'P0150.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=39,  gr_typ_id=1154   WHERE pr_typ_id = 16502;
  -- Обновление параметра прибора "[Давление] Номинальное давление, x100"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Давление] Номинальное давление, x100', "Comment" = '', "NameP2" = 'P0151.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=40,  gr_typ_id=1154   WHERE pr_typ_id = 16503;
  -- Обновление параметра прибора "[Энергия] Единицы измерения энергии"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Энергия] Единицы измерения энергии', "Comment" = '', "NameP2" = 'P0171.U8.BIT0-3', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=41,  gr_typ_id=1154   WHERE pr_typ_id = 16504;
  -- Обновление параметра прибора "[Энергия] Установка на обратной трубе"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Энергия] Установка на обратной трубе', "Comment" = '', "NameP2" = 'P0171.U8.BIT3', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=42,  gr_typ_id=1154   WHERE pr_typ_id = 16505;
  -- Обновление параметра прибора "[Энергия] Блокировка смены места установки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Энергия] Блокировка смены места установки', "Comment" = '', "NameP2" = 'P0172.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=43,  gr_typ_id=1154   WHERE pr_typ_id = 16506;
  -- Обновление параметра прибора "[Энергия] Формула расчёта энергий"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Энергия] Формула расчёта энергий', "Comment" = '', "NameP2" = 'P0173.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=44,  gr_typ_id=1154   WHERE pr_typ_id = 16519;
  -- Обновление параметра прибора "[Энергия] Метод контроля энергий"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Энергия] Метод контроля энергий', "Comment" = '', "NameP2" = 'P0174.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=45,  gr_typ_id=1154   WHERE pr_typ_id = 16518;
  -- Обновление параметра прибора "[УЗ расх.] Безразмерный расход"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Безразмерный расход', "Comment" = '', "NameP2" = 'P0240.F32', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=46,  gr_typ_id=1154   WHERE pr_typ_id = 16507;
  -- Обновление параметра прибора "[УЗ расх.] Уровень УЗ [В]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Уровень УЗ [В]', "Comment" = '', "NameP2" = 'P0241.F32', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=47,  gr_typ_id=1154   WHERE pr_typ_id = 16508;
  -- Обновление параметра прибора "[УЗ расх.] Процент ошибочных измерений"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Процент ошибочных измерений', "Comment" = '', "NameP2" = 'P0242.U8', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=48,  gr_typ_id=1154   WHERE pr_typ_id = 16509;
  -- Обновление параметра прибора "[УЗ расх.] Период УЗ измерений [мс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Период УЗ измерений [мс]', "Comment" = '', "NameP2" = 'P0243.U32', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=49,  gr_typ_id=1154   WHERE pr_typ_id = 16511;
  -- Обновление параметра прибора "[УЗ расх.] Время УЗ по потоку (DNS) [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Время УЗ по потоку (DNS) [мкс]', "Comment" = '', "NameP2" = 'P0244.F32', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=50,  gr_typ_id=1154   WHERE pr_typ_id = 16525;
  -- Обновление параметра прибора "[УЗ расх.] Время УЗ против потока (UPS) [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Время УЗ против потока (UPS) [мкс]', "Comment" = '', "NameP2" = 'P0245.F32', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=51,  gr_typ_id=1154   WHERE pr_typ_id = 16512;
  -- Обновление параметра прибора "[УЗ расх.] Время УЗ дифференциальное [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Время УЗ дифференциальное [мкс]', "Comment" = '', "NameP2" = 'P0246.F32', dev_typ_id = 438, "SupportData" = 448,  "typ_dat_Arh"=52,  gr_typ_id=1154   WHERE pr_typ_id = 16513;
  -- Обновление параметра прибора "[УЗ расх.] Абсолютное смещение времени УЗ [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Абсолютное смещение времени УЗ [мкс]', "Comment" = '', "NameP2" = 'P0247.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=53,  gr_typ_id=1154   WHERE pr_typ_id = 16514;
  -- Обновление параметра прибора "[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]', "Comment" = '', "NameP2" = 'P0248.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=54,  gr_typ_id=1154   WHERE pr_typ_id = 16515;
  -- Обновление параметра прибора "[УЗ расх.] Количество импульсов зондирования"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Количество импульсов зондирования', "Comment" = '', "NameP2" = 'P0249.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=55,  gr_typ_id=1154   WHERE pr_typ_id = 16516;
  -- Обновление параметра прибора "[УЗ расх.] Крит. уровень отклонения диф. времени УЗ"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Крит. уровень отклонения диф. времени УЗ', "Comment" = '', "NameP2" = 'P024A.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=56,  gr_typ_id=1154   WHERE pr_typ_id = 16517;
-- Добавление параметра прибора "[УЗ расх.] Калибровка 0, абс. смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16767, '[УЗ расх.] Калибровка 0, абс. смещение времени УЗ [мкс]', '', 1154, 1, 57, 'P024D.F32', 438, 192);
  -- Обновление параметра прибора "[УЗ расх.] Калибровка 0, диф. смещение времени УЗ [мкс]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[УЗ расх.] Калибровка 0, диф. смещение времени УЗ [мкс]', "Comment" = '', "NameP2" = 'P024E.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=58,  gr_typ_id=1154   WHERE pr_typ_id = 16526;
-- Добавление параметра прибора "[УЗ расх.] Усреднённое t1/T по потоку"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16768, '[УЗ расх.] Усреднённое t1/T по потоку', '', 1154, 1, 59, 'P0270.F32', 438, 448);
-- Добавление параметра прибора "[УЗ расх.] Усреднённое t1/T против потока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16769, '[УЗ расх.] Усреднённое t1/T против потока', '', 1154, 1, 60, 'P0271.F32', 438, 448);
-- Добавление параметра прибора "[УЗ расх.] Критический уровень t1/T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16770, '[УЗ расх.] Критический уровень t1/T', '', 1154, 1, 61, 'P0272.F32', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Уставка t1/T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16771, '[УЗ расх.] Уставка t1/T', '', 1154, 1, 62, 'P0273.F32', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Текущий уровень компаратора [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16772, '[УЗ расх.] Текущий уровень компаратора [мВ]', '', 1154, 1, 63, 'P0274.F32', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Режим измерения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16773, '[УЗ расх.] Режим измерения', '', 1154, 1, 64, 'P0275.F32', 438, 192);
-- Добавление параметра прибора "[УЗ расх.] Знач. коррекции TOF по скорости УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16774, '[УЗ расх.] Знач. коррекции TOF по скорости УЗ [мкс]', '', 1154, 1, 65, 'P0277.F32', 438, 448);
-- Добавление параметра прибора "[УЗ расх.] TOF, рассчитанное по скорости УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16775, '[УЗ расх.] TOF, рассчитанное по скорости УЗ [мкс]', '', 1154, 1, 66, 'P0278.F32', 438, 448);
  -- Обновление параметра прибора "[Масса] Метод контроля масс"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Масса] Метод контроля масс', "Comment" = '', "NameP2" = 'P0301.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=67,  gr_typ_id=1154   WHERE pr_typ_id = 16520;
  -- Обновление параметра прибора "[Масса] Макс. порог небаланса масс"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Масса] Макс. порог небаланса масс', "Comment" = '', "NameP2" = 'P0300.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=68,  gr_typ_id=1154   WHERE pr_typ_id = 16558;
  -- Обновление параметра прибора "Наработка с ошибками. Маска"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Наработка с ошибками. Маска', "Comment" = '', "NameP2" = 'P0007.U16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=69,  gr_typ_id=1154   WHERE pr_typ_id = 16530;
  -- Обновление параметра прибора "[Батарея] Порог: разряжена [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Порог: разряжена [мВ]', "Comment" = '', "NameP2" = 'P0041.U64.BIT0-16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=70,  gr_typ_id=1154   WHERE pr_typ_id = 16531;
  -- Обновление параметра прибора "[Батарея] Порог: скоро разрядится [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Порог: скоро разрядится [мВ]', "Comment" = '', "NameP2" = 'P0041.U64.BIT16-16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=71,  gr_typ_id=1154   WHERE pr_typ_id = 16532;
  -- Обновление параметра прибора "[Батарея] Порог: полностью заряжена [мВ]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Порог: полностью заряжена [мВ]', "Comment" = '', "NameP2" = 'P0041.U64.BIT32-16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=72,  gr_typ_id=1154   WHERE pr_typ_id = 16533;
  -- Обновление параметра прибора "[Батарея] Калибровка напряжения. Смещение"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Калибровка напряжения. Смещение', "Comment" = '', "NameP2" = 'P0042.S16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=73,  gr_typ_id=1154   WHERE pr_typ_id = 16534;
  -- Обновление параметра прибора "[Батарея] Калибровка напряжения. Коэффициент x1000"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Батарея] Калибровка напряжения. Коэффициент x1000', "Comment" = '', "NameP2" = 'P0043.U16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=74,  gr_typ_id=1154   WHERE pr_typ_id = 16535;
  -- Обновление параметра прибора "[Часовой кварц] Вывод частоты"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Часовой кварц] Вывод частоты', "Comment" = '', "NameP2" = 'P0060.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=75,  gr_typ_id=1154   WHERE pr_typ_id = 16536;
  -- Обновление параметра прибора "[Часовой кварц] Измеренная частота [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Часовой кварц] Измеренная частота [Гц]', "Comment" = '', "NameP2" = 'P0061.U16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=76,  gr_typ_id=1154   WHERE pr_typ_id = 16537;
  -- Обновление параметра прибора "[EEPROM] Размер EEPROM"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[EEPROM] Размер EEPROM', "Comment" = '', "NameP2" = 'P0080.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=77,  gr_typ_id=1154   WHERE pr_typ_id = 16538;
  -- Обновление параметра прибора "[EEPROM] Архивируемые каналы, маска"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[EEPROM] Архивируемые каналы, маска', "Comment" = '', "NameP2" = 'P0081.U32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=78,  gr_typ_id=1154   WHERE pr_typ_id = 16539;
  -- Обновление параметра прибора "[EEPROM] Глубина архивирования: часовые"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[EEPROM] Глубина архивирования: часовые', "Comment" = '', "NameP2" = 'P0082.U64.BIT0-16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=79,  gr_typ_id=1154   WHERE pr_typ_id = 16540;
  -- Обновление параметра прибора "[EEPROM] Глубина архивирования: суточные"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[EEPROM] Глубина архивирования: суточные', "Comment" = '', "NameP2" = 'P0082.U64.BIT16-16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=80,  gr_typ_id=1154   WHERE pr_typ_id = 16541;
  -- Обновление параметра прибора "[EEPROM] Глубина архивирования: месячные"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[EEPROM] Глубина архивирования: месячные', "Comment" = '', "NameP2" = 'P0082.U64.BIT32-16', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=81,  gr_typ_id=1154   WHERE pr_typ_id = 16543;
-- Добавление параметра прибора "[EEPROM] Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16776, '[EEPROM] Глубина журнала событий', '', 1154, 1, 82, 'P0082.U64.BIT48-16', 438, 192);
  -- Обновление параметра прибора "[Расходомер] Порог контроля расхода 3, MAX [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог контроля расхода 3, MAX [м3/ч]', "Comment" = '', "NameP2" = 'P012F.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=83,  gr_typ_id=1154   WHERE pr_typ_id = 16524;
  -- Обновление параметра прибора "[Расходомер] Порог контроля расхода 3, MIN [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог контроля расхода 3, MIN [м3/ч]', "Comment" = '', "NameP2" = 'P012E.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=84,  gr_typ_id=1154   WHERE pr_typ_id = 16523;
  -- Обновление параметра прибора "[Расходомер] Порог контроля расхода 2, MIN [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог контроля расхода 2, MIN [м3/ч]', "Comment" = '', "NameP2" = 'P012C.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=85,  gr_typ_id=1154   WHERE pr_typ_id = 16521;
  -- Обновление параметра прибора "[Расходомер] Порог контроля расхода 2, MAX [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог контроля расхода 2, MAX [м3/ч]', "Comment" = '', "NameP2" = 'P012D.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=86,  gr_typ_id=1154   WHERE pr_typ_id = 16522;
  -- Обновление параметра прибора "[Расходомер] Порог контроля расхода, MIN [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог контроля расхода, MIN [м3/ч]', "Comment" = '', "NameP2" = 'P0103.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=87,  gr_typ_id=1154   WHERE pr_typ_id = 16546;
  -- Обновление параметра прибора "[Расходомер] Порог контроля расхода, MAX [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог контроля расхода, MAX [м3/ч]', "Comment" = '', "NameP2" = 'P0104.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=88,  gr_typ_id=1154   WHERE pr_typ_id = 16547;
  -- Обновление параметра прибора "[Расходомер] Вес импульса / Масштабирующий коэффициент расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Вес импульса / Масштабирующий коэффициент расхода', "Comment" = '', "NameP2" = 'P0101.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=89,  gr_typ_id=1154   WHERE pr_typ_id = 16545;
  -- Обновление параметра прибора "[Расходомер] Порог чувствительности расхода [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Порог чувствительности расхода [м3/ч]', "Comment" = '', "NameP2" = 'P0105.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=90,  gr_typ_id=1154   WHERE pr_typ_id = 16548;
  -- Обновление параметра прибора "[Расходомер] Команда тестового пролива"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Команда тестового пролива', "Comment" = '', "NameP2" = 'P0106.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=91,  gr_typ_id=1154   WHERE pr_typ_id = 16549;
  -- Обновление параметра прибора "[Расходомер] Тестовый пролив, объем [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Тестовый пролив, объем [м3]', "Comment" = '', "NameP2" = 'P0107.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=92,  gr_typ_id=1154   WHERE pr_typ_id = 16550;
  -- Обновление параметра прибора "[Расходомер] Тестовый пролив, расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Тестовый пролив, расход [м3/ч]', "Comment" = '', "NameP2" = 'P0108.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=93,  gr_typ_id=1154   WHERE pr_typ_id = 16551;
  -- Обновление параметра прибора "[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]', "Comment" = '', "NameP2" = 'P0109.F32', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=94,  gr_typ_id=1154   WHERE pr_typ_id = 16552;
  -- Обновление параметра прибора "[Расходомер] Учёт реверсивного потока"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Расходомер] Учёт реверсивного потока', "Comment" = '', "NameP2" = 'P012B.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=95,  gr_typ_id=1154   WHERE pr_typ_id = 16553;
  -- Обновление параметра прибора "[Импульсный вход] Число имп. входов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный вход] Число имп. входов', "Comment" = '', "NameP2" = 'P00DF.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=96,  gr_typ_id=1154   WHERE pr_typ_id = 16544;
  -- Обновление параметра прибора "[Импульсный выход 1] Диагностика"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Импульсный выход 1] Диагностика', "Comment" = '', "NameP2" = 'P00A4.U8', dev_typ_id = 438, "SupportData" = 192,  "typ_dat_Arh"=97,  gr_typ_id=1154   WHERE pr_typ_id = 16557;

---- Группа "Текущие" ----

  -- Обновление параметра прибора "Объем подачи (прямой) [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объем подачи (прямой) [м3]', "Comment" = '', "NameP2" = 'K1.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=98,  gr_typ_id=1155   WHERE pr_typ_id = 16559;
  -- Обновление параметра прибора "Массовый расход подачи [т/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Массовый расход подачи [т/ч]', "Comment" = '', "NameP2" = 'P0302.F32', dev_typ_id = 438, "SupportData" = 385,  "typ_dat_Arh"=99,  gr_typ_id=1155   WHERE pr_typ_id = 16560;
  -- Обновление параметра прибора "Масса потер./отобр. воды [т]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Масса потер./отобр. воды [т]', "Comment" = '', "NameP2" = 'K20.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=100,  gr_typ_id=1155   WHERE pr_typ_id = 16561;
  -- Обновление параметра прибора "Масса обратки [т]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Масса обратки [т]', "Comment" = '', "NameP2" = 'K19.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=101,  gr_typ_id=1155   WHERE pr_typ_id = 16562;
  -- Обновление параметра прибора "Масса подачи (реверсивная) [т]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Масса подачи (реверсивная) [т]', "Comment" = '', "NameP2" = 'K18.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=102,  gr_typ_id=1155   WHERE pr_typ_id = 16563;
  -- Обновление параметра прибора "Масса подачи (прямая) [т]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Масса подачи (прямая) [т]', "Comment" = '', "NameP2" = 'K17.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=103,  gr_typ_id=1155   WHERE pr_typ_id = 16564;
  -- Обновление параметра прибора "Объём потер./отобр. воды [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объём потер./отобр. воды [м3]', "Comment" = '', "NameP2" = 'K16.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=104,  gr_typ_id=1155   WHERE pr_typ_id = 16565;
  -- Обновление параметра прибора "Объём обратки [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объём обратки [м3]', "Comment" = '', "NameP2" = 'K15.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=105,  gr_typ_id=1155   WHERE pr_typ_id = 16566;
  -- Обновление параметра прибора "Давление обратки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Давление обратки', "Comment" = '', "NameP2" = 'K14.F32', dev_typ_id = 438, "SupportData" = 399,  "typ_dat_Arh"=106,  gr_typ_id=1155   WHERE pr_typ_id = 16567;
  -- Обновление параметра прибора "Давление подачи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Давление подачи', "Comment" = '', "NameP2" = 'K13.F32', dev_typ_id = 438, "SupportData" = 399,  "typ_dat_Arh"=107,  gr_typ_id=1155   WHERE pr_typ_id = 16568;
  -- Обновление параметра прибора "Дата и время"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Дата и время', "Comment" = '', "NameP2" = 'D', dev_typ_id = 438, "SupportData" = 129,  "typ_dat_Arh"=108,  gr_typ_id=1155   WHERE pr_typ_id = 16569;
  -- Обновление параметра прибора "Время работы с ошибками [ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Время работы с ошибками [ч]', "Comment" = '', "NameP2" = 'P0007.U32', dev_typ_id = 438, "SupportData" = 129,  "typ_dat_Arh"=109,  gr_typ_id=1155   WHERE pr_typ_id = 16570;
  -- Обновление параметра прибора "Время наработки [ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Время наработки [ч]', "Comment" = '', "NameP2" = 'P000A.U32', dev_typ_id = 438, "SupportData" = 129,  "typ_dat_Arh"=110,  gr_typ_id=1155   WHERE pr_typ_id = 16571;
  -- Обновление параметра прибора "Давление в обратной трубе"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Давление в обратной трубе', "Comment" = '', "NameP2" = 'K14.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=111,  gr_typ_id=1155   WHERE pr_typ_id = 16572;
  -- Обновление параметра прибора "Массовый расход обратки [т/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Массовый расход обратки [т/ч]', "Comment" = '', "NameP2" = 'P0303.F32', dev_typ_id = 438, "SupportData" = 385,  "typ_dat_Arh"=112,  gr_typ_id=1155   WHERE pr_typ_id = 16573;
  -- Обновление параметра прибора "Давление в подающей трубе"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Давление в подающей трубе', "Comment" = '', "NameP2" = 'K13.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=113,  gr_typ_id=1155   WHERE pr_typ_id = 16574;
  -- Обновление параметра прибора "Импульсный вход 3 [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Импульсный вход 3 [м3]', "Comment" = '', "NameP2" = 'K11.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=114,  gr_typ_id=1155   WHERE pr_typ_id = 16575;
  -- Обновление параметра прибора "Импульсный вход 2 [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Импульсный вход 2 [м3]', "Comment" = '', "NameP2" = 'K10.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=115,  gr_typ_id=1155   WHERE pr_typ_id = 16576;
  -- Обновление параметра прибора "Импульсный вход 1 [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Импульсный вход 1 [м3]', "Comment" = '', "NameP2" = 'K9.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=116,  gr_typ_id=1155   WHERE pr_typ_id = 16577;
  -- Обновление параметра прибора "Ошибки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Ошибки', "Comment" = '', "NameP2" = 'K8.U32', dev_typ_id = 438, "SupportData" = 399,  "typ_dat_Arh"=117,  gr_typ_id=1155   WHERE pr_typ_id = 16578;
  -- Обновление параметра прибора "Время нормальной работы [ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Время нормальной работы [ч]', "Comment" = '', "NameP2" = 'K7.U32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=118,  gr_typ_id=1155   WHERE pr_typ_id = 16579;
  -- Обновление параметра прибора "Мощность"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Мощность', "Comment" = '', "NameP2" = 'P0170.F32', dev_typ_id = 438, "SupportData" = 385,  "typ_dat_Arh"=119,  gr_typ_id=1155   WHERE pr_typ_id = 16580;
  -- Обновление параметра прибора "Энергия 2"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия 2', "Comment" = '', "NameP2" = 'K6.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=120,  gr_typ_id=1155   WHERE pr_typ_id = 16581;
  -- Обновление параметра прибора "Энергия 1"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Энергия 1', "Comment" = '', "NameP2" = 'K5.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=121,  gr_typ_id=1155   WHERE pr_typ_id = 16582;
  -- Обновление параметра прибора "Перепад температур [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Перепад температур [°C]', "Comment" = '', "NameP2" = 'P0130.F32', dev_typ_id = 438, "SupportData" = 385,  "typ_dat_Arh"=122,  gr_typ_id=1155   WHERE pr_typ_id = 16583;
  -- Обновление параметра прибора "Температура обратки [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Температура обратки [°C]', "Comment" = '', "NameP2" = 'K4.F32', dev_typ_id = 438, "SupportData" = 399,  "typ_dat_Arh"=123,  gr_typ_id=1155   WHERE pr_typ_id = 16584;
  -- Обновление параметра прибора "Температура подачи [°C]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Температура подачи [°C]', "Comment" = '', "NameP2" = 'K3.F32', dev_typ_id = 438, "SupportData" = 399,  "typ_dat_Arh"=124,  gr_typ_id=1155   WHERE pr_typ_id = 16585;
  -- Обновление параметра прибора "Расход [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Расход [м3/ч]', "Comment" = '', "NameP2" = 'P0100.F32', dev_typ_id = 438, "SupportData" = 385,  "typ_dat_Arh"=125,  gr_typ_id=1155   WHERE pr_typ_id = 16586;
  -- Обновление параметра прибора "Объем подачи (реверсивный) [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объем подачи (реверсивный) [м3]', "Comment" = '', "NameP2" = 'K2.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=126,  gr_typ_id=1155   WHERE pr_typ_id = 16587;
  -- Обновление параметра прибора "Импульсный вход 4 [м3]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Импульсный вход 4 [м3]', "Comment" = '', "NameP2" = 'K12.F32', dev_typ_id = 438, "SupportData" = 143,  "typ_dat_Arh"=127,  gr_typ_id=1155   WHERE pr_typ_id = 16588;
  -- Обновление параметра прибора "Массовый расход потер./отобр. воды [т/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Массовый расход потер./отобр. воды [т/ч]', "Comment" = '', "NameP2" = 'P0304.F32', dev_typ_id = 438, "SupportData" = 385,  "typ_dat_Arh"=128,  gr_typ_id=1155   WHERE pr_typ_id = 16589;
