-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 16777 AND pr_typ_id <= 16916;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1163 AND gr_typ_id <= 1165;

---- Прибор "Пульсар водосчетчик стандартный" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар водосчетчик стандартный', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 439;

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1163, 'Наладка', '', 439, 0);

-- Добавление параметра прибора "[Батарея] Порог: разряжена [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16777, '[Батарея] Порог: разряжена [мВ]', '', 1163, 1, 74, 'P0041.U64.BIT0-16', 439, 64);
-- Добавление параметра прибора "[Батарея] Порог: скоро разрядится [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16778, '[Батарея] Порог: скоро разрядится [мВ]', '', 1163, 1, 75, 'P0041.U64.BIT16-16', 439, 64);
-- Добавление параметра прибора "[Батарея] Порог: полностью заряжена [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16779, '[Батарея] Порог: полностью заряжена [мВ]', '', 1163, 1, 76, 'P0041.U64.BIT32-16', 439, 64);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения. Смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16780, '[Батарея] Калибровка напряжения. Смещение', '', 1163, 1, 77, 'P0042.S16', 439, 64);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения. Коэффициент x1000"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16781, '[Батарея] Калибровка напряжения. Коэффициент x1000', '', 1163, 1, 78, 'P0043.U16', 439, 64);
-- Добавление параметра прибора "[Часовой кварц] Вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16782, '[Часовой кварц] Вывод частоты', '', 1163, 1, 79, 'P0060.U8', 439, 64);
-- Добавление параметра прибора "[Часовой кварц] Измеренная частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16783, '[Часовой кварц] Измеренная частота [Гц]', '', 1163, 1, 80, 'P0061.U16', 439, 64);
-- Добавление параметра прибора "[EEPROM] Размер EEPROM"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16784, '[EEPROM] Размер EEPROM', '', 1163, 1, 81, 'P0080.U8', 439, 64);
-- Добавление параметра прибора "[EEPROM] Архивируемые каналы, маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16785, '[EEPROM] Архивируемые каналы, маска', '', 1163, 1, 82, 'P0081.U32', 439, 64);
-- Добавление параметра прибора "[EEPROM] Глубина архивирования: часовые"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16786, '[EEPROM] Глубина архивирования: часовые', '', 1163, 1, 83, 'P0082.U64.BIT0-16', 439, 64);
-- Добавление параметра прибора "[EEPROM] Глубина архивирования: суточные"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16787, '[EEPROM] Глубина архивирования: суточные', '', 1163, 1, 84, 'P0082.U64.BIT16-16', 439, 64);
-- Добавление параметра прибора "[EEPROM] Глубина архивирования: месячные"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16788, '[EEPROM] Глубина архивирования: месячные', '', 1163, 1, 85, 'P0082.U64.BIT32-16', 439, 64);
-- Добавление параметра прибора "Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16789, 'Количество сбросов', '', 1163, 1, 86, 'P0004.U16', 439, 64);
-- Добавление параметра прибора "Причина сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16790, 'Причина сброса', '', 1163, 1, 87, 'P0005.U8', 439, 320);
-- Добавление параметра прибора "Наработка с ошибками. Маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16791, 'Наработка с ошибками. Маска', '', 1163, 1, 88, 'P0007.U16', 439, 64);
-- Добавление параметра прибора "[EEPROM] Глубина журнала событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16792, '[EEPROM] Глубина журнала событий', '', 1163, 1, 89, 'P0082.U64.BIT48-16', 439, 64);
-- Добавление параметра прибора "[Импульсный выход 1] Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16793, '[Импульсный выход 1] Диагностика', '', 1163, 1, 90, 'P00A4.U8', 439, 64);
-- Добавление параметра прибора "[Импульсный выход 2] Диагностика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16794, '[Импульсный выход 2] Диагностика', '', 1163, 1, 91, 'P00A9.U8', 439, 64);
-- Добавление параметра прибора "[Импульсный вход] Число имп. входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16795, '[Импульсный вход] Число имп. входов', '', 1163, 1, 92, 'P00DF.U8', 439, 64);
-- Добавление параметра прибора "[Расходомер] Вес импульса / Масштабирующий коэффициент расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16796, '[Расходомер] Вес импульса / Масштабирующий коэффициент расхода', '', 1163, 1, 93, 'P0101.F32', 439, 64);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода, MIN [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16797, '[Расходомер] Порог контроля расхода, MIN [м3/ч]', '', 1163, 1, 94, 'P0103.F32', 439, 64);
-- Добавление параметра прибора "[Расходомер] Порог контроля расхода, MAX [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16798, '[Расходомер] Порог контроля расхода, MAX [м3/ч]', '', 1163, 1, 95, 'P0104.F32', 439, 64);
-- Добавление параметра прибора "[Расходомер] Порог чувствительности расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16799, '[Расходомер] Порог чувствительности расхода [м3/ч]', '', 1163, 1, 96, 'P0105.F32', 439, 64);
-- Добавление параметра прибора "[Расходомер] Команда тестового пролива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16800, '[Расходомер] Команда тестового пролива', '', 1163, 1, 97, 'P0106.U8', 439, 64);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16801, '[Расходомер] Тестовый пролив, объем [м3]', '', 1163, 1, 98, 'P0107.F32', 439, 64);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16802, '[Расходомер] Тестовый пролив, расход [м3/ч]', '', 1163, 1, 99, 'P0108.F32', 439, 64);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16803, '[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]', '', 1163, 1, 100, 'P0109.F32', 439, 64);
-- Добавление параметра прибора "[Расходомер] Учёт обратного потока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16804, '[Расходомер] Учёт обратного потока', '', 1163, 1, 101, 'P012B.U8', 439, 64);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Дроссель 1, добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16805, '[Индукт. расх. (общее)] Дроссель 1, добротность', '', 1163, 1, 121, 'P01A0.U8', 439, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Дроссель 2, добротность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16806, '[Индукт. расх. (общее)] Дроссель 2, добротность', '', 1163, 1, 122, 'P01A1.U8', 439, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Автонастройка порогов, процесс"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16807, '[Индукт. расх. (общее)] Автонастройка порогов, процесс', '', 1163, 1, 123, 'P01A2.U8', 439, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Qmin"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16808, '[Индукт. расх. (общее)] Qmin', '', 1163, 1, 124, 'P01A3.U32.BIT0-8', 439, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Qmax"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16809, '[Индукт. расх. (общее)] Qmax', '', 1163, 1, 125, 'P01A3.U32.BIT8-8', 439, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Qdiff"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16810, '[Индукт. расх. (общее)] Qdiff', '', 1163, 1, 126, 'P01A3.U32.BIT16-8', 439, 320);
-- Добавление параметра прибора "[Индукт. расх. (общее)] Qhyst"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16811, '[Индукт. расх. (общее)] Qhyst', '', 1163, 1, 127, 'P01A3.U32.BIT24-8', 439, 320);
-- Добавление параметра прибора "[Индукт. расх. (EFM)] Частота сканирования [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16812, '[Индукт. расх. (EFM)] Частота сканирования [Гц]', '', 1163, 1, 128, 'P0201.U16', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Безразмерный расход"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16813, '[УЗ расх.] Безразмерный расход', '', 1163, 1, 129, 'P0240.F32', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] Уровень УЗ [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16814, '[УЗ расх.] Уровень УЗ [В]', '', 1163, 1, 130, 'P0241.F32', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] Процент ошибочных измерений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16815, '[УЗ расх.] Процент ошибочных измерений', '', 1163, 1, 131, 'P0242.U8', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] Период УЗ измерений [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16816, '[УЗ расх.] Период УЗ измерений [мс]', '', 1163, 1, 132, 'P0243.U32', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] Время УЗ по потоку (DNS) [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16817, '[УЗ расх.] Время УЗ по потоку (DNS) [мкс]', '', 1163, 1, 133, 'P0244.F32', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] Время УЗ против потока (UPS) [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16818, '[УЗ расх.] Время УЗ против потока (UPS) [мкс]', '', 1163, 1, 134, 'P0245.F32', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] Время УЗ дифференциальное [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16819, '[УЗ расх.] Время УЗ дифференциальное [мкс]', '', 1163, 1, 135, 'P0246.F32', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] Абсолютное смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16820, '[УЗ расх.] Абсолютное смещение времени УЗ [мкс]', '', 1163, 1, 136, 'P0247.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16821, '[УЗ расх.] Дифференциальное смещение времени УЗ [мкс]', '', 1163, 1, 137, 'P0248.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Количество импульсов зондирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16822, '[УЗ расх.] Количество импульсов зондирования', '', 1163, 1, 138, 'P0249.U8', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Крит. уровень отклонения диф. времени УЗ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16823, '[УЗ расх.] Крит. уровень отклонения диф. времени УЗ', '', 1163, 1, 139, 'P024A.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Коэф. экспоненциального фильтра  (1.0 - сквозной)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16824, '[УЗ расх.] Коэф. экспоненциального фильтра  (1.0 - сквозной)', '', 1163, 1, 140, 'P024C.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Калибровка 0, абс. смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16825, '[УЗ расх.] Калибровка 0, абс. смещение времени УЗ [мкс]', '', 1163, 1, 141, 'P024D.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Калибровка 0, диф. смещение времени УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16826, '[УЗ расх.] Калибровка 0, диф. смещение времени УЗ [мкс]', '', 1163, 1, 142, 'P024E.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Усреднённое t1/T по потоку"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16827, '[УЗ расх.] Усреднённое t1/T по потоку', '', 1163, 1, 143, 'P0270.F32', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] Усреднённое t1/T против потока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16828, '[УЗ расх.] Усреднённое t1/T против потока', '', 1163, 1, 144, 'P0271.F32', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] Уставка t1/T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16829, '[УЗ расх.] Уставка t1/T', '', 1163, 1, 145, 'P0273.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Критический уровень t1/T"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16830, '[УЗ расх.] Критический уровень t1/T', '', 1163, 1, 146, 'P0272.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Текущий уровень компаратора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16831, '[УЗ расх.] Текущий уровень компаратора', '', 1163, 1, 147, 'P0274.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Режим измерения"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16832, '[УЗ расх.] Режим измерения', '', 1163, 1, 148, 'P0275.F32', 439, 64);
-- Добавление параметра прибора "[УЗ расх.] Знач. коррекции TOF по скорости УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16833, '[УЗ расх.] Знач. коррекции TOF по скорости УЗ [мкс]', '', 1163, 1, 149, 'P0277.F32', 439, 320);
-- Добавление параметра прибора "[УЗ расх.] TOF, рассчитанное по скорости УЗ [мкс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16834, '[УЗ расх.] TOF, рассчитанное по скорости УЗ [мкс]', '', 1163, 1, 150, 'P0278.F32', 439, 320);
-- Добавление параметра прибора "[Радиомодуль] Режим передачи маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16835, '[Радиомодуль] Режим передачи маркеров', '', 1163, 1, 151, 'P0404.U8', 439, 64);
-- Добавление параметра прибора "[Радиомодуль] RF кварц, вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16836, '[Радиомодуль] RF кварц, вывод частоты', '', 1163, 1, 152, 'P0405.U8', 439, 64);
-- Добавление параметра прибора "[Радиомодуль] RF кварц, измеренная частота [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16837, '[Радиомодуль] RF кварц, измеренная частота [Гц]', '', 1163, 1, 153, 'P0406.U32', 439, 64);
-- Добавление параметра прибора "[Радиомодуль] RF кварц, нагрузочные конденсаторы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16838, '[Радиомодуль] RF кварц, нагрузочные конденсаторы', '', 1163, 1, 154, 'P0407.U8', 439, 64);
-- Добавление параметра прибора "[LoRaWAN] Идентификатор последней сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16839, '[LoRaWAN] Идентификатор последней сети', '', 1163, 1, 155, 'P11F1.U64.BIT0-16', 439, 320);
-- Добавление параметра прибора "[LoRaWAN] RSSI подключенной сети [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16840, '[LoRaWAN] RSSI подключенной сети [дБм]', '', 1163, 1, 156, 'P11F1.U64.BIT16-16', 439, 320);
-- Добавление параметра прибора "[LoRaWAN] Текущая скорость передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16841, '[LoRaWAN] Текущая скорость передачи', '', 1163, 1, 157, 'P11F1.U64.BIT32-8', 439, 320);
-- Добавление параметра прибора "[LoRaWAN] Текущая мощность передатчика [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16842, '[LoRaWAN] Текущая мощность передатчика [дБм]', '', 1163, 1, 158, 'P11F1.U64.BIT40-8', 439, 64);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1164, 'Настроечные', '', 439, 0);

-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16843, 'Сетевой адрес', '', 1164, 1, 0, 'P0001.U32', 439, 192);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16844, 'Заводской номер', '', 1164, 1, 1, 'P0003.U32', 439, 192);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16845, 'Версия ПО', '', 1164, 1, 2, '__VERSION_INTERNAL', 439, 448);
-- Добавление параметра прибора "Автопереход зима/лето"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16846, 'Автопереход зима/лето', '', 1164, 1, 3, 'P0009.U8', 439, 192);
-- Добавление параметра прибора "[Батарея] Напряжение [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16847, '[Батарея] Напряжение [мВ]', '', 1164, 1, 4, 'P0040.U16', 439, 448);
-- Добавление параметра прибора "[Импульсный выход 1] Вес импульса [м3/имп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16848, '[Импульсный выход 1] Вес импульса [м3/имп.]', '', 1164, 1, 5, 'P00A1.F32', 439, 192);
-- Добавление параметра прибора "[Импульсный выход 1] Длительность импульса/паузы [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16849, '[Импульсный выход 1] Длительность импульса/паузы [мС]', '', 1164, 1, 6, 'P00A2.U16', 439, 192);
-- Добавление параметра прибора "[Импульсный выход 1] Направление"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16850, '[Импульсный выход 1] Направление', '', 1164, 1, 7, 'P00A3.U8', 439, 192);
-- Добавление параметра прибора "[Импульсный выход 2] Вес импульса [м3/имп.]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16851, '[Импульсный выход 2] Вес импульса [м3/имп.]', '', 1164, 1, 8, 'P00A6.F32', 439, 192);
-- Добавление параметра прибора "[Импульсный выход 2] Длительность импульса/паузы [мС]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16852, '[Импульсный выход 2] Длительность импульса/паузы [мС]', '', 1164, 1, 9, 'P00A7.U16', 439, 192);
-- Добавление параметра прибора "[Импульсный выход 2] Направление"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16853, '[Импульсный выход 2] Направление', '', 1164, 1, 10, 'P00A8.U8', 439, 192);
-- Добавление параметра прибора "[Импульсный вход 1] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16854, '[Импульсный вход 1] Вес испульса [м3/имп]', '', 1164, 1, 11, 'P00C0.F32', 439, 192);
-- Добавление параметра прибора "[Импульсный вход 1] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16855, '[Импульсный вход 1] Минимальный импульс [мс]', '', 1164, 1, 12, 'P00C1.U16', 439, 192);
-- Добавление параметра прибора "[Импульсный вход 2] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16856, '[Импульсный вход 2] Вес испульса [м3/имп]', '', 1164, 1, 13, 'P00C3.F32', 439, 192);
-- Добавление параметра прибора "[Импульсный вход 2] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16857, '[Импульсный вход 2] Минимальный импульс [мс]', '', 1164, 1, 14, 'P00C4.U16', 439, 192);
-- Добавление параметра прибора "[Импульсный вход 3] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16858, '[Импульсный вход 3] Вес испульса [м3/имп]', '', 1164, 1, 15, 'P00C6.F32', 439, 192);
-- Добавление параметра прибора "[Импульсный вход 3] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16859, '[Импульсный вход 3] Минимальный импульс [мс]', '', 1164, 1, 16, 'P00C7.U16', 439, 192);
-- Добавление параметра прибора "[Импульсный вход 4] Вес испульса [м3/имп]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16860, '[Импульсный вход 4] Вес испульса [м3/имп]', '', 1164, 1, 17, 'P00C9.F32', 439, 192);
-- Добавление параметра прибора "[Импульсный вход 4] Минимальный импульс [мс]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16861, '[Импульсный вход 4] Минимальный импульс [мс]', '', 1164, 1, 18, 'P00CA.U16', 439, 192);
-- Добавление параметра прибора "[M-Bus] Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16862, '[M-Bus] Сетевой адрес', '', 1164, 1, 19, 'P00E0.U8', 439, 192);
-- Добавление параметра прибора "[UART/RS485/MBUS] Настройки скорости"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16863, '[UART/RS485/MBUS] Настройки скорости', '', 1164, 1, 20, 'P00F0.U8', 439, 192);
-- Добавление параметра прибора "[Радиомодуль] Количество переданных ШП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16864, '[Радиомодуль] Количество переданных ШП маркеров', '', 1164, 1, 21, 'P0400.U32', 439, 192);
-- Добавление параметра прибора "[Радиомодуль] Количество переданных УП/Lora маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16865, '[Радиомодуль] Количество переданных УП/Lora маркеров', '', 1164, 1, 22, 'P0401.U32', 439, 192);
-- Добавление параметра прибора "[Радиомодуль] RSSI последнего ШП пакета [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16866, '[Радиомодуль] RSSI последнего ШП пакета [дБм]', '', 1164, 1, 23, 'P0402.S8', 439, 192);
-- Добавление параметра прибора "[Радиомодуль] Последняя ошибка RF модуля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16867, '[Радиомодуль] Последняя ошибка RF модуля', '', 1164, 1, 24, 'P0403.U8', 439, 192);
-- Добавление параметра прибора "[IoT] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16868, '[IoT] Мощность передатчика [мВт]', '', 1164, 1, 25, 'P1000.U8', 439, 192);
-- Добавление параметра прибора "[IoT] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16869, '[IoT] Количество повторов УП маркеров', '', 1164, 1, 26, 'P1001.U8', 439, 192);
-- Добавление параметра прибора "[IoT] Режим кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16870, '[IoT] Режим кодирования УП маркеров', '', 1164, 1, 27, 'P1002.U8', 439, 192);
-- Добавление параметра прибора "[IoT] Смещение каналов УП передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16871, '[IoT] Смещение каналов УП передачи', '', 1164, 1, 28, 'P1003.S16', 439, 192);
-- Добавление параметра прибора "[IoT] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16872, '[IoT] Мощность передатчика [мВт]', '', 1164, 1, 29, 'P10F0.U64.BIT0-16', 439, 192);
-- Добавление параметра прибора "[IoT] Список режимов кодирования УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16873, '[IoT] Список режимов кодирования УП маркеров', '', 1164, 1, 30, 'P10F0.U64.BIT16-16', 439, 448);
-- Добавление параметра прибора "[IoT] Количество повторов УП маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16874, '[IoT] Количество повторов УП маркеров', '', 1164, 1, 31, 'P10F0.U64.BIT32-16', 439, 192);
-- Добавление параметра прибора "[IoT] Запрос на неотложную передачу УП маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16875, '[IoT] Запрос на неотложную передачу УП маркера', '', 1164, 1, 32, 'P10F1.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Ключи] Идентификатор  прибора (Device EUI)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16876, '[LoRaWAN] [Ключи] Идентификатор  прибора (Device EUI)', '', 1164, 1, 33, 'P1100.U64', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Ключи] Идентификатор  приложения (App EUI)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16877, '[LoRaWAN] [Ключи] Идентификатор  приложения (App EUI)', '', 1164, 1, 34, 'P1101.U64', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Ключи] Закрытиый ключ приложения 1(App Key)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16878, '[LoRaWAN] [Ключи] Закрытиый ключ приложения 1(App Key)', '', 1164, 1, 35, 'P1102.U64', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Ключи] Закрытиый ключ приложения 2(App Key)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16879, '[LoRaWAN] [Ключи] Закрытиый ключ приложения 2(App Key)', '', 1164, 1, 36, 'P1103.U64', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Частотный план"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16880, '[LoRaWAN] [Регион] Частотный план', '', 1164, 1, 37, 'P1110.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Минимальная скорость [x]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16881, '[LoRaWAN] [Регион] Минимальная скорость [x]', '', 1164, 1, 38, 'P1111.U32.BIT0-8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Максиальная скорость [y]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16882, '[LoRaWAN] [Регион] Максиальная скорость [y]', '', 1164, 1, 39, 'P1111.U32.BIT8-8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Начальная скорость [z]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16883, '[LoRaWAN] [Регион] Начальная скорость [z]', '', 1164, 1, 40, 'P1111.U32.BIT16-8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Мощность  по умолчанию [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16884, '[LoRaWAN] [Регион] Мощность  по умолчанию [дБм]', '', 1164, 1, 41, 'P1112.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Регион] Задержка приёма Join [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16885, '[LoRaWAN] [Регион] Задержка приёма Join [сек]', '', 1164, 1, 42, 'P1113.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Маркер] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16886, '[LoRaWAN] [Маркер] Количество попыток', '', 1164, 1, 43, 'P1120.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Маркер] Количество в сутки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16887, '[LoRaWAN] [Маркер] Количество в сутки', '', 1164, 1, 44, 'P1121.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Маркер] Глубина оффлайн кэша"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16888, '[LoRaWAN] [Маркер] Глубина оффлайн кэша', '', 1164, 1, 45, 'P1122.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Тест связи] Количество попыток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16889, '[LoRaWAN] [Тест связи] Количество попыток', '', 1164, 1, 46, 'P1130.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [Тест связи] Прескалер маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16890, '[LoRaWAN] [Тест связи] Прескалер маркеров', '', 1164, 1, 47, 'P1131.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [АСП] Разрешение управления сетью"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16891, '[LoRaWAN] [АСП] Разрешение управления сетью', '', 1164, 1, 48, 'P1140.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] [АСП] Порог для ручного управления"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16892, '[LoRaWAN] [АСП] Порог для ручного управления', '', 1164, 1, 49, 'P1141.U8', 439, 192);
-- Добавление параметра прибора "[LoRaWAN] Список частотных планов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16893, '[LoRaWAN] Список частотных планов', '', 1164, 1, 50, 'P11F0.U64.BIT0-16', 439, 448);
-- Добавление параметра прибора "[LoRaWAN] Скорость передачи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16894, '[LoRaWAN] Скорость передачи', '', 1164, 1, 51, 'P11F0.U64.BIT16-16', 439, 448);
-- Добавление параметра прибора "[LoRaWAN] Мощность передатчика [дБм]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16895, '[LoRaWAN] Мощность передатчика [дБм]', '', 1164, 1, 52, 'P11F0.U64.BIT32-16', 439, 448);
-- Добавление параметра прибора "[LoRaWAN] Макс. глубина кэша маркеров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16896, '[LoRaWAN] Макс. глубина кэша маркеров', '', 1164, 1, 53, 'P11F0.U64.BIT48-8', 439, 448);
-- Добавление параметра прибора "[LoRaWAN] Запрос на неотложную передачу маркера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16897, '[LoRaWAN] Запрос на неотложную передачу маркера', '', 1164, 1, 54, 'P11F2.U8', 439, 192);
-- Добавление параметра прибора "[WM-Bus] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16898, '[WM-Bus] Мощность передатчика [мВт]', '', 1164, 1, 55, 'P1200.U8', 439, 192);
-- Добавление параметра прибора "[WM-Bus] Режим физического уровня"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16899, '[WM-Bus] Режим физического уровня', '', 1164, 1, 56, 'P1201.U8', 439, 192);
-- Добавление параметра прибора "[WM-Bus] Шифрование AES-128, ключ байты 0…7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16900, '[WM-Bus] Шифрование AES-128, ключ байты 0…7', '', 1164, 1, 57, 'P1202.U64', 439, 448);
-- Добавление параметра прибора "[WM-Bus] Шифрование AES-128, ключ байты 8…15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16901, '[WM-Bus] Шифрование AES-128, ключ байты 8…15', '', 1164, 1, 58, 'P1203.U64', 439, 448);
-- Добавление параметра прибора "[WM-Bus] Шифрование AES-128"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16902, '[WM-Bus] Шифрование AES-128', '', 1164, 1, 59, 'P1204.U8', 439, 448);
-- Добавление параметра прибора "[WM-Bus] Мощность передатчика [мВт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16903, '[WM-Bus] Мощность передатчика [мВт]', '', 1164, 1, 60, 'P12F0.U64.BIT0-16', 439, 448);
-- Добавление параметра прибора "[NBIOT] Приоритет сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16904, '[NBIOT] Приоритет сети', '', 1164, 1, 61, 'P1300.U8', 439, 192);

---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1165, 'Текущие', '', 439, 0);

-- Добавление параметра прибора "Объем, прямой [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16905, 'Объем, прямой [м3]', '', 1165, 1, 62, 'K1.F32', 439, 143);
-- Добавление параметра прибора "Объем, реверсный [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16906, 'Объем, реверсный [м3]', '', 1165, 1, 63, 'K2.F32', 439, 143);
-- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16907, 'Расход [м3/ч]', '', 1165, 1, 64, 'P0100.F32', 439, 385);
-- Добавление параметра прибора "Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16908, 'Время нормальной работы [ч]', '', 1165, 1, 65, 'K7.U32', 439, 143);
-- Добавление параметра прибора "Ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16909, 'Ошибки', '', 1165, 1, 66, 'K8.U32', 439, 143);
-- Добавление параметра прибора "Импульсный вход 1 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16910, 'Импульсный вход 1 [м3]', '', 1165, 1, 67, 'K9.F32', 439, 143);
-- Добавление параметра прибора "Импульсный вход 2 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16911, 'Импульсный вход 2 [м3]', '', 1165, 1, 68, 'K10.F32', 439, 143);
-- Добавление параметра прибора "Импульсный вход 3 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16912, 'Импульсный вход 3 [м3]', '', 1165, 1, 69, 'K11.F32', 439, 143);
-- Добавление параметра прибора "Импульсный вход 4 [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16913, 'Импульсный вход 4 [м3]', '', 1165, 1, 70, 'K12.F32', 439, 143);
-- Добавление параметра прибора "Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16914, 'Время наработки [ч]', '', 1165, 1, 71, 'P000A.U32', 439, 129);
-- Добавление параметра прибора "Время работы с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16915, 'Время работы с ошибками [ч]', '', 1165, 1, 72, 'P0007.U32', 439, 129);
-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (16916, 'Дата и время', '', 1165, 1, 73, 'D', 439, 129);
