-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id = 17175;

---- Прибор "Пульсар теплосчётчик механический v15" ----


---- Группа "Параметры" ----

-- Добавление параметра прибора "Напряжение батареи [В]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17175, 'Напряжение батареи [В]', '', 827, 1, 69, 'P000A.U16', 352, 385);

---- Группа "УП радио" ----

  -- Обновление параметра прибора "[RF] Мощность передатчика [мВт]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Мощность передатчика [мВт]', "Comment" = '', "NameP2" = 'P1000.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=70,  gr_typ_id=828   WHERE pr_typ_id = 11190;
  -- Обновление параметра прибора "[RF] Количество повторов УП маркеров"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Количество повторов УП маркеров', "Comment" = '', "NameP2" = 'P1001.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=71,  gr_typ_id=828   WHERE pr_typ_id = 11191;
  -- Обновление параметра прибора "[RF] Режим кодирования УП маркеров"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Режим кодирования УП маркеров', "Comment" = '', "NameP2" = 'P1002.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=72,  gr_typ_id=828   WHERE pr_typ_id = 11192;
  -- Обновление параметра прибора "[RF] Смещение каналов УП передачи"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Смещение каналов УП передачи', "Comment" = '', "NameP2" = 'P1003.S16', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=73,  gr_typ_id=828   WHERE pr_typ_id = 11193;
  -- Обновление параметра прибора "[RF] Запрос на неотложную передачу УП маркера"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[RF] Запрос на неотложную передачу УП маркера', "Comment" = '', "NameP2" = 'P10F1.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=74,  gr_typ_id=828   WHERE pr_typ_id = 11194;

---- Группа "Наладка" ----

  -- Обновление параметра прибора "Количество сборосов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Количество сборосов', "Comment" = '', "NameP2" = 'P0007.U16', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=75,  gr_typ_id=829   WHERE pr_typ_id = 11195;
  -- Обновление параметра прибора "Запись разрешена аппаратно"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Запись разрешена аппаратно', "Comment" = '', "NameP2" = 'P0008.U8.BIT3', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=76,  gr_typ_id=829   WHERE pr_typ_id = 11196;
  -- Обновление параметра прибора "Запись разрешена программно"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Запись разрешена программно', "Comment" = '', "NameP2" = 'P0008.U8.BIT4', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=77,  gr_typ_id=829   WHERE pr_typ_id = 11197;
  -- Обновление параметра прибора "Часовой кварц, частота [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Часовой кварц, частота [Гц]', "Comment" = '', "NameP2" = 'P0003.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=78,  gr_typ_id=829   WHERE pr_typ_id = 11198;
  -- Обновление параметра прибора "Часовой кварц, ёмкость"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Часовой кварц, ёмкость', "Comment" = '', "NameP2" = 'P0010.S8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=79,  gr_typ_id=829   WHERE pr_typ_id = 11199;
  -- Обновление параметра прибора "Вес испульса [л/имп]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Вес испульса [л/имп]', "Comment" = '', "NameP2" = 'P005D.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=80,  gr_typ_id=829   WHERE pr_typ_id = 11200;
  -- Обновление параметра прибора "Расход по эталону [м3/ч]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Расход по эталону [м3/ч]', "Comment" = '', "NameP2" = 'P005E.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=81,  gr_typ_id=829   WHERE pr_typ_id = 11201;
  -- Обновление параметра прибора "Линеаризация расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Линеаризация расхода', "Comment" = '', "NameP2" = 'P005F.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=82,  gr_typ_id=829   WHERE pr_typ_id = 11202;
  -- Обновление параметра прибора "Детектор металла, автонастройка"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор металла, автонастройка', "Comment" = '', "NameP2" = 'P009A.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=83,  gr_typ_id=829   WHERE pr_typ_id = 11203;
  -- Обновление параметра прибора "Объём EEPROM"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Объём EEPROM', "Comment" = '', "NameP2" = 'P0011.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=84,  gr_typ_id=829   WHERE pr_typ_id = 11204;
  -- Обновление параметра прибора "Конфигурация имп. выхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Конфигурация имп. выхода', "Comment" = '', "NameP2" = 'P0012.S8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=85,  gr_typ_id=829   WHERE pr_typ_id = 11205;
  -- Обновление параметра прибора "Количество имп. входов"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Количество имп. входов', "Comment" = '', "NameP2" = 'P0013.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=86,  gr_typ_id=829   WHERE pr_typ_id = 11206;
  -- Обновление параметра прибора "Порт RS485"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порт RS485', "Comment" = '', "NameP2" = 'P0015', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=87,  gr_typ_id=829   WHERE pr_typ_id = 11207;
  -- Обновление параметра прибора "Порт ИК"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Порт ИК', "Comment" = '', "NameP2" = 'P0016', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=88,  gr_typ_id=829   WHERE pr_typ_id = 11208;
  -- Обновление параметра прибора "Конфигурация кнопки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Конфигурация кнопки', "Comment" = '', "NameP2" = 'P0019.S8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=89,  gr_typ_id=829   WHERE pr_typ_id = 11209;
  -- Обновление параметра прибора "Детектор металла, режим"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор металла, режим', "Comment" = '', "NameP2" = 'P0018.S8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=90,  gr_typ_id=829   WHERE pr_typ_id = 11210;
  -- Обновление параметра прибора "Язык"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Язык', "Comment" = '', "NameP2" = 'P001A.U16.BIT0-2', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=91,  gr_typ_id=829   WHERE pr_typ_id = 11211;
  -- Обновление параметра прибора "Модуль дисплея"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Модуль дисплея', "Comment" = '', "NameP2" = 'P001A.U16.BIT2-6', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=92,  gr_typ_id=829   WHERE pr_typ_id = 11212;
  -- Обновление параметра прибора "Единицы измерения энергии"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Единицы измерения энергии', "Comment" = '', "NameP2" = 'P001A.U16.BIT8-4', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=93,  gr_typ_id=829   WHERE pr_typ_id = 11213;
  -- Обновление параметра прибора "Единицы измерения мощности"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Единицы измерения мощности', "Comment" = '', "NameP2" = 'P001A.U16.BIT12-4', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=94,  gr_typ_id=829   WHERE pr_typ_id = 11214;
  -- Обновление параметра прибора "RF кварц, частота [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'RF кварц, частота [Гц]', "Comment" = '', "NameP2" = 'P001D.U32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=95,  gr_typ_id=829   WHERE pr_typ_id = 11215;
  -- Обновление параметра прибора "RF кварц, конденсаторы [Гц]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'RF кварц, конденсаторы [Гц]', "Comment" = '', "NameP2" = 'P001E.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=96,  gr_typ_id=829   WHERE pr_typ_id = 11216;
  -- Обновление параметра прибора "Архивируемые каналы"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Архивируемые каналы', "Comment" = '', "NameP2" = 'P001B', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=97,  gr_typ_id=829   WHERE pr_typ_id = 11217;
  -- Обновление параметра прибора "Значение смещения [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Значение смещения [Ом]', "Comment" = '', "NameP2" = 'P0030.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=98,  gr_typ_id=829   WHERE pr_typ_id = 11218;
  -- Обновление параметра прибора "Коэфф. диапазона [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Коэфф. диапазона [Ом]', "Comment" = '', "NameP2" = 'P0031.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=99,  gr_typ_id=829   WHERE pr_typ_id = 11219;
  -- Обновление параметра прибора "Сопротивление калиб. [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сопротивление калиб. [Ом]', "Comment" = '', "NameP2" = 'P0032.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=100,  gr_typ_id=829   WHERE pr_typ_id = 11220;
  -- Обновление параметра прибора "Сопротивление подачи [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сопротивление подачи [Ом]', "Comment" = '', "NameP2" = 'P0033.F32', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=101,  gr_typ_id=829   WHERE pr_typ_id = 11221;
  -- Обновление параметра прибора "Сопротивление обратки [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сопротивление обратки [Ом]', "Comment" = '', "NameP2" = 'P0034.F32', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=102,  gr_typ_id=829   WHERE pr_typ_id = 11222;
  -- Обновление параметра прибора "Rwire подачи [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Rwire подачи [Ом]', "Comment" = '', "NameP2" = 'P0035.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=103,  gr_typ_id=829   WHERE pr_typ_id = 11223;
  -- Обновление параметра прибора "R0 подачи [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'R0 подачи [Ом]', "Comment" = '', "NameP2" = 'P0036.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=104,  gr_typ_id=829   WHERE pr_typ_id = 11224;
  -- Обновление параметра прибора "Alfa подачи [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Alfa подачи [Ом]', "Comment" = '', "NameP2" = 'P0037.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=105,  gr_typ_id=829   WHERE pr_typ_id = 11225;
  -- Обновление параметра прибора "Beta подачи [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Beta подачи [Ом]', "Comment" = '', "NameP2" = 'P0038.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=106,  gr_typ_id=829   WHERE pr_typ_id = 11226;
  -- Обновление параметра прибора "Delta подачи [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Delta подачи [Ом]', "Comment" = '', "NameP2" = 'P0039.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=107,  gr_typ_id=829   WHERE pr_typ_id = 11227;
  -- Обновление параметра прибора "Rwire подачи [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Rwire подачи [Ом]', "Comment" = '', "NameP2" = 'P003A.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=108,  gr_typ_id=829   WHERE pr_typ_id = 11228;
  -- Обновление параметра прибора "R0 обатки [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'R0 обатки [Ом]', "Comment" = '', "NameP2" = 'P003B.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=109,  gr_typ_id=829   WHERE pr_typ_id = 11229;
  -- Обновление параметра прибора "Alfa обатки [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Alfa обатки [Ом]', "Comment" = '', "NameP2" = 'P003C.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=110,  gr_typ_id=829   WHERE pr_typ_id = 11230;
  -- Обновление параметра прибора "Beta обатки [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Beta обатки [Ом]', "Comment" = '', "NameP2" = 'P003D.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=111,  gr_typ_id=829   WHERE pr_typ_id = 11231;
  -- Обновление параметра прибора "Delta обатки [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Delta обатки [Ом]', "Comment" = '', "NameP2" = 'P003E.F32', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=112,  gr_typ_id=829   WHERE pr_typ_id = 11232;
  -- Обновление параметра прибора "R0 эталон [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'R0 эталон [Ом]', "Comment" = '', "NameP2" = 'P003F.F32', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=113,  gr_typ_id=829   WHERE pr_typ_id = 11233;
  -- Обновление параметра прибора "Alfa эталон [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Alfa эталон [Ом]', "Comment" = '', "NameP2" = 'P0040.F32', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=114,  gr_typ_id=829   WHERE pr_typ_id = 11234;
  -- Обновление параметра прибора "Beta эталон [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Beta эталон [Ом]', "Comment" = '', "NameP2" = 'P0041.F32', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=115,  gr_typ_id=829   WHERE pr_typ_id = 11235;
  -- Обновление параметра прибора "Delta эталон [Ом]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Delta эталон [Ом]', "Comment" = '', "NameP2" = 'P0042.F32', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=116,  gr_typ_id=829   WHERE pr_typ_id = 11236;
  -- Обновление параметра прибора "Сенсорная кнопка, статус"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сенсорная кнопка, статус', "Comment" = '', "NameP2" = 'P0098.U64.X', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=117,  gr_typ_id=829   WHERE pr_typ_id = 11237;
  -- Обновление параметра прибора "Детектор метала, статус"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор метала, статус', "Comment" = '', "NameP2" = 'P009B.U64.X', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=118,  gr_typ_id=829   WHERE pr_typ_id = 11238;
  -- Обновление параметра прибора "Детектор метала, рез. настройки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор метала, рез. настройки', "Comment" = '', "NameP2" = 'P009C.U32.X', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=119,  gr_typ_id=829   WHERE pr_typ_id = 11239;
  -- Обновление параметра прибора "Детектор метала, рез. калибровки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Детектор метала, рез. калибровки', "Comment" = '', "NameP2" = 'P009D.U32.X', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=120,  gr_typ_id=829   WHERE pr_typ_id = 11240;
  -- Обновление параметра прибора "Глубина часового архива"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Глубина часового архива', "Comment" = '', "NameP2" = 'P001C.U64.BIT0-16', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=121,  gr_typ_id=829   WHERE pr_typ_id = 11241;
  -- Обновление параметра прибора "Глубина суточного архива"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Глубина суточного архива', "Comment" = '', "NameP2" = 'P001C.U64.BIT16-16', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=122,  gr_typ_id=829   WHERE pr_typ_id = 11242;
  -- Обновление параметра прибора "Глубина месячного архива"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Глубина месячного архива', "Comment" = '', "NameP2" = 'P001C.U64.BIT32-16', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=123,  gr_typ_id=829   WHERE pr_typ_id = 11243;
  -- Обновление параметра прибора "Глубина журнала событий"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Глубина журнала событий', "Comment" = '', "NameP2" = 'P001C.U64.BIT48-16', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=124,  gr_typ_id=829   WHERE pr_typ_id = 11244;
  -- Обновление параметра прибора "Сброс статуса истории"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Сброс статуса истории', "Comment" = '', "NameP2" = 'P00D1.U8.BIT0', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=125,  gr_typ_id=829   WHERE pr_typ_id = 11245;
  -- Обновление параметра прибора "Диагностика"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Диагностика', "Comment" = '', "NameP2" = 'P0090.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=126,  gr_typ_id=829   WHERE pr_typ_id = 11246;
  -- Обновление параметра прибора "Тест ACLK"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тест ACLK', "Comment" = '', "NameP2" = 'P0091.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=127,  gr_typ_id=829   WHERE pr_typ_id = 11247;
  -- Обновление параметра прибора "Тест расхода"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Тест расхода', "Comment" = '', "NameP2" = 'P0092.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=128,  gr_typ_id=829   WHERE pr_typ_id = 11248;
  -- Обновление параметра прибора "Вывод частоты RF кврца"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Вывод частоты RF кврца', "Comment" = '', "NameP2" = 'P0093.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=129,  gr_typ_id=829   WHERE pr_typ_id = 11249;
  -- Обновление параметра прибора "Последняя ошибка RF модуля"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = 'Последняя ошибка RF модуля', "Comment" = '', "NameP2" = 'P0094.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=130,  gr_typ_id=829   WHERE pr_typ_id = 11250;

---- Группа "Lora" ----

  -- Обновление параметра прибора "[Lora] Информация о сети"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora] Информация о сети', "Comment" = '', "NameP2" = 'P11F1', dev_typ_id = 352, "SupportData" = 448,  "typ_dat_Arh"=131,  gr_typ_id=933   WHERE pr_typ_id = 12439;
  -- Обновление параметра прибора "[Lora Ключи] Device EUI"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Ключи] Device EUI', "Comment" = '', "NameP2" = 'P1100', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=132,  gr_typ_id=933   WHERE pr_typ_id = 12440;
  -- Обновление параметра прибора "[Lora Ключи] App EUI"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Ключи] App EUI', "Comment" = '', "NameP2" = 'P1101', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=133,  gr_typ_id=933   WHERE pr_typ_id = 12441;
  -- Обновление параметра прибора "[Lora Ключи] App Key"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Ключи] App Key', "Comment" = '', "NameP2" = 'PS1102', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=134,  gr_typ_id=933   WHERE pr_typ_id = 12442;
  -- Обновление параметра прибора "[Lora Регион] Частотный план"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Регион] Частотный план', "Comment" = '', "NameP2" = 'P1110.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=135,  gr_typ_id=933   WHERE pr_typ_id = 12443;
  -- Обновление параметра прибора "[Lora Регион] Начальная скорость"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Регион] Начальная скорость', "Comment" = '', "NameP2" = 'P1111.U32.BIT16-8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=136,  gr_typ_id=933   WHERE pr_typ_id = 12444;
  -- Обновление параметра прибора "[Lora Регион] Минимальная скорость"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Регион] Минимальная скорость', "Comment" = '', "NameP2" = 'P1111.U32.BIT0-8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=137,  gr_typ_id=933   WHERE pr_typ_id = 12445;
  -- Обновление параметра прибора "[Lora Регион] Максимальная скорость"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Регион] Максимальная скорость', "Comment" = '', "NameP2" = 'P1111.U32.BIT8-8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=138,  gr_typ_id=933   WHERE pr_typ_id = 12446;
  -- Обновление параметра прибора "[Lora Регион] Мощность по умолчанию [дБм]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Регион] Мощность по умолчанию [дБм]', "Comment" = '', "NameP2" = 'P1112.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=139,  gr_typ_id=933   WHERE pr_typ_id = 12447;
  -- Обновление параметра прибора "[Lora Регион] Окно приёма Join [сек]"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Регион] Окно приёма Join [сек]', "Comment" = '', "NameP2" = 'P1113.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=140,  gr_typ_id=933   WHERE pr_typ_id = 12448;
  -- Обновление параметра прибора "[Lora Маркер] Количество попыток"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Маркер] Количество попыток', "Comment" = '', "NameP2" = 'P1120.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=141,  gr_typ_id=933   WHERE pr_typ_id = 12449;
  -- Обновление параметра прибора "[Lora Маркер] Количество в сутки"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Маркер] Количество в сутки', "Comment" = '', "NameP2" = 'P1121.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=142,  gr_typ_id=933   WHERE pr_typ_id = 12450;
  -- Обновление параметра прибора "[Lora Маркер] Глубина оффлайн кэша"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Маркер] Глубина оффлайн кэша', "Comment" = '', "NameP2" = 'P1122.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=143,  gr_typ_id=933   WHERE pr_typ_id = 12451;
  -- Обновление параметра прибора "[Lora Тест связи] Количество попыток"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Тест связи] Количество попыток', "Comment" = '', "NameP2" = 'P1130.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=144,  gr_typ_id=933   WHERE pr_typ_id = 12452;
  -- Обновление параметра прибора "[Lora Тест связи] Прескалер маркеров"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora Тест связи] Прескалер маркеров', "Comment" = '', "NameP2" = 'P1131.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=145,  gr_typ_id=933   WHERE pr_typ_id = 12453;
  -- Обновление параметра прибора "[Lora АСП] Разрешение управления сетью"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora АСП] Разрешение управления сетью', "Comment" = '', "NameP2" = 'P1140.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=146,  gr_typ_id=933   WHERE pr_typ_id = 12454;
  -- Обновление параметра прибора "[Lora АСП] Порог для ручного управления"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora АСП] Порог для ручного управления', "Comment" = '', "NameP2" = 'P1141.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=147,  gr_typ_id=933   WHERE pr_typ_id = 12455;
  -- Обновление параметра прибора "[Lora ] Запрос на передачу маркера"
UPDATE "Tepl"."DeviceTypeParametr"
SET "Name" = '[Lora ] Запрос на передачу маркера', "Comment" = '', "NameP2" = 'P11F2.U8', dev_typ_id = 352, "SupportData" = 192,  "typ_dat_Arh"=148,  gr_typ_id=933   WHERE pr_typ_id = 12456;
