-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 17420 AND pr_typ_id <= 17714;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1187 AND gr_typ_id <= 1197;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 448 AND dev_typ_id <= 449;

---- Прибор "СПОДЭС v3 Электросчётчик 3-фазный" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'СПОДЭС v3 Электросчётчик 3-фазный', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 442;

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1187, 'Информационные', '', 442, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17420, 'Дата и время прибора', '', 1187, 1, 0, 'D', 442, 193);
-- Добавление параметра прибора "Серийный номер ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17421, 'Серийный номер ПУ', '', 1187, 1, 1, 'i_sn', 442, 448);
-- Добавление параметра прибора "Наименование производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17422, 'Наименование производителя', '', 1187, 1, 2, 'i_manuf', 442, 448);
-- Добавление параметра прибора "Тип (модель) ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17423, 'Тип (модель) ПУ', '', 1187, 1, 3, 'i_dev', 442, 448);
-- Добавление параметра прибора "Идентификатор исполнения счетчика (модель)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17424, 'Идентификатор исполнения счетчика (модель)', '', 1187, 1, 4, 'i_model', 442, 448);
-- Добавление параметра прибора "Дата выпуска ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17425, 'Дата выпуска ПУ', '', 1187, 1, 5, 'i_prodd', 442, 448);
-- Добавление параметра прибора "Данные точки учёта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17426, 'Данные точки учёта', '', 1187, 1, 6, 'c_mpid', 442, 448);
-- Добавление параметра прибора "Логическое имя устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17427, 'Логическое имя устройства', '', 1187, 1, 7, 'c_ldn', 442, 448);
-- Добавление параметра прибора "Серийный номер пульта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17428, 'Серийный номер пульта', '', 1187, 1, 8, 'i_snp', 442, 448);
-- Добавление параметра прибора "Версия метрологического ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17429, 'Версия метрологического ПО', '', 1187, 1, 9, 'i_fw', 442, 448);
-- Добавление параметра прибора "Контрольная сумма не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17430, 'Контрольная сумма не метрологической части ВПО', '', 1187, 1, 10, 'i_vpocrc', 442, 448);
-- Добавление параметра прибора "Идентификатор не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17431, 'Идентификатор не метрологической части ВПО', '', 1187, 1, 11, 'i_vpoid', 442, 448);
-- Добавление параметра прибора "Дата последнего изменения встроенного ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17432, 'Дата последнего изменения встроенного ПО', '', 1187, 1, 12, 'c_lsetfw', 442, 448);
-- Добавление параметра прибора "Версия спецификации СПОДЭС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17433, 'Версия спецификации СПОДЭС', '', 1187, 1, 13, 'i_spodesv', 442, 448);
-- Добавление параметра прибора "Номинальное напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17434, 'Номинальное напряжение', '', 1187, 1, 14, 'c_nomU', 442, 448);
-- Добавление параметра прибора "Номинальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17435, 'Номинальный ток', '', 1187, 1, 15, 'c_nomI', 442, 448);
-- Добавление параметра прибора "Номинальная частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17436, 'Номинальная частота', '', 1187, 1, 16, 'c_nomF', 442, 448);
-- Добавление параметра прибора "Максимальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17437, 'Максимальный ток', '', 1187, 1, 17, 'c_maxI', 442, 448);
-- Добавление параметра прибора "Согласованное напряжение питания"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17438, 'Согласованное напряжение питания', '', 1187, 1, 18, 'c_conU', 442, 448);
-- Добавление параметра прибора "Блокиратор реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17439, 'Блокиратор реле нагрузки', '', 1187, 1, 19, 'c_relay', 442, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17440, 'Текущее состояние датчика вскрытия корпуса', '', 1187, 1, 20, 's_curcase', 442, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17441, 'Текущее состояние датчика вскрытия крышки клеммников', '', 1187, 1, 21, 's_curtermc', 442, 448);
-- Добавление параметра прибора "Текущее состояние датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17442, 'Текущее состояние датчика магнитного поля', '', 1187, 1, 22, 's_curmagn', 442, 448);
-- Добавление параметра прибора "Текущее состояние датчика ВЧ поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17443, 'Текущее состояние датчика ВЧ поля', '', 1187, 1, 23, 's_curhfreq', 442, 448);
-- Добавление параметра прибора "Зафиксированное состояние событий электронных пломб"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17444, 'Зафиксированное состояние событий электронных пломб', '', 1187, 1, 24, 's_seal', 442, 448);
-- Добавление параметра прибора "Обжатие электронных пломб"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17445, 'Обжатие электронных пломб', '', 1187, 1, 25, 's_sealdone', 442, 448);
-- Добавление параметра прибора "Очистка зафиксированных событий (магнит и ВЧ поле)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17446, 'Очистка зафиксированных событий (магнит и ВЧ поле)', '', 1187, 1, 26, 's_eventsclr', 442, 448);
-- Добавление параметра прибора "Время первого вскрытия электронной пломбы корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17447, 'Время первого вскрытия электронной пломбы корпуса', '', 1187, 1, 27, 's_timecase', 442, 448);
-- Добавление параметра прибора "Время первого вскрытия электронной пломбы крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17448, 'Время первого вскрытия электронной пломбы крышки клеммников', '', 1187, 1, 28, 's_timetermc', 442, 448);
-- Добавление параметра прибора "Счетчик коррекций (конфигурирований)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17449, 'Счетчик коррекций (конфигурирований)', '', 1187, 1, 29, 'c_corr', 442, 448);
-- Добавление параметра прибора "Дата последнего конфигурирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17450, 'Дата последнего конфигурирования', '', 1187, 1, 30, 'c_corrd', 442, 448);
-- Добавление параметра прибора "Дата последней калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17451, 'Дата последней калибровки', '', 1187, 1, 31, 'c_cald', 442, 448);
-- Добавление параметра прибора "Дата последнего активирования календаря"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17452, 'Дата последнего активирования календаря', '', 1187, 1, 32, 'c_lacd', 442, 448);
-- Добавление параметра прибора "Дата последней установки времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17453, 'Дата последней установки времени', '', 1187, 1, 33, 'c_lsetd', 442, 448);
-- Добавление параметра прибора "Счетчик срабатываний реле на размыкание"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17454, 'Счетчик срабатываний реле на размыкание', '', 1187, 1, 34, 'c_relayoff', 442, 448);
-- Добавление параметра прибора "Счетчик вскрытий корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17455, 'Счетчик вскрытий корпуса', '', 1187, 1, 35, 'c_openc', 442, 448);
-- Добавление параметра прибора "Дата последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17456, 'Дата последнего вскрытия корпуса', '', 1187, 1, 36, 'c_lopend', 442, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17457, 'Продолжительность последнего вскрытия корпуса', '', 1187, 1, 37, 'c_lopendt', 442, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17458, 'Общая продолжительность вскрытия корпуса', '', 1187, 1, 38, 'c_lopenttot', 442, 448);
-- Добавление параметра прибора "Счетчик вскрытий крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17459, 'Счетчик вскрытий крышки клеммников', '', 1187, 1, 39, 'c_openclem', 442, 448);
-- Добавление параметра прибора "Дата последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17460, 'Дата последнего вскрытия крышки клеммников', '', 1187, 1, 40, 'c_lopenclemd', 442, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17461, 'Продолжительность последнего вскрытия крышки клеммников', '', 1187, 1, 41, 'c_lopenclemdt', 442, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17462, 'Общая продолжительность вскрытия крышки клеммников', '', 1187, 1, 42, 'c_openclemtot', 442, 448);
-- Добавление параметра прибора "Счетчик срабатываний датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17463, 'Счетчик срабатываний датчика магнитного поля', '', 1187, 1, 43, 'c_magn', 442, 448);
-- Добавление параметра прибора "Дата последнего воздействия датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17464, 'Дата последнего воздействия датчика магнитного поля', '', 1187, 1, 44, 'c_lmagnd', 442, 448);
-- Добавление параметра прибора "Продолжительность последнего воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17465, 'Продолжительность последнего воздействия магнитного поля', '', 1187, 1, 45, 'c_lmagnt', 442, 448);
-- Добавление параметра прибора "Общая продолжительность воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17466, 'Общая продолжительность воздействия магнитного поля', '', 1187, 1, 46, 'c_magntot', 442, 448);
-- Добавление параметра прибора "Счетчик сбросов центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17467, 'Счетчик сбросов центрального микроконтроллера', '', 1187, 1, 47, 'c_mcreset', 442, 448);
-- Добавление параметра прибора "Дата последнего сброса центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17468, 'Дата последнего сброса центрального микроконтроллера', '', 1187, 1, 48, 'c_mcresetd', 442, 448);
-- Добавление параметра прибора "Дата последнего выключения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17469, 'Дата последнего выключения счётчика', '', 1187, 1, 49, 'c_puoffd', 442, 448);
-- Добавление параметра прибора "Дата последнего включения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17470, 'Дата последнего включения счётчика', '', 1187, 1, 50, 'c_puond', 442, 448);
-- Добавление параметра прибора "Счётчик обнуления учтённой энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17471, 'Счётчик обнуления учтённой энергии', '', 1187, 1, 51, 'c_enerreset', 442, 448);
-- Добавление параметра прибора "Дата последнего обнуления учтённой энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17472, 'Дата последнего обнуления учтённой энергии', '', 1187, 1, 52, 'c_enerresetd', 442, 448);
-- Добавление параметра прибора "Время работы ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17473, 'Время работы ПУ', '', 1187, 1, 53, 'c_wt', 442, 446);
-- Добавление параметра прибора "Температура внутри корпуса ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17474, 'Температура внутри корпуса ПУ', '', 1187, 1, 54, 't', 442, 434);
-- Добавление параметра прибора "Текущее состояние инициативного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17475, 'Текущее состояние инициативного выхода', '', 1187, 1, 55, 'flags', 442, 448);
-- Добавление параметра прибора "Коэффициент несимметрии напряжений по обратной последовательности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17476, 'Коэффициент несимметрии напряжений по обратной последовательности', '', 1187, 1, 56, 'UBFD', 442, 448);
-- Добавление параметра прибора "Коэффициент несимметрии напряжений по нулевой последовательности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17477, 'Коэффициент несимметрии напряжений по нулевой последовательности', '', 1187, 1, 57, 'UBFR', 442, 448);
-- Добавление параметра прибора "Коэффициент трансформации по напряжению"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17478, 'Коэффициент трансформации по напряжению', '', 1187, 1, 58, 'i_Ucf', 442, 448);
-- Добавление параметра прибора "Коэффициент трансформации по току"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17479, 'Коэффициент трансформации по току', '', 1187, 1, 59, 'i_Icf', 442, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1188, 'Параметры сети', '', 442, 0);

-- Добавление параметра прибора "Частота сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17480, 'Частота сети', '', 1188, 1, 168, 'f', 442, 385);
-- Добавление параметра прибора "Напряжение фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17481, 'Напряжение фазы А', '', 1188, 1, 169, 'VRN', 442, 435);
-- Добавление параметра прибора "Напряжение фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17482, 'Напряжение фазы B', '', 1188, 1, 170, 'VYN', 442, 435);
-- Добавление параметра прибора "Напряжение фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17483, 'Напряжение фазы C', '', 1188, 1, 171, 'VBN', 442, 435);
-- Добавление параметра прибора "Линейное напряжение AB"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17484, 'Линейное напряжение AB', '', 1188, 1, 172, 'VRY', 442, 435);
-- Добавление параметра прибора "Линейное напряжение BC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17485, 'Линейное напряжение BC', '', 1188, 1, 173, 'VYB', 442, 435);
-- Добавление параметра прибора "Линейное напряжение CA"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17486, 'Линейное напряжение CA', '', 1188, 1, 174, 'VRB', 442, 435);
-- Добавление параметра прибора "Межфазное напряжение АB"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17487, 'Межфазное напряжение АB', '', 1188, 1, 175, 'VFRY', 442, 385);
-- Добавление параметра прибора "Межфазное напряжение BC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17488, 'Межфазное напряжение BC', '', 1188, 1, 176, 'VFYB', 442, 385);
-- Добавление параметра прибора "Межфазное напряжение AC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17489, 'Межфазное напряжение AC', '', 1188, 1, 177, 'VFRB', 442, 385);
-- Добавление параметра прибора "Угол между фазами АВ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17490, 'Угол между фазами АВ', '', 1188, 1, 178, 'phiVRY', 442, 385);
-- Добавление параметра прибора "Угол между фазами ВС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17491, 'Угол между фазами ВС', '', 1188, 1, 179, 'phiVYB', 442, 385);
-- Добавление параметра прибора "Угол между фазами АС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17492, 'Угол между фазами АС', '', 1188, 1, 180, 'phiVRB', 442, 385);
-- Добавление параметра прибора "Ток нейтрали"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17493, 'Ток нейтрали', '', 1188, 1, 181, 'In', 442, 385);
-- Добавление параметра прибора "Ток фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17494, 'Ток фазы А', '', 1188, 1, 182, 'Ir', 442, 385);
-- Добавление параметра прибора "Ток фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17495, 'Ток фазы B', '', 1188, 1, 183, 'Iy', 442, 385);
-- Добавление параметра прибора "Ток фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17496, 'Ток фазы C', '', 1188, 1, 184, 'Ib', 442, 385);
-- Добавление параметра прибора "Угол UI фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17497, 'Угол UI фазы А', '', 1188, 1, 185, 'phiVIR', 442, 385);
-- Добавление параметра прибора "Угол UI фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17498, 'Угол UI фазы В', '', 1188, 1, 186, 'phiVIY', 442, 385);
-- Добавление параметра прибора "Угол UI фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17499, 'Угол UI фазы С', '', 1188, 1, 187, 'phiVIR', 442, 385);
-- Добавление параметра прибора "Дифференциальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17500, 'Дифференциальный ток', '', 1188, 1, 188, 'Idiff', 442, 385);
-- Добавление параметра прибора "Дифференциальный ток, % от фазного тока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17501, 'Дифференциальный ток, % от фазного тока', '', 1188, 1, 189, 'Idiffperc', 442, 385);
-- Добавление параметра прибора "Статус некачественной энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17502, 'Статус некачественной энергии', '', 1188, 1, 190, 'faultes', 442, 388);
-- Добавление параметра прибора "Время отклонения частоты от нормируемых параметров"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17503, 'Время отклонения частоты от нормируемых параметров', '', 1188, 1, 191, 'faultft', 442, 396);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1189, 'Параметры учёта', '', 442, 0);

-- Добавление параметра прибора "Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17504, 'Полная мощность', '', 1189, 1, 60, 'S', 442, 385);
-- Добавление параметра прибора "Полная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17505, 'Полная мощность фазы А', '', 1189, 1, 61, 'SR', 442, 385);
-- Добавление параметра прибора "Полная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17506, 'Полная мощность фазы B', '', 1189, 1, 62, 'SY', 442, 385);
-- Добавление параметра прибора "Полная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17507, 'Полная мощность фазы C', '', 1189, 1, 63, 'SB', 442, 385);
-- Добавление параметра прибора "Активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17508, 'Активная мощность', '', 1189, 1, 64, 'P', 442, 385);
-- Добавление параметра прибора "Активная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17509, 'Активная мощность фазы А', '', 1189, 1, 65, 'PR', 442, 385);
-- Добавление параметра прибора "Активная мощность фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17510, 'Активная мощность фазы В', '', 1189, 1, 66, 'PY', 442, 385);
-- Добавление параметра прибора "Активная мощность фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17511, 'Активная мощность фазы С', '', 1189, 1, 67, 'PB', 442, 385);
-- Добавление параметра прибора "Реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17512, 'Реактивная мощность', '', 1189, 1, 68, 'Q', 442, 385);
-- Добавление параметра прибора "Реактивная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17513, 'Реактивная мощность фазы А', '', 1189, 1, 69, 'QR', 442, 385);
-- Добавление параметра прибора "Реактивная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17514, 'Реактивная мощность фазы B', '', 1189, 1, 70, 'QY', 442, 385);
-- Добавление параметра прибора "Реактивная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17515, 'Реактивная мощность фазы C', '', 1189, 1, 71, 'QB', 442, 385);
-- Добавление параметра прибора "Коэффициент мощности общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17516, 'Коэффициент мощности общий', '', 1189, 1, 72, 'PF', 442, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17517, 'Коэффициент мощности фазы А', '', 1189, 1, 73, 'PFSR', 442, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17518, 'Коэффициент мощности фазы B', '', 1189, 1, 74, 'PFSY', 442, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17519, 'Коэффициент мощности фазы C', '', 1189, 1, 75, 'PFSB', 442, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17520, 'Коэффициент реактивной мощности', '', 1189, 1, 76, 'PFQ', 442, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17521, 'Коэффициент реактивной мощности фазы А', '', 1189, 1, 77, 'PFQR', 442, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17522, 'Коэффициент реактивной мощности фазы В', '', 1189, 1, 78, 'PFQY', 442, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17523, 'Коэффициент реактивной мощности фазы С', '', 1189, 1, 79, 'PFQB', 442, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1190, 'Энергия', '', 442, 0);

-- Добавление параметра прибора "Активная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17524, 'Активная энергия, импорт за период записи', '', 1190, 1, 80, 'PP_A+imp', 442, 434);
-- Добавление параметра прибора "Активная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17525, 'Активная энергия, экспорт за период записи', '', 1190, 1, 81, 'PP_A+exp', 442, 434);
-- Добавление параметра прибора "Реактивная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17526, 'Реактивная энергия, импорт за период записи', '', 1190, 1, 82, 'PP_R-imp', 442, 434);
-- Добавление параметра прибора "Реактивная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17527, 'Реактивная энергия, экспорт за период записи', '', 1190, 1, 83, 'PP_R-exp', 442, 434);
-- Добавление параметра прибора "Полная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17528, 'Полная энергия, импорт за период записи', '', 1190, 1, 84, 'PP_Pimp', 442, 434);
-- Добавление параметра прибора "Полная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17529, 'Полная энергия, экспорт за период записи', '', 1190, 1, 85, 'PP_Pexp', 442, 434);
-- Добавление параметра прибора "Полная энергия"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17530, 'Полная энергия', '', 1190, 1, 86, 'E', 442, 392);
-- Добавление параметра прибора "Активная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17531, 'Активная энергия, импорт', '', 1190, 1, 87, 'A+imp', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17532, 'Активная энергия, импорт по 1 тарифу', '', 1190, 1, 88, 'A+imp1', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17533, 'Активная энергия, импорт по 2 тарифу', '', 1190, 1, 89, 'A+imp2', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17534, 'Активная энергия, импорт по 3 тарифу', '', 1190, 1, 90, 'A+imp3', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17535, 'Активная энергия, импорт по 4 тарифу', '', 1190, 1, 91, 'A+imp4', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17536, 'Активная энергия, импорт по 5 тарифу', '', 1190, 1, 92, 'A+imp5', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17537, 'Активная энергия, импорт по 6 тарифу', '', 1190, 1, 93, 'A+imp6', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17538, 'Активная энергия, импорт по 7 тарифу', '', 1190, 1, 94, 'A+imp7', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17539, 'Активная энергия, импорт по 8 тарифу', '', 1190, 1, 95, 'A+imp8', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17540, 'Активная энергия, экспорт', '', 1190, 1, 96, 'A+exp', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17541, 'Активная энергия, экспорт по 1 тарифу', '', 1190, 1, 97, 'A+exp1', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17542, 'Активная энергия, экспорт по 2 тарифу', '', 1190, 1, 98, 'A+exp2', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17543, 'Активная энергия, экспорт по 3 тарифу', '', 1190, 1, 99, 'A+exp3', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17544, 'Активная энергия, экспорт по 4 тарифу', '', 1190, 1, 100, 'A+exp4', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17545, 'Активная энергия, экспорт по 5 тарифу', '', 1190, 1, 101, 'A+exp5', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17546, 'Активная энергия, экспорт по 6 тарифу', '', 1190, 1, 102, 'A+exp6', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17547, 'Активная энергия, экспорт по 7 тарифу', '', 1190, 1, 103, 'A+exp7', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17548, 'Активная энергия, экспорт по 8 тарифу', '', 1190, 1, 104, 'A+exp8', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17549, 'Реактивная энергия, импорт', '', 1190, 1, 105, 'R-imp', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17550, 'Реактивная энергия, импорт по 1 тарифу', '', 1190, 1, 106, 'R-imp1', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17551, 'Реактивная энергия, импорт по 2 тарифу', '', 1190, 1, 107, 'R-imp2', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17552, 'Реактивная энергия, импорт по 3 тарифу', '', 1190, 1, 108, 'R-imp3', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17553, 'Реактивная энергия, импорт по 4 тарифу', '', 1190, 1, 109, 'R-imp4', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17554, 'Реактивная энергия, импорт по 5 тарифу', '', 1190, 1, 110, 'R-imp5', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17555, 'Реактивная энергия, импорт по 6 тарифу', '', 1190, 1, 111, 'R-imp6', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17556, 'Реактивная энергия, импорт по 7 тарифу', '', 1190, 1, 112, 'R-imp7', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17557, 'Реактивная энергия, импорт по 8 тарифу', '', 1190, 1, 113, 'R-imp8', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17558, 'Реактивная энергия, экспорт', '', 1190, 1, 114, 'R-exp', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17559, 'Реактивная энергия, экспорт по 1 тарифу', '', 1190, 1, 115, 'R-exp1', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17560, 'Реактивная энергия, экспорт по 2 тарифу', '', 1190, 1, 116, 'R-exp2', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17561, 'Реактивная энергия, экспорт по 3 тарифу', '', 1190, 1, 117, 'R-exp3', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17562, 'Реактивная энергия, экспорт по 4 тарифу', '', 1190, 1, 118, 'R-exp4', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17563, 'Реактивная энергия, экспорт по 5 тарифу', '', 1190, 1, 119, 'R-exp5', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17564, 'Реактивная энергия, экспорт по 6 тарифу', '', 1190, 1, 120, 'R-exp6', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17565, 'Реактивная энергия, экспорт по 7 тарифу', '', 1190, 1, 121, 'R-exp7', 442, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17566, 'Реактивная энергия, экспорт по 8 тарифу', '', 1190, 1, 122, 'R-exp8', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17567, 'Активная энергия, импорт фаза А', '', 1190, 1, 123, 'A+impR', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17568, 'Активная энергия, импорт фаза В', '', 1190, 1, 124, 'A+impY', 442, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17569, 'Активная энергия, импорт фаза С', '', 1190, 1, 125, 'A+impB', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17570, 'Активная энергия, экспорт фаза А', '', 1190, 1, 126, 'A+expR', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт фаза B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17571, 'Активная энергия, экспорт фаза B', '', 1190, 1, 127, 'A+expY', 442, 397);
-- Добавление параметра прибора "Активная энергия, экспорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17572, 'Активная энергия, экспорт фаза С', '', 1190, 1, 128, 'A+expB', 442, 397);
-- Добавление параметра прибора "Рективная энергия, импорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17573, 'Рективная энергия, импорт фаза А', '', 1190, 1, 129, 'R-impR', 442, 397);
-- Добавление параметра прибора "Рективная энергия, импорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17574, 'Рективная энергия, импорт фаза В', '', 1190, 1, 130, 'R-impY', 442, 397);
-- Добавление параметра прибора "Рективная энергия, импорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17575, 'Рективная энергия, импорт фаза С', '', 1190, 1, 131, 'R-impB', 442, 397);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17576, 'Рективная энергия, экспорт фаза А', '', 1190, 1, 132, 'R-expR', 442, 397);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17577, 'Рективная энергия, экспорт фаза В', '', 1190, 1, 133, 'R-expY', 442, 397);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17578, 'Рективная энергия, экспорт фаза С', '', 1190, 1, 134, 'R-expB', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17579, 'Удельная энергия потерь в ЛЭП', '', 1190, 1, 135, 'Eloss', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17580, 'Удельная энергия потерь в ЛЭП по 1 тарифу', '', 1190, 1, 136, 'Eloss1', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17581, 'Удельная энергия потерь в ЛЭП по 2 тарифу', '', 1190, 1, 137, 'Eloss2', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17582, 'Удельная энергия потерь в ЛЭП по 3 тарифу', '', 1190, 1, 138, 'Eloss3', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17583, 'Удельная энергия потерь в ЛЭП по 4 тарифу', '', 1190, 1, 139, 'Eloss4', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17584, 'Удельная энергия потерь в ЛЭП по 5 тарифу', '', 1190, 1, 140, 'Eloss5', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17585, 'Удельная энергия потерь в ЛЭП по 6 тарифу', '', 1190, 1, 141, 'Eloss6', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17586, 'Удельная энергия потерь в ЛЭП по 7 тарифу', '', 1190, 1, 142, 'Eloss7', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17587, 'Удельная энергия потерь в ЛЭП по 8 тарифу', '', 1190, 1, 143, 'Eloss8', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17588, 'Удельная энергия потерь в силовых трансформаторах', '', 1190, 1, 144, 'CVsh', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17589, 'Удельная энергия потерь в силовых трансформаторах по 1 тарифу', '', 1190, 1, 145, 'CVsh1', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17590, 'Удельная энергия потерь в силовых трансформаторах по 2 тарифу', '', 1190, 1, 146, 'CVsh2', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17591, 'Удельная энергия потерь в силовых трансформаторах по 3 тарифу', '', 1190, 1, 147, 'CVsh3', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17592, 'Удельная энергия потерь в силовых трансформаторах по 4 тарифу', '', 1190, 1, 148, 'CVsh4', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17593, 'Удельная энергия потерь в силовых трансформаторах по 5 тарифу', '', 1190, 1, 149, 'CVsh5', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17594, 'Удельная энергия потерь в силовых трансформаторах по 6 тарифу', '', 1190, 1, 150, 'CVsh6', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17595, 'Удельная энергия потерь в силовых трансформаторах по 7 тарифу', '', 1190, 1, 151, 'CVsh7', 442, 397);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17596, 'Удельная энергия потерь в силовых трансформаторах по 8 тарифу', '', 1190, 1, 152, 'CVsh8', 442, 397);
-- Добавление параметра прибора "Суточное значение макс. активной мощности на интервале интегр. 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17597, 'Суточное значение макс. активной мощности на интервале интегр. 2', '', 1190, 1, 153, 'Pmaxdi2', 442, 389);
-- Добавление параметра прибора "Суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17598, 'Суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок', '', 1190, 1, 154, 'Pmaxdi2ppn', 442, 389);
-- Добавление параметра прибора "Макс. мощность на расчётном периоде"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17599, 'Макс. мощность на расчётном периоде', '', 1190, 1, 155, 'SPmax', 442, 392);
-- Добавление параметра прибора "Время начала интервала макс. мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17600, 'Время начала интервала макс. мощности', '', 1190, 1, 156, 'SPmaxt', 442, 392);
-- Добавление параметра прибора "Мин. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17601, 'Мин. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1190, 1, 157, 'Smin', 442, 392);
-- Добавление параметра прибора "Макс. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17602, 'Макс. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1190, 1, 158, 'Smax', 442, 392);
-- Добавление параметра прибора "Мин. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17603, 'Мин. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1190, 1, 159, 'Pmin', 442, 392);
-- Добавление параметра прибора "Макс. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17604, 'Макс. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1190, 1, 160, 'Pmax', 442, 392);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17605, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2', '', 1190, 1, 161, 'Pavg', 442, 392);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17606, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок', '', 1190, 1, 162, 'Pmaxavg', 442, 392);
-- Добавление параметра прибора "Коэффициент реактивной мощности tg ф, макс. значение на интервале интегр. 2 за расч. период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17607, 'Коэффициент реактивной мощности tg ф, макс. значение на интервале интегр. 2 за расч. период', '', 1190, 1, 163, 'PFQmax', 442, 392);
-- Добавление параметра прибора "Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17608, 'Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1190, 1, 164, 'tgfmin', 442, 392);
-- Добавление параметра прибора "Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17609, 'Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1190, 1, 165, 'tgfmax', 442, 392);
-- Добавление параметра прибора "Статус записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17610, 'Статус записи', '', 1190, 1, 166, 'recstate', 442, 434);
-- Добавление параметра прибора "Интервал интегр. 2 параметров сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17611, 'Интервал интегр. 2 параметров сети', '', 1190, 1, 167, 'recperiod', 442, 396);

---- Прибор "Valtec Протей 485 v3" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (448, 'Valtec Протей 485 v3', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1191, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 448, 0);


---- Группа "Метрология" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1192, 'Метрология', '', 448, 0);

-- Добавление параметра прибора "Объём V, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17612, 'Объём V, м3', '', 1192, 1, 4, 'V', 448, 399);
-- Добавление параметра прибора "Флаги НС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17613, 'Флаги НС', '', 1192, 1, 5, 'FL', 448, 399);
-- Добавление параметра прибора "Обратный объем, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17614, 'Обратный объем, м3', '', 1192, 1, 6, 'VR', 448, 271);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1193, 'Системные', '', 448, 0);

-- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17615, 'Серийный номер', '', 1193, 1, 0, 'SN', 448, 448);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17616, 'Версия ПО', '', 1193, 1, 1, 'VER', 448, 448);
-- Добавление параметра прибора "Адрес в сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17617, 'Адрес в сети', '', 1193, 1, 2, 'ADR', 448, 448);
-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17618, 'Дата и время', '', 1193, 1, 3, 'D', 448, 65);

---- Прибор "Милур 307S (СПОДЭС)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (449, 'Милур 307S (СПОДЭС)', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1194, 'Информационные', '', 449, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17619, 'Дата и время прибора', '', 1194, 1, 0, 'D', 449, 193);
-- Добавление параметра прибора "Серийный номер ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17620, 'Серийный номер ПУ', '', 1194, 1, 1, 'i_sn', 449, 448);
-- Добавление параметра прибора "Наименование производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17621, 'Наименование производителя', '', 1194, 1, 2, 'i_manuf', 449, 448);
-- Добавление параметра прибора "Тип (модель) ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17622, 'Тип (модель) ПУ', '', 1194, 1, 3, 'i_dev', 449, 448);
-- Добавление параметра прибора "Данные точки учёта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17623, 'Данные точки учёта', '', 1194, 1, 6, 'c_mpid', 449, 448);
-- Добавление параметра прибора "Логическое имя устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17624, 'Логическое имя устройства', '', 1194, 1, 7, 'c_ldn', 449, 448);
-- Добавление параметра прибора "Версия метрологического ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17625, 'Версия метрологического ПО', '', 1194, 1, 9, 'i_fw', 449, 448);
-- Добавление параметра прибора "Дата последнего изменения встроенного ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17626, 'Дата последнего изменения встроенного ПО', '', 1194, 1, 12, 'c_lsetfw', 449, 448);
-- Добавление параметра прибора "Счетчик коррекций (конфигурирований)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17627, 'Счетчик коррекций (конфигурирований)', '', 1194, 1, 29, 'c_corr', 449, 448);
-- Добавление параметра прибора "Дата последнего конфигурирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17628, 'Дата последнего конфигурирования', '', 1194, 1, 30, 'c_corrd', 449, 448);
-- Добавление параметра прибора "Дата последней калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17629, 'Дата последней калибровки', '', 1194, 1, 31, 'c_cald', 449, 448);
-- Добавление параметра прибора "Дата последней установки времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17630, 'Дата последней установки времени', '', 1194, 1, 33, 'c_lsetd', 449, 448);
-- Добавление параметра прибора "Счетчик вскрытий корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17631, 'Счетчик вскрытий корпуса', '', 1194, 1, 35, 'c_openc', 449, 448);
-- Добавление параметра прибора "Дата последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17632, 'Дата последнего вскрытия корпуса', '', 1194, 1, 36, 'c_lopend', 449, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17633, 'Продолжительность последнего вскрытия корпуса', '', 1194, 1, 37, 'c_lopendt', 449, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17634, 'Общая продолжительность вскрытия корпуса', '', 1194, 1, 38, 'c_lopenttot', 449, 448);
-- Добавление параметра прибора "Счетчик вскрытий крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17635, 'Счетчик вскрытий крышки клеммников', '', 1194, 1, 39, 'c_openclem', 449, 448);
-- Добавление параметра прибора "Дата последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17636, 'Дата последнего вскрытия крышки клеммников', '', 1194, 1, 40, 'c_lopenclemd', 449, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17637, 'Продолжительность последнего вскрытия крышки клеммников', '', 1194, 1, 41, 'c_lopenclemdt', 449, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17638, 'Общая продолжительность вскрытия крышки клеммников', '', 1194, 1, 42, 'c_openclemtot', 449, 448);
-- Добавление параметра прибора "Счетчик срабатываний датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17639, 'Счетчик срабатываний датчика магнитного поля', '', 1194, 1, 43, 'c_magn', 449, 448);
-- Добавление параметра прибора "Дата последнего воздействия датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17640, 'Дата последнего воздействия датчика магнитного поля', '', 1194, 1, 44, 'c_lmagnd', 449, 448);
-- Добавление параметра прибора "Продолжительность последнего воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17641, 'Продолжительность последнего воздействия магнитного поля', '', 1194, 1, 45, 'c_lmagnt', 449, 448);
-- Добавление параметра прибора "Общая продолжительность воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17642, 'Общая продолжительность воздействия магнитного поля', '', 1194, 1, 46, 'c_magntot', 449, 448);
-- Добавление параметра прибора "Текущее состояние инициативного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17643, 'Текущее состояние инициативного выхода', '', 1194, 1, 55, 'flags', 449, 448);
-- Добавление параметра прибора "Коэффициент несимметрии напряжений по обратной последовательности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17644, 'Коэффициент несимметрии напряжений по обратной последовательности', '', 1194, 1, 56, 'UBFD', 449, 448);
-- Добавление параметра прибора "Коэффициент несимметрии напряжений по нулевой последовательности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17645, 'Коэффициент несимметрии напряжений по нулевой последовательности', '', 1194, 1, 57, 'UBFR', 449, 448);
-- Добавление параметра прибора "Коэффициент трансформации по напряжению"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17646, 'Коэффициент трансформации по напряжению', '', 1194, 1, 58, 'i_Ucf', 449, 448);
-- Добавление параметра прибора "Коэффициент трансформации по току"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17647, 'Коэффициент трансформации по току', '', 1194, 1, 59, 'i_Icf', 449, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1195, 'Параметры сети', '', 449, 0);

-- Добавление параметра прибора "Частота сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17648, 'Частота сети', '', 1195, 1, 168, 'f', 449, 385);
-- Добавление параметра прибора "Напряжение фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17649, 'Напряжение фазы А', '', 1195, 1, 169, 'VRN', 449, 385);
-- Добавление параметра прибора "Напряжение фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17650, 'Напряжение фазы B', '', 1195, 1, 170, 'VYN', 449, 385);
-- Добавление параметра прибора "Напряжение фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17651, 'Напряжение фазы C', '', 1195, 1, 171, 'VBN', 449, 385);
-- Добавление параметра прибора "Межфазное напряжение АB"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17652, 'Межфазное напряжение АB', '', 1195, 1, 175, 'VFRY', 449, 385);
-- Добавление параметра прибора "Межфазное напряжение BC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17653, 'Межфазное напряжение BC', '', 1195, 1, 176, 'VFYB', 449, 385);
-- Добавление параметра прибора "Межфазное напряжение AC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17654, 'Межфазное напряжение AC', '', 1195, 1, 177, 'VFRB', 449, 385);
-- Добавление параметра прибора "Ток фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17655, 'Ток фазы А', '', 1195, 1, 182, 'Ir', 449, 385);
-- Добавление параметра прибора "Ток фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17656, 'Ток фазы B', '', 1195, 1, 183, 'Iy', 449, 385);
-- Добавление параметра прибора "Ток фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17657, 'Ток фазы C', '', 1195, 1, 184, 'Ib', 449, 385);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1196, 'Параметры учёта', '', 449, 0);

-- Добавление параметра прибора "Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17658, 'Полная мощность', '', 1196, 1, 60, 'S', 449, 385);
-- Добавление параметра прибора "Полная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17659, 'Полная мощность фазы А', '', 1196, 1, 61, 'SR', 449, 385);
-- Добавление параметра прибора "Полная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17660, 'Полная мощность фазы B', '', 1196, 1, 62, 'SY', 449, 385);
-- Добавление параметра прибора "Полная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17661, 'Полная мощность фазы C', '', 1196, 1, 63, 'SB', 449, 385);
-- Добавление параметра прибора "Активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17662, 'Активная мощность', '', 1196, 1, 64, 'P', 449, 385);
-- Добавление параметра прибора "Активная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17663, 'Активная мощность фазы А', '', 1196, 1, 65, 'PR', 449, 385);
-- Добавление параметра прибора "Активная мощность фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17664, 'Активная мощность фазы В', '', 1196, 1, 66, 'PY', 449, 385);
-- Добавление параметра прибора "Активная мощность фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17665, 'Активная мощность фазы С', '', 1196, 1, 67, 'PB', 449, 385);
-- Добавление параметра прибора "Реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17666, 'Реактивная мощность', '', 1196, 1, 68, 'Q', 449, 385);
-- Добавление параметра прибора "Реактивная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17667, 'Реактивная мощность фазы А', '', 1196, 1, 69, 'QR', 449, 385);
-- Добавление параметра прибора "Реактивная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17668, 'Реактивная мощность фазы B', '', 1196, 1, 70, 'QY', 449, 385);
-- Добавление параметра прибора "Реактивная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17669, 'Реактивная мощность фазы C', '', 1196, 1, 71, 'QB', 449, 385);
-- Добавление параметра прибора "Коэффициент мощности общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17670, 'Коэффициент мощности общий', '', 1196, 1, 72, 'PF', 449, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17671, 'Коэффициент мощности фазы А', '', 1196, 1, 73, 'PFSR', 449, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17672, 'Коэффициент мощности фазы B', '', 1196, 1, 74, 'PFSY', 449, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17673, 'Коэффициент мощности фазы C', '', 1196, 1, 75, 'PFSB', 449, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1197, 'Энергия', '', 449, 0);

-- Добавление параметра прибора "Активная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17674, 'Активная энергия, импорт за период записи', '', 1197, 1, 80, 'PP_A+imp', 449, 434);
-- Добавление параметра прибора "Активная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17675, 'Активная энергия, экспорт за период записи', '', 1197, 1, 81, 'PP_A+exp', 449, 434);
-- Добавление параметра прибора "Реактивная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17676, 'Реактивная энергия, импорт за период записи', '', 1197, 1, 82, 'PP_R-imp', 449, 434);
-- Добавление параметра прибора "Реактивная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17677, 'Реактивная энергия, экспорт за период записи', '', 1197, 1, 83, 'PP_R-exp', 449, 434);
-- Добавление параметра прибора "Полная энергия"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17678, 'Полная энергия', '', 1197, 1, 86, 'E', 449, 384);
-- Добавление параметра прибора "Активная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17679, 'Активная энергия, импорт', '', 1197, 1, 87, 'A+imp', 449, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17680, 'Активная энергия, импорт по 1 тарифу', '', 1197, 1, 88, 'A+imp1', 449, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17681, 'Активная энергия, импорт по 2 тарифу', '', 1197, 1, 89, 'A+imp2', 449, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17682, 'Активная энергия, импорт по 3 тарифу', '', 1197, 1, 90, 'A+imp3', 449, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17683, 'Активная энергия, импорт по 4 тарифу', '', 1197, 1, 91, 'A+imp4', 449, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17684, 'Активная энергия, импорт по 5 тарифу', '', 1197, 1, 92, 'A+imp5', 449, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17685, 'Активная энергия, импорт по 6 тарифу', '', 1197, 1, 93, 'A+imp6', 449, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17686, 'Активная энергия, импорт по 7 тарифу', '', 1197, 1, 94, 'A+imp7', 449, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17687, 'Активная энергия, импорт по 8 тарифу', '', 1197, 1, 95, 'A+imp8', 449, 397);
-- Добавление параметра прибора "Активная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17688, 'Активная энергия, экспорт', '', 1197, 1, 96, 'A+exp', 449, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17689, 'Активная энергия, экспорт по 1 тарифу', '', 1197, 1, 97, 'A+exp1', 449, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17690, 'Активная энергия, экспорт по 2 тарифу', '', 1197, 1, 98, 'A+exp2', 449, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17691, 'Активная энергия, экспорт по 3 тарифу', '', 1197, 1, 99, 'A+exp3', 449, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17692, 'Активная энергия, экспорт по 4 тарифу', '', 1197, 1, 100, 'A+exp4', 449, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17693, 'Активная энергия, экспорт по 5 тарифу', '', 1197, 1, 101, 'A+exp5', 449, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17694, 'Активная энергия, экспорт по 6 тарифу', '', 1197, 1, 102, 'A+exp6', 449, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17695, 'Активная энергия, экспорт по 7 тарифу', '', 1197, 1, 103, 'A+exp7', 449, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17696, 'Активная энергия, экспорт по 8 тарифу', '', 1197, 1, 104, 'A+exp8', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17697, 'Реактивная энергия, импорт', '', 1197, 1, 105, 'R-imp', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17698, 'Реактивная энергия, импорт по 1 тарифу', '', 1197, 1, 106, 'R-imp1', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17699, 'Реактивная энергия, импорт по 2 тарифу', '', 1197, 1, 107, 'R-imp2', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17700, 'Реактивная энергия, импорт по 3 тарифу', '', 1197, 1, 108, 'R-imp3', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17701, 'Реактивная энергия, импорт по 4 тарифу', '', 1197, 1, 109, 'R-imp4', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17702, 'Реактивная энергия, импорт по 5 тарифу', '', 1197, 1, 110, 'R-imp5', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17703, 'Реактивная энергия, импорт по 6 тарифу', '', 1197, 1, 111, 'R-imp6', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17704, 'Реактивная энергия, импорт по 7 тарифу', '', 1197, 1, 112, 'R-imp7', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17705, 'Реактивная энергия, импорт по 8 тарифу', '', 1197, 1, 113, 'R-imp8', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17706, 'Реактивная энергия, экспорт', '', 1197, 1, 114, 'R-exp', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17707, 'Реактивная энергия, экспорт по 1 тарифу', '', 1197, 1, 115, 'R-exp1', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17708, 'Реактивная энергия, экспорт по 2 тарифу', '', 1197, 1, 116, 'R-exp2', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17709, 'Реактивная энергия, экспорт по 3 тарифу', '', 1197, 1, 117, 'R-exp3', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17710, 'Реактивная энергия, экспорт по 4 тарифу', '', 1197, 1, 118, 'R-exp4', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17711, 'Реактивная энергия, экспорт по 5 тарифу', '', 1197, 1, 119, 'R-exp5', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17712, 'Реактивная энергия, экспорт по 6 тарифу', '', 1197, 1, 120, 'R-exp6', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17713, 'Реактивная энергия, экспорт по 7 тарифу', '', 1197, 1, 121, 'R-exp7', 449, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17714, 'Реактивная энергия, экспорт по 8 тарифу', '', 1197, 1, 122, 'R-exp8', 449, 397);
