-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 17717 AND pr_typ_id <= 17754;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1198 AND gr_typ_id <= 1204;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id >= 450 AND dev_typ_id <= 451;

---- Прибор "Энергомера СЕ102" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Энергомера СЕ102', "Comment" = 'Электросчетчик', "AdditionInfo" = 2147483518 WHERE dev_typ_id = 155;

---- Прибор "Энергомера СЕ301" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Энергомера СЕ301', "Comment" = 'Электросчетчик трехфазный', "AdditionInfo" = 2147483518 WHERE dev_typ_id = 160;

---- Прибор "Энергомера СЕ6850" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Энергомера СЕ6850', "Comment" = '', "AdditionInfo" = 2147483518 WHERE dev_typ_id = 216;

---- Прибор "Энергомера CE303" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Энергомера СЕ303', "Comment" = '', "AdditionInfo" = 2147483518 WHERE dev_typ_id = 218;

---- Прибор "Энергомера СЕ102М" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Энергомера СЕ102М', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 265;

---- Прибор "Энергомера CE306" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Энергомера CE306', "Comment" = '', "AdditionInfo" = 0 WHERE dev_typ_id = 294;

---- Прибор "ЛенЭлектро ЛЕ-2 (4 тарифа)" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'ЛенЭлектро ЛЕ-2 (4 тарифа)', "Comment" = 'Счётчик электрической энергии однофазный, многотарифный', "AdditionInfo" = 128 WHERE dev_typ_id = 401;

---- Прибор "ЛенЭлектро ЛЕ-2 (8 тарифов)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (450, 'ЛенЭлектро ЛЕ-2 (8 тарифов)', 'Болванка', 0);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1198, 'Информационные', '', 450, 0);

-- Добавление параметра прибора "Дата/время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17717, 'Дата/время прибора', '', 1198, 1, 0, 'D', 450, 193);
-- Добавление параметра прибора "Состояние реле (0 = замкнуто, 1 = разомкнуто, 2 = заблокировано)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17718, 'Состояние реле (0 = замкнуто, 1 = разомкнуто, 2 = заблокировано)', '', 1198, 1, 1, 'relay', 450, 448);
-- Добавление параметра прибора "Заводской номер счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17719, 'Заводской номер счётчика', '', 1198, 1, 2, 'i_ser', 450, 448);
-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17720, 'Сетевой адрес', '', 1198, 1, 3, 'i_adr', 450, 448);
-- Добавление параметра прибора "Модель счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17721, 'Модель счётчика', '', 1198, 1, 4, 'i_model', 450, 448);
-- Добавление параметра прибора "Дата производства счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17722, 'Дата производства счётчика', '', 1198, 1, 5, 'i_mdate', 450, 448);
-- Добавление параметра прибора "Версия аппаратуры"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17723, 'Версия аппаратуры', '', 1198, 1, 6, 'i_hwver', 450, 448);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17724, 'Версия ПО', '', 1198, 1, 7, 'i_swver', 450, 448);
-- Добавление параметра прибора "Инидкация вскрытия клеммной колодки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17725, 'Инидкация вскрытия клеммной колодки', '', 1198, 1, 8, 's_clem', 450, 448);
-- Добавление параметра прибора "Инидкация вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17726, 'Инидкация вскрытия корпуса', '', 1198, 1, 9, 's_case', 450, 448);
-- Добавление параметра прибора "Инидкация воздействия магнитным полем"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17727, 'Инидкация воздействия магнитным полем', '', 1198, 1, 10, 's_magn', 450, 448);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1199, 'Параметры сети', '', 450, 0);

-- Добавление параметра прибора "Напряжение сети, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17728, 'Напряжение сети, В', '', 1199, 1, 11, 'U', 450, 385);
-- Добавление параметра прибора "Ток фазы, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17729, 'Ток фазы, А', '', 1199, 1, 12, 'Ip', 450, 385);
-- Добавление параметра прибора "Мощность полная фазы, ВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17730, 'Мощность полная фазы, ВА', '', 1199, 1, 13, 'Sp', 450, 385);
-- Добавление параметра прибора "Мощность активная фазы, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17731, 'Мощность активная фазы, Вт', '', 1199, 1, 14, 'Pp', 450, 385);
-- Добавление параметра прибора "Мощность реактивная фазы, вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17732, 'Мощность реактивная фазы, вар', '', 1199, 1, 15, 'Qp', 450, 385);
-- Добавление параметра прибора "Косинус фи фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17733, 'Косинус фи фазы', '', 1199, 1, 16, 'cosfp', 450, 385);
-- Добавление параметра прибора "Ток нейтрали, А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17734, 'Ток нейтрали, А', '', 1199, 1, 17, 'In', 450, 385);
-- Добавление параметра прибора "Мощность полная фазы, ВА"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17735, 'Мощность полная фазы, ВА', '', 1199, 1, 18, 'Sn', 450, 385);
-- Добавление параметра прибора "Мощность активная нейтрали, Вт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17736, 'Мощность активная нейтрали, Вт', '', 1199, 1, 19, 'Pn', 450, 385);
-- Добавление параметра прибора "Мощность реактивная нейтрали, вар"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17737, 'Мощность реактивная нейтрали, вар', '', 1199, 1, 20, 'Qn', 450, 385);
-- Добавление параметра прибора "Косинус фи нейтрали"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17738, 'Косинус фи нейтрали', '', 1199, 1, 21, 'cosfn', 450, 385);
-- Добавление параметра прибора "Частота сети, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17739, 'Частота сети, Гц', '', 1199, 1, 22, 'f', 450, 385);

---- Группа "Флаги ошибок" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1200, 'Флаги ошибок', '', 450, 0);

-- Добавление параметра прибора "Флаги ошибкок счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17740, 'Флаги ошибкок счётчика', '', 1200, 1, 23, 'i_err', 450, 385);
-- Добавление параметра прибора "Текстовая расшифровка флагов ошибок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17741, 'Текстовая расшифровка флагов ошибок', '', 1200, 1, 24, 'i_errtxt', 450, 385);

---- Группа "Учетные параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1201, 'Учетные параметры', '', 450, 0);


---- Прибор "ЭКО НОМ СТУ (теплосчётчик mbus)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (451, 'ЭКО НОМ СТУ (теплосчётчик mbus)', 'Компактный теплосчетчик с интерфейсом M-bus', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1202, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 451, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1203, 'Информационные', 'Информация о приборе', 451, 0);

-- Добавление параметра прибора "Серийный номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17742, 'Серийный номер', '', 1203, 1, 0, 'hdr_ident', 451, 448);
-- Добавление параметра прибора "Код производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17743, 'Код производителя', '', 1203, 1, 1, 'hdr_manuf', 451, 448);
-- Добавление параметра прибора "Версия прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17744, 'Версия прибора', '', 1203, 1, 2, 'hdr_version', 451, 448);
-- Добавление параметра прибора "Категория"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17745, 'Категория', '', 1203, 1, 3, 'hdr_medium', 451, 448);
-- Добавление параметра прибора "Счетчик доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17746, 'Счетчик доступа', '', 1203, 1, 4, 'hdr_access', 451, 448);
-- Добавление параметра прибора "Статус прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17747, 'Статус прибора', '', 1203, 1, 5, 'hdr_status', 451, 448);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1204, 'Показания', 'Текущие и архивные показания прибора', 451, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17748, 'Дата и время прибора', '', 1204, 1, 6, 'D', 451, 449);
-- Добавление параметра прибора "Энергия нагрева [Вт*ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17749, 'Энергия нагрева [Вт*ч]', '', 1204, 1, 7, 'EH', 451, 385);
-- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17750, 'Объём [м3]', '', 1204, 1, 9, 'Q', 451, 385);
-- Добавление параметра прибора "Температура, подача [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17751, 'Температура, подача [С]', '', 1204, 1, 11, 'TF', 451, 385);
-- Добавление параметра прибора "Температура, обратка [С]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17752, 'Температура, обратка [С]', '', 1204, 1, 12, 'TR', 451, 385);
-- Добавление параметра прибора "Мощность [Вт]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17753, 'Мощность [Вт]', '', 1204, 1, 14, 'W', 451, 385);
-- Добавление параметра прибора "Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17754, 'Расход [м3/ч]', '', 1204, 1, 15, 'QM', 451, 385);
