-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 17757 AND pr_typ_id <= 17811;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1205 AND gr_typ_id <= 1209;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 452;

---- Прибор "Stream-01 (02, 03, 04)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (452, 'Stream-01 (02, 03, 04)', '', 128);

---- Группа "Параметры устройства" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1205, 'Параметры устройства', '', 452, 0);

-- Добавление параметра прибора "Статус блока индикации и системы учета в целом"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17757, 'Статус блока индикации и системы учета в целом', '', 1205, 1, 0, 'stat', 452, 448);
-- Добавление параметра прибора "Статус блока индикации и системы учета в целом (0 = норма)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17758, 'Статус блока индикации и системы учета в целом (0 = норма)', '', 1205, 1, 1, 'statv', 452, 448);
-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17759, 'Дата и время прибора', '', 1205, 1, 2, 'D', 452, 129);
-- Добавление параметра прибора "Количество пар датчиков (потоков для учета)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17760, 'Количество пар датчиков (потоков для учета)', '', 1205, 1, 3, 'sensnum', 452, 448);
-- Добавление параметра прибора "Напряжение питания БИТТ, В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17761, 'Напряжение питания БИТТ, В', '', 1205, 1, 4, 'U', 452, 448);
-- Добавление параметра прибора "Серийный номер блока индикации"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17762, 'Серийный номер блока индикации', '', 1205, 1, 5, 'sn', 452, 448);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17763, 'Версия ПО', '', 1205, 1, 6, 'sw', 452, 448);

---- Группа "Показания I пары датчиков" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1206, 'Показания I пары датчиков', '', 452, 0);

-- Добавление параметра прибора "Суммарный объем стоков I, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17764, 'Суммарный объем стоков I, м3', '', 1206, 1, 7, 'VS1', 452, 385);
-- Добавление параметра прибора "Суточный объем стоков I, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17765, 'Суточный объем стоков I, м3', '', 1206, 1, 8, 'VD1', 452, 388);
-- Добавление параметра прибора "Текущий расход I, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17766, 'Текущий расход I, м3', '', 1206, 1, 9, 'FC1', 452, 385);
-- Добавление параметра прибора "Статус I пары датчиков (текст)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17767, 'Статус I пары датчиков (текст)', '', 1206, 1, 10, 'stat1', 452, 385);
-- Добавление параметра прибора "Статус I пары датчиков (0 = норма)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17768, 'Статус I пары датчиков (0 = норма)', '', 1206, 1, 11, 'stat1v', 452, 385);
-- Добавление параметра прибора "Средняя температура I пары датчиков, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17769, 'Средняя температура I пары датчиков, гр. С', '', 1206, 1, 12, 't1', 452, 385);
-- Добавление параметра прибора "Серийный номер измерителя уровня в I паре"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17770, 'Серийный номер измерителя уровня в I паре', '', 1206, 1, 13, 'snl1', 452, 385);
-- Добавление параметра прибора "Серийный номер измерителя скорости в I паре"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17771, 'Серийный номер измерителя скорости в I паре', '', 1206, 1, 14, 'sns1', 452, 385);
-- Добавление параметра прибора "Значение уровня, полученное с измерителя в I паре, мм"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17772, 'Значение уровня, полученное с измерителя в I паре, мм', '', 1206, 1, 15, 'L1', 452, 385);
-- Добавление параметра прибора "Значение скорости, полученное с измерителя в I паре, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17773, 'Значение скорости, полученное с измерителя в I паре, м/с', '', 1206, 1, 16, 'V1', 452, 385);
-- Добавление параметра прибора "Угол отклонения рычага в датчике уровня I пары, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17774, 'Угол отклонения рычага в датчике уровня I пары, град.', '', 1206, 1, 17, 'AL1', 452, 385);
-- Добавление параметра прибора "Угол отклонения рычага в датчике скорости I пары, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17775, 'Угол отклонения рычага в датчике скорости I пары, град.', '', 1206, 1, 18, 'AV1', 452, 385);

---- Группа "Показания II пары датчиков" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1207, 'Показания II пары датчиков', '', 452, 0);

-- Добавление параметра прибора "Суммарный объем стоков II, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17776, 'Суммарный объем стоков II, м3', '', 1207, 1, 19, 'VS2', 452, 385);
-- Добавление параметра прибора "Суточный объем стоков II, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17777, 'Суточный объем стоков II, м3', '', 1207, 1, 20, 'VD2', 452, 388);
-- Добавление параметра прибора "Текущий расход II, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17778, 'Текущий расход II, м3', '', 1207, 1, 21, 'FC2', 452, 385);
-- Добавление параметра прибора "Статус II пары датчиков (текст)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17779, 'Статус II пары датчиков (текст)', '', 1207, 1, 22, 'stat2', 452, 385);
-- Добавление параметра прибора "Статус II пары датчиков (0 = норма)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17780, 'Статус II пары датчиков (0 = норма)', '', 1207, 1, 23, 'stat2v', 452, 385);
-- Добавление параметра прибора "Средняя температура II пары датчиков, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17781, 'Средняя температура II пары датчиков, гр. С', '', 1207, 1, 24, 't2', 452, 385);
-- Добавление параметра прибора "Серийный номер измерителя уровня в II паре"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17782, 'Серийный номер измерителя уровня в II паре', '', 1207, 1, 25, 'snl2', 452, 385);
-- Добавление параметра прибора "Серийный номер измерителя скорости в II паре"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17783, 'Серийный номер измерителя скорости в II паре', '', 1207, 1, 26, 'sns2', 452, 385);
-- Добавление параметра прибора "Значение уровня, полученное с измерителя в II паре, мм"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17784, 'Значение уровня, полученное с измерителя в II паре, мм', '', 1207, 1, 27, 'L2', 452, 385);
-- Добавление параметра прибора "Значение скорости, полученное с измерителя в II паре, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17785, 'Значение скорости, полученное с измерителя в II паре, м/с', '', 1207, 1, 28, 'V2', 452, 385);
-- Добавление параметра прибора "Угол отклонения рычага в датчике уровня II пары, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17786, 'Угол отклонения рычага в датчике уровня II пары, град.', '', 1207, 1, 29, 'AL2', 452, 385);
-- Добавление параметра прибора "Угол отклонения рычага в датчике скорости II пары, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17787, 'Угол отклонения рычага в датчике скорости II пары, град.', '', 1207, 1, 30, 'AV2', 452, 385);

---- Группа "Показания III пары датчиков" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1208, 'Показания III пары датчиков', '', 452, 0);

-- Добавление параметра прибора "Суммарный объем стоков III, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17788, 'Суммарный объем стоков III, м3', '', 1208, 1, 31, 'VS3', 452, 385);
-- Добавление параметра прибора "Суточный объем стоков III, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17789, 'Суточный объем стоков III, м3', '', 1208, 1, 32, 'VD3', 452, 388);
-- Добавление параметра прибора "Текущий расход III, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17790, 'Текущий расход III, м3', '', 1208, 1, 33, 'FC3', 452, 385);
-- Добавление параметра прибора "Статус III пары датчиков (текст)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17791, 'Статус III пары датчиков (текст)', '', 1208, 1, 34, 'stat3', 452, 385);
-- Добавление параметра прибора "Статус III пары датчиков (0 = норма)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17792, 'Статус III пары датчиков (0 = норма)', '', 1208, 1, 35, 'stat3v', 452, 385);
-- Добавление параметра прибора "Средняя температура III пары датчиков, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17793, 'Средняя температура III пары датчиков, гр. С', '', 1208, 1, 36, 't3', 452, 385);
-- Добавление параметра прибора "Серийный номер измерителя уровня в III паре"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17794, 'Серийный номер измерителя уровня в III паре', '', 1208, 1, 37, 'snl3', 452, 385);
-- Добавление параметра прибора "Серийный номер измерителя скорости в III паре"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17795, 'Серийный номер измерителя скорости в III паре', '', 1208, 1, 38, 'sns3', 452, 385);
-- Добавление параметра прибора "Значение уровня, полученное с измерителя в III паре, мм"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17796, 'Значение уровня, полученное с измерителя в III паре, мм', '', 1208, 1, 39, 'L3', 452, 385);
-- Добавление параметра прибора "Значение скорости, полученное с измерителя в III паре, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17797, 'Значение скорости, полученное с измерителя в III паре, м/с', '', 1208, 1, 40, 'V3', 452, 385);
-- Добавление параметра прибора "Угол отклонения рычага в датчике уровня III пары, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17798, 'Угол отклонения рычага в датчике уровня III пары, град.', '', 1208, 1, 41, 'AL3', 452, 385);
-- Добавление параметра прибора "Угол отклонения рычага в датчике скорости III пары, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17799, 'Угол отклонения рычага в датчике скорости III пары, град.', '', 1208, 1, 42, 'AV3', 452, 385);

---- Группа "Показания IV пары датчиков" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1209, 'Показания IV пары датчиков', '', 452, 0);

-- Добавление параметра прибора "Суммарный объем стоков IV, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17800, 'Суммарный объем стоков IV, м3', '', 1209, 1, 43, 'VS4', 452, 385);
-- Добавление параметра прибора "Суточный объем стоков IV, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17801, 'Суточный объем стоков IV, м3', '', 1209, 1, 44, 'VD4', 452, 388);
-- Добавление параметра прибора "Текущий расход IV, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17802, 'Текущий расход IV, м3', '', 1209, 1, 45, 'FC4', 452, 385);
-- Добавление параметра прибора "Статус IV пары датчиков (текст)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17803, 'Статус IV пары датчиков (текст)', '', 1209, 1, 46, 'stat4', 452, 385);
-- Добавление параметра прибора "Статус IV пары датчиков (0 = норма)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17804, 'Статус IV пары датчиков (0 = норма)', '', 1209, 1, 47, 'stat4v', 452, 385);
-- Добавление параметра прибора "Средняя температура IV пары датчиков, гр. С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17805, 'Средняя температура IV пары датчиков, гр. С', '', 1209, 1, 48, 't4', 452, 385);
-- Добавление параметра прибора "Серийный номер измерителя уровня в IV паре"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17806, 'Серийный номер измерителя уровня в IV паре', '', 1209, 1, 49, 'snl4', 452, 385);
-- Добавление параметра прибора "Серийный номер измерителя скорости в IV паре"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17807, 'Серийный номер измерителя скорости в IV паре', '', 1209, 1, 50, 'sns4', 452, 385);
-- Добавление параметра прибора "Значение уровня, полученное с измерителя в IV паре, мм"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17808, 'Значение уровня, полученное с измерителя в IV паре, мм', '', 1209, 1, 51, 'L4', 452, 385);
-- Добавление параметра прибора "Значение скорости, полученное с измерителя в IV паре, м/с"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17809, 'Значение скорости, полученное с измерителя в IV паре, м/с', '', 1209, 1, 52, 'V4', 452, 385);
-- Добавление параметра прибора "Угол отклонения рычага в датчике уровня IV пары, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17810, 'Угол отклонения рычага в датчике уровня IV пары, град.', '', 1209, 1, 53, 'AL4', 452, 385);
-- Добавление параметра прибора "Угол отклонения рычага в датчике скорости IV пары, град."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17811, 'Угол отклонения рычага в датчике скорости IV пары, град.', '', 1209, 1, 54, 'AV4', 452, 385);
