-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 17964 AND pr_typ_id <= 17988;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1214 AND gr_typ_id <= 1218;

---- Прибор "Пульсар модуль счетчика воды Mini v2" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар модуль счетчика воды Mini v2', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 454;

---- Группа "Группа параметров в типе прибора" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1214, 'Группа параметров в типе прибора', '', 454, 0);


---- Группа "Каналы" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1215, 'Каналы', '', 454, 0);


---- Группа "Новая группа" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1216, 'Новая группа', '', 454, 1215);

-- Добавление параметра прибора "Объём [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17964, 'Объём [м3]', '', 1216, 1, 0, 'K1', 454, 143);

---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1217, 'Параметры', '', 454, 0);

-- Добавление параметра прибора "Дата и время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17965, 'Дата и время', '', 1217, 1, 1, 'D', 454, 193);
-- Добавление параметра прибора "Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17966, 'Сетевой адрес', '', 1217, 1, 2, '__ADDRESS', 454, 192);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17967, 'Версия ПО', '', 1217, 1, 3, '__VERSION_INTERNAL', 454, 448);
-- Добавление параметра прибора "Объём на поворот диска [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17968, 'Объём на поворот диска [л]', '', 1217, 1, 4, 'P0005.S32', 454, 192);
-- Добавление параметра прибора "Порог переполнения счетчика [л]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17969, 'Порог переполнения счетчика [л]', '', 1217, 1, 5, 'P0004.S32', 454, 64);
-- Добавление параметра прибора "Количество сборосв"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17970, 'Количество сборосв', '', 1217, 1, 7, 'P0006.U16', 454, 192);
-- Добавление параметра прибора "Текущие ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17971, 'Текущие ошибки', '', 1217, 1, 8, 'P0007.U16', 454, 449);
-- Добавление параметра прибора "Накопленные ошибки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17972, 'Накопленные ошибки', '', 1217, 1, 9, 'P0008.U16', 454, 193);
-- Добавление параметра прибора "Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17973, 'Пароль (старый | новый)', '', 1217, 1, 10, '__PASSWORD', 454, 192);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17974, 'Заводской номер', '', 1217, 1, 14, 'P0003.U32', 454, 192);

---- Группа "Наладка" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1218, 'Наладка', '', 454, 1217);

-- Добавление параметра прибора "Тест магнитного датчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17975, 'Тест магнитного датчика', '', 1218, 1, 15, 'P0051.U8', 454, 64);
-- Добавление параметра прибора "Рабочий цикл сигнала магнитного датчика [%]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17976, 'Рабочий цикл сигнала магнитного датчика [%]', '', 1218, 1, 16, 'P0052.U8', 454, 320);
-- Добавление параметра прибора "Напряжение батареи [мВ]. Нижний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17977, 'Напряжение батареи [мВ]. Нижний порог', '', 1218, 1, 17, 'P0020.U16', 454, 64);
-- Добавление параметра прибора "Напряжение батареи [мВ]. Верхний порог"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17978, 'Напряжение батареи [мВ]. Верхний порог', '', 1218, 1, 18, 'P0021.U16', 454, 64);
-- Добавление параметра прибора "Ёмкость EEPROM [КБ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17979, 'Ёмкость EEPROM [КБ]', '', 1218, 1, 19, 'P0022.U8', 454, 64);
-- Добавление параметра прибора "Частота измерения [Гц]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17980, 'Частота измерения [Гц]', '', 1218, 1, 20, 'P0023.U8', 454, 64);
-- Добавление параметра прибора "Температура среды [C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17981, 'Температура среды [C]', '', 1218, 1, 21, 'P0040.S8', 454, 448);
-- Добавление параметра прибора "Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17982, 'Напряжение батареи [мВ]', '', 1218, 1, 22, 'P0041.U16', 454, 448);
-- Добавление параметра прибора "Диагностика прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17983, 'Диагностика прибора', '', 1218, 1, 23, 'P0042.U8', 454, 64);
-- Добавление параметра прибора "Вывод частоты часового кварца"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17984, 'Вывод частоты часового кварца', '', 1218, 1, 24, 'P0043.U8', 454, 64);
-- Добавление параметра прибора "Причина сброса MCU"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17985, 'Причина сброса MCU', '', 1218, 1, 25, 'P0050', 454, 320);
-- Добавление параметра прибора "Калибровка напряжения MCU. Смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17986, 'Калибровка напряжения MCU. Смещение', '', 1218, 1, 26, 'P0026.S16', 454, 64);
-- Добавление параметра прибора "Калибровка напряжения MCU. Коэффициент x1000"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17987, 'Калибровка напряжения MCU. Коэффициент x1000', '', 1218, 1, 27, 'P0027.U16', 454, 64);
-- Добавление параметра прибора "Коэффициент коррекции"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17988, 'Коэффициент коррекции', '', 1218, 1, 28, 'P0044.F32', 454, 64);
