-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 17989 AND pr_typ_id <= 18002;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1219 AND gr_typ_id <= 1221;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 455;

---- Прибор "Сигнур ЭХО-Р-03" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (455, 'Сигнур ЭХО-Р-03', 'Расходомер с интегратором акустический', 128);
-- Добавление параметра прибора "Объём(м3)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17989, 'Объём, м3', '', 0, 1, 0, 'aU', 455, 390);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1219, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 455, 0);


---- Группа "Текущие" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1220, 'Текущие', '', 455, 0);

-- Добавление параметра прибора "Текущий уровень(м)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17990, 'Текущий уровень(м)', '', 1220, 1, 1, 'cH', 455, 385);
-- Добавление параметра прибора "Текущий расход, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17991, 'Текущий расход(м3/ч)', '', 1220, 1, 2, 'cQ', 455, 385);
-- Добавление параметра прибора "Текущий объём, м3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17992, 'Текущий объём(м3)', '', 1220, 1, 3, 'cU', 455, 385);
-- Добавление параметра прибора "Время учета, мин."
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17993, 'Время учета(мин.)', '', 1220, 1, 4, 'cT', 455, 385);
-- Добавление параметра прибора "Максимальный уровень, м"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17994, 'Максимальный уровень(м)', '', 1220, 1, 5, 'mH', 455, 385);
-- Добавление параметра прибора "Максимальный расход, м3/ч"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17995, 'Максимальный расход(м3/ч)', '', 1220, 1, 6, 'mQ', 455, 385);
-- Добавление параметра прибора "Архив включений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17996, 'Архив включений', '', 1220, 1, 7, 'cO', 455, 385);
-- Добавление параметра прибора "Архив отключений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17997, 'Архив отключений', '', 1220, 1, 8, 'cF', 455, 385);
-- Добавление параметра прибора "Архив причин отключений"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17998, 'Архив причин отключений', '', 1220, 1, 9, 'cR', 455, 385);

---- Группа "Системные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1221, 'Системные', '', 455, 0);

-- Добавление параметра прибора "Тип прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (17999, 'Тип прибора', '', 1221, 1, 10, 'sP', 455, 448);
-- Добавление параметра прибора "Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18000, 'Версия ПО', '', 1221, 1, 11, 'sV', 455, 448);
-- Добавление параметра прибора "Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18001, 'Заводской номер', '', 1221, 1, 12, 'sN', 455, 448);
-- Добавление параметра прибора "Дата время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18002, 'Дата время', '', 1221, 1, 13, 'D', 455, 193);
