


SET client_encoding = 'WIN1251';

CREATE OR REPLACE FUNCTION "Tepl"."GetPlaceAdress"(pplc_id integer)
  RETURNS text AS
$BODY$
DECLARE
  adr text; 
  plcarr text;
  plcrow "Tepl"."Places_cnt"%ROWTYPE;  
  p "Tepl"."TPlases"; 
  plcid integer;
BEGIN
    plcid=$1;                                    
    adr='';       
    plcarr='';
    Loop
		 SELECT                      
   		        "Tepl"."Places_cnt".plc_id,
 			 	("Tepl"."PlaceTyp_cnt"."Name"|| ' ' || "Tepl"."Places_cnt"."Name") AS "Name",
  				"Tepl"."Places_cnt"."Comment", 
                "Tepl"."Places_cnt".typ_id, 
  				"Tepl"."Places_cnt"."Cod_plc",  				
  				"Tepl"."Places_cnt".place_id 
                     
			FROM
  				"Tepl"."Places_cnt"
  				INNER JOIN "Tepl"."PlaceTyp_cnt" ON ("Tepl"."Places_cnt".typ_id = "Tepl"."PlaceTyp_cnt".typ_id)
                INTO plcrow
  				
			WHERE
  				"Tepl"."Places_cnt".plc_id=plcid;  
                
           adr=plcrow."Name"||' '||adr; 
           plcarr=plcrow.plc_id||','||plcarr;
           
           plcid=plcrow."place_id";   
           
           IF(plcid=0) then Exit; end if;
    end loop;   
    plcarr=SUBSTRING(plcarr From 1 FOR octet_length(plcarr)-1); 
    adr='{"adress": "'||adr||'", "plcs": ['||plcarr||']}';
    
    return adr;    
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."GetPlaceAdress"(integer)
  OWNER TO postgres;
COMMENT ON FUNCTION "Tepl"."GetPlaceAdress"(integer) IS '     plc_id   JSON';
