-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 18109 AND pr_typ_id <= 18270;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1229 AND gr_typ_id <= 1232;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 460;

---- Прибор "Энергомера СЕ208 S7 (СПОДЭС)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (460, 'Энергомера СЕ208 S7 (СПОДЭС)', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1229, 'Информационные', '', 460, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18109, 'Дата и время прибора', '', 1229, 1, 0, 'D', 460, 193);
-- Добавление параметра прибора "Время работы ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18110, 'Время работы ПУ', '', 1229, 1, 1, 'c_wt', 460, 397);
-- Добавление параметра прибора "Температура внутри корпуса ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18111, 'Температура внутри корпуса ПУ', '', 1229, 1, 2, 't', 460, 448);
-- Добавление параметра прибора "Серийный номер ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18112, 'Серийный номер ПУ', '', 1229, 1, 3, 'i_sn', 460, 448);
-- Добавление параметра прибора "Тип (модель) ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18113, 'Тип (модель) ПУ', '', 1229, 1, 4, 'i_dev', 460, 448);
-- Добавление параметра прибора "Версия метрологического ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18114, 'Версия метрологического ПО', '', 1229, 1, 5, 'i_fw', 460, 448);
-- Добавление параметра прибора "Логическое имя устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18115, 'Логическое имя устройства', '', 1229, 1, 6, 'c_ldn', 460, 448);
-- Добавление параметра прибора "Наименование производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18116, 'Наименование производителя', '', 1229, 1, 7, 'i_manuf', 460, 448);
-- Добавление параметра прибора "Дата выпуска ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18117, 'Дата выпуска ПУ', '', 1229, 1, 8, 'i_prodd', 460, 448);
-- Добавление параметра прибора "Данные точки учёта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18118, 'Данные точки учёта', '', 1229, 1, 9, 'c_mpid', 460, 448);
-- Добавление параметра прибора "Версия спецификации СПОДЭС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18119, 'Версия спецификации СПОДЭС', '', 1229, 1, 10, 'i_spodesv', 460, 448);
-- Добавление параметра прибора "Идентификатор не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18120, 'Идентификатор не метрологической части ВПО', '', 1229, 1, 11, 'i_vpoid', 460, 448);
-- Добавление параметра прибора "Идентификатор исполнения счетчика (модель)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18121, 'Идентификатор исполнения счетчика (модель)', '', 1229, 1, 12, 'i_model', 460, 448);
-- Добавление параметра прибора "Контрольная сумма не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18122, 'Контрольная сумма не метрологической части ВПО', '', 1229, 1, 13, 'i_vpocrc', 460, 448);
-- Добавление параметра прибора "Счетчик коррекций (конфигурирований)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18123, 'Счетчик коррекций (конфигурирований)', '', 1229, 1, 14, 'c_corr', 460, 448);
-- Добавление параметра прибора "Дата последнего конфигурирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18124, 'Дата последнего конфигурирования', '', 1229, 1, 15, 'c_corrd', 460, 448);
-- Добавление параметра прибора "Дата последней калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18125, 'Дата последней калибровки', '', 1229, 1, 16, 'c_cald', 460, 448);
-- Добавление параметра прибора "Дата последнего активирования календаря"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18126, 'Дата последнего активирования календаря', '', 1229, 1, 17, 'c_lacd', 460, 448);
-- Добавление параметра прибора "Дата последней установки времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18127, 'Дата последней установки времени', '', 1229, 1, 18, 'c_lsetd', 460, 448);
-- Добавление параметра прибора "Дата последнего изменения встроенного ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18128, 'Дата последнего изменения встроенного ПО', '', 1229, 1, 19, 'c_lsetfw', 460, 448);
-- Добавление параметра прибора "Счетчик срабатываний реле на размыкание"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18129, 'Счетчик срабатываний реле на размыкание', '', 1229, 1, 20, 'c_relayoff', 460, 448);
-- Добавление параметра прибора "Счетчик вскрытий корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18130, 'Счетчик вскрытий корпуса', '', 1229, 1, 21, 'c_openc', 460, 448);
-- Добавление параметра прибора "Дата последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18131, 'Дата последнего вскрытия корпуса', '', 1229, 1, 22, 'c_lopend', 460, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18132, 'Продолжительность последнего вскрытия корпуса', '', 1229, 1, 23, 'c_lopendt', 460, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18133, 'Общая продолжительность вскрытия корпуса', '', 1229, 1, 24, 'c_lopenttot', 460, 448);
-- Добавление параметра прибора "Счетчик вскрытий крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18134, 'Счетчик вскрытий крышки клеммников', '', 1229, 1, 25, 'c_openclem', 460, 448);
-- Добавление параметра прибора "Дата последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18135, 'Дата последнего вскрытия крышки клеммников', '', 1229, 1, 26, 'c_lopenclemd', 460, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18136, 'Продолжительность последнего вскрытия крышки клеммников', '', 1229, 1, 27, 'c_lopenclemdt', 460, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18137, 'Общая продолжительность вскрытия крышки клеммников', '', 1229, 1, 28, 'c_openclemtot', 460, 448);
-- Добавление параметра прибора "Счетчик срабатываний датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18138, 'Счетчик срабатываний датчика магнитного поля', '', 1229, 1, 29, 'c_magn', 460, 448);
-- Добавление параметра прибора "Текущее состояние датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18139, 'Текущее состояние датчика магнитного поля', '', 1229, 1, 30, 's_curmagn', 460, 448);
-- Добавление параметра прибора "Дата последнего воздействия датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18140, 'Дата последнего воздействия датчика магнитного поля', '', 1229, 1, 31, 'c_lmagnd', 460, 448);
-- Добавление параметра прибора "Продолжительность последнего воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18141, 'Продолжительность последнего воздействия магнитного поля', '', 1229, 1, 32, 'c_lmagnt', 460, 448);
-- Добавление параметра прибора "Общая продолжительность воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18142, 'Общая продолжительность воздействия магнитного поля', '', 1229, 1, 33, 'c_magntot', 460, 448);
-- Добавление параметра прибора "Счетчик сбросов центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18143, 'Счетчик сбросов центрального микроконтроллера', '', 1229, 1, 34, 'c_mcreset', 460, 448);
-- Добавление параметра прибора "Дата последнего сброса центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18144, 'Дата последнего сброса центрального микроконтроллера', '', 1229, 1, 35, 'c_mcresetd', 460, 448);
-- Добавление параметра прибора "Дата последнего выключения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18145, 'Дата последнего выключения счётчика', '', 1229, 1, 36, 'c_puoffd', 460, 448);
-- Добавление параметра прибора "Дата последнего включения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18146, 'Дата последнего включения счётчика', '', 1229, 1, 37, 'c_puond', 460, 448);
-- Добавление параметра прибора "Номинальное напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18147, 'Номинальное напряжение', '', 1229, 1, 38, 'c_nomU', 460, 448);
-- Добавление параметра прибора "Номинальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18148, 'Номинальный ток', '', 1229, 1, 39, 'c_nomI', 460, 448);
-- Добавление параметра прибора "Номинальная частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18149, 'Номинальная частота', '', 1229, 1, 40, 'c_nomF', 460, 448);
-- Добавление параметра прибора "Максимальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18150, 'Максимальный ток', '', 1229, 1, 41, 'c_maxI', 460, 448);
-- Добавление параметра прибора "Блокиратор реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18151, 'Блокиратор реле нагрузки', '', 1229, 1, 42, 'c_relay', 460, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18152, 'Текущее состояние датчика вскрытия корпуса', '', 1229, 1, 43, 's_curcase', 460, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18153, 'Текущее состояние датчика вскрытия крышки клеммников', '', 1229, 1, 44, 's_curtermc', 460, 448);
-- Добавление параметра прибора "Текущее состояние датчика ВЧ поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18154, 'Текущее состояние датчика ВЧ поля', '', 1229, 1, 45, 's_curhfreq', 460, 448);
-- Добавление параметра прибора "Зафиксированное состояние событий электронных пломб"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18155, 'Зафиксированное состояние событий электронных пломб', '', 1229, 1, 46, 's_seal', 460, 448);
-- Добавление параметра прибора "Время первого вскрытия электронной пломбы корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18156, 'Время первого вскрытия электронной пломбы корпуса', '', 1229, 1, 47, 's_timecase', 460, 448);
-- Добавление параметра прибора "Время первого вскрытия электронной пломбы крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18157, 'Время первого вскрытия электронной пломбы крышки клеммников', '', 1229, 1, 48, 's_timetermc', 460, 448);
-- Добавление параметра прибора "Напряжение элемента питания"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18158, 'Напряжение элемента питания', '', 1229, 1, 49, '0.0.96.6.3.255_t3', 460, 448);
-- Добавление параметра прибора "Порог макс мощности оценки качества"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18159, 'Порог макс мощности оценки качества', '', 1229, 1, 50, '1.0.140.35.0.255_t3', 460, 448);
-- Добавление параметра прибора "Время задержки определения макс мощности для качества"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18160, 'Время задержки определения макс мощности для качества', '', 1229, 1, 51, '1.0.140.44.0.255_t3', 460, 448);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1230, 'Параметры учёта', '', 460, 0);

-- Добавление параметра прибора "Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18161, 'Полная мощность', '', 1230, 1, 52, 'S', 460, 385);
-- Добавление параметра прибора "Макс. мощность на расчётном периоде"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18162, 'Макс. мощность на расчётном периоде', '', 1230, 1, 53, 'SPmax', 460, 392);
-- Добавление параметра прибора "Мин. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18163, 'Мин. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1230, 1, 54, 'Smin', 460, 392);
-- Добавление параметра прибора "Макс. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18164, 'Макс. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1230, 1, 55, 'Smax', 460, 392);
-- Добавление параметра прибора "Активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18165, 'Активная мощность', '', 1230, 1, 56, 'P', 460, 385);
-- Добавление параметра прибора "Мин. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18166, 'Мин. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1230, 1, 57, 'Pmin', 460, 392);
-- Добавление параметра прибора "Макс. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18167, 'Макс. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1230, 1, 58, 'Pmax', 460, 392);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18168, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2', '', 1230, 1, 59, 'Pavg', 460, 392);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18169, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок', '', 1230, 1, 62, 'Pmaxavg', 460, 136);
-- Добавление параметра прибора "Коэффициент мощности общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18170, 'Коэффициент мощности общий', '', 1230, 1, 63, 'PF', 460, 385);
-- Добавление параметра прибора "Реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18171, 'Реактивная мощность', '', 1230, 1, 64, 'Q', 460, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности tg ф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18172, 'Коэффициент реактивной мощности tg ф', '', 1230, 1, 65, 'PFQ', 460, 385);
-- Добавление параметра прибора "Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18173, 'Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1230, 1, 66, 'tgfmin', 460, 392);
-- Добавление параметра прибора "Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18174, 'Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1230, 1, 67, 'tgfmax', 460, 392);
-- Добавление параметра прибора "Текущее состояние инициативного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18175, 'Текущее состояние инициативного выхода', '', 1230, 1, 68, 'flags', 460, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1231, 'Энергия', '', 460, 0);

-- Добавление параметра прибора "Полная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18176, 'Полная энергия, импорт за период записи', '', 1231, 1, 69, 'PP_Pimp', 460, 385);
-- Добавление параметра прибора "Полная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18177, 'Полная энергия, экспорт за период записи', '', 1231, 1, 70, 'PP_Pexp', 460, 385);
-- Добавление параметра прибора "Активная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18178, 'Активная энергия, импорт', '', 1231, 1, 71, 'A+imp', 460, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18179, 'Активная энергия, импорт по 1 тарифу', '', 1231, 1, 72, 'A+imp1', 460, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18180, 'Активная энергия, импорт по 2 тарифу', '', 1231, 1, 73, 'A+imp2', 460, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18181, 'Активная энергия, импорт по 3 тарифу', '', 1231, 1, 74, 'A+imp3', 460, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18182, 'Активная энергия, импорт по 4 тарифу', '', 1231, 1, 75, 'A+imp4', 460, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18183, 'Активная энергия, импорт по 5 тарифу', '', 1231, 1, 76, 'A+imp5', 460, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18184, 'Активная энергия, импорт по 6 тарифу', '', 1231, 1, 77, 'A+imp6', 460, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18185, 'Активная энергия, импорт по 7 тарифу', '', 1231, 1, 78, 'A+imp7', 460, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18186, 'Активная энергия, импорт по 8 тарифу', '', 1231, 1, 79, 'A+imp8', 460, 397);
-- Добавление параметра прибора "Активная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18187, 'Активная энергия, импорт за период записи', '', 1231, 1, 80, 'PP_A+imp', 460, 434);
-- Добавление параметра прибора "Активная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18188, 'Активная энергия, экспорт', '', 1231, 1, 81, 'A+exp', 460, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18189, 'Активная энергия, экспорт по 1 тарифу', '', 1231, 1, 82, 'A+exp1', 460, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18190, 'Активная энергия, экспорт по 2 тарифу', '', 1231, 1, 83, 'A+exp2', 460, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18191, 'Активная энергия, экспорт по 3 тарифу', '', 1231, 1, 84, 'A+exp3', 460, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18192, 'Активная энергия, экспорт по 4 тарифу', '', 1231, 1, 85, 'A+exp4', 460, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18193, 'Активная энергия, экспорт по 5 тарифу', '', 1231, 1, 86, 'A+exp5', 460, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18194, 'Активная энергия, экспорт по 6 тарифу', '', 1231, 1, 87, 'A+exp6', 460, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18195, 'Активная энергия, экспорт по 7 тарифу', '', 1231, 1, 88, 'A+exp7', 460, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18196, 'Активная энергия, экспорт по 8 тарифу', '', 1231, 1, 89, 'A+exp8', 460, 397);
-- Добавление параметра прибора "Активная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18197, 'Активная энергия, экспорт за период записи', '', 1231, 1, 90, 'PP_A+exp', 460, 434);
-- Добавление параметра прибора "Реактивная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18198, 'Реактивная энергия, импорт', '', 1231, 1, 91, 'R-imp', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18199, 'Реактивная энергия, импорт по 1 тарифу', '', 1231, 1, 92, 'R-imp1', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18200, 'Реактивная энергия, импорт по 2 тарифу', '', 1231, 1, 93, 'R-imp2', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18201, 'Реактивная энергия, импорт по 3 тарифу', '', 1231, 1, 94, 'R-imp3', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18202, 'Реактивная энергия, импорт по 4 тарифу', '', 1231, 1, 95, 'R-imp4', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18203, 'Реактивная энергия, импорт по 5 тарифу', '', 1231, 1, 96, 'R-imp5', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18204, 'Реактивная энергия, импорт по 6 тарифу', '', 1231, 1, 97, 'R-imp6', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18205, 'Реактивная энергия, импорт по 7 тарифу', '', 1231, 1, 98, 'R-imp7', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18206, 'Реактивная энергия, импорт по 8 тарифу', '', 1231, 1, 99, 'R-imp8', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18207, 'Реактивная энергия, импорт за период записи', '', 1231, 1, 100, 'PP_R-imp', 460, 434);
-- Добавление параметра прибора "Реактивная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18208, 'Реактивная энергия, экспорт', '', 1231, 1, 101, 'R-exp', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18209, 'Реактивная энергия, экспорт по 1 тарифу', '', 1231, 1, 102, 'R-exp1', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18210, 'Реактивная энергия, экспорт по 2 тарифу', '', 1231, 1, 103, 'R-exp2', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18211, 'Реактивная энергия, экспорт по 3 тарифу', '', 1231, 1, 104, 'R-exp3', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18212, 'Реактивная энергия, экспорт по 4 тарифу', '', 1231, 1, 105, 'R-exp4', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18213, 'Реактивная энергия, экспорт по 5 тарифу', '', 1231, 1, 106, 'R-exp5', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18214, 'Реактивная энергия, экспорт по 6 тарифу', '', 1231, 1, 107, 'R-exp6', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18215, 'Реактивная энергия, экспорт по 7 тарифу', '', 1231, 1, 108, 'R-exp7', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18216, 'Реактивная энергия, экспорт по 8 тарифу', '', 1231, 1, 109, 'R-exp8', 460, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18217, 'Реактивная энергия, экспорт за период записи', '', 1231, 1, 110, 'PP_R-exp', 460, 434);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18218, 'Удельная энергия потерь в ЛЭП', '', 1231, 1, 111, 'Eloss', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18219, 'Удельная энергия потерь в ЛЭП по 1 тарифу', '', 1231, 1, 112, 'Eloss1', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18220, 'Удельная энергия потерь в ЛЭП по 2 тарифу', '', 1231, 1, 113, 'Eloss2', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18221, 'Удельная энергия потерь в ЛЭП по 3 тарифу', '', 1231, 1, 114, 'Eloss3', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18222, 'Удельная энергия потерь в ЛЭП по 4 тарифу', '', 1231, 1, 115, 'Eloss4', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18223, 'Удельная энергия потерь в ЛЭП по 5 тарифу', '', 1231, 1, 116, 'Eloss5', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18224, 'Удельная энергия потерь в ЛЭП по 6 тарифу', '', 1231, 1, 117, 'Eloss6', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18225, 'Удельная энергия потерь в ЛЭП по 7 тарифу', '', 1231, 1, 118, 'Eloss7', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18226, 'Удельная энергия потерь в ЛЭП по 8 тарифу', '', 1231, 1, 119, 'Eloss8', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18227, 'Удельная энергия потерь в силовых трансформаторах', '', 1231, 1, 120, 'CVsh', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18228, 'Удельная энергия потерь в силовых трансформаторах по 1 тарифу', '', 1231, 1, 121, 'CVsh1', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18229, 'Удельная энергия потерь в силовых трансформаторах по 2 тарифу', '', 1231, 1, 122, 'CVsh2', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18230, 'Удельная энергия потерь в силовых трансформаторах по 3 тарифу', '', 1231, 1, 123, 'CVsh3', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18231, 'Удельная энергия потерь в силовых трансформаторах по 4 тарифу', '', 1231, 1, 124, 'CVsh4', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18232, 'Удельная энергия потерь в силовых трансформаторах по 5 тарифу', '', 1231, 1, 125, 'CVsh5', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18233, 'Удельная энергия потерь в силовых трансформаторах по 6 тарифу', '', 1231, 1, 126, 'CVsh6', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18234, 'Удельная энергия потерь в силовых трансформаторах по 7 тарифу', '', 1231, 1, 127, 'CVsh7', 460, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18235, 'Удельная энергия потерь в силовых трансформаторах по 8 тарифу', '', 1231, 1, 128, 'CVsh8', 460, 385);
-- Добавление параметра прибора "Энергия A+, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18236, 'Энергия A+, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1231, 1, 129, '1.0.1.8.128.255_t3', 460, 385);
-- Добавление параметра прибора "Энергия A-, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18237, 'Энергия A-, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1231, 1, 130, '1.0.2.8.128.255_t3', 460, 385);
-- Добавление параметра прибора "Энергия R+, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18238, 'Энергия R+, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1231, 1, 131, '1.0.3.8.128.255_t3', 460, 385);
-- Добавление параметра прибора "Энергия R-, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18239, 'Энергия R-, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1231, 1, 132, '1.0.4.8.128.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18240, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма', '', 1231, 1, 133, '1.0.15.8.0.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18241, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1', '', 1231, 1, 134, '1.0.15.8.1.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18242, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2', '', 1231, 1, 135, '1.0.15.8.2.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18243, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3', '', 1231, 1, 136, '1.0.15.8.3.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18244, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4', '', 1231, 1, 137, '1.0.15.8.4.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18245, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5', '', 1231, 1, 138, '1.0.15.8.5.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18246, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6', '', 1231, 1, 139, '1.0.15.8.6.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18247, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7', '', 1231, 1, 140, '1.0.15.8.7.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18248, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8', '', 1231, 1, 141, '1.0.15.8.8.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18249, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма', '', 1231, 1, 142, '1.0.16.8.0.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18250, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1', '', 1231, 1, 143, '1.0.16.8.1.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18251, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2', '', 1231, 1, 144, '1.0.16.8.2.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18252, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3', '', 1231, 1, 145, '1.0.16.8.3.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18253, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4', '', 1231, 1, 146, '1.0.16.8.4.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18254, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5', '', 1231, 1, 147, '1.0.16.8.5.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18255, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6', '', 1231, 1, 148, '1.0.16.8.6.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18256, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7', '', 1231, 1, 149, '1.0.16.8.7.255_t3', 460, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18257, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8', '', 1231, 1, 150, '1.0.16.8.8.255_t3', 460, 385);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1232, 'Параметры сети', '', 460, 0);

-- Добавление параметра прибора "Напряжение фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18258, 'Напряжение фазы', '', 1232, 1, 151, 'V', 460, 385);
-- Добавление параметра прибора "Угол UI фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18259, 'Угол UI фазы', '', 1232, 1, 152, 'phiVI', 460, 385);
-- Добавление параметра прибора "Частота сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18260, 'Частота сети', '', 1232, 1, 153, 'f', 460, 385);
-- Добавление параметра прибора "Ток фазы"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18261, 'Ток фазы', '', 1232, 1, 154, 'Iph', 460, 385);
-- Добавление параметра прибора "Ток нулевого провода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18262, 'Ток нулевого провода', '', 1232, 1, 155, 'In', 460, 385);
-- Добавление параметра прибора "Дифференциальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18263, 'Дифференциальный ток', '', 1232, 1, 156, 'Idiff', 460, 385);
-- Добавление параметра прибора "Дифференциальный ток, % от фазного тока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18264, 'Дифференциальный ток, % от фазного тока', '', 1232, 1, 157, 'Idiffperc', 460, 385);
-- Добавление параметра прибора "Статус некачественной энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18265, 'Статус некачественной энергии', '', 1232, 1, 158, 'faultes', 460, 388);
-- Добавление параметра прибора "Положительное отклонение напряжения, %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18266, 'Положительное отклонение напряжения, %', '', 1232, 1, 159, 'Udevpos', 460, 385);
-- Добавление параметра прибора "Отрицательное отклонение напряжения, %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18267, 'Отрицательное отклонение напряжения, %', '', 1232, 1, 160, 'Udevneg', 460, 385);
-- Добавление параметра прибора "Установившееся отклонение частоты, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18268, 'Установившееся отклонение частоты, Гц', '', 1232, 1, 161, '1.0.14.130.0.255_t3', 460, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности (tg ф). Среднее значение на интервале интегрирования 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18269, 'Коэффициент реактивной мощности (tg ф). Среднее значение на интервале интегрирования 2', '', 1232, 1, 162, '1.0.131.27.0.255_t3', 460, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности. Максимальное значение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18270, 'Коэффициент реактивной мощности. Максимальное значение', '', 1232, 1, 163, '1.0.131.38.0.255_t3', 460, 385);
