-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';
-- Пульсар теплосчётчик ультразвуковой v42
DELETE FROM "Tepl"."DeviceEventTab"
WHERE dev_typ_id = 351 AND dev_event_code IN (256, 
4096, 
8192,
16384,
32786,
65536,
131072,
262144,
1048576,
2097152
);

INSERT INTO "Tepl"."DeviceEventPatern" ("dev_ev_pat_id", "Name", "Comment", "CommentFault", "CommentNormal") VALUES 
(111, 'Измеряемая среда', '', 'Отсутствие корректной измеряемой среды', 'Норма'),
(112, 'Низкое давление', '', 'Зафиксировано давление ниже настраиваемого порога п.0x0138', 'Норма'),
(113, 'Высокое давление', '', 'Зафиксировано давление выше настраиваемого порога п.0x0139', 'Норма'),
(114, 'Термометр газа', '', 'Неисправность основного термометра', 'Норма'),
(115, 'Низкая температура', '', 'Зафиксирована температуры ниже настраиваемого порога п.0x0138', 'Норма'),
(116, 'Высокая температура', '', 'Зафиксирована температуры выше настраиваемого порога п.0x0139', 'Норма'),
(117, 'Подставное значение давления', '', 'Используется подставное значение давления из-за неисправности датчика или выхода за пороги значения', 'Норма'),
(118, 'Подставное значение температуры', '', 'Используется подставное значение температуры из-за неисправности датчика или выхода за пороги значения', 'Норма'),
(119, 'УЗ фронтэнд. Ошибка связи', '', 'Отсутствует признак окончания операции в регистре статуса УЗ фронтэнда', 'Норма'),
(120, 'УЗ фронтэнд. Нет воды', '', 'Не обнаружен УЗ сигнал на принимающем УЗ датчике', 'Норма'),
(121, 'УЗ фронтэнд. Шум или воздух', '', 'Измерение расхода невозможно из-за помех в акустическом канале', 'Норма'),
(122, 'УЗ фронтэнд. Обратный поток', '', 'Направление движения воды не соответствует обозначенному на приборе', 'Норма'),
(123, 'Ош. подчиненного счет. в откр. Сист.', '', 'Отсутствуют импульсы с подчиненного счетчика или их количество меньше, чем допустимо при минимальном', 'Норма'),
(124, 'Дет.мет.Ошибка CRC', '', 'Дет.мет. Неверная контрольная сумма', 'Норма'),
(125, 'Дет.мет.Ошибка записи', '', 'Дет.мет. Ошибка записи запроса данных или записи гистерезиса', 'Норма'),
(126, 'Дет.мет.Низкий контраст', '', 'Дет.мет. Занижена разность добротностей', 'Норма'),
(127, 'Дет.мет.Низкая добротность', '', 'Дет.мет. Занижена добротность', 'Норма'),
(128, 'Дет.мет.Высокая добротность', '', 'Дет.мет. Завышена добротность', 'Норма'),
(129, 'Дет.мет.Обрыв пров.имп.вых.', '', 'Дет.мет. Обрыв провода импульсного выхода детектора мет.', 'Норма');

INSERT INTO "Tepl"."DeviceEventTab" ("dev_typ_id", "dev_event_code", "dev_ev_pat_id") VALUES
(435, 1, 12),
(435, 2, 98),
(435, 4, 3),
(435, 8, 2),
(435, 16, 5),
(435, 32, 6),
(435, 64, 99),
(435, 128, 13),
(435, 256, 111),
(435, 512, 18),
(435, 1024, 19),
(435, 2048, 112),
(435, 4096, 113),
(435, 8192, 16),
(435, 16384, 17),
(435, 65536, 114),
(435, 131072, 8),
(435, 262144, 115),
(435, 524288, 116),
(435, 1048576, 106),
(435, 4194304, 117),
(435, 8388608, 118),
(435, 8388608, 118),
(351, 8, 5),
(351, 256, 119),
(351, 512, 120),
(351, 1024, 121),
(351, 2048, 122),
(351, 32768, 123),
(351, 65536, 18),
(351, 131072, 19),
(351, 262144, 20),
(320, 1, 2),
(320, 2, 3),
(320, 4, 12),
(320, 8, 5),
(320, 16, 6),
(320, 32, 102),
(320, 64, 103),
(320, 128, 9),
(320, 256, 10),
(320, 512, 124),
(320, 1024, 125),
(320, 2048, 99),
(320, 4096, 126),
(320, 8192, 127),
(320, 16384, 128),
(320, 32768, 128),
(419, 1, 2),
(419, 2, 3),
(419, 4, 12),
(419, 8, 5),
(419, 16, 6),
(419, 32, 102),
(419, 64, 103),
(419, 128, 9),
(419, 256, 119),
(419, 512, 120),
(419, 1024, 121),
(419, 2048, 122),
(419, 65536, 18),
(419, 131072, 19),
(419, 262144, 20);