-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 18273 AND pr_typ_id <= 18458;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1233 AND gr_typ_id <= 1236;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 462;

---- Прибор "Энергомера СЕ307 (СПОДЭС)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (462, 'Энергомера СЕ307 (СПОДЭС)', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1233, 'Информационные', '', 462, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18273, 'Дата и время прибора', '', 1233, 1, 0, 'D', 462, 193);
-- Добавление параметра прибора "Серийный номер ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18274, 'Серийный номер ПУ', '', 1233, 1, 1, 'i_sn', 462, 448);
-- Добавление параметра прибора "Наименование производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18275, 'Наименование производителя', '', 1233, 1, 2, 'i_manuf', 462, 448);
-- Добавление параметра прибора "Тип (модель) ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18276, 'Тип (модель) ПУ', '', 1233, 1, 3, 'i_dev', 462, 448);
-- Добавление параметра прибора "Идентификатор исполнения счетчика (модель)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18277, 'Идентификатор исполнения счетчика (модель)', '', 1233, 1, 4, 'i_model', 462, 448);
-- Добавление параметра прибора "Дата выпуска ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18278, 'Дата выпуска ПУ', '', 1233, 1, 5, 'i_prodd', 462, 448);
-- Добавление параметра прибора "Логическое имя устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18279, 'Логическое имя устройства', '', 1233, 1, 6, 'c_ldn', 462, 448);
-- Добавление параметра прибора "Версия метрологического ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18280, 'Версия метрологического ПО', '', 1233, 1, 7, 'i_fw', 462, 448);
-- Добавление параметра прибора "Контрольная сумма не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18281, 'Контрольная сумма не метрологической части ВПО', '', 1233, 1, 8, 'i_vpocrc', 462, 448);
-- Добавление параметра прибора "Идентификатор не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18282, 'Идентификатор не метрологической части ВПО', '', 1233, 1, 9, 'i_vpoid', 462, 448);
-- Добавление параметра прибора "Дата последнего изменения встроенного ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18283, 'Дата последнего изменения встроенного ПО', '', 1233, 1, 10, 'c_lsetfw', 462, 448);
-- Добавление параметра прибора "Версия спецификации СПОДЭС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18284, 'Версия спецификации СПОДЭС', '', 1233, 1, 11, 'i_spodesv', 462, 448);
-- Добавление параметра прибора "Номинальное напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18285, 'Номинальное напряжение', '', 1233, 1, 12, 'c_nomU', 462, 448);
-- Добавление параметра прибора "Номинальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18286, 'Номинальный ток', '', 1233, 1, 13, 'c_nomI', 462, 448);
-- Добавление параметра прибора "Номинальная частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18287, 'Номинальная частота', '', 1233, 1, 14, 'c_nomF', 462, 448);
-- Добавление параметра прибора "Максимальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18288, 'Максимальный ток', '', 1233, 1, 15, 'c_maxI', 462, 448);
-- Добавление параметра прибора "Блокиратор реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18289, 'Блокиратор реле нагрузки', '', 1233, 1, 16, 'c_relay', 462, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18290, 'Текущее состояние датчика вскрытия корпуса', '', 1233, 1, 17, 's_curcase', 462, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18291, 'Текущее состояние датчика вскрытия крышки клеммников', '', 1233, 1, 18, 's_curtermc', 462, 448);
-- Добавление параметра прибора "Текущее состояние датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18292, 'Текущее состояние датчика магнитного поля', '', 1233, 1, 19, 's_curmagn', 462, 448);
-- Добавление параметра прибора "Счетчик коррекций (конфигурирований)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18293, 'Счетчик коррекций (конфигурирований)', '', 1233, 1, 20, 'c_corr', 462, 448);
-- Добавление параметра прибора "Дата последнего конфигурирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18294, 'Дата последнего конфигурирования', '', 1233, 1, 21, 'c_corrd', 462, 448);
-- Добавление параметра прибора "Дата последней калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18295, 'Дата последней калибровки', '', 1233, 1, 22, 'c_cald', 462, 448);
-- Добавление параметра прибора "Дата последнего активирования календаря"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18296, 'Дата последнего активирования календаря', '', 1233, 1, 23, 'c_lacd', 462, 448);
-- Добавление параметра прибора "Дата последней установки времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18297, 'Дата последней установки времени', '', 1233, 1, 24, 'c_lsetd', 462, 448);
-- Добавление параметра прибора "Счетчик срабатываний реле на размыкание"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18298, 'Счетчик срабатываний реле на размыкание', '', 1233, 1, 25, 'c_relayoff', 462, 448);
-- Добавление параметра прибора "Счетчик вскрытий корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18299, 'Счетчик вскрытий корпуса', '', 1233, 1, 26, 'c_openc', 462, 448);
-- Добавление параметра прибора "Дата последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18300, 'Дата последнего вскрытия корпуса', '', 1233, 1, 27, 'c_lopend', 462, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18301, 'Продолжительность последнего вскрытия корпуса', '', 1233, 1, 28, 'c_lopendt', 462, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18302, 'Общая продолжительность вскрытия корпуса', '', 1233, 1, 29, 'c_lopenttot', 462, 448);
-- Добавление параметра прибора "Счетчик вскрытий крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18303, 'Счетчик вскрытий крышки клеммников', '', 1233, 1, 30, 'c_openclem', 462, 448);
-- Добавление параметра прибора "Дата последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18304, 'Дата последнего вскрытия крышки клеммников', '', 1233, 1, 31, 'c_lopenclemd', 462, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18305, 'Продолжительность последнего вскрытия крышки клеммников', '', 1233, 1, 32, 'c_lopenclemdt', 462, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18306, 'Общая продолжительность вскрытия крышки клеммников', '', 1233, 1, 33, 'c_openclemtot', 462, 448);
-- Добавление параметра прибора "Счетчик срабатываний датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18307, 'Счетчик срабатываний датчика магнитного поля', '', 1233, 1, 34, 'c_magn', 462, 448);
-- Добавление параметра прибора "Дата последнего воздействия датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18308, 'Дата последнего воздействия датчика магнитного поля', '', 1233, 1, 35, 'c_lmagnd', 462, 448);
-- Добавление параметра прибора "Продолжительность последнего воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18309, 'Продолжительность последнего воздействия магнитного поля', '', 1233, 1, 36, 'c_lmagnt', 462, 448);
-- Добавление параметра прибора "Общая продолжительность воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18310, 'Общая продолжительность воздействия магнитного поля', '', 1233, 1, 37, 'c_magntot', 462, 448);
-- Добавление параметра прибора "Счетчик сбросов центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18311, 'Счетчик сбросов центрального микроконтроллера', '', 1233, 1, 38, 'c_mcreset', 462, 448);
-- Добавление параметра прибора "Дата последнего сброса центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18312, 'Дата последнего сброса центрального микроконтроллера', '', 1233, 1, 39, 'c_mcresetd', 462, 448);
-- Добавление параметра прибора "Дата последнего выключения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18313, 'Дата последнего выключения счётчика', '', 1233, 1, 40, 'c_puoffd', 462, 448);
-- Добавление параметра прибора "Дата последнего включения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18314, 'Дата последнего включения счётчика', '', 1233, 1, 41, 'c_puond', 462, 448);
-- Добавление параметра прибора "Время работы ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18315, 'Время работы ПУ', '', 1233, 1, 42, 'c_wt', 462, 461);
-- Добавление параметра прибора "Температура внутри корпуса ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18316, 'Температура внутри корпуса ПУ', '', 1233, 1, 43, 't', 462, 448);
-- Добавление параметра прибора "Текущее состояние инициативного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18317, 'Текущее состояние инициативного выхода', '', 1233, 1, 44, 'flags', 462, 448);
-- Добавление параметра прибора "Напряжение батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18318, 'Напряжение батареи', '', 1233, 1, 45, '0.0.96.6.3.255_t3', 462, 448);
-- Добавление параметра прибора "Слово состояний дискретных входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18319, 'Слово состояний дискретных входов', '', 1233, 1, 46, '0.0.96.3.1.255', 462, 448);
-- Добавление параметра прибора "Текущее состояние событий реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18320, 'Текущее состояние событий реле нагрузки', '', 1233, 1, 47, '0.0.97.98.1.255', 462, 448);
-- Добавление параметра прибора "Текущее состояние событий реле РС1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18321, 'Текущее состояние событий реле РС1', '', 1233, 1, 48, '0.1.97.98.1.255', 462, 448);
-- Добавление параметра прибора "Текущее состояние событий реле РС2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18322, 'Текущее состояние событий реле РС2', '', 1233, 1, 49, '0.2.97.98.1.255', 462, 448);
-- Добавление параметра прибора "Текущее состояние событий реле РС3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18323, 'Текущее состояние событий реле РС3', '', 1233, 1, 50, '0.3.97.98.1.255', 462, 448);
-- Добавление параметра прибора "Постоянная счетчика для активной энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18324, 'Постоянная счетчика для активной энергии', '', 1233, 1, 51, '1.0.0.3.3.255', 462, 448);
-- Добавление параметра прибора "Постоянная счетчика для реактивной энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18325, 'Постоянная счетчика для реактивной энергии', '', 1233, 1, 52, '1.0.0.3.4.255', 462, 448);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1234, 'Параметры учёта', '', 462, 0);

-- Добавление параметра прибора "Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18326, 'Полная мощность', '', 1234, 1, 53, 'S', 462, 385);
-- Добавление параметра прибора "Полная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18327, 'Полная мощность фазы А', '', 1234, 1, 54, 'SR', 462, 385);
-- Добавление параметра прибора "Полная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18328, 'Полная мощность фазы B', '', 1234, 1, 55, 'SY', 462, 385);
-- Добавление параметра прибора "Полная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18329, 'Полная мощность фазы C', '', 1234, 1, 56, 'SB', 462, 385);
-- Добавление параметра прибора "Активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18330, 'Активная мощность', '', 1234, 1, 57, 'P', 462, 385);
-- Добавление параметра прибора "Активная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18331, 'Активная мощность фазы А', '', 1234, 1, 58, 'PR', 462, 385);
-- Добавление параметра прибора "Активная мощность фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18332, 'Активная мощность фазы В', '', 1234, 1, 59, 'PY', 462, 385);
-- Добавление параметра прибора "Активная мощность фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18333, 'Активная мощность фазы С', '', 1234, 1, 60, 'PB', 462, 385);
-- Добавление параметра прибора "Реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18334, 'Реактивная мощность', '', 1234, 1, 61, 'Q', 462, 385);
-- Добавление параметра прибора "Реактивная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18335, 'Реактивная мощность фазы А', '', 1234, 1, 62, 'QR', 462, 385);
-- Добавление параметра прибора "Реактивная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18336, 'Реактивная мощность фазы B', '', 1234, 1, 63, 'QY', 462, 385);
-- Добавление параметра прибора "Реактивная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18337, 'Реактивная мощность фазы C', '', 1234, 1, 64, 'QB', 462, 385);
-- Добавление параметра прибора "Коэффициент мощности общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18338, 'Коэффициент мощности общий', '', 1234, 1, 65, 'PF', 462, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18339, 'Коэффициент мощности фазы А', '', 1234, 1, 66, 'PFSR', 462, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18340, 'Коэффициент мощности фазы B', '', 1234, 1, 67, 'PFSY', 462, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18341, 'Коэффициент мощности фазы C', '', 1234, 1, 68, 'PFSB', 462, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18342, 'Коэффициент реактивной мощности', '', 1234, 1, 69, 'PFQ', 462, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18343, 'Коэффициент реактивной мощности фазы А', '', 1234, 1, 70, 'PFQR', 462, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18344, 'Коэффициент реактивной мощности фазы В', '', 1234, 1, 71, 'PFQY', 462, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18345, 'Коэффициент реактивной мощности фазы С', '', 1234, 1, 72, 'PFQB', 462, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1235, 'Энергия', '', 462, 0);

-- Добавление параметра прибора "Активная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18346, 'Активная энергия, импорт за период записи', '', 1235, 1, 73, 'PP_A+imp', 462, 434);
-- Добавление параметра прибора "Активная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18347, 'Активная энергия, экспорт за период записи', '', 1235, 1, 74, 'PP_A+exp', 462, 434);
-- Добавление параметра прибора "Реактивная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18348, 'Реактивная энергия, импорт за период записи', '', 1235, 1, 75, 'PP_R-imp', 462, 434);
-- Добавление параметра прибора "Реактивная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18349, 'Реактивная энергия, экспорт за период записи', '', 1235, 1, 76, 'PP_R-exp', 462, 434);
-- Добавление параметра прибора "Полная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18350, 'Полная энергия, импорт за период записи', '', 1235, 1, 77, 'PP_Pimp', 462, 385);
-- Добавление параметра прибора "Полная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18351, 'Полная энергия, экспорт за период записи', '', 1235, 1, 78, 'PP_Pexp', 462, 385);
-- Добавление параметра прибора "Активная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18352, 'Активная энергия, импорт', '', 1235, 1, 79, 'A+imp', 462, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18353, 'Активная энергия, импорт по 1 тарифу', '', 1235, 1, 80, 'A+imp1', 462, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18354, 'Активная энергия, импорт по 2 тарифу', '', 1235, 1, 81, 'A+imp2', 462, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18355, 'Активная энергия, импорт по 3 тарифу', '', 1235, 1, 82, 'A+imp3', 462, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18356, 'Активная энергия, импорт по 4 тарифу', '', 1235, 1, 83, 'A+imp4', 462, 397);
-- Добавление параметра прибора "Активная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18357, 'Активная энергия, экспорт', '', 1235, 1, 84, 'A+exp', 462, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18358, 'Активная энергия, экспорт по 1 тарифу', '', 1235, 1, 85, 'A+exp1', 462, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18359, 'Активная энергия, экспорт по 2 тарифу', '', 1235, 1, 86, 'A+exp2', 462, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18360, 'Активная энергия, экспорт по 3 тарифу', '', 1235, 1, 87, 'A+exp3', 462, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18361, 'Активная энергия, экспорт по 4 тарифу', '', 1235, 1, 88, 'A+exp4', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18362, 'Реактивная энергия, импорт', '', 1235, 1, 89, 'R-imp', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18363, 'Реактивная энергия, импорт по 1 тарифу', '', 1235, 1, 90, 'R-imp1', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18364, 'Реактивная энергия, импорт по 2 тарифу', '', 1235, 1, 91, 'R-imp2', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18365, 'Реактивная энергия, импорт по 3 тарифу', '', 1235, 1, 92, 'R-imp3', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18366, 'Реактивная энергия, импорт по 4 тарифу', '', 1235, 1, 93, 'R-imp4', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18367, 'Реактивная энергия, экспорт', '', 1235, 1, 94, 'R-exp', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18368, 'Реактивная энергия, экспорт по 1 тарифу', '', 1235, 1, 95, 'R-exp1', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18369, 'Реактивная энергия, экспорт по 2 тарифу', '', 1235, 1, 96, 'R-exp2', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18370, 'Реактивная энергия, экспорт по 3 тарифу', '', 1235, 1, 97, 'R-exp3', 462, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18371, 'Реактивная энергия, экспорт по 4 тарифу', '', 1235, 1, 98, 'R-exp4', 462, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18372, 'Активная энергия, импорт фаза А', '', 1235, 1, 99, 'A+impR', 462, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18373, 'Активная энергия, импорт фаза В', '', 1235, 1, 100, 'A+impY', 462, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18374, 'Активная энергия, импорт фаза С', '', 1235, 1, 101, 'A+impB', 462, 397);
-- Добавление параметра прибора "Активная энергия, экспорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18375, 'Активная энергия, экспорт фаза А', '', 1235, 1, 102, 'A+expR', 462, 397);
-- Добавление параметра прибора "Активная энергия, экспорт фаза B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18376, 'Активная энергия, экспорт фаза B', '', 1235, 1, 103, 'A+expY', 462, 397);
-- Добавление параметра прибора "Активная энергия, экспорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18377, 'Активная энергия, экспорт фаза С', '', 1235, 1, 104, 'A+expB', 462, 397);
-- Добавление параметра прибора "Рективная энергия, импорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18378, 'Рективная энергия, импорт фаза А', '', 1235, 1, 105, 'R-impR', 462, 397);
-- Добавление параметра прибора "Рективная энергия, импорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18379, 'Рективная энергия, импорт фаза В', '', 1235, 1, 106, 'R-impY', 462, 397);
-- Добавление параметра прибора "Рективная энергия, импорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18380, 'Рективная энергия, импорт фаза С', '', 1235, 1, 107, 'R-impB', 462, 397);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18381, 'Рективная энергия, экспорт фаза А', '', 1235, 1, 108, 'R-expR', 462, 397);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18382, 'Рективная энергия, экспорт фаза В', '', 1235, 1, 109, 'R-expY', 462, 397);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18383, 'Рективная энергия, экспорт фаза С', '', 1235, 1, 110, 'R-expB', 462, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18384, 'Удельная энергия потерь в ЛЭП', '', 1235, 1, 111, 'Eloss', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18385, 'Удельная энергия потерь в ЛЭП по 1 тарифу', '', 1235, 1, 112, 'Eloss1', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18386, 'Удельная энергия потерь в ЛЭП по 2 тарифу', '', 1235, 1, 113, 'Eloss2', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18387, 'Удельная энергия потерь в ЛЭП по 3 тарифу', '', 1235, 1, 114, 'Eloss3', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18388, 'Удельная энергия потерь в ЛЭП по 4 тарифу', '', 1235, 1, 115, 'Eloss4', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18389, 'Удельная энергия потерь в ЛЭП по 5 тарифу', '', 1235, 1, 116, 'Eloss5', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18390, 'Удельная энергия потерь в ЛЭП по 6 тарифу', '', 1235, 1, 117, 'Eloss6', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18391, 'Удельная энергия потерь в ЛЭП по 7 тарифу', '', 1235, 1, 118, 'Eloss7', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18392, 'Удельная энергия потерь в ЛЭП по 8 тарифу', '', 1235, 1, 119, 'Eloss8', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18393, 'Удельная энергия потерь в силовых трансформаторах', '', 1235, 1, 120, 'CVsh', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18394, 'Удельная энергия потерь в силовых трансформаторах по 1 тарифу', '', 1235, 1, 121, 'CVsh1', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18395, 'Удельная энергия потерь в силовых трансформаторах по 2 тарифу', '', 1235, 1, 122, 'CVsh2', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18396, 'Удельная энергия потерь в силовых трансформаторах по 3 тарифу', '', 1235, 1, 123, 'CVsh3', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18397, 'Удельная энергия потерь в силовых трансформаторах по 4 тарифу', '', 1235, 1, 124, 'CVsh4', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18398, 'Удельная энергия потерь в силовых трансформаторах по 5 тарифу', '', 1235, 1, 125, 'CVsh5', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18399, 'Удельная энергия потерь в силовых трансформаторах по 6 тарифу', '', 1235, 1, 126, 'CVsh6', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18400, 'Удельная энергия потерь в силовых трансформаторах по 7 тарифу', '', 1235, 1, 127, 'CVsh7', 462, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18401, 'Удельная энергия потерь в силовых трансформаторах по 8 тарифу', '', 1235, 1, 128, 'CVsh8', 462, 385);
-- Добавление параметра прибора "Энергия A+, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18402, 'Энергия A+, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1235, 1, 129, '1.0.1.8.128.255_t3', 462, 385);
-- Добавление параметра прибора "Энергия A-, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18403, 'Энергия A-, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1235, 1, 130, '1.0.2.8.128.255_t3', 462, 385);
-- Добавление параметра прибора "Энергия R+, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18404, 'Энергия R+, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1235, 1, 131, '1.0.3.8.128.255_t3', 462, 385);
-- Добавление параметра прибора "Энергия R-, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18405, 'Энергия R-, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1235, 1, 132, '1.0.4.8.128.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18406, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма', '', 1235, 1, 133, '1.0.15.8.0.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18407, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1', '', 1235, 1, 134, '1.0.15.8.1.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18408, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2', '', 1235, 1, 135, '1.0.15.8.2.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18409, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3', '', 1235, 1, 136, '1.0.15.8.3.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18410, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4', '', 1235, 1, 137, '1.0.15.8.4.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18411, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5', '', 1235, 1, 138, '1.0.15.8.5.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18412, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6', '', 1235, 1, 139, '1.0.15.8.6.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18413, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7', '', 1235, 1, 140, '1.0.15.8.7.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18414, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8', '', 1235, 1, 141, '1.0.15.8.8.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18415, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма', '', 1235, 1, 142, '1.0.16.8.0.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18416, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1', '', 1235, 1, 143, '1.0.16.8.1.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18417, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2', '', 1235, 1, 144, '1.0.16.8.2.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18418, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3', '', 1235, 1, 145, '1.0.16.8.3.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18419, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4', '', 1235, 1, 146, '1.0.16.8.4.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18420, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5', '', 1235, 1, 147, '1.0.16.8.5.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18421, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6', '', 1235, 1, 148, '1.0.16.8.6.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18422, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7', '', 1235, 1, 149, '1.0.16.8.7.255_t3', 462, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18423, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8', '', 1235, 1, 150, '1.0.16.8.8.255_t3', 462, 385);
-- Добавление параметра прибора "Макс. мощность на расчётном периоде"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18424, 'Макс. мощность на расчётном периоде', '', 1235, 1, 151, 'SPmax', 462, 392);
-- Добавление параметра прибора "Мин. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18425, 'Мин. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1235, 1, 152, 'Smin', 462, 392);
-- Добавление параметра прибора "Макс. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18426, 'Макс. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1235, 1, 153, 'Smax', 462, 392);
-- Добавление параметра прибора "Мин. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18427, 'Мин. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1235, 1, 154, 'Pmin', 462, 392);
-- Добавление параметра прибора "Макс. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18428, 'Макс. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1235, 1, 155, 'Pmax', 462, 392);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18429, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2', '', 1235, 1, 156, 'Pavg', 462, 392);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18430, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок', '', 1235, 1, 157, 'Pmaxavg', 462, 392);
-- Добавление параметра прибора "Коэффициент реактивной мощности (tg ф). Среднее значение на интервале интегрирования 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18431, 'Коэффициент реактивной мощности (tg ф). Среднее значение на интервале интегрирования 2', '', 1235, 1, 158, '1.0.131.27.0.255_t3', 462, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности. Максимальное значение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18432, 'Коэффициент реактивной мощности. Максимальное значение', '', 1235, 1, 159, '1.0.131.38.0.255_t3', 462, 385);
-- Добавление параметра прибора "Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18433, 'Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1235, 1, 160, 'tgfmin', 462, 392);
-- Добавление параметра прибора "Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18434, 'Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1235, 1, 161, 'tgfmax', 462, 392);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1236, 'Параметры сети', '', 462, 0);

-- Добавление параметра прибора "Частота сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18435, 'Частота сети', '', 1236, 1, 162, 'f', 462, 385);
-- Добавление параметра прибора "Напряжение фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18436, 'Напряжение фазы А', '', 1236, 1, 163, 'VRN', 462, 385);
-- Добавление параметра прибора "Напряжение фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18437, 'Напряжение фазы B', '', 1236, 1, 164, 'VYN', 462, 385);
-- Добавление параметра прибора "Напряжение фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18438, 'Напряжение фазы C', '', 1236, 1, 165, 'VBN', 462, 385);
-- Добавление параметра прибора "Межфазное напряжение АB"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18439, 'Межфазное напряжение АB', '', 1236, 1, 166, 'VFRY', 462, 385);
-- Добавление параметра прибора "Межфазное напряжение BC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18440, 'Межфазное напряжение BC', '', 1236, 1, 167, 'VFYB', 462, 385);
-- Добавление параметра прибора "Межфазное напряжение AC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18441, 'Межфазное напряжение AC', '', 1236, 1, 168, 'VFRB', 462, 385);
-- Добавление параметра прибора "Угол между фазами АВ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18442, 'Угол между фазами АВ', '', 1236, 1, 169, 'phiVRY', 462, 385);
-- Добавление параметра прибора "Угол между фазами ВС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18443, 'Угол между фазами ВС', '', 1236, 1, 170, 'phiVYB', 462, 385);
-- Добавление параметра прибора "Угол между фазами АС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18444, 'Угол между фазами АС', '', 1236, 1, 171, 'phiVRB', 462, 385);
-- Добавление параметра прибора "Ток фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18445, 'Ток фазы А', '', 1236, 1, 172, 'Ir', 462, 385);
-- Добавление параметра прибора "Ток фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18446, 'Ток фазы B', '', 1236, 1, 173, 'Iy', 462, 385);
-- Добавление параметра прибора "Ток фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18447, 'Ток фазы C', '', 1236, 1, 174, 'Ib', 462, 385);
-- Добавление параметра прибора "Угол UI фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18448, 'Угол UI фазы А', '', 1236, 1, 175, 'phiVIR', 462, 385);
-- Добавление параметра прибора "Угол UI фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18449, 'Угол UI фазы В', '', 1236, 1, 176, 'phiVIY', 462, 385);
-- Добавление параметра прибора "Угол UI фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18450, 'Угол UI фазы С', '', 1236, 1, 177, 'phiVIB', 462, 385);
-- Добавление параметра прибора "Продолжительность некачества за текущий месяц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18451, 'Продолжительность некачества за текущий месяц', '', 1236, 1, 178, '0.0.135.21.1.255_t3', 462, 385);
-- Добавление параметра прибора "Установившееся отклонение частоты, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18452, 'Установившееся отклонение частоты, Гц', '', 1236, 1, 179, '1.0.14.130.0.255_t3', 462, 385);
-- Добавление параметра прибора "Положительное отклонение фазного напряжения А, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18453, 'Положительное отклонение фазного напряжения А, в %', '', 1236, 1, 180, '1.0.32.128.0.255_t3', 462, 385);
-- Добавление параметра прибора "Отрицательное отклонение фазного напряжения А, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18454, 'Отрицательное отклонение фазного напряжения А, в %', '', 1236, 1, 181, '1.0.32.129.0.255_t3', 462, 385);
-- Добавление параметра прибора "Положительное отклонение фазного напряжения B, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18455, 'Положительное отклонение фазного напряжения B, в %', '', 1236, 1, 182, '1.0.52.128.0.255_t3', 462, 385);
-- Добавление параметра прибора "Отрицательное отклонение фазного напряжения B, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18456, 'Отрицательное отклонение фазного напряжения B, в %', '', 1236, 1, 183, '1.0.52.129.0.255_t3', 462, 385);
-- Добавление параметра прибора "Положительное отклонение фазного напряжения C, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18457, 'Положительное отклонение фазного напряжения C, в %', '', 1236, 1, 184, '1.0.72.128.0.255_t3', 462, 385);
-- Добавление параметра прибора "Отрицательное отклонение фазного напряжения C, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18458, 'Отрицательное отклонение фазного напряжения C, в %', '', 1236, 1, 185, '1.0.72.129.0.255_t3', 462, 385);
