-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 18459 AND pr_typ_id <= 18550;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1237 AND gr_typ_id <= 1240;

---- Прибор "Пульсар счётчик газа диафрагменный V1" ----

UPDATE "Tepl"."TypeDevices"
SET "Name" = 'Пульсар счётчик газа диафрагменный V1', "Comment" = '', "AdditionInfo" = 128 WHERE dev_typ_id = 463;

---- Группа "Группа параметров в типе прибора" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1237, 'Группа параметров в типе прибора', '', 463, 0);


---- Группа "Параметры" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1238, 'Параметры', '', 463, 0);

-- Добавление параметра прибора "[Системные] Дата/Время"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18459, '[Системные] Дата/Время', '', 1238, 1, 0, 'D', 463, 192);
-- Добавление параметра прибора "[Системные] Сетевой адрес"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18460, '[Системные] Сетевой адрес', '', 1238, 1, 1, '__ADDRESS', 463, 192);
-- Добавление параметра прибора "[Системные] Заводской номер"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18461, '[Системные] Заводской номер', '', 1238, 1, 2, 'P0003.U32', 463, 192);
-- Добавление параметра прибора "[Системные] Версия ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18462, '[Системные] Версия ПО', '', 1238, 1, 3, '__VERSION_INTERNAL', 463, 448);
-- Добавление параметра прибора "[Системные] Пароль (старый | новый)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18463, '[Системные] Пароль (старый | новый)', '', 1238, 1, 4, '__PASSWORD', 463, 192);
-- Добавление параметра прибора "[Системные] Время работы с ошибками [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18464, '[Системные] Время работы с ошибками [ч]', '', 1238, 1, 5, 'P0007.U32', 463, 192);
-- Добавление параметра прибора "[Системные] Время наработки [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18465, '[Системные] Время наработки [ч]', '', 1238, 1, 6, 'P000A.U32', 463, 448);
-- Добавление параметра прибора "[Батарея] Напряжение батареи [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18466, '[Батарея] Напряжение батареи [мВ]', '', 1238, 1, 7, 'P0040.U16', 463, 448);
-- Добавление параметра прибора "[Температура] Подстановочная температура газа [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18467, '[Температура] Подстановочная температура газа [°C]', '', 1238, 1, 8, 'P013B.F32', 463, 192);
-- Добавление параметра прибора "[Давление] Подстановочное давление газа [кПа]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18468, '[Давление] Подстановочное давление газа [кПа]', '', 1238, 1, 9, 'P0152.F32', 463, 192);
-- Добавление параметра прибора "[Состав газа] Подставной коэффициент сжимаемости газа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18469, '[Состав газа] Подставной коэффициент сжимаемости газа', '', 1238, 1, 10, 'P0170.F32', 463, 192);
-- Добавление параметра прибора "[Мембранный расходомер] Закрытие клапана при полном разряде батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18470, '[Мембранный расходомер] Закрытие клапана при полном разряде батареи', '', 1238, 1, 11, 'P01F1.U8', 463, 192);
-- Добавление параметра прибора "[Мембранный расходомер] Закрытие клапана при вскрытии батарейного отсека"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18471, '[Мембранный расходомер] Закрытие клапана при вскрытии батарейного отсека', '', 1238, 1, 12, 'P01F2.U8', 463, 192);
-- Добавление параметра прибора "[Мембранный расходомер] Использовать подстановочное значение расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18472, '[Мембранный расходомер] Использовать подстановочное значение расхода', '', 1238, 1, 13, 'P01F4.U8', 463, 192);
-- Добавление параметра прибора "[Батарея] Напряжение суперконденсатора [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18473, '[Батарея] Напряжение суперконденсатора [мВ]', '', 1238, 1, 14, 'P0044.U16', 463, 320);
-- Добавление параметра прибора "[UART] Время отключения оптического порта [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18474, '[UART] Время отключения оптического порта [сек]', '', 1238, 1, 15, 'P00F1.U8', 463, 192);

---- Группа "Настроечные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1239, 'Настроечные', '', 463, 1238);

-- Добавление параметра прибора "[Системные] Количество сбросов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18475, '[Системные] Количество сбросов', '', 1239, 1, 16, 'P0004.U16', 463, 64);
-- Добавление параметра прибора "[Системные] Причина сброса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18476, '[Системные] Причина сброса', '', 1239, 1, 17, 'P0005.U8', 463, 320);
-- Добавление параметра прибора "[Системные] Наработка с ошибками. Маска"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18477, '[Системные] Наработка с ошибками. Маска', '', 1239, 1, 18, 'P0008.U32', 463, 64);
-- Добавление параметра прибора "[Системные] Версия ЖКИ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18478, '[Системные] Версия ЖКИ', '', 1239, 1, 19, 'P000C.U64', 463, 64);
-- Добавление параметра прибора "[Системные] Уровень доступа"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18479, '[Системные] Уровень доступа', '', 1239, 1, 20, 'PE004.U8', 463, 64);
-- Добавление параметра прибора "[Часы] Коэффициент коррекции"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18480, '[Часы] Коэффициент коррекции', '', 1239, 1, 21, 'P0030.F32', 463, 64);
-- Добавление параметра прибора "[Часовой кварц] Часовой кварц, вывод частоты"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18481, '[Часовой кварц] Часовой кварц, вывод частоты', '', 1239, 1, 22, 'P0060.U8', 463, 64);
-- Добавление параметра прибора "[Батарея] Порог напряжения батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18482, '[Батарея] Порог напряжения батареи', '', 1239, 1, 23, 'P0041.U64', 463, 64);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения батареи. Смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18483, '[Батарея] Калибровка напряжения батареи. Смещение', '', 1239, 1, 24, 'P0042.I16', 463, 64);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения батареи. Коэффициент x1000"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18484, '[Батарея] Калибровка напряжения батареи. Коэффициент x1000', '', 1239, 1, 25, 'P0043.U16', 463, 64);
-- Добавление параметра прибора "[Батарея] Напряжение суперконденсатора [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18485, '[Батарея] Напряжение суперконденсатора [мВ]', '', 1239, 1, 26, 'P0044.U16', 463, 320);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения суперконденсатора. Смещение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18486, '[Батарея] Калибровка напряжения суперконденсатора. Смещение', '', 1239, 1, 27, 'P0047.I16', 463, 64);
-- Добавление параметра прибора "[Батарея] Калибровка напряжения суперконденсатора. Коэффициент x1000"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18487, '[Батарея] Калибровка напряжения суперконденсатора. Коэффициент x1000', '', 1239, 1, 28, 'P0048.U16', 463, 64);
-- Добавление параметра прибора "[Батарея] Нижний порог контроля суперконденсатора [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18488, '[Батарея] Нижний порог контроля суперконденсатора [мВ]', '', 1239, 1, 29, 'P0045.U16', 463, 64);
-- Добавление параметра прибора "[Расходомер] Подстановочное значение расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18489, '[Расходомер] Подстановочное значение расхода [м3/ч]', '', 1239, 1, 30, 'P00FF.F32', 463, 64);
-- Добавление параметра прибора "[Батарея] Верхний порог контроля суперконденсатора [мВ]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18490, '[Батарея] Верхний порог контроля суперконденсатора [мВ]', '', 1239, 1, 31, 'P0046.U16', 463, 64);
-- Добавление параметра прибора "[Расходомер] Вес импульса или Масштабирующий коэффициент расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18491, '[Расходомер] Вес импульса или Масштабирующий коэффициент расхода', '', 1239, 1, 32, 'P0101.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Нижний порог контроля расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18492, '[Расходомер] Нижний порог контроля расхода [м3/ч]', '', 1239, 1, 33, 'P0103.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Верхний порог контроля расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18493, '[Расходомер] Верхний порог контроля расхода [м3/ч]', '', 1239, 1, 34, 'P0104.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Нижний порог чувствительности расхода [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18494, '[Расходомер] Нижний порог чувствительности расхода [м3/ч]', '', 1239, 1, 35, 'P0105.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Команда тестового пролива"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18495, '[Расходомер] Команда тестового пролива', '', 1239, 1, 36, 'P0106.U8', 463, 64);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18496, '[Расходомер] Тестовый пролив, объем [м3]', '', 1239, 1, 37, 'P0107.F32', 463, 320);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18497, '[Расходомер] Тестовый пролив, расход [м3/ч]', '', 1239, 1, 38, 'P0108.F32', 463, 320);
-- Добавление параметра прибора "[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18498, '[Расходомер] Тестовый пролив, расход (без корр) [м3/ч]', '', 1239, 1, 39, 'P0109.F32', 463, 320);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X0"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18499, '[Расходомер] Точка линеаризации X0', '', 1239, 1, 40, 'P010B.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y0"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18500, '[Расходомер] Коэффициент линеаризации Y0', '', 1239, 1, 41, 'P010C.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18501, '[Расходомер] Точка линеаризации X1', '', 1239, 1, 42, 'P010D.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18502, '[Расходомер] Коэффициент линеаризации Y1', '', 1239, 1, 43, 'P010E.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18503, '[Расходомер] Точка линеаризации X2', '', 1239, 1, 44, 'P010F.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18504, '[Расходомер] Коэффициент линеаризации Y2', '', 1239, 1, 45, 'P0110.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Линеаризация расхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18505, '[Расходомер] Линеаризация расхода', '', 1239, 1, 46, 'P010A.U8', 463, 64);
-- Добавление параметра прибора "[Дисплей] Количество знаков после запятой в показаниях объёма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18506, '[Дисплей] Количество знаков после запятой в показаниях объёма', '', 1239, 1, 47, 'P0091.U8', 463, 64);
-- Добавление параметра прибора "[UART] Время отключения оптического порта [сек]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18507, '[UART] Время отключения оптического порта [сек]', '', 1239, 1, 48, 'P00F1.U8', 463, 192);
-- Добавление параметра прибора "[UART] Включение оптического порта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18508, '[UART] Включение оптического порта', '', 1239, 1, 49, 'P00F2.U8', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18509, '[Расходомер] Точка линеаризации X3', '', 1239, 1, 50, 'P0111.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18510, '[Расходомер] Коэффициент линеаризации Y3', '', 1239, 1, 51, 'P0112.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18511, '[Расходомер] Точка линеаризации X4', '', 1239, 1, 52, 'P0113.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18512, '[Расходомер] Коэффициент линеаризации Y4', '', 1239, 1, 53, 'P0114.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18513, '[Расходомер] Точка линеаризации X5', '', 1239, 1, 54, 'P0115.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18514, '[Расходомер] Коэффициент линеаризации Y5', '', 1239, 1, 55, 'P0116.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18515, '[Расходомер] Точка линеаризации X6', '', 1239, 1, 56, 'P0117.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18516, '[Расходомер] Коэффициент линеаризации Y6', '', 1239, 1, 57, 'P0118.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18517, '[Расходомер] Точка линеаризации X7', '', 1239, 1, 58, 'P0119.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18518, '[Расходомер] Коэффициент линеаризации Y7', '', 1239, 1, 59, 'P011A.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18519, '[Расходомер] Точка линеаризации X8', '', 1239, 1, 60, 'P011B.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18520, '[Расходомер] Коэффициент линеаризации Y8', '', 1239, 1, 61, 'P011C.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X9"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18521, '[Расходомер] Точка линеаризации X9', '', 1239, 1, 62, 'P011D.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y9"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18522, '[Расходомер] Коэффициент линеаризации Y9', '', 1239, 1, 63, 'P011E.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X10"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18523, '[Расходомер] Точка линеаризации X10', '', 1239, 1, 64, 'P011F.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y10"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18524, '[Расходомер] Коэффициент линеаризации Y10', '', 1239, 1, 65, 'P0120.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X11"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18525, '[Расходомер] Точка линеаризации X11', '', 1239, 1, 66, 'P0121.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y11"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18526, '[Расходомер] Коэффициент линеаризации Y11', '', 1239, 1, 67, 'P0122.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X12"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18527, '[Расходомер] Точка линеаризации X12', '', 1239, 1, 68, 'P0123.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y12"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18528, '[Расходомер] Коэффициент линеаризации Y12', '', 1239, 1, 69, 'P0124.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X13"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18529, '[Расходомер] Точка линеаризации X13', '', 1239, 1, 70, 'P0125.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y13"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18530, '[Расходомер] Коэффициент линеаризации Y13', '', 1239, 1, 71, 'P0126.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X14"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18531, '[Расходомер] Точка линеаризации X14', '', 1239, 1, 72, 'P0127.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18532, '[Расходомер] Коэффициент линеаризации Y15', '', 1239, 1, 73, 'P012A.F32', 463, 64);
-- Добавление параметра прибора "[Мембранный расходомер] Счётчик импульсов датчика TMR"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18533, '[Мембранный расходомер] Счётчик импульсов датчика TMR', '', 1239, 1, 74, 'P01F3.U8', 463, 320);
-- Добавление параметра прибора "[Температура] Нижний порог контроля температуры [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18534, '[Температура] Нижний порог контроля температуры [°C]', '', 1239, 1, 75, 'P0138.F32', 463, 64);
-- Добавление параметра прибора "[Температура] Верхний порог контроля температуры [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18535, '[Температура] Верхний порог контроля температуры [°C]', '', 1239, 1, 76, 'P0139.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Коэффициент линеаризации Y14"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18536, '[Расходомер] Коэффициент линеаризации Y14', '', 1239, 1, 77, 'P0128.F32', 463, 64);
-- Добавление параметра прибора "[Расходомер] Точка линеаризации X15"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18537, '[Расходомер] Точка линеаризации X15', '', 1239, 1, 78, 'P0129.F32', 463, 64);
-- Добавление параметра прибора "[Журнал событий] Очистить журнал событий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18538, '[Журнал событий] Очистить журнал событий', '', 1239, 1, 79, 'P1320.U8', 463, 64);
-- Добавление параметра прибора "[Радиомодуль GSM/NBIOT] Состояние и статистика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18539, '[Радиомодуль GSM/NBIOT] Состояние и статистика', '', 1239, 1, 80, 'P1301.U64', 463, 320);
-- Добавление параметра прибора "[Радиомодуль GSM/NBIOT] Дополнительная информация"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18540, '[Радиомодуль GSM/NBIOT] Дополнительная информация', '', 1239, 1, 81, 'P1302.U64', 463, 320);

---- Группа "Показания" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1240, 'Показания', '', 463, 0);

-- Добавление параметра прибора "[Показания] Объем [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18541, '[Показания] Объем [м3]', '', 1240, 1, 82, 'K01.F32', 463, 143);
-- Добавление параметра прибора "[Показания] Объем (без коррекции) [м3]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18542, '[Показания] Объем (без коррекции) [м3]', '', 1240, 1, 83, 'K05.F32', 463, 143);
-- Добавление параметра прибора "[Показания] Расход [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18543, '[Показания] Расход [м3/ч]', '', 1240, 1, 84, 'P0100.F32', 463, 385);
-- Добавление параметра прибора "[Показания] Расход (без коррекции) [м3/ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18544, '[Показания] Расход (без коррекции) [м3/ч]', '', 1240, 1, 85, 'P012F.F32', 463, 385);
-- Добавление параметра прибора "[Показания] Температура газа [°C]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18545, '[Показания] Температура газа [°C]', '', 1240, 1, 86, 'K03.F32', 463, 399);
-- Добавление параметра прибора "[Системные] Время нормальной работы [ч]"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18546, '[Системные] Время нормальной работы [ч]', '', 1240, 1, 87, 'K07.U32', 463, 129);
-- Добавление параметра прибора "[Системные] Ошибки (dec)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18547, '[Системные] Ошибки (dec)', '', 1240, 1, 88, 'K08', 463, 399);
-- Добавление параметра прибора "[Системные] Ошибки (hex)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18548, '[Системные] Ошибки (hex)', '', 1240, 1, 89, 'K08.U32.X', 463, 399);
-- Добавление параметра прибора "[Системные] Ошибки (текст)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18549, '[Системные] Ошибки (текст)', '', 1240, 1, 90, 'K08.U32', 463, 399);
-- Добавление параметра прибора "[Клапан] Состояние клапана"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18550, '[Клапан] Состояние клапана', '', 1240, 1, 91, 'P01F0.U8', 463, 129);
