-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 18551 AND pr_typ_id <= 18761;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1241 AND gr_typ_id <= 1244;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 464;

---- Прибор "Энергомера СЕ308 (СПОДЭС)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (464, 'Энергомера СЕ308 (СПОДЭС)', '', 128);

---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1241, 'Информационные', '', 464, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18551, 'Дата и время прибора', '', 1241, 1, 0, 'D', 464, 193);
-- Добавление параметра прибора "Серийный номер ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18552, 'Серийный номер ПУ', '', 1241, 1, 1, 'i_sn', 464, 448);
-- Добавление параметра прибора "Наименование производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18553, 'Наименование производителя', '', 1241, 1, 2, 'i_manuf', 464, 448);
-- Добавление параметра прибора "Тип (модель) ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18554, 'Тип (модель) ПУ', '', 1241, 1, 3, 'i_dev', 464, 448);
-- Добавление параметра прибора "Идентификатор исполнения счетчика (модель)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18555, 'Идентификатор исполнения счетчика (модель)', '', 1241, 1, 4, 'i_model', 464, 448);
-- Добавление параметра прибора "Дата выпуска ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18556, 'Дата выпуска ПУ', '', 1241, 1, 5, 'i_prodd', 464, 448);
-- Добавление параметра прибора "Данные точки учёта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18557, 'Данные точки учёта', '', 1241, 1, 6, 'c_mpid', 464, 448);
-- Добавление параметра прибора "Логическое имя устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18558, 'Логическое имя устройства', '', 1241, 1, 7, 'c_ldn', 464, 448);
-- Добавление параметра прибора "Версия метрологического ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18559, 'Версия метрологического ПО', '', 1241, 1, 8, 'i_fw', 464, 448);
-- Добавление параметра прибора "Контрольная сумма не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18560, 'Контрольная сумма не метрологической части ВПО', '', 1241, 1, 9, 'i_vpocrc', 464, 448);
-- Добавление параметра прибора "Идентификатор не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18561, 'Идентификатор не метрологической части ВПО', '', 1241, 1, 10, 'i_vpoid', 464, 448);
-- Добавление параметра прибора "Дата последнего изменения встроенного ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18562, 'Дата последнего изменения встроенного ПО', '', 1241, 1, 11, 'c_lsetfw', 464, 448);
-- Добавление параметра прибора "Версия спецификации СПОДЭС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18563, 'Версия спецификации СПОДЭС', '', 1241, 1, 12, 'i_spodesv', 464, 448);
-- Добавление параметра прибора "Номинальное напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18564, 'Номинальное напряжение', '', 1241, 1, 13, 'c_nomU', 464, 448);
-- Добавление параметра прибора "Номинальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18565, 'Номинальный ток', '', 1241, 1, 14, 'c_nomI', 464, 448);
-- Добавление параметра прибора "Номинальная частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18566, 'Номинальная частота', '', 1241, 1, 15, 'c_nomF', 464, 448);
-- Добавление параметра прибора "Максимальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18567, 'Максимальный ток', '', 1241, 1, 16, 'c_maxI', 464, 448);
-- Добавление параметра прибора "Блокиратор реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18568, 'Блокиратор реле нагрузки', '', 1241, 1, 17, 'c_relay', 464, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18569, 'Текущее состояние датчика вскрытия корпуса', '', 1241, 1, 18, 's_curcase', 464, 448);
-- Добавление параметра прибора "Текущее состояние датчика вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18570, 'Текущее состояние датчика вскрытия крышки клеммников', '', 1241, 1, 19, 's_curtermc', 464, 448);
-- Добавление параметра прибора "Текущее состояние датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18571, 'Текущее состояние датчика магнитного поля', '', 1241, 1, 20, 's_curmagn', 464, 448);
-- Добавление параметра прибора "Текущее состояние датчика ВЧ поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18572, 'Текущее состояние датчика ВЧ поля', '', 1241, 1, 21, 's_curhfreq', 464, 448);
-- Добавление параметра прибора "Зафиксированное состояние событий электронных пломб"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18573, 'Зафиксированное состояние событий электронных пломб', '', 1241, 1, 22, 's_seal', 464, 448);
-- Добавление параметра прибора "Время первого вскрытия электронной пломбы корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18574, 'Время первого вскрытия электронной пломбы корпуса', '', 1241, 1, 23, 's_timecase', 464, 448);
-- Добавление параметра прибора "Время первого вскрытия электронной пломбы крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18575, 'Время первого вскрытия электронной пломбы крышки клеммников', '', 1241, 1, 24, 's_timetermc', 464, 448);
-- Добавление параметра прибора "Счетчик коррекций (конфигурирований)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18576, 'Счетчик коррекций (конфигурирований)', '', 1241, 1, 25, 'c_corr', 464, 448);
-- Добавление параметра прибора "Дата последнего конфигурирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18577, 'Дата последнего конфигурирования', '', 1241, 1, 26, 'c_corrd', 464, 448);
-- Добавление параметра прибора "Дата последней калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18578, 'Дата последней калибровки', '', 1241, 1, 27, 'c_cald', 464, 448);
-- Добавление параметра прибора "Дата последнего активирования календаря"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18579, 'Дата последнего активирования календаря', '', 1241, 1, 28, 'c_lacd', 464, 448);
-- Добавление параметра прибора "Дата последней установки времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18580, 'Дата последней установки времени', '', 1241, 1, 29, 'c_lsetd', 464, 448);
-- Добавление параметра прибора "Счетчик вскрытий корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18581, 'Счетчик вскрытий корпуса', '', 1241, 1, 30, 'c_openc', 464, 448);
-- Добавление параметра прибора "Дата последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18582, 'Дата последнего вскрытия корпуса', '', 1241, 1, 31, 'c_lopend', 464, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18583, 'Продолжительность последнего вскрытия корпуса', '', 1241, 1, 32, 'c_lopendt', 464, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18584, 'Общая продолжительность вскрытия корпуса', '', 1241, 1, 33, 'c_lopenttot', 464, 448);
-- Добавление параметра прибора "Счетчик вскрытий крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18585, 'Счетчик вскрытий крышки клеммников', '', 1241, 1, 34, 'c_openclem', 464, 448);
-- Добавление параметра прибора "Дата последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18586, 'Дата последнего вскрытия крышки клеммников', '', 1241, 1, 35, 'c_lopenclemd', 464, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18587, 'Продолжительность последнего вскрытия крышки клеммников', '', 1241, 1, 36, 'c_lopenclemdt', 464, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18588, 'Общая продолжительность вскрытия крышки клеммников', '', 1241, 1, 37, 'c_openclemtot', 464, 448);
-- Добавление параметра прибора "Счетчик срабатываний датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18589, 'Счетчик срабатываний датчика магнитного поля', '', 1241, 1, 38, 'c_magn', 464, 448);
-- Добавление параметра прибора "Дата последнего воздействия датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18590, 'Дата последнего воздействия датчика магнитного поля', '', 1241, 1, 39, 'c_lmagnd', 464, 448);
-- Добавление параметра прибора "Продолжительность последнего воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18591, 'Продолжительность последнего воздействия магнитного поля', '', 1241, 1, 40, 'c_lmagnt', 464, 448);
-- Добавление параметра прибора "Общая продолжительность воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18592, 'Общая продолжительность воздействия магнитного поля', '', 1241, 1, 41, 'c_magntot', 464, 448);
-- Добавление параметра прибора "Счетчик сбросов центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18593, 'Счетчик сбросов центрального микроконтроллера', '', 1241, 1, 42, 'c_mcreset', 464, 448);
-- Добавление параметра прибора "Дата последнего сброса центрального микроконтроллера"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18594, 'Дата последнего сброса центрального микроконтроллера', '', 1241, 1, 43, 'c_mcresetd', 464, 448);
-- Добавление параметра прибора "Дата последнего выключения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18595, 'Дата последнего выключения счётчика', '', 1241, 1, 44, 'c_puoffd', 464, 448);
-- Добавление параметра прибора "Дата последнего включения счётчика"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18596, 'Дата последнего включения счётчика', '', 1241, 1, 45, 'c_puond', 464, 448);
-- Добавление параметра прибора "Время работы ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18597, 'Время работы ПУ', '', 1241, 1, 46, 'c_wt', 464, 461);
-- Добавление параметра прибора "Температура внутри корпуса ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18598, 'Температура внутри корпуса ПУ', '', 1241, 1, 47, 't', 464, 480);
-- Добавление параметра прибора "Текущее состояние инициативного выхода"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18599, 'Текущее состояние инициативного выхода', '', 1241, 1, 48, 'flags', 464, 448);
-- Добавление параметра прибора "Коэффициент несимметрии напряжений по обратной последовательности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18600, 'Коэффициент несимметрии напряжений по обратной последовательности', '', 1241, 1, 49, 'UBFD', 464, 448);
-- Добавление параметра прибора "Коэффициент несимметрии напряжений по нулевой последовательности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18601, 'Коэффициент несимметрии напряжений по нулевой последовательности', '', 1241, 1, 50, 'UBFR', 464, 448);
-- Добавление параметра прибора "Напряжение батареи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18602, 'Напряжение батареи', '', 1241, 1, 51, '0.0.96.6.3.255_t3', 464, 448);
-- Добавление параметра прибора "Слово состояний дискретных входов"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18603, 'Слово состояний дискретных входов', '', 1241, 1, 52, '0.0.96.3.1.255', 464, 448);
-- Добавление параметра прибора "Текущее состояние событий реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18604, 'Текущее состояние событий реле нагрузки', '', 1241, 1, 53, '0.0.97.98.1.255', 464, 448);
-- Добавление параметра прибора "Текущее состояние событий реле РС1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18605, 'Текущее состояние событий реле РС1', '', 1241, 1, 54, '0.1.97.98.1.255', 464, 448);
-- Добавление параметра прибора "Текущее состояние событий реле РС2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18606, 'Текущее состояние событий реле РС2', '', 1241, 1, 55, '0.2.97.98.1.255', 464, 448);
-- Добавление параметра прибора "Постоянная счетчика для активной энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18607, 'Постоянная счетчика для активной энергии', '', 1241, 1, 57, '1.0.0.3.3.255', 464, 448);
-- Добавление параметра прибора "Постоянная счетчика для реактивной энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18608, 'Постоянная счетчика для реактивной энергии', '', 1241, 1, 58, '1.0.0.3.4.255', 464, 448);

---- Группа "Параметры учета" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1242, 'Параметры учета', '', 464, 0);

-- Добавление параметра прибора "Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18609, 'Полная мощность', '', 1242, 1, 59, 'S', 464, 385);
-- Добавление параметра прибора "Полная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18610, 'Полная мощность фазы А', '', 1242, 1, 60, 'SR', 464, 385);
-- Добавление параметра прибора "Полная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18611, 'Полная мощность фазы B', '', 1242, 1, 61, 'SY', 464, 385);
-- Добавление параметра прибора "Полная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18612, 'Полная мощность фазы C', '', 1242, 1, 62, 'SB', 464, 385);
-- Добавление параметра прибора "Активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18613, 'Активная мощность', '', 1242, 1, 63, 'P', 464, 385);
-- Добавление параметра прибора "Активная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18614, 'Активная мощность фазы А', '', 1242, 1, 64, 'PR', 464, 385);
-- Добавление параметра прибора "Активная мощность фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18615, 'Активная мощность фазы В', '', 1242, 1, 65, 'PY', 464, 385);
-- Добавление параметра прибора "Активная мощность фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18616, 'Активная мощность фазы С', '', 1242, 1, 66, 'PB', 464, 385);
-- Добавление параметра прибора "Реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18617, 'Реактивная мощность', '', 1242, 1, 67, 'Q', 464, 385);
-- Добавление параметра прибора "Реактивная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18618, 'Реактивная мощность фазы А', '', 1242, 1, 68, 'QR', 464, 385);
-- Добавление параметра прибора "Реактивная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18619, 'Реактивная мощность фазы B', '', 1242, 1, 69, 'QY', 464, 385);
-- Добавление параметра прибора "Реактивная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18620, 'Реактивная мощность фазы C', '', 1242, 1, 70, 'QB', 464, 385);
-- Добавление параметра прибора "Коэффициент мощности общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18621, 'Коэффициент мощности общий', '', 1242, 1, 71, 'PF', 464, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18622, 'Коэффициент мощности фазы А', '', 1242, 1, 72, 'PFSR', 464, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18623, 'Коэффициент мощности фазы B', '', 1242, 1, 73, 'PFSY', 464, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18624, 'Коэффициент мощности фазы C', '', 1242, 1, 74, 'PFSB', 464, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18625, 'Коэффициент реактивной мощности', '', 1242, 1, 75, 'PFQ', 464, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18626, 'Коэффициент реактивной мощности фазы А', '', 1242, 1, 76, 'PFQR', 464, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18627, 'Коэффициент реактивной мощности фазы В', '', 1242, 1, 77, 'PFQY', 464, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18628, 'Коэффициент реактивной мощности фазы С', '', 1242, 1, 78, 'PFQB', 464, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1243, 'Энергия', '', 464, 0);

-- Добавление параметра прибора "Активная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18629, 'Активная энергия, импорт за период записи', '', 1243, 1, 79, 'PP_A+imp', 464, 434);
-- Добавление параметра прибора "Активная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18630, 'Активная энергия, экспорт за период записи', '', 1243, 1, 80, 'PP_A+exp', 464, 434);
-- Добавление параметра прибора "Реактивная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18631, 'Реактивная энергия, импорт за период записи', '', 1243, 1, 81, 'PP_R-imp', 464, 434);
-- Добавление параметра прибора "Реактивная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18632, 'Реактивная энергия, экспорт за период записи', '', 1243, 1, 82, 'PP_R-exp', 464, 434);
-- Добавление параметра прибора "Полная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18633, 'Полная энергия, импорт за период записи', '', 1243, 1, 83, 'PP_Pimp', 464, 385);
-- Добавление параметра прибора "Полная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18634, 'Полная энергия, экспорт за период записи', '', 1243, 1, 84, 'PP_Pexp', 464, 385);
-- Добавление параметра прибора "Активная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18635, 'Активная энергия, импорт', '', 1243, 1, 85, 'A+imp', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18636, 'Активная энергия, импорт по 1 тарифу', '', 1243, 1, 86, 'A+imp1', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18637, 'Активная энергия, импорт по 2 тарифу', '', 1243, 1, 87, 'A+imp2', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18638, 'Активная энергия, импорт по 3 тарифу', '', 1243, 1, 88, 'A+imp3', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18639, 'Активная энергия, импорт по 4 тарифу', '', 1243, 1, 89, 'A+imp4', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18640, 'Активная энергия, импорт по 5 тарифу', '', 1243, 1, 90, 'A+imp5', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18641, 'Активная энергия, импорт по 6 тарифу', '', 1243, 1, 91, 'A+imp6', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18642, 'Активная энергия, импорт по 7 тарифу', '', 1243, 1, 92, 'A+imp7', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18643, 'Активная энергия, импорт по 8 тарифу', '', 1243, 1, 93, 'A+imp8', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18644, 'Активная энергия, экспорт', '', 1243, 1, 94, 'A+exp', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18645, 'Активная энергия, экспорт по 1 тарифу', '', 1243, 1, 95, 'A+exp1', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18646, 'Активная энергия, экспорт по 2 тарифу', '', 1243, 1, 96, 'A+exp2', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18647, 'Активная энергия, экспорт по 3 тарифу', '', 1243, 1, 97, 'A+exp3', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18648, 'Активная энергия, экспорт по 4 тарифу', '', 1243, 1, 98, 'A+exp4', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18649, 'Активная энергия, экспорт по 5 тарифу', '', 1243, 1, 99, 'A+exp5', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18650, 'Активная энергия, экспорт по 6 тарифу', '', 1243, 1, 100, 'A+exp6', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18651, 'Активная энергия, экспорт по 7 тарифу', '', 1243, 1, 101, 'A+exp7', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18652, 'Активная энергия, экспорт по 8 тарифу', '', 1243, 1, 102, 'A+exp8', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18653, 'Реактивная энергия, импорт', '', 1243, 1, 103, 'R-imp', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18654, 'Реактивная энергия, импорт по 1 тарифу', '', 1243, 1, 104, 'R-imp1', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18655, 'Реактивная энергия, импорт по 2 тарифу', '', 1243, 1, 105, 'R-imp2', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18656, 'Реактивная энергия, импорт по 3 тарифу', '', 1243, 1, 106, 'R-imp3', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18657, 'Реактивная энергия, импорт по 4 тарифу', '', 1243, 1, 107, 'R-imp4', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18658, 'Реактивная энергия, импорт по 5 тарифу', '', 1243, 1, 108, 'R-imp5', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18659, 'Реактивная энергия, импорт по 6 тарифу', '', 1243, 1, 109, 'R-imp6', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18660, 'Реактивная энергия, импорт по 7 тарифу', '', 1243, 1, 110, 'R-imp7', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18661, 'Реактивная энергия, импорт по 8 тарифу', '', 1243, 1, 111, 'R-imp8', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18662, 'Реактивная энергия, экспорт', '', 1243, 1, 112, 'R-exp', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18663, 'Реактивная энергия, экспорт по 1 тарифу', '', 1243, 1, 113, 'R-exp1', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18664, 'Реактивная энергия, экспорт по 2 тарифу', '', 1243, 1, 114, 'R-exp2', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18665, 'Реактивная энергия, экспорт по 3 тарифу', '', 1243, 1, 115, 'R-exp3', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18666, 'Реактивная энергия, экспорт по 4 тарифу', '', 1243, 1, 116, 'R-exp4', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18667, 'Реактивная энергия, экспорт по 5 тарифу', '', 1243, 1, 117, 'R-exp5', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18668, 'Реактивная энергия, экспорт по 6 тарифу', '', 1243, 1, 118, 'R-exp6', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18669, 'Реактивная энергия, экспорт по 7 тарифу', '', 1243, 1, 119, 'R-exp7', 464, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18670, 'Реактивная энергия, экспорт по 8 тарифу', '', 1243, 1, 120, 'R-exp8', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18671, 'Активная энергия, импорт фаза А', '', 1243, 1, 121, 'A+impR', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18672, 'Активная энергия, импорт фаза В', '', 1243, 1, 122, 'A+impY', 464, 397);
-- Добавление параметра прибора "Активная энергия, импорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18673, 'Активная энергия, импорт фаза С', '', 1243, 1, 123, 'A+impB', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18674, 'Активная энергия, экспорт фаза А', '', 1243, 1, 124, 'A+expR', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт фаза B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18675, 'Активная энергия, экспорт фаза B', '', 1243, 1, 125, 'A+expY', 464, 397);
-- Добавление параметра прибора "Активная энергия, экспорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18676, 'Активная энергия, экспорт фаза С', '', 1243, 1, 126, 'A+expB', 464, 397);
-- Добавление параметра прибора "Рективная энергия, импорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18677, 'Рективная энергия, импорт фаза А', '', 1243, 1, 127, 'R-impR', 464, 397);
-- Добавление параметра прибора "Рективная энергия, импорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18678, 'Рективная энергия, импорт фаза В', '', 1243, 1, 128, 'R-impY', 464, 397);
-- Добавление параметра прибора "Рективная энергия, импорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18679, 'Рективная энергия, импорт фаза С', '', 1243, 1, 129, 'R-impB', 464, 397);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18680, 'Рективная энергия, экспорт фаза А', '', 1243, 1, 130, 'R-expR', 464, 397);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18681, 'Рективная энергия, экспорт фаза В', '', 1243, 1, 131, 'R-expY', 464, 397);
-- Добавление параметра прибора "Рективная энергия, экспорт фаза С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18682, 'Рективная энергия, экспорт фаза С', '', 1243, 1, 132, 'R-expB', 464, 397);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18683, 'Удельная энергия потерь в ЛЭП', '', 1243, 1, 133, 'Eloss', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18684, 'Удельная энергия потерь в ЛЭП по 1 тарифу', '', 1243, 1, 134, 'Eloss1', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18685, 'Удельная энергия потерь в ЛЭП по 2 тарифу', '', 1243, 1, 135, 'Eloss2', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18686, 'Удельная энергия потерь в ЛЭП по 3 тарифу', '', 1243, 1, 136, 'Eloss3', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18687, 'Удельная энергия потерь в ЛЭП по 4 тарифу', '', 1243, 1, 137, 'Eloss4', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18688, 'Удельная энергия потерь в ЛЭП по 5 тарифу', '', 1243, 1, 138, 'Eloss5', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18689, 'Удельная энергия потерь в ЛЭП по 6 тарифу', '', 1243, 1, 139, 'Eloss6', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18690, 'Удельная энергия потерь в ЛЭП по 7 тарифу', '', 1243, 1, 140, 'Eloss7', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в ЛЭП по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18691, 'Удельная энергия потерь в ЛЭП по 8 тарифу', '', 1243, 1, 141, 'Eloss8', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18692, 'Удельная энергия потерь в силовых трансформаторах', '', 1243, 1, 142, 'CVsh', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18693, 'Удельная энергия потерь в силовых трансформаторах по 1 тарифу', '', 1243, 1, 143, 'CVsh1', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18694, 'Удельная энергия потерь в силовых трансформаторах по 2 тарифу', '', 1243, 1, 144, 'CVsh2', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18695, 'Удельная энергия потерь в силовых трансформаторах по 3 тарифу', '', 1243, 1, 145, 'CVsh3', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18696, 'Удельная энергия потерь в силовых трансформаторах по 4 тарифу', '', 1243, 1, 146, 'CVsh4', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 5 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18697, 'Удельная энергия потерь в силовых трансформаторах по 5 тарифу', '', 1243, 1, 147, 'CVsh5', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 6 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18698, 'Удельная энергия потерь в силовых трансформаторах по 6 тарифу', '', 1243, 1, 148, 'CVsh6', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 7 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18699, 'Удельная энергия потерь в силовых трансформаторах по 7 тарифу', '', 1243, 1, 149, 'CVsh7', 464, 385);
-- Добавление параметра прибора "Удельная энергия потерь в силовых трансформаторах по 8 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18700, 'Удельная энергия потерь в силовых трансформаторах по 8 тарифу', '', 1243, 1, 150, 'CVsh8', 464, 385);
-- Добавление параметра прибора "Энергия A+, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18701, 'Энергия A+, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1243, 1, 151, '1.0.1.8.128.255_t3', 464, 385);
-- Добавление параметра прибора "Энергия A-, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18702, 'Энергия A-, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1243, 1, 152, '1.0.2.8.128.255_t3', 464, 385);
-- Добавление параметра прибора "Энергия R+, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18703, 'Энергия R+, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1243, 1, 153, '1.0.3.8.128.255_t3', 464, 385);
-- Добавление параметра прибора "Энергия R-, с начала эксплуатации до текущего момента, Аварийный тариф"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18704, 'Энергия R-, с начала эксплуатации до текущего момента, Аварийный тариф', '', 1243, 1, 154, '1.0.4.8.128.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18705, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма', '', 1243, 1, 155, '1.0.15.8.0.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18706, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1', '', 1243, 1, 156, '1.0.15.8.1.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18707, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2', '', 1243, 1, 157, '1.0.15.8.2.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18708, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3', '', 1243, 1, 158, '1.0.15.8.3.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18709, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4', '', 1243, 1, 159, '1.0.15.8.4.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18710, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5', '', 1243, 1, 160, '1.0.15.8.5.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18711, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6', '', 1243, 1, 161, '1.0.15.8.6.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18712, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7', '', 1243, 1, 162, '1.0.15.8.7.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18713, 'Активная мощность (abs(QI+QIV)+(abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8', '', 1243, 1, 163, '1.0.15.8.8.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18714, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Сумма', '', 1243, 1, 164, '1.0.16.8.0.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18715, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 1', '', 1243, 1, 165, '1.0.16.8.1.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18716, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 2', '', 1243, 1, 166, '1.0.16.8.2.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18717, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 3', '', 1243, 1, 167, '1.0.16.8.3.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18718, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 4', '', 1243, 1, 168, '1.0.16.8.4.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18719, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 5', '', 1243, 1, 169, '1.0.16.8.5.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18720, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 6', '', 1243, 1, 170, '1.0.16.8.6.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18721, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 7', '', 1243, 1, 171, '1.0.16.8.7.255_t3', 464, 385);
-- Добавление параметра прибора "Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18722, 'Активная мощность (abs(QI+QIV)-abs(QII+QIII)), Eli, Интеграл с начала эксплуатации до текущего момента, Тариф 8', '', 1243, 1, 172, '1.0.16.8.8.255_t3', 464, 385);
-- Добавление параметра прибора "Макс. мощность на расчётном периоде"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18723, 'Макс. мощность на расчётном периоде', '', 1243, 1, 175, 'SPmax', 464, 392);
-- Добавление параметра прибора "Мин. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18724, 'Мин. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1243, 1, 176, 'Smin', 464, 392);
-- Добавление параметра прибора "Макс. значение полной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18725, 'Макс. значение полной мощности на интервале интегр. 2 за расчетный период', '', 1243, 1, 177, 'Smax', 464, 392);
-- Добавление параметра прибора "Мин. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18726, 'Мин. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1243, 1, 178, 'Pmin', 464, 392);
-- Добавление параметра прибора "Макс. значение активной мощности на интервале интегр. 2 за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18727, 'Макс. значение активной мощности на интервале интегр. 2 за расчетный период', '', 1243, 1, 179, 'Pmax', 464, 392);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18728, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2', '', 1243, 1, 180, 'Pavg', 464, 392);
-- Добавление параметра прибора "Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18729, 'Усредненное за месяц суточное значение макс. активной мощности на интервале интегр. 2 в период пиковых нагрузок', '', 1243, 1, 181, 'Pmaxavg', 464, 392);
-- Добавление параметра прибора "Коэффициент реактивной мощности (tg ф). Среднее значение на интервале интегрирования 2"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18730, 'Коэффициент реактивной мощности (tg ф). Среднее значение на интервале интегрирования 2', '', 1243, 1, 182, '1.0.131.27.0.255_t3', 464, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности. Максимальное значение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18731, 'Коэффициент реактивной мощности. Максимальное значение', '', 1243, 1, 183, '1.0.131.38.0.255_t3', 464, 385);
-- Добавление параметра прибора "Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18732, 'Мин. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1243, 1, 184, 'tgfmin', 464, 392);
-- Добавление параметра прибора "Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18733, 'Макс. значение реактивной мощности (tg ф) на интервале интегр. за расчетный период', '', 1243, 1, 185, 'tgfmax', 464, 392);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1244, 'Параметры сети', '', 464, 0);

-- Добавление параметра прибора "Частота сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18734, 'Частота сети', '', 1244, 1, 187, 'f', 464, 385);
-- Добавление параметра прибора "Напряжение фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18735, 'Напряжение фазы А', '', 1244, 1, 188, 'VRN', 464, 385);
-- Добавление параметра прибора "Напряжение фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18736, 'Напряжение фазы B', '', 1244, 1, 189, 'VYN', 464, 385);
-- Добавление параметра прибора "Напряжение фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18737, 'Напряжение фазы C', '', 1244, 1, 190, 'VBN', 464, 385);
-- Добавление параметра прибора "Межфазное напряжение АB"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18738, 'Межфазное напряжение АB', '', 1244, 1, 191, 'VFRY', 464, 385);
-- Добавление параметра прибора "Межфазное напряжение BC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18739, 'Межфазное напряжение BC', '', 1244, 1, 192, 'VFYB', 464, 385);
-- Добавление параметра прибора "Межфазное напряжение AC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18740, 'Межфазное напряжение AC', '', 1244, 1, 193, 'VFRB', 464, 385);
-- Добавление параметра прибора "Угол между фазами АВ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18741, 'Угол между фазами АВ', '', 1244, 1, 194, 'phiVRY', 464, 385);
-- Добавление параметра прибора "Угол между фазами ВС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18742, 'Угол между фазами ВС', '', 1244, 1, 195, 'phiVYB', 464, 385);
-- Добавление параметра прибора "Угол между фазами АС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18743, 'Угол между фазами АС', '', 1244, 1, 196, 'phiVRB', 464, 385);
-- Добавление параметра прибора "Ток нейтрали"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18744, 'Ток нейтрали', '', 1244, 1, 197, 'In', 464, 385);
-- Добавление параметра прибора "Ток фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18745, 'Ток фазы А', '', 1244, 1, 198, 'Ir', 464, 385);
-- Добавление параметра прибора "Ток фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18746, 'Ток фазы B', '', 1244, 1, 199, 'Iy', 464, 385);
-- Добавление параметра прибора "Ток фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18747, 'Ток фазы C', '', 1244, 1, 200, 'Ib', 464, 385);
-- Добавление параметра прибора "Угол UI фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18748, 'Угол UI фазы А', '', 1244, 1, 201, 'phiVIR', 464, 385);
-- Добавление параметра прибора "Угол UI фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18749, 'Угол UI фазы В', '', 1244, 1, 202, 'phiVIY', 464, 385);
-- Добавление параметра прибора "Угол UI фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18750, 'Угол UI фазы С', '', 1244, 1, 203, 'phiVIB', 464, 385);
-- Добавление параметра прибора "Дифференциальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18751, 'Дифференциальный ток', '', 1244, 1, 204, 'Idiff', 464, 385);
-- Добавление параметра прибора "Дифференциальный ток, % от фазного тока"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18752, 'Дифференциальный ток, % от фазного тока', '', 1244, 1, 205, 'Idiffperc', 464, 385);
-- Добавление параметра прибора "Статус некачественной энергии"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18753, 'Статус некачественной энергии', '', 1244, 1, 206, 'faultes', 464, 388);
-- Добавление параметра прибора "Продолжительность некачества за текущий месяц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18754, 'Продолжительность некачества за текущий месяц', '', 1244, 1, 207, '0.0.135.21.1.255_t3', 464, 385);
-- Добавление параметра прибора "Установившееся отклонение частоты, Гц"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18755, 'Установившееся отклонение частоты, Гц', '', 1244, 1, 208, '1.0.14.130.0.255_t3', 464, 385);
-- Добавление параметра прибора "Положительное отклонение фазного напряжения А, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18756, 'Положительное отклонение фазного напряжения А, в %', '', 1244, 1, 209, '1.0.32.128.0.255_t3', 464, 385);
-- Добавление параметра прибора "Отрицательное отклонение фазного напряжения А, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18757, 'Отрицательное отклонение фазного напряжения А, в %', '', 1244, 1, 210, '1.0.32.129.0.255_t3', 464, 385);
-- Добавление параметра прибора "Положительное отклонение фазного напряжения B, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18758, 'Положительное отклонение фазного напряжения B, в %', '', 1244, 1, 211, '1.0.52.128.0.255_t3', 464, 385);
-- Добавление параметра прибора "Отрицательное отклонение фазного напряжения B, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18759, 'Отрицательное отклонение фазного напряжения B, в %', '', 1244, 1, 212, '1.0.52.129.0.255_t3', 464, 385);
-- Добавление параметра прибора "Положительное отклонение фазного напряжения C, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18760, 'Положительное отклонение фазного напряжения C, в %', '', 1244, 1, 213, '1.0.72.128.0.255_t3', 464, 385);
-- Добавление параметра прибора "Отрицательное отклонение фазного напряжения C, в %"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (18761, 'Отрицательное отклонение фазного напряжения C, в %', '', 1244, 1, 214, '1.0.72.129.0.255_t3', 464, 385);
