-- Скрипт обновления приборов, групп и параметров --
----------- Сгененрирован автоматически ------------

SET client_encoding = 'UTF8';

DELETE FROM "Tepl"."DeviceTypeParametr" WHERE pr_typ_id >= 19246 AND pr_typ_id <= 19332;
DELETE FROM "Tepl"."DeviceTypeGroupParametr" WHERE gr_typ_id >= 1256 AND gr_typ_id <= 1260;
DELETE FROM "Tepl"."TypeDevices" WHERE dev_typ_id = 468;

---- Прибор "Квант ST2000-12 (3Ф, СПОДЭС)" ----

INSERT INTO "Tepl"."TypeDevices" (dev_typ_id, "Name", "Comment", "AdditionInfo")
VALUES (468, 'Квант ST2000-12 (3Ф, СПОДЭС)', '', 128);

---- Группа "Коды нештатных ситуаций" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1256, 'Коды нештатных ситуаций', 'Коды нештатных ситуаций считываемых из прибора', 468, 0);


---- Группа "Информационные" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1257, 'Информационные', '', 468, 0);

-- Добавление параметра прибора "Дата и время прибора"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19246, 'Дата и время прибора', '', 1257, 1, 0, 'D', 468, 193);
-- Добавление параметра прибора "Серийный номер ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19247, 'Серийный номер ПУ', '', 1257, 1, 1, 'i_sn', 468, 448);
-- Добавление параметра прибора "Наименование производителя"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19248, 'Наименование производителя', '', 1257, 1, 2, 'i_manuf', 468, 448);
-- Добавление параметра прибора "Тип (модель) ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19249, 'Тип (модель) ПУ', '', 1257, 1, 3, 'i_dev', 468, 448);
-- Добавление параметра прибора "Дата выпуска ПУ"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19250, 'Дата выпуска ПУ', '', 1257, 1, 5, 'i_prodd', 468, 448);
-- Добавление параметра прибора "Данные точки учёта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19251, 'Данные точки учёта', '', 1257, 1, 6, 'c_mpid', 468, 448);
-- Добавление параметра прибора "Логическое имя устройства"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19252, 'Логическое имя устройства', '', 1257, 1, 7, 'c_ldn', 468, 448);
-- Добавление параметра прибора "Серийный номер пульта"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19253, 'Серийный номер пульта', '', 1257, 1, 8, 'i_snp', 468, 448);
-- Добавление параметра прибора "Версия метрологического ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19254, 'Версия метрологического ПО', '', 1257, 1, 9, 'i_fw', 468, 448);
-- Добавление параметра прибора "Идентификатор не метрологической части ВПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19255, 'Идентификатор не метрологической части ВПО', '', 1257, 1, 11, 'i_vpoid', 468, 448);
-- Добавление параметра прибора "Дата последнего изменения встроенного ПО"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19256, 'Дата последнего изменения встроенного ПО', '', 1257, 1, 12, 'c_lsetfw', 468, 448);
-- Добавление параметра прибора "Версия спецификации СПОДЭС"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19257, 'Версия спецификации СПОДЭС', '', 1257, 1, 13, 'i_spodesv', 468, 448);
-- Добавление параметра прибора "Номинальное напряжение"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19258, 'Номинальное напряжение', '', 1257, 1, 14, 'c_nomU', 468, 448);
-- Добавление параметра прибора "Номинальный ток"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19259, 'Номинальный ток', '', 1257, 1, 15, 'c_nomI', 468, 448);
-- Добавление параметра прибора "Номинальная частота"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19260, 'Номинальная частота', '', 1257, 1, 16, 'c_nomF', 468, 448);
-- Добавление параметра прибора "Согласованное напряжение питания"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19261, 'Согласованное напряжение питания', '', 1257, 1, 18, 'c_conU', 468, 448);
-- Добавление параметра прибора "Блокиратор реле нагрузки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19262, 'Блокиратор реле нагрузки', '', 1257, 1, 19, 'c_relay', 468, 448);
-- Добавление параметра прибора "Счетчик коррекций (конфигурирований)"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19263, 'Счетчик коррекций (конфигурирований)', '', 1257, 1, 29, 'c_corr', 468, 448);
-- Добавление параметра прибора "Дата последнего конфигурирования"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19264, 'Дата последнего конфигурирования', '', 1257, 1, 30, 'c_corrd', 468, 448);
-- Добавление параметра прибора "Дата последней калибровки"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19265, 'Дата последней калибровки', '', 1257, 1, 31, 'c_cald', 468, 448);
-- Добавление параметра прибора "Дата последнего активирования календаря"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19266, 'Дата последнего активирования календаря', '', 1257, 1, 32, 'c_lacd', 468, 448);
-- Добавление параметра прибора "Дата последней установки времени"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19267, 'Дата последней установки времени', '', 1257, 1, 33, 'c_lsetd', 468, 448);
-- Добавление параметра прибора "Счетчик вскрытий корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19268, 'Счетчик вскрытий корпуса', '', 1257, 1, 35, 'c_openc', 468, 448);
-- Добавление параметра прибора "Дата последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19269, 'Дата последнего вскрытия корпуса', '', 1257, 1, 36, 'c_lopend', 468, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19270, 'Продолжительность последнего вскрытия корпуса', '', 1257, 1, 37, 'c_lopendt', 468, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия корпуса"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19271, 'Общая продолжительность вскрытия корпуса', '', 1257, 1, 38, 'c_lopenttot', 468, 448);
-- Добавление параметра прибора "Счетчик вскрытий крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19272, 'Счетчик вскрытий крышки клеммников', '', 1257, 1, 39, 'c_openclem', 468, 448);
-- Добавление параметра прибора "Дата последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19273, 'Дата последнего вскрытия крышки клеммников', '', 1257, 1, 40, 'c_lopenclemd', 468, 448);
-- Добавление параметра прибора "Продолжительность последнего вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19274, 'Продолжительность последнего вскрытия крышки клеммников', '', 1257, 1, 41, 'c_lopenclemdt', 468, 448);
-- Добавление параметра прибора "Общая продолжительность вскрытия крышки клеммников"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19275, 'Общая продолжительность вскрытия крышки клеммников', '', 1257, 1, 42, 'c_openclemtot', 468, 448);
-- Добавление параметра прибора "Счетчик срабатываний датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19276, 'Счетчик срабатываний датчика магнитного поля', '', 1257, 1, 43, 'c_magn', 468, 448);
-- Добавление параметра прибора "Дата последнего воздействия датчика магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19277, 'Дата последнего воздействия датчика магнитного поля', '', 1257, 1, 44, 'c_lmagnd', 468, 448);
-- Добавление параметра прибора "Продолжительность последнего воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19278, 'Продолжительность последнего воздействия магнитного поля', '', 1257, 1, 45, 'c_lmagnt', 468, 448);
-- Добавление параметра прибора "Общая продолжительность воздействия магнитного поля"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19279, 'Общая продолжительность воздействия магнитного поля', '', 1257, 1, 46, 'c_magntot', 468, 448);
-- Добавление параметра прибора "Коэффициент трансформации по напряжению"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19280, 'Коэффициент трансформации по напряжению', '', 1257, 1, 58, 'i_Ucf', 468, 448);
-- Добавление параметра прибора "Коэффициент трансформации по току"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19281, 'Коэффициент трансформации по току', '', 1257, 1, 59, 'i_Icf', 468, 448);

---- Группа "Параметры учёта" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1258, 'Параметры учёта', '', 468, 0);

-- Добавление параметра прибора "Полная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19282, 'Полная мощность', '', 1258, 1, 60, 'S', 468, 385);
-- Добавление параметра прибора "Полная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19283, 'Полная мощность фазы А', '', 1258, 1, 61, 'SR', 468, 385);
-- Добавление параметра прибора "Полная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19284, 'Полная мощность фазы B', '', 1258, 1, 62, 'SY', 468, 385);
-- Добавление параметра прибора "Полная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19285, 'Полная мощность фазы C', '', 1258, 1, 63, 'SB', 468, 385);
-- Добавление параметра прибора "Активная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19286, 'Активная мощность', '', 1258, 1, 64, 'P', 468, 385);
-- Добавление параметра прибора "Активная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19287, 'Активная мощность фазы А', '', 1258, 1, 65, 'PR', 468, 385);
-- Добавление параметра прибора "Активная мощность фазы В"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19288, 'Активная мощность фазы В', '', 1258, 1, 66, 'PY', 468, 385);
-- Добавление параметра прибора "Активная мощность фазы С"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19289, 'Активная мощность фазы С', '', 1258, 1, 67, 'PB', 468, 385);
-- Добавление параметра прибора "Реактивная мощность"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19290, 'Реактивная мощность', '', 1258, 1, 68, 'Q', 468, 385);
-- Добавление параметра прибора "Реактивная мощность фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19291, 'Реактивная мощность фазы А', '', 1258, 1, 69, 'QR', 468, 385);
-- Добавление параметра прибора "Реактивная мощность фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19292, 'Реактивная мощность фазы B', '', 1258, 1, 70, 'QY', 468, 385);
-- Добавление параметра прибора "Реактивная мощность фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19293, 'Реактивная мощность фазы C', '', 1258, 1, 71, 'QB', 468, 385);
-- Добавление параметра прибора "Коэффициент мощности общий"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19294, 'Коэффициент мощности общий', '', 1258, 1, 72, 'PF', 468, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19295, 'Коэффициент мощности фазы А', '', 1258, 1, 73, 'PFSR', 468, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19296, 'Коэффициент мощности фазы B', '', 1258, 1, 74, 'PFSY', 468, 385);
-- Добавление параметра прибора "Коэффициент мощности фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19297, 'Коэффициент мощности фазы C', '', 1258, 1, 75, 'PFSB', 468, 385);
-- Добавление параметра прибора "Коэффициент реактивной мощности"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19298, 'Коэффициент реактивной мощности', '', 1258, 1, 76, 'PFQ', 468, 385);

---- Группа "Энергия" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1259, 'Энергия', '', 468, 0);

-- Добавление параметра прибора "Активная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19299, 'Активная энергия, импорт за период записи', '', 1259, 1, 80, 'PP_A+imp', 468, 434);
-- Добавление параметра прибора "Активная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19300, 'Активная энергия, экспорт за период записи', '', 1259, 1, 81, 'PP_A+exp', 468, 434);
-- Добавление параметра прибора "Реактивная энергия, импорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19301, 'Реактивная энергия, импорт за период записи', '', 1259, 1, 82, 'PP_R-imp', 468, 434);
-- Добавление параметра прибора "Реактивная энергия, экспорт за период записи"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19302, 'Реактивная энергия, экспорт за период записи', '', 1259, 1, 83, 'PP_R-exp', 468, 434);
-- Добавление параметра прибора "Активная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19303, 'Активная энергия, импорт', '', 1259, 1, 87, 'A+imp', 468, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19304, 'Активная энергия, импорт по 1 тарифу', '', 1259, 1, 88, 'A+imp1', 468, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19305, 'Активная энергия, импорт по 2 тарифу', '', 1259, 1, 89, 'A+imp2', 468, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19306, 'Активная энергия, импорт по 3 тарифу', '', 1259, 1, 90, 'A+imp3', 468, 397);
-- Добавление параметра прибора "Активная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19307, 'Активная энергия, импорт по 4 тарифу', '', 1259, 1, 91, 'A+imp4', 468, 397);
-- Добавление параметра прибора "Активная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19308, 'Активная энергия, экспорт', '', 1259, 1, 96, 'A+exp', 468, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19309, 'Активная энергия, экспорт по 1 тарифу', '', 1259, 1, 97, 'A+exp1', 468, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19310, 'Активная энергия, экспорт по 2 тарифу', '', 1259, 1, 98, 'A+exp2', 468, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19311, 'Активная энергия, экспорт по 3 тарифу', '', 1259, 1, 99, 'A+exp3', 468, 397);
-- Добавление параметра прибора "Активная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19312, 'Активная энергия, экспорт по 4 тарифу', '', 1259, 1, 100, 'A+exp4', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19313, 'Реактивная энергия, импорт', '', 1259, 1, 105, 'R-imp', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19314, 'Реактивная энергия, импорт по 1 тарифу', '', 1259, 1, 106, 'R-imp1', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19315, 'Реактивная энергия, импорт по 2 тарифу', '', 1259, 1, 107, 'R-imp2', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19316, 'Реактивная энергия, импорт по 3 тарифу', '', 1259, 1, 108, 'R-imp3', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, импорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19317, 'Реактивная энергия, импорт по 4 тарифу', '', 1259, 1, 109, 'R-imp4', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19318, 'Реактивная энергия, экспорт', '', 1259, 1, 114, 'R-exp', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 1 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19319, 'Реактивная энергия, экспорт по 1 тарифу', '', 1259, 1, 115, 'R-exp1', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 2 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19320, 'Реактивная энергия, экспорт по 2 тарифу', '', 1259, 1, 116, 'R-exp2', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 3 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19321, 'Реактивная энергия, экспорт по 3 тарифу', '', 1259, 1, 117, 'R-exp3', 468, 397);
-- Добавление параметра прибора "Реактивная энергия, экспорт по 4 тарифу"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19322, 'Реактивная энергия, экспорт по 4 тарифу', '', 1259, 1, 118, 'R-exp4', 468, 397);

---- Группа "Параметры сети" ----

INSERT INTO "Tepl"."DeviceTypeGroupParametr" (gr_typ_id, "Name", "Comment", dev_typ_id, "Parent_gr_typ_id")
VALUES (1260, 'Параметры сети', '', 468, 0);

-- Добавление параметра прибора "Частота сети"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19323, 'Частота сети', '', 1260, 1, 168, 'f', 468, 385);
-- Добавление параметра прибора "Напряжение фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19324, 'Напряжение фазы А', '', 1260, 1, 169, 'VRN', 468, 385);
-- Добавление параметра прибора "Напряжение фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19325, 'Напряжение фазы B', '', 1260, 1, 170, 'VYN', 468, 385);
-- Добавление параметра прибора "Напряжение фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19326, 'Напряжение фазы C', '', 1260, 1, 171, 'VBN', 468, 385);
-- Добавление параметра прибора "Межфазное напряжение АB"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19327, 'Межфазное напряжение АB', '', 1260, 1, 175, 'VFRY', 468, 385);
-- Добавление параметра прибора "Межфазное напряжение BC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19328, 'Межфазное напряжение BC', '', 1260, 1, 176, 'VFYB', 468, 385);
-- Добавление параметра прибора "Межфазное напряжение AC"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19329, 'Межфазное напряжение AC', '', 1260, 1, 177, 'VFRB', 468, 385);
-- Добавление параметра прибора "Ток фазы А"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19330, 'Ток фазы А', '', 1260, 1, 182, 'Ir', 468, 385);
-- Добавление параметра прибора "Ток фазы B"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19331, 'Ток фазы B', '', 1260, 1, 183, 'Iy', 468, 385);
-- Добавление параметра прибора "Ток фазы C"
INSERT INTO "Tepl"."DeviceTypeParametr" (pr_typ_id, "Name", "Comment", gr_typ_id, "typ_dat_Curr", "typ_dat_Arh", "NameP2", dev_typ_id, "SupportData")
VALUES (19332, 'Ток фазы C', '', 1260, 1, 184, 'Ib', 468, 385);
