SET client_encoding = 'WIN1251';


CREATE OR REPLACE FUNCTION "Tepl"."fArr"(t text)
  RETURNS integer[] AS
$BODY$
DECLARE
  ch INTEGER[];
BEGIN
  if($1='') then return ch='{}'; end if;
  
  ch=string_to_array(t, chr(3));   
  return ch;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."fArr"(text)
  OWNER TO postgres;



CREATE OR REPLACE FUNCTION "Tepl"."fArrText"(t text)
  RETURNS text[] AS
$BODY$
DECLARE
  ch TEXT[];
  n integer;
  i integer;
BEGIN
  ch=string_to_array($1, chr(3));    
  n=array_upper(ch,1);
  FOR i in 1..n Loop
    if(ch[i]='Nil') THEN
      ch[i]=NULL;
    end if;
  end loop;
  return ch;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE;
ALTER FUNCTION "Tepl"."fArrText"(text)
  OWNER TO postgres;
